template<> inline constexpr bool has_compatible_data_layout<wl_display*> = true;
template<> inline constexpr bool has_compatible_data_layout<wl_event_queue*> = true;
template<>
struct __attribute__((packed)) guest_layout<wl_interface> {
  using type = wl_interface;
  type data;
};
template<>
struct guest_layout<const wl_interface> : guest_layout<wl_interface> {
  guest_layout& operator=(const guest_layout<wl_interface>& other) { memcpy(this, &other, sizeof(other)); return *this; }
};
template<>
struct host_layout<wl_interface> {
  using type = wl_interface;
  type data;

  host_layout(const guest_layout<wl_interface>& from) :
    data { from.data } {
  }
};

inline guest_layout<wl_interface> to_guest(const host_layout<wl_interface>& from) {
  guest_layout<wl_interface> ret;
  static_assert(sizeof(from) == sizeof(ret));
  memcpy(&ret, &from, sizeof(from));
  return ret;
}

void fex_apply_custom_repacking_entry(host_layout<wl_interface>& source, const guest_layout<wl_interface>& from) {
}
bool fex_apply_custom_repacking_exit(guest_layout<wl_interface>& into, host_layout<wl_interface>& from) {
  return false;
}
template<> inline constexpr bool has_compatible_data_layout<wl_interface> = true;
template<> inline constexpr bool has_compatible_data_layout<wl_proxy*> = true;
template<>
struct __attribute__((packed)) guest_layout<wl_array> {
  using type = wl_array;
  type data;
};
template<>
struct guest_layout<const wl_array> : guest_layout<wl_array> {
  guest_layout& operator=(const guest_layout<wl_array>& other) { memcpy(this, &other, sizeof(other)); return *this; }
};
template<>
struct host_layout<wl_array> {
  using type = wl_array;
  type data;

  host_layout(const guest_layout<wl_array>& from) :
    data { from.data } {
  }
};

inline guest_layout<wl_array> to_guest(const host_layout<wl_array>& from) {
  guest_layout<wl_array> ret;
  static_assert(sizeof(from) == sizeof(ret));
  memcpy(&ret, &from, sizeof(from));
  return ret;
}

void fex_apply_custom_repacking_entry(host_layout<wl_array>& source, const guest_layout<wl_array>& from) {
}
bool fex_apply_custom_repacking_exit(guest_layout<wl_array>& into, host_layout<wl_array>& from) {
  return false;
}
template<> inline constexpr bool has_compatible_data_layout<wl_array> = true;
using fexldr_type_libwayland_client_wl_proxy_destroy = auto (struct wl_proxy * a_0) -> void;
static fexldr_type_libwayland_client_wl_proxy_destroy *fexldr_ptr_libwayland_client_wl_proxy_destroy;
using fexldr_type_libwayland_client_wl_display_connect = auto (const char * a_0) -> struct wl_display *;
static fexldr_type_libwayland_client_wl_display_connect *fexldr_ptr_libwayland_client_wl_display_connect;
using fexldr_type_libwayland_client_wl_display_flush = auto (struct wl_display * a_0) -> int;
static fexldr_type_libwayland_client_wl_display_flush *fexldr_ptr_libwayland_client_wl_display_flush;
using fexldr_type_libwayland_client_wl_display_cancel_read = auto (struct wl_display * a_0) -> void;
static fexldr_type_libwayland_client_wl_display_cancel_read *fexldr_ptr_libwayland_client_wl_display_cancel_read;
using fexldr_type_libwayland_client_wl_display_create_queue = auto (struct wl_display * a_0) -> struct wl_event_queue *;
static fexldr_type_libwayland_client_wl_display_create_queue *fexldr_ptr_libwayland_client_wl_display_create_queue;
using fexldr_type_libwayland_client_wl_display_disconnect = auto (struct wl_display * a_0) -> void;
static fexldr_type_libwayland_client_wl_display_disconnect *fexldr_ptr_libwayland_client_wl_display_disconnect;
using fexldr_type_libwayland_client_wl_display_dispatch = auto (struct wl_display * a_0) -> int;
static fexldr_type_libwayland_client_wl_display_dispatch *fexldr_ptr_libwayland_client_wl_display_dispatch;
using fexldr_type_libwayland_client_wl_display_dispatch_pending = auto (struct wl_display * a_0) -> int;
static fexldr_type_libwayland_client_wl_display_dispatch_pending *fexldr_ptr_libwayland_client_wl_display_dispatch_pending;
using fexldr_type_libwayland_client_wl_display_dispatch_queue = auto (struct wl_display * a_0, struct wl_event_queue * a_1) -> int;
static fexldr_type_libwayland_client_wl_display_dispatch_queue *fexldr_ptr_libwayland_client_wl_display_dispatch_queue;
using fexldr_type_libwayland_client_wl_display_dispatch_queue_pending = auto (struct wl_display * a_0, struct wl_event_queue * a_1) -> int;
static fexldr_type_libwayland_client_wl_display_dispatch_queue_pending *fexldr_ptr_libwayland_client_wl_display_dispatch_queue_pending;
using fexldr_type_libwayland_client_wl_display_get_error = auto (struct wl_display * a_0) -> int;
static fexldr_type_libwayland_client_wl_display_get_error *fexldr_ptr_libwayland_client_wl_display_get_error;
using fexldr_type_libwayland_client_wl_display_prepare_read = auto (struct wl_display * a_0) -> int;
static fexldr_type_libwayland_client_wl_display_prepare_read *fexldr_ptr_libwayland_client_wl_display_prepare_read;
using fexldr_type_libwayland_client_wl_display_prepare_read_queue = auto (struct wl_display * a_0, struct wl_event_queue * a_1) -> int;
static fexldr_type_libwayland_client_wl_display_prepare_read_queue *fexldr_ptr_libwayland_client_wl_display_prepare_read_queue;
using fexldr_type_libwayland_client_wl_display_read_events = auto (struct wl_display * a_0) -> int;
static fexldr_type_libwayland_client_wl_display_read_events *fexldr_ptr_libwayland_client_wl_display_read_events;
using fexldr_type_libwayland_client_wl_display_roundtrip = auto (struct wl_display * a_0) -> int;
static fexldr_type_libwayland_client_wl_display_roundtrip *fexldr_ptr_libwayland_client_wl_display_roundtrip;
using fexldr_type_libwayland_client_wl_display_roundtrip_queue = auto (struct wl_display * a_0, struct wl_event_queue * a_1) -> int;
static fexldr_type_libwayland_client_wl_display_roundtrip_queue *fexldr_ptr_libwayland_client_wl_display_roundtrip_queue;
using fexldr_type_libwayland_client_wl_display_connect_to_fd = auto (int a_0) -> struct wl_display *;
static fexldr_type_libwayland_client_wl_display_connect_to_fd *fexldr_ptr_libwayland_client_wl_display_connect_to_fd;
using fexldr_type_libwayland_client_wl_display_get_fd = auto (struct wl_display * a_0) -> int;
static fexldr_type_libwayland_client_wl_display_get_fd *fexldr_ptr_libwayland_client_wl_display_get_fd;
using fexldr_type_libwayland_client_wl_event_queue_destroy = auto (struct wl_event_queue * a_0) -> void;
static fexldr_type_libwayland_client_wl_event_queue_destroy *fexldr_ptr_libwayland_client_wl_event_queue_destroy;
using fexldr_type_libwayland_client_wl_proxy_add_listener = auto (struct wl_proxy * a_0, void (**a_1)(void), void * a_2) -> int;
static fexldr_type_libwayland_client_wl_proxy_add_listener *fexldr_ptr_libwayland_client_wl_proxy_add_listener;
using fexldr_type_libwayland_client_wl_proxy_create = auto (struct wl_proxy * a_0, const struct wl_interface * a_1) -> struct wl_proxy *;
static fexldr_type_libwayland_client_wl_proxy_create *fexldr_ptr_libwayland_client_wl_proxy_create;
using fexldr_type_libwayland_client_wl_proxy_create_wrapper = auto (void * a_0) -> void *;
static fexldr_type_libwayland_client_wl_proxy_create_wrapper *fexldr_ptr_libwayland_client_wl_proxy_create_wrapper;
using fexldr_type_libwayland_client_wl_proxy_get_class = auto (struct wl_proxy * a_0) -> const char *;
static fexldr_type_libwayland_client_wl_proxy_get_class *fexldr_ptr_libwayland_client_wl_proxy_get_class;
using fexldr_type_libwayland_client_wl_proxy_get_id = auto (struct wl_proxy * a_0) -> uint32_t;
static fexldr_type_libwayland_client_wl_proxy_get_id *fexldr_ptr_libwayland_client_wl_proxy_get_id;
using fexldr_type_libwayland_client_wl_proxy_get_listener = auto (struct wl_proxy * a_0) -> const void *;
static fexldr_type_libwayland_client_wl_proxy_get_listener *fexldr_ptr_libwayland_client_wl_proxy_get_listener;
using fexldr_type_libwayland_client_wl_proxy_get_tag = auto (struct wl_proxy * a_0) -> const char *const *;
static fexldr_type_libwayland_client_wl_proxy_get_tag *fexldr_ptr_libwayland_client_wl_proxy_get_tag;
using fexldr_type_libwayland_client_wl_proxy_get_user_data = auto (struct wl_proxy * a_0) -> void *;
static fexldr_type_libwayland_client_wl_proxy_get_user_data *fexldr_ptr_libwayland_client_wl_proxy_get_user_data;
using fexldr_type_libwayland_client_wl_proxy_get_version = auto (struct wl_proxy * a_0) -> uint32_t;
static fexldr_type_libwayland_client_wl_proxy_get_version *fexldr_ptr_libwayland_client_wl_proxy_get_version;
using fexldr_type_libwayland_client_wl_proxy_set_queue = auto (struct wl_proxy * a_0, struct wl_event_queue * a_1) -> void;
static fexldr_type_libwayland_client_wl_proxy_set_queue *fexldr_ptr_libwayland_client_wl_proxy_set_queue;
using fexldr_type_libwayland_client_wl_proxy_set_tag = auto (struct wl_proxy * a_0, const char *const * a_1) -> void;
static fexldr_type_libwayland_client_wl_proxy_set_tag *fexldr_ptr_libwayland_client_wl_proxy_set_tag;
using fexldr_type_libwayland_client_wl_proxy_set_user_data = auto (struct wl_proxy * a_0, void * a_1) -> void;
static fexldr_type_libwayland_client_wl_proxy_set_user_data *fexldr_ptr_libwayland_client_wl_proxy_set_user_data;
using fexldr_type_libwayland_client_wl_proxy_wrapper_destroy = auto (void * a_0) -> void;
static fexldr_type_libwayland_client_wl_proxy_wrapper_destroy *fexldr_ptr_libwayland_client_wl_proxy_wrapper_destroy;
using fexldr_type_libwayland_client_wl_proxy_marshal_array = auto (struct wl_proxy * a_0, uint32_t a_1, union wl_argument * a_2) -> void;
static fexldr_type_libwayland_client_wl_proxy_marshal_array *fexldr_ptr_libwayland_client_wl_proxy_marshal_array;
using fexldr_type_libwayland_client_wl_proxy_marshal_array_constructor = auto (struct wl_proxy * a_0, uint32_t a_1, union wl_argument * a_2, const struct wl_interface * a_3) -> struct wl_proxy *;
static fexldr_type_libwayland_client_wl_proxy_marshal_array_constructor *fexldr_ptr_libwayland_client_wl_proxy_marshal_array_constructor;
using fexldr_type_libwayland_client_wl_proxy_marshal_array_constructor_versioned = auto (struct wl_proxy * a_0, uint32_t a_1, union wl_argument * a_2, const struct wl_interface * a_3, uint32_t a_4) -> struct wl_proxy *;
static fexldr_type_libwayland_client_wl_proxy_marshal_array_constructor_versioned *fexldr_ptr_libwayland_client_wl_proxy_marshal_array_constructor_versioned;
using fexldr_type_libwayland_client_wl_proxy_marshal_array_flags = auto (struct wl_proxy * a_0, uint32_t a_1, const struct wl_interface * a_2, uint32_t a_3, uint32_t a_4, union wl_argument * a_5) -> struct wl_proxy *;
static fexldr_type_libwayland_client_wl_proxy_marshal_array_flags *fexldr_ptr_libwayland_client_wl_proxy_marshal_array_flags;
using fexldr_type_libwayland_client_fex_wl_exchange_interface_pointer = auto (wl_interface * a_0, const char * a_1) -> void;
static fexldr_type_libwayland_client_fex_wl_exchange_interface_pointer *fexldr_ptr_libwayland_client_fex_wl_exchange_interface_pointer;
using fexldr_type_libwayland_client_fex_wl_get_method_signature = auto (wl_proxy * a_0, uint32_t a_1, char * a_2) -> void;
static fexldr_type_libwayland_client_fex_wl_get_method_signature *fexldr_ptr_libwayland_client_fex_wl_get_method_signature;
using fexldr_type_libwayland_client_fex_wl_get_interface_event_count = auto (wl_proxy * a_0) -> int;
static fexldr_type_libwayland_client_fex_wl_get_interface_event_count *fexldr_ptr_libwayland_client_fex_wl_get_interface_event_count;
using fexldr_type_libwayland_client_fex_wl_get_interface_event_name = auto (wl_proxy * a_0, int a_1, char * a_2) -> void;
static fexldr_type_libwayland_client_fex_wl_get_interface_event_name *fexldr_ptr_libwayland_client_fex_wl_get_interface_event_name;
using fexldr_type_libwayland_client_fex_wl_get_interface_event_signature = auto (wl_proxy * a_0, int a_1, char * a_2) -> void;
static fexldr_type_libwayland_client_fex_wl_get_interface_event_signature *fexldr_ptr_libwayland_client_fex_wl_get_interface_event_signature;
extern "C" {
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_destroy {
  guest_layout<struct wl_proxy *> a_0;
};
static void fexfn_unpack_libwayland_client_wl_proxy_destroy(fexfn_packed_args_libwayland_client_wl_proxy_destroy* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
fexldr_ptr_libwayland_client_wl_proxy_destroy(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_connect {
  guest_layout<const uint8_t*> a_0;
  guest_layout<struct wl_display *> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_connect(fexfn_packed_args_libwayland_client_wl_display_connect* args) {
  host_layout<const char *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<struct wl_display *>(fexldr_ptr_libwayland_client_wl_display_connect(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_flush {
  guest_layout<struct wl_display *> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_flush(fexfn_packed_args_libwayland_client_wl_display_flush* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_flush(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_cancel_read {
  guest_layout<struct wl_display *> a_0;
};
static void fexfn_unpack_libwayland_client_wl_display_cancel_read(fexfn_packed_args_libwayland_client_wl_display_cancel_read* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
fexldr_ptr_libwayland_client_wl_display_cancel_read(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_create_queue {
  guest_layout<struct wl_display *> a_0;
  guest_layout<struct wl_event_queue *> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_create_queue(fexfn_packed_args_libwayland_client_wl_display_create_queue* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<struct wl_event_queue *>(fexldr_ptr_libwayland_client_wl_display_create_queue(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_disconnect {
  guest_layout<struct wl_display *> a_0;
};
static void fexfn_unpack_libwayland_client_wl_display_disconnect(fexfn_packed_args_libwayland_client_wl_display_disconnect* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
fexldr_ptr_libwayland_client_wl_display_disconnect(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_dispatch {
  guest_layout<struct wl_display *> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_dispatch(fexfn_packed_args_libwayland_client_wl_display_dispatch* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_dispatch(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_dispatch_pending {
  guest_layout<struct wl_display *> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_dispatch_pending(fexfn_packed_args_libwayland_client_wl_display_dispatch_pending* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_dispatch_pending(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_dispatch_queue {
  guest_layout<struct wl_display *> a_0;
  guest_layout<struct wl_event_queue *> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_dispatch_queue(fexfn_packed_args_libwayland_client_wl_display_dispatch_queue* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  host_layout<wl_event_queue *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_dispatch_queue(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_dispatch_queue_pending {
  guest_layout<struct wl_display *> a_0;
  guest_layout<struct wl_event_queue *> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_dispatch_queue_pending(fexfn_packed_args_libwayland_client_wl_display_dispatch_queue_pending* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  host_layout<wl_event_queue *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_dispatch_queue_pending(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_get_error {
  guest_layout<struct wl_display *> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_get_error(fexfn_packed_args_libwayland_client_wl_display_get_error* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_get_error(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_prepare_read {
  guest_layout<struct wl_display *> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_prepare_read(fexfn_packed_args_libwayland_client_wl_display_prepare_read* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_prepare_read(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_prepare_read_queue {
  guest_layout<struct wl_display *> a_0;
  guest_layout<struct wl_event_queue *> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_prepare_read_queue(fexfn_packed_args_libwayland_client_wl_display_prepare_read_queue* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  host_layout<wl_event_queue *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_prepare_read_queue(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_read_events {
  guest_layout<struct wl_display *> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_read_events(fexfn_packed_args_libwayland_client_wl_display_read_events* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_read_events(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_roundtrip {
  guest_layout<struct wl_display *> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_roundtrip(fexfn_packed_args_libwayland_client_wl_display_roundtrip* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_roundtrip(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_roundtrip_queue {
  guest_layout<struct wl_display *> a_0;
  guest_layout<struct wl_event_queue *> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_roundtrip_queue(fexfn_packed_args_libwayland_client_wl_display_roundtrip_queue* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  host_layout<wl_event_queue *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_roundtrip_queue(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_connect_to_fd {
  guest_layout<int32_t> a_0;
  guest_layout<struct wl_display *> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_connect_to_fd(fexfn_packed_args_libwayland_client_wl_display_connect_to_fd* args) {
  host_layout<int> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<struct wl_display *>(fexldr_ptr_libwayland_client_wl_display_connect_to_fd(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_display_get_fd {
  guest_layout<struct wl_display *> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_display_get_fd(fexfn_packed_args_libwayland_client_wl_display_get_fd* args) {
  host_layout<wl_display *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libwayland_client_wl_display_get_fd(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_event_queue_destroy {
  guest_layout<struct wl_event_queue *> a_0;
};
static void fexfn_unpack_libwayland_client_wl_event_queue_destroy(fexfn_packed_args_libwayland_client_wl_event_queue_destroy* args) {
  host_layout<wl_event_queue *> a_0 { args->a_0 };
fexldr_ptr_libwayland_client_wl_event_queue_destroy(unwrap_host(a_0));
}
static auto fexfn_impl_libwayland_client_wl_proxy_add_listener(struct wl_proxy * a_0, guest_layout<void (**)(void)> a_1, void * a_2) -> int;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_add_listener {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<void (**)(void)> a_1;
  guest_layout<void *> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_add_listener(fexfn_packed_args_libwayland_client_wl_proxy_add_listener* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<void *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexfn_impl_libwayland_client_wl_proxy_add_listener(unwrap_host(a_0), args->a_1, unwrap_host(a_2))));
}
static auto fexfn_impl_libwayland_client_wl_proxy_create(struct wl_proxy * a_0, guest_layout<const struct wl_interface *> a_1) -> struct wl_proxy *;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_create {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<const struct wl_interface *> a_1;
  guest_layout<struct wl_proxy *> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_create(fexfn_packed_args_libwayland_client_wl_proxy_create* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<struct wl_proxy *>(fexfn_impl_libwayland_client_wl_proxy_create(unwrap_host(a_0), args->a_1)));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_create_wrapper {
  guest_layout<void *> a_0;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_create_wrapper(fexfn_packed_args_libwayland_client_wl_proxy_create_wrapper* args) {
  host_layout<void *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libwayland_client_wl_proxy_create_wrapper(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_get_class {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<const uint8_t*> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_get_class(fexfn_packed_args_libwayland_client_wl_proxy_get_class* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<const char *>(fexldr_ptr_libwayland_client_wl_proxy_get_class(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_get_id {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_get_id(fexfn_packed_args_libwayland_client_wl_proxy_get_id* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<uint32_t>(fexldr_ptr_libwayland_client_wl_proxy_get_id(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_get_listener {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<const void *> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_get_listener(fexfn_packed_args_libwayland_client_wl_proxy_get_listener* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<const void *>(fexldr_ptr_libwayland_client_wl_proxy_get_listener(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_get_tag {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<const char *const *> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_get_tag(fexfn_packed_args_libwayland_client_wl_proxy_get_tag* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<const char *const *>(fexldr_ptr_libwayland_client_wl_proxy_get_tag(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_get_user_data {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_get_user_data(fexfn_packed_args_libwayland_client_wl_proxy_get_user_data* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libwayland_client_wl_proxy_get_user_data(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_get_version {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_get_version(fexfn_packed_args_libwayland_client_wl_proxy_get_version* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<uint32_t>(fexldr_ptr_libwayland_client_wl_proxy_get_version(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_set_queue {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<struct wl_event_queue *> a_1;
};
static void fexfn_unpack_libwayland_client_wl_proxy_set_queue(fexfn_packed_args_libwayland_client_wl_proxy_set_queue* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<wl_event_queue *> a_1 { args->a_1 };
fexldr_ptr_libwayland_client_wl_proxy_set_queue(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_set_tag {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<const char *const *> a_1;
};
static void fexfn_unpack_libwayland_client_wl_proxy_set_tag(fexfn_packed_args_libwayland_client_wl_proxy_set_tag* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<const char *const *> a_1 { args->a_1 };
fexldr_ptr_libwayland_client_wl_proxy_set_tag(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_set_user_data {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<void *> a_1;
};
static void fexfn_unpack_libwayland_client_wl_proxy_set_user_data(fexfn_packed_args_libwayland_client_wl_proxy_set_user_data* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<void *> a_1 { args->a_1 };
fexldr_ptr_libwayland_client_wl_proxy_set_user_data(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_wrapper_destroy {
  guest_layout<void *> a_0;
};
static void fexfn_unpack_libwayland_client_wl_proxy_wrapper_destroy(fexfn_packed_args_libwayland_client_wl_proxy_wrapper_destroy* args) {
  host_layout<void *> a_0 { args->a_0 };
fexldr_ptr_libwayland_client_wl_proxy_wrapper_destroy(unwrap_host(a_0));
}
static auto fexfn_impl_libwayland_client_wl_proxy_marshal_array(struct wl_proxy * a_0, uint32_t a_1, guest_layout<union wl_argument *> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_marshal_array {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<union wl_argument *> a_2;
};
static void fexfn_unpack_libwayland_client_wl_proxy_marshal_array(fexfn_packed_args_libwayland_client_wl_proxy_marshal_array* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<uint32_t> a_1 { args->a_1 };
fexfn_impl_libwayland_client_wl_proxy_marshal_array(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
static auto fexfn_impl_libwayland_client_wl_proxy_marshal_array_constructor(struct wl_proxy * a_0, uint32_t a_1, guest_layout<union wl_argument *> a_2, guest_layout<const struct wl_interface *> a_3) -> struct wl_proxy *;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_marshal_array_constructor {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<union wl_argument *> a_2;
  guest_layout<const struct wl_interface *> a_3;
  guest_layout<struct wl_proxy *> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_marshal_array_constructor(fexfn_packed_args_libwayland_client_wl_proxy_marshal_array_constructor* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<uint32_t> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<struct wl_proxy *>(fexfn_impl_libwayland_client_wl_proxy_marshal_array_constructor(unwrap_host(a_0), unwrap_host(a_1), args->a_2, args->a_3)));
}
static auto fexfn_impl_libwayland_client_wl_proxy_marshal_array_constructor_versioned(struct wl_proxy * a_0, uint32_t a_1, guest_layout<union wl_argument *> a_2, guest_layout<const struct wl_interface *> a_3, uint32_t a_4) -> struct wl_proxy *;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_marshal_array_constructor_versioned {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<union wl_argument *> a_2;
  guest_layout<const struct wl_interface *> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<struct wl_proxy *> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_marshal_array_constructor_versioned(fexfn_packed_args_libwayland_client_wl_proxy_marshal_array_constructor_versioned* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<uint32_t> a_1 { args->a_1 };
  host_layout<uint32_t> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<struct wl_proxy *>(fexfn_impl_libwayland_client_wl_proxy_marshal_array_constructor_versioned(unwrap_host(a_0), unwrap_host(a_1), args->a_2, args->a_3, unwrap_host(a_4))));
}
static auto fexfn_impl_libwayland_client_wl_proxy_marshal_array_flags(struct wl_proxy * a_0, uint32_t a_1, guest_layout<const struct wl_interface *> a_2, uint32_t a_3, uint32_t a_4, guest_layout<union wl_argument *> a_5) -> struct wl_proxy *;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_wl_proxy_marshal_array_flags {
  guest_layout<struct wl_proxy *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const struct wl_interface *> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<union wl_argument *> a_5;
  guest_layout<struct wl_proxy *> rv;
};
static void fexfn_unpack_libwayland_client_wl_proxy_marshal_array_flags(fexfn_packed_args_libwayland_client_wl_proxy_marshal_array_flags* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<uint32_t> a_1 { args->a_1 };
  host_layout<uint32_t> a_3 { args->a_3 };
  host_layout<uint32_t> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<struct wl_proxy *>(fexfn_impl_libwayland_client_wl_proxy_marshal_array_flags(unwrap_host(a_0), unwrap_host(a_1), args->a_2, unwrap_host(a_3), unwrap_host(a_4), args->a_5)));
}
static auto fexfn_impl_libwayland_client_fex_wl_exchange_interface_pointer(guest_layout<wl_interface *> a_0, const char * a_1) -> void;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_fex_wl_exchange_interface_pointer {
  guest_layout<wl_interface *> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libwayland_client_fex_wl_exchange_interface_pointer(fexfn_packed_args_libwayland_client_fex_wl_exchange_interface_pointer* args) {
  host_layout<const char *> a_1 { args->a_1 };
fexfn_impl_libwayland_client_fex_wl_exchange_interface_pointer(args->a_0, unwrap_host(a_1));
}
static auto fexfn_impl_libwayland_client_fex_wl_get_method_signature(wl_proxy * a_0, uint32_t a_1, char * a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_fex_wl_get_method_signature {
  guest_layout<wl_proxy *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t*> a_2;
};
static void fexfn_unpack_libwayland_client_fex_wl_get_method_signature(fexfn_packed_args_libwayland_client_fex_wl_get_method_signature* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<uint32_t> a_1 { args->a_1 };
  host_layout<char *> a_2 { args->a_2 };
fexfn_impl_libwayland_client_fex_wl_get_method_signature(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
static auto fexfn_impl_libwayland_client_fex_wl_get_interface_event_count(wl_proxy * a_0) -> int;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_fex_wl_get_interface_event_count {
  guest_layout<wl_proxy *> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libwayland_client_fex_wl_get_interface_event_count(fexfn_packed_args_libwayland_client_fex_wl_get_interface_event_count* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexfn_impl_libwayland_client_fex_wl_get_interface_event_count(unwrap_host(a_0))));
}
static auto fexfn_impl_libwayland_client_fex_wl_get_interface_event_name(wl_proxy * a_0, int a_1, char * a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_fex_wl_get_interface_event_name {
  guest_layout<wl_proxy *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t*> a_2;
};
static void fexfn_unpack_libwayland_client_fex_wl_get_interface_event_name(fexfn_packed_args_libwayland_client_fex_wl_get_interface_event_name* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<char *> a_2 { args->a_2 };
fexfn_impl_libwayland_client_fex_wl_get_interface_event_name(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
static auto fexfn_impl_libwayland_client_fex_wl_get_interface_event_signature(wl_proxy * a_0, int a_1, char * a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libwayland_client_fex_wl_get_interface_event_signature {
  guest_layout<wl_proxy *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t*> a_2;
};
static void fexfn_unpack_libwayland_client_fex_wl_get_interface_event_signature(fexfn_packed_args_libwayland_client_fex_wl_get_interface_event_signature* args) {
  host_layout<wl_proxy *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<char *> a_2 { args->a_2 };
fexfn_impl_libwayland_client_fex_wl_get_interface_event_signature(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
}
static ExportEntry exports[] = {
  {(uint8_t*)"\xbc\xce\x2d\xd1\xe0\xff\xf7\x53\xc8\x16\xfe\x93\x92\x88\x25\x73\x56\xc0\xbb\xa2\x6e\x30\x68\xda\x2f\xdd\x99\x7a\xb7\x34\x8d\xf9", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_destroy}, // libwayland_client:wl_proxy_destroy
  {(uint8_t*)"\x4e\xb7\x12\x6f\x9a\x57\x1f\xc9\x0b\x11\x0f\x22\xf2\xb3\x6f\xec\x38\x6f\x32\x0c\xed\x1b\xad\xc0\xbe\x52\x75\x68\xb2\x34\xad\x9e", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_connect}, // libwayland_client:wl_display_connect
  {(uint8_t*)"\xeb\xa7\x99\xb3\xe1\xae\xcb\xad\xf0\x02\x57\xaf\x6a\xb9\x29\x08\x9a\x1a\x98\x7b\x0c\x71\x10\x9e\xdd\x98\xf0\x13\x71\xd1\x11\xdf", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_flush}, // libwayland_client:wl_display_flush
  {(uint8_t*)"\xef\xe3\x92\x33\x00\x4a\xf9\xe3\x3f\x52\x22\xea\x09\xd4\x2b\x81\xfd\x74\xb7\x55\xef\xd9\x5c\x62\x71\x9a\x3c\xfa\x04\xc3\xa9\x6a", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_cancel_read}, // libwayland_client:wl_display_cancel_read
  {(uint8_t*)"\xa3\x4b\x75\x0d\xa2\x58\xbd\xd0\x42\xaf\x53\xf3\x21\xf1\xd1\xaf\x9f\x71\xef\x5a\x12\xb3\x96\x16\x19\xb8\xb4\xb4\x4a\xf1\x88\x59", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_create_queue}, // libwayland_client:wl_display_create_queue
  {(uint8_t*)"\x00\xff\x4f\x3b\x93\x31\x5e\x00\x53\x9e\x85\x87\xaa\x2f\x28\x8b\x4d\xcd\xd7\x2c\x1d\xee\x21\xe5\x78\x96\x58\x7b\x69\x08\x1f\xe3", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_disconnect}, // libwayland_client:wl_display_disconnect
  {(uint8_t*)"\x28\xaf\x72\x05\xd0\xa7\xdd\x47\x74\xf1\x4b\xf8\xef\x76\x5f\xf3\x83\xb1\x82\xc6\x53\xd8\xf0\x4e\x9f\x86\x9b\x89\xc6\x59\xc3\x4d", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_dispatch}, // libwayland_client:wl_display_dispatch
  {(uint8_t*)"\x9e\x5b\x59\x8a\xfb\xf2\x3d\x64\xda\xd1\xa3\x9d\x79\x1a\x81\xac\xf0\xe3\x63\x38\xae\xb9\x72\x93\x6c\xb3\xb1\x67\xdd\xce\x17\x33", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_dispatch_pending}, // libwayland_client:wl_display_dispatch_pending
  {(uint8_t*)"\x78\xa2\xfc\xa1\x93\x92\x24\x9d\x7a\x9f\x15\x9f\x64\xa0\x4e\x2f\xdf\xba\x90\x29\xb0\x13\xbc\xe7\x6b\xa6\xb6\x77\x11\x89\xa0\xa7", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_dispatch_queue}, // libwayland_client:wl_display_dispatch_queue
  {(uint8_t*)"\x41\x97\x5b\x04\x2e\x08\xe0\xe3\xb2\x86\x09\x5b\x22\x63\x41\x0b\x75\x97\xcf\xaf\xc9\x20\xfa\x07\x52\x2c\x84\x2a\x73\x86\x0b\xb1", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_dispatch_queue_pending}, // libwayland_client:wl_display_dispatch_queue_pending
  {(uint8_t*)"\x8a\x16\xcf\xe3\xc0\x2f\x37\x58\x18\x5b\x6a\x68\xca\x95\xe9\xbd\x3b\x85\x0c\xae\x3f\xc2\xa9\xe2\x2d\x8c\x1c\xd2\x6b\x52\x81\x16", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_get_error}, // libwayland_client:wl_display_get_error
  {(uint8_t*)"\x89\x6b\x9b\xe8\x16\x3a\x39\x37\x8b\xad\x26\xad\x21\x0e\xc4\x3b\x15\xe9\x75\x13\x76\x60\x24\x9d\xad\x1e\x34\x9c\x90\x16\xf4\x58", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_prepare_read}, // libwayland_client:wl_display_prepare_read
  {(uint8_t*)"\x66\x4e\x6c\x2c\x2f\xe7\xac\xbb\xf4\xcd\xc3\xd0\x04\xdf\x54\x2f\xfd\x2c\xa8\xf1\x00\x9c\xde\x83\x32\x7f\x3a\xd6\xf7\xa0\xb1\xc2", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_prepare_read_queue}, // libwayland_client:wl_display_prepare_read_queue
  {(uint8_t*)"\x4d\xb5\x80\x9f\xf4\xa2\x42\x56\x0b\x5f\x24\xa6\xee\x43\x42\xb9\x88\x8b\xda\x01\x2f\xab\x3e\x07\x07\x90\x65\x02\x14\xea\x27\x59", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_read_events}, // libwayland_client:wl_display_read_events
  {(uint8_t*)"\xf5\x0f\x40\x2e\x04\x93\xd5\xa7\xe8\x82\xd1\xd7\xc1\xd6\xa7\x4a\xe6\xbd\x35\x87\x06\xfb\x12\x01\x7e\xb0\xab\x90\x57\x68\xc3\x9f", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_roundtrip}, // libwayland_client:wl_display_roundtrip
  {(uint8_t*)"\x7c\xf0\x4a\xb6\xb7\x21\xad\x89\x3a\x35\x20\xf8\x45\x0e\x25\x6f\xe0\xfa\x26\x75\xc2\xc6\xe9\xad\x2a\xf8\xf6\x7d\xde\x0a\x31\x59", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_roundtrip_queue}, // libwayland_client:wl_display_roundtrip_queue
  {(uint8_t*)"\x98\x4f\xf1\xdb\x07\xd5\x8b\xc6\x5f\x47\x3f\x26\x41\xfe\x45\x34\x77\x9f\x73\xf8\x50\x08\xf0\xf5\x17\x77\x93\x8f\x08\xdf\xad\x41", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_connect_to_fd}, // libwayland_client:wl_display_connect_to_fd
  {(uint8_t*)"\xbb\x35\x63\x0a\xd3\x5a\x63\xe0\xbe\x46\xd0\x1d\xa0\x06\xa1\xe0\xa5\x6d\xe5\xd1\x60\xef\x62\x74\x14\xa6\xe5\xec\x5d\x01\x10\x10", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_display_get_fd}, // libwayland_client:wl_display_get_fd
  {(uint8_t*)"\x0c\xb0\x85\x3a\xd2\x9b\x62\x58\x31\x6b\x4f\xd0\x8e\x7b\x44\x58\x99\xea\xdb\xbc\x13\xef\x24\xba\x0a\x80\x43\xaf\xe1\x3c\x2f\x2a", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_event_queue_destroy}, // libwayland_client:wl_event_queue_destroy
  {(uint8_t*)"\x3e\x8c\x53\xa6\x3b\xad\x20\x06\x39\xb4\x94\xab\x81\x90\x84\x4c\x3c\xc5\x8a\x90\x8a\xc1\x94\xba\x40\x08\xae\x5c\x16\x58\x7e\xeb", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_add_listener}, // libwayland_client:wl_proxy_add_listener
  {(uint8_t*)"\xdf\x6f\x1c\x4b\x34\x82\xd5\xe7\x6d\x9d\x01\x76\xc9\xde\x36\x9d\x46\x64\x00\xaa\x64\x76\x0c\x67\xf1\x39\xbe\x20\x03\x26\x30\x78", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_create}, // libwayland_client:wl_proxy_create
  {(uint8_t*)"\x5d\xea\xf8\x36\x54\xd7\x4d\x5c\x51\x79\x72\x48\x13\x33\x9e\x03\x82\x06\x71\xdc\x94\xe6\x6d\xd7\xbb\xa0\x24\x05\x41\xd2\x90\xe6", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_create_wrapper}, // libwayland_client:wl_proxy_create_wrapper
  {(uint8_t*)"\xca\xcc\x0c\xce\xdf\x7e\xb6\xe2\x96\x2b\x79\x7f\xee\x5d\x48\xd3\xc6\xdc\x48\x26\xbc\xe7\xc7\x64\xa0\xed\x71\x99\xef\x35\xe3\x19", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_get_class}, // libwayland_client:wl_proxy_get_class
  {(uint8_t*)"\x3b\x9b\xd6\x07\x80\x24\x14\x12\x21\x39\x08\x4f\x1d\x6f\x9f\x1c\x53\x87\x73\x00\xed\xf2\xe1\x88\x7d\x39\xd8\xdb\xcf\x54\xb5\xcc", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_get_id}, // libwayland_client:wl_proxy_get_id
  {(uint8_t*)"\x51\x36\x8d\x72\x59\xcb\x3c\x3c\xec\x95\xd5\xfb\x30\x64\xaf\x90\x06\xd3\x14\x35\xf5\xaf\xd1\xb1\x48\xad\xcf\x35\xac\x8c\x43\x05", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_get_listener}, // libwayland_client:wl_proxy_get_listener
  {(uint8_t*)"\x96\xdc\x08\x97\xdd\x4b\x55\x36\xd4\x47\xfe\xc8\xff\x11\x9d\xac\xc7\x6c\x3a\xa4\x4f\x07\x0c\x32\x96\x54\xc2\x58\x87\x82\xb1\x9f", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_get_tag}, // libwayland_client:wl_proxy_get_tag
  {(uint8_t*)"\x91\xb8\xfb\x86\x66\x03\xdb\x32\x45\x1d\x64\xfc\x5f\x28\x93\x9f\x2a\xe4\xa9\xc5\x59\x5e\x3b\x54\xf5\x9e\x48\x9b\x82\x4c\x60\x12", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_get_user_data}, // libwayland_client:wl_proxy_get_user_data
  {(uint8_t*)"\xc7\x2e\x6e\x4c\x09\xfc\x57\x5f\xb2\x8a\x72\xc3\x77\xf2\x1b\xdf\x1a\xc3\xd7\xbe\x49\xf5\xfd\x75\x19\x20\x74\x77\x22\xb4\x92\xe1", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_get_version}, // libwayland_client:wl_proxy_get_version
  {(uint8_t*)"\x3b\x7a\x52\x01\xb1\x62\xe1\xa5\x8f\xc7\x0c\xfa\xbe\x56\x25\xcd\x89\x0d\x82\xb2\x56\x5d\xe2\x5d\xc7\x7b\x52\xff\x34\x37\x33\x1c", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_set_queue}, // libwayland_client:wl_proxy_set_queue
  {(uint8_t*)"\x79\x3b\x1d\xae\x92\x98\x11\x82\x68\x67\x09\xe8\x77\x38\x56\x1d\x96\xe6\x09\x96\x60\xcf\xca\xba\xe5\xca\x39\x2d\xf1\x44\x6f\x64", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_set_tag}, // libwayland_client:wl_proxy_set_tag
  {(uint8_t*)"\x28\xc7\xa5\x2e\xf2\xd7\xd0\xf8\xc9\x0b\xc3\x26\x77\x2d\xb4\xa8\xca\x30\x50\x80\xfa\x09\xee\x8f\x73\x3c\x1d\x57\xef\xf6\xfe\xb7", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_set_user_data}, // libwayland_client:wl_proxy_set_user_data
  {(uint8_t*)"\x92\xc2\x1f\x48\xc1\x76\x07\xc3\x02\x7e\x3f\x7a\xd5\xff\x84\x45\x01\xb4\x3f\xd6\x48\x1f\x3b\x94\xa6\xb2\x4a\xd6\xbc\x11\xb4\xbd", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_wrapper_destroy}, // libwayland_client:wl_proxy_wrapper_destroy
  {(uint8_t*)"\xfa\x9f\x5c\x36\x60\x3a\xc5\x9c\xd9\x65\xc8\xb8\x54\x5f\xad\xdf\xfd\x05\xac\x93\xe9\x9e\xd6\x24\x77\x1c\x07\xb4\x68\x4b\x2e\x48", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_marshal_array}, // libwayland_client:wl_proxy_marshal_array
  {(uint8_t*)"\x69\x2c\x0b\xbf\x9e\xbd\xc8\x32\xa5\x9b\x23\x15\x50\x06\x00\x70\x35\xe1\x3c\x41\x42\xd5\xe1\xa2\xbc\x50\x78\x4b\x9b\x70\xa2\x8e", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_marshal_array_constructor}, // libwayland_client:wl_proxy_marshal_array_constructor
  {(uint8_t*)"\x71\x8d\xfb\xcc\x49\x87\x8e\xd0\x23\x1e\xd1\xbe\x34\x83\x7e\x2c\xa4\x71\x9b\x76\xc1\x99\xb6\xd1\x0b\x6c\xa7\x03\x75\xd5\xe5\xd1", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_marshal_array_constructor_versioned}, // libwayland_client:wl_proxy_marshal_array_constructor_versioned
  {(uint8_t*)"\x27\x3a\x9a\x47\xae\xa8\x46\xe9\xc6\x44\x8a\x85\x6f\x56\x5f\x92\xe2\x7a\xa5\xa6\x19\x5b\xa4\xf4\x52\x17\x9c\x0c\xe1\x86\x7c\x6c", (void(*)(void *))&fexfn_unpack_libwayland_client_wl_proxy_marshal_array_flags}, // libwayland_client:wl_proxy_marshal_array_flags
  {(uint8_t*)"\xd5\x04\x44\x34\x1a\xc8\x64\xef\x71\x25\x68\x36\xd1\x90\x2a\x82\x0f\xb4\xe6\x5d\x93\xe2\x70\x89\x0f\xd4\x99\xdc\xe3\xca\xba\xeb", (void(*)(void *))&fexfn_unpack_libwayland_client_fex_wl_exchange_interface_pointer}, // libwayland_client:fex_wl_exchange_interface_pointer
  {(uint8_t*)"\xce\xc6\xd2\x11\xb4\x89\xd3\x30\x48\x4f\xe0\xf7\x62\x2a\x17\x05\x88\x6c\xb2\x62\x0f\x4a\x4a\x34\x27\xfe\xc1\x74\xd0\xf7\x71\x5b", (void(*)(void *))&fexfn_unpack_libwayland_client_fex_wl_get_method_signature}, // libwayland_client:fex_wl_get_method_signature
  {(uint8_t*)"\xc6\x62\x98\xd3\x1f\x90\x68\xa8\x45\xd1\xa6\x9a\x33\x5e\x62\xfd\xb6\xaa\x16\xf3\x4a\x8f\x29\xc6\x5b\xdb\x5b\xd9\x98\xff\x19\x7d", (void(*)(void *))&fexfn_unpack_libwayland_client_fex_wl_get_interface_event_count}, // libwayland_client:fex_wl_get_interface_event_count
  {(uint8_t*)"\x8c\x96\x9b\xf0\xc7\xc8\x0c\xe7\xde\x1e\x66\x0d\x14\xbc\x93\x86\xbf\xf0\x2c\xf8\xeb\xa4\xdf\x56\x78\x3e\x1f\x31\x52\x8f\x6b\xad", (void(*)(void *))&fexfn_unpack_libwayland_client_fex_wl_get_interface_event_name}, // libwayland_client:fex_wl_get_interface_event_name
  {(uint8_t*)"\x9d\xf3\xdc\x0b\xf3\x36\x2c\x15\xfa\xd7\xd2\xf2\xa8\xfd\x6d\x50\x0d\xd0\xec\xa8\x0a\x82\x6c\x01\x66\xed\x6b\x3b\xc9\xa3\x37\x70", (void(*)(void *))&fexfn_unpack_libwayland_client_fex_wl_get_interface_event_signature}, // libwayland_client:fex_wl_get_interface_event_signature
  { nullptr, nullptr }
};
static void* fexldr_ptr_libwayland_client_so;
extern "C" bool fexldr_init_libwayland_client() {
  fexldr_ptr_libwayland_client_so = dlopen("libwayland-client.so.0", RTLD_GLOBAL | RTLD_LAZY);
  if (!fexldr_ptr_libwayland_client_so) { return false; }

  (void*&)fexldr_ptr_libwayland_client_wl_proxy_destroy = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_destroy");
  (void*&)fexldr_ptr_libwayland_client_wl_display_connect = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_connect");
  (void*&)fexldr_ptr_libwayland_client_wl_display_flush = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_flush");
  (void*&)fexldr_ptr_libwayland_client_wl_display_cancel_read = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_cancel_read");
  (void*&)fexldr_ptr_libwayland_client_wl_display_create_queue = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_create_queue");
  (void*&)fexldr_ptr_libwayland_client_wl_display_disconnect = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_disconnect");
  (void*&)fexldr_ptr_libwayland_client_wl_display_dispatch = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_dispatch");
  (void*&)fexldr_ptr_libwayland_client_wl_display_dispatch_pending = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_dispatch_pending");
  (void*&)fexldr_ptr_libwayland_client_wl_display_dispatch_queue = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_dispatch_queue");
  (void*&)fexldr_ptr_libwayland_client_wl_display_dispatch_queue_pending = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_dispatch_queue_pending");
  (void*&)fexldr_ptr_libwayland_client_wl_display_get_error = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_get_error");
  (void*&)fexldr_ptr_libwayland_client_wl_display_prepare_read = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_prepare_read");
  (void*&)fexldr_ptr_libwayland_client_wl_display_prepare_read_queue = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_prepare_read_queue");
  (void*&)fexldr_ptr_libwayland_client_wl_display_read_events = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_read_events");
  (void*&)fexldr_ptr_libwayland_client_wl_display_roundtrip = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_roundtrip");
  (void*&)fexldr_ptr_libwayland_client_wl_display_roundtrip_queue = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_roundtrip_queue");
  (void*&)fexldr_ptr_libwayland_client_wl_display_connect_to_fd = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_connect_to_fd");
  (void*&)fexldr_ptr_libwayland_client_wl_display_get_fd = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_display_get_fd");
  (void*&)fexldr_ptr_libwayland_client_wl_event_queue_destroy = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_event_queue_destroy");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_add_listener = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_add_listener");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_create = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_create");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_create_wrapper = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_create_wrapper");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_get_class = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_get_class");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_get_id = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_get_id");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_get_listener = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_get_listener");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_get_tag = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_get_tag");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_get_user_data = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_get_user_data");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_get_version = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_get_version");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_set_queue = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_set_queue");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_set_tag = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_set_tag");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_set_user_data = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_set_user_data");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_wrapper_destroy = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_wrapper_destroy");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_marshal_array = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_marshal_array");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_marshal_array_constructor = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_marshal_array_constructor");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_marshal_array_constructor_versioned = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_marshal_array_constructor_versioned");
  (void*&)fexldr_ptr_libwayland_client_wl_proxy_marshal_array_flags = dlsym_default(fexldr_ptr_libwayland_client_so, "wl_proxy_marshal_array_flags");
  (void*&)fexldr_ptr_libwayland_client_fex_wl_exchange_interface_pointer = dlsym_default(fexldr_ptr_libwayland_client_so, "fex_wl_exchange_interface_pointer");
  (void*&)fexldr_ptr_libwayland_client_fex_wl_get_method_signature = dlsym_default(fexldr_ptr_libwayland_client_so, "fex_wl_get_method_signature");
  (void*&)fexldr_ptr_libwayland_client_fex_wl_get_interface_event_count = dlsym_default(fexldr_ptr_libwayland_client_so, "fex_wl_get_interface_event_count");
  (void*&)fexldr_ptr_libwayland_client_fex_wl_get_interface_event_name = dlsym_default(fexldr_ptr_libwayland_client_so, "fex_wl_get_interface_event_name");
  (void*&)fexldr_ptr_libwayland_client_fex_wl_get_interface_event_signature = dlsym_default(fexldr_ptr_libwayland_client_so, "fex_wl_get_interface_event_signature");
  return true;
}
