template<> inline constexpr bool has_compatible_data_layout<_cl_event*> = true;
template<> inline constexpr bool has_compatible_data_layout<_cl_context*> = true;
template<> inline constexpr bool has_compatible_data_layout<__GLsync*> = true;
template<> inline constexpr bool has_compatible_data_layout<_XDisplay*> = true;
template<> inline constexpr bool has_compatible_data_layout<__GLXcontextRec*> = true;
template<> inline constexpr bool has_compatible_data_layout<__GLXFBConfigRec*> = true;
template<>
struct __attribute__((packed)) guest_layout<GLXHyperpipeConfigSGIX> {
  using type = GLXHyperpipeConfigSGIX;
  type data;
};
template<>
struct guest_layout<const GLXHyperpipeConfigSGIX> : guest_layout<GLXHyperpipeConfigSGIX> {
  guest_layout& operator=(const guest_layout<GLXHyperpipeConfigSGIX>& other) { memcpy(this, &other, sizeof(other)); return *this; }
};
template<>
struct host_layout<GLXHyperpipeConfigSGIX> {
  using type = GLXHyperpipeConfigSGIX;
  type data;

  host_layout(const guest_layout<GLXHyperpipeConfigSGIX>& from) :
    data { from.data } {
  }
};

inline guest_layout<GLXHyperpipeConfigSGIX> to_guest(const host_layout<GLXHyperpipeConfigSGIX>& from) {
  guest_layout<GLXHyperpipeConfigSGIX> ret;
  static_assert(sizeof(from) == sizeof(ret));
  memcpy(&ret, &from, sizeof(from));
  return ret;
}

void fex_apply_custom_repacking_entry(host_layout<GLXHyperpipeConfigSGIX>& source, const guest_layout<GLXHyperpipeConfigSGIX>& from) {
}
bool fex_apply_custom_repacking_exit(guest_layout<GLXHyperpipeConfigSGIX>& into, host_layout<GLXHyperpipeConfigSGIX>& from) {
  return false;
}
template<> inline constexpr bool has_compatible_data_layout<GLXHyperpipeConfigSGIX> = true;
template<>
struct __attribute__((packed)) guest_layout<GLXHyperpipeNetworkSGIX> {
  using type = GLXHyperpipeNetworkSGIX;
  type data;
};
template<>
struct guest_layout<const GLXHyperpipeNetworkSGIX> : guest_layout<GLXHyperpipeNetworkSGIX> {
  guest_layout& operator=(const guest_layout<GLXHyperpipeNetworkSGIX>& other) { memcpy(this, &other, sizeof(other)); return *this; }
};
template<>
struct host_layout<GLXHyperpipeNetworkSGIX> {
  using type = GLXHyperpipeNetworkSGIX;
  type data;

  host_layout(const guest_layout<GLXHyperpipeNetworkSGIX>& from) :
    data { from.data } {
  }
};

inline guest_layout<GLXHyperpipeNetworkSGIX> to_guest(const host_layout<GLXHyperpipeNetworkSGIX>& from) {
  guest_layout<GLXHyperpipeNetworkSGIX> ret;
  static_assert(sizeof(from) == sizeof(ret));
  memcpy(&ret, &from, sizeof(from));
  return ret;
}

void fex_apply_custom_repacking_entry(host_layout<GLXHyperpipeNetworkSGIX>& source, const guest_layout<GLXHyperpipeNetworkSGIX>& from) {
}
bool fex_apply_custom_repacking_exit(guest_layout<GLXHyperpipeNetworkSGIX>& into, host_layout<GLXHyperpipeNetworkSGIX>& from) {
  return false;
}
template<> inline constexpr bool has_compatible_data_layout<GLXHyperpipeNetworkSGIX> = true;
template<> inline constexpr bool has_compatible_data_layout<Visual*> = true;
template<>
struct __attribute__((packed)) guest_layout<XVisualInfo> {
  using type = XVisualInfo;
  type data;
};
template<>
struct guest_layout<const XVisualInfo> : guest_layout<XVisualInfo> {
  guest_layout& operator=(const guest_layout<XVisualInfo>& other) { memcpy(this, &other, sizeof(other)); return *this; }
};
template<>
struct host_layout<XVisualInfo> {
  using type = XVisualInfo;
  type data;

  host_layout(const guest_layout<XVisualInfo>& from) :
    data { from.data } {
  }
};

inline guest_layout<XVisualInfo> to_guest(const host_layout<XVisualInfo>& from) {
  guest_layout<XVisualInfo> ret;
  static_assert(sizeof(from) == sizeof(ret));
  memcpy(&ret, &from, sizeof(from));
  return ret;
}

void fex_apply_custom_repacking_entry(host_layout<XVisualInfo>& source, const guest_layout<XVisualInfo>& from) {
}
bool fex_apply_custom_repacking_exit(guest_layout<XVisualInfo>& into, host_layout<XVisualInfo>& from) {
  return false;
}
template<> inline constexpr bool has_compatible_data_layout<XVisualInfo> = true;
using fexldr_type_libGL_glXGetProcAddress = auto (const GLubyte * a_0) -> void (*)(void);
static fexldr_type_libGL_glXGetProcAddress *fexldr_ptr_libGL_glXGetProcAddress;
using fexldr_type_libGL_SetGuestMalloc = auto (uintptr_t a_0, uintptr_t a_1) -> void;
static fexldr_type_libGL_SetGuestMalloc *fexldr_ptr_libGL_SetGuestMalloc;
using fexldr_type_libGL_SetGuestXSync = auto (uintptr_t a_0, uintptr_t a_1) -> void;
static fexldr_type_libGL_SetGuestXSync *fexldr_ptr_libGL_SetGuestXSync;
using fexldr_type_libGL_SetGuestXGetVisualInfo = auto (uintptr_t a_0, uintptr_t a_1) -> void;
static fexldr_type_libGL_SetGuestXGetVisualInfo *fexldr_ptr_libGL_SetGuestXGetVisualInfo;
using fexldr_type_libGL_SetGuestXDisplayString = auto (uintptr_t a_0, uintptr_t a_1) -> void;
static fexldr_type_libGL_SetGuestXDisplayString *fexldr_ptr_libGL_SetGuestXDisplayString;
using fexldr_type_libGL_glXQueryCurrentRendererStringMESA = auto (int a_0) -> const char *;
static fexldr_type_libGL_glXQueryCurrentRendererStringMESA *fexldr_ptr_libGL_glXQueryCurrentRendererStringMESA;
using fexldr_type_libGL_glXQueryRendererStringMESA = auto (Display * a_0, int a_1, int a_2, int a_3) -> const char *;
static fexldr_type_libGL_glXQueryRendererStringMESA *fexldr_ptr_libGL_glXQueryRendererStringMESA;
using fexldr_type_libGL_glXGetContextIDEXT = auto (const GLXContext a_0) -> GLXContextID;
static fexldr_type_libGL_glXGetContextIDEXT *fexldr_ptr_libGL_glXGetContextIDEXT;
using fexldr_type_libGL_glXCreateContextWithConfigSGIX = auto (Display * a_0, GLXFBConfigSGIX a_1, int a_2, GLXContext a_3, int a_4) -> GLXContext;
static fexldr_type_libGL_glXCreateContextWithConfigSGIX *fexldr_ptr_libGL_glXCreateContextWithConfigSGIX;
using fexldr_type_libGL_glXImportContextEXT = auto (Display * a_0, GLXContextID a_1) -> GLXContext;
static fexldr_type_libGL_glXImportContextEXT *fexldr_ptr_libGL_glXImportContextEXT;
using fexldr_type_libGL_glXGetCurrentReadDrawableSGI = auto () -> GLXDrawable;
static fexldr_type_libGL_glXGetCurrentReadDrawableSGI *fexldr_ptr_libGL_glXGetCurrentReadDrawableSGI;
using fexldr_type_libGL_glXChooseFBConfigSGIX = auto (Display * a_0, int a_1, int * a_2, int * a_3) -> GLXFBConfigSGIX *;
static fexldr_type_libGL_glXChooseFBConfigSGIX *fexldr_ptr_libGL_glXChooseFBConfigSGIX;
using fexldr_type_libGL_glXGetFBConfigFromVisualSGIX = auto (Display * a_0, XVisualInfo * a_1) -> GLXFBConfigSGIX;
static fexldr_type_libGL_glXGetFBConfigFromVisualSGIX *fexldr_ptr_libGL_glXGetFBConfigFromVisualSGIX;
using fexldr_type_libGL_glXCreateGLXPbufferSGIX = auto (Display * a_0, GLXFBConfigSGIX a_1, unsigned int a_2, unsigned int a_3, int * a_4) -> GLXPbufferSGIX;
static fexldr_type_libGL_glXCreateGLXPbufferSGIX *fexldr_ptr_libGL_glXCreateGLXPbufferSGIX;
using fexldr_type_libGL_glXCreateGLXPixmapWithConfigSGIX = auto (Display * a_0, GLXFBConfigSGIX a_1, Pixmap a_2) -> GLXPixmap;
static fexldr_type_libGL_glXCreateGLXPixmapWithConfigSGIX *fexldr_ptr_libGL_glXCreateGLXPixmapWithConfigSGIX;
using fexldr_type_libGL_glXSwapBuffersMscOML = auto (Display * a_0, GLXDrawable a_1, int64_t a_2, int64_t a_3, int64_t a_4) -> int64_t;
static fexldr_type_libGL_glXSwapBuffersMscOML *fexldr_ptr_libGL_glXSwapBuffersMscOML;
using fexldr_type_libGL_glXGetFBConfigAttribSGIX = auto (Display * a_0, GLXFBConfigSGIX a_1, int a_2, int * a_3) -> int;
static fexldr_type_libGL_glXGetFBConfigAttribSGIX *fexldr_ptr_libGL_glXGetFBConfigAttribSGIX;
using fexldr_type_libGL_glXGetMscRateOML = auto (Display * a_0, GLXDrawable a_1, int32_t * a_2, int32_t * a_3) -> int;
static fexldr_type_libGL_glXGetMscRateOML *fexldr_ptr_libGL_glXGetMscRateOML;
using fexldr_type_libGL_glXGetSwapIntervalMESA = auto () -> int;
static fexldr_type_libGL_glXGetSwapIntervalMESA *fexldr_ptr_libGL_glXGetSwapIntervalMESA;
using fexldr_type_libGL_glXGetSyncValuesOML = auto (Display * a_0, GLXDrawable a_1, int64_t * a_2, int64_t * a_3, int64_t * a_4) -> int;
static fexldr_type_libGL_glXGetSyncValuesOML *fexldr_ptr_libGL_glXGetSyncValuesOML;
using fexldr_type_libGL_glXGetVideoSyncSGI = auto (unsigned int * a_0) -> int;
static fexldr_type_libGL_glXGetVideoSyncSGI *fexldr_ptr_libGL_glXGetVideoSyncSGI;
using fexldr_type_libGL_glXMakeCurrentReadSGI = auto (Display * a_0, GLXDrawable a_1, GLXDrawable a_2, GLXContext a_3) -> int;
static fexldr_type_libGL_glXMakeCurrentReadSGI *fexldr_ptr_libGL_glXMakeCurrentReadSGI;
using fexldr_type_libGL_glXQueryContextInfoEXT = auto (Display * a_0, GLXContext a_1, int a_2, int * a_3) -> int;
static fexldr_type_libGL_glXQueryContextInfoEXT *fexldr_ptr_libGL_glXQueryContextInfoEXT;
using fexldr_type_libGL_glXQueryCurrentRendererIntegerMESA = auto (int a_0, unsigned int * a_1) -> int;
static fexldr_type_libGL_glXQueryCurrentRendererIntegerMESA *fexldr_ptr_libGL_glXQueryCurrentRendererIntegerMESA;
using fexldr_type_libGL_glXQueryRendererIntegerMESA = auto (Display * a_0, int a_1, int a_2, int a_3, unsigned int * a_4) -> int;
static fexldr_type_libGL_glXQueryRendererIntegerMESA *fexldr_ptr_libGL_glXQueryRendererIntegerMESA;
using fexldr_type_libGL_glXSwapIntervalMESA = auto (unsigned int a_0) -> int;
static fexldr_type_libGL_glXSwapIntervalMESA *fexldr_ptr_libGL_glXSwapIntervalMESA;
using fexldr_type_libGL_glXSwapIntervalSGI = auto (int a_0) -> int;
static fexldr_type_libGL_glXSwapIntervalSGI *fexldr_ptr_libGL_glXSwapIntervalSGI;
using fexldr_type_libGL_glXWaitForMscOML = auto (Display * a_0, GLXDrawable a_1, int64_t a_2, int64_t a_3, int64_t a_4, int64_t * a_5, int64_t * a_6, int64_t * a_7) -> int;
static fexldr_type_libGL_glXWaitForMscOML *fexldr_ptr_libGL_glXWaitForMscOML;
using fexldr_type_libGL_glXWaitForSbcOML = auto (Display * a_0, GLXDrawable a_1, int64_t a_2, int64_t * a_3, int64_t * a_4, int64_t * a_5) -> int;
static fexldr_type_libGL_glXWaitForSbcOML *fexldr_ptr_libGL_glXWaitForSbcOML;
using fexldr_type_libGL_glXWaitVideoSyncSGI = auto (int a_0, int a_1, unsigned int * a_2) -> int;
static fexldr_type_libGL_glXWaitVideoSyncSGI *fexldr_ptr_libGL_glXWaitVideoSyncSGI;
using fexldr_type_libGL_glXBindTexImageEXT = auto (Display * a_0, GLXDrawable a_1, int a_2, const int * a_3) -> void;
static fexldr_type_libGL_glXBindTexImageEXT *fexldr_ptr_libGL_glXBindTexImageEXT;
using fexldr_type_libGL_glXCopySubBufferMESA = auto (Display * a_0, GLXDrawable a_1, int a_2, int a_3, int a_4, int a_5) -> void;
static fexldr_type_libGL_glXCopySubBufferMESA *fexldr_ptr_libGL_glXCopySubBufferMESA;
using fexldr_type_libGL_glXDestroyGLXPbufferSGIX = auto (Display * a_0, GLXPbufferSGIX a_1) -> void;
static fexldr_type_libGL_glXDestroyGLXPbufferSGIX *fexldr_ptr_libGL_glXDestroyGLXPbufferSGIX;
using fexldr_type_libGL_glXFreeContextEXT = auto (Display * a_0, GLXContext a_1) -> void;
static fexldr_type_libGL_glXFreeContextEXT *fexldr_ptr_libGL_glXFreeContextEXT;
using fexldr_type_libGL_glXGetSelectedEventSGIX = auto (Display * a_0, GLXDrawable a_1, unsigned long * a_2) -> void;
static fexldr_type_libGL_glXGetSelectedEventSGIX *fexldr_ptr_libGL_glXGetSelectedEventSGIX;
using fexldr_type_libGL_glXQueryGLXPbufferSGIX = auto (Display * a_0, GLXPbufferSGIX a_1, int a_2, unsigned int * a_3) -> void;
static fexldr_type_libGL_glXQueryGLXPbufferSGIX *fexldr_ptr_libGL_glXQueryGLXPbufferSGIX;
using fexldr_type_libGL_glXReleaseTexImageEXT = auto (Display * a_0, GLXDrawable a_1, int a_2) -> void;
static fexldr_type_libGL_glXReleaseTexImageEXT *fexldr_ptr_libGL_glXReleaseTexImageEXT;
using fexldr_type_libGL_glXSelectEventSGIX = auto (Display * a_0, GLXDrawable a_1, unsigned long a_2) -> void;
static fexldr_type_libGL_glXSelectEventSGIX *fexldr_ptr_libGL_glXSelectEventSGIX;
using fexldr_type_libGL_glXGetVisualFromFBConfigSGIX = auto (Display * a_0, GLXFBConfigSGIX a_1) -> XVisualInfo *;
static fexldr_type_libGL_glXGetVisualFromFBConfigSGIX *fexldr_ptr_libGL_glXGetVisualFromFBConfigSGIX;
using fexldr_type_libGL_glXGetClientString = auto (Display * a_0, int a_1) -> const char *;
static fexldr_type_libGL_glXGetClientString *fexldr_ptr_libGL_glXGetClientString;
using fexldr_type_libGL_glXQueryExtensionsString = auto (Display * a_0, int a_1) -> const char *;
static fexldr_type_libGL_glXQueryExtensionsString *fexldr_ptr_libGL_glXQueryExtensionsString;
using fexldr_type_libGL_glXQueryServerString = auto (Display * a_0, int a_1, int a_2) -> const char *;
static fexldr_type_libGL_glXQueryServerString *fexldr_ptr_libGL_glXQueryServerString;
using fexldr_type_libGL_glXGetCurrentDisplay = auto () -> Display *;
static fexldr_type_libGL_glXGetCurrentDisplay *fexldr_ptr_libGL_glXGetCurrentDisplay;
using fexldr_type_libGL_glXCreateContext = auto (Display * a_0, XVisualInfo * a_1, GLXContext a_2, int a_3) -> GLXContext;
static fexldr_type_libGL_glXCreateContext *fexldr_ptr_libGL_glXCreateContext;
using fexldr_type_libGL_glXCreateNewContext = auto (Display * a_0, GLXFBConfig a_1, int a_2, GLXContext a_3, int a_4) -> GLXContext;
static fexldr_type_libGL_glXCreateNewContext *fexldr_ptr_libGL_glXCreateNewContext;
using fexldr_type_libGL_glXGetCurrentContext = auto () -> GLXContext;
static fexldr_type_libGL_glXGetCurrentContext *fexldr_ptr_libGL_glXGetCurrentContext;
using fexldr_type_libGL_glXGetCurrentDrawable = auto () -> GLXDrawable;
static fexldr_type_libGL_glXGetCurrentDrawable *fexldr_ptr_libGL_glXGetCurrentDrawable;
using fexldr_type_libGL_glXGetCurrentReadDrawable = auto () -> GLXDrawable;
static fexldr_type_libGL_glXGetCurrentReadDrawable *fexldr_ptr_libGL_glXGetCurrentReadDrawable;
using fexldr_type_libGL_glXChooseFBConfig = auto (Display * a_0, int a_1, const int * a_2, int * a_3) -> GLXFBConfig *;
static fexldr_type_libGL_glXChooseFBConfig *fexldr_ptr_libGL_glXChooseFBConfig;
using fexldr_type_libGL_glXGetFBConfigs = auto (Display * a_0, int a_1, int * a_2) -> GLXFBConfig *;
static fexldr_type_libGL_glXGetFBConfigs *fexldr_ptr_libGL_glXGetFBConfigs;
using fexldr_type_libGL_glXCreatePbuffer = auto (Display * a_0, GLXFBConfig a_1, const int * a_2) -> GLXPbuffer;
static fexldr_type_libGL_glXCreatePbuffer *fexldr_ptr_libGL_glXCreatePbuffer;
using fexldr_type_libGL_glXCreateGLXPixmap = auto (Display * a_0, XVisualInfo * a_1, Pixmap a_2) -> GLXPixmap;
static fexldr_type_libGL_glXCreateGLXPixmap *fexldr_ptr_libGL_glXCreateGLXPixmap;
using fexldr_type_libGL_glXCreatePixmap = auto (Display * a_0, GLXFBConfig a_1, Pixmap a_2, const int * a_3) -> GLXPixmap;
static fexldr_type_libGL_glXCreatePixmap *fexldr_ptr_libGL_glXCreatePixmap;
using fexldr_type_libGL_glXCreateWindow = auto (Display * a_0, GLXFBConfig a_1, Window a_2, const int * a_3) -> GLXWindow;
static fexldr_type_libGL_glXCreateWindow *fexldr_ptr_libGL_glXCreateWindow;
using fexldr_type_libGL_glXGetConfig = auto (Display * a_0, XVisualInfo * a_1, int a_2, int * a_3) -> int;
static fexldr_type_libGL_glXGetConfig *fexldr_ptr_libGL_glXGetConfig;
using fexldr_type_libGL_glXGetFBConfigAttrib = auto (Display * a_0, GLXFBConfig a_1, int a_2, int * a_3) -> int;
static fexldr_type_libGL_glXGetFBConfigAttrib *fexldr_ptr_libGL_glXGetFBConfigAttrib;
using fexldr_type_libGL_glXIsDirect = auto (Display * a_0, GLXContext a_1) -> int;
static fexldr_type_libGL_glXIsDirect *fexldr_ptr_libGL_glXIsDirect;
using fexldr_type_libGL_glXMakeContextCurrent = auto (Display * a_0, GLXDrawable a_1, GLXDrawable a_2, GLXContext a_3) -> int;
static fexldr_type_libGL_glXMakeContextCurrent *fexldr_ptr_libGL_glXMakeContextCurrent;
using fexldr_type_libGL_glXMakeCurrent = auto (Display * a_0, GLXDrawable a_1, GLXContext a_2) -> int;
static fexldr_type_libGL_glXMakeCurrent *fexldr_ptr_libGL_glXMakeCurrent;
using fexldr_type_libGL_glXQueryContext = auto (Display * a_0, GLXContext a_1, int a_2, int * a_3) -> int;
static fexldr_type_libGL_glXQueryContext *fexldr_ptr_libGL_glXQueryContext;
using fexldr_type_libGL_glXQueryExtension = auto (Display * a_0, int * a_1, int * a_2) -> int;
static fexldr_type_libGL_glXQueryExtension *fexldr_ptr_libGL_glXQueryExtension;
using fexldr_type_libGL_glXQueryVersion = auto (Display * a_0, int * a_1, int * a_2) -> int;
static fexldr_type_libGL_glXQueryVersion *fexldr_ptr_libGL_glXQueryVersion;
using fexldr_type_libGL_glXAllocateMemoryNV = auto (GLsizei a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void *;
static fexldr_type_libGL_glXAllocateMemoryNV *fexldr_ptr_libGL_glXAllocateMemoryNV;
using fexldr_type_libGL_glXCopyContext = auto (Display * a_0, GLXContext a_1, GLXContext a_2, unsigned long a_3) -> void;
static fexldr_type_libGL_glXCopyContext *fexldr_ptr_libGL_glXCopyContext;
using fexldr_type_libGL_glXDestroyContext = auto (Display * a_0, GLXContext a_1) -> void;
static fexldr_type_libGL_glXDestroyContext *fexldr_ptr_libGL_glXDestroyContext;
using fexldr_type_libGL_glXDestroyGLXPixmap = auto (Display * a_0, GLXPixmap a_1) -> void;
static fexldr_type_libGL_glXDestroyGLXPixmap *fexldr_ptr_libGL_glXDestroyGLXPixmap;
using fexldr_type_libGL_glXDestroyPbuffer = auto (Display * a_0, GLXPbuffer a_1) -> void;
static fexldr_type_libGL_glXDestroyPbuffer *fexldr_ptr_libGL_glXDestroyPbuffer;
using fexldr_type_libGL_glXDestroyPixmap = auto (Display * a_0, GLXPixmap a_1) -> void;
static fexldr_type_libGL_glXDestroyPixmap *fexldr_ptr_libGL_glXDestroyPixmap;
using fexldr_type_libGL_glXDestroyWindow = auto (Display * a_0, GLXWindow a_1) -> void;
static fexldr_type_libGL_glXDestroyWindow *fexldr_ptr_libGL_glXDestroyWindow;
using fexldr_type_libGL_glXFreeMemoryNV = auto (GLvoid * a_0) -> void;
static fexldr_type_libGL_glXFreeMemoryNV *fexldr_ptr_libGL_glXFreeMemoryNV;
using fexldr_type_libGL_glXGetSelectedEvent = auto (Display * a_0, GLXDrawable a_1, unsigned long * a_2) -> void;
static fexldr_type_libGL_glXGetSelectedEvent *fexldr_ptr_libGL_glXGetSelectedEvent;
using fexldr_type_libGL_glXQueryDrawable = auto (Display * a_0, GLXDrawable a_1, int a_2, unsigned int * a_3) -> void;
static fexldr_type_libGL_glXQueryDrawable *fexldr_ptr_libGL_glXQueryDrawable;
using fexldr_type_libGL_glXSelectEvent = auto (Display * a_0, GLXDrawable a_1, unsigned long a_2) -> void;
static fexldr_type_libGL_glXSelectEvent *fexldr_ptr_libGL_glXSelectEvent;
using fexldr_type_libGL_glXSwapBuffers = auto (Display * a_0, GLXDrawable a_1) -> void;
static fexldr_type_libGL_glXSwapBuffers *fexldr_ptr_libGL_glXSwapBuffers;
using fexldr_type_libGL_glXUseXFont = auto (Font a_0, int a_1, int a_2, int a_3) -> void;
static fexldr_type_libGL_glXUseXFont *fexldr_ptr_libGL_glXUseXFont;
using fexldr_type_libGL_glXWaitGL = auto () -> void;
static fexldr_type_libGL_glXWaitGL *fexldr_ptr_libGL_glXWaitGL;
using fexldr_type_libGL_glXChooseVisual = auto (Display * a_0, int a_1, int * a_2) -> XVisualInfo *;
static fexldr_type_libGL_glXChooseVisual *fexldr_ptr_libGL_glXChooseVisual;
using fexldr_type_libGL_glXGetVisualFromFBConfig = auto (Display * a_0, GLXFBConfig a_1) -> XVisualInfo *;
static fexldr_type_libGL_glXGetVisualFromFBConfig *fexldr_ptr_libGL_glXGetVisualFromFBConfig;
using fexldr_type_libGL_glXCreateContextAttribsARB = auto (Display * a_0, GLXFBConfig a_1, GLXContext a_2, int a_3, const int * a_4) -> GLXContext;
static fexldr_type_libGL_glXCreateContextAttribsARB *fexldr_ptr_libGL_glXCreateContextAttribsARB;
using fexldr_type_libGL_glXSwapIntervalEXT = auto (Display * a_0, GLXDrawable a_1, int a_2) -> void;
static fexldr_type_libGL_glXSwapIntervalEXT *fexldr_ptr_libGL_glXSwapIntervalEXT;
using fexldr_type_libGL_glColorP3ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glColorP3ui *fexldr_ptr_libGL_glColorP3ui;
using fexldr_type_libGL_glColorP3uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glColorP3uiv *fexldr_ptr_libGL_glColorP3uiv;
using fexldr_type_libGL_glColorP4ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glColorP4ui *fexldr_ptr_libGL_glColorP4ui;
using fexldr_type_libGL_glColorP4uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glColorP4uiv *fexldr_ptr_libGL_glColorP4uiv;
using fexldr_type_libGL_glFogCoordd = auto (GLdouble a_0) -> void;
static fexldr_type_libGL_glFogCoordd *fexldr_ptr_libGL_glFogCoordd;
using fexldr_type_libGL_glFogCoorddv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glFogCoorddv *fexldr_ptr_libGL_glFogCoorddv;
using fexldr_type_libGL_glFogCoordf = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glFogCoordf *fexldr_ptr_libGL_glFogCoordf;
using fexldr_type_libGL_glFogCoordfv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glFogCoordfv *fexldr_ptr_libGL_glFogCoordfv;
using fexldr_type_libGL_glFogCoordPointer = auto (GLenum a_0, GLsizei a_1, const void * a_2) -> void;
static fexldr_type_libGL_glFogCoordPointer *fexldr_ptr_libGL_glFogCoordPointer;
using fexldr_type_libGL_glGetnColorTableARB = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLsizei a_3, void * a_4) -> void;
static fexldr_type_libGL_glGetnColorTableARB *fexldr_ptr_libGL_glGetnColorTableARB;
using fexldr_type_libGL_glGetnConvolutionFilterARB = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLsizei a_3, void * a_4) -> void;
static fexldr_type_libGL_glGetnConvolutionFilterARB *fexldr_ptr_libGL_glGetnConvolutionFilterARB;
using fexldr_type_libGL_glGetnHistogramARB = auto (GLenum a_0, GLboolean a_1, GLenum a_2, GLenum a_3, GLsizei a_4, void * a_5) -> void;
static fexldr_type_libGL_glGetnHistogramARB *fexldr_ptr_libGL_glGetnHistogramARB;
using fexldr_type_libGL_glGetnColorTable = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLsizei a_3, void * a_4) -> void;
static fexldr_type_libGL_glGetnColorTable *fexldr_ptr_libGL_glGetnColorTable;
using fexldr_type_libGL_glGetnConvolutionFilter = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLsizei a_3, void * a_4) -> void;
static fexldr_type_libGL_glGetnConvolutionFilter *fexldr_ptr_libGL_glGetnConvolutionFilter;
using fexldr_type_libGL_glGetnHistogram = auto (GLenum a_0, GLboolean a_1, GLenum a_2, GLenum a_3, GLsizei a_4, void * a_5) -> void;
static fexldr_type_libGL_glGetnHistogram *fexldr_ptr_libGL_glGetnHistogram;
using fexldr_type_libGL_glGetnMapdv = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLdouble * a_3) -> void;
static fexldr_type_libGL_glGetnMapdv *fexldr_ptr_libGL_glGetnMapdv;
using fexldr_type_libGL_glGetnMapfv = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetnMapfv *fexldr_ptr_libGL_glGetnMapfv;
using fexldr_type_libGL_glGetnMapiv = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetnMapiv *fexldr_ptr_libGL_glGetnMapiv;
using fexldr_type_libGL_glGetnPixelMapfv = auto (GLenum a_0, GLsizei a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetnPixelMapfv *fexldr_ptr_libGL_glGetnPixelMapfv;
using fexldr_type_libGL_glGetnPixelMapuiv = auto (GLenum a_0, GLsizei a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetnPixelMapuiv *fexldr_ptr_libGL_glGetnPixelMapuiv;
using fexldr_type_libGL_glGetnPixelMapusv = auto (GLenum a_0, GLsizei a_1, GLushort * a_2) -> void;
static fexldr_type_libGL_glGetnPixelMapusv *fexldr_ptr_libGL_glGetnPixelMapusv;
using fexldr_type_libGL_glGetnPolygonStipple = auto (GLsizei a_0, GLubyte * a_1) -> void;
static fexldr_type_libGL_glGetnPolygonStipple *fexldr_ptr_libGL_glGetnPolygonStipple;
using fexldr_type_libGL_glGetnSeparableFilter = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLsizei a_3, void * a_4, GLsizei a_5, void * a_6, void * a_7) -> void;
static fexldr_type_libGL_glGetnSeparableFilter *fexldr_ptr_libGL_glGetnSeparableFilter;
using fexldr_type_libGL_glGetnMinmax = auto (GLenum a_0, GLboolean a_1, GLenum a_2, GLenum a_3, GLsizei a_4, void * a_5) -> void;
static fexldr_type_libGL_glGetnMinmax *fexldr_ptr_libGL_glGetnMinmax;
using fexldr_type_libGL_glGetnMapdvARB = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLdouble * a_3) -> void;
static fexldr_type_libGL_glGetnMapdvARB *fexldr_ptr_libGL_glGetnMapdvARB;
using fexldr_type_libGL_glGetnMapfvARB = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetnMapfvARB *fexldr_ptr_libGL_glGetnMapfvARB;
using fexldr_type_libGL_glGetnMapivARB = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetnMapivARB *fexldr_ptr_libGL_glGetnMapivARB;
using fexldr_type_libGL_glGetnMinmaxARB = auto (GLenum a_0, GLboolean a_1, GLenum a_2, GLenum a_3, GLsizei a_4, void * a_5) -> void;
static fexldr_type_libGL_glGetnMinmaxARB *fexldr_ptr_libGL_glGetnMinmaxARB;
using fexldr_type_libGL_glGetnPixelMapfvARB = auto (GLenum a_0, GLsizei a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetnPixelMapfvARB *fexldr_ptr_libGL_glGetnPixelMapfvARB;
using fexldr_type_libGL_glGetnPixelMapuivARB = auto (GLenum a_0, GLsizei a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetnPixelMapuivARB *fexldr_ptr_libGL_glGetnPixelMapuivARB;
using fexldr_type_libGL_glGetnPixelMapusvARB = auto (GLenum a_0, GLsizei a_1, GLushort * a_2) -> void;
static fexldr_type_libGL_glGetnPixelMapusvARB *fexldr_ptr_libGL_glGetnPixelMapusvARB;
using fexldr_type_libGL_glGetnPolygonStippleARB = auto (GLsizei a_0, GLubyte * a_1) -> void;
static fexldr_type_libGL_glGetnPolygonStippleARB *fexldr_ptr_libGL_glGetnPolygonStippleARB;
using fexldr_type_libGL_glGetnSeparableFilterARB = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLsizei a_3, void * a_4, GLsizei a_5, void * a_6, void * a_7) -> void;
static fexldr_type_libGL_glGetnSeparableFilterARB *fexldr_ptr_libGL_glGetnSeparableFilterARB;
using fexldr_type_libGL_glMultiTexCoordP1ui = auto (GLenum a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glMultiTexCoordP1ui *fexldr_ptr_libGL_glMultiTexCoordP1ui;
using fexldr_type_libGL_glMultiTexCoordP1uiv = auto (GLenum a_0, GLenum a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glMultiTexCoordP1uiv *fexldr_ptr_libGL_glMultiTexCoordP1uiv;
using fexldr_type_libGL_glMultiTexCoordP2ui = auto (GLenum a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glMultiTexCoordP2ui *fexldr_ptr_libGL_glMultiTexCoordP2ui;
using fexldr_type_libGL_glMultiTexCoordP2uiv = auto (GLenum a_0, GLenum a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glMultiTexCoordP2uiv *fexldr_ptr_libGL_glMultiTexCoordP2uiv;
using fexldr_type_libGL_glMultiTexCoordP3ui = auto (GLenum a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glMultiTexCoordP3ui *fexldr_ptr_libGL_glMultiTexCoordP3ui;
using fexldr_type_libGL_glMultiTexCoordP3uiv = auto (GLenum a_0, GLenum a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glMultiTexCoordP3uiv *fexldr_ptr_libGL_glMultiTexCoordP3uiv;
using fexldr_type_libGL_glMultiTexCoordP4ui = auto (GLenum a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glMultiTexCoordP4ui *fexldr_ptr_libGL_glMultiTexCoordP4ui;
using fexldr_type_libGL_glMultiTexCoordP4uiv = auto (GLenum a_0, GLenum a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glMultiTexCoordP4uiv *fexldr_ptr_libGL_glMultiTexCoordP4uiv;
using fexldr_type_libGL_glNormalP3ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glNormalP3ui *fexldr_ptr_libGL_glNormalP3ui;
using fexldr_type_libGL_glNormalP3uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glNormalP3uiv *fexldr_ptr_libGL_glNormalP3uiv;
using fexldr_type_libGL_glSecondaryColor3b = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3b *fexldr_ptr_libGL_glSecondaryColor3b;
using fexldr_type_libGL_glSecondaryColor3bv = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3bv *fexldr_ptr_libGL_glSecondaryColor3bv;
using fexldr_type_libGL_glSecondaryColor3d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3d *fexldr_ptr_libGL_glSecondaryColor3d;
using fexldr_type_libGL_glSecondaryColor3dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3dv *fexldr_ptr_libGL_glSecondaryColor3dv;
using fexldr_type_libGL_glSecondaryColor3f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3f *fexldr_ptr_libGL_glSecondaryColor3f;
using fexldr_type_libGL_glSecondaryColor3fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3fv *fexldr_ptr_libGL_glSecondaryColor3fv;
using fexldr_type_libGL_glSecondaryColor3i = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3i *fexldr_ptr_libGL_glSecondaryColor3i;
using fexldr_type_libGL_glSecondaryColor3iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3iv *fexldr_ptr_libGL_glSecondaryColor3iv;
using fexldr_type_libGL_glSecondaryColor3s = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3s *fexldr_ptr_libGL_glSecondaryColor3s;
using fexldr_type_libGL_glSecondaryColor3sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3sv *fexldr_ptr_libGL_glSecondaryColor3sv;
using fexldr_type_libGL_glSecondaryColor3ub = auto (GLubyte a_0, GLubyte a_1, GLubyte a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3ub *fexldr_ptr_libGL_glSecondaryColor3ub;
using fexldr_type_libGL_glSecondaryColor3ubv = auto (const GLubyte * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3ubv *fexldr_ptr_libGL_glSecondaryColor3ubv;
using fexldr_type_libGL_glSecondaryColor3ui = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3ui *fexldr_ptr_libGL_glSecondaryColor3ui;
using fexldr_type_libGL_glSecondaryColor3uiv = auto (const GLuint * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3uiv *fexldr_ptr_libGL_glSecondaryColor3uiv;
using fexldr_type_libGL_glSecondaryColor3us = auto (GLushort a_0, GLushort a_1, GLushort a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3us *fexldr_ptr_libGL_glSecondaryColor3us;
using fexldr_type_libGL_glSecondaryColor3usv = auto (const GLushort * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3usv *fexldr_ptr_libGL_glSecondaryColor3usv;
using fexldr_type_libGL_glSecondaryColorP3ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glSecondaryColorP3ui *fexldr_ptr_libGL_glSecondaryColorP3ui;
using fexldr_type_libGL_glSecondaryColorP3uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glSecondaryColorP3uiv *fexldr_ptr_libGL_glSecondaryColorP3uiv;
using fexldr_type_libGL_glSecondaryColorPointer = auto (GLint a_0, GLenum a_1, GLsizei a_2, const void * a_3) -> void;
static fexldr_type_libGL_glSecondaryColorPointer *fexldr_ptr_libGL_glSecondaryColorPointer;
using fexldr_type_libGL_glTexCoordP1ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glTexCoordP1ui *fexldr_ptr_libGL_glTexCoordP1ui;
using fexldr_type_libGL_glTexCoordP1uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glTexCoordP1uiv *fexldr_ptr_libGL_glTexCoordP1uiv;
using fexldr_type_libGL_glTexCoordP2ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glTexCoordP2ui *fexldr_ptr_libGL_glTexCoordP2ui;
using fexldr_type_libGL_glTexCoordP2uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glTexCoordP2uiv *fexldr_ptr_libGL_glTexCoordP2uiv;
using fexldr_type_libGL_glTexCoordP3ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glTexCoordP3ui *fexldr_ptr_libGL_glTexCoordP3ui;
using fexldr_type_libGL_glTexCoordP3uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glTexCoordP3uiv *fexldr_ptr_libGL_glTexCoordP3uiv;
using fexldr_type_libGL_glTexCoordP4ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glTexCoordP4ui *fexldr_ptr_libGL_glTexCoordP4ui;
using fexldr_type_libGL_glTexCoordP4uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glTexCoordP4uiv *fexldr_ptr_libGL_glTexCoordP4uiv;
using fexldr_type_libGL_glVertexP2ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glVertexP2ui *fexldr_ptr_libGL_glVertexP2ui;
using fexldr_type_libGL_glVertexP2uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexP2uiv *fexldr_ptr_libGL_glVertexP2uiv;
using fexldr_type_libGL_glVertexP3ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glVertexP3ui *fexldr_ptr_libGL_glVertexP3ui;
using fexldr_type_libGL_glVertexP3uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexP3uiv *fexldr_ptr_libGL_glVertexP3uiv;
using fexldr_type_libGL_glVertexP4ui = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glVertexP4ui *fexldr_ptr_libGL_glVertexP4ui;
using fexldr_type_libGL_glVertexP4uiv = auto (GLenum a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexP4uiv *fexldr_ptr_libGL_glVertexP4uiv;
using fexldr_type_libGL_glWindowPos2d = auto (GLdouble a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glWindowPos2d *fexldr_ptr_libGL_glWindowPos2d;
using fexldr_type_libGL_glWindowPos2dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glWindowPos2dv *fexldr_ptr_libGL_glWindowPos2dv;
using fexldr_type_libGL_glWindowPos2f = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glWindowPos2f *fexldr_ptr_libGL_glWindowPos2f;
using fexldr_type_libGL_glWindowPos2fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glWindowPos2fv *fexldr_ptr_libGL_glWindowPos2fv;
using fexldr_type_libGL_glWindowPos2i = auto (GLint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glWindowPos2i *fexldr_ptr_libGL_glWindowPos2i;
using fexldr_type_libGL_glWindowPos2iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glWindowPos2iv *fexldr_ptr_libGL_glWindowPos2iv;
using fexldr_type_libGL_glWindowPos2s = auto (GLshort a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glWindowPos2s *fexldr_ptr_libGL_glWindowPos2s;
using fexldr_type_libGL_glWindowPos2sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glWindowPos2sv *fexldr_ptr_libGL_glWindowPos2sv;
using fexldr_type_libGL_glWindowPos3d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glWindowPos3d *fexldr_ptr_libGL_glWindowPos3d;
using fexldr_type_libGL_glWindowPos3dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glWindowPos3dv *fexldr_ptr_libGL_glWindowPos3dv;
using fexldr_type_libGL_glWindowPos3f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glWindowPos3f *fexldr_ptr_libGL_glWindowPos3f;
using fexldr_type_libGL_glWindowPos3fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glWindowPos3fv *fexldr_ptr_libGL_glWindowPos3fv;
using fexldr_type_libGL_glWindowPos3i = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glWindowPos3i *fexldr_ptr_libGL_glWindowPos3i;
using fexldr_type_libGL_glWindowPos3iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glWindowPos3iv *fexldr_ptr_libGL_glWindowPos3iv;
using fexldr_type_libGL_glWindowPos3s = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glWindowPos3s *fexldr_ptr_libGL_glWindowPos3s;
using fexldr_type_libGL_glWindowPos3sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glWindowPos3sv *fexldr_ptr_libGL_glWindowPos3sv;
using fexldr_type_libGL_glGetString = auto (GLenum a_0) -> const GLubyte *;
static fexldr_type_libGL_glGetString *fexldr_ptr_libGL_glGetString;
using fexldr_type_libGL_glGetStringi = auto (GLenum a_0, GLuint a_1) -> const GLubyte *;
static fexldr_type_libGL_glGetStringi *fexldr_ptr_libGL_glGetStringi;
using fexldr_type_libGL_glQueryMatrixxOES = auto (GLfixed * a_0, GLint * a_1) -> GLbitfield;
static fexldr_type_libGL_glQueryMatrixxOES *fexldr_ptr_libGL_glQueryMatrixxOES;
using fexldr_type_libGL_glAcquireKeyedMutexWin32EXT = auto (GLuint a_0, GLuint64 a_1, GLuint a_2) -> GLboolean;
static fexldr_type_libGL_glAcquireKeyedMutexWin32EXT *fexldr_ptr_libGL_glAcquireKeyedMutexWin32EXT;
using fexldr_type_libGL_glAreProgramsResidentNV = auto (GLsizei a_0, const GLuint * a_1, GLboolean * a_2) -> GLboolean;
static fexldr_type_libGL_glAreProgramsResidentNV *fexldr_ptr_libGL_glAreProgramsResidentNV;
using fexldr_type_libGL_glAreTexturesResidentEXT = auto (GLsizei a_0, const GLuint * a_1, GLboolean * a_2) -> GLboolean;
static fexldr_type_libGL_glAreTexturesResidentEXT *fexldr_ptr_libGL_glAreTexturesResidentEXT;
using fexldr_type_libGL_glAreTexturesResident = auto (GLsizei a_0, const GLuint * a_1, GLboolean * a_2) -> GLboolean;
static fexldr_type_libGL_glAreTexturesResident *fexldr_ptr_libGL_glAreTexturesResident;
using fexldr_type_libGL_glIsAsyncMarkerSGIX = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsAsyncMarkerSGIX *fexldr_ptr_libGL_glIsAsyncMarkerSGIX;
using fexldr_type_libGL_glIsBufferARB = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsBufferARB *fexldr_ptr_libGL_glIsBufferARB;
using fexldr_type_libGL_glIsBuffer = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsBuffer *fexldr_ptr_libGL_glIsBuffer;
using fexldr_type_libGL_glIsBufferResidentNV = auto (GLenum a_0) -> GLboolean;
static fexldr_type_libGL_glIsBufferResidentNV *fexldr_ptr_libGL_glIsBufferResidentNV;
using fexldr_type_libGL_glIsCommandListNV = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsCommandListNV *fexldr_ptr_libGL_glIsCommandListNV;
using fexldr_type_libGL_glIsEnabled = auto (GLenum a_0) -> GLboolean;
static fexldr_type_libGL_glIsEnabled *fexldr_ptr_libGL_glIsEnabled;
using fexldr_type_libGL_glIsEnabledi = auto (GLenum a_0, GLuint a_1) -> GLboolean;
static fexldr_type_libGL_glIsEnabledi *fexldr_ptr_libGL_glIsEnabledi;
using fexldr_type_libGL_glIsEnabledIndexedEXT = auto (GLenum a_0, GLuint a_1) -> GLboolean;
static fexldr_type_libGL_glIsEnabledIndexedEXT *fexldr_ptr_libGL_glIsEnabledIndexedEXT;
using fexldr_type_libGL_glIsFenceAPPLE = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsFenceAPPLE *fexldr_ptr_libGL_glIsFenceAPPLE;
using fexldr_type_libGL_glIsFenceNV = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsFenceNV *fexldr_ptr_libGL_glIsFenceNV;
using fexldr_type_libGL_glIsFramebufferEXT = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsFramebufferEXT *fexldr_ptr_libGL_glIsFramebufferEXT;
using fexldr_type_libGL_glIsFramebuffer = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsFramebuffer *fexldr_ptr_libGL_glIsFramebuffer;
using fexldr_type_libGL_glIsImageHandleResidentARB = auto (GLuint64 a_0) -> GLboolean;
static fexldr_type_libGL_glIsImageHandleResidentARB *fexldr_ptr_libGL_glIsImageHandleResidentARB;
using fexldr_type_libGL_glIsImageHandleResidentNV = auto (GLuint64 a_0) -> GLboolean;
static fexldr_type_libGL_glIsImageHandleResidentNV *fexldr_ptr_libGL_glIsImageHandleResidentNV;
using fexldr_type_libGL_glIsList = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsList *fexldr_ptr_libGL_glIsList;
using fexldr_type_libGL_glIsMemoryObjectEXT = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsMemoryObjectEXT *fexldr_ptr_libGL_glIsMemoryObjectEXT;
using fexldr_type_libGL_glIsNameAMD = auto (GLenum a_0, GLuint a_1) -> GLboolean;
static fexldr_type_libGL_glIsNameAMD *fexldr_ptr_libGL_glIsNameAMD;
using fexldr_type_libGL_glIsNamedBufferResidentNV = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsNamedBufferResidentNV *fexldr_ptr_libGL_glIsNamedBufferResidentNV;
using fexldr_type_libGL_glIsNamedStringARB = auto (GLint a_0, const GLchar * a_1) -> GLboolean;
static fexldr_type_libGL_glIsNamedStringARB *fexldr_ptr_libGL_glIsNamedStringARB;
using fexldr_type_libGL_glIsObjectBufferATI = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsObjectBufferATI *fexldr_ptr_libGL_glIsObjectBufferATI;
using fexldr_type_libGL_glIsOcclusionQueryNV = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsOcclusionQueryNV *fexldr_ptr_libGL_glIsOcclusionQueryNV;
using fexldr_type_libGL_glIsPathNV = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsPathNV *fexldr_ptr_libGL_glIsPathNV;
using fexldr_type_libGL_glIsPointInFillPathNV = auto (GLuint a_0, GLuint a_1, GLfloat a_2, GLfloat a_3) -> GLboolean;
static fexldr_type_libGL_glIsPointInFillPathNV *fexldr_ptr_libGL_glIsPointInFillPathNV;
using fexldr_type_libGL_glIsPointInStrokePathNV = auto (GLuint a_0, GLfloat a_1, GLfloat a_2) -> GLboolean;
static fexldr_type_libGL_glIsPointInStrokePathNV *fexldr_ptr_libGL_glIsPointInStrokePathNV;
using fexldr_type_libGL_glIsProgramARB = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsProgramARB *fexldr_ptr_libGL_glIsProgramARB;
using fexldr_type_libGL_glIsProgram = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsProgram *fexldr_ptr_libGL_glIsProgram;
using fexldr_type_libGL_glIsProgramNV = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsProgramNV *fexldr_ptr_libGL_glIsProgramNV;
using fexldr_type_libGL_glIsProgramPipeline = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsProgramPipeline *fexldr_ptr_libGL_glIsProgramPipeline;
using fexldr_type_libGL_glIsQueryARB = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsQueryARB *fexldr_ptr_libGL_glIsQueryARB;
using fexldr_type_libGL_glIsQuery = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsQuery *fexldr_ptr_libGL_glIsQuery;
using fexldr_type_libGL_glIsRenderbufferEXT = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsRenderbufferEXT *fexldr_ptr_libGL_glIsRenderbufferEXT;
using fexldr_type_libGL_glIsRenderbuffer = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsRenderbuffer *fexldr_ptr_libGL_glIsRenderbuffer;
using fexldr_type_libGL_glIsSampler = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsSampler *fexldr_ptr_libGL_glIsSampler;
using fexldr_type_libGL_glIsSemaphoreEXT = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsSemaphoreEXT *fexldr_ptr_libGL_glIsSemaphoreEXT;
using fexldr_type_libGL_glIsShader = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsShader *fexldr_ptr_libGL_glIsShader;
using fexldr_type_libGL_glIsStateNV = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsStateNV *fexldr_ptr_libGL_glIsStateNV;
using fexldr_type_libGL_glIsSync = auto (GLsync a_0) -> GLboolean;
static fexldr_type_libGL_glIsSync *fexldr_ptr_libGL_glIsSync;
using fexldr_type_libGL_glIsTextureEXT = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsTextureEXT *fexldr_ptr_libGL_glIsTextureEXT;
using fexldr_type_libGL_glIsTexture = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsTexture *fexldr_ptr_libGL_glIsTexture;
using fexldr_type_libGL_glIsTextureHandleResidentARB = auto (GLuint64 a_0) -> GLboolean;
static fexldr_type_libGL_glIsTextureHandleResidentARB *fexldr_ptr_libGL_glIsTextureHandleResidentARB;
using fexldr_type_libGL_glIsTextureHandleResidentNV = auto (GLuint64 a_0) -> GLboolean;
static fexldr_type_libGL_glIsTextureHandleResidentNV *fexldr_ptr_libGL_glIsTextureHandleResidentNV;
using fexldr_type_libGL_glIsTransformFeedback = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsTransformFeedback *fexldr_ptr_libGL_glIsTransformFeedback;
using fexldr_type_libGL_glIsTransformFeedbackNV = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsTransformFeedbackNV *fexldr_ptr_libGL_glIsTransformFeedbackNV;
using fexldr_type_libGL_glIsVariantEnabledEXT = auto (GLuint a_0, GLenum a_1) -> GLboolean;
static fexldr_type_libGL_glIsVariantEnabledEXT *fexldr_ptr_libGL_glIsVariantEnabledEXT;
using fexldr_type_libGL_glIsVertexArrayAPPLE = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsVertexArrayAPPLE *fexldr_ptr_libGL_glIsVertexArrayAPPLE;
using fexldr_type_libGL_glIsVertexArray = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glIsVertexArray *fexldr_ptr_libGL_glIsVertexArray;
using fexldr_type_libGL_glIsVertexAttribEnabledAPPLE = auto (GLuint a_0, GLenum a_1) -> GLboolean;
static fexldr_type_libGL_glIsVertexAttribEnabledAPPLE *fexldr_ptr_libGL_glIsVertexAttribEnabledAPPLE;
using fexldr_type_libGL_glPointAlongPathNV = auto (GLuint a_0, GLsizei a_1, GLsizei a_2, GLfloat a_3, GLfloat * a_4, GLfloat * a_5, GLfloat * a_6, GLfloat * a_7) -> GLboolean;
static fexldr_type_libGL_glPointAlongPathNV *fexldr_ptr_libGL_glPointAlongPathNV;
using fexldr_type_libGL_glReleaseKeyedMutexWin32EXT = auto (GLuint a_0, GLuint64 a_1) -> GLboolean;
static fexldr_type_libGL_glReleaseKeyedMutexWin32EXT *fexldr_ptr_libGL_glReleaseKeyedMutexWin32EXT;
using fexldr_type_libGL_glTestFenceAPPLE = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glTestFenceAPPLE *fexldr_ptr_libGL_glTestFenceAPPLE;
using fexldr_type_libGL_glTestFenceNV = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glTestFenceNV *fexldr_ptr_libGL_glTestFenceNV;
using fexldr_type_libGL_glTestObjectAPPLE = auto (GLenum a_0, GLuint a_1) -> GLboolean;
static fexldr_type_libGL_glTestObjectAPPLE *fexldr_ptr_libGL_glTestObjectAPPLE;
using fexldr_type_libGL_glUnmapBufferARB = auto (GLenum a_0) -> GLboolean;
static fexldr_type_libGL_glUnmapBufferARB *fexldr_ptr_libGL_glUnmapBufferARB;
using fexldr_type_libGL_glUnmapBuffer = auto (GLenum a_0) -> GLboolean;
static fexldr_type_libGL_glUnmapBuffer *fexldr_ptr_libGL_glUnmapBuffer;
using fexldr_type_libGL_glUnmapNamedBufferEXT = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glUnmapNamedBufferEXT *fexldr_ptr_libGL_glUnmapNamedBufferEXT;
using fexldr_type_libGL_glUnmapNamedBuffer = auto (GLuint a_0) -> GLboolean;
static fexldr_type_libGL_glUnmapNamedBuffer *fexldr_ptr_libGL_glUnmapNamedBuffer;
using fexldr_type_libGL_glVDPAUIsSurfaceNV = auto (GLvdpauSurfaceNV a_0) -> GLboolean;
static fexldr_type_libGL_glVDPAUIsSurfaceNV *fexldr_ptr_libGL_glVDPAUIsSurfaceNV;
using fexldr_type_libGL_glCheckFramebufferStatusEXT = auto (GLenum a_0) -> GLenum;
static fexldr_type_libGL_glCheckFramebufferStatusEXT *fexldr_ptr_libGL_glCheckFramebufferStatusEXT;
using fexldr_type_libGL_glCheckFramebufferStatus = auto (GLenum a_0) -> GLenum;
static fexldr_type_libGL_glCheckFramebufferStatus *fexldr_ptr_libGL_glCheckFramebufferStatus;
using fexldr_type_libGL_glCheckNamedFramebufferStatusEXT = auto (GLuint a_0, GLenum a_1) -> GLenum;
static fexldr_type_libGL_glCheckNamedFramebufferStatusEXT *fexldr_ptr_libGL_glCheckNamedFramebufferStatusEXT;
using fexldr_type_libGL_glCheckNamedFramebufferStatus = auto (GLuint a_0, GLenum a_1) -> GLenum;
static fexldr_type_libGL_glCheckNamedFramebufferStatus *fexldr_ptr_libGL_glCheckNamedFramebufferStatus;
using fexldr_type_libGL_glClientWaitSync = auto (GLsync a_0, GLbitfield a_1, GLuint64 a_2) -> GLenum;
static fexldr_type_libGL_glClientWaitSync *fexldr_ptr_libGL_glClientWaitSync;
using fexldr_type_libGL_glGetError = auto () -> GLenum;
static fexldr_type_libGL_glGetError *fexldr_ptr_libGL_glGetError;
using fexldr_type_libGL_glGetGraphicsResetStatus = auto () -> GLenum;
static fexldr_type_libGL_glGetGraphicsResetStatus *fexldr_ptr_libGL_glGetGraphicsResetStatus;
using fexldr_type_libGL_glGetGraphicsResetStatusARB = auto () -> GLenum;
static fexldr_type_libGL_glGetGraphicsResetStatusARB *fexldr_ptr_libGL_glGetGraphicsResetStatusARB;
using fexldr_type_libGL_glObjectPurgeableAPPLE = auto (GLenum a_0, GLuint a_1, GLenum a_2) -> GLenum;
static fexldr_type_libGL_glObjectPurgeableAPPLE *fexldr_ptr_libGL_glObjectPurgeableAPPLE;
using fexldr_type_libGL_glObjectUnpurgeableAPPLE = auto (GLenum a_0, GLuint a_1, GLenum a_2) -> GLenum;
static fexldr_type_libGL_glObjectUnpurgeableAPPLE *fexldr_ptr_libGL_glObjectUnpurgeableAPPLE;
using fexldr_type_libGL_glPathGlyphIndexArrayNV = auto (GLuint a_0, GLenum a_1, const void * a_2, GLbitfield a_3, GLuint a_4, GLsizei a_5, GLuint a_6, GLfloat a_7) -> GLenum;
static fexldr_type_libGL_glPathGlyphIndexArrayNV *fexldr_ptr_libGL_glPathGlyphIndexArrayNV;
using fexldr_type_libGL_glPathGlyphIndexRangeNV = auto (GLenum a_0, const void * a_1, GLbitfield a_2, GLuint a_3, GLfloat a_4, GLuint * a_5) -> GLenum;
static fexldr_type_libGL_glPathGlyphIndexRangeNV *fexldr_ptr_libGL_glPathGlyphIndexRangeNV;
using fexldr_type_libGL_glPathMemoryGlyphIndexArrayNV = auto (GLuint a_0, GLenum a_1, GLsizeiptr a_2, const void * a_3, GLsizei a_4, GLuint a_5, GLsizei a_6, GLuint a_7, GLfloat a_8) -> GLenum;
static fexldr_type_libGL_glPathMemoryGlyphIndexArrayNV *fexldr_ptr_libGL_glPathMemoryGlyphIndexArrayNV;
using fexldr_type_libGL_glVideoCaptureNV = auto (GLuint a_0, GLuint * a_1, GLuint64EXT * a_2) -> GLenum;
static fexldr_type_libGL_glVideoCaptureNV *fexldr_ptr_libGL_glVideoCaptureNV;
using fexldr_type_libGL_glGetPathLengthNV = auto (GLuint a_0, GLsizei a_1, GLsizei a_2) -> GLfloat;
static fexldr_type_libGL_glGetPathLengthNV *fexldr_ptr_libGL_glGetPathLengthNV;
using fexldr_type_libGL_glCreateProgramObjectARB = auto () -> GLhandleARB;
static fexldr_type_libGL_glCreateProgramObjectARB *fexldr_ptr_libGL_glCreateProgramObjectARB;
using fexldr_type_libGL_glCreateShaderObjectARB = auto (GLenum a_0) -> GLhandleARB;
static fexldr_type_libGL_glCreateShaderObjectARB *fexldr_ptr_libGL_glCreateShaderObjectARB;
using fexldr_type_libGL_glGetHandleARB = auto (GLenum a_0) -> GLhandleARB;
static fexldr_type_libGL_glGetHandleARB *fexldr_ptr_libGL_glGetHandleARB;
using fexldr_type_libGL_glFinishAsyncSGIX = auto (GLuint * a_0) -> GLint;
static fexldr_type_libGL_glFinishAsyncSGIX *fexldr_ptr_libGL_glFinishAsyncSGIX;
using fexldr_type_libGL_glGetAttribLocationARB = auto (GLhandleARB a_0, const GLcharARB * a_1) -> GLint;
static fexldr_type_libGL_glGetAttribLocationARB *fexldr_ptr_libGL_glGetAttribLocationARB;
using fexldr_type_libGL_glGetAttribLocation = auto (GLuint a_0, const GLchar * a_1) -> GLint;
static fexldr_type_libGL_glGetAttribLocation *fexldr_ptr_libGL_glGetAttribLocation;
using fexldr_type_libGL_glGetFragDataIndex = auto (GLuint a_0, const GLchar * a_1) -> GLint;
static fexldr_type_libGL_glGetFragDataIndex *fexldr_ptr_libGL_glGetFragDataIndex;
using fexldr_type_libGL_glGetFragDataLocationEXT = auto (GLuint a_0, const GLchar * a_1) -> GLint;
static fexldr_type_libGL_glGetFragDataLocationEXT *fexldr_ptr_libGL_glGetFragDataLocationEXT;
using fexldr_type_libGL_glGetFragDataLocation = auto (GLuint a_0, const GLchar * a_1) -> GLint;
static fexldr_type_libGL_glGetFragDataLocation *fexldr_ptr_libGL_glGetFragDataLocation;
using fexldr_type_libGL_glGetInstrumentsSGIX = auto () -> GLint;
static fexldr_type_libGL_glGetInstrumentsSGIX *fexldr_ptr_libGL_glGetInstrumentsSGIX;
using fexldr_type_libGL_glGetProgramResourceLocation = auto (GLuint a_0, GLenum a_1, const GLchar * a_2) -> GLint;
static fexldr_type_libGL_glGetProgramResourceLocation *fexldr_ptr_libGL_glGetProgramResourceLocation;
using fexldr_type_libGL_glGetProgramResourceLocationIndex = auto (GLuint a_0, GLenum a_1, const GLchar * a_2) -> GLint;
static fexldr_type_libGL_glGetProgramResourceLocationIndex *fexldr_ptr_libGL_glGetProgramResourceLocationIndex;
using fexldr_type_libGL_glGetSubroutineUniformLocation = auto (GLuint a_0, GLenum a_1, const GLchar * a_2) -> GLint;
static fexldr_type_libGL_glGetSubroutineUniformLocation *fexldr_ptr_libGL_glGetSubroutineUniformLocation;
using fexldr_type_libGL_glGetUniformBufferSizeEXT = auto (GLuint a_0, GLint a_1) -> GLint;
static fexldr_type_libGL_glGetUniformBufferSizeEXT *fexldr_ptr_libGL_glGetUniformBufferSizeEXT;
using fexldr_type_libGL_glGetUniformLocationARB = auto (GLhandleARB a_0, const GLcharARB * a_1) -> GLint;
static fexldr_type_libGL_glGetUniformLocationARB *fexldr_ptr_libGL_glGetUniformLocationARB;
using fexldr_type_libGL_glGetUniformLocation = auto (GLuint a_0, const GLchar * a_1) -> GLint;
static fexldr_type_libGL_glGetUniformLocation *fexldr_ptr_libGL_glGetUniformLocation;
using fexldr_type_libGL_glGetVaryingLocationNV = auto (GLuint a_0, const GLchar * a_1) -> GLint;
static fexldr_type_libGL_glGetVaryingLocationNV *fexldr_ptr_libGL_glGetVaryingLocationNV;
using fexldr_type_libGL_glPollAsyncSGIX = auto (GLuint * a_0) -> GLint;
static fexldr_type_libGL_glPollAsyncSGIX *fexldr_ptr_libGL_glPollAsyncSGIX;
using fexldr_type_libGL_glPollInstrumentsSGIX = auto (GLint * a_0) -> GLint;
static fexldr_type_libGL_glPollInstrumentsSGIX *fexldr_ptr_libGL_glPollInstrumentsSGIX;
using fexldr_type_libGL_glQueryResourceNV = auto (GLenum a_0, GLint a_1, GLuint a_2, GLint * a_3) -> GLint;
static fexldr_type_libGL_glQueryResourceNV *fexldr_ptr_libGL_glQueryResourceNV;
using fexldr_type_libGL_glRenderMode = auto (GLenum a_0) -> GLint;
static fexldr_type_libGL_glRenderMode *fexldr_ptr_libGL_glRenderMode;
using fexldr_type_libGL_glGetUniformOffsetEXT = auto (GLuint a_0, GLint a_1) -> GLintptr;
static fexldr_type_libGL_glGetUniformOffsetEXT *fexldr_ptr_libGL_glGetUniformOffsetEXT;
using fexldr_type_libGL_glCreateSyncFromCLeventARB = auto (struct _cl_context * a_0, struct _cl_event * a_1, GLbitfield a_2) -> GLsync;
static fexldr_type_libGL_glCreateSyncFromCLeventARB *fexldr_ptr_libGL_glCreateSyncFromCLeventARB;
using fexldr_type_libGL_glFenceSync = auto (GLenum a_0, GLbitfield a_1) -> GLsync;
static fexldr_type_libGL_glFenceSync *fexldr_ptr_libGL_glFenceSync;
using fexldr_type_libGL_glImportSyncEXT = auto (GLenum a_0, GLintptr a_1, GLbitfield a_2) -> GLsync;
static fexldr_type_libGL_glImportSyncEXT *fexldr_ptr_libGL_glImportSyncEXT;
using fexldr_type_libGL_glGetImageHandleARB = auto (GLuint a_0, GLint a_1, GLboolean a_2, GLint a_3, GLenum a_4) -> GLuint64;
static fexldr_type_libGL_glGetImageHandleARB *fexldr_ptr_libGL_glGetImageHandleARB;
using fexldr_type_libGL_glGetImageHandleNV = auto (GLuint a_0, GLint a_1, GLboolean a_2, GLint a_3, GLenum a_4) -> GLuint64;
static fexldr_type_libGL_glGetImageHandleNV *fexldr_ptr_libGL_glGetImageHandleNV;
using fexldr_type_libGL_glGetTextureHandleARB = auto (GLuint a_0) -> GLuint64;
static fexldr_type_libGL_glGetTextureHandleARB *fexldr_ptr_libGL_glGetTextureHandleARB;
using fexldr_type_libGL_glGetTextureHandleNV = auto (GLuint a_0) -> GLuint64;
static fexldr_type_libGL_glGetTextureHandleNV *fexldr_ptr_libGL_glGetTextureHandleNV;
using fexldr_type_libGL_glGetTextureSamplerHandleARB = auto (GLuint a_0, GLuint a_1) -> GLuint64;
static fexldr_type_libGL_glGetTextureSamplerHandleARB *fexldr_ptr_libGL_glGetTextureSamplerHandleARB;
using fexldr_type_libGL_glGetTextureSamplerHandleNV = auto (GLuint a_0, GLuint a_1) -> GLuint64;
static fexldr_type_libGL_glGetTextureSamplerHandleNV *fexldr_ptr_libGL_glGetTextureSamplerHandleNV;
using fexldr_type_libGL_glAsyncCopyBufferSubDataNVX = auto (GLsizei a_0, const GLuint * a_1, const GLuint64 * a_2, GLuint a_3, GLbitfield a_4, GLuint a_5, GLuint a_6, GLintptr a_7, GLintptr a_8, GLsizeiptr a_9, GLsizei a_10, const GLuint * a_11, const GLuint64 * a_12) -> GLuint;
static fexldr_type_libGL_glAsyncCopyBufferSubDataNVX *fexldr_ptr_libGL_glAsyncCopyBufferSubDataNVX;
using fexldr_type_libGL_glAsyncCopyImageSubDataNVX = auto (GLsizei a_0, const GLuint * a_1, const GLuint64 * a_2, GLuint a_3, GLbitfield a_4, GLuint a_5, GLenum a_6, GLint a_7, GLint a_8, GLint a_9, GLint a_10, GLuint a_11, GLenum a_12, GLint a_13, GLint a_14, GLint a_15, GLint a_16, GLsizei a_17, GLsizei a_18, GLsizei a_19, GLsizei a_20, const GLuint * a_21, const GLuint64 * a_22) -> GLuint;
static fexldr_type_libGL_glAsyncCopyImageSubDataNVX *fexldr_ptr_libGL_glAsyncCopyImageSubDataNVX;
using fexldr_type_libGL_glBindLightParameterEXT = auto (GLenum a_0, GLenum a_1) -> GLuint;
static fexldr_type_libGL_glBindLightParameterEXT *fexldr_ptr_libGL_glBindLightParameterEXT;
using fexldr_type_libGL_glBindMaterialParameterEXT = auto (GLenum a_0, GLenum a_1) -> GLuint;
static fexldr_type_libGL_glBindMaterialParameterEXT *fexldr_ptr_libGL_glBindMaterialParameterEXT;
using fexldr_type_libGL_glBindParameterEXT = auto (GLenum a_0) -> GLuint;
static fexldr_type_libGL_glBindParameterEXT *fexldr_ptr_libGL_glBindParameterEXT;
using fexldr_type_libGL_glBindTexGenParameterEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2) -> GLuint;
static fexldr_type_libGL_glBindTexGenParameterEXT *fexldr_ptr_libGL_glBindTexGenParameterEXT;
using fexldr_type_libGL_glBindTextureUnitParameterEXT = auto (GLenum a_0, GLenum a_1) -> GLuint;
static fexldr_type_libGL_glBindTextureUnitParameterEXT *fexldr_ptr_libGL_glBindTextureUnitParameterEXT;
using fexldr_type_libGL_glCreateProgram = auto () -> GLuint;
static fexldr_type_libGL_glCreateProgram *fexldr_ptr_libGL_glCreateProgram;
using fexldr_type_libGL_glCreateProgressFenceNVX = auto () -> GLuint;
static fexldr_type_libGL_glCreateProgressFenceNVX *fexldr_ptr_libGL_glCreateProgressFenceNVX;
using fexldr_type_libGL_glCreateShader = auto (GLenum a_0) -> GLuint;
static fexldr_type_libGL_glCreateShader *fexldr_ptr_libGL_glCreateShader;
using fexldr_type_libGL_glCreateShaderProgramEXT = auto (GLenum a_0, const GLchar * a_1) -> GLuint;
static fexldr_type_libGL_glCreateShaderProgramEXT *fexldr_ptr_libGL_glCreateShaderProgramEXT;
using fexldr_type_libGL_glCreateShaderProgramv = auto (GLenum a_0, GLsizei a_1, const GLchar *const * a_2) -> GLuint;
static fexldr_type_libGL_glCreateShaderProgramv *fexldr_ptr_libGL_glCreateShaderProgramv;
using fexldr_type_libGL_glGenAsyncMarkersSGIX = auto (GLsizei a_0) -> GLuint;
static fexldr_type_libGL_glGenAsyncMarkersSGIX *fexldr_ptr_libGL_glGenAsyncMarkersSGIX;
using fexldr_type_libGL_glGenFragmentShadersATI = auto (GLuint a_0) -> GLuint;
static fexldr_type_libGL_glGenFragmentShadersATI *fexldr_ptr_libGL_glGenFragmentShadersATI;
using fexldr_type_libGL_glGenLists = auto (GLsizei a_0) -> GLuint;
static fexldr_type_libGL_glGenLists *fexldr_ptr_libGL_glGenLists;
using fexldr_type_libGL_glGenPathsNV = auto (GLsizei a_0) -> GLuint;
static fexldr_type_libGL_glGenPathsNV *fexldr_ptr_libGL_glGenPathsNV;
using fexldr_type_libGL_glGenSymbolsEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint a_3) -> GLuint;
static fexldr_type_libGL_glGenSymbolsEXT *fexldr_ptr_libGL_glGenSymbolsEXT;
using fexldr_type_libGL_glGenVertexShadersEXT = auto (GLuint a_0) -> GLuint;
static fexldr_type_libGL_glGenVertexShadersEXT *fexldr_ptr_libGL_glGenVertexShadersEXT;
using fexldr_type_libGL_glGetCommandHeaderNV = auto (GLenum a_0, GLuint a_1) -> GLuint;
static fexldr_type_libGL_glGetCommandHeaderNV *fexldr_ptr_libGL_glGetCommandHeaderNV;
using fexldr_type_libGL_glGetDebugMessageLogAMD = auto (GLuint a_0, GLsizei a_1, GLenum * a_2, GLuint * a_3, GLuint * a_4, GLsizei * a_5, GLchar * a_6) -> GLuint;
static fexldr_type_libGL_glGetDebugMessageLogAMD *fexldr_ptr_libGL_glGetDebugMessageLogAMD;
using fexldr_type_libGL_glGetDebugMessageLogARB = auto (GLuint a_0, GLsizei a_1, GLenum * a_2, GLenum * a_3, GLuint * a_4, GLenum * a_5, GLsizei * a_6, GLchar * a_7) -> GLuint;
static fexldr_type_libGL_glGetDebugMessageLogARB *fexldr_ptr_libGL_glGetDebugMessageLogARB;
using fexldr_type_libGL_glGetDebugMessageLog = auto (GLuint a_0, GLsizei a_1, GLenum * a_2, GLenum * a_3, GLuint * a_4, GLenum * a_5, GLsizei * a_6, GLchar * a_7) -> GLuint;
static fexldr_type_libGL_glGetDebugMessageLog *fexldr_ptr_libGL_glGetDebugMessageLog;
using fexldr_type_libGL_glGetProgramResourceIndex = auto (GLuint a_0, GLenum a_1, const GLchar * a_2) -> GLuint;
static fexldr_type_libGL_glGetProgramResourceIndex *fexldr_ptr_libGL_glGetProgramResourceIndex;
using fexldr_type_libGL_glGetSubroutineIndex = auto (GLuint a_0, GLenum a_1, const GLchar * a_2) -> GLuint;
static fexldr_type_libGL_glGetSubroutineIndex *fexldr_ptr_libGL_glGetSubroutineIndex;
using fexldr_type_libGL_glGetUniformBlockIndex = auto (GLuint a_0, const GLchar * a_1) -> GLuint;
static fexldr_type_libGL_glGetUniformBlockIndex *fexldr_ptr_libGL_glGetUniformBlockIndex;
using fexldr_type_libGL_glNewObjectBufferATI = auto (GLsizei a_0, const void * a_1, GLenum a_2) -> GLuint;
static fexldr_type_libGL_glNewObjectBufferATI *fexldr_ptr_libGL_glNewObjectBufferATI;
using fexldr_type_libGL_glGetStageIndexNV = auto (GLenum a_0) -> GLushort;
static fexldr_type_libGL_glGetStageIndexNV *fexldr_ptr_libGL_glGetStageIndexNV;
using fexldr_type_libGL_glVDPAURegisterOutputSurfaceNV = auto (const void * a_0, GLenum a_1, GLsizei a_2, const GLuint * a_3) -> GLvdpauSurfaceNV;
static fexldr_type_libGL_glVDPAURegisterOutputSurfaceNV *fexldr_ptr_libGL_glVDPAURegisterOutputSurfaceNV;
using fexldr_type_libGL_glVDPAURegisterVideoSurfaceNV = auto (const void * a_0, GLenum a_1, GLsizei a_2, const GLuint * a_3) -> GLvdpauSurfaceNV;
static fexldr_type_libGL_glVDPAURegisterVideoSurfaceNV *fexldr_ptr_libGL_glVDPAURegisterVideoSurfaceNV;
using fexldr_type_libGL_glVDPAURegisterVideoSurfaceWithPictureStructureNV = auto (const void * a_0, GLenum a_1, GLsizei a_2, const GLuint * a_3, GLboolean a_4) -> GLvdpauSurfaceNV;
static fexldr_type_libGL_glVDPAURegisterVideoSurfaceWithPictureStructureNV *fexldr_ptr_libGL_glVDPAURegisterVideoSurfaceWithPictureStructureNV;
using fexldr_type_libGL_glAccum = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glAccum *fexldr_ptr_libGL_glAccum;
using fexldr_type_libGL_glAccumxOES = auto (GLenum a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glAccumxOES *fexldr_ptr_libGL_glAccumxOES;
using fexldr_type_libGL_glActiveProgramEXT = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glActiveProgramEXT *fexldr_ptr_libGL_glActiveProgramEXT;
using fexldr_type_libGL_glActiveShaderProgram = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glActiveShaderProgram *fexldr_ptr_libGL_glActiveShaderProgram;
using fexldr_type_libGL_glActiveStencilFaceEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glActiveStencilFaceEXT *fexldr_ptr_libGL_glActiveStencilFaceEXT;
using fexldr_type_libGL_glActiveTextureARB = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glActiveTextureARB *fexldr_ptr_libGL_glActiveTextureARB;
using fexldr_type_libGL_glActiveTexture = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glActiveTexture *fexldr_ptr_libGL_glActiveTexture;
using fexldr_type_libGL_glActiveVaryingNV = auto (GLuint a_0, const GLchar * a_1) -> void;
static fexldr_type_libGL_glActiveVaryingNV *fexldr_ptr_libGL_glActiveVaryingNV;
using fexldr_type_libGL_glAlphaFragmentOp1ATI = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glAlphaFragmentOp1ATI *fexldr_ptr_libGL_glAlphaFragmentOp1ATI;
using fexldr_type_libGL_glAlphaFragmentOp2ATI = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5, GLuint a_6, GLuint a_7, GLuint a_8) -> void;
static fexldr_type_libGL_glAlphaFragmentOp2ATI *fexldr_ptr_libGL_glAlphaFragmentOp2ATI;
using fexldr_type_libGL_glAlphaFragmentOp3ATI = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5, GLuint a_6, GLuint a_7, GLuint a_8, GLuint a_9, GLuint a_10, GLuint a_11) -> void;
static fexldr_type_libGL_glAlphaFragmentOp3ATI *fexldr_ptr_libGL_glAlphaFragmentOp3ATI;
using fexldr_type_libGL_glAlphaFunc = auto (GLenum a_0, GLclampf a_1) -> void;
static fexldr_type_libGL_glAlphaFunc *fexldr_ptr_libGL_glAlphaFunc;
using fexldr_type_libGL_glAlphaFuncxOES = auto (GLenum a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glAlphaFuncxOES *fexldr_ptr_libGL_glAlphaFuncxOES;
using fexldr_type_libGL_glAlphaToCoverageDitherControlNV = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glAlphaToCoverageDitherControlNV *fexldr_ptr_libGL_glAlphaToCoverageDitherControlNV;
using fexldr_type_libGL_glApplyFramebufferAttachmentCMAAINTEL = auto () -> void;
static fexldr_type_libGL_glApplyFramebufferAttachmentCMAAINTEL *fexldr_ptr_libGL_glApplyFramebufferAttachmentCMAAINTEL;
using fexldr_type_libGL_glApplyTextureEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glApplyTextureEXT *fexldr_ptr_libGL_glApplyTextureEXT;
using fexldr_type_libGL_glArrayElementEXT = auto (GLint a_0) -> void;
static fexldr_type_libGL_glArrayElementEXT *fexldr_ptr_libGL_glArrayElementEXT;
using fexldr_type_libGL_glArrayElement = auto (GLint a_0) -> void;
static fexldr_type_libGL_glArrayElement *fexldr_ptr_libGL_glArrayElement;
using fexldr_type_libGL_glArrayObjectATI = auto (GLenum a_0, GLint a_1, GLenum a_2, GLsizei a_3, GLuint a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glArrayObjectATI *fexldr_ptr_libGL_glArrayObjectATI;
using fexldr_type_libGL_glAsyncMarkerSGIX = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glAsyncMarkerSGIX *fexldr_ptr_libGL_glAsyncMarkerSGIX;
using fexldr_type_libGL_glAttachObjectARB = auto (GLhandleARB a_0, GLhandleARB a_1) -> void;
static fexldr_type_libGL_glAttachObjectARB *fexldr_ptr_libGL_glAttachObjectARB;
using fexldr_type_libGL_glAttachShader = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glAttachShader *fexldr_ptr_libGL_glAttachShader;
using fexldr_type_libGL_glBeginConditionalRender = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glBeginConditionalRender *fexldr_ptr_libGL_glBeginConditionalRender;
using fexldr_type_libGL_glBeginConditionalRenderNV = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glBeginConditionalRenderNV *fexldr_ptr_libGL_glBeginConditionalRenderNV;
using fexldr_type_libGL_glBeginConditionalRenderNVX = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBeginConditionalRenderNVX *fexldr_ptr_libGL_glBeginConditionalRenderNVX;
using fexldr_type_libGL_glBeginFragmentShaderATI = auto () -> void;
static fexldr_type_libGL_glBeginFragmentShaderATI *fexldr_ptr_libGL_glBeginFragmentShaderATI;
using fexldr_type_libGL_glBegin = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glBegin *fexldr_ptr_libGL_glBegin;
using fexldr_type_libGL_glBeginOcclusionQueryNV = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBeginOcclusionQueryNV *fexldr_ptr_libGL_glBeginOcclusionQueryNV;
using fexldr_type_libGL_glBeginPerfMonitorAMD = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBeginPerfMonitorAMD *fexldr_ptr_libGL_glBeginPerfMonitorAMD;
using fexldr_type_libGL_glBeginPerfQueryINTEL = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBeginPerfQueryINTEL *fexldr_ptr_libGL_glBeginPerfQueryINTEL;
using fexldr_type_libGL_glBeginQueryARB = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBeginQueryARB *fexldr_ptr_libGL_glBeginQueryARB;
using fexldr_type_libGL_glBeginQuery = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBeginQuery *fexldr_ptr_libGL_glBeginQuery;
using fexldr_type_libGL_glBeginQueryIndexed = auto (GLenum a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glBeginQueryIndexed *fexldr_ptr_libGL_glBeginQueryIndexed;
using fexldr_type_libGL_glBeginTransformFeedbackEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glBeginTransformFeedbackEXT *fexldr_ptr_libGL_glBeginTransformFeedbackEXT;
using fexldr_type_libGL_glBeginTransformFeedback = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glBeginTransformFeedback *fexldr_ptr_libGL_glBeginTransformFeedback;
using fexldr_type_libGL_glBeginTransformFeedbackNV = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glBeginTransformFeedbackNV *fexldr_ptr_libGL_glBeginTransformFeedbackNV;
using fexldr_type_libGL_glBeginVertexShaderEXT = auto () -> void;
static fexldr_type_libGL_glBeginVertexShaderEXT *fexldr_ptr_libGL_glBeginVertexShaderEXT;
using fexldr_type_libGL_glBeginVideoCaptureNV = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBeginVideoCaptureNV *fexldr_ptr_libGL_glBeginVideoCaptureNV;
using fexldr_type_libGL_glBindAttribLocationARB = auto (GLhandleARB a_0, GLuint a_1, const GLcharARB * a_2) -> void;
static fexldr_type_libGL_glBindAttribLocationARB *fexldr_ptr_libGL_glBindAttribLocationARB;
using fexldr_type_libGL_glBindAttribLocation = auto (GLuint a_0, GLuint a_1, const GLchar * a_2) -> void;
static fexldr_type_libGL_glBindAttribLocation *fexldr_ptr_libGL_glBindAttribLocation;
using fexldr_type_libGL_glBindBufferARB = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindBufferARB *fexldr_ptr_libGL_glBindBufferARB;
using fexldr_type_libGL_glBindBufferBaseEXT = auto (GLenum a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glBindBufferBaseEXT *fexldr_ptr_libGL_glBindBufferBaseEXT;
using fexldr_type_libGL_glBindBufferBase = auto (GLenum a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glBindBufferBase *fexldr_ptr_libGL_glBindBufferBase;
using fexldr_type_libGL_glBindBufferBaseNV = auto (GLenum a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glBindBufferBaseNV *fexldr_ptr_libGL_glBindBufferBaseNV;
using fexldr_type_libGL_glBindBuffer = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindBuffer *fexldr_ptr_libGL_glBindBuffer;
using fexldr_type_libGL_glBindBufferOffsetEXT = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLintptr a_3) -> void;
static fexldr_type_libGL_glBindBufferOffsetEXT *fexldr_ptr_libGL_glBindBufferOffsetEXT;
using fexldr_type_libGL_glBindBufferOffsetNV = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLintptr a_3) -> void;
static fexldr_type_libGL_glBindBufferOffsetNV *fexldr_ptr_libGL_glBindBufferOffsetNV;
using fexldr_type_libGL_glBindBufferRangeEXT = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLintptr a_3, GLsizeiptr a_4) -> void;
static fexldr_type_libGL_glBindBufferRangeEXT *fexldr_ptr_libGL_glBindBufferRangeEXT;
using fexldr_type_libGL_glBindBufferRange = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLintptr a_3, GLsizeiptr a_4) -> void;
static fexldr_type_libGL_glBindBufferRange *fexldr_ptr_libGL_glBindBufferRange;
using fexldr_type_libGL_glBindBufferRangeNV = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLintptr a_3, GLsizeiptr a_4) -> void;
static fexldr_type_libGL_glBindBufferRangeNV *fexldr_ptr_libGL_glBindBufferRangeNV;
using fexldr_type_libGL_glBindBuffersBase = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glBindBuffersBase *fexldr_ptr_libGL_glBindBuffersBase;
using fexldr_type_libGL_glBindBuffersRange = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLuint * a_3, const GLintptr * a_4, const GLsizeiptr * a_5) -> void;
static fexldr_type_libGL_glBindBuffersRange *fexldr_ptr_libGL_glBindBuffersRange;
using fexldr_type_libGL_glBindFragDataLocationEXT = auto (GLuint a_0, GLuint a_1, const GLchar * a_2) -> void;
static fexldr_type_libGL_glBindFragDataLocationEXT *fexldr_ptr_libGL_glBindFragDataLocationEXT;
using fexldr_type_libGL_glBindFragDataLocation = auto (GLuint a_0, GLuint a_1, const GLchar * a_2) -> void;
static fexldr_type_libGL_glBindFragDataLocation *fexldr_ptr_libGL_glBindFragDataLocation;
using fexldr_type_libGL_glBindFragDataLocationIndexed = auto (GLuint a_0, GLuint a_1, GLuint a_2, const GLchar * a_3) -> void;
static fexldr_type_libGL_glBindFragDataLocationIndexed *fexldr_ptr_libGL_glBindFragDataLocationIndexed;
using fexldr_type_libGL_glBindFragmentShaderATI = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBindFragmentShaderATI *fexldr_ptr_libGL_glBindFragmentShaderATI;
using fexldr_type_libGL_glBindFramebufferEXT = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindFramebufferEXT *fexldr_ptr_libGL_glBindFramebufferEXT;
using fexldr_type_libGL_glBindFramebuffer = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindFramebuffer *fexldr_ptr_libGL_glBindFramebuffer;
using fexldr_type_libGL_glBindImageTextureEXT = auto (GLuint a_0, GLuint a_1, GLint a_2, GLboolean a_3, GLint a_4, GLenum a_5, GLint a_6) -> void;
static fexldr_type_libGL_glBindImageTextureEXT *fexldr_ptr_libGL_glBindImageTextureEXT;
using fexldr_type_libGL_glBindImageTexture = auto (GLuint a_0, GLuint a_1, GLint a_2, GLboolean a_3, GLint a_4, GLenum a_5, GLenum a_6) -> void;
static fexldr_type_libGL_glBindImageTexture *fexldr_ptr_libGL_glBindImageTexture;
using fexldr_type_libGL_glBindImageTextures = auto (GLuint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glBindImageTextures *fexldr_ptr_libGL_glBindImageTextures;
using fexldr_type_libGL_glBindMultiTextureEXT = auto (GLenum a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glBindMultiTextureEXT *fexldr_ptr_libGL_glBindMultiTextureEXT;
using fexldr_type_libGL_glBindProgramARB = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindProgramARB *fexldr_ptr_libGL_glBindProgramARB;
using fexldr_type_libGL_glBindProgramNV = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindProgramNV *fexldr_ptr_libGL_glBindProgramNV;
using fexldr_type_libGL_glBindProgramPipeline = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBindProgramPipeline *fexldr_ptr_libGL_glBindProgramPipeline;
using fexldr_type_libGL_glBindRenderbufferEXT = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindRenderbufferEXT *fexldr_ptr_libGL_glBindRenderbufferEXT;
using fexldr_type_libGL_glBindRenderbuffer = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindRenderbuffer *fexldr_ptr_libGL_glBindRenderbuffer;
using fexldr_type_libGL_glBindSampler = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindSampler *fexldr_ptr_libGL_glBindSampler;
using fexldr_type_libGL_glBindSamplers = auto (GLuint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glBindSamplers *fexldr_ptr_libGL_glBindSamplers;
using fexldr_type_libGL_glBindShadingRateImageNV = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBindShadingRateImageNV *fexldr_ptr_libGL_glBindShadingRateImageNV;
using fexldr_type_libGL_glBindTextureEXT = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindTextureEXT *fexldr_ptr_libGL_glBindTextureEXT;
using fexldr_type_libGL_glBindTexture = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindTexture *fexldr_ptr_libGL_glBindTexture;
using fexldr_type_libGL_glBindTextures = auto (GLuint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glBindTextures *fexldr_ptr_libGL_glBindTextures;
using fexldr_type_libGL_glBindTextureUnit = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindTextureUnit *fexldr_ptr_libGL_glBindTextureUnit;
using fexldr_type_libGL_glBindTransformFeedback = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindTransformFeedback *fexldr_ptr_libGL_glBindTransformFeedback;
using fexldr_type_libGL_glBindTransformFeedbackNV = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glBindTransformFeedbackNV *fexldr_ptr_libGL_glBindTransformFeedbackNV;
using fexldr_type_libGL_glBindVertexArrayAPPLE = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBindVertexArrayAPPLE *fexldr_ptr_libGL_glBindVertexArrayAPPLE;
using fexldr_type_libGL_glBindVertexArray = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBindVertexArray *fexldr_ptr_libGL_glBindVertexArray;
using fexldr_type_libGL_glBindVertexBuffer = auto (GLuint a_0, GLuint a_1, GLintptr a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glBindVertexBuffer *fexldr_ptr_libGL_glBindVertexBuffer;
using fexldr_type_libGL_glBindVertexBuffers = auto (GLuint a_0, GLsizei a_1, const GLuint * a_2, const GLintptr * a_3, const GLsizei * a_4) -> void;
static fexldr_type_libGL_glBindVertexBuffers *fexldr_ptr_libGL_glBindVertexBuffers;
using fexldr_type_libGL_glBindVertexShaderEXT = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glBindVertexShaderEXT *fexldr_ptr_libGL_glBindVertexShaderEXT;
using fexldr_type_libGL_glBindVideoCaptureStreamBufferNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLintptrARB a_3) -> void;
static fexldr_type_libGL_glBindVideoCaptureStreamBufferNV *fexldr_ptr_libGL_glBindVideoCaptureStreamBufferNV;
using fexldr_type_libGL_glBindVideoCaptureStreamTextureNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLenum a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glBindVideoCaptureStreamTextureNV *fexldr_ptr_libGL_glBindVideoCaptureStreamTextureNV;
using fexldr_type_libGL_glBinormal3bEXT = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2) -> void;
static fexldr_type_libGL_glBinormal3bEXT *fexldr_ptr_libGL_glBinormal3bEXT;
using fexldr_type_libGL_glBinormal3bvEXT = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glBinormal3bvEXT *fexldr_ptr_libGL_glBinormal3bvEXT;
using fexldr_type_libGL_glBinormal3dEXT = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glBinormal3dEXT *fexldr_ptr_libGL_glBinormal3dEXT;
using fexldr_type_libGL_glBinormal3dvEXT = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glBinormal3dvEXT *fexldr_ptr_libGL_glBinormal3dvEXT;
using fexldr_type_libGL_glBinormal3fEXT = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glBinormal3fEXT *fexldr_ptr_libGL_glBinormal3fEXT;
using fexldr_type_libGL_glBinormal3fvEXT = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glBinormal3fvEXT *fexldr_ptr_libGL_glBinormal3fvEXT;
using fexldr_type_libGL_glBinormal3iEXT = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glBinormal3iEXT *fexldr_ptr_libGL_glBinormal3iEXT;
using fexldr_type_libGL_glBinormal3ivEXT = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glBinormal3ivEXT *fexldr_ptr_libGL_glBinormal3ivEXT;
using fexldr_type_libGL_glBinormal3sEXT = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glBinormal3sEXT *fexldr_ptr_libGL_glBinormal3sEXT;
using fexldr_type_libGL_glBinormal3svEXT = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glBinormal3svEXT *fexldr_ptr_libGL_glBinormal3svEXT;
using fexldr_type_libGL_glBinormalPointerEXT = auto (GLenum a_0, GLsizei a_1, const void * a_2) -> void;
static fexldr_type_libGL_glBinormalPointerEXT *fexldr_ptr_libGL_glBinormalPointerEXT;
using fexldr_type_libGL_glBitmap = auto (GLsizei a_0, GLsizei a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, const GLubyte * a_6) -> void;
static fexldr_type_libGL_glBitmap *fexldr_ptr_libGL_glBitmap;
using fexldr_type_libGL_glBitmapxOES = auto (GLsizei a_0, GLsizei a_1, GLfixed a_2, GLfixed a_3, GLfixed a_4, GLfixed a_5, const GLubyte * a_6) -> void;
static fexldr_type_libGL_glBitmapxOES *fexldr_ptr_libGL_glBitmapxOES;
using fexldr_type_libGL_glBlendBarrierKHR = auto () -> void;
static fexldr_type_libGL_glBlendBarrierKHR *fexldr_ptr_libGL_glBlendBarrierKHR;
using fexldr_type_libGL_glBlendBarrierNV = auto () -> void;
static fexldr_type_libGL_glBlendBarrierNV *fexldr_ptr_libGL_glBlendBarrierNV;
using fexldr_type_libGL_glBlendColorEXT = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glBlendColorEXT *fexldr_ptr_libGL_glBlendColorEXT;
using fexldr_type_libGL_glBlendColor = auto (GLclampf a_0, GLclampf a_1, GLclampf a_2, GLclampf a_3) -> void;
static fexldr_type_libGL_glBlendColor *fexldr_ptr_libGL_glBlendColor;
using fexldr_type_libGL_glBlendColorxOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3) -> void;
static fexldr_type_libGL_glBlendColorxOES *fexldr_ptr_libGL_glBlendColorxOES;
using fexldr_type_libGL_glBlendEquationEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glBlendEquationEXT *fexldr_ptr_libGL_glBlendEquationEXT;
using fexldr_type_libGL_glBlendEquation = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glBlendEquation *fexldr_ptr_libGL_glBlendEquation;
using fexldr_type_libGL_glBlendEquationiARB = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glBlendEquationiARB *fexldr_ptr_libGL_glBlendEquationiARB;
using fexldr_type_libGL_glBlendEquationi = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glBlendEquationi *fexldr_ptr_libGL_glBlendEquationi;
using fexldr_type_libGL_glBlendEquationIndexedAMD = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glBlendEquationIndexedAMD *fexldr_ptr_libGL_glBlendEquationIndexedAMD;
using fexldr_type_libGL_glBlendEquationSeparateEXT = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glBlendEquationSeparateEXT *fexldr_ptr_libGL_glBlendEquationSeparateEXT;
using fexldr_type_libGL_glBlendEquationSeparate = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glBlendEquationSeparate *fexldr_ptr_libGL_glBlendEquationSeparate;
using fexldr_type_libGL_glBlendEquationSeparateiARB = auto (GLuint a_0, GLenum a_1, GLenum a_2) -> void;
static fexldr_type_libGL_glBlendEquationSeparateiARB *fexldr_ptr_libGL_glBlendEquationSeparateiARB;
using fexldr_type_libGL_glBlendEquationSeparatei = auto (GLuint a_0, GLenum a_1, GLenum a_2) -> void;
static fexldr_type_libGL_glBlendEquationSeparatei *fexldr_ptr_libGL_glBlendEquationSeparatei;
using fexldr_type_libGL_glBlendEquationSeparateIndexedAMD = auto (GLuint a_0, GLenum a_1, GLenum a_2) -> void;
static fexldr_type_libGL_glBlendEquationSeparateIndexedAMD *fexldr_ptr_libGL_glBlendEquationSeparateIndexedAMD;
using fexldr_type_libGL_glBlendFunc = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glBlendFunc *fexldr_ptr_libGL_glBlendFunc;
using fexldr_type_libGL_glBlendFunciARB = auto (GLuint a_0, GLenum a_1, GLenum a_2) -> void;
static fexldr_type_libGL_glBlendFunciARB *fexldr_ptr_libGL_glBlendFunciARB;
using fexldr_type_libGL_glBlendFunci = auto (GLuint a_0, GLenum a_1, GLenum a_2) -> void;
static fexldr_type_libGL_glBlendFunci *fexldr_ptr_libGL_glBlendFunci;
using fexldr_type_libGL_glBlendFuncIndexedAMD = auto (GLuint a_0, GLenum a_1, GLenum a_2) -> void;
static fexldr_type_libGL_glBlendFuncIndexedAMD *fexldr_ptr_libGL_glBlendFuncIndexedAMD;
using fexldr_type_libGL_glBlendFuncSeparateEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glBlendFuncSeparateEXT *fexldr_ptr_libGL_glBlendFuncSeparateEXT;
using fexldr_type_libGL_glBlendFuncSeparate = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glBlendFuncSeparate *fexldr_ptr_libGL_glBlendFuncSeparate;
using fexldr_type_libGL_glBlendFuncSeparateiARB = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLenum a_3, GLenum a_4) -> void;
static fexldr_type_libGL_glBlendFuncSeparateiARB *fexldr_ptr_libGL_glBlendFuncSeparateiARB;
using fexldr_type_libGL_glBlendFuncSeparatei = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLenum a_3, GLenum a_4) -> void;
static fexldr_type_libGL_glBlendFuncSeparatei *fexldr_ptr_libGL_glBlendFuncSeparatei;
using fexldr_type_libGL_glBlendFuncSeparateIndexedAMD = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLenum a_3, GLenum a_4) -> void;
static fexldr_type_libGL_glBlendFuncSeparateIndexedAMD *fexldr_ptr_libGL_glBlendFuncSeparateIndexedAMD;
using fexldr_type_libGL_glBlendFuncSeparateINGR = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glBlendFuncSeparateINGR *fexldr_ptr_libGL_glBlendFuncSeparateINGR;
using fexldr_type_libGL_glBlendParameteriNV = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glBlendParameteriNV *fexldr_ptr_libGL_glBlendParameteriNV;
using fexldr_type_libGL_glBlitFramebufferEXT = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLint a_7, GLbitfield a_8, GLenum a_9) -> void;
static fexldr_type_libGL_glBlitFramebufferEXT *fexldr_ptr_libGL_glBlitFramebufferEXT;
using fexldr_type_libGL_glBlitFramebuffer = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLint a_7, GLbitfield a_8, GLenum a_9) -> void;
static fexldr_type_libGL_glBlitFramebuffer *fexldr_ptr_libGL_glBlitFramebuffer;
using fexldr_type_libGL_glBlitNamedFramebuffer = auto (GLuint a_0, GLuint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLint a_7, GLint a_8, GLint a_9, GLbitfield a_10, GLenum a_11) -> void;
static fexldr_type_libGL_glBlitNamedFramebuffer *fexldr_ptr_libGL_glBlitNamedFramebuffer;
using fexldr_type_libGL_glBufferAddressRangeNV = auto (GLenum a_0, GLuint a_1, GLuint64EXT a_2, GLsizeiptr a_3) -> void;
static fexldr_type_libGL_glBufferAddressRangeNV *fexldr_ptr_libGL_glBufferAddressRangeNV;
using fexldr_type_libGL_glBufferAttachMemoryNV = auto (GLenum a_0, GLuint a_1, GLuint64 a_2) -> void;
static fexldr_type_libGL_glBufferAttachMemoryNV *fexldr_ptr_libGL_glBufferAttachMemoryNV;
using fexldr_type_libGL_glBufferDataARB = auto (GLenum a_0, GLsizeiptrARB a_1, const void * a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glBufferDataARB *fexldr_ptr_libGL_glBufferDataARB;
using fexldr_type_libGL_glBufferData = auto (GLenum a_0, GLsizeiptr a_1, const void * a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glBufferData *fexldr_ptr_libGL_glBufferData;
using fexldr_type_libGL_glBufferPageCommitmentARB = auto (GLenum a_0, GLintptr a_1, GLsizeiptr a_2, GLboolean a_3) -> void;
static fexldr_type_libGL_glBufferPageCommitmentARB *fexldr_ptr_libGL_glBufferPageCommitmentARB;
using fexldr_type_libGL_glBufferParameteriAPPLE = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glBufferParameteriAPPLE *fexldr_ptr_libGL_glBufferParameteriAPPLE;
using fexldr_type_libGL_glBufferStorageExternalEXT = auto (GLenum a_0, GLintptr a_1, GLsizeiptr a_2, GLeglClientBufferEXT a_3, GLbitfield a_4) -> void;
static fexldr_type_libGL_glBufferStorageExternalEXT *fexldr_ptr_libGL_glBufferStorageExternalEXT;
using fexldr_type_libGL_glBufferStorage = auto (GLenum a_0, GLsizeiptr a_1, const void * a_2, GLbitfield a_3) -> void;
static fexldr_type_libGL_glBufferStorage *fexldr_ptr_libGL_glBufferStorage;
using fexldr_type_libGL_glBufferStorageMemEXT = auto (GLenum a_0, GLsizeiptr a_1, GLuint a_2, GLuint64 a_3) -> void;
static fexldr_type_libGL_glBufferStorageMemEXT *fexldr_ptr_libGL_glBufferStorageMemEXT;
using fexldr_type_libGL_glBufferSubDataARB = auto (GLenum a_0, GLintptrARB a_1, GLsizeiptrARB a_2, const void * a_3) -> void;
static fexldr_type_libGL_glBufferSubDataARB *fexldr_ptr_libGL_glBufferSubDataARB;
using fexldr_type_libGL_glBufferSubData = auto (GLenum a_0, GLintptr a_1, GLsizeiptr a_2, const void * a_3) -> void;
static fexldr_type_libGL_glBufferSubData *fexldr_ptr_libGL_glBufferSubData;
using fexldr_type_libGL_glCallCommandListNV = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glCallCommandListNV *fexldr_ptr_libGL_glCallCommandListNV;
using fexldr_type_libGL_glCallList = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glCallList *fexldr_ptr_libGL_glCallList;
using fexldr_type_libGL_glCallLists = auto (GLsizei a_0, GLenum a_1, const GLvoid * a_2) -> void;
static fexldr_type_libGL_glCallLists *fexldr_ptr_libGL_glCallLists;
using fexldr_type_libGL_glClampColorARB = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glClampColorARB *fexldr_ptr_libGL_glClampColorARB;
using fexldr_type_libGL_glClampColor = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glClampColor *fexldr_ptr_libGL_glClampColor;
using fexldr_type_libGL_glClearAccum = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glClearAccum *fexldr_ptr_libGL_glClearAccum;
using fexldr_type_libGL_glClearAccumxOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3) -> void;
static fexldr_type_libGL_glClearAccumxOES *fexldr_ptr_libGL_glClearAccumxOES;
using fexldr_type_libGL_glClearBufferData = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3, const void * a_4) -> void;
static fexldr_type_libGL_glClearBufferData *fexldr_ptr_libGL_glClearBufferData;
using fexldr_type_libGL_glClearBufferfi = auto (GLenum a_0, GLint a_1, GLfloat a_2, GLint a_3) -> void;
static fexldr_type_libGL_glClearBufferfi *fexldr_ptr_libGL_glClearBufferfi;
using fexldr_type_libGL_glClearBufferfv = auto (GLenum a_0, GLint a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glClearBufferfv *fexldr_ptr_libGL_glClearBufferfv;
using fexldr_type_libGL_glClearBufferiv = auto (GLenum a_0, GLint a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glClearBufferiv *fexldr_ptr_libGL_glClearBufferiv;
using fexldr_type_libGL_glClearBufferSubData = auto (GLenum a_0, GLenum a_1, GLintptr a_2, GLsizeiptr a_3, GLenum a_4, GLenum a_5, const void * a_6) -> void;
static fexldr_type_libGL_glClearBufferSubData *fexldr_ptr_libGL_glClearBufferSubData;
using fexldr_type_libGL_glClearBufferuiv = auto (GLenum a_0, GLint a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glClearBufferuiv *fexldr_ptr_libGL_glClearBufferuiv;
using fexldr_type_libGL_glClearColor = auto (GLclampf a_0, GLclampf a_1, GLclampf a_2, GLclampf a_3) -> void;
static fexldr_type_libGL_glClearColor *fexldr_ptr_libGL_glClearColor;
using fexldr_type_libGL_glClearColorIiEXT = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glClearColorIiEXT *fexldr_ptr_libGL_glClearColorIiEXT;
using fexldr_type_libGL_glClearColorIuiEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glClearColorIuiEXT *fexldr_ptr_libGL_glClearColorIuiEXT;
using fexldr_type_libGL_glClearColorxOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3) -> void;
static fexldr_type_libGL_glClearColorxOES *fexldr_ptr_libGL_glClearColorxOES;
using fexldr_type_libGL_glClearDepthdNV = auto (GLdouble a_0) -> void;
static fexldr_type_libGL_glClearDepthdNV *fexldr_ptr_libGL_glClearDepthdNV;
using fexldr_type_libGL_glClearDepthf = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glClearDepthf *fexldr_ptr_libGL_glClearDepthf;
using fexldr_type_libGL_glClearDepthfOES = auto (GLclampf a_0) -> void;
static fexldr_type_libGL_glClearDepthfOES *fexldr_ptr_libGL_glClearDepthfOES;
using fexldr_type_libGL_glClearDepth = auto (GLclampd a_0) -> void;
static fexldr_type_libGL_glClearDepth *fexldr_ptr_libGL_glClearDepth;
using fexldr_type_libGL_glClearDepthxOES = auto (GLfixed a_0) -> void;
static fexldr_type_libGL_glClearDepthxOES *fexldr_ptr_libGL_glClearDepthxOES;
using fexldr_type_libGL_glClear = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glClear *fexldr_ptr_libGL_glClear;
using fexldr_type_libGL_glClearIndex = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glClearIndex *fexldr_ptr_libGL_glClearIndex;
using fexldr_type_libGL_glClearNamedBufferDataEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLenum a_3, const void * a_4) -> void;
static fexldr_type_libGL_glClearNamedBufferDataEXT *fexldr_ptr_libGL_glClearNamedBufferDataEXT;
using fexldr_type_libGL_glClearNamedBufferData = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLenum a_3, const void * a_4) -> void;
static fexldr_type_libGL_glClearNamedBufferData *fexldr_ptr_libGL_glClearNamedBufferData;
using fexldr_type_libGL_glClearNamedBufferSubDataEXT = auto (GLuint a_0, GLenum a_1, GLsizeiptr a_2, GLsizeiptr a_3, GLenum a_4, GLenum a_5, const void * a_6) -> void;
static fexldr_type_libGL_glClearNamedBufferSubDataEXT *fexldr_ptr_libGL_glClearNamedBufferSubDataEXT;
using fexldr_type_libGL_glClearNamedBufferSubData = auto (GLuint a_0, GLenum a_1, GLintptr a_2, GLsizeiptr a_3, GLenum a_4, GLenum a_5, const void * a_6) -> void;
static fexldr_type_libGL_glClearNamedBufferSubData *fexldr_ptr_libGL_glClearNamedBufferSubData;
using fexldr_type_libGL_glClearNamedFramebufferfi = auto (GLuint a_0, GLenum a_1, GLint a_2, GLfloat a_3, GLint a_4) -> void;
static fexldr_type_libGL_glClearNamedFramebufferfi *fexldr_ptr_libGL_glClearNamedFramebufferfi;
using fexldr_type_libGL_glClearNamedFramebufferfv = auto (GLuint a_0, GLenum a_1, GLint a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glClearNamedFramebufferfv *fexldr_ptr_libGL_glClearNamedFramebufferfv;
using fexldr_type_libGL_glClearNamedFramebufferiv = auto (GLuint a_0, GLenum a_1, GLint a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glClearNamedFramebufferiv *fexldr_ptr_libGL_glClearNamedFramebufferiv;
using fexldr_type_libGL_glClearNamedFramebufferuiv = auto (GLuint a_0, GLenum a_1, GLint a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glClearNamedFramebufferuiv *fexldr_ptr_libGL_glClearNamedFramebufferuiv;
using fexldr_type_libGL_glClearStencil = auto (GLint a_0) -> void;
static fexldr_type_libGL_glClearStencil *fexldr_ptr_libGL_glClearStencil;
using fexldr_type_libGL_glClearTexImage = auto (GLuint a_0, GLint a_1, GLenum a_2, GLenum a_3, const void * a_4) -> void;
static fexldr_type_libGL_glClearTexImage *fexldr_ptr_libGL_glClearTexImage;
using fexldr_type_libGL_glClearTexSubImage = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLenum a_8, GLenum a_9, const void * a_10) -> void;
static fexldr_type_libGL_glClearTexSubImage *fexldr_ptr_libGL_glClearTexSubImage;
using fexldr_type_libGL_glClientActiveTextureARB = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glClientActiveTextureARB *fexldr_ptr_libGL_glClientActiveTextureARB;
using fexldr_type_libGL_glClientActiveTexture = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glClientActiveTexture *fexldr_ptr_libGL_glClientActiveTexture;
using fexldr_type_libGL_glClientActiveVertexStreamATI = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glClientActiveVertexStreamATI *fexldr_ptr_libGL_glClientActiveVertexStreamATI;
using fexldr_type_libGL_glClientAttribDefaultEXT = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glClientAttribDefaultEXT *fexldr_ptr_libGL_glClientAttribDefaultEXT;
using fexldr_type_libGL_glClientWaitSemaphoreui64NVX = auto (GLsizei a_0, const GLuint * a_1, const GLuint64 * a_2) -> void;
static fexldr_type_libGL_glClientWaitSemaphoreui64NVX *fexldr_ptr_libGL_glClientWaitSemaphoreui64NVX;
using fexldr_type_libGL_glClipControl = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glClipControl *fexldr_ptr_libGL_glClipControl;
using fexldr_type_libGL_glClipPlanefOES = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glClipPlanefOES *fexldr_ptr_libGL_glClipPlanefOES;
using fexldr_type_libGL_glClipPlane = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glClipPlane *fexldr_ptr_libGL_glClipPlane;
using fexldr_type_libGL_glClipPlanexOES = auto (GLenum a_0, const GLfixed * a_1) -> void;
static fexldr_type_libGL_glClipPlanexOES *fexldr_ptr_libGL_glClipPlanexOES;
using fexldr_type_libGL_glColor3b = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2) -> void;
static fexldr_type_libGL_glColor3b *fexldr_ptr_libGL_glColor3b;
using fexldr_type_libGL_glColor3bv = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glColor3bv *fexldr_ptr_libGL_glColor3bv;
using fexldr_type_libGL_glColor3d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glColor3d *fexldr_ptr_libGL_glColor3d;
using fexldr_type_libGL_glColor3dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glColor3dv *fexldr_ptr_libGL_glColor3dv;
using fexldr_type_libGL_glColor3f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glColor3f *fexldr_ptr_libGL_glColor3f;
using fexldr_type_libGL_glColor3fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glColor3fv *fexldr_ptr_libGL_glColor3fv;
using fexldr_type_libGL_glColor3fVertex3fSUN = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glColor3fVertex3fSUN *fexldr_ptr_libGL_glColor3fVertex3fSUN;
using fexldr_type_libGL_glColor3fVertex3fvSUN = auto (const GLfloat * a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glColor3fVertex3fvSUN *fexldr_ptr_libGL_glColor3fVertex3fvSUN;
using fexldr_type_libGL_glColor3hNV = auto (GLhalfNV a_0, GLhalfNV a_1, GLhalfNV a_2) -> void;
static fexldr_type_libGL_glColor3hNV *fexldr_ptr_libGL_glColor3hNV;
using fexldr_type_libGL_glColor3hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glColor3hvNV *fexldr_ptr_libGL_glColor3hvNV;
using fexldr_type_libGL_glColor3i = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glColor3i *fexldr_ptr_libGL_glColor3i;
using fexldr_type_libGL_glColor3iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glColor3iv *fexldr_ptr_libGL_glColor3iv;
using fexldr_type_libGL_glColor3s = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glColor3s *fexldr_ptr_libGL_glColor3s;
using fexldr_type_libGL_glColor3sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glColor3sv *fexldr_ptr_libGL_glColor3sv;
using fexldr_type_libGL_glColor3ub = auto (GLubyte a_0, GLubyte a_1, GLubyte a_2) -> void;
static fexldr_type_libGL_glColor3ub *fexldr_ptr_libGL_glColor3ub;
using fexldr_type_libGL_glColor3ubv = auto (const GLubyte * a_0) -> void;
static fexldr_type_libGL_glColor3ubv *fexldr_ptr_libGL_glColor3ubv;
using fexldr_type_libGL_glColor3ui = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glColor3ui *fexldr_ptr_libGL_glColor3ui;
using fexldr_type_libGL_glColor3uiv = auto (const GLuint * a_0) -> void;
static fexldr_type_libGL_glColor3uiv *fexldr_ptr_libGL_glColor3uiv;
using fexldr_type_libGL_glColor3us = auto (GLushort a_0, GLushort a_1, GLushort a_2) -> void;
static fexldr_type_libGL_glColor3us *fexldr_ptr_libGL_glColor3us;
using fexldr_type_libGL_glColor3usv = auto (const GLushort * a_0) -> void;
static fexldr_type_libGL_glColor3usv *fexldr_ptr_libGL_glColor3usv;
using fexldr_type_libGL_glColor3xOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glColor3xOES *fexldr_ptr_libGL_glColor3xOES;
using fexldr_type_libGL_glColor3xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glColor3xvOES *fexldr_ptr_libGL_glColor3xvOES;
using fexldr_type_libGL_glColor4b = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2, GLbyte a_3) -> void;
static fexldr_type_libGL_glColor4b *fexldr_ptr_libGL_glColor4b;
using fexldr_type_libGL_glColor4bv = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glColor4bv *fexldr_ptr_libGL_glColor4bv;
using fexldr_type_libGL_glColor4d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glColor4d *fexldr_ptr_libGL_glColor4d;
using fexldr_type_libGL_glColor4dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glColor4dv *fexldr_ptr_libGL_glColor4dv;
using fexldr_type_libGL_glColor4f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glColor4f *fexldr_ptr_libGL_glColor4f;
using fexldr_type_libGL_glColor4fNormal3fVertex3fSUN = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7, GLfloat a_8, GLfloat a_9) -> void;
static fexldr_type_libGL_glColor4fNormal3fVertex3fSUN *fexldr_ptr_libGL_glColor4fNormal3fVertex3fSUN;
using fexldr_type_libGL_glColor4fNormal3fVertex3fvSUN = auto (const GLfloat * a_0, const GLfloat * a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glColor4fNormal3fVertex3fvSUN *fexldr_ptr_libGL_glColor4fNormal3fVertex3fvSUN;
using fexldr_type_libGL_glColor4fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glColor4fv *fexldr_ptr_libGL_glColor4fv;
using fexldr_type_libGL_glColor4hNV = auto (GLhalfNV a_0, GLhalfNV a_1, GLhalfNV a_2, GLhalfNV a_3) -> void;
static fexldr_type_libGL_glColor4hNV *fexldr_ptr_libGL_glColor4hNV;
using fexldr_type_libGL_glColor4hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glColor4hvNV *fexldr_ptr_libGL_glColor4hvNV;
using fexldr_type_libGL_glColor4i = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glColor4i *fexldr_ptr_libGL_glColor4i;
using fexldr_type_libGL_glColor4iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glColor4iv *fexldr_ptr_libGL_glColor4iv;
using fexldr_type_libGL_glColor4s = auto (GLshort a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glColor4s *fexldr_ptr_libGL_glColor4s;
using fexldr_type_libGL_glColor4sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glColor4sv *fexldr_ptr_libGL_glColor4sv;
using fexldr_type_libGL_glColor4ub = auto (GLubyte a_0, GLubyte a_1, GLubyte a_2, GLubyte a_3) -> void;
static fexldr_type_libGL_glColor4ub *fexldr_ptr_libGL_glColor4ub;
using fexldr_type_libGL_glColor4ubv = auto (const GLubyte * a_0) -> void;
static fexldr_type_libGL_glColor4ubv *fexldr_ptr_libGL_glColor4ubv;
using fexldr_type_libGL_glColor4ubVertex2fSUN = auto (GLubyte a_0, GLubyte a_1, GLubyte a_2, GLubyte a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glColor4ubVertex2fSUN *fexldr_ptr_libGL_glColor4ubVertex2fSUN;
using fexldr_type_libGL_glColor4ubVertex2fvSUN = auto (const GLubyte * a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glColor4ubVertex2fvSUN *fexldr_ptr_libGL_glColor4ubVertex2fvSUN;
using fexldr_type_libGL_glColor4ubVertex3fSUN = auto (GLubyte a_0, GLubyte a_1, GLubyte a_2, GLubyte a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6) -> void;
static fexldr_type_libGL_glColor4ubVertex3fSUN *fexldr_ptr_libGL_glColor4ubVertex3fSUN;
using fexldr_type_libGL_glColor4ubVertex3fvSUN = auto (const GLubyte * a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glColor4ubVertex3fvSUN *fexldr_ptr_libGL_glColor4ubVertex3fvSUN;
using fexldr_type_libGL_glColor4ui = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glColor4ui *fexldr_ptr_libGL_glColor4ui;
using fexldr_type_libGL_glColor4uiv = auto (const GLuint * a_0) -> void;
static fexldr_type_libGL_glColor4uiv *fexldr_ptr_libGL_glColor4uiv;
using fexldr_type_libGL_glColor4us = auto (GLushort a_0, GLushort a_1, GLushort a_2, GLushort a_3) -> void;
static fexldr_type_libGL_glColor4us *fexldr_ptr_libGL_glColor4us;
using fexldr_type_libGL_glColor4usv = auto (const GLushort * a_0) -> void;
static fexldr_type_libGL_glColor4usv *fexldr_ptr_libGL_glColor4usv;
using fexldr_type_libGL_glColor4xOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3) -> void;
static fexldr_type_libGL_glColor4xOES *fexldr_ptr_libGL_glColor4xOES;
using fexldr_type_libGL_glColor4xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glColor4xvOES *fexldr_ptr_libGL_glColor4xvOES;
using fexldr_type_libGL_glColorFormatNV = auto (GLint a_0, GLenum a_1, GLsizei a_2) -> void;
static fexldr_type_libGL_glColorFormatNV *fexldr_ptr_libGL_glColorFormatNV;
using fexldr_type_libGL_glColorFragmentOp1ATI = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5, GLuint a_6) -> void;
static fexldr_type_libGL_glColorFragmentOp1ATI *fexldr_ptr_libGL_glColorFragmentOp1ATI;
using fexldr_type_libGL_glColorFragmentOp2ATI = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5, GLuint a_6, GLuint a_7, GLuint a_8, GLuint a_9) -> void;
static fexldr_type_libGL_glColorFragmentOp2ATI *fexldr_ptr_libGL_glColorFragmentOp2ATI;
using fexldr_type_libGL_glColorFragmentOp3ATI = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5, GLuint a_6, GLuint a_7, GLuint a_8, GLuint a_9, GLuint a_10, GLuint a_11, GLuint a_12) -> void;
static fexldr_type_libGL_glColorFragmentOp3ATI *fexldr_ptr_libGL_glColorFragmentOp3ATI;
using fexldr_type_libGL_glColorMask = auto (GLboolean a_0, GLboolean a_1, GLboolean a_2, GLboolean a_3) -> void;
static fexldr_type_libGL_glColorMask *fexldr_ptr_libGL_glColorMask;
using fexldr_type_libGL_glColorMaski = auto (GLuint a_0, GLboolean a_1, GLboolean a_2, GLboolean a_3, GLboolean a_4) -> void;
static fexldr_type_libGL_glColorMaski *fexldr_ptr_libGL_glColorMaski;
using fexldr_type_libGL_glColorMaskIndexedEXT = auto (GLuint a_0, GLboolean a_1, GLboolean a_2, GLboolean a_3, GLboolean a_4) -> void;
static fexldr_type_libGL_glColorMaskIndexedEXT *fexldr_ptr_libGL_glColorMaskIndexedEXT;
using fexldr_type_libGL_glColorMaterial = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glColorMaterial *fexldr_ptr_libGL_glColorMaterial;
using fexldr_type_libGL_glColorPointerEXT = auto (GLint a_0, GLenum a_1, GLsizei a_2, GLsizei a_3, const void * a_4) -> void;
static fexldr_type_libGL_glColorPointerEXT *fexldr_ptr_libGL_glColorPointerEXT;
using fexldr_type_libGL_glColorPointer = auto (GLint a_0, GLenum a_1, GLsizei a_2, const GLvoid * a_3) -> void;
static fexldr_type_libGL_glColorPointer *fexldr_ptr_libGL_glColorPointer;
using fexldr_type_libGL_glColorPointerListIBM = auto (GLint a_0, GLenum a_1, GLint a_2, const void ** a_3, GLint a_4) -> void;
static fexldr_type_libGL_glColorPointerListIBM *fexldr_ptr_libGL_glColorPointerListIBM;
using fexldr_type_libGL_glColorPointervINTEL = auto (GLint a_0, GLenum a_1, const void ** a_2) -> void;
static fexldr_type_libGL_glColorPointervINTEL *fexldr_ptr_libGL_glColorPointervINTEL;
using fexldr_type_libGL_glColorSubTableEXT = auto (GLenum a_0, GLsizei a_1, GLsizei a_2, GLenum a_3, GLenum a_4, const void * a_5) -> void;
static fexldr_type_libGL_glColorSubTableEXT *fexldr_ptr_libGL_glColorSubTableEXT;
using fexldr_type_libGL_glColorSubTable = auto (GLenum a_0, GLsizei a_1, GLsizei a_2, GLenum a_3, GLenum a_4, const GLvoid * a_5) -> void;
static fexldr_type_libGL_glColorSubTable *fexldr_ptr_libGL_glColorSubTable;
using fexldr_type_libGL_glColorTableEXT = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLenum a_4, const void * a_5) -> void;
static fexldr_type_libGL_glColorTableEXT *fexldr_ptr_libGL_glColorTableEXT;
using fexldr_type_libGL_glColorTable = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLenum a_4, const GLvoid * a_5) -> void;
static fexldr_type_libGL_glColorTable *fexldr_ptr_libGL_glColorTable;
using fexldr_type_libGL_glColorTableParameterfv = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glColorTableParameterfv *fexldr_ptr_libGL_glColorTableParameterfv;
using fexldr_type_libGL_glColorTableParameterfvSGI = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glColorTableParameterfvSGI *fexldr_ptr_libGL_glColorTableParameterfvSGI;
using fexldr_type_libGL_glColorTableParameteriv = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glColorTableParameteriv *fexldr_ptr_libGL_glColorTableParameteriv;
using fexldr_type_libGL_glColorTableParameterivSGI = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glColorTableParameterivSGI *fexldr_ptr_libGL_glColorTableParameterivSGI;
using fexldr_type_libGL_glColorTableSGI = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLenum a_4, const void * a_5) -> void;
static fexldr_type_libGL_glColorTableSGI *fexldr_ptr_libGL_glColorTableSGI;
using fexldr_type_libGL_glCombinerInputNV = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3, GLenum a_4, GLenum a_5) -> void;
static fexldr_type_libGL_glCombinerInputNV *fexldr_ptr_libGL_glCombinerInputNV;
using fexldr_type_libGL_glCombinerOutputNV = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3, GLenum a_4, GLenum a_5, GLenum a_6, GLboolean a_7, GLboolean a_8, GLboolean a_9) -> void;
static fexldr_type_libGL_glCombinerOutputNV *fexldr_ptr_libGL_glCombinerOutputNV;
using fexldr_type_libGL_glCombinerParameterfNV = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glCombinerParameterfNV *fexldr_ptr_libGL_glCombinerParameterfNV;
using fexldr_type_libGL_glCombinerParameterfvNV = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glCombinerParameterfvNV *fexldr_ptr_libGL_glCombinerParameterfvNV;
using fexldr_type_libGL_glCombinerParameteriNV = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glCombinerParameteriNV *fexldr_ptr_libGL_glCombinerParameteriNV;
using fexldr_type_libGL_glCombinerParameterivNV = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glCombinerParameterivNV *fexldr_ptr_libGL_glCombinerParameterivNV;
using fexldr_type_libGL_glCombinerStageParameterfvNV = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glCombinerStageParameterfvNV *fexldr_ptr_libGL_glCombinerStageParameterfvNV;
using fexldr_type_libGL_glCommandListSegmentsNV = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glCommandListSegmentsNV *fexldr_ptr_libGL_glCommandListSegmentsNV;
using fexldr_type_libGL_glCompileCommandListNV = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glCompileCommandListNV *fexldr_ptr_libGL_glCompileCommandListNV;
using fexldr_type_libGL_glCompileShaderARB = auto (GLhandleARB a_0) -> void;
static fexldr_type_libGL_glCompileShaderARB *fexldr_ptr_libGL_glCompileShaderARB;
using fexldr_type_libGL_glCompileShader = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glCompileShader *fexldr_ptr_libGL_glCompileShader;
using fexldr_type_libGL_glCompileShaderIncludeARB = auto (GLuint a_0, GLsizei a_1, const GLchar *const * a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glCompileShaderIncludeARB *fexldr_ptr_libGL_glCompileShaderIncludeARB;
using fexldr_type_libGL_glCompressedMultiTexImage1DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLenum a_3, GLsizei a_4, GLint a_5, GLsizei a_6, const void * a_7) -> void;
static fexldr_type_libGL_glCompressedMultiTexImage1DEXT *fexldr_ptr_libGL_glCompressedMultiTexImage1DEXT;
using fexldr_type_libGL_glCompressedMultiTexImage2DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLenum a_3, GLsizei a_4, GLsizei a_5, GLint a_6, GLsizei a_7, const void * a_8) -> void;
static fexldr_type_libGL_glCompressedMultiTexImage2DEXT *fexldr_ptr_libGL_glCompressedMultiTexImage2DEXT;
using fexldr_type_libGL_glCompressedMultiTexImage3DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLenum a_3, GLsizei a_4, GLsizei a_5, GLsizei a_6, GLint a_7, GLsizei a_8, const void * a_9) -> void;
static fexldr_type_libGL_glCompressedMultiTexImage3DEXT *fexldr_ptr_libGL_glCompressedMultiTexImage3DEXT;
using fexldr_type_libGL_glCompressedMultiTexSubImage1DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLenum a_5, GLsizei a_6, const void * a_7) -> void;
static fexldr_type_libGL_glCompressedMultiTexSubImage1DEXT *fexldr_ptr_libGL_glCompressedMultiTexSubImage1DEXT;
using fexldr_type_libGL_glCompressedMultiTexSubImage2DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLenum a_7, GLsizei a_8, const void * a_9) -> void;
static fexldr_type_libGL_glCompressedMultiTexSubImage2DEXT *fexldr_ptr_libGL_glCompressedMultiTexSubImage2DEXT;
using fexldr_type_libGL_glCompressedMultiTexSubImage3DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLsizei a_6, GLsizei a_7, GLsizei a_8, GLenum a_9, GLsizei a_10, const void * a_11) -> void;
static fexldr_type_libGL_glCompressedMultiTexSubImage3DEXT *fexldr_ptr_libGL_glCompressedMultiTexSubImage3DEXT;
using fexldr_type_libGL_glCompressedTexImage1DARB = auto (GLenum a_0, GLint a_1, GLenum a_2, GLsizei a_3, GLint a_4, GLsizei a_5, const void * a_6) -> void;
static fexldr_type_libGL_glCompressedTexImage1DARB *fexldr_ptr_libGL_glCompressedTexImage1DARB;
using fexldr_type_libGL_glCompressedTexImage1D = auto (GLenum a_0, GLint a_1, GLenum a_2, GLsizei a_3, GLint a_4, GLsizei a_5, const GLvoid * a_6) -> void;
static fexldr_type_libGL_glCompressedTexImage1D *fexldr_ptr_libGL_glCompressedTexImage1D;
using fexldr_type_libGL_glCompressedTexImage2DARB = auto (GLenum a_0, GLint a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLint a_5, GLsizei a_6, const void * a_7) -> void;
static fexldr_type_libGL_glCompressedTexImage2DARB *fexldr_ptr_libGL_glCompressedTexImage2DARB;
using fexldr_type_libGL_glCompressedTexImage2D = auto (GLenum a_0, GLint a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLint a_5, GLsizei a_6, const GLvoid * a_7) -> void;
static fexldr_type_libGL_glCompressedTexImage2D *fexldr_ptr_libGL_glCompressedTexImage2D;
using fexldr_type_libGL_glCompressedTexImage3DARB = auto (GLenum a_0, GLint a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLint a_6, GLsizei a_7, const void * a_8) -> void;
static fexldr_type_libGL_glCompressedTexImage3DARB *fexldr_ptr_libGL_glCompressedTexImage3DARB;
using fexldr_type_libGL_glCompressedTexImage3D = auto (GLenum a_0, GLint a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLint a_6, GLsizei a_7, const GLvoid * a_8) -> void;
static fexldr_type_libGL_glCompressedTexImage3D *fexldr_ptr_libGL_glCompressedTexImage3D;
using fexldr_type_libGL_glCompressedTexSubImage1DARB = auto (GLenum a_0, GLint a_1, GLint a_2, GLsizei a_3, GLenum a_4, GLsizei a_5, const void * a_6) -> void;
static fexldr_type_libGL_glCompressedTexSubImage1DARB *fexldr_ptr_libGL_glCompressedTexSubImage1DARB;
using fexldr_type_libGL_glCompressedTexSubImage1D = auto (GLenum a_0, GLint a_1, GLint a_2, GLsizei a_3, GLenum a_4, GLsizei a_5, const GLvoid * a_6) -> void;
static fexldr_type_libGL_glCompressedTexSubImage1D *fexldr_ptr_libGL_glCompressedTexSubImage1D;
using fexldr_type_libGL_glCompressedTexSubImage2DARB = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLenum a_6, GLsizei a_7, const void * a_8) -> void;
static fexldr_type_libGL_glCompressedTexSubImage2DARB *fexldr_ptr_libGL_glCompressedTexSubImage2DARB;
using fexldr_type_libGL_glCompressedTexSubImage2D = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLenum a_6, GLsizei a_7, const GLvoid * a_8) -> void;
static fexldr_type_libGL_glCompressedTexSubImage2D *fexldr_ptr_libGL_glCompressedTexSubImage2D;
using fexldr_type_libGL_glCompressedTexSubImage3DARB = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLenum a_8, GLsizei a_9, const void * a_10) -> void;
static fexldr_type_libGL_glCompressedTexSubImage3DARB *fexldr_ptr_libGL_glCompressedTexSubImage3DARB;
using fexldr_type_libGL_glCompressedTexSubImage3D = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLenum a_8, GLsizei a_9, const GLvoid * a_10) -> void;
static fexldr_type_libGL_glCompressedTexSubImage3D *fexldr_ptr_libGL_glCompressedTexSubImage3D;
using fexldr_type_libGL_glCompressedTextureImage1DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLenum a_3, GLsizei a_4, GLint a_5, GLsizei a_6, const void * a_7) -> void;
static fexldr_type_libGL_glCompressedTextureImage1DEXT *fexldr_ptr_libGL_glCompressedTextureImage1DEXT;
using fexldr_type_libGL_glCompressedTextureImage2DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLenum a_3, GLsizei a_4, GLsizei a_5, GLint a_6, GLsizei a_7, const void * a_8) -> void;
static fexldr_type_libGL_glCompressedTextureImage2DEXT *fexldr_ptr_libGL_glCompressedTextureImage2DEXT;
using fexldr_type_libGL_glCompressedTextureImage3DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLenum a_3, GLsizei a_4, GLsizei a_5, GLsizei a_6, GLint a_7, GLsizei a_8, const void * a_9) -> void;
static fexldr_type_libGL_glCompressedTextureImage3DEXT *fexldr_ptr_libGL_glCompressedTextureImage3DEXT;
using fexldr_type_libGL_glCompressedTextureSubImage1DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLenum a_5, GLsizei a_6, const void * a_7) -> void;
static fexldr_type_libGL_glCompressedTextureSubImage1DEXT *fexldr_ptr_libGL_glCompressedTextureSubImage1DEXT;
using fexldr_type_libGL_glCompressedTextureSubImage1D = auto (GLuint a_0, GLint a_1, GLint a_2, GLsizei a_3, GLenum a_4, GLsizei a_5, const void * a_6) -> void;
static fexldr_type_libGL_glCompressedTextureSubImage1D *fexldr_ptr_libGL_glCompressedTextureSubImage1D;
using fexldr_type_libGL_glCompressedTextureSubImage2DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLenum a_7, GLsizei a_8, const void * a_9) -> void;
static fexldr_type_libGL_glCompressedTextureSubImage2DEXT *fexldr_ptr_libGL_glCompressedTextureSubImage2DEXT;
using fexldr_type_libGL_glCompressedTextureSubImage2D = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLenum a_6, GLsizei a_7, const void * a_8) -> void;
static fexldr_type_libGL_glCompressedTextureSubImage2D *fexldr_ptr_libGL_glCompressedTextureSubImage2D;
using fexldr_type_libGL_glCompressedTextureSubImage3DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLsizei a_6, GLsizei a_7, GLsizei a_8, GLenum a_9, GLsizei a_10, const void * a_11) -> void;
static fexldr_type_libGL_glCompressedTextureSubImage3DEXT *fexldr_ptr_libGL_glCompressedTextureSubImage3DEXT;
using fexldr_type_libGL_glCompressedTextureSubImage3D = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLenum a_8, GLsizei a_9, const void * a_10) -> void;
static fexldr_type_libGL_glCompressedTextureSubImage3D *fexldr_ptr_libGL_glCompressedTextureSubImage3D;
using fexldr_type_libGL_glConservativeRasterParameterfNV = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glConservativeRasterParameterfNV *fexldr_ptr_libGL_glConservativeRasterParameterfNV;
using fexldr_type_libGL_glConservativeRasterParameteriNV = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glConservativeRasterParameteriNV *fexldr_ptr_libGL_glConservativeRasterParameteriNV;
using fexldr_type_libGL_glConvolutionFilter1DEXT = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLenum a_4, const void * a_5) -> void;
static fexldr_type_libGL_glConvolutionFilter1DEXT *fexldr_ptr_libGL_glConvolutionFilter1DEXT;
using fexldr_type_libGL_glConvolutionFilter1D = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLenum a_4, const GLvoid * a_5) -> void;
static fexldr_type_libGL_glConvolutionFilter1D *fexldr_ptr_libGL_glConvolutionFilter1D;
using fexldr_type_libGL_glConvolutionFilter2DEXT = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLsizei a_3, GLenum a_4, GLenum a_5, const void * a_6) -> void;
static fexldr_type_libGL_glConvolutionFilter2DEXT *fexldr_ptr_libGL_glConvolutionFilter2DEXT;
using fexldr_type_libGL_glConvolutionFilter2D = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLsizei a_3, GLenum a_4, GLenum a_5, const GLvoid * a_6) -> void;
static fexldr_type_libGL_glConvolutionFilter2D *fexldr_ptr_libGL_glConvolutionFilter2D;
using fexldr_type_libGL_glConvolutionParameterfEXT = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glConvolutionParameterfEXT *fexldr_ptr_libGL_glConvolutionParameterfEXT;
using fexldr_type_libGL_glConvolutionParameterf = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glConvolutionParameterf *fexldr_ptr_libGL_glConvolutionParameterf;
using fexldr_type_libGL_glConvolutionParameterfvEXT = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glConvolutionParameterfvEXT *fexldr_ptr_libGL_glConvolutionParameterfvEXT;
using fexldr_type_libGL_glConvolutionParameterfv = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glConvolutionParameterfv *fexldr_ptr_libGL_glConvolutionParameterfv;
using fexldr_type_libGL_glConvolutionParameteriEXT = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glConvolutionParameteriEXT *fexldr_ptr_libGL_glConvolutionParameteriEXT;
using fexldr_type_libGL_glConvolutionParameteri = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glConvolutionParameteri *fexldr_ptr_libGL_glConvolutionParameteri;
using fexldr_type_libGL_glConvolutionParameterivEXT = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glConvolutionParameterivEXT *fexldr_ptr_libGL_glConvolutionParameterivEXT;
using fexldr_type_libGL_glConvolutionParameteriv = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glConvolutionParameteriv *fexldr_ptr_libGL_glConvolutionParameteriv;
using fexldr_type_libGL_glConvolutionParameterxOES = auto (GLenum a_0, GLenum a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glConvolutionParameterxOES *fexldr_ptr_libGL_glConvolutionParameterxOES;
using fexldr_type_libGL_glConvolutionParameterxvOES = auto (GLenum a_0, GLenum a_1, const GLfixed * a_2) -> void;
static fexldr_type_libGL_glConvolutionParameterxvOES *fexldr_ptr_libGL_glConvolutionParameterxvOES;
using fexldr_type_libGL_glCopyBufferSubData = auto (GLenum a_0, GLenum a_1, GLintptr a_2, GLintptr a_3, GLsizeiptr a_4) -> void;
static fexldr_type_libGL_glCopyBufferSubData *fexldr_ptr_libGL_glCopyBufferSubData;
using fexldr_type_libGL_glCopyColorSubTableEXT = auto (GLenum a_0, GLsizei a_1, GLint a_2, GLint a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glCopyColorSubTableEXT *fexldr_ptr_libGL_glCopyColorSubTableEXT;
using fexldr_type_libGL_glCopyColorSubTable = auto (GLenum a_0, GLsizei a_1, GLint a_2, GLint a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glCopyColorSubTable *fexldr_ptr_libGL_glCopyColorSubTable;
using fexldr_type_libGL_glCopyColorTable = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glCopyColorTable *fexldr_ptr_libGL_glCopyColorTable;
using fexldr_type_libGL_glCopyColorTableSGI = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glCopyColorTableSGI *fexldr_ptr_libGL_glCopyColorTableSGI;
using fexldr_type_libGL_glCopyConvolutionFilter1DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glCopyConvolutionFilter1DEXT *fexldr_ptr_libGL_glCopyConvolutionFilter1DEXT;
using fexldr_type_libGL_glCopyConvolutionFilter1D = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glCopyConvolutionFilter1D *fexldr_ptr_libGL_glCopyConvolutionFilter1D;
using fexldr_type_libGL_glCopyConvolutionFilter2DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glCopyConvolutionFilter2DEXT *fexldr_ptr_libGL_glCopyConvolutionFilter2DEXT;
using fexldr_type_libGL_glCopyConvolutionFilter2D = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glCopyConvolutionFilter2D *fexldr_ptr_libGL_glCopyConvolutionFilter2D;
using fexldr_type_libGL_glCopyImageSubData = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLuint a_6, GLenum a_7, GLint a_8, GLint a_9, GLint a_10, GLint a_11, GLsizei a_12, GLsizei a_13, GLsizei a_14) -> void;
static fexldr_type_libGL_glCopyImageSubData *fexldr_ptr_libGL_glCopyImageSubData;
using fexldr_type_libGL_glCopyImageSubDataNV = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLuint a_6, GLenum a_7, GLint a_8, GLint a_9, GLint a_10, GLint a_11, GLsizei a_12, GLsizei a_13, GLsizei a_14) -> void;
static fexldr_type_libGL_glCopyImageSubDataNV *fexldr_ptr_libGL_glCopyImageSubDataNV;
using fexldr_type_libGL_glCopyMultiTexImage1DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLenum a_3, GLint a_4, GLint a_5, GLsizei a_6, GLint a_7) -> void;
static fexldr_type_libGL_glCopyMultiTexImage1DEXT *fexldr_ptr_libGL_glCopyMultiTexImage1DEXT;
using fexldr_type_libGL_glCopyMultiTexImage2DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLenum a_3, GLint a_4, GLint a_5, GLsizei a_6, GLsizei a_7, GLint a_8) -> void;
static fexldr_type_libGL_glCopyMultiTexImage2DEXT *fexldr_ptr_libGL_glCopyMultiTexImage2DEXT;
using fexldr_type_libGL_glCopyMultiTexSubImage1DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLsizei a_6) -> void;
static fexldr_type_libGL_glCopyMultiTexSubImage1DEXT *fexldr_ptr_libGL_glCopyMultiTexSubImage1DEXT;
using fexldr_type_libGL_glCopyMultiTexSubImage2DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLsizei a_7, GLsizei a_8) -> void;
static fexldr_type_libGL_glCopyMultiTexSubImage2DEXT *fexldr_ptr_libGL_glCopyMultiTexSubImage2DEXT;
using fexldr_type_libGL_glCopyMultiTexSubImage3DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLint a_7, GLsizei a_8, GLsizei a_9) -> void;
static fexldr_type_libGL_glCopyMultiTexSubImage3DEXT *fexldr_ptr_libGL_glCopyMultiTexSubImage3DEXT;
using fexldr_type_libGL_glCopyNamedBufferSubData = auto (GLuint a_0, GLuint a_1, GLintptr a_2, GLintptr a_3, GLsizeiptr a_4) -> void;
static fexldr_type_libGL_glCopyNamedBufferSubData *fexldr_ptr_libGL_glCopyNamedBufferSubData;
using fexldr_type_libGL_glCopyPathNV = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glCopyPathNV *fexldr_ptr_libGL_glCopyPathNV;
using fexldr_type_libGL_glCopyPixels = auto (GLint a_0, GLint a_1, GLsizei a_2, GLsizei a_3, GLenum a_4) -> void;
static fexldr_type_libGL_glCopyPixels *fexldr_ptr_libGL_glCopyPixels;
using fexldr_type_libGL_glCopyTexImage1DEXT = auto (GLenum a_0, GLint a_1, GLenum a_2, GLint a_3, GLint a_4, GLsizei a_5, GLint a_6) -> void;
static fexldr_type_libGL_glCopyTexImage1DEXT *fexldr_ptr_libGL_glCopyTexImage1DEXT;
using fexldr_type_libGL_glCopyTexImage1D = auto (GLenum a_0, GLint a_1, GLenum a_2, GLint a_3, GLint a_4, GLsizei a_5, GLint a_6) -> void;
static fexldr_type_libGL_glCopyTexImage1D *fexldr_ptr_libGL_glCopyTexImage1D;
using fexldr_type_libGL_glCopyTexImage2DEXT = auto (GLenum a_0, GLint a_1, GLenum a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLint a_7) -> void;
static fexldr_type_libGL_glCopyTexImage2DEXT *fexldr_ptr_libGL_glCopyTexImage2DEXT;
using fexldr_type_libGL_glCopyTexImage2D = auto (GLenum a_0, GLint a_1, GLenum a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLint a_7) -> void;
static fexldr_type_libGL_glCopyTexImage2D *fexldr_ptr_libGL_glCopyTexImage2D;
using fexldr_type_libGL_glCopyTexSubImage1DEXT = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glCopyTexSubImage1DEXT *fexldr_ptr_libGL_glCopyTexSubImage1DEXT;
using fexldr_type_libGL_glCopyTexSubImage1D = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glCopyTexSubImage1D *fexldr_ptr_libGL_glCopyTexSubImage1D;
using fexldr_type_libGL_glCopyTexSubImage2DEXT = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLsizei a_6, GLsizei a_7) -> void;
static fexldr_type_libGL_glCopyTexSubImage2DEXT *fexldr_ptr_libGL_glCopyTexSubImage2DEXT;
using fexldr_type_libGL_glCopyTexSubImage2D = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLsizei a_6, GLsizei a_7) -> void;
static fexldr_type_libGL_glCopyTexSubImage2D *fexldr_ptr_libGL_glCopyTexSubImage2D;
using fexldr_type_libGL_glCopyTexSubImage3DEXT = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLsizei a_7, GLsizei a_8) -> void;
static fexldr_type_libGL_glCopyTexSubImage3DEXT *fexldr_ptr_libGL_glCopyTexSubImage3DEXT;
using fexldr_type_libGL_glCopyTexSubImage3D = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLsizei a_7, GLsizei a_8) -> void;
static fexldr_type_libGL_glCopyTexSubImage3D *fexldr_ptr_libGL_glCopyTexSubImage3D;
using fexldr_type_libGL_glCopyTextureImage1DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLenum a_3, GLint a_4, GLint a_5, GLsizei a_6, GLint a_7) -> void;
static fexldr_type_libGL_glCopyTextureImage1DEXT *fexldr_ptr_libGL_glCopyTextureImage1DEXT;
using fexldr_type_libGL_glCopyTextureImage2DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLenum a_3, GLint a_4, GLint a_5, GLsizei a_6, GLsizei a_7, GLint a_8) -> void;
static fexldr_type_libGL_glCopyTextureImage2DEXT *fexldr_ptr_libGL_glCopyTextureImage2DEXT;
using fexldr_type_libGL_glCopyTextureSubImage1DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLsizei a_6) -> void;
static fexldr_type_libGL_glCopyTextureSubImage1DEXT *fexldr_ptr_libGL_glCopyTextureSubImage1DEXT;
using fexldr_type_libGL_glCopyTextureSubImage1D = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glCopyTextureSubImage1D *fexldr_ptr_libGL_glCopyTextureSubImage1D;
using fexldr_type_libGL_glCopyTextureSubImage2DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLsizei a_7, GLsizei a_8) -> void;
static fexldr_type_libGL_glCopyTextureSubImage2DEXT *fexldr_ptr_libGL_glCopyTextureSubImage2DEXT;
using fexldr_type_libGL_glCopyTextureSubImage2D = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLsizei a_6, GLsizei a_7) -> void;
static fexldr_type_libGL_glCopyTextureSubImage2D *fexldr_ptr_libGL_glCopyTextureSubImage2D;
using fexldr_type_libGL_glCopyTextureSubImage3DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLint a_7, GLsizei a_8, GLsizei a_9) -> void;
static fexldr_type_libGL_glCopyTextureSubImage3DEXT *fexldr_ptr_libGL_glCopyTextureSubImage3DEXT;
using fexldr_type_libGL_glCopyTextureSubImage3D = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLsizei a_7, GLsizei a_8) -> void;
static fexldr_type_libGL_glCopyTextureSubImage3D *fexldr_ptr_libGL_glCopyTextureSubImage3D;
using fexldr_type_libGL_glCoverageModulationNV = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glCoverageModulationNV *fexldr_ptr_libGL_glCoverageModulationNV;
using fexldr_type_libGL_glCoverageModulationTableNV = auto (GLsizei a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glCoverageModulationTableNV *fexldr_ptr_libGL_glCoverageModulationTableNV;
using fexldr_type_libGL_glCoverFillPathInstancedNV = auto (GLsizei a_0, GLenum a_1, const void * a_2, GLuint a_3, GLenum a_4, GLenum a_5, const GLfloat * a_6) -> void;
static fexldr_type_libGL_glCoverFillPathInstancedNV *fexldr_ptr_libGL_glCoverFillPathInstancedNV;
using fexldr_type_libGL_glCoverFillPathNV = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glCoverFillPathNV *fexldr_ptr_libGL_glCoverFillPathNV;
using fexldr_type_libGL_glCoverStrokePathInstancedNV = auto (GLsizei a_0, GLenum a_1, const void * a_2, GLuint a_3, GLenum a_4, GLenum a_5, const GLfloat * a_6) -> void;
static fexldr_type_libGL_glCoverStrokePathInstancedNV *fexldr_ptr_libGL_glCoverStrokePathInstancedNV;
using fexldr_type_libGL_glCoverStrokePathNV = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glCoverStrokePathNV *fexldr_ptr_libGL_glCoverStrokePathNV;
using fexldr_type_libGL_glCreateBuffers = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreateBuffers *fexldr_ptr_libGL_glCreateBuffers;
using fexldr_type_libGL_glCreateCommandListsNV = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreateCommandListsNV *fexldr_ptr_libGL_glCreateCommandListsNV;
using fexldr_type_libGL_glCreateFramebuffers = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreateFramebuffers *fexldr_ptr_libGL_glCreateFramebuffers;
using fexldr_type_libGL_glCreateMemoryObjectsEXT = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreateMemoryObjectsEXT *fexldr_ptr_libGL_glCreateMemoryObjectsEXT;
using fexldr_type_libGL_glCreatePerfQueryINTEL = auto (GLuint a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreatePerfQueryINTEL *fexldr_ptr_libGL_glCreatePerfQueryINTEL;
using fexldr_type_libGL_glCreateProgramPipelines = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreateProgramPipelines *fexldr_ptr_libGL_glCreateProgramPipelines;
using fexldr_type_libGL_glCreateQueries = auto (GLenum a_0, GLsizei a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glCreateQueries *fexldr_ptr_libGL_glCreateQueries;
using fexldr_type_libGL_glCreateRenderbuffers = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreateRenderbuffers *fexldr_ptr_libGL_glCreateRenderbuffers;
using fexldr_type_libGL_glCreateSamplers = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreateSamplers *fexldr_ptr_libGL_glCreateSamplers;
using fexldr_type_libGL_glCreateStatesNV = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreateStatesNV *fexldr_ptr_libGL_glCreateStatesNV;
using fexldr_type_libGL_glCreateTextures = auto (GLenum a_0, GLsizei a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glCreateTextures *fexldr_ptr_libGL_glCreateTextures;
using fexldr_type_libGL_glCreateTransformFeedbacks = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreateTransformFeedbacks *fexldr_ptr_libGL_glCreateTransformFeedbacks;
using fexldr_type_libGL_glCreateVertexArrays = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glCreateVertexArrays *fexldr_ptr_libGL_glCreateVertexArrays;
using fexldr_type_libGL_glCullFace = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glCullFace *fexldr_ptr_libGL_glCullFace;
using fexldr_type_libGL_glCullParameterdvEXT = auto (GLenum a_0, GLdouble * a_1) -> void;
static fexldr_type_libGL_glCullParameterdvEXT *fexldr_ptr_libGL_glCullParameterdvEXT;
using fexldr_type_libGL_glCullParameterfvEXT = auto (GLenum a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glCullParameterfvEXT *fexldr_ptr_libGL_glCullParameterfvEXT;
using fexldr_type_libGL_glCurrentPaletteMatrixARB = auto (GLint a_0) -> void;
static fexldr_type_libGL_glCurrentPaletteMatrixARB *fexldr_ptr_libGL_glCurrentPaletteMatrixARB;
using fexldr_type_libGL_glDebugMessageCallbackAMD = auto (GLDEBUGPROCAMD a_0, void * a_1) -> void;
static fexldr_type_libGL_glDebugMessageCallbackAMD *fexldr_ptr_libGL_glDebugMessageCallbackAMD;
using fexldr_type_libGL_glDebugMessageCallbackARB = auto (GLDEBUGPROCARB a_0, const void * a_1) -> void;
static fexldr_type_libGL_glDebugMessageCallbackARB *fexldr_ptr_libGL_glDebugMessageCallbackARB;
using fexldr_type_libGL_glDebugMessageCallback = auto (GLDEBUGPROC a_0, const void * a_1) -> void;
static fexldr_type_libGL_glDebugMessageCallback *fexldr_ptr_libGL_glDebugMessageCallback;
using fexldr_type_libGL_glDebugMessageControlARB = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLsizei a_3, const GLuint * a_4, GLboolean a_5) -> void;
static fexldr_type_libGL_glDebugMessageControlARB *fexldr_ptr_libGL_glDebugMessageControlARB;
using fexldr_type_libGL_glDebugMessageControl = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLsizei a_3, const GLuint * a_4, GLboolean a_5) -> void;
static fexldr_type_libGL_glDebugMessageControl *fexldr_ptr_libGL_glDebugMessageControl;
using fexldr_type_libGL_glDebugMessageEnableAMD = auto (GLenum a_0, GLenum a_1, GLsizei a_2, const GLuint * a_3, GLboolean a_4) -> void;
static fexldr_type_libGL_glDebugMessageEnableAMD *fexldr_ptr_libGL_glDebugMessageEnableAMD;
using fexldr_type_libGL_glDebugMessageInsertAMD = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLsizei a_3, const GLchar * a_4) -> void;
static fexldr_type_libGL_glDebugMessageInsertAMD *fexldr_ptr_libGL_glDebugMessageInsertAMD;
using fexldr_type_libGL_glDebugMessageInsertARB = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLenum a_3, GLsizei a_4, const GLchar * a_5) -> void;
static fexldr_type_libGL_glDebugMessageInsertARB *fexldr_ptr_libGL_glDebugMessageInsertARB;
using fexldr_type_libGL_glDebugMessageInsert = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLenum a_3, GLsizei a_4, const GLchar * a_5) -> void;
static fexldr_type_libGL_glDebugMessageInsert *fexldr_ptr_libGL_glDebugMessageInsert;
using fexldr_type_libGL_glDeformationMap3dSGIX = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLint a_3, GLint a_4, GLdouble a_5, GLdouble a_6, GLint a_7, GLint a_8, GLdouble a_9, GLdouble a_10, GLint a_11, GLint a_12, const GLdouble * a_13) -> void;
static fexldr_type_libGL_glDeformationMap3dSGIX *fexldr_ptr_libGL_glDeformationMap3dSGIX;
using fexldr_type_libGL_glDeformationMap3fSGIX = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLint a_3, GLint a_4, GLfloat a_5, GLfloat a_6, GLint a_7, GLint a_8, GLfloat a_9, GLfloat a_10, GLint a_11, GLint a_12, const GLfloat * a_13) -> void;
static fexldr_type_libGL_glDeformationMap3fSGIX *fexldr_ptr_libGL_glDeformationMap3fSGIX;
using fexldr_type_libGL_glDeformSGIX = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glDeformSGIX *fexldr_ptr_libGL_glDeformSGIX;
using fexldr_type_libGL_glDeleteAsyncMarkersSGIX = auto (GLuint a_0, GLsizei a_1) -> void;
static fexldr_type_libGL_glDeleteAsyncMarkersSGIX *fexldr_ptr_libGL_glDeleteAsyncMarkersSGIX;
using fexldr_type_libGL_glDeleteBuffersARB = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteBuffersARB *fexldr_ptr_libGL_glDeleteBuffersARB;
using fexldr_type_libGL_glDeleteBuffers = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteBuffers *fexldr_ptr_libGL_glDeleteBuffers;
using fexldr_type_libGL_glDeleteCommandListsNV = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteCommandListsNV *fexldr_ptr_libGL_glDeleteCommandListsNV;
using fexldr_type_libGL_glDeleteFencesAPPLE = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteFencesAPPLE *fexldr_ptr_libGL_glDeleteFencesAPPLE;
using fexldr_type_libGL_glDeleteFencesNV = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteFencesNV *fexldr_ptr_libGL_glDeleteFencesNV;
using fexldr_type_libGL_glDeleteFragmentShaderATI = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glDeleteFragmentShaderATI *fexldr_ptr_libGL_glDeleteFragmentShaderATI;
using fexldr_type_libGL_glDeleteFramebuffersEXT = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteFramebuffersEXT *fexldr_ptr_libGL_glDeleteFramebuffersEXT;
using fexldr_type_libGL_glDeleteFramebuffers = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteFramebuffers *fexldr_ptr_libGL_glDeleteFramebuffers;
using fexldr_type_libGL_glDeleteLists = auto (GLuint a_0, GLsizei a_1) -> void;
static fexldr_type_libGL_glDeleteLists *fexldr_ptr_libGL_glDeleteLists;
using fexldr_type_libGL_glDeleteMemoryObjectsEXT = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteMemoryObjectsEXT *fexldr_ptr_libGL_glDeleteMemoryObjectsEXT;
using fexldr_type_libGL_glDeleteNamedStringARB = auto (GLint a_0, const GLchar * a_1) -> void;
static fexldr_type_libGL_glDeleteNamedStringARB *fexldr_ptr_libGL_glDeleteNamedStringARB;
using fexldr_type_libGL_glDeleteNamesAMD = auto (GLenum a_0, GLuint a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glDeleteNamesAMD *fexldr_ptr_libGL_glDeleteNamesAMD;
using fexldr_type_libGL_glDeleteObjectARB = auto (GLhandleARB a_0) -> void;
static fexldr_type_libGL_glDeleteObjectARB *fexldr_ptr_libGL_glDeleteObjectARB;
using fexldr_type_libGL_glDeleteOcclusionQueriesNV = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteOcclusionQueriesNV *fexldr_ptr_libGL_glDeleteOcclusionQueriesNV;
using fexldr_type_libGL_glDeletePathsNV = auto (GLuint a_0, GLsizei a_1) -> void;
static fexldr_type_libGL_glDeletePathsNV *fexldr_ptr_libGL_glDeletePathsNV;
using fexldr_type_libGL_glDeletePerfMonitorsAMD = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glDeletePerfMonitorsAMD *fexldr_ptr_libGL_glDeletePerfMonitorsAMD;
using fexldr_type_libGL_glDeletePerfQueryINTEL = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glDeletePerfQueryINTEL *fexldr_ptr_libGL_glDeletePerfQueryINTEL;
using fexldr_type_libGL_glDeleteProgram = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glDeleteProgram *fexldr_ptr_libGL_glDeleteProgram;
using fexldr_type_libGL_glDeleteProgramPipelines = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteProgramPipelines *fexldr_ptr_libGL_glDeleteProgramPipelines;
using fexldr_type_libGL_glDeleteProgramsARB = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteProgramsARB *fexldr_ptr_libGL_glDeleteProgramsARB;
using fexldr_type_libGL_glDeleteProgramsNV = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteProgramsNV *fexldr_ptr_libGL_glDeleteProgramsNV;
using fexldr_type_libGL_glDeleteQueriesARB = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteQueriesARB *fexldr_ptr_libGL_glDeleteQueriesARB;
using fexldr_type_libGL_glDeleteQueries = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteQueries *fexldr_ptr_libGL_glDeleteQueries;
using fexldr_type_libGL_glDeleteQueryResourceTagNV = auto (GLsizei a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glDeleteQueryResourceTagNV *fexldr_ptr_libGL_glDeleteQueryResourceTagNV;
using fexldr_type_libGL_glDeleteRenderbuffersEXT = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteRenderbuffersEXT *fexldr_ptr_libGL_glDeleteRenderbuffersEXT;
using fexldr_type_libGL_glDeleteRenderbuffers = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteRenderbuffers *fexldr_ptr_libGL_glDeleteRenderbuffers;
using fexldr_type_libGL_glDeleteSamplers = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteSamplers *fexldr_ptr_libGL_glDeleteSamplers;
using fexldr_type_libGL_glDeleteSemaphoresEXT = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteSemaphoresEXT *fexldr_ptr_libGL_glDeleteSemaphoresEXT;
using fexldr_type_libGL_glDeleteShader = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glDeleteShader *fexldr_ptr_libGL_glDeleteShader;
using fexldr_type_libGL_glDeleteStatesNV = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteStatesNV *fexldr_ptr_libGL_glDeleteStatesNV;
using fexldr_type_libGL_glDeleteSync = auto (GLsync a_0) -> void;
static fexldr_type_libGL_glDeleteSync *fexldr_ptr_libGL_glDeleteSync;
using fexldr_type_libGL_glDeleteTexturesEXT = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteTexturesEXT *fexldr_ptr_libGL_glDeleteTexturesEXT;
using fexldr_type_libGL_glDeleteTextures = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteTextures *fexldr_ptr_libGL_glDeleteTextures;
using fexldr_type_libGL_glDeleteTransformFeedbacks = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteTransformFeedbacks *fexldr_ptr_libGL_glDeleteTransformFeedbacks;
using fexldr_type_libGL_glDeleteTransformFeedbacksNV = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteTransformFeedbacksNV *fexldr_ptr_libGL_glDeleteTransformFeedbacksNV;
using fexldr_type_libGL_glDeleteVertexArraysAPPLE = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteVertexArraysAPPLE *fexldr_ptr_libGL_glDeleteVertexArraysAPPLE;
using fexldr_type_libGL_glDeleteVertexArrays = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glDeleteVertexArrays *fexldr_ptr_libGL_glDeleteVertexArrays;
using fexldr_type_libGL_glDeleteVertexShaderEXT = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glDeleteVertexShaderEXT *fexldr_ptr_libGL_glDeleteVertexShaderEXT;
using fexldr_type_libGL_glDepthBoundsdNV = auto (GLdouble a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glDepthBoundsdNV *fexldr_ptr_libGL_glDepthBoundsdNV;
using fexldr_type_libGL_glDepthBoundsEXT = auto (GLclampd a_0, GLclampd a_1) -> void;
static fexldr_type_libGL_glDepthBoundsEXT *fexldr_ptr_libGL_glDepthBoundsEXT;
using fexldr_type_libGL_glDepthFunc = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glDepthFunc *fexldr_ptr_libGL_glDepthFunc;
using fexldr_type_libGL_glDepthMask = auto (GLboolean a_0) -> void;
static fexldr_type_libGL_glDepthMask *fexldr_ptr_libGL_glDepthMask;
using fexldr_type_libGL_glDepthRangeArraydvNV = auto (GLuint a_0, GLsizei a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glDepthRangeArraydvNV *fexldr_ptr_libGL_glDepthRangeArraydvNV;
using fexldr_type_libGL_glDepthRangeArrayv = auto (GLuint a_0, GLsizei a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glDepthRangeArrayv *fexldr_ptr_libGL_glDepthRangeArrayv;
using fexldr_type_libGL_glDepthRangedNV = auto (GLdouble a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glDepthRangedNV *fexldr_ptr_libGL_glDepthRangedNV;
using fexldr_type_libGL_glDepthRangef = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glDepthRangef *fexldr_ptr_libGL_glDepthRangef;
using fexldr_type_libGL_glDepthRangefOES = auto (GLclampf a_0, GLclampf a_1) -> void;
static fexldr_type_libGL_glDepthRangefOES *fexldr_ptr_libGL_glDepthRangefOES;
using fexldr_type_libGL_glDepthRange = auto (GLclampd a_0, GLclampd a_1) -> void;
static fexldr_type_libGL_glDepthRange *fexldr_ptr_libGL_glDepthRange;
using fexldr_type_libGL_glDepthRangeIndexeddNV = auto (GLuint a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glDepthRangeIndexeddNV *fexldr_ptr_libGL_glDepthRangeIndexeddNV;
using fexldr_type_libGL_glDepthRangeIndexed = auto (GLuint a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glDepthRangeIndexed *fexldr_ptr_libGL_glDepthRangeIndexed;
using fexldr_type_libGL_glDepthRangexOES = auto (GLfixed a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glDepthRangexOES *fexldr_ptr_libGL_glDepthRangexOES;
using fexldr_type_libGL_glDetachObjectARB = auto (GLhandleARB a_0, GLhandleARB a_1) -> void;
static fexldr_type_libGL_glDetachObjectARB *fexldr_ptr_libGL_glDetachObjectARB;
using fexldr_type_libGL_glDetachShader = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glDetachShader *fexldr_ptr_libGL_glDetachShader;
using fexldr_type_libGL_glDetailTexFuncSGIS = auto (GLenum a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glDetailTexFuncSGIS *fexldr_ptr_libGL_glDetailTexFuncSGIS;
using fexldr_type_libGL_glDisableClientState = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glDisableClientState *fexldr_ptr_libGL_glDisableClientState;
using fexldr_type_libGL_glDisableClientStateiEXT = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glDisableClientStateiEXT *fexldr_ptr_libGL_glDisableClientStateiEXT;
using fexldr_type_libGL_glDisableClientStateIndexedEXT = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glDisableClientStateIndexedEXT *fexldr_ptr_libGL_glDisableClientStateIndexedEXT;
using fexldr_type_libGL_glDisable = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glDisable *fexldr_ptr_libGL_glDisable;
using fexldr_type_libGL_glDisablei = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glDisablei *fexldr_ptr_libGL_glDisablei;
using fexldr_type_libGL_glDisableIndexedEXT = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glDisableIndexedEXT *fexldr_ptr_libGL_glDisableIndexedEXT;
using fexldr_type_libGL_glDisableVariantClientStateEXT = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glDisableVariantClientStateEXT *fexldr_ptr_libGL_glDisableVariantClientStateEXT;
using fexldr_type_libGL_glDisableVertexArrayAttribEXT = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glDisableVertexArrayAttribEXT *fexldr_ptr_libGL_glDisableVertexArrayAttribEXT;
using fexldr_type_libGL_glDisableVertexArrayAttrib = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glDisableVertexArrayAttrib *fexldr_ptr_libGL_glDisableVertexArrayAttrib;
using fexldr_type_libGL_glDisableVertexArrayEXT = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glDisableVertexArrayEXT *fexldr_ptr_libGL_glDisableVertexArrayEXT;
using fexldr_type_libGL_glDisableVertexAttribAPPLE = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glDisableVertexAttribAPPLE *fexldr_ptr_libGL_glDisableVertexAttribAPPLE;
using fexldr_type_libGL_glDisableVertexAttribArrayARB = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glDisableVertexAttribArrayARB *fexldr_ptr_libGL_glDisableVertexAttribArrayARB;
using fexldr_type_libGL_glDisableVertexAttribArray = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glDisableVertexAttribArray *fexldr_ptr_libGL_glDisableVertexAttribArray;
using fexldr_type_libGL_glDispatchCompute = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glDispatchCompute *fexldr_ptr_libGL_glDispatchCompute;
using fexldr_type_libGL_glDispatchComputeGroupSizeARB = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glDispatchComputeGroupSizeARB *fexldr_ptr_libGL_glDispatchComputeGroupSizeARB;
using fexldr_type_libGL_glDispatchComputeIndirect = auto (GLintptr a_0) -> void;
static fexldr_type_libGL_glDispatchComputeIndirect *fexldr_ptr_libGL_glDispatchComputeIndirect;
using fexldr_type_libGL_glDrawArraysEXT = auto (GLenum a_0, GLint a_1, GLsizei a_2) -> void;
static fexldr_type_libGL_glDrawArraysEXT *fexldr_ptr_libGL_glDrawArraysEXT;
using fexldr_type_libGL_glDrawArrays = auto (GLenum a_0, GLint a_1, GLsizei a_2) -> void;
static fexldr_type_libGL_glDrawArrays *fexldr_ptr_libGL_glDrawArrays;
using fexldr_type_libGL_glDrawArraysIndirect = auto (GLenum a_0, const void * a_1) -> void;
static fexldr_type_libGL_glDrawArraysIndirect *fexldr_ptr_libGL_glDrawArraysIndirect;
using fexldr_type_libGL_glDrawArraysInstancedARB = auto (GLenum a_0, GLint a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glDrawArraysInstancedARB *fexldr_ptr_libGL_glDrawArraysInstancedARB;
using fexldr_type_libGL_glDrawArraysInstancedBaseInstance = auto (GLenum a_0, GLint a_1, GLsizei a_2, GLsizei a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glDrawArraysInstancedBaseInstance *fexldr_ptr_libGL_glDrawArraysInstancedBaseInstance;
using fexldr_type_libGL_glDrawArraysInstancedEXT = auto (GLenum a_0, GLint a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glDrawArraysInstancedEXT *fexldr_ptr_libGL_glDrawArraysInstancedEXT;
using fexldr_type_libGL_glDrawArraysInstanced = auto (GLenum a_0, GLint a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glDrawArraysInstanced *fexldr_ptr_libGL_glDrawArraysInstanced;
using fexldr_type_libGL_glDrawBuffer = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glDrawBuffer *fexldr_ptr_libGL_glDrawBuffer;
using fexldr_type_libGL_glDrawBuffersARB = auto (GLsizei a_0, const GLenum * a_1) -> void;
static fexldr_type_libGL_glDrawBuffersARB *fexldr_ptr_libGL_glDrawBuffersARB;
using fexldr_type_libGL_glDrawBuffersATI = auto (GLsizei a_0, const GLenum * a_1) -> void;
static fexldr_type_libGL_glDrawBuffersATI *fexldr_ptr_libGL_glDrawBuffersATI;
using fexldr_type_libGL_glDrawBuffers = auto (GLsizei a_0, const GLenum * a_1) -> void;
static fexldr_type_libGL_glDrawBuffers *fexldr_ptr_libGL_glDrawBuffers;
using fexldr_type_libGL_glDrawCommandsAddressNV = auto (GLenum a_0, const GLuint64 * a_1, const GLsizei * a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glDrawCommandsAddressNV *fexldr_ptr_libGL_glDrawCommandsAddressNV;
using fexldr_type_libGL_glDrawCommandsNV = auto (GLenum a_0, GLuint a_1, const GLintptr * a_2, const GLsizei * a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glDrawCommandsNV *fexldr_ptr_libGL_glDrawCommandsNV;
using fexldr_type_libGL_glDrawCommandsStatesAddressNV = auto (const GLuint64 * a_0, const GLsizei * a_1, const GLuint * a_2, const GLuint * a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glDrawCommandsStatesAddressNV *fexldr_ptr_libGL_glDrawCommandsStatesAddressNV;
using fexldr_type_libGL_glDrawCommandsStatesNV = auto (GLuint a_0, const GLintptr * a_1, const GLsizei * a_2, const GLuint * a_3, const GLuint * a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glDrawCommandsStatesNV *fexldr_ptr_libGL_glDrawCommandsStatesNV;
using fexldr_type_libGL_glDrawElementArrayAPPLE = auto (GLenum a_0, GLint a_1, GLsizei a_2) -> void;
static fexldr_type_libGL_glDrawElementArrayAPPLE *fexldr_ptr_libGL_glDrawElementArrayAPPLE;
using fexldr_type_libGL_glDrawElementArrayATI = auto (GLenum a_0, GLsizei a_1) -> void;
static fexldr_type_libGL_glDrawElementArrayATI *fexldr_ptr_libGL_glDrawElementArrayATI;
using fexldr_type_libGL_glDrawElementsBaseVertex = auto (GLenum a_0, GLsizei a_1, GLenum a_2, const void * a_3, GLint a_4) -> void;
static fexldr_type_libGL_glDrawElementsBaseVertex *fexldr_ptr_libGL_glDrawElementsBaseVertex;
using fexldr_type_libGL_glDrawElements = auto (GLenum a_0, GLsizei a_1, GLenum a_2, const GLvoid * a_3) -> void;
static fexldr_type_libGL_glDrawElements *fexldr_ptr_libGL_glDrawElements;
using fexldr_type_libGL_glDrawElementsIndirect = auto (GLenum a_0, GLenum a_1, const void * a_2) -> void;
static fexldr_type_libGL_glDrawElementsIndirect *fexldr_ptr_libGL_glDrawElementsIndirect;
using fexldr_type_libGL_glDrawElementsInstancedARB = auto (GLenum a_0, GLsizei a_1, GLenum a_2, const void * a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glDrawElementsInstancedARB *fexldr_ptr_libGL_glDrawElementsInstancedARB;
using fexldr_type_libGL_glDrawElementsInstancedBaseInstance = auto (GLenum a_0, GLsizei a_1, GLenum a_2, const void * a_3, GLsizei a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glDrawElementsInstancedBaseInstance *fexldr_ptr_libGL_glDrawElementsInstancedBaseInstance;
using fexldr_type_libGL_glDrawElementsInstancedBaseVertexBaseInstance = auto (GLenum a_0, GLsizei a_1, GLenum a_2, const void * a_3, GLsizei a_4, GLint a_5, GLuint a_6) -> void;
static fexldr_type_libGL_glDrawElementsInstancedBaseVertexBaseInstance *fexldr_ptr_libGL_glDrawElementsInstancedBaseVertexBaseInstance;
using fexldr_type_libGL_glDrawElementsInstancedBaseVertex = auto (GLenum a_0, GLsizei a_1, GLenum a_2, const void * a_3, GLsizei a_4, GLint a_5) -> void;
static fexldr_type_libGL_glDrawElementsInstancedBaseVertex *fexldr_ptr_libGL_glDrawElementsInstancedBaseVertex;
using fexldr_type_libGL_glDrawElementsInstancedEXT = auto (GLenum a_0, GLsizei a_1, GLenum a_2, const void * a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glDrawElementsInstancedEXT *fexldr_ptr_libGL_glDrawElementsInstancedEXT;
using fexldr_type_libGL_glDrawElementsInstanced = auto (GLenum a_0, GLsizei a_1, GLenum a_2, const void * a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glDrawElementsInstanced *fexldr_ptr_libGL_glDrawElementsInstanced;
using fexldr_type_libGL_glDrawMeshArraysSUN = auto (GLenum a_0, GLint a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glDrawMeshArraysSUN *fexldr_ptr_libGL_glDrawMeshArraysSUN;
using fexldr_type_libGL_glDrawMeshTasksIndirectNV = auto (GLintptr a_0) -> void;
static fexldr_type_libGL_glDrawMeshTasksIndirectNV *fexldr_ptr_libGL_glDrawMeshTasksIndirectNV;
using fexldr_type_libGL_glDrawMeshTasksNV = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glDrawMeshTasksNV *fexldr_ptr_libGL_glDrawMeshTasksNV;
using fexldr_type_libGL_glDrawPixels = auto (GLsizei a_0, GLsizei a_1, GLenum a_2, GLenum a_3, const GLvoid * a_4) -> void;
static fexldr_type_libGL_glDrawPixels *fexldr_ptr_libGL_glDrawPixels;
using fexldr_type_libGL_glDrawRangeElementArrayAPPLE = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLint a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glDrawRangeElementArrayAPPLE *fexldr_ptr_libGL_glDrawRangeElementArrayAPPLE;
using fexldr_type_libGL_glDrawRangeElementArrayATI = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glDrawRangeElementArrayATI *fexldr_ptr_libGL_glDrawRangeElementArrayATI;
using fexldr_type_libGL_glDrawRangeElementsBaseVertex = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLsizei a_3, GLenum a_4, const void * a_5, GLint a_6) -> void;
static fexldr_type_libGL_glDrawRangeElementsBaseVertex *fexldr_ptr_libGL_glDrawRangeElementsBaseVertex;
using fexldr_type_libGL_glDrawRangeElementsEXT = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLsizei a_3, GLenum a_4, const void * a_5) -> void;
static fexldr_type_libGL_glDrawRangeElementsEXT *fexldr_ptr_libGL_glDrawRangeElementsEXT;
using fexldr_type_libGL_glDrawRangeElements = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLsizei a_3, GLenum a_4, const GLvoid * a_5) -> void;
static fexldr_type_libGL_glDrawRangeElements *fexldr_ptr_libGL_glDrawRangeElements;
using fexldr_type_libGL_glDrawTextureNV = auto (GLuint a_0, GLuint a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7, GLfloat a_8, GLfloat a_9, GLfloat a_10) -> void;
static fexldr_type_libGL_glDrawTextureNV *fexldr_ptr_libGL_glDrawTextureNV;
using fexldr_type_libGL_glDrawTransformFeedback = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glDrawTransformFeedback *fexldr_ptr_libGL_glDrawTransformFeedback;
using fexldr_type_libGL_glDrawTransformFeedbackInstanced = auto (GLenum a_0, GLuint a_1, GLsizei a_2) -> void;
static fexldr_type_libGL_glDrawTransformFeedbackInstanced *fexldr_ptr_libGL_glDrawTransformFeedbackInstanced;
using fexldr_type_libGL_glDrawTransformFeedbackNV = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glDrawTransformFeedbackNV *fexldr_ptr_libGL_glDrawTransformFeedbackNV;
using fexldr_type_libGL_glDrawTransformFeedbackStream = auto (GLenum a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glDrawTransformFeedbackStream *fexldr_ptr_libGL_glDrawTransformFeedbackStream;
using fexldr_type_libGL_glDrawTransformFeedbackStreamInstanced = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glDrawTransformFeedbackStreamInstanced *fexldr_ptr_libGL_glDrawTransformFeedbackStreamInstanced;
using fexldr_type_libGL_glDrawVkImageNV = auto (GLuint64 a_0, GLuint a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7, GLfloat a_8, GLfloat a_9, GLfloat a_10) -> void;
static fexldr_type_libGL_glDrawVkImageNV *fexldr_ptr_libGL_glDrawVkImageNV;
using fexldr_type_libGL_glEdgeFlagFormatNV = auto (GLsizei a_0) -> void;
static fexldr_type_libGL_glEdgeFlagFormatNV *fexldr_ptr_libGL_glEdgeFlagFormatNV;
using fexldr_type_libGL_glEdgeFlag = auto (GLboolean a_0) -> void;
static fexldr_type_libGL_glEdgeFlag *fexldr_ptr_libGL_glEdgeFlag;
using fexldr_type_libGL_glEdgeFlagPointerEXT = auto (GLsizei a_0, GLsizei a_1, const GLboolean * a_2) -> void;
static fexldr_type_libGL_glEdgeFlagPointerEXT *fexldr_ptr_libGL_glEdgeFlagPointerEXT;
using fexldr_type_libGL_glEdgeFlagPointer = auto (GLsizei a_0, const GLvoid * a_1) -> void;
static fexldr_type_libGL_glEdgeFlagPointer *fexldr_ptr_libGL_glEdgeFlagPointer;
using fexldr_type_libGL_glEdgeFlagPointerListIBM = auto (GLint a_0, const GLboolean ** a_1, GLint a_2) -> void;
static fexldr_type_libGL_glEdgeFlagPointerListIBM *fexldr_ptr_libGL_glEdgeFlagPointerListIBM;
using fexldr_type_libGL_glEdgeFlagv = auto (const GLboolean * a_0) -> void;
static fexldr_type_libGL_glEdgeFlagv *fexldr_ptr_libGL_glEdgeFlagv;
using fexldr_type_libGL_glEGLImageTargetRenderbufferStorageOES = auto (GLenum a_0, GLeglImageOES a_1) -> void;
static fexldr_type_libGL_glEGLImageTargetRenderbufferStorageOES *fexldr_ptr_libGL_glEGLImageTargetRenderbufferStorageOES;
using fexldr_type_libGL_glEGLImageTargetTexStorageEXT = auto (GLenum a_0, GLeglImageOES a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glEGLImageTargetTexStorageEXT *fexldr_ptr_libGL_glEGLImageTargetTexStorageEXT;
using fexldr_type_libGL_glEGLImageTargetTexture2DOES = auto (GLenum a_0, GLeglImageOES a_1) -> void;
static fexldr_type_libGL_glEGLImageTargetTexture2DOES *fexldr_ptr_libGL_glEGLImageTargetTexture2DOES;
using fexldr_type_libGL_glEGLImageTargetTextureStorageEXT = auto (GLuint a_0, GLeglImageOES a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glEGLImageTargetTextureStorageEXT *fexldr_ptr_libGL_glEGLImageTargetTextureStorageEXT;
using fexldr_type_libGL_glElementPointerAPPLE = auto (GLenum a_0, const void * a_1) -> void;
static fexldr_type_libGL_glElementPointerAPPLE *fexldr_ptr_libGL_glElementPointerAPPLE;
using fexldr_type_libGL_glElementPointerATI = auto (GLenum a_0, const void * a_1) -> void;
static fexldr_type_libGL_glElementPointerATI *fexldr_ptr_libGL_glElementPointerATI;
using fexldr_type_libGL_glEnableClientState = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glEnableClientState *fexldr_ptr_libGL_glEnableClientState;
using fexldr_type_libGL_glEnableClientStateiEXT = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glEnableClientStateiEXT *fexldr_ptr_libGL_glEnableClientStateiEXT;
using fexldr_type_libGL_glEnableClientStateIndexedEXT = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glEnableClientStateIndexedEXT *fexldr_ptr_libGL_glEnableClientStateIndexedEXT;
using fexldr_type_libGL_glEnable = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glEnable *fexldr_ptr_libGL_glEnable;
using fexldr_type_libGL_glEnablei = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glEnablei *fexldr_ptr_libGL_glEnablei;
using fexldr_type_libGL_glEnableIndexedEXT = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glEnableIndexedEXT *fexldr_ptr_libGL_glEnableIndexedEXT;
using fexldr_type_libGL_glEnableVariantClientStateEXT = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glEnableVariantClientStateEXT *fexldr_ptr_libGL_glEnableVariantClientStateEXT;
using fexldr_type_libGL_glEnableVertexArrayAttribEXT = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glEnableVertexArrayAttribEXT *fexldr_ptr_libGL_glEnableVertexArrayAttribEXT;
using fexldr_type_libGL_glEnableVertexArrayAttrib = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glEnableVertexArrayAttrib *fexldr_ptr_libGL_glEnableVertexArrayAttrib;
using fexldr_type_libGL_glEnableVertexArrayEXT = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glEnableVertexArrayEXT *fexldr_ptr_libGL_glEnableVertexArrayEXT;
using fexldr_type_libGL_glEnableVertexAttribAPPLE = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glEnableVertexAttribAPPLE *fexldr_ptr_libGL_glEnableVertexAttribAPPLE;
using fexldr_type_libGL_glEnableVertexAttribArrayARB = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glEnableVertexAttribArrayARB *fexldr_ptr_libGL_glEnableVertexAttribArrayARB;
using fexldr_type_libGL_glEnableVertexAttribArray = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glEnableVertexAttribArray *fexldr_ptr_libGL_glEnableVertexAttribArray;
using fexldr_type_libGL_glEnd = auto () -> void;
static fexldr_type_libGL_glEnd *fexldr_ptr_libGL_glEnd;
using fexldr_type_libGL_glEndConditionalRender = auto () -> void;
static fexldr_type_libGL_glEndConditionalRender *fexldr_ptr_libGL_glEndConditionalRender;
using fexldr_type_libGL_glEndConditionalRenderNV = auto () -> void;
static fexldr_type_libGL_glEndConditionalRenderNV *fexldr_ptr_libGL_glEndConditionalRenderNV;
using fexldr_type_libGL_glEndConditionalRenderNVX = auto () -> void;
static fexldr_type_libGL_glEndConditionalRenderNVX *fexldr_ptr_libGL_glEndConditionalRenderNVX;
using fexldr_type_libGL_glEndFragmentShaderATI = auto () -> void;
static fexldr_type_libGL_glEndFragmentShaderATI *fexldr_ptr_libGL_glEndFragmentShaderATI;
using fexldr_type_libGL_glEndList = auto () -> void;
static fexldr_type_libGL_glEndList *fexldr_ptr_libGL_glEndList;
using fexldr_type_libGL_glEndOcclusionQueryNV = auto () -> void;
static fexldr_type_libGL_glEndOcclusionQueryNV *fexldr_ptr_libGL_glEndOcclusionQueryNV;
using fexldr_type_libGL_glEndPerfMonitorAMD = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glEndPerfMonitorAMD *fexldr_ptr_libGL_glEndPerfMonitorAMD;
using fexldr_type_libGL_glEndPerfQueryINTEL = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glEndPerfQueryINTEL *fexldr_ptr_libGL_glEndPerfQueryINTEL;
using fexldr_type_libGL_glEndQueryARB = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glEndQueryARB *fexldr_ptr_libGL_glEndQueryARB;
using fexldr_type_libGL_glEndQuery = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glEndQuery *fexldr_ptr_libGL_glEndQuery;
using fexldr_type_libGL_glEndQueryIndexed = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glEndQueryIndexed *fexldr_ptr_libGL_glEndQueryIndexed;
using fexldr_type_libGL_glEndTransformFeedback = auto () -> void;
static fexldr_type_libGL_glEndTransformFeedback *fexldr_ptr_libGL_glEndTransformFeedback;
using fexldr_type_libGL_glEndTransformFeedbackEXT = auto () -> void;
static fexldr_type_libGL_glEndTransformFeedbackEXT *fexldr_ptr_libGL_glEndTransformFeedbackEXT;
using fexldr_type_libGL_glEndTransformFeedbackNV = auto () -> void;
static fexldr_type_libGL_glEndTransformFeedbackNV *fexldr_ptr_libGL_glEndTransformFeedbackNV;
using fexldr_type_libGL_glEndVertexShaderEXT = auto () -> void;
static fexldr_type_libGL_glEndVertexShaderEXT *fexldr_ptr_libGL_glEndVertexShaderEXT;
using fexldr_type_libGL_glEndVideoCaptureNV = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glEndVideoCaptureNV *fexldr_ptr_libGL_glEndVideoCaptureNV;
using fexldr_type_libGL_glEvalCoord1d = auto (GLdouble a_0) -> void;
static fexldr_type_libGL_glEvalCoord1d *fexldr_ptr_libGL_glEvalCoord1d;
using fexldr_type_libGL_glEvalCoord1dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glEvalCoord1dv *fexldr_ptr_libGL_glEvalCoord1dv;
using fexldr_type_libGL_glEvalCoord1f = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glEvalCoord1f *fexldr_ptr_libGL_glEvalCoord1f;
using fexldr_type_libGL_glEvalCoord1fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glEvalCoord1fv *fexldr_ptr_libGL_glEvalCoord1fv;
using fexldr_type_libGL_glEvalCoord1xOES = auto (GLfixed a_0) -> void;
static fexldr_type_libGL_glEvalCoord1xOES *fexldr_ptr_libGL_glEvalCoord1xOES;
using fexldr_type_libGL_glEvalCoord1xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glEvalCoord1xvOES *fexldr_ptr_libGL_glEvalCoord1xvOES;
using fexldr_type_libGL_glEvalCoord2d = auto (GLdouble a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glEvalCoord2d *fexldr_ptr_libGL_glEvalCoord2d;
using fexldr_type_libGL_glEvalCoord2dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glEvalCoord2dv *fexldr_ptr_libGL_glEvalCoord2dv;
using fexldr_type_libGL_glEvalCoord2f = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glEvalCoord2f *fexldr_ptr_libGL_glEvalCoord2f;
using fexldr_type_libGL_glEvalCoord2fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glEvalCoord2fv *fexldr_ptr_libGL_glEvalCoord2fv;
using fexldr_type_libGL_glEvalCoord2xOES = auto (GLfixed a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glEvalCoord2xOES *fexldr_ptr_libGL_glEvalCoord2xOES;
using fexldr_type_libGL_glEvalCoord2xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glEvalCoord2xvOES *fexldr_ptr_libGL_glEvalCoord2xvOES;
using fexldr_type_libGL_glEvalMapsNV = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glEvalMapsNV *fexldr_ptr_libGL_glEvalMapsNV;
using fexldr_type_libGL_glEvalMesh1 = auto (GLenum a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glEvalMesh1 *fexldr_ptr_libGL_glEvalMesh1;
using fexldr_type_libGL_glEvalMesh2 = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glEvalMesh2 *fexldr_ptr_libGL_glEvalMesh2;
using fexldr_type_libGL_glEvalPoint1 = auto (GLint a_0) -> void;
static fexldr_type_libGL_glEvalPoint1 *fexldr_ptr_libGL_glEvalPoint1;
using fexldr_type_libGL_glEvalPoint2 = auto (GLint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glEvalPoint2 *fexldr_ptr_libGL_glEvalPoint2;
using fexldr_type_libGL_glEvaluateDepthValuesARB = auto () -> void;
static fexldr_type_libGL_glEvaluateDepthValuesARB *fexldr_ptr_libGL_glEvaluateDepthValuesARB;
using fexldr_type_libGL_glExecuteProgramNV = auto (GLenum a_0, GLuint a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glExecuteProgramNV *fexldr_ptr_libGL_glExecuteProgramNV;
using fexldr_type_libGL_glExtractComponentEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glExtractComponentEXT *fexldr_ptr_libGL_glExtractComponentEXT;
using fexldr_type_libGL_glFeedbackBuffer = auto (GLsizei a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glFeedbackBuffer *fexldr_ptr_libGL_glFeedbackBuffer;
using fexldr_type_libGL_glFeedbackBufferxOES = auto (GLsizei a_0, GLenum a_1, const GLfixed * a_2) -> void;
static fexldr_type_libGL_glFeedbackBufferxOES *fexldr_ptr_libGL_glFeedbackBufferxOES;
using fexldr_type_libGL_glFinalCombinerInputNV = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glFinalCombinerInputNV *fexldr_ptr_libGL_glFinalCombinerInputNV;
using fexldr_type_libGL_glFinish = auto () -> void;
static fexldr_type_libGL_glFinish *fexldr_ptr_libGL_glFinish;
using fexldr_type_libGL_glFinishFenceAPPLE = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glFinishFenceAPPLE *fexldr_ptr_libGL_glFinishFenceAPPLE;
using fexldr_type_libGL_glFinishFenceNV = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glFinishFenceNV *fexldr_ptr_libGL_glFinishFenceNV;
using fexldr_type_libGL_glFinishObjectAPPLE = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glFinishObjectAPPLE *fexldr_ptr_libGL_glFinishObjectAPPLE;
using fexldr_type_libGL_glFinishTextureSUNX = auto () -> void;
static fexldr_type_libGL_glFinishTextureSUNX *fexldr_ptr_libGL_glFinishTextureSUNX;
using fexldr_type_libGL_glFlush = auto () -> void;
static fexldr_type_libGL_glFlush *fexldr_ptr_libGL_glFlush;
using fexldr_type_libGL_glFlushMappedBufferRangeAPPLE = auto (GLenum a_0, GLintptr a_1, GLsizeiptr a_2) -> void;
static fexldr_type_libGL_glFlushMappedBufferRangeAPPLE *fexldr_ptr_libGL_glFlushMappedBufferRangeAPPLE;
using fexldr_type_libGL_glFlushMappedBufferRange = auto (GLenum a_0, GLintptr a_1, GLsizeiptr a_2) -> void;
static fexldr_type_libGL_glFlushMappedBufferRange *fexldr_ptr_libGL_glFlushMappedBufferRange;
using fexldr_type_libGL_glFlushMappedNamedBufferRangeEXT = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2) -> void;
static fexldr_type_libGL_glFlushMappedNamedBufferRangeEXT *fexldr_ptr_libGL_glFlushMappedNamedBufferRangeEXT;
using fexldr_type_libGL_glFlushMappedNamedBufferRange = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2) -> void;
static fexldr_type_libGL_glFlushMappedNamedBufferRange *fexldr_ptr_libGL_glFlushMappedNamedBufferRange;
using fexldr_type_libGL_glFlushPixelDataRangeNV = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glFlushPixelDataRangeNV *fexldr_ptr_libGL_glFlushPixelDataRangeNV;
using fexldr_type_libGL_glFlushRasterSGIX = auto () -> void;
static fexldr_type_libGL_glFlushRasterSGIX *fexldr_ptr_libGL_glFlushRasterSGIX;
using fexldr_type_libGL_glFlushStaticDataIBM = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glFlushStaticDataIBM *fexldr_ptr_libGL_glFlushStaticDataIBM;
using fexldr_type_libGL_glFlushVertexArrayRangeAPPLE = auto (GLsizei a_0, void * a_1) -> void;
static fexldr_type_libGL_glFlushVertexArrayRangeAPPLE *fexldr_ptr_libGL_glFlushVertexArrayRangeAPPLE;
using fexldr_type_libGL_glFlushVertexArrayRangeNV = auto () -> void;
static fexldr_type_libGL_glFlushVertexArrayRangeNV *fexldr_ptr_libGL_glFlushVertexArrayRangeNV;
using fexldr_type_libGL_glFogCoorddEXT = auto (GLdouble a_0) -> void;
static fexldr_type_libGL_glFogCoorddEXT *fexldr_ptr_libGL_glFogCoorddEXT;
using fexldr_type_libGL_glFogCoorddvEXT = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glFogCoorddvEXT *fexldr_ptr_libGL_glFogCoorddvEXT;
using fexldr_type_libGL_glFogCoordfEXT = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glFogCoordfEXT *fexldr_ptr_libGL_glFogCoordfEXT;
using fexldr_type_libGL_glFogCoordFormatNV = auto (GLenum a_0, GLsizei a_1) -> void;
static fexldr_type_libGL_glFogCoordFormatNV *fexldr_ptr_libGL_glFogCoordFormatNV;
using fexldr_type_libGL_glFogCoordfvEXT = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glFogCoordfvEXT *fexldr_ptr_libGL_glFogCoordfvEXT;
using fexldr_type_libGL_glFogCoordhNV = auto (GLhalfNV a_0) -> void;
static fexldr_type_libGL_glFogCoordhNV *fexldr_ptr_libGL_glFogCoordhNV;
using fexldr_type_libGL_glFogCoordhvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glFogCoordhvNV *fexldr_ptr_libGL_glFogCoordhvNV;
using fexldr_type_libGL_glFogCoordPointerEXT = auto (GLenum a_0, GLsizei a_1, const void * a_2) -> void;
static fexldr_type_libGL_glFogCoordPointerEXT *fexldr_ptr_libGL_glFogCoordPointerEXT;
using fexldr_type_libGL_glFogCoordPointerListIBM = auto (GLenum a_0, GLint a_1, const void ** a_2, GLint a_3) -> void;
static fexldr_type_libGL_glFogCoordPointerListIBM *fexldr_ptr_libGL_glFogCoordPointerListIBM;
using fexldr_type_libGL_glFogf = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glFogf *fexldr_ptr_libGL_glFogf;
using fexldr_type_libGL_glFogFuncSGIS = auto (GLsizei a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glFogFuncSGIS *fexldr_ptr_libGL_glFogFuncSGIS;
using fexldr_type_libGL_glFogfv = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glFogfv *fexldr_ptr_libGL_glFogfv;
using fexldr_type_libGL_glFogi = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glFogi *fexldr_ptr_libGL_glFogi;
using fexldr_type_libGL_glFogiv = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glFogiv *fexldr_ptr_libGL_glFogiv;
using fexldr_type_libGL_glFogxOES = auto (GLenum a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glFogxOES *fexldr_ptr_libGL_glFogxOES;
using fexldr_type_libGL_glFogxvOES = auto (GLenum a_0, const GLfixed * a_1) -> void;
static fexldr_type_libGL_glFogxvOES *fexldr_ptr_libGL_glFogxvOES;
using fexldr_type_libGL_glFragmentColorMaterialSGIX = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glFragmentColorMaterialSGIX *fexldr_ptr_libGL_glFragmentColorMaterialSGIX;
using fexldr_type_libGL_glFragmentCoverageColorNV = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glFragmentCoverageColorNV *fexldr_ptr_libGL_glFragmentCoverageColorNV;
using fexldr_type_libGL_glFragmentLightfSGIX = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glFragmentLightfSGIX *fexldr_ptr_libGL_glFragmentLightfSGIX;
using fexldr_type_libGL_glFragmentLightfvSGIX = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glFragmentLightfvSGIX *fexldr_ptr_libGL_glFragmentLightfvSGIX;
using fexldr_type_libGL_glFragmentLightiSGIX = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glFragmentLightiSGIX *fexldr_ptr_libGL_glFragmentLightiSGIX;
using fexldr_type_libGL_glFragmentLightivSGIX = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glFragmentLightivSGIX *fexldr_ptr_libGL_glFragmentLightivSGIX;
using fexldr_type_libGL_glFragmentLightModelfSGIX = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glFragmentLightModelfSGIX *fexldr_ptr_libGL_glFragmentLightModelfSGIX;
using fexldr_type_libGL_glFragmentLightModelfvSGIX = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glFragmentLightModelfvSGIX *fexldr_ptr_libGL_glFragmentLightModelfvSGIX;
using fexldr_type_libGL_glFragmentLightModeliSGIX = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glFragmentLightModeliSGIX *fexldr_ptr_libGL_glFragmentLightModeliSGIX;
using fexldr_type_libGL_glFragmentLightModelivSGIX = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glFragmentLightModelivSGIX *fexldr_ptr_libGL_glFragmentLightModelivSGIX;
using fexldr_type_libGL_glFragmentMaterialfSGIX = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glFragmentMaterialfSGIX *fexldr_ptr_libGL_glFragmentMaterialfSGIX;
using fexldr_type_libGL_glFragmentMaterialfvSGIX = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glFragmentMaterialfvSGIX *fexldr_ptr_libGL_glFragmentMaterialfvSGIX;
using fexldr_type_libGL_glFragmentMaterialiSGIX = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glFragmentMaterialiSGIX *fexldr_ptr_libGL_glFragmentMaterialiSGIX;
using fexldr_type_libGL_glFragmentMaterialivSGIX = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glFragmentMaterialivSGIX *fexldr_ptr_libGL_glFragmentMaterialivSGIX;
using fexldr_type_libGL_glFramebufferDrawBufferEXT = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glFramebufferDrawBufferEXT *fexldr_ptr_libGL_glFramebufferDrawBufferEXT;
using fexldr_type_libGL_glFramebufferDrawBuffersEXT = auto (GLuint a_0, GLsizei a_1, const GLenum * a_2) -> void;
static fexldr_type_libGL_glFramebufferDrawBuffersEXT *fexldr_ptr_libGL_glFramebufferDrawBuffersEXT;
using fexldr_type_libGL_glFramebufferFetchBarrierEXT = auto () -> void;
static fexldr_type_libGL_glFramebufferFetchBarrierEXT *fexldr_ptr_libGL_glFramebufferFetchBarrierEXT;
using fexldr_type_libGL_glFramebufferParameteri = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glFramebufferParameteri *fexldr_ptr_libGL_glFramebufferParameteri;
using fexldr_type_libGL_glFramebufferParameteriMESA = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glFramebufferParameteriMESA *fexldr_ptr_libGL_glFramebufferParameteriMESA;
using fexldr_type_libGL_glFramebufferReadBufferEXT = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glFramebufferReadBufferEXT *fexldr_ptr_libGL_glFramebufferReadBufferEXT;
using fexldr_type_libGL_glFramebufferRenderbufferEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glFramebufferRenderbufferEXT *fexldr_ptr_libGL_glFramebufferRenderbufferEXT;
using fexldr_type_libGL_glFramebufferRenderbuffer = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glFramebufferRenderbuffer *fexldr_ptr_libGL_glFramebufferRenderbuffer;
using fexldr_type_libGL_glFramebufferSampleLocationsfvARB = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glFramebufferSampleLocationsfvARB *fexldr_ptr_libGL_glFramebufferSampleLocationsfvARB;
using fexldr_type_libGL_glFramebufferSampleLocationsfvNV = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glFramebufferSampleLocationsfvNV *fexldr_ptr_libGL_glFramebufferSampleLocationsfvNV;
using fexldr_type_libGL_glFramebufferSamplePositionsfvAMD = auto (GLenum a_0, GLuint a_1, GLuint a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glFramebufferSamplePositionsfvAMD *fexldr_ptr_libGL_glFramebufferSamplePositionsfvAMD;
using fexldr_type_libGL_glFramebufferTexture1DEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glFramebufferTexture1DEXT *fexldr_ptr_libGL_glFramebufferTexture1DEXT;
using fexldr_type_libGL_glFramebufferTexture1D = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glFramebufferTexture1D *fexldr_ptr_libGL_glFramebufferTexture1D;
using fexldr_type_libGL_glFramebufferTexture2DEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glFramebufferTexture2DEXT *fexldr_ptr_libGL_glFramebufferTexture2DEXT;
using fexldr_type_libGL_glFramebufferTexture2D = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glFramebufferTexture2D *fexldr_ptr_libGL_glFramebufferTexture2D;
using fexldr_type_libGL_glFramebufferTexture3DEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint a_3, GLint a_4, GLint a_5) -> void;
static fexldr_type_libGL_glFramebufferTexture3DEXT *fexldr_ptr_libGL_glFramebufferTexture3DEXT;
using fexldr_type_libGL_glFramebufferTexture3D = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint a_3, GLint a_4, GLint a_5) -> void;
static fexldr_type_libGL_glFramebufferTexture3D *fexldr_ptr_libGL_glFramebufferTexture3D;
using fexldr_type_libGL_glFramebufferTextureARB = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glFramebufferTextureARB *fexldr_ptr_libGL_glFramebufferTextureARB;
using fexldr_type_libGL_glFramebufferTextureEXT = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glFramebufferTextureEXT *fexldr_ptr_libGL_glFramebufferTextureEXT;
using fexldr_type_libGL_glFramebufferTextureFaceARB = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLint a_3, GLenum a_4) -> void;
static fexldr_type_libGL_glFramebufferTextureFaceARB *fexldr_ptr_libGL_glFramebufferTextureFaceARB;
using fexldr_type_libGL_glFramebufferTextureFaceEXT = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLint a_3, GLenum a_4) -> void;
static fexldr_type_libGL_glFramebufferTextureFaceEXT *fexldr_ptr_libGL_glFramebufferTextureFaceEXT;
using fexldr_type_libGL_glFramebufferTexture = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glFramebufferTexture *fexldr_ptr_libGL_glFramebufferTexture;
using fexldr_type_libGL_glFramebufferTextureLayerARB = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glFramebufferTextureLayerARB *fexldr_ptr_libGL_glFramebufferTextureLayerARB;
using fexldr_type_libGL_glFramebufferTextureLayerEXT = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glFramebufferTextureLayerEXT *fexldr_ptr_libGL_glFramebufferTextureLayerEXT;
using fexldr_type_libGL_glFramebufferTextureLayer = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glFramebufferTextureLayer *fexldr_ptr_libGL_glFramebufferTextureLayer;
using fexldr_type_libGL_glFramebufferTextureMultiviewOVR = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLint a_3, GLint a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glFramebufferTextureMultiviewOVR *fexldr_ptr_libGL_glFramebufferTextureMultiviewOVR;
using fexldr_type_libGL_glFrameTerminatorGREMEDY = auto () -> void;
static fexldr_type_libGL_glFrameTerminatorGREMEDY *fexldr_ptr_libGL_glFrameTerminatorGREMEDY;
using fexldr_type_libGL_glFrameZoomSGIX = auto (GLint a_0) -> void;
static fexldr_type_libGL_glFrameZoomSGIX *fexldr_ptr_libGL_glFrameZoomSGIX;
using fexldr_type_libGL_glFreeObjectBufferATI = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glFreeObjectBufferATI *fexldr_ptr_libGL_glFreeObjectBufferATI;
using fexldr_type_libGL_glFrontFace = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glFrontFace *fexldr_ptr_libGL_glFrontFace;
using fexldr_type_libGL_glFrustumfOES = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glFrustumfOES *fexldr_ptr_libGL_glFrustumfOES;
using fexldr_type_libGL_glFrustum = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5) -> void;
static fexldr_type_libGL_glFrustum *fexldr_ptr_libGL_glFrustum;
using fexldr_type_libGL_glFrustumxOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3, GLfixed a_4, GLfixed a_5) -> void;
static fexldr_type_libGL_glFrustumxOES *fexldr_ptr_libGL_glFrustumxOES;
using fexldr_type_libGL_glGenBuffersARB = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenBuffersARB *fexldr_ptr_libGL_glGenBuffersARB;
using fexldr_type_libGL_glGenBuffers = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenBuffers *fexldr_ptr_libGL_glGenBuffers;
using fexldr_type_libGL_glGenerateMipmapEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glGenerateMipmapEXT *fexldr_ptr_libGL_glGenerateMipmapEXT;
using fexldr_type_libGL_glGenerateMipmap = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glGenerateMipmap *fexldr_ptr_libGL_glGenerateMipmap;
using fexldr_type_libGL_glGenerateMultiTexMipmapEXT = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glGenerateMultiTexMipmapEXT *fexldr_ptr_libGL_glGenerateMultiTexMipmapEXT;
using fexldr_type_libGL_glGenerateTextureMipmapEXT = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glGenerateTextureMipmapEXT *fexldr_ptr_libGL_glGenerateTextureMipmapEXT;
using fexldr_type_libGL_glGenerateTextureMipmap = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glGenerateTextureMipmap *fexldr_ptr_libGL_glGenerateTextureMipmap;
using fexldr_type_libGL_glGenFencesAPPLE = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenFencesAPPLE *fexldr_ptr_libGL_glGenFencesAPPLE;
using fexldr_type_libGL_glGenFencesNV = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenFencesNV *fexldr_ptr_libGL_glGenFencesNV;
using fexldr_type_libGL_glGenFramebuffersEXT = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenFramebuffersEXT *fexldr_ptr_libGL_glGenFramebuffersEXT;
using fexldr_type_libGL_glGenFramebuffers = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenFramebuffers *fexldr_ptr_libGL_glGenFramebuffers;
using fexldr_type_libGL_glGenNamesAMD = auto (GLenum a_0, GLuint a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGenNamesAMD *fexldr_ptr_libGL_glGenNamesAMD;
using fexldr_type_libGL_glGenOcclusionQueriesNV = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenOcclusionQueriesNV *fexldr_ptr_libGL_glGenOcclusionQueriesNV;
using fexldr_type_libGL_glGenPerfMonitorsAMD = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenPerfMonitorsAMD *fexldr_ptr_libGL_glGenPerfMonitorsAMD;
using fexldr_type_libGL_glGenProgramPipelines = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenProgramPipelines *fexldr_ptr_libGL_glGenProgramPipelines;
using fexldr_type_libGL_glGenProgramsARB = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenProgramsARB *fexldr_ptr_libGL_glGenProgramsARB;
using fexldr_type_libGL_glGenProgramsNV = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenProgramsNV *fexldr_ptr_libGL_glGenProgramsNV;
using fexldr_type_libGL_glGenQueriesARB = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenQueriesARB *fexldr_ptr_libGL_glGenQueriesARB;
using fexldr_type_libGL_glGenQueries = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenQueries *fexldr_ptr_libGL_glGenQueries;
using fexldr_type_libGL_glGenQueryResourceTagNV = auto (GLsizei a_0, GLint * a_1) -> void;
static fexldr_type_libGL_glGenQueryResourceTagNV *fexldr_ptr_libGL_glGenQueryResourceTagNV;
using fexldr_type_libGL_glGenRenderbuffersEXT = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenRenderbuffersEXT *fexldr_ptr_libGL_glGenRenderbuffersEXT;
using fexldr_type_libGL_glGenRenderbuffers = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenRenderbuffers *fexldr_ptr_libGL_glGenRenderbuffers;
using fexldr_type_libGL_glGenSamplers = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenSamplers *fexldr_ptr_libGL_glGenSamplers;
using fexldr_type_libGL_glGenSemaphoresEXT = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenSemaphoresEXT *fexldr_ptr_libGL_glGenSemaphoresEXT;
using fexldr_type_libGL_glGenTexturesEXT = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenTexturesEXT *fexldr_ptr_libGL_glGenTexturesEXT;
using fexldr_type_libGL_glGenTextures = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenTextures *fexldr_ptr_libGL_glGenTextures;
using fexldr_type_libGL_glGenTransformFeedbacks = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenTransformFeedbacks *fexldr_ptr_libGL_glGenTransformFeedbacks;
using fexldr_type_libGL_glGenTransformFeedbacksNV = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenTransformFeedbacksNV *fexldr_ptr_libGL_glGenTransformFeedbacksNV;
using fexldr_type_libGL_glGenVertexArraysAPPLE = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenVertexArraysAPPLE *fexldr_ptr_libGL_glGenVertexArraysAPPLE;
using fexldr_type_libGL_glGenVertexArrays = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGenVertexArrays *fexldr_ptr_libGL_glGenVertexArrays;
using fexldr_type_libGL_glGetActiveAtomicCounterBufferiv = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetActiveAtomicCounterBufferiv *fexldr_ptr_libGL_glGetActiveAtomicCounterBufferiv;
using fexldr_type_libGL_glGetActiveAttribARB = auto (GLhandleARB a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLint * a_4, GLenum * a_5, GLcharARB * a_6) -> void;
static fexldr_type_libGL_glGetActiveAttribARB *fexldr_ptr_libGL_glGetActiveAttribARB;
using fexldr_type_libGL_glGetActiveAttrib = auto (GLuint a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLint * a_4, GLenum * a_5, GLchar * a_6) -> void;
static fexldr_type_libGL_glGetActiveAttrib *fexldr_ptr_libGL_glGetActiveAttrib;
using fexldr_type_libGL_glGetActiveSubroutineName = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLsizei a_3, GLsizei * a_4, GLchar * a_5) -> void;
static fexldr_type_libGL_glGetActiveSubroutineName *fexldr_ptr_libGL_glGetActiveSubroutineName;
using fexldr_type_libGL_glGetActiveSubroutineUniformiv = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLenum a_3, GLint * a_4) -> void;
static fexldr_type_libGL_glGetActiveSubroutineUniformiv *fexldr_ptr_libGL_glGetActiveSubroutineUniformiv;
using fexldr_type_libGL_glGetActiveSubroutineUniformName = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLsizei a_3, GLsizei * a_4, GLchar * a_5) -> void;
static fexldr_type_libGL_glGetActiveSubroutineUniformName *fexldr_ptr_libGL_glGetActiveSubroutineUniformName;
using fexldr_type_libGL_glGetActiveUniformARB = auto (GLhandleARB a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLint * a_4, GLenum * a_5, GLcharARB * a_6) -> void;
static fexldr_type_libGL_glGetActiveUniformARB *fexldr_ptr_libGL_glGetActiveUniformARB;
using fexldr_type_libGL_glGetActiveUniformBlockiv = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetActiveUniformBlockiv *fexldr_ptr_libGL_glGetActiveUniformBlockiv;
using fexldr_type_libGL_glGetActiveUniformBlockName = auto (GLuint a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLchar * a_4) -> void;
static fexldr_type_libGL_glGetActiveUniformBlockName *fexldr_ptr_libGL_glGetActiveUniformBlockName;
using fexldr_type_libGL_glGetActiveUniform = auto (GLuint a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLint * a_4, GLenum * a_5, GLchar * a_6) -> void;
static fexldr_type_libGL_glGetActiveUniform *fexldr_ptr_libGL_glGetActiveUniform;
using fexldr_type_libGL_glGetActiveUniformName = auto (GLuint a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLchar * a_4) -> void;
static fexldr_type_libGL_glGetActiveUniformName *fexldr_ptr_libGL_glGetActiveUniformName;
using fexldr_type_libGL_glGetActiveUniformsiv = auto (GLuint a_0, GLsizei a_1, const GLuint * a_2, GLenum a_3, GLint * a_4) -> void;
static fexldr_type_libGL_glGetActiveUniformsiv *fexldr_ptr_libGL_glGetActiveUniformsiv;
using fexldr_type_libGL_glGetActiveVaryingNV = auto (GLuint a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLsizei * a_4, GLenum * a_5, GLchar * a_6) -> void;
static fexldr_type_libGL_glGetActiveVaryingNV *fexldr_ptr_libGL_glGetActiveVaryingNV;
using fexldr_type_libGL_glGetArrayObjectfvATI = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetArrayObjectfvATI *fexldr_ptr_libGL_glGetArrayObjectfvATI;
using fexldr_type_libGL_glGetArrayObjectivATI = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetArrayObjectivATI *fexldr_ptr_libGL_glGetArrayObjectivATI;
using fexldr_type_libGL_glGetAttachedObjectsARB = auto (GLhandleARB a_0, GLsizei a_1, GLsizei * a_2, GLhandleARB * a_3) -> void;
static fexldr_type_libGL_glGetAttachedObjectsARB *fexldr_ptr_libGL_glGetAttachedObjectsARB;
using fexldr_type_libGL_glGetAttachedShaders = auto (GLuint a_0, GLsizei a_1, GLsizei * a_2, GLuint * a_3) -> void;
static fexldr_type_libGL_glGetAttachedShaders *fexldr_ptr_libGL_glGetAttachedShaders;
using fexldr_type_libGL_glGetBooleanIndexedvEXT = auto (GLenum a_0, GLuint a_1, GLboolean * a_2) -> void;
static fexldr_type_libGL_glGetBooleanIndexedvEXT *fexldr_ptr_libGL_glGetBooleanIndexedvEXT;
using fexldr_type_libGL_glGetBooleani_v = auto (GLenum a_0, GLuint a_1, GLboolean * a_2) -> void;
static fexldr_type_libGL_glGetBooleani_v *fexldr_ptr_libGL_glGetBooleani_v;
using fexldr_type_libGL_glGetBooleanv = auto (GLenum a_0, GLboolean * a_1) -> void;
static fexldr_type_libGL_glGetBooleanv *fexldr_ptr_libGL_glGetBooleanv;
using fexldr_type_libGL_glGetBufferParameteri64v = auto (GLenum a_0, GLenum a_1, GLint64 * a_2) -> void;
static fexldr_type_libGL_glGetBufferParameteri64v *fexldr_ptr_libGL_glGetBufferParameteri64v;
using fexldr_type_libGL_glGetBufferParameterivARB = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetBufferParameterivARB *fexldr_ptr_libGL_glGetBufferParameterivARB;
using fexldr_type_libGL_glGetBufferParameteriv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetBufferParameteriv *fexldr_ptr_libGL_glGetBufferParameteriv;
using fexldr_type_libGL_glGetBufferParameterui64vNV = auto (GLenum a_0, GLenum a_1, GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glGetBufferParameterui64vNV *fexldr_ptr_libGL_glGetBufferParameterui64vNV;
using fexldr_type_libGL_glGetBufferPointerv = auto (GLenum a_0, GLenum a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetBufferPointerv *fexldr_ptr_libGL_glGetBufferPointerv;
using fexldr_type_libGL_glGetBufferPointervARB = auto (GLenum a_0, GLenum a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetBufferPointervARB *fexldr_ptr_libGL_glGetBufferPointervARB;
using fexldr_type_libGL_glGetBufferSubDataARB = auto (GLenum a_0, GLintptrARB a_1, GLsizeiptrARB a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetBufferSubDataARB *fexldr_ptr_libGL_glGetBufferSubDataARB;
using fexldr_type_libGL_glGetBufferSubData = auto (GLenum a_0, GLintptr a_1, GLsizeiptr a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetBufferSubData *fexldr_ptr_libGL_glGetBufferSubData;
using fexldr_type_libGL_glGetClipPlanefOES = auto (GLenum a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glGetClipPlanefOES *fexldr_ptr_libGL_glGetClipPlanefOES;
using fexldr_type_libGL_glGetClipPlane = auto (GLenum a_0, GLdouble * a_1) -> void;
static fexldr_type_libGL_glGetClipPlane *fexldr_ptr_libGL_glGetClipPlane;
using fexldr_type_libGL_glGetClipPlanexOES = auto (GLenum a_0, GLfixed * a_1) -> void;
static fexldr_type_libGL_glGetClipPlanexOES *fexldr_ptr_libGL_glGetClipPlanexOES;
using fexldr_type_libGL_glGetColorTableEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetColorTableEXT *fexldr_ptr_libGL_glGetColorTableEXT;
using fexldr_type_libGL_glGetColorTable = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLvoid * a_3) -> void;
static fexldr_type_libGL_glGetColorTable *fexldr_ptr_libGL_glGetColorTable;
using fexldr_type_libGL_glGetColorTableParameterfvEXT = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetColorTableParameterfvEXT *fexldr_ptr_libGL_glGetColorTableParameterfvEXT;
using fexldr_type_libGL_glGetColorTableParameterfv = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetColorTableParameterfv *fexldr_ptr_libGL_glGetColorTableParameterfv;
using fexldr_type_libGL_glGetColorTableParameterfvSGI = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetColorTableParameterfvSGI *fexldr_ptr_libGL_glGetColorTableParameterfvSGI;
using fexldr_type_libGL_glGetColorTableParameterivEXT = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetColorTableParameterivEXT *fexldr_ptr_libGL_glGetColorTableParameterivEXT;
using fexldr_type_libGL_glGetColorTableParameteriv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetColorTableParameteriv *fexldr_ptr_libGL_glGetColorTableParameteriv;
using fexldr_type_libGL_glGetColorTableParameterivSGI = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetColorTableParameterivSGI *fexldr_ptr_libGL_glGetColorTableParameterivSGI;
using fexldr_type_libGL_glGetColorTableSGI = auto (GLenum a_0, GLenum a_1, GLenum a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetColorTableSGI *fexldr_ptr_libGL_glGetColorTableSGI;
using fexldr_type_libGL_glGetCombinerInputParameterfvNV = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3, GLfloat * a_4) -> void;
static fexldr_type_libGL_glGetCombinerInputParameterfvNV *fexldr_ptr_libGL_glGetCombinerInputParameterfvNV;
using fexldr_type_libGL_glGetCombinerInputParameterivNV = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3, GLint * a_4) -> void;
static fexldr_type_libGL_glGetCombinerInputParameterivNV *fexldr_ptr_libGL_glGetCombinerInputParameterivNV;
using fexldr_type_libGL_glGetCombinerOutputParameterfvNV = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetCombinerOutputParameterfvNV *fexldr_ptr_libGL_glGetCombinerOutputParameterfvNV;
using fexldr_type_libGL_glGetCombinerOutputParameterivNV = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetCombinerOutputParameterivNV *fexldr_ptr_libGL_glGetCombinerOutputParameterivNV;
using fexldr_type_libGL_glGetCombinerStageParameterfvNV = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetCombinerStageParameterfvNV *fexldr_ptr_libGL_glGetCombinerStageParameterfvNV;
using fexldr_type_libGL_glGetCompressedMultiTexImageEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetCompressedMultiTexImageEXT *fexldr_ptr_libGL_glGetCompressedMultiTexImageEXT;
using fexldr_type_libGL_glGetCompressedTexImageARB = auto (GLenum a_0, GLint a_1, void * a_2) -> void;
static fexldr_type_libGL_glGetCompressedTexImageARB *fexldr_ptr_libGL_glGetCompressedTexImageARB;
using fexldr_type_libGL_glGetCompressedTexImage = auto (GLenum a_0, GLint a_1, GLvoid * a_2) -> void;
static fexldr_type_libGL_glGetCompressedTexImage *fexldr_ptr_libGL_glGetCompressedTexImage;
using fexldr_type_libGL_glGetCompressedTextureImageEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetCompressedTextureImageEXT *fexldr_ptr_libGL_glGetCompressedTextureImageEXT;
using fexldr_type_libGL_glGetCompressedTextureImage = auto (GLuint a_0, GLint a_1, GLsizei a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetCompressedTextureImage *fexldr_ptr_libGL_glGetCompressedTextureImage;
using fexldr_type_libGL_glGetCompressedTextureSubImage = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLsizei a_8, void * a_9) -> void;
static fexldr_type_libGL_glGetCompressedTextureSubImage *fexldr_ptr_libGL_glGetCompressedTextureSubImage;
using fexldr_type_libGL_glGetConvolutionFilterEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetConvolutionFilterEXT *fexldr_ptr_libGL_glGetConvolutionFilterEXT;
using fexldr_type_libGL_glGetConvolutionFilter = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLvoid * a_3) -> void;
static fexldr_type_libGL_glGetConvolutionFilter *fexldr_ptr_libGL_glGetConvolutionFilter;
using fexldr_type_libGL_glGetConvolutionParameterfvEXT = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetConvolutionParameterfvEXT *fexldr_ptr_libGL_glGetConvolutionParameterfvEXT;
using fexldr_type_libGL_glGetConvolutionParameterfv = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetConvolutionParameterfv *fexldr_ptr_libGL_glGetConvolutionParameterfv;
using fexldr_type_libGL_glGetConvolutionParameterivEXT = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetConvolutionParameterivEXT *fexldr_ptr_libGL_glGetConvolutionParameterivEXT;
using fexldr_type_libGL_glGetConvolutionParameteriv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetConvolutionParameteriv *fexldr_ptr_libGL_glGetConvolutionParameteriv;
using fexldr_type_libGL_glGetConvolutionParameterxvOES = auto (GLenum a_0, GLenum a_1, GLfixed * a_2) -> void;
static fexldr_type_libGL_glGetConvolutionParameterxvOES *fexldr_ptr_libGL_glGetConvolutionParameterxvOES;
using fexldr_type_libGL_glGetCoverageModulationTableNV = auto (GLsizei a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glGetCoverageModulationTableNV *fexldr_ptr_libGL_glGetCoverageModulationTableNV;
using fexldr_type_libGL_glGetDetailTexFuncSGIS = auto (GLenum a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glGetDetailTexFuncSGIS *fexldr_ptr_libGL_glGetDetailTexFuncSGIS;
using fexldr_type_libGL_glGetDoubleIndexedvEXT = auto (GLenum a_0, GLuint a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetDoubleIndexedvEXT *fexldr_ptr_libGL_glGetDoubleIndexedvEXT;
using fexldr_type_libGL_glGetDoublei_vEXT = auto (GLenum a_0, GLuint a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetDoublei_vEXT *fexldr_ptr_libGL_glGetDoublei_vEXT;
using fexldr_type_libGL_glGetDoublei_v = auto (GLenum a_0, GLuint a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetDoublei_v *fexldr_ptr_libGL_glGetDoublei_v;
using fexldr_type_libGL_glGetDoublev = auto (GLenum a_0, GLdouble * a_1) -> void;
static fexldr_type_libGL_glGetDoublev *fexldr_ptr_libGL_glGetDoublev;
using fexldr_type_libGL_glGetFenceivNV = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetFenceivNV *fexldr_ptr_libGL_glGetFenceivNV;
using fexldr_type_libGL_glGetFinalCombinerInputParameterfvNV = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetFinalCombinerInputParameterfvNV *fexldr_ptr_libGL_glGetFinalCombinerInputParameterfvNV;
using fexldr_type_libGL_glGetFinalCombinerInputParameterivNV = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetFinalCombinerInputParameterivNV *fexldr_ptr_libGL_glGetFinalCombinerInputParameterivNV;
using fexldr_type_libGL_glGetFirstPerfQueryIdINTEL = auto (GLuint * a_0) -> void;
static fexldr_type_libGL_glGetFirstPerfQueryIdINTEL *fexldr_ptr_libGL_glGetFirstPerfQueryIdINTEL;
using fexldr_type_libGL_glGetFixedvOES = auto (GLenum a_0, GLfixed * a_1) -> void;
static fexldr_type_libGL_glGetFixedvOES *fexldr_ptr_libGL_glGetFixedvOES;
using fexldr_type_libGL_glGetFloatIndexedvEXT = auto (GLenum a_0, GLuint a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetFloatIndexedvEXT *fexldr_ptr_libGL_glGetFloatIndexedvEXT;
using fexldr_type_libGL_glGetFloati_vEXT = auto (GLenum a_0, GLuint a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetFloati_vEXT *fexldr_ptr_libGL_glGetFloati_vEXT;
using fexldr_type_libGL_glGetFloati_v = auto (GLenum a_0, GLuint a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetFloati_v *fexldr_ptr_libGL_glGetFloati_v;
using fexldr_type_libGL_glGetFloatv = auto (GLenum a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glGetFloatv *fexldr_ptr_libGL_glGetFloatv;
using fexldr_type_libGL_glGetFogFuncSGIS = auto (GLfloat * a_0) -> void;
static fexldr_type_libGL_glGetFogFuncSGIS *fexldr_ptr_libGL_glGetFogFuncSGIS;
using fexldr_type_libGL_glGetFragmentLightfvSGIX = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetFragmentLightfvSGIX *fexldr_ptr_libGL_glGetFragmentLightfvSGIX;
using fexldr_type_libGL_glGetFragmentLightivSGIX = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetFragmentLightivSGIX *fexldr_ptr_libGL_glGetFragmentLightivSGIX;
using fexldr_type_libGL_glGetFragmentMaterialfvSGIX = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetFragmentMaterialfvSGIX *fexldr_ptr_libGL_glGetFragmentMaterialfvSGIX;
using fexldr_type_libGL_glGetFragmentMaterialivSGIX = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetFragmentMaterialivSGIX *fexldr_ptr_libGL_glGetFragmentMaterialivSGIX;
using fexldr_type_libGL_glGetFramebufferAttachmentParameterivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetFramebufferAttachmentParameterivEXT *fexldr_ptr_libGL_glGetFramebufferAttachmentParameterivEXT;
using fexldr_type_libGL_glGetFramebufferAttachmentParameteriv = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetFramebufferAttachmentParameteriv *fexldr_ptr_libGL_glGetFramebufferAttachmentParameteriv;
using fexldr_type_libGL_glGetFramebufferParameterfvAMD = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLuint a_3, GLsizei a_4, GLfloat * a_5) -> void;
static fexldr_type_libGL_glGetFramebufferParameterfvAMD *fexldr_ptr_libGL_glGetFramebufferParameterfvAMD;
using fexldr_type_libGL_glGetFramebufferParameterivEXT = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetFramebufferParameterivEXT *fexldr_ptr_libGL_glGetFramebufferParameterivEXT;
using fexldr_type_libGL_glGetFramebufferParameteriv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetFramebufferParameteriv *fexldr_ptr_libGL_glGetFramebufferParameteriv;
using fexldr_type_libGL_glGetFramebufferParameterivMESA = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetFramebufferParameterivMESA *fexldr_ptr_libGL_glGetFramebufferParameterivMESA;
using fexldr_type_libGL_glGetHistogramEXT = auto (GLenum a_0, GLboolean a_1, GLenum a_2, GLenum a_3, void * a_4) -> void;
static fexldr_type_libGL_glGetHistogramEXT *fexldr_ptr_libGL_glGetHistogramEXT;
using fexldr_type_libGL_glGetHistogram = auto (GLenum a_0, GLboolean a_1, GLenum a_2, GLenum a_3, GLvoid * a_4) -> void;
static fexldr_type_libGL_glGetHistogram *fexldr_ptr_libGL_glGetHistogram;
using fexldr_type_libGL_glGetHistogramParameterfvEXT = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetHistogramParameterfvEXT *fexldr_ptr_libGL_glGetHistogramParameterfvEXT;
using fexldr_type_libGL_glGetHistogramParameterfv = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetHistogramParameterfv *fexldr_ptr_libGL_glGetHistogramParameterfv;
using fexldr_type_libGL_glGetHistogramParameterivEXT = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetHistogramParameterivEXT *fexldr_ptr_libGL_glGetHistogramParameterivEXT;
using fexldr_type_libGL_glGetHistogramParameteriv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetHistogramParameteriv *fexldr_ptr_libGL_glGetHistogramParameteriv;
using fexldr_type_libGL_glGetHistogramParameterxvOES = auto (GLenum a_0, GLenum a_1, GLfixed * a_2) -> void;
static fexldr_type_libGL_glGetHistogramParameterxvOES *fexldr_ptr_libGL_glGetHistogramParameterxvOES;
using fexldr_type_libGL_glGetImageTransformParameterfvHP = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetImageTransformParameterfvHP *fexldr_ptr_libGL_glGetImageTransformParameterfvHP;
using fexldr_type_libGL_glGetImageTransformParameterivHP = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetImageTransformParameterivHP *fexldr_ptr_libGL_glGetImageTransformParameterivHP;
using fexldr_type_libGL_glGetInfoLogARB = auto (GLhandleARB a_0, GLsizei a_1, GLsizei * a_2, GLcharARB * a_3) -> void;
static fexldr_type_libGL_glGetInfoLogARB *fexldr_ptr_libGL_glGetInfoLogARB;
using fexldr_type_libGL_glGetInteger64i_v = auto (GLenum a_0, GLuint a_1, GLint64 * a_2) -> void;
static fexldr_type_libGL_glGetInteger64i_v *fexldr_ptr_libGL_glGetInteger64i_v;
using fexldr_type_libGL_glGetInteger64v = auto (GLenum a_0, GLint64 * a_1) -> void;
static fexldr_type_libGL_glGetInteger64v *fexldr_ptr_libGL_glGetInteger64v;
using fexldr_type_libGL_glGetIntegerIndexedvEXT = auto (GLenum a_0, GLuint a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetIntegerIndexedvEXT *fexldr_ptr_libGL_glGetIntegerIndexedvEXT;
using fexldr_type_libGL_glGetIntegeri_v = auto (GLenum a_0, GLuint a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetIntegeri_v *fexldr_ptr_libGL_glGetIntegeri_v;
using fexldr_type_libGL_glGetIntegerui64i_vNV = auto (GLenum a_0, GLuint a_1, GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glGetIntegerui64i_vNV *fexldr_ptr_libGL_glGetIntegerui64i_vNV;
using fexldr_type_libGL_glGetIntegerui64vNV = auto (GLenum a_0, GLuint64EXT * a_1) -> void;
static fexldr_type_libGL_glGetIntegerui64vNV *fexldr_ptr_libGL_glGetIntegerui64vNV;
using fexldr_type_libGL_glGetIntegerv = auto (GLenum a_0, GLint * a_1) -> void;
static fexldr_type_libGL_glGetIntegerv *fexldr_ptr_libGL_glGetIntegerv;
using fexldr_type_libGL_glGetInternalformati64v = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLsizei a_3, GLint64 * a_4) -> void;
static fexldr_type_libGL_glGetInternalformati64v *fexldr_ptr_libGL_glGetInternalformati64v;
using fexldr_type_libGL_glGetInternalformativ = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLsizei a_3, GLint * a_4) -> void;
static fexldr_type_libGL_glGetInternalformativ *fexldr_ptr_libGL_glGetInternalformativ;
using fexldr_type_libGL_glGetInternalformatSampleivNV = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLsizei a_4, GLint * a_5) -> void;
static fexldr_type_libGL_glGetInternalformatSampleivNV *fexldr_ptr_libGL_glGetInternalformatSampleivNV;
using fexldr_type_libGL_glGetInvariantBooleanvEXT = auto (GLuint a_0, GLenum a_1, GLboolean * a_2) -> void;
static fexldr_type_libGL_glGetInvariantBooleanvEXT *fexldr_ptr_libGL_glGetInvariantBooleanvEXT;
using fexldr_type_libGL_glGetInvariantFloatvEXT = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetInvariantFloatvEXT *fexldr_ptr_libGL_glGetInvariantFloatvEXT;
using fexldr_type_libGL_glGetInvariantIntegervEXT = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetInvariantIntegervEXT *fexldr_ptr_libGL_glGetInvariantIntegervEXT;
using fexldr_type_libGL_glGetLightfv = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetLightfv *fexldr_ptr_libGL_glGetLightfv;
using fexldr_type_libGL_glGetLightiv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetLightiv *fexldr_ptr_libGL_glGetLightiv;
using fexldr_type_libGL_glGetLightxOES = auto (GLenum a_0, GLenum a_1, GLfixed * a_2) -> void;
static fexldr_type_libGL_glGetLightxOES *fexldr_ptr_libGL_glGetLightxOES;
using fexldr_type_libGL_glGetListParameterfvSGIX = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetListParameterfvSGIX *fexldr_ptr_libGL_glGetListParameterfvSGIX;
using fexldr_type_libGL_glGetListParameterivSGIX = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetListParameterivSGIX *fexldr_ptr_libGL_glGetListParameterivSGIX;
using fexldr_type_libGL_glGetLocalConstantBooleanvEXT = auto (GLuint a_0, GLenum a_1, GLboolean * a_2) -> void;
static fexldr_type_libGL_glGetLocalConstantBooleanvEXT *fexldr_ptr_libGL_glGetLocalConstantBooleanvEXT;
using fexldr_type_libGL_glGetLocalConstantFloatvEXT = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetLocalConstantFloatvEXT *fexldr_ptr_libGL_glGetLocalConstantFloatvEXT;
using fexldr_type_libGL_glGetLocalConstantIntegervEXT = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetLocalConstantIntegervEXT *fexldr_ptr_libGL_glGetLocalConstantIntegervEXT;
using fexldr_type_libGL_glGetMapAttribParameterfvNV = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetMapAttribParameterfvNV *fexldr_ptr_libGL_glGetMapAttribParameterfvNV;
using fexldr_type_libGL_glGetMapAttribParameterivNV = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetMapAttribParameterivNV *fexldr_ptr_libGL_glGetMapAttribParameterivNV;
using fexldr_type_libGL_glGetMapControlPointsNV = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLboolean a_5, void * a_6) -> void;
static fexldr_type_libGL_glGetMapControlPointsNV *fexldr_ptr_libGL_glGetMapControlPointsNV;
using fexldr_type_libGL_glGetMapdv = auto (GLenum a_0, GLenum a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetMapdv *fexldr_ptr_libGL_glGetMapdv;
using fexldr_type_libGL_glGetMapfv = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetMapfv *fexldr_ptr_libGL_glGetMapfv;
using fexldr_type_libGL_glGetMapiv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetMapiv *fexldr_ptr_libGL_glGetMapiv;
using fexldr_type_libGL_glGetMapParameterfvNV = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetMapParameterfvNV *fexldr_ptr_libGL_glGetMapParameterfvNV;
using fexldr_type_libGL_glGetMapParameterivNV = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetMapParameterivNV *fexldr_ptr_libGL_glGetMapParameterivNV;
using fexldr_type_libGL_glGetMapxvOES = auto (GLenum a_0, GLenum a_1, GLfixed * a_2) -> void;
static fexldr_type_libGL_glGetMapxvOES *fexldr_ptr_libGL_glGetMapxvOES;
using fexldr_type_libGL_glGetMaterialfv = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetMaterialfv *fexldr_ptr_libGL_glGetMaterialfv;
using fexldr_type_libGL_glGetMaterialiv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetMaterialiv *fexldr_ptr_libGL_glGetMaterialiv;
using fexldr_type_libGL_glGetMaterialxOES = auto (GLenum a_0, GLenum a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glGetMaterialxOES *fexldr_ptr_libGL_glGetMaterialxOES;
using fexldr_type_libGL_glGetMemoryObjectDetachedResourcesuivNV = auto (GLuint a_0, GLenum a_1, GLint a_2, GLsizei a_3, GLuint * a_4) -> void;
static fexldr_type_libGL_glGetMemoryObjectDetachedResourcesuivNV *fexldr_ptr_libGL_glGetMemoryObjectDetachedResourcesuivNV;
using fexldr_type_libGL_glGetMemoryObjectParameterivEXT = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetMemoryObjectParameterivEXT *fexldr_ptr_libGL_glGetMemoryObjectParameterivEXT;
using fexldr_type_libGL_glGetMinmaxEXT = auto (GLenum a_0, GLboolean a_1, GLenum a_2, GLenum a_3, void * a_4) -> void;
static fexldr_type_libGL_glGetMinmaxEXT *fexldr_ptr_libGL_glGetMinmaxEXT;
using fexldr_type_libGL_glGetMinmax = auto (GLenum a_0, GLboolean a_1, GLenum a_2, GLenum a_3, GLvoid * a_4) -> void;
static fexldr_type_libGL_glGetMinmax *fexldr_ptr_libGL_glGetMinmax;
using fexldr_type_libGL_glGetMinmaxParameterfvEXT = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetMinmaxParameterfvEXT *fexldr_ptr_libGL_glGetMinmaxParameterfvEXT;
using fexldr_type_libGL_glGetMinmaxParameterfv = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetMinmaxParameterfv *fexldr_ptr_libGL_glGetMinmaxParameterfv;
using fexldr_type_libGL_glGetMinmaxParameterivEXT = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetMinmaxParameterivEXT *fexldr_ptr_libGL_glGetMinmaxParameterivEXT;
using fexldr_type_libGL_glGetMinmaxParameteriv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetMinmaxParameteriv *fexldr_ptr_libGL_glGetMinmaxParameteriv;
using fexldr_type_libGL_glGetMultisamplefv = auto (GLenum a_0, GLuint a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetMultisamplefv *fexldr_ptr_libGL_glGetMultisamplefv;
using fexldr_type_libGL_glGetMultisamplefvNV = auto (GLenum a_0, GLuint a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetMultisamplefvNV *fexldr_ptr_libGL_glGetMultisamplefvNV;
using fexldr_type_libGL_glGetMultiTexEnvfvEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetMultiTexEnvfvEXT *fexldr_ptr_libGL_glGetMultiTexEnvfvEXT;
using fexldr_type_libGL_glGetMultiTexEnvivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetMultiTexEnvivEXT *fexldr_ptr_libGL_glGetMultiTexEnvivEXT;
using fexldr_type_libGL_glGetMultiTexGendvEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLdouble * a_3) -> void;
static fexldr_type_libGL_glGetMultiTexGendvEXT *fexldr_ptr_libGL_glGetMultiTexGendvEXT;
using fexldr_type_libGL_glGetMultiTexGenfvEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetMultiTexGenfvEXT *fexldr_ptr_libGL_glGetMultiTexGenfvEXT;
using fexldr_type_libGL_glGetMultiTexGenivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetMultiTexGenivEXT *fexldr_ptr_libGL_glGetMultiTexGenivEXT;
using fexldr_type_libGL_glGetMultiTexImageEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLenum a_3, GLenum a_4, void * a_5) -> void;
static fexldr_type_libGL_glGetMultiTexImageEXT *fexldr_ptr_libGL_glGetMultiTexImageEXT;
using fexldr_type_libGL_glGetMultiTexLevelParameterfvEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLenum a_3, GLfloat * a_4) -> void;
static fexldr_type_libGL_glGetMultiTexLevelParameterfvEXT *fexldr_ptr_libGL_glGetMultiTexLevelParameterfvEXT;
using fexldr_type_libGL_glGetMultiTexLevelParameterivEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLenum a_3, GLint * a_4) -> void;
static fexldr_type_libGL_glGetMultiTexLevelParameterivEXT *fexldr_ptr_libGL_glGetMultiTexLevelParameterivEXT;
using fexldr_type_libGL_glGetMultiTexParameterfvEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetMultiTexParameterfvEXT *fexldr_ptr_libGL_glGetMultiTexParameterfvEXT;
using fexldr_type_libGL_glGetMultiTexParameterIivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetMultiTexParameterIivEXT *fexldr_ptr_libGL_glGetMultiTexParameterIivEXT;
using fexldr_type_libGL_glGetMultiTexParameterIuivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint * a_3) -> void;
static fexldr_type_libGL_glGetMultiTexParameterIuivEXT *fexldr_ptr_libGL_glGetMultiTexParameterIuivEXT;
using fexldr_type_libGL_glGetMultiTexParameterivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetMultiTexParameterivEXT *fexldr_ptr_libGL_glGetMultiTexParameterivEXT;
using fexldr_type_libGL_glGetNamedBufferParameteri64v = auto (GLuint a_0, GLenum a_1, GLint64 * a_2) -> void;
static fexldr_type_libGL_glGetNamedBufferParameteri64v *fexldr_ptr_libGL_glGetNamedBufferParameteri64v;
using fexldr_type_libGL_glGetNamedBufferParameterivEXT = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetNamedBufferParameterivEXT *fexldr_ptr_libGL_glGetNamedBufferParameterivEXT;
using fexldr_type_libGL_glGetNamedBufferParameteriv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetNamedBufferParameteriv *fexldr_ptr_libGL_glGetNamedBufferParameteriv;
using fexldr_type_libGL_glGetNamedBufferParameterui64vNV = auto (GLuint a_0, GLenum a_1, GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glGetNamedBufferParameterui64vNV *fexldr_ptr_libGL_glGetNamedBufferParameterui64vNV;
using fexldr_type_libGL_glGetNamedBufferPointerv = auto (GLuint a_0, GLenum a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetNamedBufferPointerv *fexldr_ptr_libGL_glGetNamedBufferPointerv;
using fexldr_type_libGL_glGetNamedBufferPointervEXT = auto (GLuint a_0, GLenum a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetNamedBufferPointervEXT *fexldr_ptr_libGL_glGetNamedBufferPointervEXT;
using fexldr_type_libGL_glGetNamedBufferSubDataEXT = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetNamedBufferSubDataEXT *fexldr_ptr_libGL_glGetNamedBufferSubDataEXT;
using fexldr_type_libGL_glGetNamedBufferSubData = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetNamedBufferSubData *fexldr_ptr_libGL_glGetNamedBufferSubData;
using fexldr_type_libGL_glGetNamedFramebufferAttachmentParameterivEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetNamedFramebufferAttachmentParameterivEXT *fexldr_ptr_libGL_glGetNamedFramebufferAttachmentParameterivEXT;
using fexldr_type_libGL_glGetNamedFramebufferAttachmentParameteriv = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetNamedFramebufferAttachmentParameteriv *fexldr_ptr_libGL_glGetNamedFramebufferAttachmentParameteriv;
using fexldr_type_libGL_glGetNamedFramebufferParameterfvAMD = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLuint a_3, GLsizei a_4, GLfloat * a_5) -> void;
static fexldr_type_libGL_glGetNamedFramebufferParameterfvAMD *fexldr_ptr_libGL_glGetNamedFramebufferParameterfvAMD;
using fexldr_type_libGL_glGetNamedFramebufferParameterivEXT = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetNamedFramebufferParameterivEXT *fexldr_ptr_libGL_glGetNamedFramebufferParameterivEXT;
using fexldr_type_libGL_glGetNamedFramebufferParameteriv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetNamedFramebufferParameteriv *fexldr_ptr_libGL_glGetNamedFramebufferParameteriv;
using fexldr_type_libGL_glGetNamedProgramivEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetNamedProgramivEXT *fexldr_ptr_libGL_glGetNamedProgramivEXT;
using fexldr_type_libGL_glGetNamedProgramLocalParameterdvEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLdouble * a_3) -> void;
static fexldr_type_libGL_glGetNamedProgramLocalParameterdvEXT *fexldr_ptr_libGL_glGetNamedProgramLocalParameterdvEXT;
using fexldr_type_libGL_glGetNamedProgramLocalParameterfvEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetNamedProgramLocalParameterfvEXT *fexldr_ptr_libGL_glGetNamedProgramLocalParameterfvEXT;
using fexldr_type_libGL_glGetNamedProgramLocalParameterIivEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetNamedProgramLocalParameterIivEXT *fexldr_ptr_libGL_glGetNamedProgramLocalParameterIivEXT;
using fexldr_type_libGL_glGetNamedProgramLocalParameterIuivEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLuint * a_3) -> void;
static fexldr_type_libGL_glGetNamedProgramLocalParameterIuivEXT *fexldr_ptr_libGL_glGetNamedProgramLocalParameterIuivEXT;
using fexldr_type_libGL_glGetNamedProgramStringEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetNamedProgramStringEXT *fexldr_ptr_libGL_glGetNamedProgramStringEXT;
using fexldr_type_libGL_glGetNamedRenderbufferParameterivEXT = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetNamedRenderbufferParameterivEXT *fexldr_ptr_libGL_glGetNamedRenderbufferParameterivEXT;
using fexldr_type_libGL_glGetNamedRenderbufferParameteriv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetNamedRenderbufferParameteriv *fexldr_ptr_libGL_glGetNamedRenderbufferParameteriv;
using fexldr_type_libGL_glGetNamedStringARB = auto (GLint a_0, const GLchar * a_1, GLsizei a_2, GLint * a_3, GLchar * a_4) -> void;
static fexldr_type_libGL_glGetNamedStringARB *fexldr_ptr_libGL_glGetNamedStringARB;
using fexldr_type_libGL_glGetNamedStringivARB = auto (GLint a_0, const GLchar * a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetNamedStringivARB *fexldr_ptr_libGL_glGetNamedStringivARB;
using fexldr_type_libGL_glGetnCompressedTexImageARB = auto (GLenum a_0, GLint a_1, GLsizei a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetnCompressedTexImageARB *fexldr_ptr_libGL_glGetnCompressedTexImageARB;
using fexldr_type_libGL_glGetnCompressedTexImage = auto (GLenum a_0, GLint a_1, GLsizei a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetnCompressedTexImage *fexldr_ptr_libGL_glGetnCompressedTexImage;
using fexldr_type_libGL_glGetNextPerfQueryIdINTEL = auto (GLuint a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGetNextPerfQueryIdINTEL *fexldr_ptr_libGL_glGetNextPerfQueryIdINTEL;
using fexldr_type_libGL_glGetnTexImageARB = auto (GLenum a_0, GLint a_1, GLenum a_2, GLenum a_3, GLsizei a_4, void * a_5) -> void;
static fexldr_type_libGL_glGetnTexImageARB *fexldr_ptr_libGL_glGetnTexImageARB;
using fexldr_type_libGL_glGetnTexImage = auto (GLenum a_0, GLint a_1, GLenum a_2, GLenum a_3, GLsizei a_4, void * a_5) -> void;
static fexldr_type_libGL_glGetnTexImage *fexldr_ptr_libGL_glGetnTexImage;
using fexldr_type_libGL_glGetnUniformdvARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLdouble * a_3) -> void;
static fexldr_type_libGL_glGetnUniformdvARB *fexldr_ptr_libGL_glGetnUniformdvARB;
using fexldr_type_libGL_glGetnUniformdv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLdouble * a_3) -> void;
static fexldr_type_libGL_glGetnUniformdv *fexldr_ptr_libGL_glGetnUniformdv;
using fexldr_type_libGL_glGetnUniformfvARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetnUniformfvARB *fexldr_ptr_libGL_glGetnUniformfvARB;
using fexldr_type_libGL_glGetnUniformfv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetnUniformfv *fexldr_ptr_libGL_glGetnUniformfv;
using fexldr_type_libGL_glGetnUniformi64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLint64 * a_3) -> void;
static fexldr_type_libGL_glGetnUniformi64vARB *fexldr_ptr_libGL_glGetnUniformi64vARB;
using fexldr_type_libGL_glGetnUniformivARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetnUniformivARB *fexldr_ptr_libGL_glGetnUniformivARB;
using fexldr_type_libGL_glGetnUniformiv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetnUniformiv *fexldr_ptr_libGL_glGetnUniformiv;
using fexldr_type_libGL_glGetnUniformui64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLuint64 * a_3) -> void;
static fexldr_type_libGL_glGetnUniformui64vARB *fexldr_ptr_libGL_glGetnUniformui64vARB;
using fexldr_type_libGL_glGetnUniformuivARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLuint * a_3) -> void;
static fexldr_type_libGL_glGetnUniformuivARB *fexldr_ptr_libGL_glGetnUniformuivARB;
using fexldr_type_libGL_glGetnUniformuiv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLuint * a_3) -> void;
static fexldr_type_libGL_glGetnUniformuiv *fexldr_ptr_libGL_glGetnUniformuiv;
using fexldr_type_libGL_glGetObjectBufferfvATI = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetObjectBufferfvATI *fexldr_ptr_libGL_glGetObjectBufferfvATI;
using fexldr_type_libGL_glGetObjectBufferivATI = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetObjectBufferivATI *fexldr_ptr_libGL_glGetObjectBufferivATI;
using fexldr_type_libGL_glGetObjectLabelEXT = auto (GLenum a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLchar * a_4) -> void;
static fexldr_type_libGL_glGetObjectLabelEXT *fexldr_ptr_libGL_glGetObjectLabelEXT;
using fexldr_type_libGL_glGetObjectLabel = auto (GLenum a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLchar * a_4) -> void;
static fexldr_type_libGL_glGetObjectLabel *fexldr_ptr_libGL_glGetObjectLabel;
using fexldr_type_libGL_glGetObjectParameterfvARB = auto (GLhandleARB a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetObjectParameterfvARB *fexldr_ptr_libGL_glGetObjectParameterfvARB;
using fexldr_type_libGL_glGetObjectParameterivAPPLE = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetObjectParameterivAPPLE *fexldr_ptr_libGL_glGetObjectParameterivAPPLE;
using fexldr_type_libGL_glGetObjectParameterivARB = auto (GLhandleARB a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetObjectParameterivARB *fexldr_ptr_libGL_glGetObjectParameterivARB;
using fexldr_type_libGL_glGetObjectPtrLabel = auto (const void * a_0, GLsizei a_1, GLsizei * a_2, GLchar * a_3) -> void;
static fexldr_type_libGL_glGetObjectPtrLabel *fexldr_ptr_libGL_glGetObjectPtrLabel;
using fexldr_type_libGL_glGetOcclusionQueryivNV = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetOcclusionQueryivNV *fexldr_ptr_libGL_glGetOcclusionQueryivNV;
using fexldr_type_libGL_glGetOcclusionQueryuivNV = auto (GLuint a_0, GLenum a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetOcclusionQueryuivNV *fexldr_ptr_libGL_glGetOcclusionQueryuivNV;
using fexldr_type_libGL_glGetPathCommandsNV = auto (GLuint a_0, GLubyte * a_1) -> void;
static fexldr_type_libGL_glGetPathCommandsNV *fexldr_ptr_libGL_glGetPathCommandsNV;
using fexldr_type_libGL_glGetPathCoordsNV = auto (GLuint a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glGetPathCoordsNV *fexldr_ptr_libGL_glGetPathCoordsNV;
using fexldr_type_libGL_glGetPathDashArrayNV = auto (GLuint a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glGetPathDashArrayNV *fexldr_ptr_libGL_glGetPathDashArrayNV;
using fexldr_type_libGL_glGetPathMetricRangeNV = auto (GLbitfield a_0, GLuint a_1, GLsizei a_2, GLsizei a_3, GLfloat * a_4) -> void;
static fexldr_type_libGL_glGetPathMetricRangeNV *fexldr_ptr_libGL_glGetPathMetricRangeNV;
using fexldr_type_libGL_glGetPathMetricsNV = auto (GLbitfield a_0, GLsizei a_1, GLenum a_2, const void * a_3, GLuint a_4, GLsizei a_5, GLfloat * a_6) -> void;
static fexldr_type_libGL_glGetPathMetricsNV *fexldr_ptr_libGL_glGetPathMetricsNV;
using fexldr_type_libGL_glGetPathParameterfvNV = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetPathParameterfvNV *fexldr_ptr_libGL_glGetPathParameterfvNV;
using fexldr_type_libGL_glGetPathParameterivNV = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetPathParameterivNV *fexldr_ptr_libGL_glGetPathParameterivNV;
using fexldr_type_libGL_glGetPathSpacingNV = auto (GLenum a_0, GLsizei a_1, GLenum a_2, const void * a_3, GLuint a_4, GLfloat a_5, GLfloat a_6, GLenum a_7, GLfloat * a_8) -> void;
static fexldr_type_libGL_glGetPathSpacingNV *fexldr_ptr_libGL_glGetPathSpacingNV;
using fexldr_type_libGL_glGetPerfCounterInfoINTEL = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLchar * a_3, GLuint a_4, GLchar * a_5, GLuint * a_6, GLuint * a_7, GLuint * a_8, GLuint * a_9, GLuint64 * a_10) -> void;
static fexldr_type_libGL_glGetPerfCounterInfoINTEL *fexldr_ptr_libGL_glGetPerfCounterInfoINTEL;
using fexldr_type_libGL_glGetPerfMonitorCounterDataAMD = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLuint * a_3, GLint * a_4) -> void;
static fexldr_type_libGL_glGetPerfMonitorCounterDataAMD *fexldr_ptr_libGL_glGetPerfMonitorCounterDataAMD;
using fexldr_type_libGL_glGetPerfMonitorCounterInfoAMD = auto (GLuint a_0, GLuint a_1, GLenum a_2, void * a_3) -> void;
static fexldr_type_libGL_glGetPerfMonitorCounterInfoAMD *fexldr_ptr_libGL_glGetPerfMonitorCounterInfoAMD;
using fexldr_type_libGL_glGetPerfMonitorCountersAMD = auto (GLuint a_0, GLint * a_1, GLint * a_2, GLsizei a_3, GLuint * a_4) -> void;
static fexldr_type_libGL_glGetPerfMonitorCountersAMD *fexldr_ptr_libGL_glGetPerfMonitorCountersAMD;
using fexldr_type_libGL_glGetPerfMonitorCounterStringAMD = auto (GLuint a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLchar * a_4) -> void;
static fexldr_type_libGL_glGetPerfMonitorCounterStringAMD *fexldr_ptr_libGL_glGetPerfMonitorCounterStringAMD;
using fexldr_type_libGL_glGetPerfMonitorGroupsAMD = auto (GLint * a_0, GLsizei a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetPerfMonitorGroupsAMD *fexldr_ptr_libGL_glGetPerfMonitorGroupsAMD;
using fexldr_type_libGL_glGetPerfMonitorGroupStringAMD = auto (GLuint a_0, GLsizei a_1, GLsizei * a_2, GLchar * a_3) -> void;
static fexldr_type_libGL_glGetPerfMonitorGroupStringAMD *fexldr_ptr_libGL_glGetPerfMonitorGroupStringAMD;
using fexldr_type_libGL_glGetPerfQueryDataINTEL = auto (GLuint a_0, GLuint a_1, GLsizei a_2, void * a_3, GLuint * a_4) -> void;
static fexldr_type_libGL_glGetPerfQueryDataINTEL *fexldr_ptr_libGL_glGetPerfQueryDataINTEL;
using fexldr_type_libGL_glGetPerfQueryIdByNameINTEL = auto (GLchar * a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGetPerfQueryIdByNameINTEL *fexldr_ptr_libGL_glGetPerfQueryIdByNameINTEL;
using fexldr_type_libGL_glGetPerfQueryInfoINTEL = auto (GLuint a_0, GLuint a_1, GLchar * a_2, GLuint * a_3, GLuint * a_4, GLuint * a_5, GLuint * a_6) -> void;
static fexldr_type_libGL_glGetPerfQueryInfoINTEL *fexldr_ptr_libGL_glGetPerfQueryInfoINTEL;
using fexldr_type_libGL_glGetPixelMapfv = auto (GLenum a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glGetPixelMapfv *fexldr_ptr_libGL_glGetPixelMapfv;
using fexldr_type_libGL_glGetPixelMapuiv = auto (GLenum a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glGetPixelMapuiv *fexldr_ptr_libGL_glGetPixelMapuiv;
using fexldr_type_libGL_glGetPixelMapusv = auto (GLenum a_0, GLushort * a_1) -> void;
static fexldr_type_libGL_glGetPixelMapusv *fexldr_ptr_libGL_glGetPixelMapusv;
using fexldr_type_libGL_glGetPixelMapxv = auto (GLenum a_0, GLint a_1, GLfixed * a_2) -> void;
static fexldr_type_libGL_glGetPixelMapxv *fexldr_ptr_libGL_glGetPixelMapxv;
using fexldr_type_libGL_glGetPixelTexGenParameterfvSGIS = auto (GLenum a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glGetPixelTexGenParameterfvSGIS *fexldr_ptr_libGL_glGetPixelTexGenParameterfvSGIS;
using fexldr_type_libGL_glGetPixelTexGenParameterivSGIS = auto (GLenum a_0, GLint * a_1) -> void;
static fexldr_type_libGL_glGetPixelTexGenParameterivSGIS *fexldr_ptr_libGL_glGetPixelTexGenParameterivSGIS;
using fexldr_type_libGL_glGetPixelTransformParameterfvEXT = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetPixelTransformParameterfvEXT *fexldr_ptr_libGL_glGetPixelTransformParameterfvEXT;
using fexldr_type_libGL_glGetPixelTransformParameterivEXT = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetPixelTransformParameterivEXT *fexldr_ptr_libGL_glGetPixelTransformParameterivEXT;
using fexldr_type_libGL_glGetPointerv = auto (GLenum a_0, GLvoid ** a_1) -> void;
static fexldr_type_libGL_glGetPointerv *fexldr_ptr_libGL_glGetPointerv;
using fexldr_type_libGL_glGetPointervEXT = auto (GLenum a_0, void ** a_1) -> void;
static fexldr_type_libGL_glGetPointervEXT *fexldr_ptr_libGL_glGetPointervEXT;
using fexldr_type_libGL_glGetPointeri_vEXT = auto (GLenum a_0, GLuint a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetPointeri_vEXT *fexldr_ptr_libGL_glGetPointeri_vEXT;
using fexldr_type_libGL_glGetPointerIndexedvEXT = auto (GLenum a_0, GLuint a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetPointerIndexedvEXT *fexldr_ptr_libGL_glGetPointerIndexedvEXT;
using fexldr_type_libGL_glGetPolygonStipple = auto (GLubyte * a_0) -> void;
static fexldr_type_libGL_glGetPolygonStipple *fexldr_ptr_libGL_glGetPolygonStipple;
using fexldr_type_libGL_glGetProgramBinary = auto (GLuint a_0, GLsizei a_1, GLsizei * a_2, GLenum * a_3, void * a_4) -> void;
static fexldr_type_libGL_glGetProgramBinary *fexldr_ptr_libGL_glGetProgramBinary;
using fexldr_type_libGL_glGetProgramEnvParameterdvARB = auto (GLenum a_0, GLuint a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetProgramEnvParameterdvARB *fexldr_ptr_libGL_glGetProgramEnvParameterdvARB;
using fexldr_type_libGL_glGetProgramEnvParameterfvARB = auto (GLenum a_0, GLuint a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetProgramEnvParameterfvARB *fexldr_ptr_libGL_glGetProgramEnvParameterfvARB;
using fexldr_type_libGL_glGetProgramEnvParameterIivNV = auto (GLenum a_0, GLuint a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetProgramEnvParameterIivNV *fexldr_ptr_libGL_glGetProgramEnvParameterIivNV;
using fexldr_type_libGL_glGetProgramEnvParameterIuivNV = auto (GLenum a_0, GLuint a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetProgramEnvParameterIuivNV *fexldr_ptr_libGL_glGetProgramEnvParameterIuivNV;
using fexldr_type_libGL_glGetProgramInfoLog = auto (GLuint a_0, GLsizei a_1, GLsizei * a_2, GLchar * a_3) -> void;
static fexldr_type_libGL_glGetProgramInfoLog *fexldr_ptr_libGL_glGetProgramInfoLog;
using fexldr_type_libGL_glGetProgramInterfaceiv = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetProgramInterfaceiv *fexldr_ptr_libGL_glGetProgramInterfaceiv;
using fexldr_type_libGL_glGetProgramivARB = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetProgramivARB *fexldr_ptr_libGL_glGetProgramivARB;
using fexldr_type_libGL_glGetProgramiv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetProgramiv *fexldr_ptr_libGL_glGetProgramiv;
using fexldr_type_libGL_glGetProgramivNV = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetProgramivNV *fexldr_ptr_libGL_glGetProgramivNV;
using fexldr_type_libGL_glGetProgramLocalParameterdvARB = auto (GLenum a_0, GLuint a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetProgramLocalParameterdvARB *fexldr_ptr_libGL_glGetProgramLocalParameterdvARB;
using fexldr_type_libGL_glGetProgramLocalParameterfvARB = auto (GLenum a_0, GLuint a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetProgramLocalParameterfvARB *fexldr_ptr_libGL_glGetProgramLocalParameterfvARB;
using fexldr_type_libGL_glGetProgramLocalParameterIivNV = auto (GLenum a_0, GLuint a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetProgramLocalParameterIivNV *fexldr_ptr_libGL_glGetProgramLocalParameterIivNV;
using fexldr_type_libGL_glGetProgramLocalParameterIuivNV = auto (GLenum a_0, GLuint a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetProgramLocalParameterIuivNV *fexldr_ptr_libGL_glGetProgramLocalParameterIuivNV;
using fexldr_type_libGL_glGetProgramNamedParameterdvNV = auto (GLuint a_0, GLsizei a_1, const GLubyte * a_2, GLdouble * a_3) -> void;
static fexldr_type_libGL_glGetProgramNamedParameterdvNV *fexldr_ptr_libGL_glGetProgramNamedParameterdvNV;
using fexldr_type_libGL_glGetProgramNamedParameterfvNV = auto (GLuint a_0, GLsizei a_1, const GLubyte * a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetProgramNamedParameterfvNV *fexldr_ptr_libGL_glGetProgramNamedParameterfvNV;
using fexldr_type_libGL_glGetProgramParameterdvNV = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLdouble * a_3) -> void;
static fexldr_type_libGL_glGetProgramParameterdvNV *fexldr_ptr_libGL_glGetProgramParameterdvNV;
using fexldr_type_libGL_glGetProgramParameterfvNV = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetProgramParameterfvNV *fexldr_ptr_libGL_glGetProgramParameterfvNV;
using fexldr_type_libGL_glGetProgramPipelineInfoLog = auto (GLuint a_0, GLsizei a_1, GLsizei * a_2, GLchar * a_3) -> void;
static fexldr_type_libGL_glGetProgramPipelineInfoLog *fexldr_ptr_libGL_glGetProgramPipelineInfoLog;
using fexldr_type_libGL_glGetProgramPipelineiv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetProgramPipelineiv *fexldr_ptr_libGL_glGetProgramPipelineiv;
using fexldr_type_libGL_glGetProgramResourcefvNV = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLsizei a_3, const GLenum * a_4, GLsizei a_5, GLsizei * a_6, GLfloat * a_7) -> void;
static fexldr_type_libGL_glGetProgramResourcefvNV *fexldr_ptr_libGL_glGetProgramResourcefvNV;
using fexldr_type_libGL_glGetProgramResourceiv = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLsizei a_3, const GLenum * a_4, GLsizei a_5, GLsizei * a_6, GLint * a_7) -> void;
static fexldr_type_libGL_glGetProgramResourceiv *fexldr_ptr_libGL_glGetProgramResourceiv;
using fexldr_type_libGL_glGetProgramResourceName = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLsizei a_3, GLsizei * a_4, GLchar * a_5) -> void;
static fexldr_type_libGL_glGetProgramResourceName *fexldr_ptr_libGL_glGetProgramResourceName;
using fexldr_type_libGL_glGetProgramStageiv = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetProgramStageiv *fexldr_ptr_libGL_glGetProgramStageiv;
using fexldr_type_libGL_glGetProgramStringARB = auto (GLenum a_0, GLenum a_1, void * a_2) -> void;
static fexldr_type_libGL_glGetProgramStringARB *fexldr_ptr_libGL_glGetProgramStringARB;
using fexldr_type_libGL_glGetProgramStringNV = auto (GLuint a_0, GLenum a_1, GLubyte * a_2) -> void;
static fexldr_type_libGL_glGetProgramStringNV *fexldr_ptr_libGL_glGetProgramStringNV;
using fexldr_type_libGL_glGetProgramSubroutineParameteruivNV = auto (GLenum a_0, GLuint a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetProgramSubroutineParameteruivNV *fexldr_ptr_libGL_glGetProgramSubroutineParameteruivNV;
using fexldr_type_libGL_glGetQueryBufferObjecti64v = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLintptr a_3) -> void;
static fexldr_type_libGL_glGetQueryBufferObjecti64v *fexldr_ptr_libGL_glGetQueryBufferObjecti64v;
using fexldr_type_libGL_glGetQueryBufferObjectiv = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLintptr a_3) -> void;
static fexldr_type_libGL_glGetQueryBufferObjectiv *fexldr_ptr_libGL_glGetQueryBufferObjectiv;
using fexldr_type_libGL_glGetQueryBufferObjectui64v = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLintptr a_3) -> void;
static fexldr_type_libGL_glGetQueryBufferObjectui64v *fexldr_ptr_libGL_glGetQueryBufferObjectui64v;
using fexldr_type_libGL_glGetQueryBufferObjectuiv = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLintptr a_3) -> void;
static fexldr_type_libGL_glGetQueryBufferObjectuiv *fexldr_ptr_libGL_glGetQueryBufferObjectuiv;
using fexldr_type_libGL_glGetQueryIndexediv = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetQueryIndexediv *fexldr_ptr_libGL_glGetQueryIndexediv;
using fexldr_type_libGL_glGetQueryivARB = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetQueryivARB *fexldr_ptr_libGL_glGetQueryivARB;
using fexldr_type_libGL_glGetQueryiv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetQueryiv *fexldr_ptr_libGL_glGetQueryiv;
using fexldr_type_libGL_glGetQueryObjecti64vEXT = auto (GLuint a_0, GLenum a_1, GLint64 * a_2) -> void;
static fexldr_type_libGL_glGetQueryObjecti64vEXT *fexldr_ptr_libGL_glGetQueryObjecti64vEXT;
using fexldr_type_libGL_glGetQueryObjecti64v = auto (GLuint a_0, GLenum a_1, GLint64 * a_2) -> void;
static fexldr_type_libGL_glGetQueryObjecti64v *fexldr_ptr_libGL_glGetQueryObjecti64v;
using fexldr_type_libGL_glGetQueryObjectivARB = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetQueryObjectivARB *fexldr_ptr_libGL_glGetQueryObjectivARB;
using fexldr_type_libGL_glGetQueryObjectiv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetQueryObjectiv *fexldr_ptr_libGL_glGetQueryObjectiv;
using fexldr_type_libGL_glGetQueryObjectui64vEXT = auto (GLuint a_0, GLenum a_1, GLuint64 * a_2) -> void;
static fexldr_type_libGL_glGetQueryObjectui64vEXT *fexldr_ptr_libGL_glGetQueryObjectui64vEXT;
using fexldr_type_libGL_glGetQueryObjectui64v = auto (GLuint a_0, GLenum a_1, GLuint64 * a_2) -> void;
static fexldr_type_libGL_glGetQueryObjectui64v *fexldr_ptr_libGL_glGetQueryObjectui64v;
using fexldr_type_libGL_glGetQueryObjectuivARB = auto (GLuint a_0, GLenum a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetQueryObjectuivARB *fexldr_ptr_libGL_glGetQueryObjectuivARB;
using fexldr_type_libGL_glGetQueryObjectuiv = auto (GLuint a_0, GLenum a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetQueryObjectuiv *fexldr_ptr_libGL_glGetQueryObjectuiv;
using fexldr_type_libGL_glGetRenderbufferParameterivEXT = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetRenderbufferParameterivEXT *fexldr_ptr_libGL_glGetRenderbufferParameterivEXT;
using fexldr_type_libGL_glGetRenderbufferParameteriv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetRenderbufferParameteriv *fexldr_ptr_libGL_glGetRenderbufferParameteriv;
using fexldr_type_libGL_glGetSamplerParameterfv = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetSamplerParameterfv *fexldr_ptr_libGL_glGetSamplerParameterfv;
using fexldr_type_libGL_glGetSamplerParameterIiv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetSamplerParameterIiv *fexldr_ptr_libGL_glGetSamplerParameterIiv;
using fexldr_type_libGL_glGetSamplerParameterIuiv = auto (GLuint a_0, GLenum a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetSamplerParameterIuiv *fexldr_ptr_libGL_glGetSamplerParameterIuiv;
using fexldr_type_libGL_glGetSamplerParameteriv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetSamplerParameteriv *fexldr_ptr_libGL_glGetSamplerParameteriv;
using fexldr_type_libGL_glGetSemaphoreParameterui64vEXT = auto (GLuint a_0, GLenum a_1, GLuint64 * a_2) -> void;
static fexldr_type_libGL_glGetSemaphoreParameterui64vEXT *fexldr_ptr_libGL_glGetSemaphoreParameterui64vEXT;
using fexldr_type_libGL_glGetSeparableFilterEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, void * a_3, void * a_4, void * a_5) -> void;
static fexldr_type_libGL_glGetSeparableFilterEXT *fexldr_ptr_libGL_glGetSeparableFilterEXT;
using fexldr_type_libGL_glGetSeparableFilter = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLvoid * a_3, GLvoid * a_4, GLvoid * a_5) -> void;
static fexldr_type_libGL_glGetSeparableFilter *fexldr_ptr_libGL_glGetSeparableFilter;
using fexldr_type_libGL_glGetShaderInfoLog = auto (GLuint a_0, GLsizei a_1, GLsizei * a_2, GLchar * a_3) -> void;
static fexldr_type_libGL_glGetShaderInfoLog *fexldr_ptr_libGL_glGetShaderInfoLog;
using fexldr_type_libGL_glGetShaderiv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetShaderiv *fexldr_ptr_libGL_glGetShaderiv;
using fexldr_type_libGL_glGetShaderPrecisionFormat = auto (GLenum a_0, GLenum a_1, GLint * a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetShaderPrecisionFormat *fexldr_ptr_libGL_glGetShaderPrecisionFormat;
using fexldr_type_libGL_glGetShaderSourceARB = auto (GLhandleARB a_0, GLsizei a_1, GLsizei * a_2, GLcharARB * a_3) -> void;
static fexldr_type_libGL_glGetShaderSourceARB *fexldr_ptr_libGL_glGetShaderSourceARB;
using fexldr_type_libGL_glGetShaderSource = auto (GLuint a_0, GLsizei a_1, GLsizei * a_2, GLchar * a_3) -> void;
static fexldr_type_libGL_glGetShaderSource *fexldr_ptr_libGL_glGetShaderSource;
using fexldr_type_libGL_glGetShadingRateImagePaletteNV = auto (GLuint a_0, GLuint a_1, GLenum * a_2) -> void;
static fexldr_type_libGL_glGetShadingRateImagePaletteNV *fexldr_ptr_libGL_glGetShadingRateImagePaletteNV;
using fexldr_type_libGL_glGetShadingRateSampleLocationivNV = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetShadingRateSampleLocationivNV *fexldr_ptr_libGL_glGetShadingRateSampleLocationivNV;
using fexldr_type_libGL_glGetSharpenTexFuncSGIS = auto (GLenum a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glGetSharpenTexFuncSGIS *fexldr_ptr_libGL_glGetSharpenTexFuncSGIS;
using fexldr_type_libGL_glGetSynciv = auto (GLsync a_0, GLenum a_1, GLsizei a_2, GLsizei * a_3, GLint * a_4) -> void;
static fexldr_type_libGL_glGetSynciv *fexldr_ptr_libGL_glGetSynciv;
using fexldr_type_libGL_glGetTexBumpParameterfvATI = auto (GLenum a_0, GLfloat * a_1) -> void;
static fexldr_type_libGL_glGetTexBumpParameterfvATI *fexldr_ptr_libGL_glGetTexBumpParameterfvATI;
using fexldr_type_libGL_glGetTexBumpParameterivATI = auto (GLenum a_0, GLint * a_1) -> void;
static fexldr_type_libGL_glGetTexBumpParameterivATI *fexldr_ptr_libGL_glGetTexBumpParameterivATI;
using fexldr_type_libGL_glGetTexEnvfv = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetTexEnvfv *fexldr_ptr_libGL_glGetTexEnvfv;
using fexldr_type_libGL_glGetTexEnviv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetTexEnviv *fexldr_ptr_libGL_glGetTexEnviv;
using fexldr_type_libGL_glGetTexEnvxvOES = auto (GLenum a_0, GLenum a_1, GLfixed * a_2) -> void;
static fexldr_type_libGL_glGetTexEnvxvOES *fexldr_ptr_libGL_glGetTexEnvxvOES;
using fexldr_type_libGL_glGetTexFilterFuncSGIS = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetTexFilterFuncSGIS *fexldr_ptr_libGL_glGetTexFilterFuncSGIS;
using fexldr_type_libGL_glGetTexGendv = auto (GLenum a_0, GLenum a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetTexGendv *fexldr_ptr_libGL_glGetTexGendv;
using fexldr_type_libGL_glGetTexGenfv = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetTexGenfv *fexldr_ptr_libGL_glGetTexGenfv;
using fexldr_type_libGL_glGetTexGeniv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetTexGeniv *fexldr_ptr_libGL_glGetTexGeniv;
using fexldr_type_libGL_glGetTexGenxvOES = auto (GLenum a_0, GLenum a_1, GLfixed * a_2) -> void;
static fexldr_type_libGL_glGetTexGenxvOES *fexldr_ptr_libGL_glGetTexGenxvOES;
using fexldr_type_libGL_glGetTexImage = auto (GLenum a_0, GLint a_1, GLenum a_2, GLenum a_3, GLvoid * a_4) -> void;
static fexldr_type_libGL_glGetTexImage *fexldr_ptr_libGL_glGetTexImage;
using fexldr_type_libGL_glGetTexLevelParameterfv = auto (GLenum a_0, GLint a_1, GLenum a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetTexLevelParameterfv *fexldr_ptr_libGL_glGetTexLevelParameterfv;
using fexldr_type_libGL_glGetTexLevelParameteriv = auto (GLenum a_0, GLint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetTexLevelParameteriv *fexldr_ptr_libGL_glGetTexLevelParameteriv;
using fexldr_type_libGL_glGetTexLevelParameterxvOES = auto (GLenum a_0, GLint a_1, GLenum a_2, GLfixed * a_3) -> void;
static fexldr_type_libGL_glGetTexLevelParameterxvOES *fexldr_ptr_libGL_glGetTexLevelParameterxvOES;
using fexldr_type_libGL_glGetTexParameterfv = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetTexParameterfv *fexldr_ptr_libGL_glGetTexParameterfv;
using fexldr_type_libGL_glGetTexParameterIivEXT = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetTexParameterIivEXT *fexldr_ptr_libGL_glGetTexParameterIivEXT;
using fexldr_type_libGL_glGetTexParameterIiv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetTexParameterIiv *fexldr_ptr_libGL_glGetTexParameterIiv;
using fexldr_type_libGL_glGetTexParameterIuivEXT = auto (GLenum a_0, GLenum a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetTexParameterIuivEXT *fexldr_ptr_libGL_glGetTexParameterIuivEXT;
using fexldr_type_libGL_glGetTexParameterIuiv = auto (GLenum a_0, GLenum a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetTexParameterIuiv *fexldr_ptr_libGL_glGetTexParameterIuiv;
using fexldr_type_libGL_glGetTexParameteriv = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetTexParameteriv *fexldr_ptr_libGL_glGetTexParameteriv;
using fexldr_type_libGL_glGetTexParameterPointervAPPLE = auto (GLenum a_0, GLenum a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetTexParameterPointervAPPLE *fexldr_ptr_libGL_glGetTexParameterPointervAPPLE;
using fexldr_type_libGL_glGetTexParameterxvOES = auto (GLenum a_0, GLenum a_1, GLfixed * a_2) -> void;
static fexldr_type_libGL_glGetTexParameterxvOES *fexldr_ptr_libGL_glGetTexParameterxvOES;
using fexldr_type_libGL_glGetTextureImageEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLenum a_3, GLenum a_4, void * a_5) -> void;
static fexldr_type_libGL_glGetTextureImageEXT *fexldr_ptr_libGL_glGetTextureImageEXT;
using fexldr_type_libGL_glGetTextureImage = auto (GLuint a_0, GLint a_1, GLenum a_2, GLenum a_3, GLsizei a_4, void * a_5) -> void;
static fexldr_type_libGL_glGetTextureImage *fexldr_ptr_libGL_glGetTextureImage;
using fexldr_type_libGL_glGetTextureLevelParameterfvEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLenum a_3, GLfloat * a_4) -> void;
static fexldr_type_libGL_glGetTextureLevelParameterfvEXT *fexldr_ptr_libGL_glGetTextureLevelParameterfvEXT;
using fexldr_type_libGL_glGetTextureLevelParameterfv = auto (GLuint a_0, GLint a_1, GLenum a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetTextureLevelParameterfv *fexldr_ptr_libGL_glGetTextureLevelParameterfv;
using fexldr_type_libGL_glGetTextureLevelParameterivEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLenum a_3, GLint * a_4) -> void;
static fexldr_type_libGL_glGetTextureLevelParameterivEXT *fexldr_ptr_libGL_glGetTextureLevelParameterivEXT;
using fexldr_type_libGL_glGetTextureLevelParameteriv = auto (GLuint a_0, GLint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetTextureLevelParameteriv *fexldr_ptr_libGL_glGetTextureLevelParameteriv;
using fexldr_type_libGL_glGetTextureParameterfvEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetTextureParameterfvEXT *fexldr_ptr_libGL_glGetTextureParameterfvEXT;
using fexldr_type_libGL_glGetTextureParameterfv = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetTextureParameterfv *fexldr_ptr_libGL_glGetTextureParameterfv;
using fexldr_type_libGL_glGetTextureParameterIivEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetTextureParameterIivEXT *fexldr_ptr_libGL_glGetTextureParameterIivEXT;
using fexldr_type_libGL_glGetTextureParameterIiv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetTextureParameterIiv *fexldr_ptr_libGL_glGetTextureParameterIiv;
using fexldr_type_libGL_glGetTextureParameterIuivEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLuint * a_3) -> void;
static fexldr_type_libGL_glGetTextureParameterIuivEXT *fexldr_ptr_libGL_glGetTextureParameterIuivEXT;
using fexldr_type_libGL_glGetTextureParameterIuiv = auto (GLuint a_0, GLenum a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetTextureParameterIuiv *fexldr_ptr_libGL_glGetTextureParameterIuiv;
using fexldr_type_libGL_glGetTextureParameterivEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetTextureParameterivEXT *fexldr_ptr_libGL_glGetTextureParameterivEXT;
using fexldr_type_libGL_glGetTextureParameteriv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetTextureParameteriv *fexldr_ptr_libGL_glGetTextureParameteriv;
using fexldr_type_libGL_glGetTextureSubImage = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLenum a_8, GLenum a_9, GLsizei a_10, void * a_11) -> void;
static fexldr_type_libGL_glGetTextureSubImage *fexldr_ptr_libGL_glGetTextureSubImage;
using fexldr_type_libGL_glGetTrackMatrixivNV = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetTrackMatrixivNV *fexldr_ptr_libGL_glGetTrackMatrixivNV;
using fexldr_type_libGL_glGetTransformFeedbacki64_v = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLint64 * a_3) -> void;
static fexldr_type_libGL_glGetTransformFeedbacki64_v *fexldr_ptr_libGL_glGetTransformFeedbacki64_v;
using fexldr_type_libGL_glGetTransformFeedbackiv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetTransformFeedbackiv *fexldr_ptr_libGL_glGetTransformFeedbackiv;
using fexldr_type_libGL_glGetTransformFeedbacki_v = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetTransformFeedbacki_v *fexldr_ptr_libGL_glGetTransformFeedbacki_v;
using fexldr_type_libGL_glGetTransformFeedbackVaryingEXT = auto (GLuint a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLsizei * a_4, GLenum * a_5, GLchar * a_6) -> void;
static fexldr_type_libGL_glGetTransformFeedbackVaryingEXT *fexldr_ptr_libGL_glGetTransformFeedbackVaryingEXT;
using fexldr_type_libGL_glGetTransformFeedbackVarying = auto (GLuint a_0, GLuint a_1, GLsizei a_2, GLsizei * a_3, GLsizei * a_4, GLenum * a_5, GLchar * a_6) -> void;
static fexldr_type_libGL_glGetTransformFeedbackVarying *fexldr_ptr_libGL_glGetTransformFeedbackVarying;
using fexldr_type_libGL_glGetTransformFeedbackVaryingNV = auto (GLuint a_0, GLuint a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetTransformFeedbackVaryingNV *fexldr_ptr_libGL_glGetTransformFeedbackVaryingNV;
using fexldr_type_libGL_glGetUniformdv = auto (GLuint a_0, GLint a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetUniformdv *fexldr_ptr_libGL_glGetUniformdv;
using fexldr_type_libGL_glGetUniformfvARB = auto (GLhandleARB a_0, GLint a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetUniformfvARB *fexldr_ptr_libGL_glGetUniformfvARB;
using fexldr_type_libGL_glGetUniformfv = auto (GLuint a_0, GLint a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetUniformfv *fexldr_ptr_libGL_glGetUniformfv;
using fexldr_type_libGL_glGetUniformi64vARB = auto (GLuint a_0, GLint a_1, GLint64 * a_2) -> void;
static fexldr_type_libGL_glGetUniformi64vARB *fexldr_ptr_libGL_glGetUniformi64vARB;
using fexldr_type_libGL_glGetUniformi64vNV = auto (GLuint a_0, GLint a_1, GLint64EXT * a_2) -> void;
static fexldr_type_libGL_glGetUniformi64vNV *fexldr_ptr_libGL_glGetUniformi64vNV;
using fexldr_type_libGL_glGetUniformIndices = auto (GLuint a_0, GLsizei a_1, const GLchar *const * a_2, GLuint * a_3) -> void;
static fexldr_type_libGL_glGetUniformIndices *fexldr_ptr_libGL_glGetUniformIndices;
using fexldr_type_libGL_glGetUniformivARB = auto (GLhandleARB a_0, GLint a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetUniformivARB *fexldr_ptr_libGL_glGetUniformivARB;
using fexldr_type_libGL_glGetUniformiv = auto (GLuint a_0, GLint a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetUniformiv *fexldr_ptr_libGL_glGetUniformiv;
using fexldr_type_libGL_glGetUniformSubroutineuiv = auto (GLenum a_0, GLint a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetUniformSubroutineuiv *fexldr_ptr_libGL_glGetUniformSubroutineuiv;
using fexldr_type_libGL_glGetUniformui64vARB = auto (GLuint a_0, GLint a_1, GLuint64 * a_2) -> void;
static fexldr_type_libGL_glGetUniformui64vARB *fexldr_ptr_libGL_glGetUniformui64vARB;
using fexldr_type_libGL_glGetUniformui64vNV = auto (GLuint a_0, GLint a_1, GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glGetUniformui64vNV *fexldr_ptr_libGL_glGetUniformui64vNV;
using fexldr_type_libGL_glGetUniformuivEXT = auto (GLuint a_0, GLint a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetUniformuivEXT *fexldr_ptr_libGL_glGetUniformuivEXT;
using fexldr_type_libGL_glGetUniformuiv = auto (GLuint a_0, GLint a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetUniformuiv *fexldr_ptr_libGL_glGetUniformuiv;
using fexldr_type_libGL_glGetUnsignedBytei_vEXT = auto (GLenum a_0, GLuint a_1, GLubyte * a_2) -> void;
static fexldr_type_libGL_glGetUnsignedBytei_vEXT *fexldr_ptr_libGL_glGetUnsignedBytei_vEXT;
using fexldr_type_libGL_glGetUnsignedBytevEXT = auto (GLenum a_0, GLubyte * a_1) -> void;
static fexldr_type_libGL_glGetUnsignedBytevEXT *fexldr_ptr_libGL_glGetUnsignedBytevEXT;
using fexldr_type_libGL_glGetVariantArrayObjectfvATI = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetVariantArrayObjectfvATI *fexldr_ptr_libGL_glGetVariantArrayObjectfvATI;
using fexldr_type_libGL_glGetVariantArrayObjectivATI = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVariantArrayObjectivATI *fexldr_ptr_libGL_glGetVariantArrayObjectivATI;
using fexldr_type_libGL_glGetVariantBooleanvEXT = auto (GLuint a_0, GLenum a_1, GLboolean * a_2) -> void;
static fexldr_type_libGL_glGetVariantBooleanvEXT *fexldr_ptr_libGL_glGetVariantBooleanvEXT;
using fexldr_type_libGL_glGetVariantFloatvEXT = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetVariantFloatvEXT *fexldr_ptr_libGL_glGetVariantFloatvEXT;
using fexldr_type_libGL_glGetVariantIntegervEXT = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVariantIntegervEXT *fexldr_ptr_libGL_glGetVariantIntegervEXT;
using fexldr_type_libGL_glGetVariantPointervEXT = auto (GLuint a_0, GLenum a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetVariantPointervEXT *fexldr_ptr_libGL_glGetVariantPointervEXT;
using fexldr_type_libGL_glGetVertexArrayIndexed64iv = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLint64 * a_3) -> void;
static fexldr_type_libGL_glGetVertexArrayIndexed64iv *fexldr_ptr_libGL_glGetVertexArrayIndexed64iv;
using fexldr_type_libGL_glGetVertexArrayIndexediv = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetVertexArrayIndexediv *fexldr_ptr_libGL_glGetVertexArrayIndexediv;
using fexldr_type_libGL_glGetVertexArrayIntegeri_vEXT = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetVertexArrayIntegeri_vEXT *fexldr_ptr_libGL_glGetVertexArrayIntegeri_vEXT;
using fexldr_type_libGL_glGetVertexArrayIntegervEXT = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVertexArrayIntegervEXT *fexldr_ptr_libGL_glGetVertexArrayIntegervEXT;
using fexldr_type_libGL_glGetVertexArrayiv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVertexArrayiv *fexldr_ptr_libGL_glGetVertexArrayiv;
using fexldr_type_libGL_glGetVertexArrayPointeri_vEXT = auto (GLuint a_0, GLuint a_1, GLenum a_2, void ** a_3) -> void;
static fexldr_type_libGL_glGetVertexArrayPointeri_vEXT *fexldr_ptr_libGL_glGetVertexArrayPointeri_vEXT;
using fexldr_type_libGL_glGetVertexArrayPointervEXT = auto (GLuint a_0, GLenum a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetVertexArrayPointervEXT *fexldr_ptr_libGL_glGetVertexArrayPointervEXT;
using fexldr_type_libGL_glGetVertexAttribArrayObjectfvATI = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribArrayObjectfvATI *fexldr_ptr_libGL_glGetVertexAttribArrayObjectfvATI;
using fexldr_type_libGL_glGetVertexAttribArrayObjectivATI = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribArrayObjectivATI *fexldr_ptr_libGL_glGetVertexAttribArrayObjectivATI;
using fexldr_type_libGL_glGetVertexAttribdvARB = auto (GLuint a_0, GLenum a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribdvARB *fexldr_ptr_libGL_glGetVertexAttribdvARB;
using fexldr_type_libGL_glGetVertexAttribdv = auto (GLuint a_0, GLenum a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribdv *fexldr_ptr_libGL_glGetVertexAttribdv;
using fexldr_type_libGL_glGetVertexAttribdvNV = auto (GLuint a_0, GLenum a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribdvNV *fexldr_ptr_libGL_glGetVertexAttribdvNV;
using fexldr_type_libGL_glGetVertexAttribfvARB = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribfvARB *fexldr_ptr_libGL_glGetVertexAttribfvARB;
using fexldr_type_libGL_glGetVertexAttribfv = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribfv *fexldr_ptr_libGL_glGetVertexAttribfv;
using fexldr_type_libGL_glGetVertexAttribfvNV = auto (GLuint a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribfvNV *fexldr_ptr_libGL_glGetVertexAttribfvNV;
using fexldr_type_libGL_glGetVertexAttribIivEXT = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribIivEXT *fexldr_ptr_libGL_glGetVertexAttribIivEXT;
using fexldr_type_libGL_glGetVertexAttribIiv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribIiv *fexldr_ptr_libGL_glGetVertexAttribIiv;
using fexldr_type_libGL_glGetVertexAttribIuivEXT = auto (GLuint a_0, GLenum a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribIuivEXT *fexldr_ptr_libGL_glGetVertexAttribIuivEXT;
using fexldr_type_libGL_glGetVertexAttribIuiv = auto (GLuint a_0, GLenum a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribIuiv *fexldr_ptr_libGL_glGetVertexAttribIuiv;
using fexldr_type_libGL_glGetVertexAttribivARB = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribivARB *fexldr_ptr_libGL_glGetVertexAttribivARB;
using fexldr_type_libGL_glGetVertexAttribiv = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribiv *fexldr_ptr_libGL_glGetVertexAttribiv;
using fexldr_type_libGL_glGetVertexAttribivNV = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribivNV *fexldr_ptr_libGL_glGetVertexAttribivNV;
using fexldr_type_libGL_glGetVertexAttribLdvEXT = auto (GLuint a_0, GLenum a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribLdvEXT *fexldr_ptr_libGL_glGetVertexAttribLdvEXT;
using fexldr_type_libGL_glGetVertexAttribLdv = auto (GLuint a_0, GLenum a_1, GLdouble * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribLdv *fexldr_ptr_libGL_glGetVertexAttribLdv;
using fexldr_type_libGL_glGetVertexAttribLi64vNV = auto (GLuint a_0, GLenum a_1, GLint64EXT * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribLi64vNV *fexldr_ptr_libGL_glGetVertexAttribLi64vNV;
using fexldr_type_libGL_glGetVertexAttribLui64vARB = auto (GLuint a_0, GLenum a_1, GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribLui64vARB *fexldr_ptr_libGL_glGetVertexAttribLui64vARB;
using fexldr_type_libGL_glGetVertexAttribLui64vNV = auto (GLuint a_0, GLenum a_1, GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribLui64vNV *fexldr_ptr_libGL_glGetVertexAttribLui64vNV;
using fexldr_type_libGL_glGetVertexAttribPointervARB = auto (GLuint a_0, GLenum a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribPointervARB *fexldr_ptr_libGL_glGetVertexAttribPointervARB;
using fexldr_type_libGL_glGetVertexAttribPointerv = auto (GLuint a_0, GLenum a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribPointerv *fexldr_ptr_libGL_glGetVertexAttribPointerv;
using fexldr_type_libGL_glGetVertexAttribPointervNV = auto (GLuint a_0, GLenum a_1, void ** a_2) -> void;
static fexldr_type_libGL_glGetVertexAttribPointervNV *fexldr_ptr_libGL_glGetVertexAttribPointervNV;
using fexldr_type_libGL_glGetVideoCaptureivNV = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVideoCaptureivNV *fexldr_ptr_libGL_glGetVideoCaptureivNV;
using fexldr_type_libGL_glGetVideoCaptureStreamdvNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLdouble * a_3) -> void;
static fexldr_type_libGL_glGetVideoCaptureStreamdvNV *fexldr_ptr_libGL_glGetVideoCaptureStreamdvNV;
using fexldr_type_libGL_glGetVideoCaptureStreamfvNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLfloat * a_3) -> void;
static fexldr_type_libGL_glGetVideoCaptureStreamfvNV *fexldr_ptr_libGL_glGetVideoCaptureStreamfvNV;
using fexldr_type_libGL_glGetVideoCaptureStreamivNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glGetVideoCaptureStreamivNV *fexldr_ptr_libGL_glGetVideoCaptureStreamivNV;
using fexldr_type_libGL_glGetVideoi64vNV = auto (GLuint a_0, GLenum a_1, GLint64EXT * a_2) -> void;
static fexldr_type_libGL_glGetVideoi64vNV *fexldr_ptr_libGL_glGetVideoi64vNV;
using fexldr_type_libGL_glGetVideoivNV = auto (GLuint a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetVideoivNV *fexldr_ptr_libGL_glGetVideoivNV;
using fexldr_type_libGL_glGetVideoui64vNV = auto (GLuint a_0, GLenum a_1, GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glGetVideoui64vNV *fexldr_ptr_libGL_glGetVideoui64vNV;
using fexldr_type_libGL_glGetVideouivNV = auto (GLuint a_0, GLenum a_1, GLuint * a_2) -> void;
static fexldr_type_libGL_glGetVideouivNV *fexldr_ptr_libGL_glGetVideouivNV;
using fexldr_type_libGL_glGlobalAlphaFactorbSUN = auto (GLbyte a_0) -> void;
static fexldr_type_libGL_glGlobalAlphaFactorbSUN *fexldr_ptr_libGL_glGlobalAlphaFactorbSUN;
using fexldr_type_libGL_glGlobalAlphaFactordSUN = auto (GLdouble a_0) -> void;
static fexldr_type_libGL_glGlobalAlphaFactordSUN *fexldr_ptr_libGL_glGlobalAlphaFactordSUN;
using fexldr_type_libGL_glGlobalAlphaFactorfSUN = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glGlobalAlphaFactorfSUN *fexldr_ptr_libGL_glGlobalAlphaFactorfSUN;
using fexldr_type_libGL_glGlobalAlphaFactoriSUN = auto (GLint a_0) -> void;
static fexldr_type_libGL_glGlobalAlphaFactoriSUN *fexldr_ptr_libGL_glGlobalAlphaFactoriSUN;
using fexldr_type_libGL_glGlobalAlphaFactorsSUN = auto (GLshort a_0) -> void;
static fexldr_type_libGL_glGlobalAlphaFactorsSUN *fexldr_ptr_libGL_glGlobalAlphaFactorsSUN;
using fexldr_type_libGL_glGlobalAlphaFactorubSUN = auto (GLubyte a_0) -> void;
static fexldr_type_libGL_glGlobalAlphaFactorubSUN *fexldr_ptr_libGL_glGlobalAlphaFactorubSUN;
using fexldr_type_libGL_glGlobalAlphaFactoruiSUN = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glGlobalAlphaFactoruiSUN *fexldr_ptr_libGL_glGlobalAlphaFactoruiSUN;
using fexldr_type_libGL_glGlobalAlphaFactorusSUN = auto (GLushort a_0) -> void;
static fexldr_type_libGL_glGlobalAlphaFactorusSUN *fexldr_ptr_libGL_glGlobalAlphaFactorusSUN;
using fexldr_type_libGL_glHint = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glHint *fexldr_ptr_libGL_glHint;
using fexldr_type_libGL_glHintPGI = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glHintPGI *fexldr_ptr_libGL_glHintPGI;
using fexldr_type_libGL_glHistogramEXT = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLboolean a_3) -> void;
static fexldr_type_libGL_glHistogramEXT *fexldr_ptr_libGL_glHistogramEXT;
using fexldr_type_libGL_glHistogram = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLboolean a_3) -> void;
static fexldr_type_libGL_glHistogram *fexldr_ptr_libGL_glHistogram;
using fexldr_type_libGL_glIglooInterfaceSGIX = auto (GLenum a_0, const void * a_1) -> void;
static fexldr_type_libGL_glIglooInterfaceSGIX *fexldr_ptr_libGL_glIglooInterfaceSGIX;
using fexldr_type_libGL_glImageTransformParameterfHP = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glImageTransformParameterfHP *fexldr_ptr_libGL_glImageTransformParameterfHP;
using fexldr_type_libGL_glImageTransformParameterfvHP = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glImageTransformParameterfvHP *fexldr_ptr_libGL_glImageTransformParameterfvHP;
using fexldr_type_libGL_glImageTransformParameteriHP = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glImageTransformParameteriHP *fexldr_ptr_libGL_glImageTransformParameteriHP;
using fexldr_type_libGL_glImageTransformParameterivHP = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glImageTransformParameterivHP *fexldr_ptr_libGL_glImageTransformParameterivHP;
using fexldr_type_libGL_glImportMemoryFdEXT = auto (GLuint a_0, GLuint64 a_1, GLenum a_2, GLint a_3) -> void;
static fexldr_type_libGL_glImportMemoryFdEXT *fexldr_ptr_libGL_glImportMemoryFdEXT;
using fexldr_type_libGL_glImportMemoryWin32HandleEXT = auto (GLuint a_0, GLuint64 a_1, GLenum a_2, void * a_3) -> void;
static fexldr_type_libGL_glImportMemoryWin32HandleEXT *fexldr_ptr_libGL_glImportMemoryWin32HandleEXT;
using fexldr_type_libGL_glImportMemoryWin32NameEXT = auto (GLuint a_0, GLuint64 a_1, GLenum a_2, const void * a_3) -> void;
static fexldr_type_libGL_glImportMemoryWin32NameEXT *fexldr_ptr_libGL_glImportMemoryWin32NameEXT;
using fexldr_type_libGL_glImportSemaphoreFdEXT = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glImportSemaphoreFdEXT *fexldr_ptr_libGL_glImportSemaphoreFdEXT;
using fexldr_type_libGL_glImportSemaphoreWin32HandleEXT = auto (GLuint a_0, GLenum a_1, void * a_2) -> void;
static fexldr_type_libGL_glImportSemaphoreWin32HandleEXT *fexldr_ptr_libGL_glImportSemaphoreWin32HandleEXT;
using fexldr_type_libGL_glImportSemaphoreWin32NameEXT = auto (GLuint a_0, GLenum a_1, const void * a_2) -> void;
static fexldr_type_libGL_glImportSemaphoreWin32NameEXT *fexldr_ptr_libGL_glImportSemaphoreWin32NameEXT;
using fexldr_type_libGL_glIndexd = auto (GLdouble a_0) -> void;
static fexldr_type_libGL_glIndexd *fexldr_ptr_libGL_glIndexd;
using fexldr_type_libGL_glIndexdv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glIndexdv *fexldr_ptr_libGL_glIndexdv;
using fexldr_type_libGL_glIndexf = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glIndexf *fexldr_ptr_libGL_glIndexf;
using fexldr_type_libGL_glIndexFormatNV = auto (GLenum a_0, GLsizei a_1) -> void;
static fexldr_type_libGL_glIndexFormatNV *fexldr_ptr_libGL_glIndexFormatNV;
using fexldr_type_libGL_glIndexFuncEXT = auto (GLenum a_0, GLclampf a_1) -> void;
static fexldr_type_libGL_glIndexFuncEXT *fexldr_ptr_libGL_glIndexFuncEXT;
using fexldr_type_libGL_glIndexfv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glIndexfv *fexldr_ptr_libGL_glIndexfv;
using fexldr_type_libGL_glIndexi = auto (GLint a_0) -> void;
static fexldr_type_libGL_glIndexi *fexldr_ptr_libGL_glIndexi;
using fexldr_type_libGL_glIndexiv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glIndexiv *fexldr_ptr_libGL_glIndexiv;
using fexldr_type_libGL_glIndexMask = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glIndexMask *fexldr_ptr_libGL_glIndexMask;
using fexldr_type_libGL_glIndexMaterialEXT = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glIndexMaterialEXT *fexldr_ptr_libGL_glIndexMaterialEXT;
using fexldr_type_libGL_glIndexPointerEXT = auto (GLenum a_0, GLsizei a_1, GLsizei a_2, const void * a_3) -> void;
static fexldr_type_libGL_glIndexPointerEXT *fexldr_ptr_libGL_glIndexPointerEXT;
using fexldr_type_libGL_glIndexPointer = auto (GLenum a_0, GLsizei a_1, const GLvoid * a_2) -> void;
static fexldr_type_libGL_glIndexPointer *fexldr_ptr_libGL_glIndexPointer;
using fexldr_type_libGL_glIndexPointerListIBM = auto (GLenum a_0, GLint a_1, const void ** a_2, GLint a_3) -> void;
static fexldr_type_libGL_glIndexPointerListIBM *fexldr_ptr_libGL_glIndexPointerListIBM;
using fexldr_type_libGL_glIndexs = auto (GLshort a_0) -> void;
static fexldr_type_libGL_glIndexs *fexldr_ptr_libGL_glIndexs;
using fexldr_type_libGL_glIndexsv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glIndexsv *fexldr_ptr_libGL_glIndexsv;
using fexldr_type_libGL_glIndexub = auto (GLubyte a_0) -> void;
static fexldr_type_libGL_glIndexub *fexldr_ptr_libGL_glIndexub;
using fexldr_type_libGL_glIndexubv = auto (const GLubyte * a_0) -> void;
static fexldr_type_libGL_glIndexubv *fexldr_ptr_libGL_glIndexubv;
using fexldr_type_libGL_glIndexxOES = auto (GLfixed a_0) -> void;
static fexldr_type_libGL_glIndexxOES *fexldr_ptr_libGL_glIndexxOES;
using fexldr_type_libGL_glIndexxvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glIndexxvOES *fexldr_ptr_libGL_glIndexxvOES;
using fexldr_type_libGL_glInitNames = auto () -> void;
static fexldr_type_libGL_glInitNames *fexldr_ptr_libGL_glInitNames;
using fexldr_type_libGL_glInsertComponentEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glInsertComponentEXT *fexldr_ptr_libGL_glInsertComponentEXT;
using fexldr_type_libGL_glInsertEventMarkerEXT = auto (GLsizei a_0, const GLchar * a_1) -> void;
static fexldr_type_libGL_glInsertEventMarkerEXT *fexldr_ptr_libGL_glInsertEventMarkerEXT;
using fexldr_type_libGL_glInstrumentsBufferSGIX = auto (GLsizei a_0, GLint * a_1) -> void;
static fexldr_type_libGL_glInstrumentsBufferSGIX *fexldr_ptr_libGL_glInstrumentsBufferSGIX;
using fexldr_type_libGL_glInterleavedArrays = auto (GLenum a_0, GLsizei a_1, const GLvoid * a_2) -> void;
static fexldr_type_libGL_glInterleavedArrays *fexldr_ptr_libGL_glInterleavedArrays;
using fexldr_type_libGL_glInterpolatePathsNV = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glInterpolatePathsNV *fexldr_ptr_libGL_glInterpolatePathsNV;
using fexldr_type_libGL_glInvalidateBufferData = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glInvalidateBufferData *fexldr_ptr_libGL_glInvalidateBufferData;
using fexldr_type_libGL_glInvalidateBufferSubData = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2) -> void;
static fexldr_type_libGL_glInvalidateBufferSubData *fexldr_ptr_libGL_glInvalidateBufferSubData;
using fexldr_type_libGL_glInvalidateFramebuffer = auto (GLenum a_0, GLsizei a_1, const GLenum * a_2) -> void;
static fexldr_type_libGL_glInvalidateFramebuffer *fexldr_ptr_libGL_glInvalidateFramebuffer;
using fexldr_type_libGL_glInvalidateNamedFramebufferData = auto (GLuint a_0, GLsizei a_1, const GLenum * a_2) -> void;
static fexldr_type_libGL_glInvalidateNamedFramebufferData *fexldr_ptr_libGL_glInvalidateNamedFramebufferData;
using fexldr_type_libGL_glInvalidateNamedFramebufferSubData = auto (GLuint a_0, GLsizei a_1, const GLenum * a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6) -> void;
static fexldr_type_libGL_glInvalidateNamedFramebufferSubData *fexldr_ptr_libGL_glInvalidateNamedFramebufferSubData;
using fexldr_type_libGL_glInvalidateSubFramebuffer = auto (GLenum a_0, GLsizei a_1, const GLenum * a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6) -> void;
static fexldr_type_libGL_glInvalidateSubFramebuffer *fexldr_ptr_libGL_glInvalidateSubFramebuffer;
using fexldr_type_libGL_glInvalidateTexImage = auto (GLuint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glInvalidateTexImage *fexldr_ptr_libGL_glInvalidateTexImage;
using fexldr_type_libGL_glInvalidateTexSubImage = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7) -> void;
static fexldr_type_libGL_glInvalidateTexSubImage *fexldr_ptr_libGL_glInvalidateTexSubImage;
using fexldr_type_libGL_glLabelObjectEXT = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLchar * a_3) -> void;
static fexldr_type_libGL_glLabelObjectEXT *fexldr_ptr_libGL_glLabelObjectEXT;
using fexldr_type_libGL_glLGPUCopyImageSubDataNVX = auto (GLuint a_0, GLbitfield a_1, GLuint a_2, GLenum a_3, GLint a_4, GLint a_5, GLint a_6, GLint a_7, GLuint a_8, GLenum a_9, GLint a_10, GLint a_11, GLint a_12, GLint a_13, GLsizei a_14, GLsizei a_15, GLsizei a_16) -> void;
static fexldr_type_libGL_glLGPUCopyImageSubDataNVX *fexldr_ptr_libGL_glLGPUCopyImageSubDataNVX;
using fexldr_type_libGL_glLGPUInterlockNVX = auto () -> void;
static fexldr_type_libGL_glLGPUInterlockNVX *fexldr_ptr_libGL_glLGPUInterlockNVX;
using fexldr_type_libGL_glLGPUNamedBufferSubDataNVX = auto (GLbitfield a_0, GLuint a_1, GLintptr a_2, GLsizeiptr a_3, const void * a_4) -> void;
static fexldr_type_libGL_glLGPUNamedBufferSubDataNVX *fexldr_ptr_libGL_glLGPUNamedBufferSubDataNVX;
using fexldr_type_libGL_glLightEnviSGIX = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glLightEnviSGIX *fexldr_ptr_libGL_glLightEnviSGIX;
using fexldr_type_libGL_glLightf = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glLightf *fexldr_ptr_libGL_glLightf;
using fexldr_type_libGL_glLightfv = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glLightfv *fexldr_ptr_libGL_glLightfv;
using fexldr_type_libGL_glLighti = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glLighti *fexldr_ptr_libGL_glLighti;
using fexldr_type_libGL_glLightiv = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glLightiv *fexldr_ptr_libGL_glLightiv;
using fexldr_type_libGL_glLightModelf = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glLightModelf *fexldr_ptr_libGL_glLightModelf;
using fexldr_type_libGL_glLightModelfv = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glLightModelfv *fexldr_ptr_libGL_glLightModelfv;
using fexldr_type_libGL_glLightModeli = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glLightModeli *fexldr_ptr_libGL_glLightModeli;
using fexldr_type_libGL_glLightModeliv = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glLightModeliv *fexldr_ptr_libGL_glLightModeliv;
using fexldr_type_libGL_glLightModelxOES = auto (GLenum a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glLightModelxOES *fexldr_ptr_libGL_glLightModelxOES;
using fexldr_type_libGL_glLightModelxvOES = auto (GLenum a_0, const GLfixed * a_1) -> void;
static fexldr_type_libGL_glLightModelxvOES *fexldr_ptr_libGL_glLightModelxvOES;
using fexldr_type_libGL_glLightxOES = auto (GLenum a_0, GLenum a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glLightxOES *fexldr_ptr_libGL_glLightxOES;
using fexldr_type_libGL_glLightxvOES = auto (GLenum a_0, GLenum a_1, const GLfixed * a_2) -> void;
static fexldr_type_libGL_glLightxvOES *fexldr_ptr_libGL_glLightxvOES;
using fexldr_type_libGL_glLineStipple = auto (GLint a_0, GLushort a_1) -> void;
static fexldr_type_libGL_glLineStipple *fexldr_ptr_libGL_glLineStipple;
using fexldr_type_libGL_glLineWidth = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glLineWidth *fexldr_ptr_libGL_glLineWidth;
using fexldr_type_libGL_glLineWidthxOES = auto (GLfixed a_0) -> void;
static fexldr_type_libGL_glLineWidthxOES *fexldr_ptr_libGL_glLineWidthxOES;
using fexldr_type_libGL_glLinkProgramARB = auto (GLhandleARB a_0) -> void;
static fexldr_type_libGL_glLinkProgramARB *fexldr_ptr_libGL_glLinkProgramARB;
using fexldr_type_libGL_glLinkProgram = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glLinkProgram *fexldr_ptr_libGL_glLinkProgram;
using fexldr_type_libGL_glListBase = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glListBase *fexldr_ptr_libGL_glListBase;
using fexldr_type_libGL_glListDrawCommandsStatesClientNV = auto (GLuint a_0, GLuint a_1, const void ** a_2, const GLsizei * a_3, const GLuint * a_4, const GLuint * a_5, GLuint a_6) -> void;
static fexldr_type_libGL_glListDrawCommandsStatesClientNV *fexldr_ptr_libGL_glListDrawCommandsStatesClientNV;
using fexldr_type_libGL_glListParameterfSGIX = auto (GLuint a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glListParameterfSGIX *fexldr_ptr_libGL_glListParameterfSGIX;
using fexldr_type_libGL_glListParameterfvSGIX = auto (GLuint a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glListParameterfvSGIX *fexldr_ptr_libGL_glListParameterfvSGIX;
using fexldr_type_libGL_glListParameteriSGIX = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glListParameteriSGIX *fexldr_ptr_libGL_glListParameteriSGIX;
using fexldr_type_libGL_glListParameterivSGIX = auto (GLuint a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glListParameterivSGIX *fexldr_ptr_libGL_glListParameterivSGIX;
using fexldr_type_libGL_glLoadIdentity = auto () -> void;
static fexldr_type_libGL_glLoadIdentity *fexldr_ptr_libGL_glLoadIdentity;
using fexldr_type_libGL_glLoadIdentityDeformationMapSGIX = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glLoadIdentityDeformationMapSGIX *fexldr_ptr_libGL_glLoadIdentityDeformationMapSGIX;
using fexldr_type_libGL_glLoadMatrixd = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glLoadMatrixd *fexldr_ptr_libGL_glLoadMatrixd;
using fexldr_type_libGL_glLoadMatrixf = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glLoadMatrixf *fexldr_ptr_libGL_glLoadMatrixf;
using fexldr_type_libGL_glLoadMatrixxOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glLoadMatrixxOES *fexldr_ptr_libGL_glLoadMatrixxOES;
using fexldr_type_libGL_glLoadName = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glLoadName *fexldr_ptr_libGL_glLoadName;
using fexldr_type_libGL_glLoadProgramNV = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLubyte * a_3) -> void;
static fexldr_type_libGL_glLoadProgramNV *fexldr_ptr_libGL_glLoadProgramNV;
using fexldr_type_libGL_glLoadTransposeMatrixdARB = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glLoadTransposeMatrixdARB *fexldr_ptr_libGL_glLoadTransposeMatrixdARB;
using fexldr_type_libGL_glLoadTransposeMatrixd = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glLoadTransposeMatrixd *fexldr_ptr_libGL_glLoadTransposeMatrixd;
using fexldr_type_libGL_glLoadTransposeMatrixfARB = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glLoadTransposeMatrixfARB *fexldr_ptr_libGL_glLoadTransposeMatrixfARB;
using fexldr_type_libGL_glLoadTransposeMatrixf = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glLoadTransposeMatrixf *fexldr_ptr_libGL_glLoadTransposeMatrixf;
using fexldr_type_libGL_glLoadTransposeMatrixxOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glLoadTransposeMatrixxOES *fexldr_ptr_libGL_glLoadTransposeMatrixxOES;
using fexldr_type_libGL_glLockArraysEXT = auto (GLint a_0, GLsizei a_1) -> void;
static fexldr_type_libGL_glLockArraysEXT *fexldr_ptr_libGL_glLockArraysEXT;
using fexldr_type_libGL_glLogicOp = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glLogicOp *fexldr_ptr_libGL_glLogicOp;
using fexldr_type_libGL_glMakeBufferNonResidentNV = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glMakeBufferNonResidentNV *fexldr_ptr_libGL_glMakeBufferNonResidentNV;
using fexldr_type_libGL_glMakeBufferResidentNV = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glMakeBufferResidentNV *fexldr_ptr_libGL_glMakeBufferResidentNV;
using fexldr_type_libGL_glMakeImageHandleNonResidentARB = auto (GLuint64 a_0) -> void;
static fexldr_type_libGL_glMakeImageHandleNonResidentARB *fexldr_ptr_libGL_glMakeImageHandleNonResidentARB;
using fexldr_type_libGL_glMakeImageHandleNonResidentNV = auto (GLuint64 a_0) -> void;
static fexldr_type_libGL_glMakeImageHandleNonResidentNV *fexldr_ptr_libGL_glMakeImageHandleNonResidentNV;
using fexldr_type_libGL_glMakeImageHandleResidentARB = auto (GLuint64 a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glMakeImageHandleResidentARB *fexldr_ptr_libGL_glMakeImageHandleResidentARB;
using fexldr_type_libGL_glMakeImageHandleResidentNV = auto (GLuint64 a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glMakeImageHandleResidentNV *fexldr_ptr_libGL_glMakeImageHandleResidentNV;
using fexldr_type_libGL_glMakeNamedBufferNonResidentNV = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glMakeNamedBufferNonResidentNV *fexldr_ptr_libGL_glMakeNamedBufferNonResidentNV;
using fexldr_type_libGL_glMakeNamedBufferResidentNV = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glMakeNamedBufferResidentNV *fexldr_ptr_libGL_glMakeNamedBufferResidentNV;
using fexldr_type_libGL_glMakeTextureHandleNonResidentARB = auto (GLuint64 a_0) -> void;
static fexldr_type_libGL_glMakeTextureHandleNonResidentARB *fexldr_ptr_libGL_glMakeTextureHandleNonResidentARB;
using fexldr_type_libGL_glMakeTextureHandleNonResidentNV = auto (GLuint64 a_0) -> void;
static fexldr_type_libGL_glMakeTextureHandleNonResidentNV *fexldr_ptr_libGL_glMakeTextureHandleNonResidentNV;
using fexldr_type_libGL_glMakeTextureHandleResidentARB = auto (GLuint64 a_0) -> void;
static fexldr_type_libGL_glMakeTextureHandleResidentARB *fexldr_ptr_libGL_glMakeTextureHandleResidentARB;
using fexldr_type_libGL_glMakeTextureHandleResidentNV = auto (GLuint64 a_0) -> void;
static fexldr_type_libGL_glMakeTextureHandleResidentNV *fexldr_ptr_libGL_glMakeTextureHandleResidentNV;
using fexldr_type_libGL_glMap1d = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLint a_3, GLint a_4, const GLdouble * a_5) -> void;
static fexldr_type_libGL_glMap1d *fexldr_ptr_libGL_glMap1d;
using fexldr_type_libGL_glMap1f = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLint a_3, GLint a_4, const GLfloat * a_5) -> void;
static fexldr_type_libGL_glMap1f *fexldr_ptr_libGL_glMap1f;
using fexldr_type_libGL_glMap1xOES = auto (GLenum a_0, GLfixed a_1, GLfixed a_2, GLint a_3, GLint a_4, GLfixed a_5) -> void;
static fexldr_type_libGL_glMap1xOES *fexldr_ptr_libGL_glMap1xOES;
using fexldr_type_libGL_glMap2d = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLint a_3, GLint a_4, GLdouble a_5, GLdouble a_6, GLint a_7, GLint a_8, const GLdouble * a_9) -> void;
static fexldr_type_libGL_glMap2d *fexldr_ptr_libGL_glMap2d;
using fexldr_type_libGL_glMap2f = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLint a_3, GLint a_4, GLfloat a_5, GLfloat a_6, GLint a_7, GLint a_8, const GLfloat * a_9) -> void;
static fexldr_type_libGL_glMap2f *fexldr_ptr_libGL_glMap2f;
using fexldr_type_libGL_glMap2xOES = auto (GLenum a_0, GLfixed a_1, GLfixed a_2, GLint a_3, GLint a_4, GLfixed a_5, GLfixed a_6, GLint a_7, GLint a_8, GLfixed a_9) -> void;
static fexldr_type_libGL_glMap2xOES *fexldr_ptr_libGL_glMap2xOES;
using fexldr_type_libGL_glMapBufferARB = auto (GLenum a_0, GLenum a_1) -> void *;
static fexldr_type_libGL_glMapBufferARB *fexldr_ptr_libGL_glMapBufferARB;
using fexldr_type_libGL_glMapBuffer = auto (GLenum a_0, GLenum a_1) -> void *;
static fexldr_type_libGL_glMapBuffer *fexldr_ptr_libGL_glMapBuffer;
using fexldr_type_libGL_glMapBufferRange = auto (GLenum a_0, GLintptr a_1, GLsizeiptr a_2, GLbitfield a_3) -> void *;
static fexldr_type_libGL_glMapBufferRange *fexldr_ptr_libGL_glMapBufferRange;
using fexldr_type_libGL_glMapControlPointsNV = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLint a_5, GLint a_6, GLboolean a_7, const void * a_8) -> void;
static fexldr_type_libGL_glMapControlPointsNV *fexldr_ptr_libGL_glMapControlPointsNV;
using fexldr_type_libGL_glMapGrid1d = auto (GLint a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glMapGrid1d *fexldr_ptr_libGL_glMapGrid1d;
using fexldr_type_libGL_glMapGrid1f = auto (GLint a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glMapGrid1f *fexldr_ptr_libGL_glMapGrid1f;
using fexldr_type_libGL_glMapGrid1xOES = auto (GLint a_0, GLfixed a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glMapGrid1xOES *fexldr_ptr_libGL_glMapGrid1xOES;
using fexldr_type_libGL_glMapGrid2d = auto (GLint a_0, GLdouble a_1, GLdouble a_2, GLint a_3, GLdouble a_4, GLdouble a_5) -> void;
static fexldr_type_libGL_glMapGrid2d *fexldr_ptr_libGL_glMapGrid2d;
using fexldr_type_libGL_glMapGrid2f = auto (GLint a_0, GLfloat a_1, GLfloat a_2, GLint a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glMapGrid2f *fexldr_ptr_libGL_glMapGrid2f;
using fexldr_type_libGL_glMapGrid2xOES = auto (GLint a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3, GLfixed a_4) -> void;
static fexldr_type_libGL_glMapGrid2xOES *fexldr_ptr_libGL_glMapGrid2xOES;
using fexldr_type_libGL_glMapNamedBufferEXT = auto (GLuint a_0, GLenum a_1) -> void *;
static fexldr_type_libGL_glMapNamedBufferEXT *fexldr_ptr_libGL_glMapNamedBufferEXT;
using fexldr_type_libGL_glMapNamedBuffer = auto (GLuint a_0, GLenum a_1) -> void *;
static fexldr_type_libGL_glMapNamedBuffer *fexldr_ptr_libGL_glMapNamedBuffer;
using fexldr_type_libGL_glMapNamedBufferRangeEXT = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2, GLbitfield a_3) -> void *;
static fexldr_type_libGL_glMapNamedBufferRangeEXT *fexldr_ptr_libGL_glMapNamedBufferRangeEXT;
using fexldr_type_libGL_glMapNamedBufferRange = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2, GLbitfield a_3) -> void *;
static fexldr_type_libGL_glMapNamedBufferRange *fexldr_ptr_libGL_glMapNamedBufferRange;
using fexldr_type_libGL_glMapObjectBufferATI = auto (GLuint a_0) -> void *;
static fexldr_type_libGL_glMapObjectBufferATI *fexldr_ptr_libGL_glMapObjectBufferATI;
using fexldr_type_libGL_glMapParameterfvNV = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glMapParameterfvNV *fexldr_ptr_libGL_glMapParameterfvNV;
using fexldr_type_libGL_glMapParameterivNV = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glMapParameterivNV *fexldr_ptr_libGL_glMapParameterivNV;
using fexldr_type_libGL_glMapTexture2DINTEL = auto (GLuint a_0, GLint a_1, GLbitfield a_2, GLint * a_3, GLenum * a_4) -> void *;
static fexldr_type_libGL_glMapTexture2DINTEL *fexldr_ptr_libGL_glMapTexture2DINTEL;
using fexldr_type_libGL_glMapVertexAttrib1dAPPLE = auto (GLuint a_0, GLuint a_1, GLdouble a_2, GLdouble a_3, GLint a_4, GLint a_5, const GLdouble * a_6) -> void;
static fexldr_type_libGL_glMapVertexAttrib1dAPPLE *fexldr_ptr_libGL_glMapVertexAttrib1dAPPLE;
using fexldr_type_libGL_glMapVertexAttrib1fAPPLE = auto (GLuint a_0, GLuint a_1, GLfloat a_2, GLfloat a_3, GLint a_4, GLint a_5, const GLfloat * a_6) -> void;
static fexldr_type_libGL_glMapVertexAttrib1fAPPLE *fexldr_ptr_libGL_glMapVertexAttrib1fAPPLE;
using fexldr_type_libGL_glMapVertexAttrib2dAPPLE = auto (GLuint a_0, GLuint a_1, GLdouble a_2, GLdouble a_3, GLint a_4, GLint a_5, GLdouble a_6, GLdouble a_7, GLint a_8, GLint a_9, const GLdouble * a_10) -> void;
static fexldr_type_libGL_glMapVertexAttrib2dAPPLE *fexldr_ptr_libGL_glMapVertexAttrib2dAPPLE;
using fexldr_type_libGL_glMapVertexAttrib2fAPPLE = auto (GLuint a_0, GLuint a_1, GLfloat a_2, GLfloat a_3, GLint a_4, GLint a_5, GLfloat a_6, GLfloat a_7, GLint a_8, GLint a_9, const GLfloat * a_10) -> void;
static fexldr_type_libGL_glMapVertexAttrib2fAPPLE *fexldr_ptr_libGL_glMapVertexAttrib2fAPPLE;
using fexldr_type_libGL_glMaterialf = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glMaterialf *fexldr_ptr_libGL_glMaterialf;
using fexldr_type_libGL_glMaterialfv = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glMaterialfv *fexldr_ptr_libGL_glMaterialfv;
using fexldr_type_libGL_glMateriali = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glMateriali *fexldr_ptr_libGL_glMateriali;
using fexldr_type_libGL_glMaterialiv = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glMaterialiv *fexldr_ptr_libGL_glMaterialiv;
using fexldr_type_libGL_glMaterialxOES = auto (GLenum a_0, GLenum a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glMaterialxOES *fexldr_ptr_libGL_glMaterialxOES;
using fexldr_type_libGL_glMaterialxvOES = auto (GLenum a_0, GLenum a_1, const GLfixed * a_2) -> void;
static fexldr_type_libGL_glMaterialxvOES *fexldr_ptr_libGL_glMaterialxvOES;
using fexldr_type_libGL_glMatrixFrustumEXT = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5, GLdouble a_6) -> void;
static fexldr_type_libGL_glMatrixFrustumEXT *fexldr_ptr_libGL_glMatrixFrustumEXT;
using fexldr_type_libGL_glMatrixIndexPointerARB = auto (GLint a_0, GLenum a_1, GLsizei a_2, const void * a_3) -> void;
static fexldr_type_libGL_glMatrixIndexPointerARB *fexldr_ptr_libGL_glMatrixIndexPointerARB;
using fexldr_type_libGL_glMatrixIndexubvARB = auto (GLint a_0, const GLubyte * a_1) -> void;
static fexldr_type_libGL_glMatrixIndexubvARB *fexldr_ptr_libGL_glMatrixIndexubvARB;
using fexldr_type_libGL_glMatrixIndexuivARB = auto (GLint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glMatrixIndexuivARB *fexldr_ptr_libGL_glMatrixIndexuivARB;
using fexldr_type_libGL_glMatrixIndexusvARB = auto (GLint a_0, const GLushort * a_1) -> void;
static fexldr_type_libGL_glMatrixIndexusvARB *fexldr_ptr_libGL_glMatrixIndexusvARB;
using fexldr_type_libGL_glMatrixLoad3x2fNV = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMatrixLoad3x2fNV *fexldr_ptr_libGL_glMatrixLoad3x2fNV;
using fexldr_type_libGL_glMatrixLoad3x3fNV = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMatrixLoad3x3fNV *fexldr_ptr_libGL_glMatrixLoad3x3fNV;
using fexldr_type_libGL_glMatrixLoaddEXT = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMatrixLoaddEXT *fexldr_ptr_libGL_glMatrixLoaddEXT;
using fexldr_type_libGL_glMatrixLoadfEXT = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMatrixLoadfEXT *fexldr_ptr_libGL_glMatrixLoadfEXT;
using fexldr_type_libGL_glMatrixLoadIdentityEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glMatrixLoadIdentityEXT *fexldr_ptr_libGL_glMatrixLoadIdentityEXT;
using fexldr_type_libGL_glMatrixLoadTranspose3x3fNV = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMatrixLoadTranspose3x3fNV *fexldr_ptr_libGL_glMatrixLoadTranspose3x3fNV;
using fexldr_type_libGL_glMatrixLoadTransposedEXT = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMatrixLoadTransposedEXT *fexldr_ptr_libGL_glMatrixLoadTransposedEXT;
using fexldr_type_libGL_glMatrixLoadTransposefEXT = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMatrixLoadTransposefEXT *fexldr_ptr_libGL_glMatrixLoadTransposefEXT;
using fexldr_type_libGL_glMatrixMode = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glMatrixMode *fexldr_ptr_libGL_glMatrixMode;
using fexldr_type_libGL_glMatrixMult3x2fNV = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMatrixMult3x2fNV *fexldr_ptr_libGL_glMatrixMult3x2fNV;
using fexldr_type_libGL_glMatrixMult3x3fNV = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMatrixMult3x3fNV *fexldr_ptr_libGL_glMatrixMult3x3fNV;
using fexldr_type_libGL_glMatrixMultdEXT = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMatrixMultdEXT *fexldr_ptr_libGL_glMatrixMultdEXT;
using fexldr_type_libGL_glMatrixMultfEXT = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMatrixMultfEXT *fexldr_ptr_libGL_glMatrixMultfEXT;
using fexldr_type_libGL_glMatrixMultTranspose3x3fNV = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMatrixMultTranspose3x3fNV *fexldr_ptr_libGL_glMatrixMultTranspose3x3fNV;
using fexldr_type_libGL_glMatrixMultTransposedEXT = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMatrixMultTransposedEXT *fexldr_ptr_libGL_glMatrixMultTransposedEXT;
using fexldr_type_libGL_glMatrixMultTransposefEXT = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMatrixMultTransposefEXT *fexldr_ptr_libGL_glMatrixMultTransposefEXT;
using fexldr_type_libGL_glMatrixOrthoEXT = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5, GLdouble a_6) -> void;
static fexldr_type_libGL_glMatrixOrthoEXT *fexldr_ptr_libGL_glMatrixOrthoEXT;
using fexldr_type_libGL_glMatrixPopEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glMatrixPopEXT *fexldr_ptr_libGL_glMatrixPopEXT;
using fexldr_type_libGL_glMatrixPushEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glMatrixPushEXT *fexldr_ptr_libGL_glMatrixPushEXT;
using fexldr_type_libGL_glMatrixRotatedEXT = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glMatrixRotatedEXT *fexldr_ptr_libGL_glMatrixRotatedEXT;
using fexldr_type_libGL_glMatrixRotatefEXT = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glMatrixRotatefEXT *fexldr_ptr_libGL_glMatrixRotatefEXT;
using fexldr_type_libGL_glMatrixScaledEXT = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glMatrixScaledEXT *fexldr_ptr_libGL_glMatrixScaledEXT;
using fexldr_type_libGL_glMatrixScalefEXT = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glMatrixScalefEXT *fexldr_ptr_libGL_glMatrixScalefEXT;
using fexldr_type_libGL_glMatrixTranslatedEXT = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glMatrixTranslatedEXT *fexldr_ptr_libGL_glMatrixTranslatedEXT;
using fexldr_type_libGL_glMatrixTranslatefEXT = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glMatrixTranslatefEXT *fexldr_ptr_libGL_glMatrixTranslatefEXT;
using fexldr_type_libGL_glMaxShaderCompilerThreadsARB = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glMaxShaderCompilerThreadsARB *fexldr_ptr_libGL_glMaxShaderCompilerThreadsARB;
using fexldr_type_libGL_glMaxShaderCompilerThreadsKHR = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glMaxShaderCompilerThreadsKHR *fexldr_ptr_libGL_glMaxShaderCompilerThreadsKHR;
using fexldr_type_libGL_glMemoryBarrierByRegion = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glMemoryBarrierByRegion *fexldr_ptr_libGL_glMemoryBarrierByRegion;
using fexldr_type_libGL_glMemoryBarrierEXT = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glMemoryBarrierEXT *fexldr_ptr_libGL_glMemoryBarrierEXT;
using fexldr_type_libGL_glMemoryBarrier = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glMemoryBarrier *fexldr_ptr_libGL_glMemoryBarrier;
using fexldr_type_libGL_glMemoryObjectParameterivEXT = auto (GLuint a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glMemoryObjectParameterivEXT *fexldr_ptr_libGL_glMemoryObjectParameterivEXT;
using fexldr_type_libGL_glMinmaxEXT = auto (GLenum a_0, GLenum a_1, GLboolean a_2) -> void;
static fexldr_type_libGL_glMinmaxEXT *fexldr_ptr_libGL_glMinmaxEXT;
using fexldr_type_libGL_glMinmax = auto (GLenum a_0, GLenum a_1, GLboolean a_2) -> void;
static fexldr_type_libGL_glMinmax *fexldr_ptr_libGL_glMinmax;
using fexldr_type_libGL_glMinSampleShadingARB = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glMinSampleShadingARB *fexldr_ptr_libGL_glMinSampleShadingARB;
using fexldr_type_libGL_glMinSampleShading = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glMinSampleShading *fexldr_ptr_libGL_glMinSampleShading;
using fexldr_type_libGL_glMulticastBarrierNV = auto () -> void;
static fexldr_type_libGL_glMulticastBarrierNV *fexldr_ptr_libGL_glMulticastBarrierNV;
using fexldr_type_libGL_glMulticastBlitFramebufferNV = auto (GLuint a_0, GLuint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLint a_7, GLint a_8, GLint a_9, GLbitfield a_10, GLenum a_11) -> void;
static fexldr_type_libGL_glMulticastBlitFramebufferNV *fexldr_ptr_libGL_glMulticastBlitFramebufferNV;
using fexldr_type_libGL_glMulticastBufferSubDataNV = auto (GLbitfield a_0, GLuint a_1, GLintptr a_2, GLsizeiptr a_3, const void * a_4) -> void;
static fexldr_type_libGL_glMulticastBufferSubDataNV *fexldr_ptr_libGL_glMulticastBufferSubDataNV;
using fexldr_type_libGL_glMulticastCopyBufferSubDataNV = auto (GLuint a_0, GLbitfield a_1, GLuint a_2, GLuint a_3, GLintptr a_4, GLintptr a_5, GLsizeiptr a_6) -> void;
static fexldr_type_libGL_glMulticastCopyBufferSubDataNV *fexldr_ptr_libGL_glMulticastCopyBufferSubDataNV;
using fexldr_type_libGL_glMulticastCopyImageSubDataNV = auto (GLuint a_0, GLbitfield a_1, GLuint a_2, GLenum a_3, GLint a_4, GLint a_5, GLint a_6, GLint a_7, GLuint a_8, GLenum a_9, GLint a_10, GLint a_11, GLint a_12, GLint a_13, GLsizei a_14, GLsizei a_15, GLsizei a_16) -> void;
static fexldr_type_libGL_glMulticastCopyImageSubDataNV *fexldr_ptr_libGL_glMulticastCopyImageSubDataNV;
using fexldr_type_libGL_glMulticastFramebufferSampleLocationsfvNV = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLsizei a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glMulticastFramebufferSampleLocationsfvNV *fexldr_ptr_libGL_glMulticastFramebufferSampleLocationsfvNV;
using fexldr_type_libGL_glMulticastGetQueryObjecti64vNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLint64 * a_3) -> void;
static fexldr_type_libGL_glMulticastGetQueryObjecti64vNV *fexldr_ptr_libGL_glMulticastGetQueryObjecti64vNV;
using fexldr_type_libGL_glMulticastGetQueryObjectivNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLint * a_3) -> void;
static fexldr_type_libGL_glMulticastGetQueryObjectivNV *fexldr_ptr_libGL_glMulticastGetQueryObjectivNV;
using fexldr_type_libGL_glMulticastGetQueryObjectui64vNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLuint64 * a_3) -> void;
static fexldr_type_libGL_glMulticastGetQueryObjectui64vNV *fexldr_ptr_libGL_glMulticastGetQueryObjectui64vNV;
using fexldr_type_libGL_glMulticastGetQueryObjectuivNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLuint * a_3) -> void;
static fexldr_type_libGL_glMulticastGetQueryObjectuivNV *fexldr_ptr_libGL_glMulticastGetQueryObjectuivNV;
using fexldr_type_libGL_glMulticastScissorArrayvNVX = auto (GLuint a_0, GLuint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glMulticastScissorArrayvNVX *fexldr_ptr_libGL_glMulticastScissorArrayvNVX;
using fexldr_type_libGL_glMulticastViewportArrayvNVX = auto (GLuint a_0, GLuint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glMulticastViewportArrayvNVX *fexldr_ptr_libGL_glMulticastViewportArrayvNVX;
using fexldr_type_libGL_glMulticastViewportPositionWScaleNVX = auto (GLuint a_0, GLuint a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glMulticastViewportPositionWScaleNVX *fexldr_ptr_libGL_glMulticastViewportPositionWScaleNVX;
using fexldr_type_libGL_glMulticastWaitSyncNV = auto (GLuint a_0, GLbitfield a_1) -> void;
static fexldr_type_libGL_glMulticastWaitSyncNV *fexldr_ptr_libGL_glMulticastWaitSyncNV;
using fexldr_type_libGL_glMultiDrawArraysEXT = auto (GLenum a_0, const GLint * a_1, const GLsizei * a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glMultiDrawArraysEXT *fexldr_ptr_libGL_glMultiDrawArraysEXT;
using fexldr_type_libGL_glMultiDrawArrays = auto (GLenum a_0, const GLint * a_1, const GLsizei * a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glMultiDrawArrays *fexldr_ptr_libGL_glMultiDrawArrays;
using fexldr_type_libGL_glMultiDrawArraysIndirectAMD = auto (GLenum a_0, const void * a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glMultiDrawArraysIndirectAMD *fexldr_ptr_libGL_glMultiDrawArraysIndirectAMD;
using fexldr_type_libGL_glMultiDrawArraysIndirectBindlessCountNV = auto (GLenum a_0, const void * a_1, GLsizei a_2, GLsizei a_3, GLsizei a_4, GLint a_5) -> void;
static fexldr_type_libGL_glMultiDrawArraysIndirectBindlessCountNV *fexldr_ptr_libGL_glMultiDrawArraysIndirectBindlessCountNV;
using fexldr_type_libGL_glMultiDrawArraysIndirectBindlessNV = auto (GLenum a_0, const void * a_1, GLsizei a_2, GLsizei a_3, GLint a_4) -> void;
static fexldr_type_libGL_glMultiDrawArraysIndirectBindlessNV *fexldr_ptr_libGL_glMultiDrawArraysIndirectBindlessNV;
using fexldr_type_libGL_glMultiDrawArraysIndirectCountARB = auto (GLenum a_0, const void * a_1, GLintptr a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glMultiDrawArraysIndirectCountARB *fexldr_ptr_libGL_glMultiDrawArraysIndirectCountARB;
using fexldr_type_libGL_glMultiDrawArraysIndirectCount = auto (GLenum a_0, const void * a_1, GLintptr a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glMultiDrawArraysIndirectCount *fexldr_ptr_libGL_glMultiDrawArraysIndirectCount;
using fexldr_type_libGL_glMultiDrawArraysIndirect = auto (GLenum a_0, const void * a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glMultiDrawArraysIndirect *fexldr_ptr_libGL_glMultiDrawArraysIndirect;
using fexldr_type_libGL_glMultiDrawElementArrayAPPLE = auto (GLenum a_0, const GLint * a_1, const GLsizei * a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glMultiDrawElementArrayAPPLE *fexldr_ptr_libGL_glMultiDrawElementArrayAPPLE;
using fexldr_type_libGL_glMultiDrawElementsBaseVertex = auto (GLenum a_0, const GLsizei * a_1, GLenum a_2, const void *const * a_3, GLsizei a_4, const GLint * a_5) -> void;
static fexldr_type_libGL_glMultiDrawElementsBaseVertex *fexldr_ptr_libGL_glMultiDrawElementsBaseVertex;
using fexldr_type_libGL_glMultiDrawElementsEXT = auto (GLenum a_0, const GLsizei * a_1, GLenum a_2, const void *const * a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glMultiDrawElementsEXT *fexldr_ptr_libGL_glMultiDrawElementsEXT;
using fexldr_type_libGL_glMultiDrawElements = auto (GLenum a_0, const GLsizei * a_1, GLenum a_2, const void *const * a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glMultiDrawElements *fexldr_ptr_libGL_glMultiDrawElements;
using fexldr_type_libGL_glMultiDrawElementsIndirectAMD = auto (GLenum a_0, GLenum a_1, const void * a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glMultiDrawElementsIndirectAMD *fexldr_ptr_libGL_glMultiDrawElementsIndirectAMD;
using fexldr_type_libGL_glMultiDrawElementsIndirectBindlessCountNV = auto (GLenum a_0, GLenum a_1, const void * a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLint a_6) -> void;
static fexldr_type_libGL_glMultiDrawElementsIndirectBindlessCountNV *fexldr_ptr_libGL_glMultiDrawElementsIndirectBindlessCountNV;
using fexldr_type_libGL_glMultiDrawElementsIndirectBindlessNV = auto (GLenum a_0, GLenum a_1, const void * a_2, GLsizei a_3, GLsizei a_4, GLint a_5) -> void;
static fexldr_type_libGL_glMultiDrawElementsIndirectBindlessNV *fexldr_ptr_libGL_glMultiDrawElementsIndirectBindlessNV;
using fexldr_type_libGL_glMultiDrawElementsIndirectCountARB = auto (GLenum a_0, GLenum a_1, const void * a_2, GLintptr a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glMultiDrawElementsIndirectCountARB *fexldr_ptr_libGL_glMultiDrawElementsIndirectCountARB;
using fexldr_type_libGL_glMultiDrawElementsIndirectCount = auto (GLenum a_0, GLenum a_1, const void * a_2, GLintptr a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glMultiDrawElementsIndirectCount *fexldr_ptr_libGL_glMultiDrawElementsIndirectCount;
using fexldr_type_libGL_glMultiDrawElementsIndirect = auto (GLenum a_0, GLenum a_1, const void * a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glMultiDrawElementsIndirect *fexldr_ptr_libGL_glMultiDrawElementsIndirect;
using fexldr_type_libGL_glMultiDrawMeshTasksIndirectCountNV = auto (GLintptr a_0, GLintptr a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glMultiDrawMeshTasksIndirectCountNV *fexldr_ptr_libGL_glMultiDrawMeshTasksIndirectCountNV;
using fexldr_type_libGL_glMultiDrawMeshTasksIndirectNV = auto (GLintptr a_0, GLsizei a_1, GLsizei a_2) -> void;
static fexldr_type_libGL_glMultiDrawMeshTasksIndirectNV *fexldr_ptr_libGL_glMultiDrawMeshTasksIndirectNV;
using fexldr_type_libGL_glMultiDrawRangeElementArrayAPPLE = auto (GLenum a_0, GLuint a_1, GLuint a_2, const GLint * a_3, const GLsizei * a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glMultiDrawRangeElementArrayAPPLE *fexldr_ptr_libGL_glMultiDrawRangeElementArrayAPPLE;
using fexldr_type_libGL_glMultiModeDrawArraysIBM = auto (const GLenum * a_0, const GLint * a_1, const GLsizei * a_2, GLsizei a_3, GLint a_4) -> void;
static fexldr_type_libGL_glMultiModeDrawArraysIBM *fexldr_ptr_libGL_glMultiModeDrawArraysIBM;
using fexldr_type_libGL_glMultiModeDrawElementsIBM = auto (const GLenum * a_0, const GLsizei * a_1, GLenum a_2, const void *const * a_3, GLsizei a_4, GLint a_5) -> void;
static fexldr_type_libGL_glMultiModeDrawElementsIBM *fexldr_ptr_libGL_glMultiModeDrawElementsIBM;
using fexldr_type_libGL_glMultiTexBufferEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glMultiTexBufferEXT *fexldr_ptr_libGL_glMultiTexBufferEXT;
using fexldr_type_libGL_glMultiTexCoord1bOES = auto (GLenum a_0, GLbyte a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1bOES *fexldr_ptr_libGL_glMultiTexCoord1bOES;
using fexldr_type_libGL_glMultiTexCoord1bvOES = auto (GLenum a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1bvOES *fexldr_ptr_libGL_glMultiTexCoord1bvOES;
using fexldr_type_libGL_glMultiTexCoord1dARB = auto (GLenum a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1dARB *fexldr_ptr_libGL_glMultiTexCoord1dARB;
using fexldr_type_libGL_glMultiTexCoord1d = auto (GLenum a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1d *fexldr_ptr_libGL_glMultiTexCoord1d;
using fexldr_type_libGL_glMultiTexCoord1dvARB = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1dvARB *fexldr_ptr_libGL_glMultiTexCoord1dvARB;
using fexldr_type_libGL_glMultiTexCoord1dv = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1dv *fexldr_ptr_libGL_glMultiTexCoord1dv;
using fexldr_type_libGL_glMultiTexCoord1fARB = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1fARB *fexldr_ptr_libGL_glMultiTexCoord1fARB;
using fexldr_type_libGL_glMultiTexCoord1f = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1f *fexldr_ptr_libGL_glMultiTexCoord1f;
using fexldr_type_libGL_glMultiTexCoord1fvARB = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1fvARB *fexldr_ptr_libGL_glMultiTexCoord1fvARB;
using fexldr_type_libGL_glMultiTexCoord1fv = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1fv *fexldr_ptr_libGL_glMultiTexCoord1fv;
using fexldr_type_libGL_glMultiTexCoord1hNV = auto (GLenum a_0, GLhalfNV a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1hNV *fexldr_ptr_libGL_glMultiTexCoord1hNV;
using fexldr_type_libGL_glMultiTexCoord1hvNV = auto (GLenum a_0, const GLhalfNV * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1hvNV *fexldr_ptr_libGL_glMultiTexCoord1hvNV;
using fexldr_type_libGL_glMultiTexCoord1iARB = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1iARB *fexldr_ptr_libGL_glMultiTexCoord1iARB;
using fexldr_type_libGL_glMultiTexCoord1i = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1i *fexldr_ptr_libGL_glMultiTexCoord1i;
using fexldr_type_libGL_glMultiTexCoord1ivARB = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1ivARB *fexldr_ptr_libGL_glMultiTexCoord1ivARB;
using fexldr_type_libGL_glMultiTexCoord1iv = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1iv *fexldr_ptr_libGL_glMultiTexCoord1iv;
using fexldr_type_libGL_glMultiTexCoord1sARB = auto (GLenum a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1sARB *fexldr_ptr_libGL_glMultiTexCoord1sARB;
using fexldr_type_libGL_glMultiTexCoord1s = auto (GLenum a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1s *fexldr_ptr_libGL_glMultiTexCoord1s;
using fexldr_type_libGL_glMultiTexCoord1svARB = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1svARB *fexldr_ptr_libGL_glMultiTexCoord1svARB;
using fexldr_type_libGL_glMultiTexCoord1sv = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1sv *fexldr_ptr_libGL_glMultiTexCoord1sv;
using fexldr_type_libGL_glMultiTexCoord1xOES = auto (GLenum a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1xOES *fexldr_ptr_libGL_glMultiTexCoord1xOES;
using fexldr_type_libGL_glMultiTexCoord1xvOES = auto (GLenum a_0, const GLfixed * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord1xvOES *fexldr_ptr_libGL_glMultiTexCoord1xvOES;
using fexldr_type_libGL_glMultiTexCoord2bOES = auto (GLenum a_0, GLbyte a_1, GLbyte a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2bOES *fexldr_ptr_libGL_glMultiTexCoord2bOES;
using fexldr_type_libGL_glMultiTexCoord2bvOES = auto (GLenum a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2bvOES *fexldr_ptr_libGL_glMultiTexCoord2bvOES;
using fexldr_type_libGL_glMultiTexCoord2dARB = auto (GLenum a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2dARB *fexldr_ptr_libGL_glMultiTexCoord2dARB;
using fexldr_type_libGL_glMultiTexCoord2d = auto (GLenum a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2d *fexldr_ptr_libGL_glMultiTexCoord2d;
using fexldr_type_libGL_glMultiTexCoord2dvARB = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2dvARB *fexldr_ptr_libGL_glMultiTexCoord2dvARB;
using fexldr_type_libGL_glMultiTexCoord2dv = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2dv *fexldr_ptr_libGL_glMultiTexCoord2dv;
using fexldr_type_libGL_glMultiTexCoord2fARB = auto (GLenum a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2fARB *fexldr_ptr_libGL_glMultiTexCoord2fARB;
using fexldr_type_libGL_glMultiTexCoord2f = auto (GLenum a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2f *fexldr_ptr_libGL_glMultiTexCoord2f;
using fexldr_type_libGL_glMultiTexCoord2fvARB = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2fvARB *fexldr_ptr_libGL_glMultiTexCoord2fvARB;
using fexldr_type_libGL_glMultiTexCoord2fv = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2fv *fexldr_ptr_libGL_glMultiTexCoord2fv;
using fexldr_type_libGL_glMultiTexCoord2hNV = auto (GLenum a_0, GLhalfNV a_1, GLhalfNV a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2hNV *fexldr_ptr_libGL_glMultiTexCoord2hNV;
using fexldr_type_libGL_glMultiTexCoord2hvNV = auto (GLenum a_0, const GLhalfNV * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2hvNV *fexldr_ptr_libGL_glMultiTexCoord2hvNV;
using fexldr_type_libGL_glMultiTexCoord2iARB = auto (GLenum a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2iARB *fexldr_ptr_libGL_glMultiTexCoord2iARB;
using fexldr_type_libGL_glMultiTexCoord2i = auto (GLenum a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2i *fexldr_ptr_libGL_glMultiTexCoord2i;
using fexldr_type_libGL_glMultiTexCoord2ivARB = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2ivARB *fexldr_ptr_libGL_glMultiTexCoord2ivARB;
using fexldr_type_libGL_glMultiTexCoord2iv = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2iv *fexldr_ptr_libGL_glMultiTexCoord2iv;
using fexldr_type_libGL_glMultiTexCoord2sARB = auto (GLenum a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2sARB *fexldr_ptr_libGL_glMultiTexCoord2sARB;
using fexldr_type_libGL_glMultiTexCoord2s = auto (GLenum a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2s *fexldr_ptr_libGL_glMultiTexCoord2s;
using fexldr_type_libGL_glMultiTexCoord2svARB = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2svARB *fexldr_ptr_libGL_glMultiTexCoord2svARB;
using fexldr_type_libGL_glMultiTexCoord2sv = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2sv *fexldr_ptr_libGL_glMultiTexCoord2sv;
using fexldr_type_libGL_glMultiTexCoord2xOES = auto (GLenum a_0, GLfixed a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glMultiTexCoord2xOES *fexldr_ptr_libGL_glMultiTexCoord2xOES;
using fexldr_type_libGL_glMultiTexCoord2xvOES = auto (GLenum a_0, const GLfixed * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord2xvOES *fexldr_ptr_libGL_glMultiTexCoord2xvOES;
using fexldr_type_libGL_glMultiTexCoord3bOES = auto (GLenum a_0, GLbyte a_1, GLbyte a_2, GLbyte a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3bOES *fexldr_ptr_libGL_glMultiTexCoord3bOES;
using fexldr_type_libGL_glMultiTexCoord3bvOES = auto (GLenum a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3bvOES *fexldr_ptr_libGL_glMultiTexCoord3bvOES;
using fexldr_type_libGL_glMultiTexCoord3dARB = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3dARB *fexldr_ptr_libGL_glMultiTexCoord3dARB;
using fexldr_type_libGL_glMultiTexCoord3d = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3d *fexldr_ptr_libGL_glMultiTexCoord3d;
using fexldr_type_libGL_glMultiTexCoord3dvARB = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3dvARB *fexldr_ptr_libGL_glMultiTexCoord3dvARB;
using fexldr_type_libGL_glMultiTexCoord3dv = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3dv *fexldr_ptr_libGL_glMultiTexCoord3dv;
using fexldr_type_libGL_glMultiTexCoord3fARB = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3fARB *fexldr_ptr_libGL_glMultiTexCoord3fARB;
using fexldr_type_libGL_glMultiTexCoord3f = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3f *fexldr_ptr_libGL_glMultiTexCoord3f;
using fexldr_type_libGL_glMultiTexCoord3fvARB = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3fvARB *fexldr_ptr_libGL_glMultiTexCoord3fvARB;
using fexldr_type_libGL_glMultiTexCoord3fv = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3fv *fexldr_ptr_libGL_glMultiTexCoord3fv;
using fexldr_type_libGL_glMultiTexCoord3hNV = auto (GLenum a_0, GLhalfNV a_1, GLhalfNV a_2, GLhalfNV a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3hNV *fexldr_ptr_libGL_glMultiTexCoord3hNV;
using fexldr_type_libGL_glMultiTexCoord3hvNV = auto (GLenum a_0, const GLhalfNV * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3hvNV *fexldr_ptr_libGL_glMultiTexCoord3hvNV;
using fexldr_type_libGL_glMultiTexCoord3iARB = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3iARB *fexldr_ptr_libGL_glMultiTexCoord3iARB;
using fexldr_type_libGL_glMultiTexCoord3i = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3i *fexldr_ptr_libGL_glMultiTexCoord3i;
using fexldr_type_libGL_glMultiTexCoord3ivARB = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3ivARB *fexldr_ptr_libGL_glMultiTexCoord3ivARB;
using fexldr_type_libGL_glMultiTexCoord3iv = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3iv *fexldr_ptr_libGL_glMultiTexCoord3iv;
using fexldr_type_libGL_glMultiTexCoord3sARB = auto (GLenum a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3sARB *fexldr_ptr_libGL_glMultiTexCoord3sARB;
using fexldr_type_libGL_glMultiTexCoord3s = auto (GLenum a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3s *fexldr_ptr_libGL_glMultiTexCoord3s;
using fexldr_type_libGL_glMultiTexCoord3svARB = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3svARB *fexldr_ptr_libGL_glMultiTexCoord3svARB;
using fexldr_type_libGL_glMultiTexCoord3sv = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3sv *fexldr_ptr_libGL_glMultiTexCoord3sv;
using fexldr_type_libGL_glMultiTexCoord3xOES = auto (GLenum a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3) -> void;
static fexldr_type_libGL_glMultiTexCoord3xOES *fexldr_ptr_libGL_glMultiTexCoord3xOES;
using fexldr_type_libGL_glMultiTexCoord3xvOES = auto (GLenum a_0, const GLfixed * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord3xvOES *fexldr_ptr_libGL_glMultiTexCoord3xvOES;
using fexldr_type_libGL_glMultiTexCoord4bOES = auto (GLenum a_0, GLbyte a_1, GLbyte a_2, GLbyte a_3, GLbyte a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4bOES *fexldr_ptr_libGL_glMultiTexCoord4bOES;
using fexldr_type_libGL_glMultiTexCoord4bvOES = auto (GLenum a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4bvOES *fexldr_ptr_libGL_glMultiTexCoord4bvOES;
using fexldr_type_libGL_glMultiTexCoord4dARB = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4dARB *fexldr_ptr_libGL_glMultiTexCoord4dARB;
using fexldr_type_libGL_glMultiTexCoord4d = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4d *fexldr_ptr_libGL_glMultiTexCoord4d;
using fexldr_type_libGL_glMultiTexCoord4dvARB = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4dvARB *fexldr_ptr_libGL_glMultiTexCoord4dvARB;
using fexldr_type_libGL_glMultiTexCoord4dv = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4dv *fexldr_ptr_libGL_glMultiTexCoord4dv;
using fexldr_type_libGL_glMultiTexCoord4fARB = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4fARB *fexldr_ptr_libGL_glMultiTexCoord4fARB;
using fexldr_type_libGL_glMultiTexCoord4f = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4f *fexldr_ptr_libGL_glMultiTexCoord4f;
using fexldr_type_libGL_glMultiTexCoord4fvARB = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4fvARB *fexldr_ptr_libGL_glMultiTexCoord4fvARB;
using fexldr_type_libGL_glMultiTexCoord4fv = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4fv *fexldr_ptr_libGL_glMultiTexCoord4fv;
using fexldr_type_libGL_glMultiTexCoord4hNV = auto (GLenum a_0, GLhalfNV a_1, GLhalfNV a_2, GLhalfNV a_3, GLhalfNV a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4hNV *fexldr_ptr_libGL_glMultiTexCoord4hNV;
using fexldr_type_libGL_glMultiTexCoord4hvNV = auto (GLenum a_0, const GLhalfNV * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4hvNV *fexldr_ptr_libGL_glMultiTexCoord4hvNV;
using fexldr_type_libGL_glMultiTexCoord4iARB = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4iARB *fexldr_ptr_libGL_glMultiTexCoord4iARB;
using fexldr_type_libGL_glMultiTexCoord4i = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4i *fexldr_ptr_libGL_glMultiTexCoord4i;
using fexldr_type_libGL_glMultiTexCoord4ivARB = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4ivARB *fexldr_ptr_libGL_glMultiTexCoord4ivARB;
using fexldr_type_libGL_glMultiTexCoord4iv = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4iv *fexldr_ptr_libGL_glMultiTexCoord4iv;
using fexldr_type_libGL_glMultiTexCoord4sARB = auto (GLenum a_0, GLshort a_1, GLshort a_2, GLshort a_3, GLshort a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4sARB *fexldr_ptr_libGL_glMultiTexCoord4sARB;
using fexldr_type_libGL_glMultiTexCoord4s = auto (GLenum a_0, GLshort a_1, GLshort a_2, GLshort a_3, GLshort a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4s *fexldr_ptr_libGL_glMultiTexCoord4s;
using fexldr_type_libGL_glMultiTexCoord4svARB = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4svARB *fexldr_ptr_libGL_glMultiTexCoord4svARB;
using fexldr_type_libGL_glMultiTexCoord4sv = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4sv *fexldr_ptr_libGL_glMultiTexCoord4sv;
using fexldr_type_libGL_glMultiTexCoord4xOES = auto (GLenum a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3, GLfixed a_4) -> void;
static fexldr_type_libGL_glMultiTexCoord4xOES *fexldr_ptr_libGL_glMultiTexCoord4xOES;
using fexldr_type_libGL_glMultiTexCoord4xvOES = auto (GLenum a_0, const GLfixed * a_1) -> void;
static fexldr_type_libGL_glMultiTexCoord4xvOES *fexldr_ptr_libGL_glMultiTexCoord4xvOES;
using fexldr_type_libGL_glMultiTexCoordPointerEXT = auto (GLenum a_0, GLint a_1, GLenum a_2, GLsizei a_3, const void * a_4) -> void;
static fexldr_type_libGL_glMultiTexCoordPointerEXT *fexldr_ptr_libGL_glMultiTexCoordPointerEXT;
using fexldr_type_libGL_glMultiTexEnvfEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glMultiTexEnvfEXT *fexldr_ptr_libGL_glMultiTexEnvfEXT;
using fexldr_type_libGL_glMultiTexEnvfvEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glMultiTexEnvfvEXT *fexldr_ptr_libGL_glMultiTexEnvfvEXT;
using fexldr_type_libGL_glMultiTexEnviEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLint a_3) -> void;
static fexldr_type_libGL_glMultiTexEnviEXT *fexldr_ptr_libGL_glMultiTexEnviEXT;
using fexldr_type_libGL_glMultiTexEnvivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glMultiTexEnvivEXT *fexldr_ptr_libGL_glMultiTexEnvivEXT;
using fexldr_type_libGL_glMultiTexGendEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glMultiTexGendEXT *fexldr_ptr_libGL_glMultiTexGendEXT;
using fexldr_type_libGL_glMultiTexGendvEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glMultiTexGendvEXT *fexldr_ptr_libGL_glMultiTexGendvEXT;
using fexldr_type_libGL_glMultiTexGenfEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glMultiTexGenfEXT *fexldr_ptr_libGL_glMultiTexGenfEXT;
using fexldr_type_libGL_glMultiTexGenfvEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glMultiTexGenfvEXT *fexldr_ptr_libGL_glMultiTexGenfvEXT;
using fexldr_type_libGL_glMultiTexGeniEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLint a_3) -> void;
static fexldr_type_libGL_glMultiTexGeniEXT *fexldr_ptr_libGL_glMultiTexGeniEXT;
using fexldr_type_libGL_glMultiTexGenivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glMultiTexGenivEXT *fexldr_ptr_libGL_glMultiTexGenivEXT;
using fexldr_type_libGL_glMultiTexImage1DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLint a_5, GLenum a_6, GLenum a_7, const void * a_8) -> void;
static fexldr_type_libGL_glMultiTexImage1DEXT *fexldr_ptr_libGL_glMultiTexImage1DEXT;
using fexldr_type_libGL_glMultiTexImage2DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLint a_6, GLenum a_7, GLenum a_8, const void * a_9) -> void;
static fexldr_type_libGL_glMultiTexImage2DEXT *fexldr_ptr_libGL_glMultiTexImage2DEXT;
using fexldr_type_libGL_glMultiTexImage3DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLsizei a_6, GLint a_7, GLenum a_8, GLenum a_9, const void * a_10) -> void;
static fexldr_type_libGL_glMultiTexImage3DEXT *fexldr_ptr_libGL_glMultiTexImage3DEXT;
using fexldr_type_libGL_glMultiTexParameterfEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glMultiTexParameterfEXT *fexldr_ptr_libGL_glMultiTexParameterfEXT;
using fexldr_type_libGL_glMultiTexParameterfvEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glMultiTexParameterfvEXT *fexldr_ptr_libGL_glMultiTexParameterfvEXT;
using fexldr_type_libGL_glMultiTexParameteriEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLint a_3) -> void;
static fexldr_type_libGL_glMultiTexParameteriEXT *fexldr_ptr_libGL_glMultiTexParameteriEXT;
using fexldr_type_libGL_glMultiTexParameterIivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glMultiTexParameterIivEXT *fexldr_ptr_libGL_glMultiTexParameterIivEXT;
using fexldr_type_libGL_glMultiTexParameterIuivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glMultiTexParameterIuivEXT *fexldr_ptr_libGL_glMultiTexParameterIuivEXT;
using fexldr_type_libGL_glMultiTexParameterivEXT = auto (GLenum a_0, GLenum a_1, GLenum a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glMultiTexParameterivEXT *fexldr_ptr_libGL_glMultiTexParameterivEXT;
using fexldr_type_libGL_glMultiTexRenderbufferEXT = auto (GLenum a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glMultiTexRenderbufferEXT *fexldr_ptr_libGL_glMultiTexRenderbufferEXT;
using fexldr_type_libGL_glMultiTexSubImage1DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLenum a_5, GLenum a_6, const void * a_7) -> void;
static fexldr_type_libGL_glMultiTexSubImage1DEXT *fexldr_ptr_libGL_glMultiTexSubImage1DEXT;
using fexldr_type_libGL_glMultiTexSubImage2DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLenum a_7, GLenum a_8, const void * a_9) -> void;
static fexldr_type_libGL_glMultiTexSubImage2DEXT *fexldr_ptr_libGL_glMultiTexSubImage2DEXT;
using fexldr_type_libGL_glMultiTexSubImage3DEXT = auto (GLenum a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLsizei a_6, GLsizei a_7, GLsizei a_8, GLenum a_9, GLenum a_10, const void * a_11) -> void;
static fexldr_type_libGL_glMultiTexSubImage3DEXT *fexldr_ptr_libGL_glMultiTexSubImage3DEXT;
using fexldr_type_libGL_glMultMatrixd = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glMultMatrixd *fexldr_ptr_libGL_glMultMatrixd;
using fexldr_type_libGL_glMultMatrixf = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glMultMatrixf *fexldr_ptr_libGL_glMultMatrixf;
using fexldr_type_libGL_glMultMatrixxOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glMultMatrixxOES *fexldr_ptr_libGL_glMultMatrixxOES;
using fexldr_type_libGL_glMultTransposeMatrixdARB = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glMultTransposeMatrixdARB *fexldr_ptr_libGL_glMultTransposeMatrixdARB;
using fexldr_type_libGL_glMultTransposeMatrixd = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glMultTransposeMatrixd *fexldr_ptr_libGL_glMultTransposeMatrixd;
using fexldr_type_libGL_glMultTransposeMatrixfARB = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glMultTransposeMatrixfARB *fexldr_ptr_libGL_glMultTransposeMatrixfARB;
using fexldr_type_libGL_glMultTransposeMatrixf = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glMultTransposeMatrixf *fexldr_ptr_libGL_glMultTransposeMatrixf;
using fexldr_type_libGL_glMultTransposeMatrixxOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glMultTransposeMatrixxOES *fexldr_ptr_libGL_glMultTransposeMatrixxOES;
using fexldr_type_libGL_glNamedBufferAttachMemoryNV = auto (GLuint a_0, GLuint a_1, GLuint64 a_2) -> void;
static fexldr_type_libGL_glNamedBufferAttachMemoryNV *fexldr_ptr_libGL_glNamedBufferAttachMemoryNV;
using fexldr_type_libGL_glNamedBufferDataEXT = auto (GLuint a_0, GLsizeiptr a_1, const void * a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glNamedBufferDataEXT *fexldr_ptr_libGL_glNamedBufferDataEXT;
using fexldr_type_libGL_glNamedBufferData = auto (GLuint a_0, GLsizeiptr a_1, const void * a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glNamedBufferData *fexldr_ptr_libGL_glNamedBufferData;
using fexldr_type_libGL_glNamedBufferPageCommitmentARB = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2, GLboolean a_3) -> void;
static fexldr_type_libGL_glNamedBufferPageCommitmentARB *fexldr_ptr_libGL_glNamedBufferPageCommitmentARB;
using fexldr_type_libGL_glNamedBufferPageCommitmentEXT = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2, GLboolean a_3) -> void;
static fexldr_type_libGL_glNamedBufferPageCommitmentEXT *fexldr_ptr_libGL_glNamedBufferPageCommitmentEXT;
using fexldr_type_libGL_glNamedBufferStorageExternalEXT = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2, GLeglClientBufferEXT a_3, GLbitfield a_4) -> void;
static fexldr_type_libGL_glNamedBufferStorageExternalEXT *fexldr_ptr_libGL_glNamedBufferStorageExternalEXT;
using fexldr_type_libGL_glNamedBufferStorageEXT = auto (GLuint a_0, GLsizeiptr a_1, const void * a_2, GLbitfield a_3) -> void;
static fexldr_type_libGL_glNamedBufferStorageEXT *fexldr_ptr_libGL_glNamedBufferStorageEXT;
using fexldr_type_libGL_glNamedBufferStorage = auto (GLuint a_0, GLsizeiptr a_1, const void * a_2, GLbitfield a_3) -> void;
static fexldr_type_libGL_glNamedBufferStorage *fexldr_ptr_libGL_glNamedBufferStorage;
using fexldr_type_libGL_glNamedBufferStorageMemEXT = auto (GLuint a_0, GLsizeiptr a_1, GLuint a_2, GLuint64 a_3) -> void;
static fexldr_type_libGL_glNamedBufferStorageMemEXT *fexldr_ptr_libGL_glNamedBufferStorageMemEXT;
using fexldr_type_libGL_glNamedBufferSubDataEXT = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2, const void * a_3) -> void;
static fexldr_type_libGL_glNamedBufferSubDataEXT *fexldr_ptr_libGL_glNamedBufferSubDataEXT;
using fexldr_type_libGL_glNamedBufferSubData = auto (GLuint a_0, GLintptr a_1, GLsizeiptr a_2, const void * a_3) -> void;
static fexldr_type_libGL_glNamedBufferSubData *fexldr_ptr_libGL_glNamedBufferSubData;
using fexldr_type_libGL_glNamedCopyBufferSubDataEXT = auto (GLuint a_0, GLuint a_1, GLintptr a_2, GLintptr a_3, GLsizeiptr a_4) -> void;
static fexldr_type_libGL_glNamedCopyBufferSubDataEXT *fexldr_ptr_libGL_glNamedCopyBufferSubDataEXT;
using fexldr_type_libGL_glNamedFramebufferDrawBuffer = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glNamedFramebufferDrawBuffer *fexldr_ptr_libGL_glNamedFramebufferDrawBuffer;
using fexldr_type_libGL_glNamedFramebufferDrawBuffers = auto (GLuint a_0, GLsizei a_1, const GLenum * a_2) -> void;
static fexldr_type_libGL_glNamedFramebufferDrawBuffers *fexldr_ptr_libGL_glNamedFramebufferDrawBuffers;
using fexldr_type_libGL_glNamedFramebufferParameteriEXT = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glNamedFramebufferParameteriEXT *fexldr_ptr_libGL_glNamedFramebufferParameteriEXT;
using fexldr_type_libGL_glNamedFramebufferParameteri = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glNamedFramebufferParameteri *fexldr_ptr_libGL_glNamedFramebufferParameteri;
using fexldr_type_libGL_glNamedFramebufferReadBuffer = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glNamedFramebufferReadBuffer *fexldr_ptr_libGL_glNamedFramebufferReadBuffer;
using fexldr_type_libGL_glNamedFramebufferRenderbufferEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glNamedFramebufferRenderbufferEXT *fexldr_ptr_libGL_glNamedFramebufferRenderbufferEXT;
using fexldr_type_libGL_glNamedFramebufferRenderbuffer = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glNamedFramebufferRenderbuffer *fexldr_ptr_libGL_glNamedFramebufferRenderbuffer;
using fexldr_type_libGL_glNamedFramebufferSampleLocationsfvARB = auto (GLuint a_0, GLuint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glNamedFramebufferSampleLocationsfvARB *fexldr_ptr_libGL_glNamedFramebufferSampleLocationsfvARB;
using fexldr_type_libGL_glNamedFramebufferSampleLocationsfvNV = auto (GLuint a_0, GLuint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glNamedFramebufferSampleLocationsfvNV *fexldr_ptr_libGL_glNamedFramebufferSampleLocationsfvNV;
using fexldr_type_libGL_glNamedFramebufferSamplePositionsfvAMD = auto (GLuint a_0, GLuint a_1, GLuint a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glNamedFramebufferSamplePositionsfvAMD *fexldr_ptr_libGL_glNamedFramebufferSamplePositionsfvAMD;
using fexldr_type_libGL_glNamedFramebufferTexture1DEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLuint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glNamedFramebufferTexture1DEXT *fexldr_ptr_libGL_glNamedFramebufferTexture1DEXT;
using fexldr_type_libGL_glNamedFramebufferTexture2DEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLuint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glNamedFramebufferTexture2DEXT *fexldr_ptr_libGL_glNamedFramebufferTexture2DEXT;
using fexldr_type_libGL_glNamedFramebufferTexture3DEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLuint a_3, GLint a_4, GLint a_5) -> void;
static fexldr_type_libGL_glNamedFramebufferTexture3DEXT *fexldr_ptr_libGL_glNamedFramebufferTexture3DEXT;
using fexldr_type_libGL_glNamedFramebufferTextureEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glNamedFramebufferTextureEXT *fexldr_ptr_libGL_glNamedFramebufferTextureEXT;
using fexldr_type_libGL_glNamedFramebufferTextureFaceEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLint a_3, GLenum a_4) -> void;
static fexldr_type_libGL_glNamedFramebufferTextureFaceEXT *fexldr_ptr_libGL_glNamedFramebufferTextureFaceEXT;
using fexldr_type_libGL_glNamedFramebufferTexture = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glNamedFramebufferTexture *fexldr_ptr_libGL_glNamedFramebufferTexture;
using fexldr_type_libGL_glNamedFramebufferTextureLayerEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glNamedFramebufferTextureLayerEXT *fexldr_ptr_libGL_glNamedFramebufferTextureLayerEXT;
using fexldr_type_libGL_glNamedFramebufferTextureLayer = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glNamedFramebufferTextureLayer *fexldr_ptr_libGL_glNamedFramebufferTextureLayer;
using fexldr_type_libGL_glNamedProgramLocalParameter4dEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5, GLdouble a_6) -> void;
static fexldr_type_libGL_glNamedProgramLocalParameter4dEXT *fexldr_ptr_libGL_glNamedProgramLocalParameter4dEXT;
using fexldr_type_libGL_glNamedProgramLocalParameter4dvEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glNamedProgramLocalParameter4dvEXT *fexldr_ptr_libGL_glNamedProgramLocalParameter4dvEXT;
using fexldr_type_libGL_glNamedProgramLocalParameter4fEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6) -> void;
static fexldr_type_libGL_glNamedProgramLocalParameter4fEXT *fexldr_ptr_libGL_glNamedProgramLocalParameter4fEXT;
using fexldr_type_libGL_glNamedProgramLocalParameter4fvEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glNamedProgramLocalParameter4fvEXT *fexldr_ptr_libGL_glNamedProgramLocalParameter4fvEXT;
using fexldr_type_libGL_glNamedProgramLocalParameterI4iEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6) -> void;
static fexldr_type_libGL_glNamedProgramLocalParameterI4iEXT *fexldr_ptr_libGL_glNamedProgramLocalParameterI4iEXT;
using fexldr_type_libGL_glNamedProgramLocalParameterI4ivEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glNamedProgramLocalParameterI4ivEXT *fexldr_ptr_libGL_glNamedProgramLocalParameterI4ivEXT;
using fexldr_type_libGL_glNamedProgramLocalParameterI4uiEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5, GLuint a_6) -> void;
static fexldr_type_libGL_glNamedProgramLocalParameterI4uiEXT *fexldr_ptr_libGL_glNamedProgramLocalParameterI4uiEXT;
using fexldr_type_libGL_glNamedProgramLocalParameterI4uivEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glNamedProgramLocalParameterI4uivEXT *fexldr_ptr_libGL_glNamedProgramLocalParameterI4uivEXT;
using fexldr_type_libGL_glNamedProgramLocalParameters4fvEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLsizei a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glNamedProgramLocalParameters4fvEXT *fexldr_ptr_libGL_glNamedProgramLocalParameters4fvEXT;
using fexldr_type_libGL_glNamedProgramLocalParametersI4ivEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLsizei a_3, const GLint * a_4) -> void;
static fexldr_type_libGL_glNamedProgramLocalParametersI4ivEXT *fexldr_ptr_libGL_glNamedProgramLocalParametersI4ivEXT;
using fexldr_type_libGL_glNamedProgramLocalParametersI4uivEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLsizei a_3, const GLuint * a_4) -> void;
static fexldr_type_libGL_glNamedProgramLocalParametersI4uivEXT *fexldr_ptr_libGL_glNamedProgramLocalParametersI4uivEXT;
using fexldr_type_libGL_glNamedProgramStringEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLsizei a_3, const void * a_4) -> void;
static fexldr_type_libGL_glNamedProgramStringEXT *fexldr_ptr_libGL_glNamedProgramStringEXT;
using fexldr_type_libGL_glNamedRenderbufferStorageEXT = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glNamedRenderbufferStorageEXT *fexldr_ptr_libGL_glNamedRenderbufferStorageEXT;
using fexldr_type_libGL_glNamedRenderbufferStorage = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glNamedRenderbufferStorage *fexldr_ptr_libGL_glNamedRenderbufferStorage;
using fexldr_type_libGL_glNamedRenderbufferStorageMultisampleAdvancedAMD = auto (GLuint a_0, GLsizei a_1, GLsizei a_2, GLenum a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glNamedRenderbufferStorageMultisampleAdvancedAMD *fexldr_ptr_libGL_glNamedRenderbufferStorageMultisampleAdvancedAMD;
using fexldr_type_libGL_glNamedRenderbufferStorageMultisampleCoverageEXT = auto (GLuint a_0, GLsizei a_1, GLsizei a_2, GLenum a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glNamedRenderbufferStorageMultisampleCoverageEXT *fexldr_ptr_libGL_glNamedRenderbufferStorageMultisampleCoverageEXT;
using fexldr_type_libGL_glNamedRenderbufferStorageMultisampleEXT = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glNamedRenderbufferStorageMultisampleEXT *fexldr_ptr_libGL_glNamedRenderbufferStorageMultisampleEXT;
using fexldr_type_libGL_glNamedRenderbufferStorageMultisample = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glNamedRenderbufferStorageMultisample *fexldr_ptr_libGL_glNamedRenderbufferStorageMultisample;
using fexldr_type_libGL_glNamedStringARB = auto (GLenum a_0, GLint a_1, const GLchar * a_2, GLint a_3, const GLchar * a_4) -> void;
static fexldr_type_libGL_glNamedStringARB *fexldr_ptr_libGL_glNamedStringARB;
using fexldr_type_libGL_glNewList = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glNewList *fexldr_ptr_libGL_glNewList;
using fexldr_type_libGL_glNormal3b = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2) -> void;
static fexldr_type_libGL_glNormal3b *fexldr_ptr_libGL_glNormal3b;
using fexldr_type_libGL_glNormal3bv = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glNormal3bv *fexldr_ptr_libGL_glNormal3bv;
using fexldr_type_libGL_glNormal3d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glNormal3d *fexldr_ptr_libGL_glNormal3d;
using fexldr_type_libGL_glNormal3dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glNormal3dv *fexldr_ptr_libGL_glNormal3dv;
using fexldr_type_libGL_glNormal3f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glNormal3f *fexldr_ptr_libGL_glNormal3f;
using fexldr_type_libGL_glNormal3fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glNormal3fv *fexldr_ptr_libGL_glNormal3fv;
using fexldr_type_libGL_glNormal3fVertex3fSUN = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glNormal3fVertex3fSUN *fexldr_ptr_libGL_glNormal3fVertex3fSUN;
using fexldr_type_libGL_glNormal3fVertex3fvSUN = auto (const GLfloat * a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glNormal3fVertex3fvSUN *fexldr_ptr_libGL_glNormal3fVertex3fvSUN;
using fexldr_type_libGL_glNormal3hNV = auto (GLhalfNV a_0, GLhalfNV a_1, GLhalfNV a_2) -> void;
static fexldr_type_libGL_glNormal3hNV *fexldr_ptr_libGL_glNormal3hNV;
using fexldr_type_libGL_glNormal3hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glNormal3hvNV *fexldr_ptr_libGL_glNormal3hvNV;
using fexldr_type_libGL_glNormal3i = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glNormal3i *fexldr_ptr_libGL_glNormal3i;
using fexldr_type_libGL_glNormal3iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glNormal3iv *fexldr_ptr_libGL_glNormal3iv;
using fexldr_type_libGL_glNormal3s = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glNormal3s *fexldr_ptr_libGL_glNormal3s;
using fexldr_type_libGL_glNormal3sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glNormal3sv *fexldr_ptr_libGL_glNormal3sv;
using fexldr_type_libGL_glNormal3xOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glNormal3xOES *fexldr_ptr_libGL_glNormal3xOES;
using fexldr_type_libGL_glNormal3xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glNormal3xvOES *fexldr_ptr_libGL_glNormal3xvOES;
using fexldr_type_libGL_glNormalFormatNV = auto (GLenum a_0, GLsizei a_1) -> void;
static fexldr_type_libGL_glNormalFormatNV *fexldr_ptr_libGL_glNormalFormatNV;
using fexldr_type_libGL_glNormalPointerEXT = auto (GLenum a_0, GLsizei a_1, GLsizei a_2, const void * a_3) -> void;
static fexldr_type_libGL_glNormalPointerEXT *fexldr_ptr_libGL_glNormalPointerEXT;
using fexldr_type_libGL_glNormalPointer = auto (GLenum a_0, GLsizei a_1, const GLvoid * a_2) -> void;
static fexldr_type_libGL_glNormalPointer *fexldr_ptr_libGL_glNormalPointer;
using fexldr_type_libGL_glNormalPointerListIBM = auto (GLenum a_0, GLint a_1, const void ** a_2, GLint a_3) -> void;
static fexldr_type_libGL_glNormalPointerListIBM *fexldr_ptr_libGL_glNormalPointerListIBM;
using fexldr_type_libGL_glNormalPointervINTEL = auto (GLenum a_0, const void ** a_1) -> void;
static fexldr_type_libGL_glNormalPointervINTEL *fexldr_ptr_libGL_glNormalPointervINTEL;
using fexldr_type_libGL_glNormalStream3bATI = auto (GLenum a_0, GLbyte a_1, GLbyte a_2, GLbyte a_3) -> void;
static fexldr_type_libGL_glNormalStream3bATI *fexldr_ptr_libGL_glNormalStream3bATI;
using fexldr_type_libGL_glNormalStream3bvATI = auto (GLenum a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glNormalStream3bvATI *fexldr_ptr_libGL_glNormalStream3bvATI;
using fexldr_type_libGL_glNormalStream3dATI = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glNormalStream3dATI *fexldr_ptr_libGL_glNormalStream3dATI;
using fexldr_type_libGL_glNormalStream3dvATI = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glNormalStream3dvATI *fexldr_ptr_libGL_glNormalStream3dvATI;
using fexldr_type_libGL_glNormalStream3fATI = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glNormalStream3fATI *fexldr_ptr_libGL_glNormalStream3fATI;
using fexldr_type_libGL_glNormalStream3fvATI = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glNormalStream3fvATI *fexldr_ptr_libGL_glNormalStream3fvATI;
using fexldr_type_libGL_glNormalStream3iATI = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glNormalStream3iATI *fexldr_ptr_libGL_glNormalStream3iATI;
using fexldr_type_libGL_glNormalStream3ivATI = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glNormalStream3ivATI *fexldr_ptr_libGL_glNormalStream3ivATI;
using fexldr_type_libGL_glNormalStream3sATI = auto (GLenum a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glNormalStream3sATI *fexldr_ptr_libGL_glNormalStream3sATI;
using fexldr_type_libGL_glNormalStream3svATI = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glNormalStream3svATI *fexldr_ptr_libGL_glNormalStream3svATI;
using fexldr_type_libGL_glObjectLabel = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLchar * a_3) -> void;
static fexldr_type_libGL_glObjectLabel *fexldr_ptr_libGL_glObjectLabel;
using fexldr_type_libGL_glObjectPtrLabel = auto (const void * a_0, GLsizei a_1, const GLchar * a_2) -> void;
static fexldr_type_libGL_glObjectPtrLabel *fexldr_ptr_libGL_glObjectPtrLabel;
using fexldr_type_libGL_glOrthofOES = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glOrthofOES *fexldr_ptr_libGL_glOrthofOES;
using fexldr_type_libGL_glOrtho = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5) -> void;
static fexldr_type_libGL_glOrtho *fexldr_ptr_libGL_glOrtho;
using fexldr_type_libGL_glOrthoxOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3, GLfixed a_4, GLfixed a_5) -> void;
static fexldr_type_libGL_glOrthoxOES *fexldr_ptr_libGL_glOrthoxOES;
using fexldr_type_libGL_glPassTexCoordATI = auto (GLuint a_0, GLuint a_1, GLenum a_2) -> void;
static fexldr_type_libGL_glPassTexCoordATI *fexldr_ptr_libGL_glPassTexCoordATI;
using fexldr_type_libGL_glPassThrough = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glPassThrough *fexldr_ptr_libGL_glPassThrough;
using fexldr_type_libGL_glPassThroughxOES = auto (GLfixed a_0) -> void;
static fexldr_type_libGL_glPassThroughxOES *fexldr_ptr_libGL_glPassThroughxOES;
using fexldr_type_libGL_glPatchParameterfv = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glPatchParameterfv *fexldr_ptr_libGL_glPatchParameterfv;
using fexldr_type_libGL_glPatchParameteri = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glPatchParameteri *fexldr_ptr_libGL_glPatchParameteri;
using fexldr_type_libGL_glPathCommandsNV = auto (GLuint a_0, GLsizei a_1, const GLubyte * a_2, GLsizei a_3, GLenum a_4, const void * a_5) -> void;
static fexldr_type_libGL_glPathCommandsNV *fexldr_ptr_libGL_glPathCommandsNV;
using fexldr_type_libGL_glPathCoordsNV = auto (GLuint a_0, GLsizei a_1, GLenum a_2, const void * a_3) -> void;
static fexldr_type_libGL_glPathCoordsNV *fexldr_ptr_libGL_glPathCoordsNV;
using fexldr_type_libGL_glPathCoverDepthFuncNV = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glPathCoverDepthFuncNV *fexldr_ptr_libGL_glPathCoverDepthFuncNV;
using fexldr_type_libGL_glPathDashArrayNV = auto (GLuint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glPathDashArrayNV *fexldr_ptr_libGL_glPathDashArrayNV;
using fexldr_type_libGL_glPathGlyphRangeNV = auto (GLuint a_0, GLenum a_1, const void * a_2, GLbitfield a_3, GLuint a_4, GLsizei a_5, GLenum a_6, GLuint a_7, GLfloat a_8) -> void;
static fexldr_type_libGL_glPathGlyphRangeNV *fexldr_ptr_libGL_glPathGlyphRangeNV;
using fexldr_type_libGL_glPathGlyphsNV = auto (GLuint a_0, GLenum a_1, const void * a_2, GLbitfield a_3, GLsizei a_4, GLenum a_5, const void * a_6, GLenum a_7, GLuint a_8, GLfloat a_9) -> void;
static fexldr_type_libGL_glPathGlyphsNV *fexldr_ptr_libGL_glPathGlyphsNV;
using fexldr_type_libGL_glPathParameterfNV = auto (GLuint a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glPathParameterfNV *fexldr_ptr_libGL_glPathParameterfNV;
using fexldr_type_libGL_glPathParameterfvNV = auto (GLuint a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glPathParameterfvNV *fexldr_ptr_libGL_glPathParameterfvNV;
using fexldr_type_libGL_glPathParameteriNV = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glPathParameteriNV *fexldr_ptr_libGL_glPathParameteriNV;
using fexldr_type_libGL_glPathParameterivNV = auto (GLuint a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glPathParameterivNV *fexldr_ptr_libGL_glPathParameterivNV;
using fexldr_type_libGL_glPathStencilDepthOffsetNV = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPathStencilDepthOffsetNV *fexldr_ptr_libGL_glPathStencilDepthOffsetNV;
using fexldr_type_libGL_glPathStencilFuncNV = auto (GLenum a_0, GLint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glPathStencilFuncNV *fexldr_ptr_libGL_glPathStencilFuncNV;
using fexldr_type_libGL_glPathStringNV = auto (GLuint a_0, GLenum a_1, GLsizei a_2, const void * a_3) -> void;
static fexldr_type_libGL_glPathStringNV *fexldr_ptr_libGL_glPathStringNV;
using fexldr_type_libGL_glPathSubCommandsNV = auto (GLuint a_0, GLsizei a_1, GLsizei a_2, GLsizei a_3, const GLubyte * a_4, GLsizei a_5, GLenum a_6, const void * a_7) -> void;
static fexldr_type_libGL_glPathSubCommandsNV *fexldr_ptr_libGL_glPathSubCommandsNV;
using fexldr_type_libGL_glPathSubCoordsNV = auto (GLuint a_0, GLsizei a_1, GLsizei a_2, GLenum a_3, const void * a_4) -> void;
static fexldr_type_libGL_glPathSubCoordsNV *fexldr_ptr_libGL_glPathSubCoordsNV;
using fexldr_type_libGL_glPauseTransformFeedback = auto () -> void;
static fexldr_type_libGL_glPauseTransformFeedback *fexldr_ptr_libGL_glPauseTransformFeedback;
using fexldr_type_libGL_glPauseTransformFeedbackNV = auto () -> void;
static fexldr_type_libGL_glPauseTransformFeedbackNV *fexldr_ptr_libGL_glPauseTransformFeedbackNV;
using fexldr_type_libGL_glPixelDataRangeNV = auto (GLenum a_0, GLsizei a_1, const void * a_2) -> void;
static fexldr_type_libGL_glPixelDataRangeNV *fexldr_ptr_libGL_glPixelDataRangeNV;
using fexldr_type_libGL_glPixelMapfv = auto (GLenum a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glPixelMapfv *fexldr_ptr_libGL_glPixelMapfv;
using fexldr_type_libGL_glPixelMapuiv = auto (GLenum a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glPixelMapuiv *fexldr_ptr_libGL_glPixelMapuiv;
using fexldr_type_libGL_glPixelMapusv = auto (GLenum a_0, GLsizei a_1, const GLushort * a_2) -> void;
static fexldr_type_libGL_glPixelMapusv *fexldr_ptr_libGL_glPixelMapusv;
using fexldr_type_libGL_glPixelMapx = auto (GLenum a_0, GLint a_1, const GLfixed * a_2) -> void;
static fexldr_type_libGL_glPixelMapx *fexldr_ptr_libGL_glPixelMapx;
using fexldr_type_libGL_glPixelStoref = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPixelStoref *fexldr_ptr_libGL_glPixelStoref;
using fexldr_type_libGL_glPixelStorei = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glPixelStorei *fexldr_ptr_libGL_glPixelStorei;
using fexldr_type_libGL_glPixelStorex = auto (GLenum a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glPixelStorex *fexldr_ptr_libGL_glPixelStorex;
using fexldr_type_libGL_glPixelTexGenParameterfSGIS = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPixelTexGenParameterfSGIS *fexldr_ptr_libGL_glPixelTexGenParameterfSGIS;
using fexldr_type_libGL_glPixelTexGenParameterfvSGIS = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glPixelTexGenParameterfvSGIS *fexldr_ptr_libGL_glPixelTexGenParameterfvSGIS;
using fexldr_type_libGL_glPixelTexGenParameteriSGIS = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glPixelTexGenParameteriSGIS *fexldr_ptr_libGL_glPixelTexGenParameteriSGIS;
using fexldr_type_libGL_glPixelTexGenParameterivSGIS = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glPixelTexGenParameterivSGIS *fexldr_ptr_libGL_glPixelTexGenParameterivSGIS;
using fexldr_type_libGL_glPixelTexGenSGIX = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glPixelTexGenSGIX *fexldr_ptr_libGL_glPixelTexGenSGIX;
using fexldr_type_libGL_glPixelTransferf = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPixelTransferf *fexldr_ptr_libGL_glPixelTransferf;
using fexldr_type_libGL_glPixelTransferi = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glPixelTransferi *fexldr_ptr_libGL_glPixelTransferi;
using fexldr_type_libGL_glPixelTransferxOES = auto (GLenum a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glPixelTransferxOES *fexldr_ptr_libGL_glPixelTransferxOES;
using fexldr_type_libGL_glPixelTransformParameterfEXT = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glPixelTransformParameterfEXT *fexldr_ptr_libGL_glPixelTransformParameterfEXT;
using fexldr_type_libGL_glPixelTransformParameterfvEXT = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glPixelTransformParameterfvEXT *fexldr_ptr_libGL_glPixelTransformParameterfvEXT;
using fexldr_type_libGL_glPixelTransformParameteriEXT = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glPixelTransformParameteriEXT *fexldr_ptr_libGL_glPixelTransformParameteriEXT;
using fexldr_type_libGL_glPixelTransformParameterivEXT = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glPixelTransformParameterivEXT *fexldr_ptr_libGL_glPixelTransformParameterivEXT;
using fexldr_type_libGL_glPixelZoom = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPixelZoom *fexldr_ptr_libGL_glPixelZoom;
using fexldr_type_libGL_glPixelZoomxOES = auto (GLfixed a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glPixelZoomxOES *fexldr_ptr_libGL_glPixelZoomxOES;
using fexldr_type_libGL_glPNTrianglesfATI = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPNTrianglesfATI *fexldr_ptr_libGL_glPNTrianglesfATI;
using fexldr_type_libGL_glPNTrianglesiATI = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glPNTrianglesiATI *fexldr_ptr_libGL_glPNTrianglesiATI;
using fexldr_type_libGL_glPointParameterfARB = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPointParameterfARB *fexldr_ptr_libGL_glPointParameterfARB;
using fexldr_type_libGL_glPointParameterfEXT = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPointParameterfEXT *fexldr_ptr_libGL_glPointParameterfEXT;
using fexldr_type_libGL_glPointParameterf = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPointParameterf *fexldr_ptr_libGL_glPointParameterf;
using fexldr_type_libGL_glPointParameterfSGIS = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPointParameterfSGIS *fexldr_ptr_libGL_glPointParameterfSGIS;
using fexldr_type_libGL_glPointParameterfvARB = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glPointParameterfvARB *fexldr_ptr_libGL_glPointParameterfvARB;
using fexldr_type_libGL_glPointParameterfvEXT = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glPointParameterfvEXT *fexldr_ptr_libGL_glPointParameterfvEXT;
using fexldr_type_libGL_glPointParameterfv = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glPointParameterfv *fexldr_ptr_libGL_glPointParameterfv;
using fexldr_type_libGL_glPointParameterfvSGIS = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glPointParameterfvSGIS *fexldr_ptr_libGL_glPointParameterfvSGIS;
using fexldr_type_libGL_glPointParameteri = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glPointParameteri *fexldr_ptr_libGL_glPointParameteri;
using fexldr_type_libGL_glPointParameteriNV = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glPointParameteriNV *fexldr_ptr_libGL_glPointParameteriNV;
using fexldr_type_libGL_glPointParameteriv = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glPointParameteriv *fexldr_ptr_libGL_glPointParameteriv;
using fexldr_type_libGL_glPointParameterivNV = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glPointParameterivNV *fexldr_ptr_libGL_glPointParameterivNV;
using fexldr_type_libGL_glPointParameterxvOES = auto (GLenum a_0, const GLfixed * a_1) -> void;
static fexldr_type_libGL_glPointParameterxvOES *fexldr_ptr_libGL_glPointParameterxvOES;
using fexldr_type_libGL_glPointSize = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glPointSize *fexldr_ptr_libGL_glPointSize;
using fexldr_type_libGL_glPointSizexOES = auto (GLfixed a_0) -> void;
static fexldr_type_libGL_glPointSizexOES *fexldr_ptr_libGL_glPointSizexOES;
using fexldr_type_libGL_glPolygonMode = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glPolygonMode *fexldr_ptr_libGL_glPolygonMode;
using fexldr_type_libGL_glPolygonOffsetClampEXT = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glPolygonOffsetClampEXT *fexldr_ptr_libGL_glPolygonOffsetClampEXT;
using fexldr_type_libGL_glPolygonOffsetClamp = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glPolygonOffsetClamp *fexldr_ptr_libGL_glPolygonOffsetClamp;
using fexldr_type_libGL_glPolygonOffsetEXT = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPolygonOffsetEXT *fexldr_ptr_libGL_glPolygonOffsetEXT;
using fexldr_type_libGL_glPolygonOffset = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glPolygonOffset *fexldr_ptr_libGL_glPolygonOffset;
using fexldr_type_libGL_glPolygonOffsetxOES = auto (GLfixed a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glPolygonOffsetxOES *fexldr_ptr_libGL_glPolygonOffsetxOES;
using fexldr_type_libGL_glPolygonStipple = auto (const GLubyte * a_0) -> void;
static fexldr_type_libGL_glPolygonStipple *fexldr_ptr_libGL_glPolygonStipple;
using fexldr_type_libGL_glPopAttrib = auto () -> void;
static fexldr_type_libGL_glPopAttrib *fexldr_ptr_libGL_glPopAttrib;
using fexldr_type_libGL_glPopClientAttrib = auto () -> void;
static fexldr_type_libGL_glPopClientAttrib *fexldr_ptr_libGL_glPopClientAttrib;
using fexldr_type_libGL_glPopDebugGroup = auto () -> void;
static fexldr_type_libGL_glPopDebugGroup *fexldr_ptr_libGL_glPopDebugGroup;
using fexldr_type_libGL_glPopGroupMarkerEXT = auto () -> void;
static fexldr_type_libGL_glPopGroupMarkerEXT *fexldr_ptr_libGL_glPopGroupMarkerEXT;
using fexldr_type_libGL_glPopMatrix = auto () -> void;
static fexldr_type_libGL_glPopMatrix *fexldr_ptr_libGL_glPopMatrix;
using fexldr_type_libGL_glPopName = auto () -> void;
static fexldr_type_libGL_glPopName *fexldr_ptr_libGL_glPopName;
using fexldr_type_libGL_glPresentFrameDualFillNV = auto (GLuint a_0, GLuint64EXT a_1, GLuint a_2, GLuint a_3, GLenum a_4, GLenum a_5, GLuint a_6, GLenum a_7, GLuint a_8, GLenum a_9, GLuint a_10, GLenum a_11, GLuint a_12) -> void;
static fexldr_type_libGL_glPresentFrameDualFillNV *fexldr_ptr_libGL_glPresentFrameDualFillNV;
using fexldr_type_libGL_glPresentFrameKeyedNV = auto (GLuint a_0, GLuint64EXT a_1, GLuint a_2, GLuint a_3, GLenum a_4, GLenum a_5, GLuint a_6, GLuint a_7, GLenum a_8, GLuint a_9, GLuint a_10) -> void;
static fexldr_type_libGL_glPresentFrameKeyedNV *fexldr_ptr_libGL_glPresentFrameKeyedNV;
using fexldr_type_libGL_glPrimitiveBoundingBoxARB = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7) -> void;
static fexldr_type_libGL_glPrimitiveBoundingBoxARB *fexldr_ptr_libGL_glPrimitiveBoundingBoxARB;
using fexldr_type_libGL_glPrimitiveRestartIndex = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glPrimitiveRestartIndex *fexldr_ptr_libGL_glPrimitiveRestartIndex;
using fexldr_type_libGL_glPrimitiveRestartIndexNV = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glPrimitiveRestartIndexNV *fexldr_ptr_libGL_glPrimitiveRestartIndexNV;
using fexldr_type_libGL_glPrimitiveRestartNV = auto () -> void;
static fexldr_type_libGL_glPrimitiveRestartNV *fexldr_ptr_libGL_glPrimitiveRestartNV;
using fexldr_type_libGL_glPrioritizeTexturesEXT = auto (GLsizei a_0, const GLuint * a_1, const GLclampf * a_2) -> void;
static fexldr_type_libGL_glPrioritizeTexturesEXT *fexldr_ptr_libGL_glPrioritizeTexturesEXT;
using fexldr_type_libGL_glPrioritizeTextures = auto (GLsizei a_0, const GLuint * a_1, const GLclampf * a_2) -> void;
static fexldr_type_libGL_glPrioritizeTextures *fexldr_ptr_libGL_glPrioritizeTextures;
using fexldr_type_libGL_glPrioritizeTexturesxOES = auto (GLsizei a_0, const GLuint * a_1, const GLfixed * a_2) -> void;
static fexldr_type_libGL_glPrioritizeTexturesxOES *fexldr_ptr_libGL_glPrioritizeTexturesxOES;
using fexldr_type_libGL_glProgramBinary = auto (GLuint a_0, GLenum a_1, const void * a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glProgramBinary *fexldr_ptr_libGL_glProgramBinary;
using fexldr_type_libGL_glProgramBufferParametersfvNV = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLsizei a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramBufferParametersfvNV *fexldr_ptr_libGL_glProgramBufferParametersfvNV;
using fexldr_type_libGL_glProgramBufferParametersIivNV = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLsizei a_3, const GLint * a_4) -> void;
static fexldr_type_libGL_glProgramBufferParametersIivNV *fexldr_ptr_libGL_glProgramBufferParametersIivNV;
using fexldr_type_libGL_glProgramBufferParametersIuivNV = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLsizei a_3, const GLuint * a_4) -> void;
static fexldr_type_libGL_glProgramBufferParametersIuivNV *fexldr_ptr_libGL_glProgramBufferParametersIuivNV;
using fexldr_type_libGL_glProgramEnvParameter4dARB = auto (GLenum a_0, GLuint a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5) -> void;
static fexldr_type_libGL_glProgramEnvParameter4dARB *fexldr_ptr_libGL_glProgramEnvParameter4dARB;
using fexldr_type_libGL_glProgramEnvParameter4dvARB = auto (GLenum a_0, GLuint a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glProgramEnvParameter4dvARB *fexldr_ptr_libGL_glProgramEnvParameter4dvARB;
using fexldr_type_libGL_glProgramEnvParameter4fARB = auto (GLenum a_0, GLuint a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glProgramEnvParameter4fARB *fexldr_ptr_libGL_glProgramEnvParameter4fARB;
using fexldr_type_libGL_glProgramEnvParameter4fvARB = auto (GLenum a_0, GLuint a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glProgramEnvParameter4fvARB *fexldr_ptr_libGL_glProgramEnvParameter4fvARB;
using fexldr_type_libGL_glProgramEnvParameterI4iNV = auto (GLenum a_0, GLuint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5) -> void;
static fexldr_type_libGL_glProgramEnvParameterI4iNV *fexldr_ptr_libGL_glProgramEnvParameterI4iNV;
using fexldr_type_libGL_glProgramEnvParameterI4ivNV = auto (GLenum a_0, GLuint a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glProgramEnvParameterI4ivNV *fexldr_ptr_libGL_glProgramEnvParameterI4ivNV;
using fexldr_type_libGL_glProgramEnvParameterI4uiNV = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glProgramEnvParameterI4uiNV *fexldr_ptr_libGL_glProgramEnvParameterI4uiNV;
using fexldr_type_libGL_glProgramEnvParameterI4uivNV = auto (GLenum a_0, GLuint a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glProgramEnvParameterI4uivNV *fexldr_ptr_libGL_glProgramEnvParameterI4uivNV;
using fexldr_type_libGL_glProgramEnvParameters4fvEXT = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramEnvParameters4fvEXT *fexldr_ptr_libGL_glProgramEnvParameters4fvEXT;
using fexldr_type_libGL_glProgramEnvParametersI4ivNV = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glProgramEnvParametersI4ivNV *fexldr_ptr_libGL_glProgramEnvParametersI4ivNV;
using fexldr_type_libGL_glProgramEnvParametersI4uivNV = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glProgramEnvParametersI4uivNV *fexldr_ptr_libGL_glProgramEnvParametersI4uivNV;
using fexldr_type_libGL_glProgramLocalParameter4dARB = auto (GLenum a_0, GLuint a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5) -> void;
static fexldr_type_libGL_glProgramLocalParameter4dARB *fexldr_ptr_libGL_glProgramLocalParameter4dARB;
using fexldr_type_libGL_glProgramLocalParameter4dvARB = auto (GLenum a_0, GLuint a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glProgramLocalParameter4dvARB *fexldr_ptr_libGL_glProgramLocalParameter4dvARB;
using fexldr_type_libGL_glProgramLocalParameter4fARB = auto (GLenum a_0, GLuint a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glProgramLocalParameter4fARB *fexldr_ptr_libGL_glProgramLocalParameter4fARB;
using fexldr_type_libGL_glProgramLocalParameter4fvARB = auto (GLenum a_0, GLuint a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glProgramLocalParameter4fvARB *fexldr_ptr_libGL_glProgramLocalParameter4fvARB;
using fexldr_type_libGL_glProgramLocalParameterI4iNV = auto (GLenum a_0, GLuint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5) -> void;
static fexldr_type_libGL_glProgramLocalParameterI4iNV *fexldr_ptr_libGL_glProgramLocalParameterI4iNV;
using fexldr_type_libGL_glProgramLocalParameterI4ivNV = auto (GLenum a_0, GLuint a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glProgramLocalParameterI4ivNV *fexldr_ptr_libGL_glProgramLocalParameterI4ivNV;
using fexldr_type_libGL_glProgramLocalParameterI4uiNV = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glProgramLocalParameterI4uiNV *fexldr_ptr_libGL_glProgramLocalParameterI4uiNV;
using fexldr_type_libGL_glProgramLocalParameterI4uivNV = auto (GLenum a_0, GLuint a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glProgramLocalParameterI4uivNV *fexldr_ptr_libGL_glProgramLocalParameterI4uivNV;
using fexldr_type_libGL_glProgramLocalParameters4fvEXT = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramLocalParameters4fvEXT *fexldr_ptr_libGL_glProgramLocalParameters4fvEXT;
using fexldr_type_libGL_glProgramLocalParametersI4ivNV = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glProgramLocalParametersI4ivNV *fexldr_ptr_libGL_glProgramLocalParametersI4ivNV;
using fexldr_type_libGL_glProgramLocalParametersI4uivNV = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glProgramLocalParametersI4uivNV *fexldr_ptr_libGL_glProgramLocalParametersI4uivNV;
using fexldr_type_libGL_glProgramNamedParameter4dNV = auto (GLuint a_0, GLsizei a_1, const GLubyte * a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5, GLdouble a_6) -> void;
static fexldr_type_libGL_glProgramNamedParameter4dNV *fexldr_ptr_libGL_glProgramNamedParameter4dNV;
using fexldr_type_libGL_glProgramNamedParameter4dvNV = auto (GLuint a_0, GLsizei a_1, const GLubyte * a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glProgramNamedParameter4dvNV *fexldr_ptr_libGL_glProgramNamedParameter4dvNV;
using fexldr_type_libGL_glProgramNamedParameter4fNV = auto (GLuint a_0, GLsizei a_1, const GLubyte * a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6) -> void;
static fexldr_type_libGL_glProgramNamedParameter4fNV *fexldr_ptr_libGL_glProgramNamedParameter4fNV;
using fexldr_type_libGL_glProgramNamedParameter4fvNV = auto (GLuint a_0, GLsizei a_1, const GLubyte * a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramNamedParameter4fvNV *fexldr_ptr_libGL_glProgramNamedParameter4fvNV;
using fexldr_type_libGL_glProgramParameter4dNV = auto (GLenum a_0, GLuint a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5) -> void;
static fexldr_type_libGL_glProgramParameter4dNV *fexldr_ptr_libGL_glProgramParameter4dNV;
using fexldr_type_libGL_glProgramParameter4dvNV = auto (GLenum a_0, GLuint a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glProgramParameter4dvNV *fexldr_ptr_libGL_glProgramParameter4dvNV;
using fexldr_type_libGL_glProgramParameter4fNV = auto (GLenum a_0, GLuint a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glProgramParameter4fNV *fexldr_ptr_libGL_glProgramParameter4fNV;
using fexldr_type_libGL_glProgramParameter4fvNV = auto (GLenum a_0, GLuint a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glProgramParameter4fvNV *fexldr_ptr_libGL_glProgramParameter4fvNV;
using fexldr_type_libGL_glProgramParameteriARB = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glProgramParameteriARB *fexldr_ptr_libGL_glProgramParameteriARB;
using fexldr_type_libGL_glProgramParameteriEXT = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glProgramParameteriEXT *fexldr_ptr_libGL_glProgramParameteriEXT;
using fexldr_type_libGL_glProgramParameteri = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glProgramParameteri *fexldr_ptr_libGL_glProgramParameteri;
using fexldr_type_libGL_glProgramParameters4dvNV = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glProgramParameters4dvNV *fexldr_ptr_libGL_glProgramParameters4dvNV;
using fexldr_type_libGL_glProgramParameters4fvNV = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramParameters4fvNV *fexldr_ptr_libGL_glProgramParameters4fvNV;
using fexldr_type_libGL_glProgramPathFragmentInputGenNV = auto (GLuint a_0, GLint a_1, GLenum a_2, GLint a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramPathFragmentInputGenNV *fexldr_ptr_libGL_glProgramPathFragmentInputGenNV;
using fexldr_type_libGL_glProgramStringARB = auto (GLenum a_0, GLenum a_1, GLsizei a_2, const void * a_3) -> void;
static fexldr_type_libGL_glProgramStringARB *fexldr_ptr_libGL_glProgramStringARB;
using fexldr_type_libGL_glProgramSubroutineParametersuivNV = auto (GLenum a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glProgramSubroutineParametersuivNV *fexldr_ptr_libGL_glProgramSubroutineParametersuivNV;
using fexldr_type_libGL_glProgramUniform1dEXT = auto (GLuint a_0, GLint a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glProgramUniform1dEXT *fexldr_ptr_libGL_glProgramUniform1dEXT;
using fexldr_type_libGL_glProgramUniform1d = auto (GLuint a_0, GLint a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glProgramUniform1d *fexldr_ptr_libGL_glProgramUniform1d;
using fexldr_type_libGL_glProgramUniform1dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1dvEXT *fexldr_ptr_libGL_glProgramUniform1dvEXT;
using fexldr_type_libGL_glProgramUniform1dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1dv *fexldr_ptr_libGL_glProgramUniform1dv;
using fexldr_type_libGL_glProgramUniform1fEXT = auto (GLuint a_0, GLint a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glProgramUniform1fEXT *fexldr_ptr_libGL_glProgramUniform1fEXT;
using fexldr_type_libGL_glProgramUniform1f = auto (GLuint a_0, GLint a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glProgramUniform1f *fexldr_ptr_libGL_glProgramUniform1f;
using fexldr_type_libGL_glProgramUniform1fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1fvEXT *fexldr_ptr_libGL_glProgramUniform1fvEXT;
using fexldr_type_libGL_glProgramUniform1fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1fv *fexldr_ptr_libGL_glProgramUniform1fv;
using fexldr_type_libGL_glProgramUniform1i64ARB = auto (GLuint a_0, GLint a_1, GLint64 a_2) -> void;
static fexldr_type_libGL_glProgramUniform1i64ARB *fexldr_ptr_libGL_glProgramUniform1i64ARB;
using fexldr_type_libGL_glProgramUniform1i64NV = auto (GLuint a_0, GLint a_1, GLint64EXT a_2) -> void;
static fexldr_type_libGL_glProgramUniform1i64NV *fexldr_ptr_libGL_glProgramUniform1i64NV;
using fexldr_type_libGL_glProgramUniform1i64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint64 * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1i64vARB *fexldr_ptr_libGL_glProgramUniform1i64vARB;
using fexldr_type_libGL_glProgramUniform1i64vNV = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint64EXT * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1i64vNV *fexldr_ptr_libGL_glProgramUniform1i64vNV;
using fexldr_type_libGL_glProgramUniform1iEXT = auto (GLuint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glProgramUniform1iEXT *fexldr_ptr_libGL_glProgramUniform1iEXT;
using fexldr_type_libGL_glProgramUniform1i = auto (GLuint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glProgramUniform1i *fexldr_ptr_libGL_glProgramUniform1i;
using fexldr_type_libGL_glProgramUniform1ivEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1ivEXT *fexldr_ptr_libGL_glProgramUniform1ivEXT;
using fexldr_type_libGL_glProgramUniform1iv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1iv *fexldr_ptr_libGL_glProgramUniform1iv;
using fexldr_type_libGL_glProgramUniform1ui64ARB = auto (GLuint a_0, GLint a_1, GLuint64 a_2) -> void;
static fexldr_type_libGL_glProgramUniform1ui64ARB *fexldr_ptr_libGL_glProgramUniform1ui64ARB;
using fexldr_type_libGL_glProgramUniform1ui64NV = auto (GLuint a_0, GLint a_1, GLuint64EXT a_2) -> void;
static fexldr_type_libGL_glProgramUniform1ui64NV *fexldr_ptr_libGL_glProgramUniform1ui64NV;
using fexldr_type_libGL_glProgramUniform1ui64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64 * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1ui64vARB *fexldr_ptr_libGL_glProgramUniform1ui64vARB;
using fexldr_type_libGL_glProgramUniform1ui64vNV = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64EXT * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1ui64vNV *fexldr_ptr_libGL_glProgramUniform1ui64vNV;
using fexldr_type_libGL_glProgramUniform1uiEXT = auto (GLuint a_0, GLint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glProgramUniform1uiEXT *fexldr_ptr_libGL_glProgramUniform1uiEXT;
using fexldr_type_libGL_glProgramUniform1ui = auto (GLuint a_0, GLint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glProgramUniform1ui *fexldr_ptr_libGL_glProgramUniform1ui;
using fexldr_type_libGL_glProgramUniform1uivEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1uivEXT *fexldr_ptr_libGL_glProgramUniform1uivEXT;
using fexldr_type_libGL_glProgramUniform1uiv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform1uiv *fexldr_ptr_libGL_glProgramUniform1uiv;
using fexldr_type_libGL_glProgramUniform2dEXT = auto (GLuint a_0, GLint a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glProgramUniform2dEXT *fexldr_ptr_libGL_glProgramUniform2dEXT;
using fexldr_type_libGL_glProgramUniform2d = auto (GLuint a_0, GLint a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glProgramUniform2d *fexldr_ptr_libGL_glProgramUniform2d;
using fexldr_type_libGL_glProgramUniform2dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2dvEXT *fexldr_ptr_libGL_glProgramUniform2dvEXT;
using fexldr_type_libGL_glProgramUniform2dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2dv *fexldr_ptr_libGL_glProgramUniform2dv;
using fexldr_type_libGL_glProgramUniform2fEXT = auto (GLuint a_0, GLint a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glProgramUniform2fEXT *fexldr_ptr_libGL_glProgramUniform2fEXT;
using fexldr_type_libGL_glProgramUniform2f = auto (GLuint a_0, GLint a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glProgramUniform2f *fexldr_ptr_libGL_glProgramUniform2f;
using fexldr_type_libGL_glProgramUniform2fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2fvEXT *fexldr_ptr_libGL_glProgramUniform2fvEXT;
using fexldr_type_libGL_glProgramUniform2fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2fv *fexldr_ptr_libGL_glProgramUniform2fv;
using fexldr_type_libGL_glProgramUniform2i64ARB = auto (GLuint a_0, GLint a_1, GLint64 a_2, GLint64 a_3) -> void;
static fexldr_type_libGL_glProgramUniform2i64ARB *fexldr_ptr_libGL_glProgramUniform2i64ARB;
using fexldr_type_libGL_glProgramUniform2i64NV = auto (GLuint a_0, GLint a_1, GLint64EXT a_2, GLint64EXT a_3) -> void;
static fexldr_type_libGL_glProgramUniform2i64NV *fexldr_ptr_libGL_glProgramUniform2i64NV;
using fexldr_type_libGL_glProgramUniform2i64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint64 * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2i64vARB *fexldr_ptr_libGL_glProgramUniform2i64vARB;
using fexldr_type_libGL_glProgramUniform2i64vNV = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint64EXT * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2i64vNV *fexldr_ptr_libGL_glProgramUniform2i64vNV;
using fexldr_type_libGL_glProgramUniform2iEXT = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glProgramUniform2iEXT *fexldr_ptr_libGL_glProgramUniform2iEXT;
using fexldr_type_libGL_glProgramUniform2i = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glProgramUniform2i *fexldr_ptr_libGL_glProgramUniform2i;
using fexldr_type_libGL_glProgramUniform2ivEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2ivEXT *fexldr_ptr_libGL_glProgramUniform2ivEXT;
using fexldr_type_libGL_glProgramUniform2iv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2iv *fexldr_ptr_libGL_glProgramUniform2iv;
using fexldr_type_libGL_glProgramUniform2ui64ARB = auto (GLuint a_0, GLint a_1, GLuint64 a_2, GLuint64 a_3) -> void;
static fexldr_type_libGL_glProgramUniform2ui64ARB *fexldr_ptr_libGL_glProgramUniform2ui64ARB;
using fexldr_type_libGL_glProgramUniform2ui64NV = auto (GLuint a_0, GLint a_1, GLuint64EXT a_2, GLuint64EXT a_3) -> void;
static fexldr_type_libGL_glProgramUniform2ui64NV *fexldr_ptr_libGL_glProgramUniform2ui64NV;
using fexldr_type_libGL_glProgramUniform2ui64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64 * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2ui64vARB *fexldr_ptr_libGL_glProgramUniform2ui64vARB;
using fexldr_type_libGL_glProgramUniform2ui64vNV = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64EXT * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2ui64vNV *fexldr_ptr_libGL_glProgramUniform2ui64vNV;
using fexldr_type_libGL_glProgramUniform2uiEXT = auto (GLuint a_0, GLint a_1, GLuint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glProgramUniform2uiEXT *fexldr_ptr_libGL_glProgramUniform2uiEXT;
using fexldr_type_libGL_glProgramUniform2ui = auto (GLuint a_0, GLint a_1, GLuint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glProgramUniform2ui *fexldr_ptr_libGL_glProgramUniform2ui;
using fexldr_type_libGL_glProgramUniform2uivEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2uivEXT *fexldr_ptr_libGL_glProgramUniform2uivEXT;
using fexldr_type_libGL_glProgramUniform2uiv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform2uiv *fexldr_ptr_libGL_glProgramUniform2uiv;
using fexldr_type_libGL_glProgramUniform3dEXT = auto (GLuint a_0, GLint a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glProgramUniform3dEXT *fexldr_ptr_libGL_glProgramUniform3dEXT;
using fexldr_type_libGL_glProgramUniform3d = auto (GLuint a_0, GLint a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glProgramUniform3d *fexldr_ptr_libGL_glProgramUniform3d;
using fexldr_type_libGL_glProgramUniform3dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3dvEXT *fexldr_ptr_libGL_glProgramUniform3dvEXT;
using fexldr_type_libGL_glProgramUniform3dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3dv *fexldr_ptr_libGL_glProgramUniform3dv;
using fexldr_type_libGL_glProgramUniform3fEXT = auto (GLuint a_0, GLint a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glProgramUniform3fEXT *fexldr_ptr_libGL_glProgramUniform3fEXT;
using fexldr_type_libGL_glProgramUniform3f = auto (GLuint a_0, GLint a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glProgramUniform3f *fexldr_ptr_libGL_glProgramUniform3f;
using fexldr_type_libGL_glProgramUniform3fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3fvEXT *fexldr_ptr_libGL_glProgramUniform3fvEXT;
using fexldr_type_libGL_glProgramUniform3fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3fv *fexldr_ptr_libGL_glProgramUniform3fv;
using fexldr_type_libGL_glProgramUniform3i64ARB = auto (GLuint a_0, GLint a_1, GLint64 a_2, GLint64 a_3, GLint64 a_4) -> void;
static fexldr_type_libGL_glProgramUniform3i64ARB *fexldr_ptr_libGL_glProgramUniform3i64ARB;
using fexldr_type_libGL_glProgramUniform3i64NV = auto (GLuint a_0, GLint a_1, GLint64EXT a_2, GLint64EXT a_3, GLint64EXT a_4) -> void;
static fexldr_type_libGL_glProgramUniform3i64NV *fexldr_ptr_libGL_glProgramUniform3i64NV;
using fexldr_type_libGL_glProgramUniform3i64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint64 * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3i64vARB *fexldr_ptr_libGL_glProgramUniform3i64vARB;
using fexldr_type_libGL_glProgramUniform3i64vNV = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint64EXT * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3i64vNV *fexldr_ptr_libGL_glProgramUniform3i64vNV;
using fexldr_type_libGL_glProgramUniform3iEXT = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glProgramUniform3iEXT *fexldr_ptr_libGL_glProgramUniform3iEXT;
using fexldr_type_libGL_glProgramUniform3i = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glProgramUniform3i *fexldr_ptr_libGL_glProgramUniform3i;
using fexldr_type_libGL_glProgramUniform3ivEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3ivEXT *fexldr_ptr_libGL_glProgramUniform3ivEXT;
using fexldr_type_libGL_glProgramUniform3iv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3iv *fexldr_ptr_libGL_glProgramUniform3iv;
using fexldr_type_libGL_glProgramUniform3ui64ARB = auto (GLuint a_0, GLint a_1, GLuint64 a_2, GLuint64 a_3, GLuint64 a_4) -> void;
static fexldr_type_libGL_glProgramUniform3ui64ARB *fexldr_ptr_libGL_glProgramUniform3ui64ARB;
using fexldr_type_libGL_glProgramUniform3ui64NV = auto (GLuint a_0, GLint a_1, GLuint64EXT a_2, GLuint64EXT a_3, GLuint64EXT a_4) -> void;
static fexldr_type_libGL_glProgramUniform3ui64NV *fexldr_ptr_libGL_glProgramUniform3ui64NV;
using fexldr_type_libGL_glProgramUniform3ui64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64 * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3ui64vARB *fexldr_ptr_libGL_glProgramUniform3ui64vARB;
using fexldr_type_libGL_glProgramUniform3ui64vNV = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64EXT * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3ui64vNV *fexldr_ptr_libGL_glProgramUniform3ui64vNV;
using fexldr_type_libGL_glProgramUniform3uiEXT = auto (GLuint a_0, GLint a_1, GLuint a_2, GLuint a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glProgramUniform3uiEXT *fexldr_ptr_libGL_glProgramUniform3uiEXT;
using fexldr_type_libGL_glProgramUniform3ui = auto (GLuint a_0, GLint a_1, GLuint a_2, GLuint a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glProgramUniform3ui *fexldr_ptr_libGL_glProgramUniform3ui;
using fexldr_type_libGL_glProgramUniform3uivEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3uivEXT *fexldr_ptr_libGL_glProgramUniform3uivEXT;
using fexldr_type_libGL_glProgramUniform3uiv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform3uiv *fexldr_ptr_libGL_glProgramUniform3uiv;
using fexldr_type_libGL_glProgramUniform4dEXT = auto (GLuint a_0, GLint a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5) -> void;
static fexldr_type_libGL_glProgramUniform4dEXT *fexldr_ptr_libGL_glProgramUniform4dEXT;
using fexldr_type_libGL_glProgramUniform4d = auto (GLuint a_0, GLint a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4, GLdouble a_5) -> void;
static fexldr_type_libGL_glProgramUniform4d *fexldr_ptr_libGL_glProgramUniform4d;
using fexldr_type_libGL_glProgramUniform4dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4dvEXT *fexldr_ptr_libGL_glProgramUniform4dvEXT;
using fexldr_type_libGL_glProgramUniform4dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4dv *fexldr_ptr_libGL_glProgramUniform4dv;
using fexldr_type_libGL_glProgramUniform4fEXT = auto (GLuint a_0, GLint a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glProgramUniform4fEXT *fexldr_ptr_libGL_glProgramUniform4fEXT;
using fexldr_type_libGL_glProgramUniform4f = auto (GLuint a_0, GLint a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glProgramUniform4f *fexldr_ptr_libGL_glProgramUniform4f;
using fexldr_type_libGL_glProgramUniform4fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4fvEXT *fexldr_ptr_libGL_glProgramUniform4fvEXT;
using fexldr_type_libGL_glProgramUniform4fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4fv *fexldr_ptr_libGL_glProgramUniform4fv;
using fexldr_type_libGL_glProgramUniform4i64ARB = auto (GLuint a_0, GLint a_1, GLint64 a_2, GLint64 a_3, GLint64 a_4, GLint64 a_5) -> void;
static fexldr_type_libGL_glProgramUniform4i64ARB *fexldr_ptr_libGL_glProgramUniform4i64ARB;
using fexldr_type_libGL_glProgramUniform4i64NV = auto (GLuint a_0, GLint a_1, GLint64EXT a_2, GLint64EXT a_3, GLint64EXT a_4, GLint64EXT a_5) -> void;
static fexldr_type_libGL_glProgramUniform4i64NV *fexldr_ptr_libGL_glProgramUniform4i64NV;
using fexldr_type_libGL_glProgramUniform4i64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint64 * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4i64vARB *fexldr_ptr_libGL_glProgramUniform4i64vARB;
using fexldr_type_libGL_glProgramUniform4i64vNV = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint64EXT * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4i64vNV *fexldr_ptr_libGL_glProgramUniform4i64vNV;
using fexldr_type_libGL_glProgramUniform4iEXT = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5) -> void;
static fexldr_type_libGL_glProgramUniform4iEXT *fexldr_ptr_libGL_glProgramUniform4iEXT;
using fexldr_type_libGL_glProgramUniform4i = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5) -> void;
static fexldr_type_libGL_glProgramUniform4i *fexldr_ptr_libGL_glProgramUniform4i;
using fexldr_type_libGL_glProgramUniform4ivEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4ivEXT *fexldr_ptr_libGL_glProgramUniform4ivEXT;
using fexldr_type_libGL_glProgramUniform4iv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4iv *fexldr_ptr_libGL_glProgramUniform4iv;
using fexldr_type_libGL_glProgramUniform4ui64ARB = auto (GLuint a_0, GLint a_1, GLuint64 a_2, GLuint64 a_3, GLuint64 a_4, GLuint64 a_5) -> void;
static fexldr_type_libGL_glProgramUniform4ui64ARB *fexldr_ptr_libGL_glProgramUniform4ui64ARB;
using fexldr_type_libGL_glProgramUniform4ui64NV = auto (GLuint a_0, GLint a_1, GLuint64EXT a_2, GLuint64EXT a_3, GLuint64EXT a_4, GLuint64EXT a_5) -> void;
static fexldr_type_libGL_glProgramUniform4ui64NV *fexldr_ptr_libGL_glProgramUniform4ui64NV;
using fexldr_type_libGL_glProgramUniform4ui64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64 * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4ui64vARB *fexldr_ptr_libGL_glProgramUniform4ui64vARB;
using fexldr_type_libGL_glProgramUniform4ui64vNV = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64EXT * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4ui64vNV *fexldr_ptr_libGL_glProgramUniform4ui64vNV;
using fexldr_type_libGL_glProgramUniform4uiEXT = auto (GLuint a_0, GLint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glProgramUniform4uiEXT *fexldr_ptr_libGL_glProgramUniform4uiEXT;
using fexldr_type_libGL_glProgramUniform4ui = auto (GLuint a_0, GLint a_1, GLuint a_2, GLuint a_3, GLuint a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glProgramUniform4ui *fexldr_ptr_libGL_glProgramUniform4ui;
using fexldr_type_libGL_glProgramUniform4uivEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4uivEXT *fexldr_ptr_libGL_glProgramUniform4uivEXT;
using fexldr_type_libGL_glProgramUniform4uiv = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glProgramUniform4uiv *fexldr_ptr_libGL_glProgramUniform4uiv;
using fexldr_type_libGL_glProgramUniformHandleui64ARB = auto (GLuint a_0, GLint a_1, GLuint64 a_2) -> void;
static fexldr_type_libGL_glProgramUniformHandleui64ARB *fexldr_ptr_libGL_glProgramUniformHandleui64ARB;
using fexldr_type_libGL_glProgramUniformHandleui64NV = auto (GLuint a_0, GLint a_1, GLuint64 a_2) -> void;
static fexldr_type_libGL_glProgramUniformHandleui64NV *fexldr_ptr_libGL_glProgramUniformHandleui64NV;
using fexldr_type_libGL_glProgramUniformHandleui64vARB = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64 * a_3) -> void;
static fexldr_type_libGL_glProgramUniformHandleui64vARB *fexldr_ptr_libGL_glProgramUniformHandleui64vARB;
using fexldr_type_libGL_glProgramUniformHandleui64vNV = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64 * a_3) -> void;
static fexldr_type_libGL_glProgramUniformHandleui64vNV *fexldr_ptr_libGL_glProgramUniformHandleui64vNV;
using fexldr_type_libGL_glProgramUniformMatrix2dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2dvEXT *fexldr_ptr_libGL_glProgramUniformMatrix2dvEXT;
using fexldr_type_libGL_glProgramUniformMatrix2dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2dv *fexldr_ptr_libGL_glProgramUniformMatrix2dv;
using fexldr_type_libGL_glProgramUniformMatrix2fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2fvEXT *fexldr_ptr_libGL_glProgramUniformMatrix2fvEXT;
using fexldr_type_libGL_glProgramUniformMatrix2fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2fv *fexldr_ptr_libGL_glProgramUniformMatrix2fv;
using fexldr_type_libGL_glProgramUniformMatrix2x3dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2x3dvEXT *fexldr_ptr_libGL_glProgramUniformMatrix2x3dvEXT;
using fexldr_type_libGL_glProgramUniformMatrix2x3dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2x3dv *fexldr_ptr_libGL_glProgramUniformMatrix2x3dv;
using fexldr_type_libGL_glProgramUniformMatrix2x3fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2x3fvEXT *fexldr_ptr_libGL_glProgramUniformMatrix2x3fvEXT;
using fexldr_type_libGL_glProgramUniformMatrix2x3fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2x3fv *fexldr_ptr_libGL_glProgramUniformMatrix2x3fv;
using fexldr_type_libGL_glProgramUniformMatrix2x4dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2x4dvEXT *fexldr_ptr_libGL_glProgramUniformMatrix2x4dvEXT;
using fexldr_type_libGL_glProgramUniformMatrix2x4dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2x4dv *fexldr_ptr_libGL_glProgramUniformMatrix2x4dv;
using fexldr_type_libGL_glProgramUniformMatrix2x4fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2x4fvEXT *fexldr_ptr_libGL_glProgramUniformMatrix2x4fvEXT;
using fexldr_type_libGL_glProgramUniformMatrix2x4fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix2x4fv *fexldr_ptr_libGL_glProgramUniformMatrix2x4fv;
using fexldr_type_libGL_glProgramUniformMatrix3dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3dvEXT *fexldr_ptr_libGL_glProgramUniformMatrix3dvEXT;
using fexldr_type_libGL_glProgramUniformMatrix3dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3dv *fexldr_ptr_libGL_glProgramUniformMatrix3dv;
using fexldr_type_libGL_glProgramUniformMatrix3fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3fvEXT *fexldr_ptr_libGL_glProgramUniformMatrix3fvEXT;
using fexldr_type_libGL_glProgramUniformMatrix3fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3fv *fexldr_ptr_libGL_glProgramUniformMatrix3fv;
using fexldr_type_libGL_glProgramUniformMatrix3x2dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3x2dvEXT *fexldr_ptr_libGL_glProgramUniformMatrix3x2dvEXT;
using fexldr_type_libGL_glProgramUniformMatrix3x2dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3x2dv *fexldr_ptr_libGL_glProgramUniformMatrix3x2dv;
using fexldr_type_libGL_glProgramUniformMatrix3x2fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3x2fvEXT *fexldr_ptr_libGL_glProgramUniformMatrix3x2fvEXT;
using fexldr_type_libGL_glProgramUniformMatrix3x2fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3x2fv *fexldr_ptr_libGL_glProgramUniformMatrix3x2fv;
using fexldr_type_libGL_glProgramUniformMatrix3x4dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3x4dvEXT *fexldr_ptr_libGL_glProgramUniformMatrix3x4dvEXT;
using fexldr_type_libGL_glProgramUniformMatrix3x4dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3x4dv *fexldr_ptr_libGL_glProgramUniformMatrix3x4dv;
using fexldr_type_libGL_glProgramUniformMatrix3x4fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3x4fvEXT *fexldr_ptr_libGL_glProgramUniformMatrix3x4fvEXT;
using fexldr_type_libGL_glProgramUniformMatrix3x4fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix3x4fv *fexldr_ptr_libGL_glProgramUniformMatrix3x4fv;
using fexldr_type_libGL_glProgramUniformMatrix4dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4dvEXT *fexldr_ptr_libGL_glProgramUniformMatrix4dvEXT;
using fexldr_type_libGL_glProgramUniformMatrix4dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4dv *fexldr_ptr_libGL_glProgramUniformMatrix4dv;
using fexldr_type_libGL_glProgramUniformMatrix4fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4fvEXT *fexldr_ptr_libGL_glProgramUniformMatrix4fvEXT;
using fexldr_type_libGL_glProgramUniformMatrix4fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4fv *fexldr_ptr_libGL_glProgramUniformMatrix4fv;
using fexldr_type_libGL_glProgramUniformMatrix4x2dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4x2dvEXT *fexldr_ptr_libGL_glProgramUniformMatrix4x2dvEXT;
using fexldr_type_libGL_glProgramUniformMatrix4x2dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4x2dv *fexldr_ptr_libGL_glProgramUniformMatrix4x2dv;
using fexldr_type_libGL_glProgramUniformMatrix4x2fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4x2fvEXT *fexldr_ptr_libGL_glProgramUniformMatrix4x2fvEXT;
using fexldr_type_libGL_glProgramUniformMatrix4x2fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4x2fv *fexldr_ptr_libGL_glProgramUniformMatrix4x2fv;
using fexldr_type_libGL_glProgramUniformMatrix4x3dvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4x3dvEXT *fexldr_ptr_libGL_glProgramUniformMatrix4x3dvEXT;
using fexldr_type_libGL_glProgramUniformMatrix4x3dv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLdouble * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4x3dv *fexldr_ptr_libGL_glProgramUniformMatrix4x3dv;
using fexldr_type_libGL_glProgramUniformMatrix4x3fvEXT = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4x3fvEXT *fexldr_ptr_libGL_glProgramUniformMatrix4x3fvEXT;
using fexldr_type_libGL_glProgramUniformMatrix4x3fv = auto (GLuint a_0, GLint a_1, GLsizei a_2, GLboolean a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glProgramUniformMatrix4x3fv *fexldr_ptr_libGL_glProgramUniformMatrix4x3fv;
using fexldr_type_libGL_glProgramUniformui64NV = auto (GLuint a_0, GLint a_1, GLuint64EXT a_2) -> void;
static fexldr_type_libGL_glProgramUniformui64NV *fexldr_ptr_libGL_glProgramUniformui64NV;
using fexldr_type_libGL_glProgramUniformui64vNV = auto (GLuint a_0, GLint a_1, GLsizei a_2, const GLuint64EXT * a_3) -> void;
static fexldr_type_libGL_glProgramUniformui64vNV *fexldr_ptr_libGL_glProgramUniformui64vNV;
using fexldr_type_libGL_glProgramVertexLimitNV = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glProgramVertexLimitNV *fexldr_ptr_libGL_glProgramVertexLimitNV;
using fexldr_type_libGL_glProvokingVertexEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glProvokingVertexEXT *fexldr_ptr_libGL_glProvokingVertexEXT;
using fexldr_type_libGL_glProvokingVertex = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glProvokingVertex *fexldr_ptr_libGL_glProvokingVertex;
using fexldr_type_libGL_glPushAttrib = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glPushAttrib *fexldr_ptr_libGL_glPushAttrib;
using fexldr_type_libGL_glPushClientAttribDefaultEXT = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glPushClientAttribDefaultEXT *fexldr_ptr_libGL_glPushClientAttribDefaultEXT;
using fexldr_type_libGL_glPushClientAttrib = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glPushClientAttrib *fexldr_ptr_libGL_glPushClientAttrib;
using fexldr_type_libGL_glPushDebugGroup = auto (GLenum a_0, GLuint a_1, GLsizei a_2, const GLchar * a_3) -> void;
static fexldr_type_libGL_glPushDebugGroup *fexldr_ptr_libGL_glPushDebugGroup;
using fexldr_type_libGL_glPushGroupMarkerEXT = auto (GLsizei a_0, const GLchar * a_1) -> void;
static fexldr_type_libGL_glPushGroupMarkerEXT *fexldr_ptr_libGL_glPushGroupMarkerEXT;
using fexldr_type_libGL_glPushMatrix = auto () -> void;
static fexldr_type_libGL_glPushMatrix *fexldr_ptr_libGL_glPushMatrix;
using fexldr_type_libGL_glPushName = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glPushName *fexldr_ptr_libGL_glPushName;
using fexldr_type_libGL_glQueryCounter = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glQueryCounter *fexldr_ptr_libGL_glQueryCounter;
using fexldr_type_libGL_glQueryObjectParameteruiAMD = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glQueryObjectParameteruiAMD *fexldr_ptr_libGL_glQueryObjectParameteruiAMD;
using fexldr_type_libGL_glQueryResourceTagNV = auto (GLint a_0, const GLchar * a_1) -> void;
static fexldr_type_libGL_glQueryResourceTagNV *fexldr_ptr_libGL_glQueryResourceTagNV;
using fexldr_type_libGL_glRasterPos2d = auto (GLdouble a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glRasterPos2d *fexldr_ptr_libGL_glRasterPos2d;
using fexldr_type_libGL_glRasterPos2dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glRasterPos2dv *fexldr_ptr_libGL_glRasterPos2dv;
using fexldr_type_libGL_glRasterPos2f = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glRasterPos2f *fexldr_ptr_libGL_glRasterPos2f;
using fexldr_type_libGL_glRasterPos2fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glRasterPos2fv *fexldr_ptr_libGL_glRasterPos2fv;
using fexldr_type_libGL_glRasterPos2i = auto (GLint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glRasterPos2i *fexldr_ptr_libGL_glRasterPos2i;
using fexldr_type_libGL_glRasterPos2iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glRasterPos2iv *fexldr_ptr_libGL_glRasterPos2iv;
using fexldr_type_libGL_glRasterPos2s = auto (GLshort a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glRasterPos2s *fexldr_ptr_libGL_glRasterPos2s;
using fexldr_type_libGL_glRasterPos2sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glRasterPos2sv *fexldr_ptr_libGL_glRasterPos2sv;
using fexldr_type_libGL_glRasterPos2xOES = auto (GLfixed a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glRasterPos2xOES *fexldr_ptr_libGL_glRasterPos2xOES;
using fexldr_type_libGL_glRasterPos2xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glRasterPos2xvOES *fexldr_ptr_libGL_glRasterPos2xvOES;
using fexldr_type_libGL_glRasterPos3d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glRasterPos3d *fexldr_ptr_libGL_glRasterPos3d;
using fexldr_type_libGL_glRasterPos3dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glRasterPos3dv *fexldr_ptr_libGL_glRasterPos3dv;
using fexldr_type_libGL_glRasterPos3f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glRasterPos3f *fexldr_ptr_libGL_glRasterPos3f;
using fexldr_type_libGL_glRasterPos3fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glRasterPos3fv *fexldr_ptr_libGL_glRasterPos3fv;
using fexldr_type_libGL_glRasterPos3i = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glRasterPos3i *fexldr_ptr_libGL_glRasterPos3i;
using fexldr_type_libGL_glRasterPos3iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glRasterPos3iv *fexldr_ptr_libGL_glRasterPos3iv;
using fexldr_type_libGL_glRasterPos3s = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glRasterPos3s *fexldr_ptr_libGL_glRasterPos3s;
using fexldr_type_libGL_glRasterPos3sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glRasterPos3sv *fexldr_ptr_libGL_glRasterPos3sv;
using fexldr_type_libGL_glRasterPos3xOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glRasterPos3xOES *fexldr_ptr_libGL_glRasterPos3xOES;
using fexldr_type_libGL_glRasterPos3xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glRasterPos3xvOES *fexldr_ptr_libGL_glRasterPos3xvOES;
using fexldr_type_libGL_glRasterPos4d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glRasterPos4d *fexldr_ptr_libGL_glRasterPos4d;
using fexldr_type_libGL_glRasterPos4dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glRasterPos4dv *fexldr_ptr_libGL_glRasterPos4dv;
using fexldr_type_libGL_glRasterPos4f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glRasterPos4f *fexldr_ptr_libGL_glRasterPos4f;
using fexldr_type_libGL_glRasterPos4fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glRasterPos4fv *fexldr_ptr_libGL_glRasterPos4fv;
using fexldr_type_libGL_glRasterPos4i = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glRasterPos4i *fexldr_ptr_libGL_glRasterPos4i;
using fexldr_type_libGL_glRasterPos4iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glRasterPos4iv *fexldr_ptr_libGL_glRasterPos4iv;
using fexldr_type_libGL_glRasterPos4s = auto (GLshort a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glRasterPos4s *fexldr_ptr_libGL_glRasterPos4s;
using fexldr_type_libGL_glRasterPos4sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glRasterPos4sv *fexldr_ptr_libGL_glRasterPos4sv;
using fexldr_type_libGL_glRasterPos4xOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3) -> void;
static fexldr_type_libGL_glRasterPos4xOES *fexldr_ptr_libGL_glRasterPos4xOES;
using fexldr_type_libGL_glRasterPos4xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glRasterPos4xvOES *fexldr_ptr_libGL_glRasterPos4xvOES;
using fexldr_type_libGL_glRasterSamplesEXT = auto (GLuint a_0, GLboolean a_1) -> void;
static fexldr_type_libGL_glRasterSamplesEXT *fexldr_ptr_libGL_glRasterSamplesEXT;
using fexldr_type_libGL_glReadBuffer = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glReadBuffer *fexldr_ptr_libGL_glReadBuffer;
using fexldr_type_libGL_glReadInstrumentsSGIX = auto (GLint a_0) -> void;
static fexldr_type_libGL_glReadInstrumentsSGIX *fexldr_ptr_libGL_glReadInstrumentsSGIX;
using fexldr_type_libGL_glReadnPixelsARB = auto (GLint a_0, GLint a_1, GLsizei a_2, GLsizei a_3, GLenum a_4, GLenum a_5, GLsizei a_6, void * a_7) -> void;
static fexldr_type_libGL_glReadnPixelsARB *fexldr_ptr_libGL_glReadnPixelsARB;
using fexldr_type_libGL_glReadnPixels = auto (GLint a_0, GLint a_1, GLsizei a_2, GLsizei a_3, GLenum a_4, GLenum a_5, GLsizei a_6, void * a_7) -> void;
static fexldr_type_libGL_glReadnPixels *fexldr_ptr_libGL_glReadnPixels;
using fexldr_type_libGL_glReadPixels = auto (GLint a_0, GLint a_1, GLsizei a_2, GLsizei a_3, GLenum a_4, GLenum a_5, GLvoid * a_6) -> void;
static fexldr_type_libGL_glReadPixels *fexldr_ptr_libGL_glReadPixels;
using fexldr_type_libGL_glRectd = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glRectd *fexldr_ptr_libGL_glRectd;
using fexldr_type_libGL_glRectdv = auto (const GLdouble * a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glRectdv *fexldr_ptr_libGL_glRectdv;
using fexldr_type_libGL_glRectf = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glRectf *fexldr_ptr_libGL_glRectf;
using fexldr_type_libGL_glRectfv = auto (const GLfloat * a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glRectfv *fexldr_ptr_libGL_glRectfv;
using fexldr_type_libGL_glRecti = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glRecti *fexldr_ptr_libGL_glRecti;
using fexldr_type_libGL_glRectiv = auto (const GLint * a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glRectiv *fexldr_ptr_libGL_glRectiv;
using fexldr_type_libGL_glRects = auto (GLshort a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glRects *fexldr_ptr_libGL_glRects;
using fexldr_type_libGL_glRectsv = auto (const GLshort * a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glRectsv *fexldr_ptr_libGL_glRectsv;
using fexldr_type_libGL_glRectxOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3) -> void;
static fexldr_type_libGL_glRectxOES *fexldr_ptr_libGL_glRectxOES;
using fexldr_type_libGL_glRectxvOES = auto (const GLfixed * a_0, const GLfixed * a_1) -> void;
static fexldr_type_libGL_glRectxvOES *fexldr_ptr_libGL_glRectxvOES;
using fexldr_type_libGL_glReferencePlaneSGIX = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glReferencePlaneSGIX *fexldr_ptr_libGL_glReferencePlaneSGIX;
using fexldr_type_libGL_glReleaseShaderCompiler = auto () -> void;
static fexldr_type_libGL_glReleaseShaderCompiler *fexldr_ptr_libGL_glReleaseShaderCompiler;
using fexldr_type_libGL_glRenderbufferStorageEXT = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glRenderbufferStorageEXT *fexldr_ptr_libGL_glRenderbufferStorageEXT;
using fexldr_type_libGL_glRenderbufferStorage = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glRenderbufferStorage *fexldr_ptr_libGL_glRenderbufferStorage;
using fexldr_type_libGL_glRenderbufferStorageMultisampleAdvancedAMD = auto (GLenum a_0, GLsizei a_1, GLsizei a_2, GLenum a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glRenderbufferStorageMultisampleAdvancedAMD *fexldr_ptr_libGL_glRenderbufferStorageMultisampleAdvancedAMD;
using fexldr_type_libGL_glRenderbufferStorageMultisampleCoverageNV = auto (GLenum a_0, GLsizei a_1, GLsizei a_2, GLenum a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glRenderbufferStorageMultisampleCoverageNV *fexldr_ptr_libGL_glRenderbufferStorageMultisampleCoverageNV;
using fexldr_type_libGL_glRenderbufferStorageMultisampleEXT = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glRenderbufferStorageMultisampleEXT *fexldr_ptr_libGL_glRenderbufferStorageMultisampleEXT;
using fexldr_type_libGL_glRenderbufferStorageMultisample = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glRenderbufferStorageMultisample *fexldr_ptr_libGL_glRenderbufferStorageMultisample;
using fexldr_type_libGL_glRenderGpuMaskNV = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glRenderGpuMaskNV *fexldr_ptr_libGL_glRenderGpuMaskNV;
using fexldr_type_libGL_glReplacementCodePointerSUN = auto (GLenum a_0, GLsizei a_1, const void ** a_2) -> void;
static fexldr_type_libGL_glReplacementCodePointerSUN *fexldr_ptr_libGL_glReplacementCodePointerSUN;
using fexldr_type_libGL_glReplacementCodeubSUN = auto (GLubyte a_0) -> void;
static fexldr_type_libGL_glReplacementCodeubSUN *fexldr_ptr_libGL_glReplacementCodeubSUN;
using fexldr_type_libGL_glReplacementCodeubvSUN = auto (const GLubyte * a_0) -> void;
static fexldr_type_libGL_glReplacementCodeubvSUN *fexldr_ptr_libGL_glReplacementCodeubvSUN;
using fexldr_type_libGL_glReplacementCodeuiColor3fVertex3fSUN = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6) -> void;
static fexldr_type_libGL_glReplacementCodeuiColor3fVertex3fSUN *fexldr_ptr_libGL_glReplacementCodeuiColor3fVertex3fSUN;
using fexldr_type_libGL_glReplacementCodeuiColor3fVertex3fvSUN = auto (const GLuint * a_0, const GLfloat * a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glReplacementCodeuiColor3fVertex3fvSUN *fexldr_ptr_libGL_glReplacementCodeuiColor3fVertex3fvSUN;
using fexldr_type_libGL_glReplacementCodeuiColor4fNormal3fVertex3fSUN = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7, GLfloat a_8, GLfloat a_9, GLfloat a_10) -> void;
static fexldr_type_libGL_glReplacementCodeuiColor4fNormal3fVertex3fSUN *fexldr_ptr_libGL_glReplacementCodeuiColor4fNormal3fVertex3fSUN;
using fexldr_type_libGL_glReplacementCodeuiColor4fNormal3fVertex3fvSUN = auto (const GLuint * a_0, const GLfloat * a_1, const GLfloat * a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glReplacementCodeuiColor4fNormal3fVertex3fvSUN *fexldr_ptr_libGL_glReplacementCodeuiColor4fNormal3fVertex3fvSUN;
using fexldr_type_libGL_glReplacementCodeuiColor4ubVertex3fSUN = auto (GLuint a_0, GLubyte a_1, GLubyte a_2, GLubyte a_3, GLubyte a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7) -> void;
static fexldr_type_libGL_glReplacementCodeuiColor4ubVertex3fSUN *fexldr_ptr_libGL_glReplacementCodeuiColor4ubVertex3fSUN;
using fexldr_type_libGL_glReplacementCodeuiColor4ubVertex3fvSUN = auto (const GLuint * a_0, const GLubyte * a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glReplacementCodeuiColor4ubVertex3fvSUN *fexldr_ptr_libGL_glReplacementCodeuiColor4ubVertex3fvSUN;
using fexldr_type_libGL_glReplacementCodeuiNormal3fVertex3fSUN = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6) -> void;
static fexldr_type_libGL_glReplacementCodeuiNormal3fVertex3fSUN *fexldr_ptr_libGL_glReplacementCodeuiNormal3fVertex3fSUN;
using fexldr_type_libGL_glReplacementCodeuiNormal3fVertex3fvSUN = auto (const GLuint * a_0, const GLfloat * a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glReplacementCodeuiNormal3fVertex3fvSUN *fexldr_ptr_libGL_glReplacementCodeuiNormal3fVertex3fvSUN;
using fexldr_type_libGL_glReplacementCodeuiSUN = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glReplacementCodeuiSUN *fexldr_ptr_libGL_glReplacementCodeuiSUN;
using fexldr_type_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7, GLfloat a_8, GLfloat a_9, GLfloat a_10, GLfloat a_11, GLfloat a_12) -> void;
static fexldr_type_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN *fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN;
using fexldr_type_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = auto (const GLuint * a_0, const GLfloat * a_1, const GLfloat * a_2, const GLfloat * a_3, const GLfloat * a_4) -> void;
static fexldr_type_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN *fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN;
using fexldr_type_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7, GLfloat a_8) -> void;
static fexldr_type_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN *fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN;
using fexldr_type_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = auto (const GLuint * a_0, const GLfloat * a_1, const GLfloat * a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN *fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN;
using fexldr_type_libGL_glReplacementCodeuiTexCoord2fVertex3fSUN = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5) -> void;
static fexldr_type_libGL_glReplacementCodeuiTexCoord2fVertex3fSUN *fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fVertex3fSUN;
using fexldr_type_libGL_glReplacementCodeuiTexCoord2fVertex3fvSUN = auto (const GLuint * a_0, const GLfloat * a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glReplacementCodeuiTexCoord2fVertex3fvSUN *fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fVertex3fvSUN;
using fexldr_type_libGL_glReplacementCodeuiVertex3fSUN = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glReplacementCodeuiVertex3fSUN *fexldr_ptr_libGL_glReplacementCodeuiVertex3fSUN;
using fexldr_type_libGL_glReplacementCodeuiVertex3fvSUN = auto (const GLuint * a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glReplacementCodeuiVertex3fvSUN *fexldr_ptr_libGL_glReplacementCodeuiVertex3fvSUN;
using fexldr_type_libGL_glReplacementCodeuivSUN = auto (const GLuint * a_0) -> void;
static fexldr_type_libGL_glReplacementCodeuivSUN *fexldr_ptr_libGL_glReplacementCodeuivSUN;
using fexldr_type_libGL_glReplacementCodeusSUN = auto (GLushort a_0) -> void;
static fexldr_type_libGL_glReplacementCodeusSUN *fexldr_ptr_libGL_glReplacementCodeusSUN;
using fexldr_type_libGL_glReplacementCodeusvSUN = auto (const GLushort * a_0) -> void;
static fexldr_type_libGL_glReplacementCodeusvSUN *fexldr_ptr_libGL_glReplacementCodeusvSUN;
using fexldr_type_libGL_glRequestResidentProgramsNV = auto (GLsizei a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glRequestResidentProgramsNV *fexldr_ptr_libGL_glRequestResidentProgramsNV;
using fexldr_type_libGL_glResetHistogramEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glResetHistogramEXT *fexldr_ptr_libGL_glResetHistogramEXT;
using fexldr_type_libGL_glResetHistogram = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glResetHistogram *fexldr_ptr_libGL_glResetHistogram;
using fexldr_type_libGL_glResetMemoryObjectParameterNV = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glResetMemoryObjectParameterNV *fexldr_ptr_libGL_glResetMemoryObjectParameterNV;
using fexldr_type_libGL_glResetMinmaxEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glResetMinmaxEXT *fexldr_ptr_libGL_glResetMinmaxEXT;
using fexldr_type_libGL_glResetMinmax = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glResetMinmax *fexldr_ptr_libGL_glResetMinmax;
using fexldr_type_libGL_glResizeBuffersMESA = auto () -> void;
static fexldr_type_libGL_glResizeBuffersMESA *fexldr_ptr_libGL_glResizeBuffersMESA;
using fexldr_type_libGL_glResolveDepthValuesNV = auto () -> void;
static fexldr_type_libGL_glResolveDepthValuesNV *fexldr_ptr_libGL_glResolveDepthValuesNV;
using fexldr_type_libGL_glResumeTransformFeedback = auto () -> void;
static fexldr_type_libGL_glResumeTransformFeedback *fexldr_ptr_libGL_glResumeTransformFeedback;
using fexldr_type_libGL_glResumeTransformFeedbackNV = auto () -> void;
static fexldr_type_libGL_glResumeTransformFeedbackNV *fexldr_ptr_libGL_glResumeTransformFeedbackNV;
using fexldr_type_libGL_glRotated = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glRotated *fexldr_ptr_libGL_glRotated;
using fexldr_type_libGL_glRotatef = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glRotatef *fexldr_ptr_libGL_glRotatef;
using fexldr_type_libGL_glRotatexOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3) -> void;
static fexldr_type_libGL_glRotatexOES *fexldr_ptr_libGL_glRotatexOES;
using fexldr_type_libGL_glSampleCoverageARB = auto (GLfloat a_0, GLboolean a_1) -> void;
static fexldr_type_libGL_glSampleCoverageARB *fexldr_ptr_libGL_glSampleCoverageARB;
using fexldr_type_libGL_glSampleCoverage = auto (GLclampf a_0, GLboolean a_1) -> void;
static fexldr_type_libGL_glSampleCoverage *fexldr_ptr_libGL_glSampleCoverage;
using fexldr_type_libGL_glSampleMapATI = auto (GLuint a_0, GLuint a_1, GLenum a_2) -> void;
static fexldr_type_libGL_glSampleMapATI *fexldr_ptr_libGL_glSampleMapATI;
using fexldr_type_libGL_glSampleMaskEXT = auto (GLclampf a_0, GLboolean a_1) -> void;
static fexldr_type_libGL_glSampleMaskEXT *fexldr_ptr_libGL_glSampleMaskEXT;
using fexldr_type_libGL_glSampleMaski = auto (GLuint a_0, GLbitfield a_1) -> void;
static fexldr_type_libGL_glSampleMaski *fexldr_ptr_libGL_glSampleMaski;
using fexldr_type_libGL_glSampleMaskIndexedNV = auto (GLuint a_0, GLbitfield a_1) -> void;
static fexldr_type_libGL_glSampleMaskIndexedNV *fexldr_ptr_libGL_glSampleMaskIndexedNV;
using fexldr_type_libGL_glSampleMaskSGIS = auto (GLclampf a_0, GLboolean a_1) -> void;
static fexldr_type_libGL_glSampleMaskSGIS *fexldr_ptr_libGL_glSampleMaskSGIS;
using fexldr_type_libGL_glSamplePatternEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glSamplePatternEXT *fexldr_ptr_libGL_glSamplePatternEXT;
using fexldr_type_libGL_glSamplePatternSGIS = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glSamplePatternSGIS *fexldr_ptr_libGL_glSamplePatternSGIS;
using fexldr_type_libGL_glSamplerParameterf = auto (GLuint a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glSamplerParameterf *fexldr_ptr_libGL_glSamplerParameterf;
using fexldr_type_libGL_glSamplerParameterfv = auto (GLuint a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glSamplerParameterfv *fexldr_ptr_libGL_glSamplerParameterfv;
using fexldr_type_libGL_glSamplerParameteri = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glSamplerParameteri *fexldr_ptr_libGL_glSamplerParameteri;
using fexldr_type_libGL_glSamplerParameterIiv = auto (GLuint a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glSamplerParameterIiv *fexldr_ptr_libGL_glSamplerParameterIiv;
using fexldr_type_libGL_glSamplerParameterIuiv = auto (GLuint a_0, GLenum a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glSamplerParameterIuiv *fexldr_ptr_libGL_glSamplerParameterIuiv;
using fexldr_type_libGL_glSamplerParameteriv = auto (GLuint a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glSamplerParameteriv *fexldr_ptr_libGL_glSamplerParameteriv;
using fexldr_type_libGL_glScaled = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glScaled *fexldr_ptr_libGL_glScaled;
using fexldr_type_libGL_glScalef = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glScalef *fexldr_ptr_libGL_glScalef;
using fexldr_type_libGL_glScalexOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glScalexOES *fexldr_ptr_libGL_glScalexOES;
using fexldr_type_libGL_glScissorArrayv = auto (GLuint a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glScissorArrayv *fexldr_ptr_libGL_glScissorArrayv;
using fexldr_type_libGL_glScissorExclusiveArrayvNV = auto (GLuint a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glScissorExclusiveArrayvNV *fexldr_ptr_libGL_glScissorExclusiveArrayvNV;
using fexldr_type_libGL_glScissorExclusiveNV = auto (GLint a_0, GLint a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glScissorExclusiveNV *fexldr_ptr_libGL_glScissorExclusiveNV;
using fexldr_type_libGL_glScissor = auto (GLint a_0, GLint a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glScissor *fexldr_ptr_libGL_glScissor;
using fexldr_type_libGL_glScissorIndexed = auto (GLuint a_0, GLint a_1, GLint a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glScissorIndexed *fexldr_ptr_libGL_glScissorIndexed;
using fexldr_type_libGL_glScissorIndexedv = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glScissorIndexedv *fexldr_ptr_libGL_glScissorIndexedv;
using fexldr_type_libGL_glSecondaryColor3bEXT = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3bEXT *fexldr_ptr_libGL_glSecondaryColor3bEXT;
using fexldr_type_libGL_glSecondaryColor3bvEXT = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3bvEXT *fexldr_ptr_libGL_glSecondaryColor3bvEXT;
using fexldr_type_libGL_glSecondaryColor3dEXT = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3dEXT *fexldr_ptr_libGL_glSecondaryColor3dEXT;
using fexldr_type_libGL_glSecondaryColor3dvEXT = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3dvEXT *fexldr_ptr_libGL_glSecondaryColor3dvEXT;
using fexldr_type_libGL_glSecondaryColor3fEXT = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3fEXT *fexldr_ptr_libGL_glSecondaryColor3fEXT;
using fexldr_type_libGL_glSecondaryColor3fvEXT = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3fvEXT *fexldr_ptr_libGL_glSecondaryColor3fvEXT;
using fexldr_type_libGL_glSecondaryColor3hNV = auto (GLhalfNV a_0, GLhalfNV a_1, GLhalfNV a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3hNV *fexldr_ptr_libGL_glSecondaryColor3hNV;
using fexldr_type_libGL_glSecondaryColor3hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3hvNV *fexldr_ptr_libGL_glSecondaryColor3hvNV;
using fexldr_type_libGL_glSecondaryColor3iEXT = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3iEXT *fexldr_ptr_libGL_glSecondaryColor3iEXT;
using fexldr_type_libGL_glSecondaryColor3ivEXT = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3ivEXT *fexldr_ptr_libGL_glSecondaryColor3ivEXT;
using fexldr_type_libGL_glSecondaryColor3sEXT = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3sEXT *fexldr_ptr_libGL_glSecondaryColor3sEXT;
using fexldr_type_libGL_glSecondaryColor3svEXT = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3svEXT *fexldr_ptr_libGL_glSecondaryColor3svEXT;
using fexldr_type_libGL_glSecondaryColor3ubEXT = auto (GLubyte a_0, GLubyte a_1, GLubyte a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3ubEXT *fexldr_ptr_libGL_glSecondaryColor3ubEXT;
using fexldr_type_libGL_glSecondaryColor3ubvEXT = auto (const GLubyte * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3ubvEXT *fexldr_ptr_libGL_glSecondaryColor3ubvEXT;
using fexldr_type_libGL_glSecondaryColor3uiEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3uiEXT *fexldr_ptr_libGL_glSecondaryColor3uiEXT;
using fexldr_type_libGL_glSecondaryColor3uivEXT = auto (const GLuint * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3uivEXT *fexldr_ptr_libGL_glSecondaryColor3uivEXT;
using fexldr_type_libGL_glSecondaryColor3usEXT = auto (GLushort a_0, GLushort a_1, GLushort a_2) -> void;
static fexldr_type_libGL_glSecondaryColor3usEXT *fexldr_ptr_libGL_glSecondaryColor3usEXT;
using fexldr_type_libGL_glSecondaryColor3usvEXT = auto (const GLushort * a_0) -> void;
static fexldr_type_libGL_glSecondaryColor3usvEXT *fexldr_ptr_libGL_glSecondaryColor3usvEXT;
using fexldr_type_libGL_glSecondaryColorFormatNV = auto (GLint a_0, GLenum a_1, GLsizei a_2) -> void;
static fexldr_type_libGL_glSecondaryColorFormatNV *fexldr_ptr_libGL_glSecondaryColorFormatNV;
using fexldr_type_libGL_glSecondaryColorPointerEXT = auto (GLint a_0, GLenum a_1, GLsizei a_2, const void * a_3) -> void;
static fexldr_type_libGL_glSecondaryColorPointerEXT *fexldr_ptr_libGL_glSecondaryColorPointerEXT;
using fexldr_type_libGL_glSecondaryColorPointerListIBM = auto (GLint a_0, GLenum a_1, GLint a_2, const void ** a_3, GLint a_4) -> void;
static fexldr_type_libGL_glSecondaryColorPointerListIBM *fexldr_ptr_libGL_glSecondaryColorPointerListIBM;
using fexldr_type_libGL_glSelectBuffer = auto (GLsizei a_0, GLuint * a_1) -> void;
static fexldr_type_libGL_glSelectBuffer *fexldr_ptr_libGL_glSelectBuffer;
using fexldr_type_libGL_glSelectPerfMonitorCountersAMD = auto (GLuint a_0, GLboolean a_1, GLuint a_2, GLint a_3, GLuint * a_4) -> void;
static fexldr_type_libGL_glSelectPerfMonitorCountersAMD *fexldr_ptr_libGL_glSelectPerfMonitorCountersAMD;
using fexldr_type_libGL_glSemaphoreParameterui64vEXT = auto (GLuint a_0, GLenum a_1, const GLuint64 * a_2) -> void;
static fexldr_type_libGL_glSemaphoreParameterui64vEXT *fexldr_ptr_libGL_glSemaphoreParameterui64vEXT;
using fexldr_type_libGL_glSeparableFilter2DEXT = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLsizei a_3, GLenum a_4, GLenum a_5, const void * a_6, const void * a_7) -> void;
static fexldr_type_libGL_glSeparableFilter2DEXT *fexldr_ptr_libGL_glSeparableFilter2DEXT;
using fexldr_type_libGL_glSeparableFilter2D = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLsizei a_3, GLenum a_4, GLenum a_5, const GLvoid * a_6, const GLvoid * a_7) -> void;
static fexldr_type_libGL_glSeparableFilter2D *fexldr_ptr_libGL_glSeparableFilter2D;
using fexldr_type_libGL_glSetFenceAPPLE = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glSetFenceAPPLE *fexldr_ptr_libGL_glSetFenceAPPLE;
using fexldr_type_libGL_glSetFenceNV = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glSetFenceNV *fexldr_ptr_libGL_glSetFenceNV;
using fexldr_type_libGL_glSetFragmentShaderConstantATI = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glSetFragmentShaderConstantATI *fexldr_ptr_libGL_glSetFragmentShaderConstantATI;
using fexldr_type_libGL_glSetInvariantEXT = auto (GLuint a_0, GLenum a_1, const void * a_2) -> void;
static fexldr_type_libGL_glSetInvariantEXT *fexldr_ptr_libGL_glSetInvariantEXT;
using fexldr_type_libGL_glSetLocalConstantEXT = auto (GLuint a_0, GLenum a_1, const void * a_2) -> void;
static fexldr_type_libGL_glSetLocalConstantEXT *fexldr_ptr_libGL_glSetLocalConstantEXT;
using fexldr_type_libGL_glSetMultisamplefvAMD = auto (GLenum a_0, GLuint a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glSetMultisamplefvAMD *fexldr_ptr_libGL_glSetMultisamplefvAMD;
using fexldr_type_libGL_glShadeModel = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glShadeModel *fexldr_ptr_libGL_glShadeModel;
using fexldr_type_libGL_glShaderBinary = auto (GLsizei a_0, const GLuint * a_1, GLenum a_2, const void * a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glShaderBinary *fexldr_ptr_libGL_glShaderBinary;
using fexldr_type_libGL_glShaderOp1EXT = auto (GLenum a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glShaderOp1EXT *fexldr_ptr_libGL_glShaderOp1EXT;
using fexldr_type_libGL_glShaderOp2EXT = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glShaderOp2EXT *fexldr_ptr_libGL_glShaderOp2EXT;
using fexldr_type_libGL_glShaderOp3EXT = auto (GLenum a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glShaderOp3EXT *fexldr_ptr_libGL_glShaderOp3EXT;
using fexldr_type_libGL_glShaderSource = auto (GLuint a_0, GLsizei a_1, const GLchar *const * a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glShaderSource *fexldr_ptr_libGL_glShaderSource;
using fexldr_type_libGL_glShaderSourceARB = auto (GLhandleARB a_0, GLsizei a_1, const GLcharARB ** a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glShaderSourceARB *fexldr_ptr_libGL_glShaderSourceARB;
using fexldr_type_libGL_glShaderStorageBlockBinding = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glShaderStorageBlockBinding *fexldr_ptr_libGL_glShaderStorageBlockBinding;
using fexldr_type_libGL_glShadingRateImageBarrierNV = auto (GLboolean a_0) -> void;
static fexldr_type_libGL_glShadingRateImageBarrierNV *fexldr_ptr_libGL_glShadingRateImageBarrierNV;
using fexldr_type_libGL_glShadingRateImagePaletteNV = auto (GLuint a_0, GLuint a_1, GLsizei a_2, const GLenum * a_3) -> void;
static fexldr_type_libGL_glShadingRateImagePaletteNV *fexldr_ptr_libGL_glShadingRateImagePaletteNV;
using fexldr_type_libGL_glShadingRateSampleOrderCustomNV = auto (GLenum a_0, GLuint a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glShadingRateSampleOrderCustomNV *fexldr_ptr_libGL_glShadingRateSampleOrderCustomNV;
using fexldr_type_libGL_glShadingRateSampleOrderNV = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glShadingRateSampleOrderNV *fexldr_ptr_libGL_glShadingRateSampleOrderNV;
using fexldr_type_libGL_glSharpenTexFuncSGIS = auto (GLenum a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glSharpenTexFuncSGIS *fexldr_ptr_libGL_glSharpenTexFuncSGIS;
using fexldr_type_libGL_glSignalSemaphoreEXT = auto (GLuint a_0, GLuint a_1, const GLuint * a_2, GLuint a_3, const GLuint * a_4, const GLenum * a_5) -> void;
static fexldr_type_libGL_glSignalSemaphoreEXT *fexldr_ptr_libGL_glSignalSemaphoreEXT;
using fexldr_type_libGL_glSignalSemaphoreui64NVX = auto (GLuint a_0, GLsizei a_1, const GLuint * a_2, const GLuint64 * a_3) -> void;
static fexldr_type_libGL_glSignalSemaphoreui64NVX *fexldr_ptr_libGL_glSignalSemaphoreui64NVX;
using fexldr_type_libGL_glSignalVkFenceNV = auto (GLuint64 a_0) -> void;
static fexldr_type_libGL_glSignalVkFenceNV *fexldr_ptr_libGL_glSignalVkFenceNV;
using fexldr_type_libGL_glSignalVkSemaphoreNV = auto (GLuint64 a_0) -> void;
static fexldr_type_libGL_glSignalVkSemaphoreNV *fexldr_ptr_libGL_glSignalVkSemaphoreNV;
using fexldr_type_libGL_glSpecializeShaderARB = auto (GLuint a_0, const GLchar * a_1, GLuint a_2, const GLuint * a_3, const GLuint * a_4) -> void;
static fexldr_type_libGL_glSpecializeShaderARB *fexldr_ptr_libGL_glSpecializeShaderARB;
using fexldr_type_libGL_glSpecializeShader = auto (GLuint a_0, const GLchar * a_1, GLuint a_2, const GLuint * a_3, const GLuint * a_4) -> void;
static fexldr_type_libGL_glSpecializeShader *fexldr_ptr_libGL_glSpecializeShader;
using fexldr_type_libGL_glSpriteParameterfSGIX = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glSpriteParameterfSGIX *fexldr_ptr_libGL_glSpriteParameterfSGIX;
using fexldr_type_libGL_glSpriteParameterfvSGIX = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glSpriteParameterfvSGIX *fexldr_ptr_libGL_glSpriteParameterfvSGIX;
using fexldr_type_libGL_glSpriteParameteriSGIX = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glSpriteParameteriSGIX *fexldr_ptr_libGL_glSpriteParameteriSGIX;
using fexldr_type_libGL_glSpriteParameterivSGIX = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glSpriteParameterivSGIX *fexldr_ptr_libGL_glSpriteParameterivSGIX;
using fexldr_type_libGL_glStartInstrumentsSGIX = auto () -> void;
static fexldr_type_libGL_glStartInstrumentsSGIX *fexldr_ptr_libGL_glStartInstrumentsSGIX;
using fexldr_type_libGL_glStateCaptureNV = auto (GLuint a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glStateCaptureNV *fexldr_ptr_libGL_glStateCaptureNV;
using fexldr_type_libGL_glStencilClearTagEXT = auto (GLsizei a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glStencilClearTagEXT *fexldr_ptr_libGL_glStencilClearTagEXT;
using fexldr_type_libGL_glStencilFillPathInstancedNV = auto (GLsizei a_0, GLenum a_1, const void * a_2, GLuint a_3, GLenum a_4, GLuint a_5, GLenum a_6, const GLfloat * a_7) -> void;
static fexldr_type_libGL_glStencilFillPathInstancedNV *fexldr_ptr_libGL_glStencilFillPathInstancedNV;
using fexldr_type_libGL_glStencilFillPathNV = auto (GLuint a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glStencilFillPathNV *fexldr_ptr_libGL_glStencilFillPathNV;
using fexldr_type_libGL_glStencilFunc = auto (GLenum a_0, GLint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glStencilFunc *fexldr_ptr_libGL_glStencilFunc;
using fexldr_type_libGL_glStencilFuncSeparateATI = auto (GLenum a_0, GLenum a_1, GLint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glStencilFuncSeparateATI *fexldr_ptr_libGL_glStencilFuncSeparateATI;
using fexldr_type_libGL_glStencilFuncSeparate = auto (GLenum a_0, GLenum a_1, GLint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glStencilFuncSeparate *fexldr_ptr_libGL_glStencilFuncSeparate;
using fexldr_type_libGL_glStencilMask = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glStencilMask *fexldr_ptr_libGL_glStencilMask;
using fexldr_type_libGL_glStencilMaskSeparate = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glStencilMaskSeparate *fexldr_ptr_libGL_glStencilMaskSeparate;
using fexldr_type_libGL_glStencilOp = auto (GLenum a_0, GLenum a_1, GLenum a_2) -> void;
static fexldr_type_libGL_glStencilOp *fexldr_ptr_libGL_glStencilOp;
using fexldr_type_libGL_glStencilOpSeparateATI = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glStencilOpSeparateATI *fexldr_ptr_libGL_glStencilOpSeparateATI;
using fexldr_type_libGL_glStencilOpSeparate = auto (GLenum a_0, GLenum a_1, GLenum a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glStencilOpSeparate *fexldr_ptr_libGL_glStencilOpSeparate;
using fexldr_type_libGL_glStencilOpValueAMD = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glStencilOpValueAMD *fexldr_ptr_libGL_glStencilOpValueAMD;
using fexldr_type_libGL_glStencilStrokePathInstancedNV = auto (GLsizei a_0, GLenum a_1, const void * a_2, GLuint a_3, GLint a_4, GLuint a_5, GLenum a_6, const GLfloat * a_7) -> void;
static fexldr_type_libGL_glStencilStrokePathInstancedNV *fexldr_ptr_libGL_glStencilStrokePathInstancedNV;
using fexldr_type_libGL_glStencilStrokePathNV = auto (GLuint a_0, GLint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glStencilStrokePathNV *fexldr_ptr_libGL_glStencilStrokePathNV;
using fexldr_type_libGL_glStencilThenCoverFillPathInstancedNV = auto (GLsizei a_0, GLenum a_1, const void * a_2, GLuint a_3, GLenum a_4, GLuint a_5, GLenum a_6, GLenum a_7, const GLfloat * a_8) -> void;
static fexldr_type_libGL_glStencilThenCoverFillPathInstancedNV *fexldr_ptr_libGL_glStencilThenCoverFillPathInstancedNV;
using fexldr_type_libGL_glStencilThenCoverFillPathNV = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glStencilThenCoverFillPathNV *fexldr_ptr_libGL_glStencilThenCoverFillPathNV;
using fexldr_type_libGL_glStencilThenCoverStrokePathInstancedNV = auto (GLsizei a_0, GLenum a_1, const void * a_2, GLuint a_3, GLint a_4, GLuint a_5, GLenum a_6, GLenum a_7, const GLfloat * a_8) -> void;
static fexldr_type_libGL_glStencilThenCoverStrokePathInstancedNV *fexldr_ptr_libGL_glStencilThenCoverStrokePathInstancedNV;
using fexldr_type_libGL_glStencilThenCoverStrokePathNV = auto (GLuint a_0, GLint a_1, GLuint a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glStencilThenCoverStrokePathNV *fexldr_ptr_libGL_glStencilThenCoverStrokePathNV;
using fexldr_type_libGL_glStopInstrumentsSGIX = auto (GLint a_0) -> void;
static fexldr_type_libGL_glStopInstrumentsSGIX *fexldr_ptr_libGL_glStopInstrumentsSGIX;
using fexldr_type_libGL_glStringMarkerGREMEDY = auto (GLsizei a_0, const void * a_1) -> void;
static fexldr_type_libGL_glStringMarkerGREMEDY *fexldr_ptr_libGL_glStringMarkerGREMEDY;
using fexldr_type_libGL_glSubpixelPrecisionBiasNV = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glSubpixelPrecisionBiasNV *fexldr_ptr_libGL_glSubpixelPrecisionBiasNV;
using fexldr_type_libGL_glSwizzleEXT = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLenum a_3, GLenum a_4, GLenum a_5) -> void;
static fexldr_type_libGL_glSwizzleEXT *fexldr_ptr_libGL_glSwizzleEXT;
using fexldr_type_libGL_glSyncTextureINTEL = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glSyncTextureINTEL *fexldr_ptr_libGL_glSyncTextureINTEL;
using fexldr_type_libGL_glTagSampleBufferSGIX = auto () -> void;
static fexldr_type_libGL_glTagSampleBufferSGIX *fexldr_ptr_libGL_glTagSampleBufferSGIX;
using fexldr_type_libGL_glTangent3bEXT = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2) -> void;
static fexldr_type_libGL_glTangent3bEXT *fexldr_ptr_libGL_glTangent3bEXT;
using fexldr_type_libGL_glTangent3bvEXT = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glTangent3bvEXT *fexldr_ptr_libGL_glTangent3bvEXT;
using fexldr_type_libGL_glTangent3dEXT = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glTangent3dEXT *fexldr_ptr_libGL_glTangent3dEXT;
using fexldr_type_libGL_glTangent3dvEXT = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glTangent3dvEXT *fexldr_ptr_libGL_glTangent3dvEXT;
using fexldr_type_libGL_glTangent3fEXT = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glTangent3fEXT *fexldr_ptr_libGL_glTangent3fEXT;
using fexldr_type_libGL_glTangent3fvEXT = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glTangent3fvEXT *fexldr_ptr_libGL_glTangent3fvEXT;
using fexldr_type_libGL_glTangent3iEXT = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glTangent3iEXT *fexldr_ptr_libGL_glTangent3iEXT;
using fexldr_type_libGL_glTangent3ivEXT = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glTangent3ivEXT *fexldr_ptr_libGL_glTangent3ivEXT;
using fexldr_type_libGL_glTangent3sEXT = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glTangent3sEXT *fexldr_ptr_libGL_glTangent3sEXT;
using fexldr_type_libGL_glTangent3svEXT = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glTangent3svEXT *fexldr_ptr_libGL_glTangent3svEXT;
using fexldr_type_libGL_glTangentPointerEXT = auto (GLenum a_0, GLsizei a_1, const void * a_2) -> void;
static fexldr_type_libGL_glTangentPointerEXT *fexldr_ptr_libGL_glTangentPointerEXT;
using fexldr_type_libGL_glTbufferMask3DFX = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glTbufferMask3DFX *fexldr_ptr_libGL_glTbufferMask3DFX;
using fexldr_type_libGL_glTessellationFactorAMD = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glTessellationFactorAMD *fexldr_ptr_libGL_glTessellationFactorAMD;
using fexldr_type_libGL_glTessellationModeAMD = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glTessellationModeAMD *fexldr_ptr_libGL_glTessellationModeAMD;
using fexldr_type_libGL_glTexAttachMemoryNV = auto (GLenum a_0, GLuint a_1, GLuint64 a_2) -> void;
static fexldr_type_libGL_glTexAttachMemoryNV *fexldr_ptr_libGL_glTexAttachMemoryNV;
using fexldr_type_libGL_glTexBufferARB = auto (GLenum a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glTexBufferARB *fexldr_ptr_libGL_glTexBufferARB;
using fexldr_type_libGL_glTexBufferEXT = auto (GLenum a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glTexBufferEXT *fexldr_ptr_libGL_glTexBufferEXT;
using fexldr_type_libGL_glTexBuffer = auto (GLenum a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glTexBuffer *fexldr_ptr_libGL_glTexBuffer;
using fexldr_type_libGL_glTexBufferRange = auto (GLenum a_0, GLenum a_1, GLuint a_2, GLintptr a_3, GLsizeiptr a_4) -> void;
static fexldr_type_libGL_glTexBufferRange *fexldr_ptr_libGL_glTexBufferRange;
using fexldr_type_libGL_glTexBumpParameterfvATI = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glTexBumpParameterfvATI *fexldr_ptr_libGL_glTexBumpParameterfvATI;
using fexldr_type_libGL_glTexBumpParameterivATI = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glTexBumpParameterivATI *fexldr_ptr_libGL_glTexBumpParameterivATI;
using fexldr_type_libGL_glTexCoord1bOES = auto (GLbyte a_0) -> void;
static fexldr_type_libGL_glTexCoord1bOES *fexldr_ptr_libGL_glTexCoord1bOES;
using fexldr_type_libGL_glTexCoord1bvOES = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glTexCoord1bvOES *fexldr_ptr_libGL_glTexCoord1bvOES;
using fexldr_type_libGL_glTexCoord1d = auto (GLdouble a_0) -> void;
static fexldr_type_libGL_glTexCoord1d *fexldr_ptr_libGL_glTexCoord1d;
using fexldr_type_libGL_glTexCoord1dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glTexCoord1dv *fexldr_ptr_libGL_glTexCoord1dv;
using fexldr_type_libGL_glTexCoord1f = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glTexCoord1f *fexldr_ptr_libGL_glTexCoord1f;
using fexldr_type_libGL_glTexCoord1fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glTexCoord1fv *fexldr_ptr_libGL_glTexCoord1fv;
using fexldr_type_libGL_glTexCoord1hNV = auto (GLhalfNV a_0) -> void;
static fexldr_type_libGL_glTexCoord1hNV *fexldr_ptr_libGL_glTexCoord1hNV;
using fexldr_type_libGL_glTexCoord1hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glTexCoord1hvNV *fexldr_ptr_libGL_glTexCoord1hvNV;
using fexldr_type_libGL_glTexCoord1i = auto (GLint a_0) -> void;
static fexldr_type_libGL_glTexCoord1i *fexldr_ptr_libGL_glTexCoord1i;
using fexldr_type_libGL_glTexCoord1iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glTexCoord1iv *fexldr_ptr_libGL_glTexCoord1iv;
using fexldr_type_libGL_glTexCoord1s = auto (GLshort a_0) -> void;
static fexldr_type_libGL_glTexCoord1s *fexldr_ptr_libGL_glTexCoord1s;
using fexldr_type_libGL_glTexCoord1sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glTexCoord1sv *fexldr_ptr_libGL_glTexCoord1sv;
using fexldr_type_libGL_glTexCoord1xOES = auto (GLfixed a_0) -> void;
static fexldr_type_libGL_glTexCoord1xOES *fexldr_ptr_libGL_glTexCoord1xOES;
using fexldr_type_libGL_glTexCoord1xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glTexCoord1xvOES *fexldr_ptr_libGL_glTexCoord1xvOES;
using fexldr_type_libGL_glTexCoord2bOES = auto (GLbyte a_0, GLbyte a_1) -> void;
static fexldr_type_libGL_glTexCoord2bOES *fexldr_ptr_libGL_glTexCoord2bOES;
using fexldr_type_libGL_glTexCoord2bvOES = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glTexCoord2bvOES *fexldr_ptr_libGL_glTexCoord2bvOES;
using fexldr_type_libGL_glTexCoord2d = auto (GLdouble a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glTexCoord2d *fexldr_ptr_libGL_glTexCoord2d;
using fexldr_type_libGL_glTexCoord2dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glTexCoord2dv *fexldr_ptr_libGL_glTexCoord2dv;
using fexldr_type_libGL_glTexCoord2fColor3fVertex3fSUN = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7) -> void;
static fexldr_type_libGL_glTexCoord2fColor3fVertex3fSUN *fexldr_ptr_libGL_glTexCoord2fColor3fVertex3fSUN;
using fexldr_type_libGL_glTexCoord2fColor3fVertex3fvSUN = auto (const GLfloat * a_0, const GLfloat * a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glTexCoord2fColor3fVertex3fvSUN *fexldr_ptr_libGL_glTexCoord2fColor3fVertex3fvSUN;
using fexldr_type_libGL_glTexCoord2fColor4fNormal3fVertex3fSUN = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7, GLfloat a_8, GLfloat a_9, GLfloat a_10, GLfloat a_11) -> void;
static fexldr_type_libGL_glTexCoord2fColor4fNormal3fVertex3fSUN *fexldr_ptr_libGL_glTexCoord2fColor4fNormal3fVertex3fSUN;
using fexldr_type_libGL_glTexCoord2fColor4fNormal3fVertex3fvSUN = auto (const GLfloat * a_0, const GLfloat * a_1, const GLfloat * a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glTexCoord2fColor4fNormal3fVertex3fvSUN *fexldr_ptr_libGL_glTexCoord2fColor4fNormal3fVertex3fvSUN;
using fexldr_type_libGL_glTexCoord2fColor4ubVertex3fSUN = auto (GLfloat a_0, GLfloat a_1, GLubyte a_2, GLubyte a_3, GLubyte a_4, GLubyte a_5, GLfloat a_6, GLfloat a_7, GLfloat a_8) -> void;
static fexldr_type_libGL_glTexCoord2fColor4ubVertex3fSUN *fexldr_ptr_libGL_glTexCoord2fColor4ubVertex3fSUN;
using fexldr_type_libGL_glTexCoord2fColor4ubVertex3fvSUN = auto (const GLfloat * a_0, const GLubyte * a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glTexCoord2fColor4ubVertex3fvSUN *fexldr_ptr_libGL_glTexCoord2fColor4ubVertex3fvSUN;
using fexldr_type_libGL_glTexCoord2f = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glTexCoord2f *fexldr_ptr_libGL_glTexCoord2f;
using fexldr_type_libGL_glTexCoord2fNormal3fVertex3fSUN = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7) -> void;
static fexldr_type_libGL_glTexCoord2fNormal3fVertex3fSUN *fexldr_ptr_libGL_glTexCoord2fNormal3fVertex3fSUN;
using fexldr_type_libGL_glTexCoord2fNormal3fVertex3fvSUN = auto (const GLfloat * a_0, const GLfloat * a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glTexCoord2fNormal3fVertex3fvSUN *fexldr_ptr_libGL_glTexCoord2fNormal3fVertex3fvSUN;
using fexldr_type_libGL_glTexCoord2fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glTexCoord2fv *fexldr_ptr_libGL_glTexCoord2fv;
using fexldr_type_libGL_glTexCoord2fVertex3fSUN = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glTexCoord2fVertex3fSUN *fexldr_ptr_libGL_glTexCoord2fVertex3fSUN;
using fexldr_type_libGL_glTexCoord2fVertex3fvSUN = auto (const GLfloat * a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glTexCoord2fVertex3fvSUN *fexldr_ptr_libGL_glTexCoord2fVertex3fvSUN;
using fexldr_type_libGL_glTexCoord2hNV = auto (GLhalfNV a_0, GLhalfNV a_1) -> void;
static fexldr_type_libGL_glTexCoord2hNV *fexldr_ptr_libGL_glTexCoord2hNV;
using fexldr_type_libGL_glTexCoord2hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glTexCoord2hvNV *fexldr_ptr_libGL_glTexCoord2hvNV;
using fexldr_type_libGL_glTexCoord2i = auto (GLint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glTexCoord2i *fexldr_ptr_libGL_glTexCoord2i;
using fexldr_type_libGL_glTexCoord2iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glTexCoord2iv *fexldr_ptr_libGL_glTexCoord2iv;
using fexldr_type_libGL_glTexCoord2s = auto (GLshort a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glTexCoord2s *fexldr_ptr_libGL_glTexCoord2s;
using fexldr_type_libGL_glTexCoord2sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glTexCoord2sv *fexldr_ptr_libGL_glTexCoord2sv;
using fexldr_type_libGL_glTexCoord2xOES = auto (GLfixed a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glTexCoord2xOES *fexldr_ptr_libGL_glTexCoord2xOES;
using fexldr_type_libGL_glTexCoord2xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glTexCoord2xvOES *fexldr_ptr_libGL_glTexCoord2xvOES;
using fexldr_type_libGL_glTexCoord3bOES = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2) -> void;
static fexldr_type_libGL_glTexCoord3bOES *fexldr_ptr_libGL_glTexCoord3bOES;
using fexldr_type_libGL_glTexCoord3bvOES = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glTexCoord3bvOES *fexldr_ptr_libGL_glTexCoord3bvOES;
using fexldr_type_libGL_glTexCoord3d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glTexCoord3d *fexldr_ptr_libGL_glTexCoord3d;
using fexldr_type_libGL_glTexCoord3dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glTexCoord3dv *fexldr_ptr_libGL_glTexCoord3dv;
using fexldr_type_libGL_glTexCoord3f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glTexCoord3f *fexldr_ptr_libGL_glTexCoord3f;
using fexldr_type_libGL_glTexCoord3fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glTexCoord3fv *fexldr_ptr_libGL_glTexCoord3fv;
using fexldr_type_libGL_glTexCoord3hNV = auto (GLhalfNV a_0, GLhalfNV a_1, GLhalfNV a_2) -> void;
static fexldr_type_libGL_glTexCoord3hNV *fexldr_ptr_libGL_glTexCoord3hNV;
using fexldr_type_libGL_glTexCoord3hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glTexCoord3hvNV *fexldr_ptr_libGL_glTexCoord3hvNV;
using fexldr_type_libGL_glTexCoord3i = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glTexCoord3i *fexldr_ptr_libGL_glTexCoord3i;
using fexldr_type_libGL_glTexCoord3iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glTexCoord3iv *fexldr_ptr_libGL_glTexCoord3iv;
using fexldr_type_libGL_glTexCoord3s = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glTexCoord3s *fexldr_ptr_libGL_glTexCoord3s;
using fexldr_type_libGL_glTexCoord3sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glTexCoord3sv *fexldr_ptr_libGL_glTexCoord3sv;
using fexldr_type_libGL_glTexCoord3xOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glTexCoord3xOES *fexldr_ptr_libGL_glTexCoord3xOES;
using fexldr_type_libGL_glTexCoord3xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glTexCoord3xvOES *fexldr_ptr_libGL_glTexCoord3xvOES;
using fexldr_type_libGL_glTexCoord4bOES = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2, GLbyte a_3) -> void;
static fexldr_type_libGL_glTexCoord4bOES *fexldr_ptr_libGL_glTexCoord4bOES;
using fexldr_type_libGL_glTexCoord4bvOES = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glTexCoord4bvOES *fexldr_ptr_libGL_glTexCoord4bvOES;
using fexldr_type_libGL_glTexCoord4d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glTexCoord4d *fexldr_ptr_libGL_glTexCoord4d;
using fexldr_type_libGL_glTexCoord4dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glTexCoord4dv *fexldr_ptr_libGL_glTexCoord4dv;
using fexldr_type_libGL_glTexCoord4fColor4fNormal3fVertex4fSUN = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7, GLfloat a_8, GLfloat a_9, GLfloat a_10, GLfloat a_11, GLfloat a_12, GLfloat a_13, GLfloat a_14) -> void;
static fexldr_type_libGL_glTexCoord4fColor4fNormal3fVertex4fSUN *fexldr_ptr_libGL_glTexCoord4fColor4fNormal3fVertex4fSUN;
using fexldr_type_libGL_glTexCoord4fColor4fNormal3fVertex4fvSUN = auto (const GLfloat * a_0, const GLfloat * a_1, const GLfloat * a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glTexCoord4fColor4fNormal3fVertex4fvSUN *fexldr_ptr_libGL_glTexCoord4fColor4fNormal3fVertex4fvSUN;
using fexldr_type_libGL_glTexCoord4f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glTexCoord4f *fexldr_ptr_libGL_glTexCoord4f;
using fexldr_type_libGL_glTexCoord4fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glTexCoord4fv *fexldr_ptr_libGL_glTexCoord4fv;
using fexldr_type_libGL_glTexCoord4fVertex4fSUN = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4, GLfloat a_5, GLfloat a_6, GLfloat a_7) -> void;
static fexldr_type_libGL_glTexCoord4fVertex4fSUN *fexldr_ptr_libGL_glTexCoord4fVertex4fSUN;
using fexldr_type_libGL_glTexCoord4fVertex4fvSUN = auto (const GLfloat * a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glTexCoord4fVertex4fvSUN *fexldr_ptr_libGL_glTexCoord4fVertex4fvSUN;
using fexldr_type_libGL_glTexCoord4hNV = auto (GLhalfNV a_0, GLhalfNV a_1, GLhalfNV a_2, GLhalfNV a_3) -> void;
static fexldr_type_libGL_glTexCoord4hNV *fexldr_ptr_libGL_glTexCoord4hNV;
using fexldr_type_libGL_glTexCoord4hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glTexCoord4hvNV *fexldr_ptr_libGL_glTexCoord4hvNV;
using fexldr_type_libGL_glTexCoord4i = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glTexCoord4i *fexldr_ptr_libGL_glTexCoord4i;
using fexldr_type_libGL_glTexCoord4iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glTexCoord4iv *fexldr_ptr_libGL_glTexCoord4iv;
using fexldr_type_libGL_glTexCoord4s = auto (GLshort a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glTexCoord4s *fexldr_ptr_libGL_glTexCoord4s;
using fexldr_type_libGL_glTexCoord4sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glTexCoord4sv *fexldr_ptr_libGL_glTexCoord4sv;
using fexldr_type_libGL_glTexCoord4xOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2, GLfixed a_3) -> void;
static fexldr_type_libGL_glTexCoord4xOES *fexldr_ptr_libGL_glTexCoord4xOES;
using fexldr_type_libGL_glTexCoord4xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glTexCoord4xvOES *fexldr_ptr_libGL_glTexCoord4xvOES;
using fexldr_type_libGL_glTexCoordFormatNV = auto (GLint a_0, GLenum a_1, GLsizei a_2) -> void;
static fexldr_type_libGL_glTexCoordFormatNV *fexldr_ptr_libGL_glTexCoordFormatNV;
using fexldr_type_libGL_glTexCoordPointerEXT = auto (GLint a_0, GLenum a_1, GLsizei a_2, GLsizei a_3, const void * a_4) -> void;
static fexldr_type_libGL_glTexCoordPointerEXT *fexldr_ptr_libGL_glTexCoordPointerEXT;
using fexldr_type_libGL_glTexCoordPointer = auto (GLint a_0, GLenum a_1, GLsizei a_2, const GLvoid * a_3) -> void;
static fexldr_type_libGL_glTexCoordPointer *fexldr_ptr_libGL_glTexCoordPointer;
using fexldr_type_libGL_glTexCoordPointerListIBM = auto (GLint a_0, GLenum a_1, GLint a_2, const void ** a_3, GLint a_4) -> void;
static fexldr_type_libGL_glTexCoordPointerListIBM *fexldr_ptr_libGL_glTexCoordPointerListIBM;
using fexldr_type_libGL_glTexCoordPointervINTEL = auto (GLint a_0, GLenum a_1, const void ** a_2) -> void;
static fexldr_type_libGL_glTexCoordPointervINTEL *fexldr_ptr_libGL_glTexCoordPointervINTEL;
using fexldr_type_libGL_glTexEnvf = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glTexEnvf *fexldr_ptr_libGL_glTexEnvf;
using fexldr_type_libGL_glTexEnvfv = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glTexEnvfv *fexldr_ptr_libGL_glTexEnvfv;
using fexldr_type_libGL_glTexEnvi = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glTexEnvi *fexldr_ptr_libGL_glTexEnvi;
using fexldr_type_libGL_glTexEnviv = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glTexEnviv *fexldr_ptr_libGL_glTexEnviv;
using fexldr_type_libGL_glTexEnvxOES = auto (GLenum a_0, GLenum a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glTexEnvxOES *fexldr_ptr_libGL_glTexEnvxOES;
using fexldr_type_libGL_glTexEnvxvOES = auto (GLenum a_0, GLenum a_1, const GLfixed * a_2) -> void;
static fexldr_type_libGL_glTexEnvxvOES *fexldr_ptr_libGL_glTexEnvxvOES;
using fexldr_type_libGL_glTexFilterFuncSGIS = auto (GLenum a_0, GLenum a_1, GLsizei a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glTexFilterFuncSGIS *fexldr_ptr_libGL_glTexFilterFuncSGIS;
using fexldr_type_libGL_glTexGend = auto (GLenum a_0, GLenum a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glTexGend *fexldr_ptr_libGL_glTexGend;
using fexldr_type_libGL_glTexGendv = auto (GLenum a_0, GLenum a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glTexGendv *fexldr_ptr_libGL_glTexGendv;
using fexldr_type_libGL_glTexGenf = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glTexGenf *fexldr_ptr_libGL_glTexGenf;
using fexldr_type_libGL_glTexGenfv = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glTexGenfv *fexldr_ptr_libGL_glTexGenfv;
using fexldr_type_libGL_glTexGeni = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glTexGeni *fexldr_ptr_libGL_glTexGeni;
using fexldr_type_libGL_glTexGeniv = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glTexGeniv *fexldr_ptr_libGL_glTexGeniv;
using fexldr_type_libGL_glTexGenxOES = auto (GLenum a_0, GLenum a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glTexGenxOES *fexldr_ptr_libGL_glTexGenxOES;
using fexldr_type_libGL_glTexGenxvOES = auto (GLenum a_0, GLenum a_1, const GLfixed * a_2) -> void;
static fexldr_type_libGL_glTexGenxvOES *fexldr_ptr_libGL_glTexGenxvOES;
using fexldr_type_libGL_glTexImage1D = auto (GLenum a_0, GLint a_1, GLint a_2, GLsizei a_3, GLint a_4, GLenum a_5, GLenum a_6, const GLvoid * a_7) -> void;
static fexldr_type_libGL_glTexImage1D *fexldr_ptr_libGL_glTexImage1D;
using fexldr_type_libGL_glTexImage2D = auto (GLenum a_0, GLint a_1, GLint a_2, GLsizei a_3, GLsizei a_4, GLint a_5, GLenum a_6, GLenum a_7, const GLvoid * a_8) -> void;
static fexldr_type_libGL_glTexImage2D *fexldr_ptr_libGL_glTexImage2D;
using fexldr_type_libGL_glTexImage2DMultisampleCoverageNV = auto (GLenum a_0, GLsizei a_1, GLsizei a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLboolean a_6) -> void;
static fexldr_type_libGL_glTexImage2DMultisampleCoverageNV *fexldr_ptr_libGL_glTexImage2DMultisampleCoverageNV;
using fexldr_type_libGL_glTexImage2DMultisample = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLboolean a_5) -> void;
static fexldr_type_libGL_glTexImage2DMultisample *fexldr_ptr_libGL_glTexImage2DMultisample;
using fexldr_type_libGL_glTexImage3DEXT = auto (GLenum a_0, GLint a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLint a_6, GLenum a_7, GLenum a_8, const void * a_9) -> void;
static fexldr_type_libGL_glTexImage3DEXT *fexldr_ptr_libGL_glTexImage3DEXT;
using fexldr_type_libGL_glTexImage3D = auto (GLenum a_0, GLint a_1, GLint a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLint a_6, GLenum a_7, GLenum a_8, const GLvoid * a_9) -> void;
static fexldr_type_libGL_glTexImage3D *fexldr_ptr_libGL_glTexImage3D;
using fexldr_type_libGL_glTexImage3DMultisampleCoverageNV = auto (GLenum a_0, GLsizei a_1, GLsizei a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLsizei a_6, GLboolean a_7) -> void;
static fexldr_type_libGL_glTexImage3DMultisampleCoverageNV *fexldr_ptr_libGL_glTexImage3DMultisampleCoverageNV;
using fexldr_type_libGL_glTexImage3DMultisample = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLboolean a_6) -> void;
static fexldr_type_libGL_glTexImage3DMultisample *fexldr_ptr_libGL_glTexImage3DMultisample;
using fexldr_type_libGL_glTexImage4DSGIS = auto (GLenum a_0, GLint a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLsizei a_6, GLint a_7, GLenum a_8, GLenum a_9, const void * a_10) -> void;
static fexldr_type_libGL_glTexImage4DSGIS *fexldr_ptr_libGL_glTexImage4DSGIS;
using fexldr_type_libGL_glTexPageCommitmentARB = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLboolean a_8) -> void;
static fexldr_type_libGL_glTexPageCommitmentARB *fexldr_ptr_libGL_glTexPageCommitmentARB;
using fexldr_type_libGL_glTexParameterf = auto (GLenum a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glTexParameterf *fexldr_ptr_libGL_glTexParameterf;
using fexldr_type_libGL_glTexParameterfv = auto (GLenum a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glTexParameterfv *fexldr_ptr_libGL_glTexParameterfv;
using fexldr_type_libGL_glTexParameteri = auto (GLenum a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glTexParameteri *fexldr_ptr_libGL_glTexParameteri;
using fexldr_type_libGL_glTexParameterIivEXT = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glTexParameterIivEXT *fexldr_ptr_libGL_glTexParameterIivEXT;
using fexldr_type_libGL_glTexParameterIiv = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glTexParameterIiv *fexldr_ptr_libGL_glTexParameterIiv;
using fexldr_type_libGL_glTexParameterIuivEXT = auto (GLenum a_0, GLenum a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glTexParameterIuivEXT *fexldr_ptr_libGL_glTexParameterIuivEXT;
using fexldr_type_libGL_glTexParameterIuiv = auto (GLenum a_0, GLenum a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glTexParameterIuiv *fexldr_ptr_libGL_glTexParameterIuiv;
using fexldr_type_libGL_glTexParameteriv = auto (GLenum a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glTexParameteriv *fexldr_ptr_libGL_glTexParameteriv;
using fexldr_type_libGL_glTexParameterxOES = auto (GLenum a_0, GLenum a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glTexParameterxOES *fexldr_ptr_libGL_glTexParameterxOES;
using fexldr_type_libGL_glTexParameterxvOES = auto (GLenum a_0, GLenum a_1, const GLfixed * a_2) -> void;
static fexldr_type_libGL_glTexParameterxvOES *fexldr_ptr_libGL_glTexParameterxvOES;
using fexldr_type_libGL_glTexRenderbufferNV = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glTexRenderbufferNV *fexldr_ptr_libGL_glTexRenderbufferNV;
using fexldr_type_libGL_glTexStorage1D = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glTexStorage1D *fexldr_ptr_libGL_glTexStorage1D;
using fexldr_type_libGL_glTexStorage2D = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glTexStorage2D *fexldr_ptr_libGL_glTexStorage2D;
using fexldr_type_libGL_glTexStorage2DMultisample = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLboolean a_5) -> void;
static fexldr_type_libGL_glTexStorage2DMultisample *fexldr_ptr_libGL_glTexStorage2DMultisample;
using fexldr_type_libGL_glTexStorage3D = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glTexStorage3D *fexldr_ptr_libGL_glTexStorage3D;
using fexldr_type_libGL_glTexStorage3DMultisample = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLboolean a_6) -> void;
static fexldr_type_libGL_glTexStorage3DMultisample *fexldr_ptr_libGL_glTexStorage3DMultisample;
using fexldr_type_libGL_glTexStorageMem1DEXT = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLuint a_4, GLuint64 a_5) -> void;
static fexldr_type_libGL_glTexStorageMem1DEXT *fexldr_ptr_libGL_glTexStorageMem1DEXT;
using fexldr_type_libGL_glTexStorageMem2DEXT = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLuint a_5, GLuint64 a_6) -> void;
static fexldr_type_libGL_glTexStorageMem2DEXT *fexldr_ptr_libGL_glTexStorageMem2DEXT;
using fexldr_type_libGL_glTexStorageMem2DMultisampleEXT = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLboolean a_5, GLuint a_6, GLuint64 a_7) -> void;
static fexldr_type_libGL_glTexStorageMem2DMultisampleEXT *fexldr_ptr_libGL_glTexStorageMem2DMultisampleEXT;
using fexldr_type_libGL_glTexStorageMem3DEXT = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLuint a_6, GLuint64 a_7) -> void;
static fexldr_type_libGL_glTexStorageMem3DEXT *fexldr_ptr_libGL_glTexStorageMem3DEXT;
using fexldr_type_libGL_glTexStorageMem3DMultisampleEXT = auto (GLenum a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLboolean a_6, GLuint a_7, GLuint64 a_8) -> void;
static fexldr_type_libGL_glTexStorageMem3DMultisampleEXT *fexldr_ptr_libGL_glTexStorageMem3DMultisampleEXT;
using fexldr_type_libGL_glTexStorageSparseAMD = auto (GLenum a_0, GLenum a_1, GLsizei a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLbitfield a_6) -> void;
static fexldr_type_libGL_glTexStorageSparseAMD *fexldr_ptr_libGL_glTexStorageSparseAMD;
using fexldr_type_libGL_glTexSubImage1DEXT = auto (GLenum a_0, GLint a_1, GLint a_2, GLsizei a_3, GLenum a_4, GLenum a_5, const void * a_6) -> void;
static fexldr_type_libGL_glTexSubImage1DEXT *fexldr_ptr_libGL_glTexSubImage1DEXT;
using fexldr_type_libGL_glTexSubImage1D = auto (GLenum a_0, GLint a_1, GLint a_2, GLsizei a_3, GLenum a_4, GLenum a_5, const GLvoid * a_6) -> void;
static fexldr_type_libGL_glTexSubImage1D *fexldr_ptr_libGL_glTexSubImage1D;
using fexldr_type_libGL_glTexSubImage2DEXT = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLenum a_6, GLenum a_7, const void * a_8) -> void;
static fexldr_type_libGL_glTexSubImage2DEXT *fexldr_ptr_libGL_glTexSubImage2DEXT;
using fexldr_type_libGL_glTexSubImage2D = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLenum a_6, GLenum a_7, const GLvoid * a_8) -> void;
static fexldr_type_libGL_glTexSubImage2D *fexldr_ptr_libGL_glTexSubImage2D;
using fexldr_type_libGL_glTexSubImage3DEXT = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLenum a_8, GLenum a_9, const void * a_10) -> void;
static fexldr_type_libGL_glTexSubImage3DEXT *fexldr_ptr_libGL_glTexSubImage3DEXT;
using fexldr_type_libGL_glTexSubImage3D = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLenum a_8, GLenum a_9, const GLvoid * a_10) -> void;
static fexldr_type_libGL_glTexSubImage3D *fexldr_ptr_libGL_glTexSubImage3D;
using fexldr_type_libGL_glTexSubImage4DSGIS = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLsizei a_6, GLsizei a_7, GLsizei a_8, GLsizei a_9, GLenum a_10, GLenum a_11, const void * a_12) -> void;
static fexldr_type_libGL_glTexSubImage4DSGIS *fexldr_ptr_libGL_glTexSubImage4DSGIS;
using fexldr_type_libGL_glTextureAttachMemoryNV = auto (GLuint a_0, GLuint a_1, GLuint64 a_2) -> void;
static fexldr_type_libGL_glTextureAttachMemoryNV *fexldr_ptr_libGL_glTextureAttachMemoryNV;
using fexldr_type_libGL_glTextureBarrier = auto () -> void;
static fexldr_type_libGL_glTextureBarrier *fexldr_ptr_libGL_glTextureBarrier;
using fexldr_type_libGL_glTextureBarrierNV = auto () -> void;
static fexldr_type_libGL_glTextureBarrierNV *fexldr_ptr_libGL_glTextureBarrierNV;
using fexldr_type_libGL_glTextureBufferEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glTextureBufferEXT *fexldr_ptr_libGL_glTextureBufferEXT;
using fexldr_type_libGL_glTextureBuffer = auto (GLuint a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glTextureBuffer *fexldr_ptr_libGL_glTextureBuffer;
using fexldr_type_libGL_glTextureBufferRangeEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLuint a_3, GLintptr a_4, GLsizeiptr a_5) -> void;
static fexldr_type_libGL_glTextureBufferRangeEXT *fexldr_ptr_libGL_glTextureBufferRangeEXT;
using fexldr_type_libGL_glTextureBufferRange = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLintptr a_3, GLsizeiptr a_4) -> void;
static fexldr_type_libGL_glTextureBufferRange *fexldr_ptr_libGL_glTextureBufferRange;
using fexldr_type_libGL_glTextureColorMaskSGIS = auto (GLboolean a_0, GLboolean a_1, GLboolean a_2, GLboolean a_3) -> void;
static fexldr_type_libGL_glTextureColorMaskSGIS *fexldr_ptr_libGL_glTextureColorMaskSGIS;
using fexldr_type_libGL_glTextureImage1DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLint a_5, GLenum a_6, GLenum a_7, const void * a_8) -> void;
static fexldr_type_libGL_glTextureImage1DEXT *fexldr_ptr_libGL_glTextureImage1DEXT;
using fexldr_type_libGL_glTextureImage2DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLint a_6, GLenum a_7, GLenum a_8, const void * a_9) -> void;
static fexldr_type_libGL_glTextureImage2DEXT *fexldr_ptr_libGL_glTextureImage2DEXT;
using fexldr_type_libGL_glTextureImage2DMultisampleCoverageNV = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLsizei a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLboolean a_7) -> void;
static fexldr_type_libGL_glTextureImage2DMultisampleCoverageNV *fexldr_ptr_libGL_glTextureImage2DMultisampleCoverageNV;
using fexldr_type_libGL_glTextureImage2DMultisampleNV = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLboolean a_6) -> void;
static fexldr_type_libGL_glTextureImage2DMultisampleNV *fexldr_ptr_libGL_glTextureImage2DMultisampleNV;
using fexldr_type_libGL_glTextureImage3DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLsizei a_6, GLint a_7, GLenum a_8, GLenum a_9, const void * a_10) -> void;
static fexldr_type_libGL_glTextureImage3DEXT *fexldr_ptr_libGL_glTextureImage3DEXT;
using fexldr_type_libGL_glTextureImage3DMultisampleCoverageNV = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLsizei a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLboolean a_8) -> void;
static fexldr_type_libGL_glTextureImage3DMultisampleCoverageNV *fexldr_ptr_libGL_glTextureImage3DMultisampleCoverageNV;
using fexldr_type_libGL_glTextureImage3DMultisampleNV = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLsizei a_6, GLboolean a_7) -> void;
static fexldr_type_libGL_glTextureImage3DMultisampleNV *fexldr_ptr_libGL_glTextureImage3DMultisampleNV;
using fexldr_type_libGL_glTextureLightEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glTextureLightEXT *fexldr_ptr_libGL_glTextureLightEXT;
using fexldr_type_libGL_glTextureMaterialEXT = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glTextureMaterialEXT *fexldr_ptr_libGL_glTextureMaterialEXT;
using fexldr_type_libGL_glTextureNormalEXT = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glTextureNormalEXT *fexldr_ptr_libGL_glTextureNormalEXT;
using fexldr_type_libGL_glTexturePageCommitmentEXT = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLboolean a_8) -> void;
static fexldr_type_libGL_glTexturePageCommitmentEXT *fexldr_ptr_libGL_glTexturePageCommitmentEXT;
using fexldr_type_libGL_glTextureParameterfEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glTextureParameterfEXT *fexldr_ptr_libGL_glTextureParameterfEXT;
using fexldr_type_libGL_glTextureParameterf = auto (GLuint a_0, GLenum a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glTextureParameterf *fexldr_ptr_libGL_glTextureParameterf;
using fexldr_type_libGL_glTextureParameterfvEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glTextureParameterfvEXT *fexldr_ptr_libGL_glTextureParameterfvEXT;
using fexldr_type_libGL_glTextureParameterfv = auto (GLuint a_0, GLenum a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glTextureParameterfv *fexldr_ptr_libGL_glTextureParameterfv;
using fexldr_type_libGL_glTextureParameteriEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLint a_3) -> void;
static fexldr_type_libGL_glTextureParameteriEXT *fexldr_ptr_libGL_glTextureParameteriEXT;
using fexldr_type_libGL_glTextureParameteri = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glTextureParameteri *fexldr_ptr_libGL_glTextureParameteri;
using fexldr_type_libGL_glTextureParameterIivEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glTextureParameterIivEXT *fexldr_ptr_libGL_glTextureParameterIivEXT;
using fexldr_type_libGL_glTextureParameterIiv = auto (GLuint a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glTextureParameterIiv *fexldr_ptr_libGL_glTextureParameterIiv;
using fexldr_type_libGL_glTextureParameterIuivEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glTextureParameterIuivEXT *fexldr_ptr_libGL_glTextureParameterIuivEXT;
using fexldr_type_libGL_glTextureParameterIuiv = auto (GLuint a_0, GLenum a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glTextureParameterIuiv *fexldr_ptr_libGL_glTextureParameterIuiv;
using fexldr_type_libGL_glTextureParameterivEXT = auto (GLuint a_0, GLenum a_1, GLenum a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glTextureParameterivEXT *fexldr_ptr_libGL_glTextureParameterivEXT;
using fexldr_type_libGL_glTextureParameteriv = auto (GLuint a_0, GLenum a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glTextureParameteriv *fexldr_ptr_libGL_glTextureParameteriv;
using fexldr_type_libGL_glTextureRangeAPPLE = auto (GLenum a_0, GLsizei a_1, const void * a_2) -> void;
static fexldr_type_libGL_glTextureRangeAPPLE *fexldr_ptr_libGL_glTextureRangeAPPLE;
using fexldr_type_libGL_glTextureRenderbufferEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glTextureRenderbufferEXT *fexldr_ptr_libGL_glTextureRenderbufferEXT;
using fexldr_type_libGL_glTextureStorage1DEXT = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glTextureStorage1DEXT *fexldr_ptr_libGL_glTextureStorage1DEXT;
using fexldr_type_libGL_glTextureStorage1D = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glTextureStorage1D *fexldr_ptr_libGL_glTextureStorage1D;
using fexldr_type_libGL_glTextureStorage2DEXT = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glTextureStorage2DEXT *fexldr_ptr_libGL_glTextureStorage2DEXT;
using fexldr_type_libGL_glTextureStorage2D = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glTextureStorage2D *fexldr_ptr_libGL_glTextureStorage2D;
using fexldr_type_libGL_glTextureStorage2DMultisampleEXT = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLsizei a_4, GLsizei a_5, GLboolean a_6) -> void;
static fexldr_type_libGL_glTextureStorage2DMultisampleEXT *fexldr_ptr_libGL_glTextureStorage2DMultisampleEXT;
using fexldr_type_libGL_glTextureStorage2DMultisample = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLboolean a_5) -> void;
static fexldr_type_libGL_glTextureStorage2DMultisample *fexldr_ptr_libGL_glTextureStorage2DMultisample;
using fexldr_type_libGL_glTextureStorage3DEXT = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLsizei a_4, GLsizei a_5, GLsizei a_6) -> void;
static fexldr_type_libGL_glTextureStorage3DEXT *fexldr_ptr_libGL_glTextureStorage3DEXT;
using fexldr_type_libGL_glTextureStorage3D = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5) -> void;
static fexldr_type_libGL_glTextureStorage3D *fexldr_ptr_libGL_glTextureStorage3D;
using fexldr_type_libGL_glTextureStorage3DMultisampleEXT = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLenum a_3, GLsizei a_4, GLsizei a_5, GLsizei a_6, GLboolean a_7) -> void;
static fexldr_type_libGL_glTextureStorage3DMultisampleEXT *fexldr_ptr_libGL_glTextureStorage3DMultisampleEXT;
using fexldr_type_libGL_glTextureStorage3DMultisample = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLboolean a_6) -> void;
static fexldr_type_libGL_glTextureStorage3DMultisample *fexldr_ptr_libGL_glTextureStorage3DMultisample;
using fexldr_type_libGL_glTextureStorageMem1DEXT = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLuint a_4, GLuint64 a_5) -> void;
static fexldr_type_libGL_glTextureStorageMem1DEXT *fexldr_ptr_libGL_glTextureStorageMem1DEXT;
using fexldr_type_libGL_glTextureStorageMem2DEXT = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLuint a_5, GLuint64 a_6) -> void;
static fexldr_type_libGL_glTextureStorageMem2DEXT *fexldr_ptr_libGL_glTextureStorageMem2DEXT;
using fexldr_type_libGL_glTextureStorageMem2DMultisampleEXT = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLboolean a_5, GLuint a_6, GLuint64 a_7) -> void;
static fexldr_type_libGL_glTextureStorageMem2DMultisampleEXT *fexldr_ptr_libGL_glTextureStorageMem2DMultisampleEXT;
using fexldr_type_libGL_glTextureStorageMem3DEXT = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLuint a_6, GLuint64 a_7) -> void;
static fexldr_type_libGL_glTextureStorageMem3DEXT *fexldr_ptr_libGL_glTextureStorageMem3DEXT;
using fexldr_type_libGL_glTextureStorageMem3DMultisampleEXT = auto (GLuint a_0, GLsizei a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLboolean a_6, GLuint a_7, GLuint64 a_8) -> void;
static fexldr_type_libGL_glTextureStorageMem3DMultisampleEXT *fexldr_ptr_libGL_glTextureStorageMem3DMultisampleEXT;
using fexldr_type_libGL_glTextureStorageSparseAMD = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLsizei a_3, GLsizei a_4, GLsizei a_5, GLsizei a_6, GLbitfield a_7) -> void;
static fexldr_type_libGL_glTextureStorageSparseAMD *fexldr_ptr_libGL_glTextureStorageSparseAMD;
using fexldr_type_libGL_glTextureSubImage1DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLsizei a_4, GLenum a_5, GLenum a_6, const void * a_7) -> void;
static fexldr_type_libGL_glTextureSubImage1DEXT *fexldr_ptr_libGL_glTextureSubImage1DEXT;
using fexldr_type_libGL_glTextureSubImage1D = auto (GLuint a_0, GLint a_1, GLint a_2, GLsizei a_3, GLenum a_4, GLenum a_5, const void * a_6) -> void;
static fexldr_type_libGL_glTextureSubImage1D *fexldr_ptr_libGL_glTextureSubImage1D;
using fexldr_type_libGL_glTextureSubImage2DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLenum a_7, GLenum a_8, const void * a_9) -> void;
static fexldr_type_libGL_glTextureSubImage2DEXT *fexldr_ptr_libGL_glTextureSubImage2DEXT;
using fexldr_type_libGL_glTextureSubImage2D = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLsizei a_4, GLsizei a_5, GLenum a_6, GLenum a_7, const void * a_8) -> void;
static fexldr_type_libGL_glTextureSubImage2D *fexldr_ptr_libGL_glTextureSubImage2D;
using fexldr_type_libGL_glTextureSubImage3DEXT = auto (GLuint a_0, GLenum a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLsizei a_6, GLsizei a_7, GLsizei a_8, GLenum a_9, GLenum a_10, const void * a_11) -> void;
static fexldr_type_libGL_glTextureSubImage3DEXT *fexldr_ptr_libGL_glTextureSubImage3DEXT;
using fexldr_type_libGL_glTextureSubImage3D = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLsizei a_5, GLsizei a_6, GLsizei a_7, GLenum a_8, GLenum a_9, const void * a_10) -> void;
static fexldr_type_libGL_glTextureSubImage3D *fexldr_ptr_libGL_glTextureSubImage3D;
using fexldr_type_libGL_glTextureView = auto (GLuint a_0, GLenum a_1, GLuint a_2, GLenum a_3, GLuint a_4, GLuint a_5, GLuint a_6, GLuint a_7) -> void;
static fexldr_type_libGL_glTextureView *fexldr_ptr_libGL_glTextureView;
using fexldr_type_libGL_glTrackMatrixNV = auto (GLenum a_0, GLuint a_1, GLenum a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glTrackMatrixNV *fexldr_ptr_libGL_glTrackMatrixNV;
using fexldr_type_libGL_glTransformFeedbackAttribsNV = auto (GLsizei a_0, const GLint * a_1, GLenum a_2) -> void;
static fexldr_type_libGL_glTransformFeedbackAttribsNV *fexldr_ptr_libGL_glTransformFeedbackAttribsNV;
using fexldr_type_libGL_glTransformFeedbackBufferBase = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glTransformFeedbackBufferBase *fexldr_ptr_libGL_glTransformFeedbackBufferBase;
using fexldr_type_libGL_glTransformFeedbackBufferRange = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLintptr a_3, GLsizeiptr a_4) -> void;
static fexldr_type_libGL_glTransformFeedbackBufferRange *fexldr_ptr_libGL_glTransformFeedbackBufferRange;
using fexldr_type_libGL_glTransformFeedbackStreamAttribsNV = auto (GLsizei a_0, const GLint * a_1, GLsizei a_2, const GLint * a_3, GLenum a_4) -> void;
static fexldr_type_libGL_glTransformFeedbackStreamAttribsNV *fexldr_ptr_libGL_glTransformFeedbackStreamAttribsNV;
using fexldr_type_libGL_glTransformFeedbackVaryingsEXT = auto (GLuint a_0, GLsizei a_1, const GLchar *const * a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glTransformFeedbackVaryingsEXT *fexldr_ptr_libGL_glTransformFeedbackVaryingsEXT;
using fexldr_type_libGL_glTransformFeedbackVaryings = auto (GLuint a_0, GLsizei a_1, const GLchar *const * a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glTransformFeedbackVaryings *fexldr_ptr_libGL_glTransformFeedbackVaryings;
using fexldr_type_libGL_glTransformFeedbackVaryingsNV = auto (GLuint a_0, GLsizei a_1, const GLint * a_2, GLenum a_3) -> void;
static fexldr_type_libGL_glTransformFeedbackVaryingsNV *fexldr_ptr_libGL_glTransformFeedbackVaryingsNV;
using fexldr_type_libGL_glTransformPathNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glTransformPathNV *fexldr_ptr_libGL_glTransformPathNV;
using fexldr_type_libGL_glTranslated = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glTranslated *fexldr_ptr_libGL_glTranslated;
using fexldr_type_libGL_glTranslatef = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glTranslatef *fexldr_ptr_libGL_glTranslatef;
using fexldr_type_libGL_glTranslatexOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glTranslatexOES *fexldr_ptr_libGL_glTranslatexOES;
using fexldr_type_libGL_glUniform1d = auto (GLint a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glUniform1d *fexldr_ptr_libGL_glUniform1d;
using fexldr_type_libGL_glUniform1dv = auto (GLint a_0, GLsizei a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glUniform1dv *fexldr_ptr_libGL_glUniform1dv;
using fexldr_type_libGL_glUniform1fARB = auto (GLint a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glUniform1fARB *fexldr_ptr_libGL_glUniform1fARB;
using fexldr_type_libGL_glUniform1f = auto (GLint a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glUniform1f *fexldr_ptr_libGL_glUniform1f;
using fexldr_type_libGL_glUniform1fvARB = auto (GLint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glUniform1fvARB *fexldr_ptr_libGL_glUniform1fvARB;
using fexldr_type_libGL_glUniform1fv = auto (GLint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glUniform1fv *fexldr_ptr_libGL_glUniform1fv;
using fexldr_type_libGL_glUniform1i64ARB = auto (GLint a_0, GLint64 a_1) -> void;
static fexldr_type_libGL_glUniform1i64ARB *fexldr_ptr_libGL_glUniform1i64ARB;
using fexldr_type_libGL_glUniform1i64NV = auto (GLint a_0, GLint64EXT a_1) -> void;
static fexldr_type_libGL_glUniform1i64NV *fexldr_ptr_libGL_glUniform1i64NV;
using fexldr_type_libGL_glUniform1i64vARB = auto (GLint a_0, GLsizei a_1, const GLint64 * a_2) -> void;
static fexldr_type_libGL_glUniform1i64vARB *fexldr_ptr_libGL_glUniform1i64vARB;
using fexldr_type_libGL_glUniform1i64vNV = auto (GLint a_0, GLsizei a_1, const GLint64EXT * a_2) -> void;
static fexldr_type_libGL_glUniform1i64vNV *fexldr_ptr_libGL_glUniform1i64vNV;
using fexldr_type_libGL_glUniform1iARB = auto (GLint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glUniform1iARB *fexldr_ptr_libGL_glUniform1iARB;
using fexldr_type_libGL_glUniform1i = auto (GLint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glUniform1i *fexldr_ptr_libGL_glUniform1i;
using fexldr_type_libGL_glUniform1ivARB = auto (GLint a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glUniform1ivARB *fexldr_ptr_libGL_glUniform1ivARB;
using fexldr_type_libGL_glUniform1iv = auto (GLint a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glUniform1iv *fexldr_ptr_libGL_glUniform1iv;
using fexldr_type_libGL_glUniform1ui64ARB = auto (GLint a_0, GLuint64 a_1) -> void;
static fexldr_type_libGL_glUniform1ui64ARB *fexldr_ptr_libGL_glUniform1ui64ARB;
using fexldr_type_libGL_glUniform1ui64NV = auto (GLint a_0, GLuint64EXT a_1) -> void;
static fexldr_type_libGL_glUniform1ui64NV *fexldr_ptr_libGL_glUniform1ui64NV;
using fexldr_type_libGL_glUniform1ui64vARB = auto (GLint a_0, GLsizei a_1, const GLuint64 * a_2) -> void;
static fexldr_type_libGL_glUniform1ui64vARB *fexldr_ptr_libGL_glUniform1ui64vARB;
using fexldr_type_libGL_glUniform1ui64vNV = auto (GLint a_0, GLsizei a_1, const GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glUniform1ui64vNV *fexldr_ptr_libGL_glUniform1ui64vNV;
using fexldr_type_libGL_glUniform1uiEXT = auto (GLint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glUniform1uiEXT *fexldr_ptr_libGL_glUniform1uiEXT;
using fexldr_type_libGL_glUniform1ui = auto (GLint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glUniform1ui *fexldr_ptr_libGL_glUniform1ui;
using fexldr_type_libGL_glUniform1uivEXT = auto (GLint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glUniform1uivEXT *fexldr_ptr_libGL_glUniform1uivEXT;
using fexldr_type_libGL_glUniform1uiv = auto (GLint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glUniform1uiv *fexldr_ptr_libGL_glUniform1uiv;
using fexldr_type_libGL_glUniform2d = auto (GLint a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glUniform2d *fexldr_ptr_libGL_glUniform2d;
using fexldr_type_libGL_glUniform2dv = auto (GLint a_0, GLsizei a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glUniform2dv *fexldr_ptr_libGL_glUniform2dv;
using fexldr_type_libGL_glUniform2fARB = auto (GLint a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glUniform2fARB *fexldr_ptr_libGL_glUniform2fARB;
using fexldr_type_libGL_glUniform2f = auto (GLint a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glUniform2f *fexldr_ptr_libGL_glUniform2f;
using fexldr_type_libGL_glUniform2fvARB = auto (GLint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glUniform2fvARB *fexldr_ptr_libGL_glUniform2fvARB;
using fexldr_type_libGL_glUniform2fv = auto (GLint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glUniform2fv *fexldr_ptr_libGL_glUniform2fv;
using fexldr_type_libGL_glUniform2i64ARB = auto (GLint a_0, GLint64 a_1, GLint64 a_2) -> void;
static fexldr_type_libGL_glUniform2i64ARB *fexldr_ptr_libGL_glUniform2i64ARB;
using fexldr_type_libGL_glUniform2i64NV = auto (GLint a_0, GLint64EXT a_1, GLint64EXT a_2) -> void;
static fexldr_type_libGL_glUniform2i64NV *fexldr_ptr_libGL_glUniform2i64NV;
using fexldr_type_libGL_glUniform2i64vARB = auto (GLint a_0, GLsizei a_1, const GLint64 * a_2) -> void;
static fexldr_type_libGL_glUniform2i64vARB *fexldr_ptr_libGL_glUniform2i64vARB;
using fexldr_type_libGL_glUniform2i64vNV = auto (GLint a_0, GLsizei a_1, const GLint64EXT * a_2) -> void;
static fexldr_type_libGL_glUniform2i64vNV *fexldr_ptr_libGL_glUniform2i64vNV;
using fexldr_type_libGL_glUniform2iARB = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glUniform2iARB *fexldr_ptr_libGL_glUniform2iARB;
using fexldr_type_libGL_glUniform2i = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glUniform2i *fexldr_ptr_libGL_glUniform2i;
using fexldr_type_libGL_glUniform2ivARB = auto (GLint a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glUniform2ivARB *fexldr_ptr_libGL_glUniform2ivARB;
using fexldr_type_libGL_glUniform2iv = auto (GLint a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glUniform2iv *fexldr_ptr_libGL_glUniform2iv;
using fexldr_type_libGL_glUniform2ui64ARB = auto (GLint a_0, GLuint64 a_1, GLuint64 a_2) -> void;
static fexldr_type_libGL_glUniform2ui64ARB *fexldr_ptr_libGL_glUniform2ui64ARB;
using fexldr_type_libGL_glUniform2ui64NV = auto (GLint a_0, GLuint64EXT a_1, GLuint64EXT a_2) -> void;
static fexldr_type_libGL_glUniform2ui64NV *fexldr_ptr_libGL_glUniform2ui64NV;
using fexldr_type_libGL_glUniform2ui64vARB = auto (GLint a_0, GLsizei a_1, const GLuint64 * a_2) -> void;
static fexldr_type_libGL_glUniform2ui64vARB *fexldr_ptr_libGL_glUniform2ui64vARB;
using fexldr_type_libGL_glUniform2ui64vNV = auto (GLint a_0, GLsizei a_1, const GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glUniform2ui64vNV *fexldr_ptr_libGL_glUniform2ui64vNV;
using fexldr_type_libGL_glUniform2uiEXT = auto (GLint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glUniform2uiEXT *fexldr_ptr_libGL_glUniform2uiEXT;
using fexldr_type_libGL_glUniform2ui = auto (GLint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glUniform2ui *fexldr_ptr_libGL_glUniform2ui;
using fexldr_type_libGL_glUniform2uivEXT = auto (GLint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glUniform2uivEXT *fexldr_ptr_libGL_glUniform2uivEXT;
using fexldr_type_libGL_glUniform2uiv = auto (GLint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glUniform2uiv *fexldr_ptr_libGL_glUniform2uiv;
using fexldr_type_libGL_glUniform3d = auto (GLint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glUniform3d *fexldr_ptr_libGL_glUniform3d;
using fexldr_type_libGL_glUniform3dv = auto (GLint a_0, GLsizei a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glUniform3dv *fexldr_ptr_libGL_glUniform3dv;
using fexldr_type_libGL_glUniform3fARB = auto (GLint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glUniform3fARB *fexldr_ptr_libGL_glUniform3fARB;
using fexldr_type_libGL_glUniform3f = auto (GLint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glUniform3f *fexldr_ptr_libGL_glUniform3f;
using fexldr_type_libGL_glUniform3fvARB = auto (GLint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glUniform3fvARB *fexldr_ptr_libGL_glUniform3fvARB;
using fexldr_type_libGL_glUniform3fv = auto (GLint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glUniform3fv *fexldr_ptr_libGL_glUniform3fv;
using fexldr_type_libGL_glUniform3i64ARB = auto (GLint a_0, GLint64 a_1, GLint64 a_2, GLint64 a_3) -> void;
static fexldr_type_libGL_glUniform3i64ARB *fexldr_ptr_libGL_glUniform3i64ARB;
using fexldr_type_libGL_glUniform3i64NV = auto (GLint a_0, GLint64EXT a_1, GLint64EXT a_2, GLint64EXT a_3) -> void;
static fexldr_type_libGL_glUniform3i64NV *fexldr_ptr_libGL_glUniform3i64NV;
using fexldr_type_libGL_glUniform3i64vARB = auto (GLint a_0, GLsizei a_1, const GLint64 * a_2) -> void;
static fexldr_type_libGL_glUniform3i64vARB *fexldr_ptr_libGL_glUniform3i64vARB;
using fexldr_type_libGL_glUniform3i64vNV = auto (GLint a_0, GLsizei a_1, const GLint64EXT * a_2) -> void;
static fexldr_type_libGL_glUniform3i64vNV *fexldr_ptr_libGL_glUniform3i64vNV;
using fexldr_type_libGL_glUniform3iARB = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glUniform3iARB *fexldr_ptr_libGL_glUniform3iARB;
using fexldr_type_libGL_glUniform3i = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glUniform3i *fexldr_ptr_libGL_glUniform3i;
using fexldr_type_libGL_glUniform3ivARB = auto (GLint a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glUniform3ivARB *fexldr_ptr_libGL_glUniform3ivARB;
using fexldr_type_libGL_glUniform3iv = auto (GLint a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glUniform3iv *fexldr_ptr_libGL_glUniform3iv;
using fexldr_type_libGL_glUniform3ui64ARB = auto (GLint a_0, GLuint64 a_1, GLuint64 a_2, GLuint64 a_3) -> void;
static fexldr_type_libGL_glUniform3ui64ARB *fexldr_ptr_libGL_glUniform3ui64ARB;
using fexldr_type_libGL_glUniform3ui64NV = auto (GLint a_0, GLuint64EXT a_1, GLuint64EXT a_2, GLuint64EXT a_3) -> void;
static fexldr_type_libGL_glUniform3ui64NV *fexldr_ptr_libGL_glUniform3ui64NV;
using fexldr_type_libGL_glUniform3ui64vARB = auto (GLint a_0, GLsizei a_1, const GLuint64 * a_2) -> void;
static fexldr_type_libGL_glUniform3ui64vARB *fexldr_ptr_libGL_glUniform3ui64vARB;
using fexldr_type_libGL_glUniform3ui64vNV = auto (GLint a_0, GLsizei a_1, const GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glUniform3ui64vNV *fexldr_ptr_libGL_glUniform3ui64vNV;
using fexldr_type_libGL_glUniform3uiEXT = auto (GLint a_0, GLuint a_1, GLuint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glUniform3uiEXT *fexldr_ptr_libGL_glUniform3uiEXT;
using fexldr_type_libGL_glUniform3ui = auto (GLint a_0, GLuint a_1, GLuint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glUniform3ui *fexldr_ptr_libGL_glUniform3ui;
using fexldr_type_libGL_glUniform3uivEXT = auto (GLint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glUniform3uivEXT *fexldr_ptr_libGL_glUniform3uivEXT;
using fexldr_type_libGL_glUniform3uiv = auto (GLint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glUniform3uiv *fexldr_ptr_libGL_glUniform3uiv;
using fexldr_type_libGL_glUniform4d = auto (GLint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glUniform4d *fexldr_ptr_libGL_glUniform4d;
using fexldr_type_libGL_glUniform4dv = auto (GLint a_0, GLsizei a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glUniform4dv *fexldr_ptr_libGL_glUniform4dv;
using fexldr_type_libGL_glUniform4fARB = auto (GLint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glUniform4fARB *fexldr_ptr_libGL_glUniform4fARB;
using fexldr_type_libGL_glUniform4f = auto (GLint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glUniform4f *fexldr_ptr_libGL_glUniform4f;
using fexldr_type_libGL_glUniform4fvARB = auto (GLint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glUniform4fvARB *fexldr_ptr_libGL_glUniform4fvARB;
using fexldr_type_libGL_glUniform4fv = auto (GLint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glUniform4fv *fexldr_ptr_libGL_glUniform4fv;
using fexldr_type_libGL_glUniform4i64ARB = auto (GLint a_0, GLint64 a_1, GLint64 a_2, GLint64 a_3, GLint64 a_4) -> void;
static fexldr_type_libGL_glUniform4i64ARB *fexldr_ptr_libGL_glUniform4i64ARB;
using fexldr_type_libGL_glUniform4i64NV = auto (GLint a_0, GLint64EXT a_1, GLint64EXT a_2, GLint64EXT a_3, GLint64EXT a_4) -> void;
static fexldr_type_libGL_glUniform4i64NV *fexldr_ptr_libGL_glUniform4i64NV;
using fexldr_type_libGL_glUniform4i64vARB = auto (GLint a_0, GLsizei a_1, const GLint64 * a_2) -> void;
static fexldr_type_libGL_glUniform4i64vARB *fexldr_ptr_libGL_glUniform4i64vARB;
using fexldr_type_libGL_glUniform4i64vNV = auto (GLint a_0, GLsizei a_1, const GLint64EXT * a_2) -> void;
static fexldr_type_libGL_glUniform4i64vNV *fexldr_ptr_libGL_glUniform4i64vNV;
using fexldr_type_libGL_glUniform4iARB = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glUniform4iARB *fexldr_ptr_libGL_glUniform4iARB;
using fexldr_type_libGL_glUniform4i = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glUniform4i *fexldr_ptr_libGL_glUniform4i;
using fexldr_type_libGL_glUniform4ivARB = auto (GLint a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glUniform4ivARB *fexldr_ptr_libGL_glUniform4ivARB;
using fexldr_type_libGL_glUniform4iv = auto (GLint a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glUniform4iv *fexldr_ptr_libGL_glUniform4iv;
using fexldr_type_libGL_glUniform4ui64ARB = auto (GLint a_0, GLuint64 a_1, GLuint64 a_2, GLuint64 a_3, GLuint64 a_4) -> void;
static fexldr_type_libGL_glUniform4ui64ARB *fexldr_ptr_libGL_glUniform4ui64ARB;
using fexldr_type_libGL_glUniform4ui64NV = auto (GLint a_0, GLuint64EXT a_1, GLuint64EXT a_2, GLuint64EXT a_3, GLuint64EXT a_4) -> void;
static fexldr_type_libGL_glUniform4ui64NV *fexldr_ptr_libGL_glUniform4ui64NV;
using fexldr_type_libGL_glUniform4ui64vARB = auto (GLint a_0, GLsizei a_1, const GLuint64 * a_2) -> void;
static fexldr_type_libGL_glUniform4ui64vARB *fexldr_ptr_libGL_glUniform4ui64vARB;
using fexldr_type_libGL_glUniform4ui64vNV = auto (GLint a_0, GLsizei a_1, const GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glUniform4ui64vNV *fexldr_ptr_libGL_glUniform4ui64vNV;
using fexldr_type_libGL_glUniform4uiEXT = auto (GLint a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glUniform4uiEXT *fexldr_ptr_libGL_glUniform4uiEXT;
using fexldr_type_libGL_glUniform4ui = auto (GLint a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glUniform4ui *fexldr_ptr_libGL_glUniform4ui;
using fexldr_type_libGL_glUniform4uivEXT = auto (GLint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glUniform4uivEXT *fexldr_ptr_libGL_glUniform4uivEXT;
using fexldr_type_libGL_glUniform4uiv = auto (GLint a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glUniform4uiv *fexldr_ptr_libGL_glUniform4uiv;
using fexldr_type_libGL_glUniformBlockBinding = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glUniformBlockBinding *fexldr_ptr_libGL_glUniformBlockBinding;
using fexldr_type_libGL_glUniformBufferEXT = auto (GLuint a_0, GLint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glUniformBufferEXT *fexldr_ptr_libGL_glUniformBufferEXT;
using fexldr_type_libGL_glUniformHandleui64ARB = auto (GLint a_0, GLuint64 a_1) -> void;
static fexldr_type_libGL_glUniformHandleui64ARB *fexldr_ptr_libGL_glUniformHandleui64ARB;
using fexldr_type_libGL_glUniformHandleui64NV = auto (GLint a_0, GLuint64 a_1) -> void;
static fexldr_type_libGL_glUniformHandleui64NV *fexldr_ptr_libGL_glUniformHandleui64NV;
using fexldr_type_libGL_glUniformHandleui64vARB = auto (GLint a_0, GLsizei a_1, const GLuint64 * a_2) -> void;
static fexldr_type_libGL_glUniformHandleui64vARB *fexldr_ptr_libGL_glUniformHandleui64vARB;
using fexldr_type_libGL_glUniformHandleui64vNV = auto (GLint a_0, GLsizei a_1, const GLuint64 * a_2) -> void;
static fexldr_type_libGL_glUniformHandleui64vNV *fexldr_ptr_libGL_glUniformHandleui64vNV;
using fexldr_type_libGL_glUniformMatrix2dv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix2dv *fexldr_ptr_libGL_glUniformMatrix2dv;
using fexldr_type_libGL_glUniformMatrix2fvARB = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix2fvARB *fexldr_ptr_libGL_glUniformMatrix2fvARB;
using fexldr_type_libGL_glUniformMatrix2fv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix2fv *fexldr_ptr_libGL_glUniformMatrix2fv;
using fexldr_type_libGL_glUniformMatrix2x3dv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix2x3dv *fexldr_ptr_libGL_glUniformMatrix2x3dv;
using fexldr_type_libGL_glUniformMatrix2x3fv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix2x3fv *fexldr_ptr_libGL_glUniformMatrix2x3fv;
using fexldr_type_libGL_glUniformMatrix2x4dv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix2x4dv *fexldr_ptr_libGL_glUniformMatrix2x4dv;
using fexldr_type_libGL_glUniformMatrix2x4fv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix2x4fv *fexldr_ptr_libGL_glUniformMatrix2x4fv;
using fexldr_type_libGL_glUniformMatrix3dv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix3dv *fexldr_ptr_libGL_glUniformMatrix3dv;
using fexldr_type_libGL_glUniformMatrix3fvARB = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix3fvARB *fexldr_ptr_libGL_glUniformMatrix3fvARB;
using fexldr_type_libGL_glUniformMatrix3fv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix3fv *fexldr_ptr_libGL_glUniformMatrix3fv;
using fexldr_type_libGL_glUniformMatrix3x2dv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix3x2dv *fexldr_ptr_libGL_glUniformMatrix3x2dv;
using fexldr_type_libGL_glUniformMatrix3x2fv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix3x2fv *fexldr_ptr_libGL_glUniformMatrix3x2fv;
using fexldr_type_libGL_glUniformMatrix3x4dv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix3x4dv *fexldr_ptr_libGL_glUniformMatrix3x4dv;
using fexldr_type_libGL_glUniformMatrix3x4fv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix3x4fv *fexldr_ptr_libGL_glUniformMatrix3x4fv;
using fexldr_type_libGL_glUniformMatrix4dv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix4dv *fexldr_ptr_libGL_glUniformMatrix4dv;
using fexldr_type_libGL_glUniformMatrix4fvARB = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix4fvARB *fexldr_ptr_libGL_glUniformMatrix4fvARB;
using fexldr_type_libGL_glUniformMatrix4fv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix4fv *fexldr_ptr_libGL_glUniformMatrix4fv;
using fexldr_type_libGL_glUniformMatrix4x2dv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix4x2dv *fexldr_ptr_libGL_glUniformMatrix4x2dv;
using fexldr_type_libGL_glUniformMatrix4x2fv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix4x2fv *fexldr_ptr_libGL_glUniformMatrix4x2fv;
using fexldr_type_libGL_glUniformMatrix4x3dv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix4x3dv *fexldr_ptr_libGL_glUniformMatrix4x3dv;
using fexldr_type_libGL_glUniformMatrix4x3fv = auto (GLint a_0, GLsizei a_1, GLboolean a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glUniformMatrix4x3fv *fexldr_ptr_libGL_glUniformMatrix4x3fv;
using fexldr_type_libGL_glUniformSubroutinesuiv = auto (GLenum a_0, GLsizei a_1, const GLuint * a_2) -> void;
static fexldr_type_libGL_glUniformSubroutinesuiv *fexldr_ptr_libGL_glUniformSubroutinesuiv;
using fexldr_type_libGL_glUniformui64NV = auto (GLint a_0, GLuint64EXT a_1) -> void;
static fexldr_type_libGL_glUniformui64NV *fexldr_ptr_libGL_glUniformui64NV;
using fexldr_type_libGL_glUniformui64vNV = auto (GLint a_0, GLsizei a_1, const GLuint64EXT * a_2) -> void;
static fexldr_type_libGL_glUniformui64vNV *fexldr_ptr_libGL_glUniformui64vNV;
using fexldr_type_libGL_glUnlockArraysEXT = auto () -> void;
static fexldr_type_libGL_glUnlockArraysEXT *fexldr_ptr_libGL_glUnlockArraysEXT;
using fexldr_type_libGL_glUnmapObjectBufferATI = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glUnmapObjectBufferATI *fexldr_ptr_libGL_glUnmapObjectBufferATI;
using fexldr_type_libGL_glUnmapTexture2DINTEL = auto (GLuint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glUnmapTexture2DINTEL *fexldr_ptr_libGL_glUnmapTexture2DINTEL;
using fexldr_type_libGL_glUpdateObjectBufferATI = auto (GLuint a_0, GLuint a_1, GLsizei a_2, const void * a_3, GLenum a_4) -> void;
static fexldr_type_libGL_glUpdateObjectBufferATI *fexldr_ptr_libGL_glUpdateObjectBufferATI;
using fexldr_type_libGL_glUploadGpuMaskNVX = auto (GLbitfield a_0) -> void;
static fexldr_type_libGL_glUploadGpuMaskNVX *fexldr_ptr_libGL_glUploadGpuMaskNVX;
using fexldr_type_libGL_glUseProgram = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glUseProgram *fexldr_ptr_libGL_glUseProgram;
using fexldr_type_libGL_glUseProgramObjectARB = auto (GLhandleARB a_0) -> void;
static fexldr_type_libGL_glUseProgramObjectARB *fexldr_ptr_libGL_glUseProgramObjectARB;
using fexldr_type_libGL_glUseProgramStages = auto (GLuint a_0, GLbitfield a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glUseProgramStages *fexldr_ptr_libGL_glUseProgramStages;
using fexldr_type_libGL_glUseShaderProgramEXT = auto (GLenum a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glUseShaderProgramEXT *fexldr_ptr_libGL_glUseShaderProgramEXT;
using fexldr_type_libGL_glValidateProgramARB = auto (GLhandleARB a_0) -> void;
static fexldr_type_libGL_glValidateProgramARB *fexldr_ptr_libGL_glValidateProgramARB;
using fexldr_type_libGL_glValidateProgram = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glValidateProgram *fexldr_ptr_libGL_glValidateProgram;
using fexldr_type_libGL_glValidateProgramPipeline = auto (GLuint a_0) -> void;
static fexldr_type_libGL_glValidateProgramPipeline *fexldr_ptr_libGL_glValidateProgramPipeline;
using fexldr_type_libGL_glVariantArrayObjectATI = auto (GLuint a_0, GLenum a_1, GLsizei a_2, GLuint a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glVariantArrayObjectATI *fexldr_ptr_libGL_glVariantArrayObjectATI;
using fexldr_type_libGL_glVariantbvEXT = auto (GLuint a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glVariantbvEXT *fexldr_ptr_libGL_glVariantbvEXT;
using fexldr_type_libGL_glVariantdvEXT = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVariantdvEXT *fexldr_ptr_libGL_glVariantdvEXT;
using fexldr_type_libGL_glVariantfvEXT = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVariantfvEXT *fexldr_ptr_libGL_glVariantfvEXT;
using fexldr_type_libGL_glVariantivEXT = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVariantivEXT *fexldr_ptr_libGL_glVariantivEXT;
using fexldr_type_libGL_glVariantPointerEXT = auto (GLuint a_0, GLenum a_1, GLuint a_2, const void * a_3) -> void;
static fexldr_type_libGL_glVariantPointerEXT *fexldr_ptr_libGL_glVariantPointerEXT;
using fexldr_type_libGL_glVariantsvEXT = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVariantsvEXT *fexldr_ptr_libGL_glVariantsvEXT;
using fexldr_type_libGL_glVariantubvEXT = auto (GLuint a_0, const GLubyte * a_1) -> void;
static fexldr_type_libGL_glVariantubvEXT *fexldr_ptr_libGL_glVariantubvEXT;
using fexldr_type_libGL_glVariantuivEXT = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVariantuivEXT *fexldr_ptr_libGL_glVariantuivEXT;
using fexldr_type_libGL_glVariantusvEXT = auto (GLuint a_0, const GLushort * a_1) -> void;
static fexldr_type_libGL_glVariantusvEXT *fexldr_ptr_libGL_glVariantusvEXT;
using fexldr_type_libGL_glVDPAUFiniNV = auto () -> void;
static fexldr_type_libGL_glVDPAUFiniNV *fexldr_ptr_libGL_glVDPAUFiniNV;
using fexldr_type_libGL_glVDPAUGetSurfaceivNV = auto (GLvdpauSurfaceNV a_0, GLenum a_1, GLsizei a_2, GLsizei * a_3, GLint * a_4) -> void;
static fexldr_type_libGL_glVDPAUGetSurfaceivNV *fexldr_ptr_libGL_glVDPAUGetSurfaceivNV;
using fexldr_type_libGL_glVDPAUInitNV = auto (const void * a_0, const void * a_1) -> void;
static fexldr_type_libGL_glVDPAUInitNV *fexldr_ptr_libGL_glVDPAUInitNV;
using fexldr_type_libGL_glVDPAUMapSurfacesNV = auto (GLsizei a_0, const GLvdpauSurfaceNV * a_1) -> void;
static fexldr_type_libGL_glVDPAUMapSurfacesNV *fexldr_ptr_libGL_glVDPAUMapSurfacesNV;
using fexldr_type_libGL_glVDPAUSurfaceAccessNV = auto (GLvdpauSurfaceNV a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glVDPAUSurfaceAccessNV *fexldr_ptr_libGL_glVDPAUSurfaceAccessNV;
using fexldr_type_libGL_glVDPAUUnmapSurfacesNV = auto (GLsizei a_0, const GLvdpauSurfaceNV * a_1) -> void;
static fexldr_type_libGL_glVDPAUUnmapSurfacesNV *fexldr_ptr_libGL_glVDPAUUnmapSurfacesNV;
using fexldr_type_libGL_glVDPAUUnregisterSurfaceNV = auto (GLvdpauSurfaceNV a_0) -> void;
static fexldr_type_libGL_glVDPAUUnregisterSurfaceNV *fexldr_ptr_libGL_glVDPAUUnregisterSurfaceNV;
using fexldr_type_libGL_glVertex2bOES = auto (GLbyte a_0, GLbyte a_1) -> void;
static fexldr_type_libGL_glVertex2bOES *fexldr_ptr_libGL_glVertex2bOES;
using fexldr_type_libGL_glVertex2bvOES = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glVertex2bvOES *fexldr_ptr_libGL_glVertex2bvOES;
using fexldr_type_libGL_glVertex2d = auto (GLdouble a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glVertex2d *fexldr_ptr_libGL_glVertex2d;
using fexldr_type_libGL_glVertex2dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glVertex2dv *fexldr_ptr_libGL_glVertex2dv;
using fexldr_type_libGL_glVertex2f = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glVertex2f *fexldr_ptr_libGL_glVertex2f;
using fexldr_type_libGL_glVertex2fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glVertex2fv *fexldr_ptr_libGL_glVertex2fv;
using fexldr_type_libGL_glVertex2hNV = auto (GLhalfNV a_0, GLhalfNV a_1) -> void;
static fexldr_type_libGL_glVertex2hNV *fexldr_ptr_libGL_glVertex2hNV;
using fexldr_type_libGL_glVertex2hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glVertex2hvNV *fexldr_ptr_libGL_glVertex2hvNV;
using fexldr_type_libGL_glVertex2i = auto (GLint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glVertex2i *fexldr_ptr_libGL_glVertex2i;
using fexldr_type_libGL_glVertex2iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glVertex2iv *fexldr_ptr_libGL_glVertex2iv;
using fexldr_type_libGL_glVertex2s = auto (GLshort a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glVertex2s *fexldr_ptr_libGL_glVertex2s;
using fexldr_type_libGL_glVertex2sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glVertex2sv *fexldr_ptr_libGL_glVertex2sv;
using fexldr_type_libGL_glVertex2xOES = auto (GLfixed a_0) -> void;
static fexldr_type_libGL_glVertex2xOES *fexldr_ptr_libGL_glVertex2xOES;
using fexldr_type_libGL_glVertex2xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glVertex2xvOES *fexldr_ptr_libGL_glVertex2xvOES;
using fexldr_type_libGL_glVertex3bOES = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2) -> void;
static fexldr_type_libGL_glVertex3bOES *fexldr_ptr_libGL_glVertex3bOES;
using fexldr_type_libGL_glVertex3bvOES = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glVertex3bvOES *fexldr_ptr_libGL_glVertex3bvOES;
using fexldr_type_libGL_glVertex3d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glVertex3d *fexldr_ptr_libGL_glVertex3d;
using fexldr_type_libGL_glVertex3dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glVertex3dv *fexldr_ptr_libGL_glVertex3dv;
using fexldr_type_libGL_glVertex3f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glVertex3f *fexldr_ptr_libGL_glVertex3f;
using fexldr_type_libGL_glVertex3fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glVertex3fv *fexldr_ptr_libGL_glVertex3fv;
using fexldr_type_libGL_glVertex3hNV = auto (GLhalfNV a_0, GLhalfNV a_1, GLhalfNV a_2) -> void;
static fexldr_type_libGL_glVertex3hNV *fexldr_ptr_libGL_glVertex3hNV;
using fexldr_type_libGL_glVertex3hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glVertex3hvNV *fexldr_ptr_libGL_glVertex3hvNV;
using fexldr_type_libGL_glVertex3i = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glVertex3i *fexldr_ptr_libGL_glVertex3i;
using fexldr_type_libGL_glVertex3iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glVertex3iv *fexldr_ptr_libGL_glVertex3iv;
using fexldr_type_libGL_glVertex3s = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glVertex3s *fexldr_ptr_libGL_glVertex3s;
using fexldr_type_libGL_glVertex3sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glVertex3sv *fexldr_ptr_libGL_glVertex3sv;
using fexldr_type_libGL_glVertex3xOES = auto (GLfixed a_0, GLfixed a_1) -> void;
static fexldr_type_libGL_glVertex3xOES *fexldr_ptr_libGL_glVertex3xOES;
using fexldr_type_libGL_glVertex3xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glVertex3xvOES *fexldr_ptr_libGL_glVertex3xvOES;
using fexldr_type_libGL_glVertex4bOES = auto (GLbyte a_0, GLbyte a_1, GLbyte a_2, GLbyte a_3) -> void;
static fexldr_type_libGL_glVertex4bOES *fexldr_ptr_libGL_glVertex4bOES;
using fexldr_type_libGL_glVertex4bvOES = auto (const GLbyte * a_0) -> void;
static fexldr_type_libGL_glVertex4bvOES *fexldr_ptr_libGL_glVertex4bvOES;
using fexldr_type_libGL_glVertex4d = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glVertex4d *fexldr_ptr_libGL_glVertex4d;
using fexldr_type_libGL_glVertex4dv = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glVertex4dv *fexldr_ptr_libGL_glVertex4dv;
using fexldr_type_libGL_glVertex4f = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glVertex4f *fexldr_ptr_libGL_glVertex4f;
using fexldr_type_libGL_glVertex4fv = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glVertex4fv *fexldr_ptr_libGL_glVertex4fv;
using fexldr_type_libGL_glVertex4hNV = auto (GLhalfNV a_0, GLhalfNV a_1, GLhalfNV a_2, GLhalfNV a_3) -> void;
static fexldr_type_libGL_glVertex4hNV *fexldr_ptr_libGL_glVertex4hNV;
using fexldr_type_libGL_glVertex4hvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glVertex4hvNV *fexldr_ptr_libGL_glVertex4hvNV;
using fexldr_type_libGL_glVertex4i = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glVertex4i *fexldr_ptr_libGL_glVertex4i;
using fexldr_type_libGL_glVertex4iv = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glVertex4iv *fexldr_ptr_libGL_glVertex4iv;
using fexldr_type_libGL_glVertex4s = auto (GLshort a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glVertex4s *fexldr_ptr_libGL_glVertex4s;
using fexldr_type_libGL_glVertex4sv = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glVertex4sv *fexldr_ptr_libGL_glVertex4sv;
using fexldr_type_libGL_glVertex4xOES = auto (GLfixed a_0, GLfixed a_1, GLfixed a_2) -> void;
static fexldr_type_libGL_glVertex4xOES *fexldr_ptr_libGL_glVertex4xOES;
using fexldr_type_libGL_glVertex4xvOES = auto (const GLfixed * a_0) -> void;
static fexldr_type_libGL_glVertex4xvOES *fexldr_ptr_libGL_glVertex4xvOES;
using fexldr_type_libGL_glVertexArrayAttribBinding = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glVertexArrayAttribBinding *fexldr_ptr_libGL_glVertexArrayAttribBinding;
using fexldr_type_libGL_glVertexArrayAttribFormat = auto (GLuint a_0, GLuint a_1, GLint a_2, GLenum a_3, GLboolean a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glVertexArrayAttribFormat *fexldr_ptr_libGL_glVertexArrayAttribFormat;
using fexldr_type_libGL_glVertexArrayAttribIFormat = auto (GLuint a_0, GLuint a_1, GLint a_2, GLenum a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glVertexArrayAttribIFormat *fexldr_ptr_libGL_glVertexArrayAttribIFormat;
using fexldr_type_libGL_glVertexArrayAttribLFormat = auto (GLuint a_0, GLuint a_1, GLint a_2, GLenum a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glVertexArrayAttribLFormat *fexldr_ptr_libGL_glVertexArrayAttribLFormat;
using fexldr_type_libGL_glVertexArrayBindingDivisor = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glVertexArrayBindingDivisor *fexldr_ptr_libGL_glVertexArrayBindingDivisor;
using fexldr_type_libGL_glVertexArrayBindVertexBufferEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLintptr a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glVertexArrayBindVertexBufferEXT *fexldr_ptr_libGL_glVertexArrayBindVertexBufferEXT;
using fexldr_type_libGL_glVertexArrayColorOffsetEXT = auto (GLuint a_0, GLuint a_1, GLint a_2, GLenum a_3, GLsizei a_4, GLintptr a_5) -> void;
static fexldr_type_libGL_glVertexArrayColorOffsetEXT *fexldr_ptr_libGL_glVertexArrayColorOffsetEXT;
using fexldr_type_libGL_glVertexArrayEdgeFlagOffsetEXT = auto (GLuint a_0, GLuint a_1, GLsizei a_2, GLintptr a_3) -> void;
static fexldr_type_libGL_glVertexArrayEdgeFlagOffsetEXT *fexldr_ptr_libGL_glVertexArrayEdgeFlagOffsetEXT;
using fexldr_type_libGL_glVertexArrayElementBuffer = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glVertexArrayElementBuffer *fexldr_ptr_libGL_glVertexArrayElementBuffer;
using fexldr_type_libGL_glVertexArrayFogCoordOffsetEXT = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLsizei a_3, GLintptr a_4) -> void;
static fexldr_type_libGL_glVertexArrayFogCoordOffsetEXT *fexldr_ptr_libGL_glVertexArrayFogCoordOffsetEXT;
using fexldr_type_libGL_glVertexArrayIndexOffsetEXT = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLsizei a_3, GLintptr a_4) -> void;
static fexldr_type_libGL_glVertexArrayIndexOffsetEXT *fexldr_ptr_libGL_glVertexArrayIndexOffsetEXT;
using fexldr_type_libGL_glVertexArrayMultiTexCoordOffsetEXT = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLint a_3, GLenum a_4, GLsizei a_5, GLintptr a_6) -> void;
static fexldr_type_libGL_glVertexArrayMultiTexCoordOffsetEXT *fexldr_ptr_libGL_glVertexArrayMultiTexCoordOffsetEXT;
using fexldr_type_libGL_glVertexArrayNormalOffsetEXT = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLsizei a_3, GLintptr a_4) -> void;
static fexldr_type_libGL_glVertexArrayNormalOffsetEXT *fexldr_ptr_libGL_glVertexArrayNormalOffsetEXT;
using fexldr_type_libGL_glVertexArrayParameteriAPPLE = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glVertexArrayParameteriAPPLE *fexldr_ptr_libGL_glVertexArrayParameteriAPPLE;
using fexldr_type_libGL_glVertexArrayRangeAPPLE = auto (GLsizei a_0, void * a_1) -> void;
static fexldr_type_libGL_glVertexArrayRangeAPPLE *fexldr_ptr_libGL_glVertexArrayRangeAPPLE;
using fexldr_type_libGL_glVertexArrayRangeNV = auto (GLsizei a_0, const void * a_1) -> void;
static fexldr_type_libGL_glVertexArrayRangeNV *fexldr_ptr_libGL_glVertexArrayRangeNV;
using fexldr_type_libGL_glVertexArraySecondaryColorOffsetEXT = auto (GLuint a_0, GLuint a_1, GLint a_2, GLenum a_3, GLsizei a_4, GLintptr a_5) -> void;
static fexldr_type_libGL_glVertexArraySecondaryColorOffsetEXT *fexldr_ptr_libGL_glVertexArraySecondaryColorOffsetEXT;
using fexldr_type_libGL_glVertexArrayTexCoordOffsetEXT = auto (GLuint a_0, GLuint a_1, GLint a_2, GLenum a_3, GLsizei a_4, GLintptr a_5) -> void;
static fexldr_type_libGL_glVertexArrayTexCoordOffsetEXT *fexldr_ptr_libGL_glVertexArrayTexCoordOffsetEXT;
using fexldr_type_libGL_glVertexArrayVertexAttribBindingEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glVertexArrayVertexAttribBindingEXT *fexldr_ptr_libGL_glVertexArrayVertexAttribBindingEXT;
using fexldr_type_libGL_glVertexArrayVertexAttribDivisorEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glVertexArrayVertexAttribDivisorEXT *fexldr_ptr_libGL_glVertexArrayVertexAttribDivisorEXT;
using fexldr_type_libGL_glVertexArrayVertexAttribFormatEXT = auto (GLuint a_0, GLuint a_1, GLint a_2, GLenum a_3, GLboolean a_4, GLuint a_5) -> void;
static fexldr_type_libGL_glVertexArrayVertexAttribFormatEXT *fexldr_ptr_libGL_glVertexArrayVertexAttribFormatEXT;
using fexldr_type_libGL_glVertexArrayVertexAttribIFormatEXT = auto (GLuint a_0, GLuint a_1, GLint a_2, GLenum a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glVertexArrayVertexAttribIFormatEXT *fexldr_ptr_libGL_glVertexArrayVertexAttribIFormatEXT;
using fexldr_type_libGL_glVertexArrayVertexAttribIOffsetEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLint a_3, GLenum a_4, GLsizei a_5, GLintptr a_6) -> void;
static fexldr_type_libGL_glVertexArrayVertexAttribIOffsetEXT *fexldr_ptr_libGL_glVertexArrayVertexAttribIOffsetEXT;
using fexldr_type_libGL_glVertexArrayVertexAttribLFormatEXT = auto (GLuint a_0, GLuint a_1, GLint a_2, GLenum a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glVertexArrayVertexAttribLFormatEXT *fexldr_ptr_libGL_glVertexArrayVertexAttribLFormatEXT;
using fexldr_type_libGL_glVertexArrayVertexAttribLOffsetEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLint a_3, GLenum a_4, GLsizei a_5, GLintptr a_6) -> void;
static fexldr_type_libGL_glVertexArrayVertexAttribLOffsetEXT *fexldr_ptr_libGL_glVertexArrayVertexAttribLOffsetEXT;
using fexldr_type_libGL_glVertexArrayVertexAttribOffsetEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLint a_3, GLenum a_4, GLboolean a_5, GLsizei a_6, GLintptr a_7) -> void;
static fexldr_type_libGL_glVertexArrayVertexAttribOffsetEXT *fexldr_ptr_libGL_glVertexArrayVertexAttribOffsetEXT;
using fexldr_type_libGL_glVertexArrayVertexBindingDivisorEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glVertexArrayVertexBindingDivisorEXT *fexldr_ptr_libGL_glVertexArrayVertexBindingDivisorEXT;
using fexldr_type_libGL_glVertexArrayVertexBuffer = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLintptr a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glVertexArrayVertexBuffer *fexldr_ptr_libGL_glVertexArrayVertexBuffer;
using fexldr_type_libGL_glVertexArrayVertexBuffers = auto (GLuint a_0, GLuint a_1, GLsizei a_2, const GLuint * a_3, const GLintptr * a_4, const GLsizei * a_5) -> void;
static fexldr_type_libGL_glVertexArrayVertexBuffers *fexldr_ptr_libGL_glVertexArrayVertexBuffers;
using fexldr_type_libGL_glVertexArrayVertexOffsetEXT = auto (GLuint a_0, GLuint a_1, GLint a_2, GLenum a_3, GLsizei a_4, GLintptr a_5) -> void;
static fexldr_type_libGL_glVertexArrayVertexOffsetEXT *fexldr_ptr_libGL_glVertexArrayVertexOffsetEXT;
using fexldr_type_libGL_glVertexAttrib1dARB = auto (GLuint a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1dARB *fexldr_ptr_libGL_glVertexAttrib1dARB;
using fexldr_type_libGL_glVertexAttrib1d = auto (GLuint a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1d *fexldr_ptr_libGL_glVertexAttrib1d;
using fexldr_type_libGL_glVertexAttrib1dNV = auto (GLuint a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1dNV *fexldr_ptr_libGL_glVertexAttrib1dNV;
using fexldr_type_libGL_glVertexAttrib1dvARB = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1dvARB *fexldr_ptr_libGL_glVertexAttrib1dvARB;
using fexldr_type_libGL_glVertexAttrib1dv = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1dv *fexldr_ptr_libGL_glVertexAttrib1dv;
using fexldr_type_libGL_glVertexAttrib1dvNV = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1dvNV *fexldr_ptr_libGL_glVertexAttrib1dvNV;
using fexldr_type_libGL_glVertexAttrib1fARB = auto (GLuint a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1fARB *fexldr_ptr_libGL_glVertexAttrib1fARB;
using fexldr_type_libGL_glVertexAttrib1f = auto (GLuint a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1f *fexldr_ptr_libGL_glVertexAttrib1f;
using fexldr_type_libGL_glVertexAttrib1fNV = auto (GLuint a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1fNV *fexldr_ptr_libGL_glVertexAttrib1fNV;
using fexldr_type_libGL_glVertexAttrib1fvARB = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1fvARB *fexldr_ptr_libGL_glVertexAttrib1fvARB;
using fexldr_type_libGL_glVertexAttrib1fv = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1fv *fexldr_ptr_libGL_glVertexAttrib1fv;
using fexldr_type_libGL_glVertexAttrib1fvNV = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1fvNV *fexldr_ptr_libGL_glVertexAttrib1fvNV;
using fexldr_type_libGL_glVertexAttrib1hNV = auto (GLuint a_0, GLhalfNV a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1hNV *fexldr_ptr_libGL_glVertexAttrib1hNV;
using fexldr_type_libGL_glVertexAttrib1hvNV = auto (GLuint a_0, const GLhalfNV * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1hvNV *fexldr_ptr_libGL_glVertexAttrib1hvNV;
using fexldr_type_libGL_glVertexAttrib1sARB = auto (GLuint a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1sARB *fexldr_ptr_libGL_glVertexAttrib1sARB;
using fexldr_type_libGL_glVertexAttrib1s = auto (GLuint a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1s *fexldr_ptr_libGL_glVertexAttrib1s;
using fexldr_type_libGL_glVertexAttrib1sNV = auto (GLuint a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1sNV *fexldr_ptr_libGL_glVertexAttrib1sNV;
using fexldr_type_libGL_glVertexAttrib1svARB = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1svARB *fexldr_ptr_libGL_glVertexAttrib1svARB;
using fexldr_type_libGL_glVertexAttrib1sv = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1sv *fexldr_ptr_libGL_glVertexAttrib1sv;
using fexldr_type_libGL_glVertexAttrib1svNV = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib1svNV *fexldr_ptr_libGL_glVertexAttrib1svNV;
using fexldr_type_libGL_glVertexAttrib2dARB = auto (GLuint a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glVertexAttrib2dARB *fexldr_ptr_libGL_glVertexAttrib2dARB;
using fexldr_type_libGL_glVertexAttrib2d = auto (GLuint a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glVertexAttrib2d *fexldr_ptr_libGL_glVertexAttrib2d;
using fexldr_type_libGL_glVertexAttrib2dNV = auto (GLuint a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glVertexAttrib2dNV *fexldr_ptr_libGL_glVertexAttrib2dNV;
using fexldr_type_libGL_glVertexAttrib2dvARB = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib2dvARB *fexldr_ptr_libGL_glVertexAttrib2dvARB;
using fexldr_type_libGL_glVertexAttrib2dv = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib2dv *fexldr_ptr_libGL_glVertexAttrib2dv;
using fexldr_type_libGL_glVertexAttrib2dvNV = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib2dvNV *fexldr_ptr_libGL_glVertexAttrib2dvNV;
using fexldr_type_libGL_glVertexAttrib2fARB = auto (GLuint a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glVertexAttrib2fARB *fexldr_ptr_libGL_glVertexAttrib2fARB;
using fexldr_type_libGL_glVertexAttrib2f = auto (GLuint a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glVertexAttrib2f *fexldr_ptr_libGL_glVertexAttrib2f;
using fexldr_type_libGL_glVertexAttrib2fNV = auto (GLuint a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glVertexAttrib2fNV *fexldr_ptr_libGL_glVertexAttrib2fNV;
using fexldr_type_libGL_glVertexAttrib2fvARB = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib2fvARB *fexldr_ptr_libGL_glVertexAttrib2fvARB;
using fexldr_type_libGL_glVertexAttrib2fv = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib2fv *fexldr_ptr_libGL_glVertexAttrib2fv;
using fexldr_type_libGL_glVertexAttrib2fvNV = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib2fvNV *fexldr_ptr_libGL_glVertexAttrib2fvNV;
using fexldr_type_libGL_glVertexAttrib2hNV = auto (GLuint a_0, GLhalfNV a_1, GLhalfNV a_2) -> void;
static fexldr_type_libGL_glVertexAttrib2hNV *fexldr_ptr_libGL_glVertexAttrib2hNV;
using fexldr_type_libGL_glVertexAttrib2hvNV = auto (GLuint a_0, const GLhalfNV * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib2hvNV *fexldr_ptr_libGL_glVertexAttrib2hvNV;
using fexldr_type_libGL_glVertexAttrib2sARB = auto (GLuint a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glVertexAttrib2sARB *fexldr_ptr_libGL_glVertexAttrib2sARB;
using fexldr_type_libGL_glVertexAttrib2s = auto (GLuint a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glVertexAttrib2s *fexldr_ptr_libGL_glVertexAttrib2s;
using fexldr_type_libGL_glVertexAttrib2sNV = auto (GLuint a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glVertexAttrib2sNV *fexldr_ptr_libGL_glVertexAttrib2sNV;
using fexldr_type_libGL_glVertexAttrib2svARB = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib2svARB *fexldr_ptr_libGL_glVertexAttrib2svARB;
using fexldr_type_libGL_glVertexAttrib2sv = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib2sv *fexldr_ptr_libGL_glVertexAttrib2sv;
using fexldr_type_libGL_glVertexAttrib2svNV = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib2svNV *fexldr_ptr_libGL_glVertexAttrib2svNV;
using fexldr_type_libGL_glVertexAttrib3dARB = auto (GLuint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glVertexAttrib3dARB *fexldr_ptr_libGL_glVertexAttrib3dARB;
using fexldr_type_libGL_glVertexAttrib3d = auto (GLuint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glVertexAttrib3d *fexldr_ptr_libGL_glVertexAttrib3d;
using fexldr_type_libGL_glVertexAttrib3dNV = auto (GLuint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glVertexAttrib3dNV *fexldr_ptr_libGL_glVertexAttrib3dNV;
using fexldr_type_libGL_glVertexAttrib3dvARB = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib3dvARB *fexldr_ptr_libGL_glVertexAttrib3dvARB;
using fexldr_type_libGL_glVertexAttrib3dv = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib3dv *fexldr_ptr_libGL_glVertexAttrib3dv;
using fexldr_type_libGL_glVertexAttrib3dvNV = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib3dvNV *fexldr_ptr_libGL_glVertexAttrib3dvNV;
using fexldr_type_libGL_glVertexAttrib3fARB = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glVertexAttrib3fARB *fexldr_ptr_libGL_glVertexAttrib3fARB;
using fexldr_type_libGL_glVertexAttrib3f = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glVertexAttrib3f *fexldr_ptr_libGL_glVertexAttrib3f;
using fexldr_type_libGL_glVertexAttrib3fNV = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glVertexAttrib3fNV *fexldr_ptr_libGL_glVertexAttrib3fNV;
using fexldr_type_libGL_glVertexAttrib3fvARB = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib3fvARB *fexldr_ptr_libGL_glVertexAttrib3fvARB;
using fexldr_type_libGL_glVertexAttrib3fv = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib3fv *fexldr_ptr_libGL_glVertexAttrib3fv;
using fexldr_type_libGL_glVertexAttrib3fvNV = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib3fvNV *fexldr_ptr_libGL_glVertexAttrib3fvNV;
using fexldr_type_libGL_glVertexAttrib3hNV = auto (GLuint a_0, GLhalfNV a_1, GLhalfNV a_2, GLhalfNV a_3) -> void;
static fexldr_type_libGL_glVertexAttrib3hNV *fexldr_ptr_libGL_glVertexAttrib3hNV;
using fexldr_type_libGL_glVertexAttrib3hvNV = auto (GLuint a_0, const GLhalfNV * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib3hvNV *fexldr_ptr_libGL_glVertexAttrib3hvNV;
using fexldr_type_libGL_glVertexAttrib3sARB = auto (GLuint a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glVertexAttrib3sARB *fexldr_ptr_libGL_glVertexAttrib3sARB;
using fexldr_type_libGL_glVertexAttrib3s = auto (GLuint a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glVertexAttrib3s *fexldr_ptr_libGL_glVertexAttrib3s;
using fexldr_type_libGL_glVertexAttrib3sNV = auto (GLuint a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glVertexAttrib3sNV *fexldr_ptr_libGL_glVertexAttrib3sNV;
using fexldr_type_libGL_glVertexAttrib3svARB = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib3svARB *fexldr_ptr_libGL_glVertexAttrib3svARB;
using fexldr_type_libGL_glVertexAttrib3sv = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib3sv *fexldr_ptr_libGL_glVertexAttrib3sv;
using fexldr_type_libGL_glVertexAttrib3svNV = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib3svNV *fexldr_ptr_libGL_glVertexAttrib3svNV;
using fexldr_type_libGL_glVertexAttrib4bvARB = auto (GLuint a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4bvARB *fexldr_ptr_libGL_glVertexAttrib4bvARB;
using fexldr_type_libGL_glVertexAttrib4bv = auto (GLuint a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4bv *fexldr_ptr_libGL_glVertexAttrib4bv;
using fexldr_type_libGL_glVertexAttrib4dARB = auto (GLuint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4dARB *fexldr_ptr_libGL_glVertexAttrib4dARB;
using fexldr_type_libGL_glVertexAttrib4d = auto (GLuint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4d *fexldr_ptr_libGL_glVertexAttrib4d;
using fexldr_type_libGL_glVertexAttrib4dNV = auto (GLuint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4dNV *fexldr_ptr_libGL_glVertexAttrib4dNV;
using fexldr_type_libGL_glVertexAttrib4dvARB = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4dvARB *fexldr_ptr_libGL_glVertexAttrib4dvARB;
using fexldr_type_libGL_glVertexAttrib4dv = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4dv *fexldr_ptr_libGL_glVertexAttrib4dv;
using fexldr_type_libGL_glVertexAttrib4dvNV = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4dvNV *fexldr_ptr_libGL_glVertexAttrib4dvNV;
using fexldr_type_libGL_glVertexAttrib4fARB = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4fARB *fexldr_ptr_libGL_glVertexAttrib4fARB;
using fexldr_type_libGL_glVertexAttrib4f = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4f *fexldr_ptr_libGL_glVertexAttrib4f;
using fexldr_type_libGL_glVertexAttrib4fNV = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4fNV *fexldr_ptr_libGL_glVertexAttrib4fNV;
using fexldr_type_libGL_glVertexAttrib4fvARB = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4fvARB *fexldr_ptr_libGL_glVertexAttrib4fvARB;
using fexldr_type_libGL_glVertexAttrib4fv = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4fv *fexldr_ptr_libGL_glVertexAttrib4fv;
using fexldr_type_libGL_glVertexAttrib4fvNV = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4fvNV *fexldr_ptr_libGL_glVertexAttrib4fvNV;
using fexldr_type_libGL_glVertexAttrib4hNV = auto (GLuint a_0, GLhalfNV a_1, GLhalfNV a_2, GLhalfNV a_3, GLhalfNV a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4hNV *fexldr_ptr_libGL_glVertexAttrib4hNV;
using fexldr_type_libGL_glVertexAttrib4hvNV = auto (GLuint a_0, const GLhalfNV * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4hvNV *fexldr_ptr_libGL_glVertexAttrib4hvNV;
using fexldr_type_libGL_glVertexAttrib4ivARB = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4ivARB *fexldr_ptr_libGL_glVertexAttrib4ivARB;
using fexldr_type_libGL_glVertexAttrib4iv = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4iv *fexldr_ptr_libGL_glVertexAttrib4iv;
using fexldr_type_libGL_glVertexAttrib4NbvARB = auto (GLuint a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4NbvARB *fexldr_ptr_libGL_glVertexAttrib4NbvARB;
using fexldr_type_libGL_glVertexAttrib4Nbv = auto (GLuint a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4Nbv *fexldr_ptr_libGL_glVertexAttrib4Nbv;
using fexldr_type_libGL_glVertexAttrib4NivARB = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4NivARB *fexldr_ptr_libGL_glVertexAttrib4NivARB;
using fexldr_type_libGL_glVertexAttrib4Niv = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4Niv *fexldr_ptr_libGL_glVertexAttrib4Niv;
using fexldr_type_libGL_glVertexAttrib4NsvARB = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4NsvARB *fexldr_ptr_libGL_glVertexAttrib4NsvARB;
using fexldr_type_libGL_glVertexAttrib4Nsv = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4Nsv *fexldr_ptr_libGL_glVertexAttrib4Nsv;
using fexldr_type_libGL_glVertexAttrib4NubARB = auto (GLuint a_0, GLubyte a_1, GLubyte a_2, GLubyte a_3, GLubyte a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4NubARB *fexldr_ptr_libGL_glVertexAttrib4NubARB;
using fexldr_type_libGL_glVertexAttrib4Nub = auto (GLuint a_0, GLubyte a_1, GLubyte a_2, GLubyte a_3, GLubyte a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4Nub *fexldr_ptr_libGL_glVertexAttrib4Nub;
using fexldr_type_libGL_glVertexAttrib4NubvARB = auto (GLuint a_0, const GLubyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4NubvARB *fexldr_ptr_libGL_glVertexAttrib4NubvARB;
using fexldr_type_libGL_glVertexAttrib4Nubv = auto (GLuint a_0, const GLubyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4Nubv *fexldr_ptr_libGL_glVertexAttrib4Nubv;
using fexldr_type_libGL_glVertexAttrib4NuivARB = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4NuivARB *fexldr_ptr_libGL_glVertexAttrib4NuivARB;
using fexldr_type_libGL_glVertexAttrib4Nuiv = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4Nuiv *fexldr_ptr_libGL_glVertexAttrib4Nuiv;
using fexldr_type_libGL_glVertexAttrib4NusvARB = auto (GLuint a_0, const GLushort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4NusvARB *fexldr_ptr_libGL_glVertexAttrib4NusvARB;
using fexldr_type_libGL_glVertexAttrib4Nusv = auto (GLuint a_0, const GLushort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4Nusv *fexldr_ptr_libGL_glVertexAttrib4Nusv;
using fexldr_type_libGL_glVertexAttrib4sARB = auto (GLuint a_0, GLshort a_1, GLshort a_2, GLshort a_3, GLshort a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4sARB *fexldr_ptr_libGL_glVertexAttrib4sARB;
using fexldr_type_libGL_glVertexAttrib4s = auto (GLuint a_0, GLshort a_1, GLshort a_2, GLshort a_3, GLshort a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4s *fexldr_ptr_libGL_glVertexAttrib4s;
using fexldr_type_libGL_glVertexAttrib4sNV = auto (GLuint a_0, GLshort a_1, GLshort a_2, GLshort a_3, GLshort a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4sNV *fexldr_ptr_libGL_glVertexAttrib4sNV;
using fexldr_type_libGL_glVertexAttrib4svARB = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4svARB *fexldr_ptr_libGL_glVertexAttrib4svARB;
using fexldr_type_libGL_glVertexAttrib4sv = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4sv *fexldr_ptr_libGL_glVertexAttrib4sv;
using fexldr_type_libGL_glVertexAttrib4svNV = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4svNV *fexldr_ptr_libGL_glVertexAttrib4svNV;
using fexldr_type_libGL_glVertexAttrib4ubNV = auto (GLuint a_0, GLubyte a_1, GLubyte a_2, GLubyte a_3, GLubyte a_4) -> void;
static fexldr_type_libGL_glVertexAttrib4ubNV *fexldr_ptr_libGL_glVertexAttrib4ubNV;
using fexldr_type_libGL_glVertexAttrib4ubvARB = auto (GLuint a_0, const GLubyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4ubvARB *fexldr_ptr_libGL_glVertexAttrib4ubvARB;
using fexldr_type_libGL_glVertexAttrib4ubv = auto (GLuint a_0, const GLubyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4ubv *fexldr_ptr_libGL_glVertexAttrib4ubv;
using fexldr_type_libGL_glVertexAttrib4ubvNV = auto (GLuint a_0, const GLubyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4ubvNV *fexldr_ptr_libGL_glVertexAttrib4ubvNV;
using fexldr_type_libGL_glVertexAttrib4uivARB = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4uivARB *fexldr_ptr_libGL_glVertexAttrib4uivARB;
using fexldr_type_libGL_glVertexAttrib4uiv = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4uiv *fexldr_ptr_libGL_glVertexAttrib4uiv;
using fexldr_type_libGL_glVertexAttrib4usvARB = auto (GLuint a_0, const GLushort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4usvARB *fexldr_ptr_libGL_glVertexAttrib4usvARB;
using fexldr_type_libGL_glVertexAttrib4usv = auto (GLuint a_0, const GLushort * a_1) -> void;
static fexldr_type_libGL_glVertexAttrib4usv *fexldr_ptr_libGL_glVertexAttrib4usv;
using fexldr_type_libGL_glVertexAttribArrayObjectATI = auto (GLuint a_0, GLint a_1, GLenum a_2, GLboolean a_3, GLsizei a_4, GLuint a_5, GLuint a_6) -> void;
static fexldr_type_libGL_glVertexAttribArrayObjectATI *fexldr_ptr_libGL_glVertexAttribArrayObjectATI;
using fexldr_type_libGL_glVertexAttribBinding = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glVertexAttribBinding *fexldr_ptr_libGL_glVertexAttribBinding;
using fexldr_type_libGL_glVertexAttribDivisorARB = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glVertexAttribDivisorARB *fexldr_ptr_libGL_glVertexAttribDivisorARB;
using fexldr_type_libGL_glVertexAttribDivisor = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glVertexAttribDivisor *fexldr_ptr_libGL_glVertexAttribDivisor;
using fexldr_type_libGL_glVertexAttribFormat = auto (GLuint a_0, GLint a_1, GLenum a_2, GLboolean a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glVertexAttribFormat *fexldr_ptr_libGL_glVertexAttribFormat;
using fexldr_type_libGL_glVertexAttribFormatNV = auto (GLuint a_0, GLint a_1, GLenum a_2, GLboolean a_3, GLsizei a_4) -> void;
static fexldr_type_libGL_glVertexAttribFormatNV *fexldr_ptr_libGL_glVertexAttribFormatNV;
using fexldr_type_libGL_glVertexAttribI1iEXT = auto (GLuint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glVertexAttribI1iEXT *fexldr_ptr_libGL_glVertexAttribI1iEXT;
using fexldr_type_libGL_glVertexAttribI1i = auto (GLuint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glVertexAttribI1i *fexldr_ptr_libGL_glVertexAttribI1i;
using fexldr_type_libGL_glVertexAttribI1ivEXT = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI1ivEXT *fexldr_ptr_libGL_glVertexAttribI1ivEXT;
using fexldr_type_libGL_glVertexAttribI1iv = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI1iv *fexldr_ptr_libGL_glVertexAttribI1iv;
using fexldr_type_libGL_glVertexAttribI1uiEXT = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glVertexAttribI1uiEXT *fexldr_ptr_libGL_glVertexAttribI1uiEXT;
using fexldr_type_libGL_glVertexAttribI1ui = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glVertexAttribI1ui *fexldr_ptr_libGL_glVertexAttribI1ui;
using fexldr_type_libGL_glVertexAttribI1uivEXT = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI1uivEXT *fexldr_ptr_libGL_glVertexAttribI1uivEXT;
using fexldr_type_libGL_glVertexAttribI1uiv = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI1uiv *fexldr_ptr_libGL_glVertexAttribI1uiv;
using fexldr_type_libGL_glVertexAttribI2iEXT = auto (GLuint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glVertexAttribI2iEXT *fexldr_ptr_libGL_glVertexAttribI2iEXT;
using fexldr_type_libGL_glVertexAttribI2i = auto (GLuint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glVertexAttribI2i *fexldr_ptr_libGL_glVertexAttribI2i;
using fexldr_type_libGL_glVertexAttribI2ivEXT = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI2ivEXT *fexldr_ptr_libGL_glVertexAttribI2ivEXT;
using fexldr_type_libGL_glVertexAttribI2iv = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI2iv *fexldr_ptr_libGL_glVertexAttribI2iv;
using fexldr_type_libGL_glVertexAttribI2uiEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glVertexAttribI2uiEXT *fexldr_ptr_libGL_glVertexAttribI2uiEXT;
using fexldr_type_libGL_glVertexAttribI2ui = auto (GLuint a_0, GLuint a_1, GLuint a_2) -> void;
static fexldr_type_libGL_glVertexAttribI2ui *fexldr_ptr_libGL_glVertexAttribI2ui;
using fexldr_type_libGL_glVertexAttribI2uivEXT = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI2uivEXT *fexldr_ptr_libGL_glVertexAttribI2uivEXT;
using fexldr_type_libGL_glVertexAttribI2uiv = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI2uiv *fexldr_ptr_libGL_glVertexAttribI2uiv;
using fexldr_type_libGL_glVertexAttribI3iEXT = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glVertexAttribI3iEXT *fexldr_ptr_libGL_glVertexAttribI3iEXT;
using fexldr_type_libGL_glVertexAttribI3i = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glVertexAttribI3i *fexldr_ptr_libGL_glVertexAttribI3i;
using fexldr_type_libGL_glVertexAttribI3ivEXT = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI3ivEXT *fexldr_ptr_libGL_glVertexAttribI3ivEXT;
using fexldr_type_libGL_glVertexAttribI3iv = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI3iv *fexldr_ptr_libGL_glVertexAttribI3iv;
using fexldr_type_libGL_glVertexAttribI3uiEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glVertexAttribI3uiEXT *fexldr_ptr_libGL_glVertexAttribI3uiEXT;
using fexldr_type_libGL_glVertexAttribI3ui = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glVertexAttribI3ui *fexldr_ptr_libGL_glVertexAttribI3ui;
using fexldr_type_libGL_glVertexAttribI3uivEXT = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI3uivEXT *fexldr_ptr_libGL_glVertexAttribI3uivEXT;
using fexldr_type_libGL_glVertexAttribI3uiv = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI3uiv *fexldr_ptr_libGL_glVertexAttribI3uiv;
using fexldr_type_libGL_glVertexAttribI4bvEXT = auto (GLuint a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4bvEXT *fexldr_ptr_libGL_glVertexAttribI4bvEXT;
using fexldr_type_libGL_glVertexAttribI4bv = auto (GLuint a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4bv *fexldr_ptr_libGL_glVertexAttribI4bv;
using fexldr_type_libGL_glVertexAttribI4iEXT = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glVertexAttribI4iEXT *fexldr_ptr_libGL_glVertexAttribI4iEXT;
using fexldr_type_libGL_glVertexAttribI4i = auto (GLuint a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glVertexAttribI4i *fexldr_ptr_libGL_glVertexAttribI4i;
using fexldr_type_libGL_glVertexAttribI4ivEXT = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4ivEXT *fexldr_ptr_libGL_glVertexAttribI4ivEXT;
using fexldr_type_libGL_glVertexAttribI4iv = auto (GLuint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4iv *fexldr_ptr_libGL_glVertexAttribI4iv;
using fexldr_type_libGL_glVertexAttribI4svEXT = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4svEXT *fexldr_ptr_libGL_glVertexAttribI4svEXT;
using fexldr_type_libGL_glVertexAttribI4sv = auto (GLuint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4sv *fexldr_ptr_libGL_glVertexAttribI4sv;
using fexldr_type_libGL_glVertexAttribI4ubvEXT = auto (GLuint a_0, const GLubyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4ubvEXT *fexldr_ptr_libGL_glVertexAttribI4ubvEXT;
using fexldr_type_libGL_glVertexAttribI4ubv = auto (GLuint a_0, const GLubyte * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4ubv *fexldr_ptr_libGL_glVertexAttribI4ubv;
using fexldr_type_libGL_glVertexAttribI4uiEXT = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glVertexAttribI4uiEXT *fexldr_ptr_libGL_glVertexAttribI4uiEXT;
using fexldr_type_libGL_glVertexAttribI4ui = auto (GLuint a_0, GLuint a_1, GLuint a_2, GLuint a_3, GLuint a_4) -> void;
static fexldr_type_libGL_glVertexAttribI4ui *fexldr_ptr_libGL_glVertexAttribI4ui;
using fexldr_type_libGL_glVertexAttribI4uivEXT = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4uivEXT *fexldr_ptr_libGL_glVertexAttribI4uivEXT;
using fexldr_type_libGL_glVertexAttribI4uiv = auto (GLuint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4uiv *fexldr_ptr_libGL_glVertexAttribI4uiv;
using fexldr_type_libGL_glVertexAttribI4usvEXT = auto (GLuint a_0, const GLushort * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4usvEXT *fexldr_ptr_libGL_glVertexAttribI4usvEXT;
using fexldr_type_libGL_glVertexAttribI4usv = auto (GLuint a_0, const GLushort * a_1) -> void;
static fexldr_type_libGL_glVertexAttribI4usv *fexldr_ptr_libGL_glVertexAttribI4usv;
using fexldr_type_libGL_glVertexAttribIFormat = auto (GLuint a_0, GLint a_1, GLenum a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glVertexAttribIFormat *fexldr_ptr_libGL_glVertexAttribIFormat;
using fexldr_type_libGL_glVertexAttribIFormatNV = auto (GLuint a_0, GLint a_1, GLenum a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glVertexAttribIFormatNV *fexldr_ptr_libGL_glVertexAttribIFormatNV;
using fexldr_type_libGL_glVertexAttribIPointerEXT = auto (GLuint a_0, GLint a_1, GLenum a_2, GLsizei a_3, const void * a_4) -> void;
static fexldr_type_libGL_glVertexAttribIPointerEXT *fexldr_ptr_libGL_glVertexAttribIPointerEXT;
using fexldr_type_libGL_glVertexAttribIPointer = auto (GLuint a_0, GLint a_1, GLenum a_2, GLsizei a_3, const void * a_4) -> void;
static fexldr_type_libGL_glVertexAttribIPointer *fexldr_ptr_libGL_glVertexAttribIPointer;
using fexldr_type_libGL_glVertexAttribL1dEXT = auto (GLuint a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glVertexAttribL1dEXT *fexldr_ptr_libGL_glVertexAttribL1dEXT;
using fexldr_type_libGL_glVertexAttribL1d = auto (GLuint a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glVertexAttribL1d *fexldr_ptr_libGL_glVertexAttribL1d;
using fexldr_type_libGL_glVertexAttribL1dvEXT = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL1dvEXT *fexldr_ptr_libGL_glVertexAttribL1dvEXT;
using fexldr_type_libGL_glVertexAttribL1dv = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL1dv *fexldr_ptr_libGL_glVertexAttribL1dv;
using fexldr_type_libGL_glVertexAttribL1i64NV = auto (GLuint a_0, GLint64EXT a_1) -> void;
static fexldr_type_libGL_glVertexAttribL1i64NV *fexldr_ptr_libGL_glVertexAttribL1i64NV;
using fexldr_type_libGL_glVertexAttribL1i64vNV = auto (GLuint a_0, const GLint64EXT * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL1i64vNV *fexldr_ptr_libGL_glVertexAttribL1i64vNV;
using fexldr_type_libGL_glVertexAttribL1ui64ARB = auto (GLuint a_0, GLuint64EXT a_1) -> void;
static fexldr_type_libGL_glVertexAttribL1ui64ARB *fexldr_ptr_libGL_glVertexAttribL1ui64ARB;
using fexldr_type_libGL_glVertexAttribL1ui64NV = auto (GLuint a_0, GLuint64EXT a_1) -> void;
static fexldr_type_libGL_glVertexAttribL1ui64NV *fexldr_ptr_libGL_glVertexAttribL1ui64NV;
using fexldr_type_libGL_glVertexAttribL1ui64vARB = auto (GLuint a_0, const GLuint64EXT * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL1ui64vARB *fexldr_ptr_libGL_glVertexAttribL1ui64vARB;
using fexldr_type_libGL_glVertexAttribL1ui64vNV = auto (GLuint a_0, const GLuint64EXT * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL1ui64vNV *fexldr_ptr_libGL_glVertexAttribL1ui64vNV;
using fexldr_type_libGL_glVertexAttribL2dEXT = auto (GLuint a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glVertexAttribL2dEXT *fexldr_ptr_libGL_glVertexAttribL2dEXT;
using fexldr_type_libGL_glVertexAttribL2d = auto (GLuint a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glVertexAttribL2d *fexldr_ptr_libGL_glVertexAttribL2d;
using fexldr_type_libGL_glVertexAttribL2dvEXT = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL2dvEXT *fexldr_ptr_libGL_glVertexAttribL2dvEXT;
using fexldr_type_libGL_glVertexAttribL2dv = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL2dv *fexldr_ptr_libGL_glVertexAttribL2dv;
using fexldr_type_libGL_glVertexAttribL2i64NV = auto (GLuint a_0, GLint64EXT a_1, GLint64EXT a_2) -> void;
static fexldr_type_libGL_glVertexAttribL2i64NV *fexldr_ptr_libGL_glVertexAttribL2i64NV;
using fexldr_type_libGL_glVertexAttribL2i64vNV = auto (GLuint a_0, const GLint64EXT * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL2i64vNV *fexldr_ptr_libGL_glVertexAttribL2i64vNV;
using fexldr_type_libGL_glVertexAttribL2ui64NV = auto (GLuint a_0, GLuint64EXT a_1, GLuint64EXT a_2) -> void;
static fexldr_type_libGL_glVertexAttribL2ui64NV *fexldr_ptr_libGL_glVertexAttribL2ui64NV;
using fexldr_type_libGL_glVertexAttribL2ui64vNV = auto (GLuint a_0, const GLuint64EXT * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL2ui64vNV *fexldr_ptr_libGL_glVertexAttribL2ui64vNV;
using fexldr_type_libGL_glVertexAttribL3dEXT = auto (GLuint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glVertexAttribL3dEXT *fexldr_ptr_libGL_glVertexAttribL3dEXT;
using fexldr_type_libGL_glVertexAttribL3d = auto (GLuint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glVertexAttribL3d *fexldr_ptr_libGL_glVertexAttribL3d;
using fexldr_type_libGL_glVertexAttribL3dvEXT = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL3dvEXT *fexldr_ptr_libGL_glVertexAttribL3dvEXT;
using fexldr_type_libGL_glVertexAttribL3dv = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL3dv *fexldr_ptr_libGL_glVertexAttribL3dv;
using fexldr_type_libGL_glVertexAttribL3i64NV = auto (GLuint a_0, GLint64EXT a_1, GLint64EXT a_2, GLint64EXT a_3) -> void;
static fexldr_type_libGL_glVertexAttribL3i64NV *fexldr_ptr_libGL_glVertexAttribL3i64NV;
using fexldr_type_libGL_glVertexAttribL3i64vNV = auto (GLuint a_0, const GLint64EXT * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL3i64vNV *fexldr_ptr_libGL_glVertexAttribL3i64vNV;
using fexldr_type_libGL_glVertexAttribL3ui64NV = auto (GLuint a_0, GLuint64EXT a_1, GLuint64EXT a_2, GLuint64EXT a_3) -> void;
static fexldr_type_libGL_glVertexAttribL3ui64NV *fexldr_ptr_libGL_glVertexAttribL3ui64NV;
using fexldr_type_libGL_glVertexAttribL3ui64vNV = auto (GLuint a_0, const GLuint64EXT * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL3ui64vNV *fexldr_ptr_libGL_glVertexAttribL3ui64vNV;
using fexldr_type_libGL_glVertexAttribL4dEXT = auto (GLuint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glVertexAttribL4dEXT *fexldr_ptr_libGL_glVertexAttribL4dEXT;
using fexldr_type_libGL_glVertexAttribL4d = auto (GLuint a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glVertexAttribL4d *fexldr_ptr_libGL_glVertexAttribL4d;
using fexldr_type_libGL_glVertexAttribL4dvEXT = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL4dvEXT *fexldr_ptr_libGL_glVertexAttribL4dvEXT;
using fexldr_type_libGL_glVertexAttribL4dv = auto (GLuint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL4dv *fexldr_ptr_libGL_glVertexAttribL4dv;
using fexldr_type_libGL_glVertexAttribL4i64NV = auto (GLuint a_0, GLint64EXT a_1, GLint64EXT a_2, GLint64EXT a_3, GLint64EXT a_4) -> void;
static fexldr_type_libGL_glVertexAttribL4i64NV *fexldr_ptr_libGL_glVertexAttribL4i64NV;
using fexldr_type_libGL_glVertexAttribL4i64vNV = auto (GLuint a_0, const GLint64EXT * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL4i64vNV *fexldr_ptr_libGL_glVertexAttribL4i64vNV;
using fexldr_type_libGL_glVertexAttribL4ui64NV = auto (GLuint a_0, GLuint64EXT a_1, GLuint64EXT a_2, GLuint64EXT a_3, GLuint64EXT a_4) -> void;
static fexldr_type_libGL_glVertexAttribL4ui64NV *fexldr_ptr_libGL_glVertexAttribL4ui64NV;
using fexldr_type_libGL_glVertexAttribL4ui64vNV = auto (GLuint a_0, const GLuint64EXT * a_1) -> void;
static fexldr_type_libGL_glVertexAttribL4ui64vNV *fexldr_ptr_libGL_glVertexAttribL4ui64vNV;
using fexldr_type_libGL_glVertexAttribLFormat = auto (GLuint a_0, GLint a_1, GLenum a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glVertexAttribLFormat *fexldr_ptr_libGL_glVertexAttribLFormat;
using fexldr_type_libGL_glVertexAttribLFormatNV = auto (GLuint a_0, GLint a_1, GLenum a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glVertexAttribLFormatNV *fexldr_ptr_libGL_glVertexAttribLFormatNV;
using fexldr_type_libGL_glVertexAttribLPointerEXT = auto (GLuint a_0, GLint a_1, GLenum a_2, GLsizei a_3, const void * a_4) -> void;
static fexldr_type_libGL_glVertexAttribLPointerEXT *fexldr_ptr_libGL_glVertexAttribLPointerEXT;
using fexldr_type_libGL_glVertexAttribLPointer = auto (GLuint a_0, GLint a_1, GLenum a_2, GLsizei a_3, const void * a_4) -> void;
static fexldr_type_libGL_glVertexAttribLPointer *fexldr_ptr_libGL_glVertexAttribLPointer;
using fexldr_type_libGL_glVertexAttribP1ui = auto (GLuint a_0, GLenum a_1, GLboolean a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glVertexAttribP1ui *fexldr_ptr_libGL_glVertexAttribP1ui;
using fexldr_type_libGL_glVertexAttribP1uiv = auto (GLuint a_0, GLenum a_1, GLboolean a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glVertexAttribP1uiv *fexldr_ptr_libGL_glVertexAttribP1uiv;
using fexldr_type_libGL_glVertexAttribP2ui = auto (GLuint a_0, GLenum a_1, GLboolean a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glVertexAttribP2ui *fexldr_ptr_libGL_glVertexAttribP2ui;
using fexldr_type_libGL_glVertexAttribP2uiv = auto (GLuint a_0, GLenum a_1, GLboolean a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glVertexAttribP2uiv *fexldr_ptr_libGL_glVertexAttribP2uiv;
using fexldr_type_libGL_glVertexAttribP3ui = auto (GLuint a_0, GLenum a_1, GLboolean a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glVertexAttribP3ui *fexldr_ptr_libGL_glVertexAttribP3ui;
using fexldr_type_libGL_glVertexAttribP3uiv = auto (GLuint a_0, GLenum a_1, GLboolean a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glVertexAttribP3uiv *fexldr_ptr_libGL_glVertexAttribP3uiv;
using fexldr_type_libGL_glVertexAttribP4ui = auto (GLuint a_0, GLenum a_1, GLboolean a_2, GLuint a_3) -> void;
static fexldr_type_libGL_glVertexAttribP4ui *fexldr_ptr_libGL_glVertexAttribP4ui;
using fexldr_type_libGL_glVertexAttribP4uiv = auto (GLuint a_0, GLenum a_1, GLboolean a_2, const GLuint * a_3) -> void;
static fexldr_type_libGL_glVertexAttribP4uiv *fexldr_ptr_libGL_glVertexAttribP4uiv;
using fexldr_type_libGL_glVertexAttribParameteriAMD = auto (GLuint a_0, GLenum a_1, GLint a_2) -> void;
static fexldr_type_libGL_glVertexAttribParameteriAMD *fexldr_ptr_libGL_glVertexAttribParameteriAMD;
using fexldr_type_libGL_glVertexAttribPointerARB = auto (GLuint a_0, GLint a_1, GLenum a_2, GLboolean a_3, GLsizei a_4, const void * a_5) -> void;
static fexldr_type_libGL_glVertexAttribPointerARB *fexldr_ptr_libGL_glVertexAttribPointerARB;
using fexldr_type_libGL_glVertexAttribPointer = auto (GLuint a_0, GLint a_1, GLenum a_2, GLboolean a_3, GLsizei a_4, const void * a_5) -> void;
static fexldr_type_libGL_glVertexAttribPointer *fexldr_ptr_libGL_glVertexAttribPointer;
using fexldr_type_libGL_glVertexAttribPointerNV = auto (GLuint a_0, GLint a_1, GLenum a_2, GLsizei a_3, const void * a_4) -> void;
static fexldr_type_libGL_glVertexAttribPointerNV *fexldr_ptr_libGL_glVertexAttribPointerNV;
using fexldr_type_libGL_glVertexAttribs1dvNV = auto (GLuint a_0, GLsizei a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs1dvNV *fexldr_ptr_libGL_glVertexAttribs1dvNV;
using fexldr_type_libGL_glVertexAttribs1fvNV = auto (GLuint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs1fvNV *fexldr_ptr_libGL_glVertexAttribs1fvNV;
using fexldr_type_libGL_glVertexAttribs1hvNV = auto (GLuint a_0, GLsizei a_1, const GLhalfNV * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs1hvNV *fexldr_ptr_libGL_glVertexAttribs1hvNV;
using fexldr_type_libGL_glVertexAttribs1svNV = auto (GLuint a_0, GLsizei a_1, const GLshort * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs1svNV *fexldr_ptr_libGL_glVertexAttribs1svNV;
using fexldr_type_libGL_glVertexAttribs2dvNV = auto (GLuint a_0, GLsizei a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs2dvNV *fexldr_ptr_libGL_glVertexAttribs2dvNV;
using fexldr_type_libGL_glVertexAttribs2fvNV = auto (GLuint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs2fvNV *fexldr_ptr_libGL_glVertexAttribs2fvNV;
using fexldr_type_libGL_glVertexAttribs2hvNV = auto (GLuint a_0, GLsizei a_1, const GLhalfNV * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs2hvNV *fexldr_ptr_libGL_glVertexAttribs2hvNV;
using fexldr_type_libGL_glVertexAttribs2svNV = auto (GLuint a_0, GLsizei a_1, const GLshort * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs2svNV *fexldr_ptr_libGL_glVertexAttribs2svNV;
using fexldr_type_libGL_glVertexAttribs3dvNV = auto (GLuint a_0, GLsizei a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs3dvNV *fexldr_ptr_libGL_glVertexAttribs3dvNV;
using fexldr_type_libGL_glVertexAttribs3fvNV = auto (GLuint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs3fvNV *fexldr_ptr_libGL_glVertexAttribs3fvNV;
using fexldr_type_libGL_glVertexAttribs3hvNV = auto (GLuint a_0, GLsizei a_1, const GLhalfNV * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs3hvNV *fexldr_ptr_libGL_glVertexAttribs3hvNV;
using fexldr_type_libGL_glVertexAttribs3svNV = auto (GLuint a_0, GLsizei a_1, const GLshort * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs3svNV *fexldr_ptr_libGL_glVertexAttribs3svNV;
using fexldr_type_libGL_glVertexAttribs4dvNV = auto (GLuint a_0, GLsizei a_1, const GLdouble * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs4dvNV *fexldr_ptr_libGL_glVertexAttribs4dvNV;
using fexldr_type_libGL_glVertexAttribs4fvNV = auto (GLuint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs4fvNV *fexldr_ptr_libGL_glVertexAttribs4fvNV;
using fexldr_type_libGL_glVertexAttribs4hvNV = auto (GLuint a_0, GLsizei a_1, const GLhalfNV * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs4hvNV *fexldr_ptr_libGL_glVertexAttribs4hvNV;
using fexldr_type_libGL_glVertexAttribs4svNV = auto (GLuint a_0, GLsizei a_1, const GLshort * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs4svNV *fexldr_ptr_libGL_glVertexAttribs4svNV;
using fexldr_type_libGL_glVertexAttribs4ubvNV = auto (GLuint a_0, GLsizei a_1, const GLubyte * a_2) -> void;
static fexldr_type_libGL_glVertexAttribs4ubvNV *fexldr_ptr_libGL_glVertexAttribs4ubvNV;
using fexldr_type_libGL_glVertexBindingDivisor = auto (GLuint a_0, GLuint a_1) -> void;
static fexldr_type_libGL_glVertexBindingDivisor *fexldr_ptr_libGL_glVertexBindingDivisor;
using fexldr_type_libGL_glVertexBlendARB = auto (GLint a_0) -> void;
static fexldr_type_libGL_glVertexBlendARB *fexldr_ptr_libGL_glVertexBlendARB;
using fexldr_type_libGL_glVertexBlendEnvfATI = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glVertexBlendEnvfATI *fexldr_ptr_libGL_glVertexBlendEnvfATI;
using fexldr_type_libGL_glVertexBlendEnviATI = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glVertexBlendEnviATI *fexldr_ptr_libGL_glVertexBlendEnviATI;
using fexldr_type_libGL_glVertexFormatNV = auto (GLint a_0, GLenum a_1, GLsizei a_2) -> void;
static fexldr_type_libGL_glVertexFormatNV *fexldr_ptr_libGL_glVertexFormatNV;
using fexldr_type_libGL_glVertexPointerEXT = auto (GLint a_0, GLenum a_1, GLsizei a_2, GLsizei a_3, const void * a_4) -> void;
static fexldr_type_libGL_glVertexPointerEXT *fexldr_ptr_libGL_glVertexPointerEXT;
using fexldr_type_libGL_glVertexPointer = auto (GLint a_0, GLenum a_1, GLsizei a_2, const GLvoid * a_3) -> void;
static fexldr_type_libGL_glVertexPointer *fexldr_ptr_libGL_glVertexPointer;
using fexldr_type_libGL_glVertexPointerListIBM = auto (GLint a_0, GLenum a_1, GLint a_2, const void ** a_3, GLint a_4) -> void;
static fexldr_type_libGL_glVertexPointerListIBM *fexldr_ptr_libGL_glVertexPointerListIBM;
using fexldr_type_libGL_glVertexPointervINTEL = auto (GLint a_0, GLenum a_1, const void ** a_2) -> void;
static fexldr_type_libGL_glVertexPointervINTEL *fexldr_ptr_libGL_glVertexPointervINTEL;
using fexldr_type_libGL_glVertexStream1dATI = auto (GLenum a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glVertexStream1dATI *fexldr_ptr_libGL_glVertexStream1dATI;
using fexldr_type_libGL_glVertexStream1dvATI = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexStream1dvATI *fexldr_ptr_libGL_glVertexStream1dvATI;
using fexldr_type_libGL_glVertexStream1fATI = auto (GLenum a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glVertexStream1fATI *fexldr_ptr_libGL_glVertexStream1fATI;
using fexldr_type_libGL_glVertexStream1fvATI = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexStream1fvATI *fexldr_ptr_libGL_glVertexStream1fvATI;
using fexldr_type_libGL_glVertexStream1iATI = auto (GLenum a_0, GLint a_1) -> void;
static fexldr_type_libGL_glVertexStream1iATI *fexldr_ptr_libGL_glVertexStream1iATI;
using fexldr_type_libGL_glVertexStream1ivATI = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexStream1ivATI *fexldr_ptr_libGL_glVertexStream1ivATI;
using fexldr_type_libGL_glVertexStream1sATI = auto (GLenum a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glVertexStream1sATI *fexldr_ptr_libGL_glVertexStream1sATI;
using fexldr_type_libGL_glVertexStream1svATI = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexStream1svATI *fexldr_ptr_libGL_glVertexStream1svATI;
using fexldr_type_libGL_glVertexStream2dATI = auto (GLenum a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glVertexStream2dATI *fexldr_ptr_libGL_glVertexStream2dATI;
using fexldr_type_libGL_glVertexStream2dvATI = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexStream2dvATI *fexldr_ptr_libGL_glVertexStream2dvATI;
using fexldr_type_libGL_glVertexStream2fATI = auto (GLenum a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glVertexStream2fATI *fexldr_ptr_libGL_glVertexStream2fATI;
using fexldr_type_libGL_glVertexStream2fvATI = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexStream2fvATI *fexldr_ptr_libGL_glVertexStream2fvATI;
using fexldr_type_libGL_glVertexStream2iATI = auto (GLenum a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glVertexStream2iATI *fexldr_ptr_libGL_glVertexStream2iATI;
using fexldr_type_libGL_glVertexStream2ivATI = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexStream2ivATI *fexldr_ptr_libGL_glVertexStream2ivATI;
using fexldr_type_libGL_glVertexStream2sATI = auto (GLenum a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glVertexStream2sATI *fexldr_ptr_libGL_glVertexStream2sATI;
using fexldr_type_libGL_glVertexStream2svATI = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexStream2svATI *fexldr_ptr_libGL_glVertexStream2svATI;
using fexldr_type_libGL_glVertexStream3dATI = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glVertexStream3dATI *fexldr_ptr_libGL_glVertexStream3dATI;
using fexldr_type_libGL_glVertexStream3dvATI = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexStream3dvATI *fexldr_ptr_libGL_glVertexStream3dvATI;
using fexldr_type_libGL_glVertexStream3fATI = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glVertexStream3fATI *fexldr_ptr_libGL_glVertexStream3fATI;
using fexldr_type_libGL_glVertexStream3fvATI = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexStream3fvATI *fexldr_ptr_libGL_glVertexStream3fvATI;
using fexldr_type_libGL_glVertexStream3iATI = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glVertexStream3iATI *fexldr_ptr_libGL_glVertexStream3iATI;
using fexldr_type_libGL_glVertexStream3ivATI = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexStream3ivATI *fexldr_ptr_libGL_glVertexStream3ivATI;
using fexldr_type_libGL_glVertexStream3sATI = auto (GLenum a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glVertexStream3sATI *fexldr_ptr_libGL_glVertexStream3sATI;
using fexldr_type_libGL_glVertexStream3svATI = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexStream3svATI *fexldr_ptr_libGL_glVertexStream3svATI;
using fexldr_type_libGL_glVertexStream4dATI = auto (GLenum a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3, GLdouble a_4) -> void;
static fexldr_type_libGL_glVertexStream4dATI *fexldr_ptr_libGL_glVertexStream4dATI;
using fexldr_type_libGL_glVertexStream4dvATI = auto (GLenum a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glVertexStream4dvATI *fexldr_ptr_libGL_glVertexStream4dvATI;
using fexldr_type_libGL_glVertexStream4fATI = auto (GLenum a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glVertexStream4fATI *fexldr_ptr_libGL_glVertexStream4fATI;
using fexldr_type_libGL_glVertexStream4fvATI = auto (GLenum a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glVertexStream4fvATI *fexldr_ptr_libGL_glVertexStream4fvATI;
using fexldr_type_libGL_glVertexStream4iATI = auto (GLenum a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4) -> void;
static fexldr_type_libGL_glVertexStream4iATI *fexldr_ptr_libGL_glVertexStream4iATI;
using fexldr_type_libGL_glVertexStream4ivATI = auto (GLenum a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glVertexStream4ivATI *fexldr_ptr_libGL_glVertexStream4ivATI;
using fexldr_type_libGL_glVertexStream4sATI = auto (GLenum a_0, GLshort a_1, GLshort a_2, GLshort a_3, GLshort a_4) -> void;
static fexldr_type_libGL_glVertexStream4sATI *fexldr_ptr_libGL_glVertexStream4sATI;
using fexldr_type_libGL_glVertexStream4svATI = auto (GLenum a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glVertexStream4svATI *fexldr_ptr_libGL_glVertexStream4svATI;
using fexldr_type_libGL_glVertexWeightfEXT = auto (GLfloat a_0) -> void;
static fexldr_type_libGL_glVertexWeightfEXT *fexldr_ptr_libGL_glVertexWeightfEXT;
using fexldr_type_libGL_glVertexWeightfvEXT = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glVertexWeightfvEXT *fexldr_ptr_libGL_glVertexWeightfvEXT;
using fexldr_type_libGL_glVertexWeighthNV = auto (GLhalfNV a_0) -> void;
static fexldr_type_libGL_glVertexWeighthNV *fexldr_ptr_libGL_glVertexWeighthNV;
using fexldr_type_libGL_glVertexWeighthvNV = auto (const GLhalfNV * a_0) -> void;
static fexldr_type_libGL_glVertexWeighthvNV *fexldr_ptr_libGL_glVertexWeighthvNV;
using fexldr_type_libGL_glVertexWeightPointerEXT = auto (GLint a_0, GLenum a_1, GLsizei a_2, const void * a_3) -> void;
static fexldr_type_libGL_glVertexWeightPointerEXT *fexldr_ptr_libGL_glVertexWeightPointerEXT;
using fexldr_type_libGL_glVideoCaptureStreamParameterdvNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, const GLdouble * a_3) -> void;
static fexldr_type_libGL_glVideoCaptureStreamParameterdvNV *fexldr_ptr_libGL_glVideoCaptureStreamParameterdvNV;
using fexldr_type_libGL_glVideoCaptureStreamParameterfvNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glVideoCaptureStreamParameterfvNV *fexldr_ptr_libGL_glVideoCaptureStreamParameterfvNV;
using fexldr_type_libGL_glVideoCaptureStreamParameterivNV = auto (GLuint a_0, GLuint a_1, GLenum a_2, const GLint * a_3) -> void;
static fexldr_type_libGL_glVideoCaptureStreamParameterivNV *fexldr_ptr_libGL_glVideoCaptureStreamParameterivNV;
using fexldr_type_libGL_glViewportArrayv = auto (GLuint a_0, GLsizei a_1, const GLfloat * a_2) -> void;
static fexldr_type_libGL_glViewportArrayv *fexldr_ptr_libGL_glViewportArrayv;
using fexldr_type_libGL_glViewport = auto (GLint a_0, GLint a_1, GLsizei a_2, GLsizei a_3) -> void;
static fexldr_type_libGL_glViewport *fexldr_ptr_libGL_glViewport;
using fexldr_type_libGL_glViewportIndexedf = auto (GLuint a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3, GLfloat a_4) -> void;
static fexldr_type_libGL_glViewportIndexedf *fexldr_ptr_libGL_glViewportIndexedf;
using fexldr_type_libGL_glViewportIndexedfv = auto (GLuint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glViewportIndexedfv *fexldr_ptr_libGL_glViewportIndexedfv;
using fexldr_type_libGL_glViewportPositionWScaleNV = auto (GLuint a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glViewportPositionWScaleNV *fexldr_ptr_libGL_glViewportPositionWScaleNV;
using fexldr_type_libGL_glViewportSwizzleNV = auto (GLuint a_0, GLenum a_1, GLenum a_2, GLenum a_3, GLenum a_4) -> void;
static fexldr_type_libGL_glViewportSwizzleNV *fexldr_ptr_libGL_glViewportSwizzleNV;
using fexldr_type_libGL_glWaitSemaphoreEXT = auto (GLuint a_0, GLuint a_1, const GLuint * a_2, GLuint a_3, const GLuint * a_4, const GLenum * a_5) -> void;
static fexldr_type_libGL_glWaitSemaphoreEXT *fexldr_ptr_libGL_glWaitSemaphoreEXT;
using fexldr_type_libGL_glWaitSemaphoreui64NVX = auto (GLuint a_0, GLsizei a_1, const GLuint * a_2, const GLuint64 * a_3) -> void;
static fexldr_type_libGL_glWaitSemaphoreui64NVX *fexldr_ptr_libGL_glWaitSemaphoreui64NVX;
using fexldr_type_libGL_glWaitSync = auto (GLsync a_0, GLbitfield a_1, GLuint64 a_2) -> void;
static fexldr_type_libGL_glWaitSync *fexldr_ptr_libGL_glWaitSync;
using fexldr_type_libGL_glWaitVkSemaphoreNV = auto (GLuint64 a_0) -> void;
static fexldr_type_libGL_glWaitVkSemaphoreNV *fexldr_ptr_libGL_glWaitVkSemaphoreNV;
using fexldr_type_libGL_glWeightbvARB = auto (GLint a_0, const GLbyte * a_1) -> void;
static fexldr_type_libGL_glWeightbvARB *fexldr_ptr_libGL_glWeightbvARB;
using fexldr_type_libGL_glWeightdvARB = auto (GLint a_0, const GLdouble * a_1) -> void;
static fexldr_type_libGL_glWeightdvARB *fexldr_ptr_libGL_glWeightdvARB;
using fexldr_type_libGL_glWeightfvARB = auto (GLint a_0, const GLfloat * a_1) -> void;
static fexldr_type_libGL_glWeightfvARB *fexldr_ptr_libGL_glWeightfvARB;
using fexldr_type_libGL_glWeightivARB = auto (GLint a_0, const GLint * a_1) -> void;
static fexldr_type_libGL_glWeightivARB *fexldr_ptr_libGL_glWeightivARB;
using fexldr_type_libGL_glWeightPathsNV = auto (GLuint a_0, GLsizei a_1, const GLuint * a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glWeightPathsNV *fexldr_ptr_libGL_glWeightPathsNV;
using fexldr_type_libGL_glWeightPointerARB = auto (GLint a_0, GLenum a_1, GLsizei a_2, const void * a_3) -> void;
static fexldr_type_libGL_glWeightPointerARB *fexldr_ptr_libGL_glWeightPointerARB;
using fexldr_type_libGL_glWeightsvARB = auto (GLint a_0, const GLshort * a_1) -> void;
static fexldr_type_libGL_glWeightsvARB *fexldr_ptr_libGL_glWeightsvARB;
using fexldr_type_libGL_glWeightubvARB = auto (GLint a_0, const GLubyte * a_1) -> void;
static fexldr_type_libGL_glWeightubvARB *fexldr_ptr_libGL_glWeightubvARB;
using fexldr_type_libGL_glWeightuivARB = auto (GLint a_0, const GLuint * a_1) -> void;
static fexldr_type_libGL_glWeightuivARB *fexldr_ptr_libGL_glWeightuivARB;
using fexldr_type_libGL_glWeightusvARB = auto (GLint a_0, const GLushort * a_1) -> void;
static fexldr_type_libGL_glWeightusvARB *fexldr_ptr_libGL_glWeightusvARB;
using fexldr_type_libGL_glWindowPos2dARB = auto (GLdouble a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glWindowPos2dARB *fexldr_ptr_libGL_glWindowPos2dARB;
using fexldr_type_libGL_glWindowPos2dMESA = auto (GLdouble a_0, GLdouble a_1) -> void;
static fexldr_type_libGL_glWindowPos2dMESA *fexldr_ptr_libGL_glWindowPos2dMESA;
using fexldr_type_libGL_glWindowPos2dvARB = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glWindowPos2dvARB *fexldr_ptr_libGL_glWindowPos2dvARB;
using fexldr_type_libGL_glWindowPos2dvMESA = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glWindowPos2dvMESA *fexldr_ptr_libGL_glWindowPos2dvMESA;
using fexldr_type_libGL_glWindowPos2fARB = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glWindowPos2fARB *fexldr_ptr_libGL_glWindowPos2fARB;
using fexldr_type_libGL_glWindowPos2fMESA = auto (GLfloat a_0, GLfloat a_1) -> void;
static fexldr_type_libGL_glWindowPos2fMESA *fexldr_ptr_libGL_glWindowPos2fMESA;
using fexldr_type_libGL_glWindowPos2fvARB = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glWindowPos2fvARB *fexldr_ptr_libGL_glWindowPos2fvARB;
using fexldr_type_libGL_glWindowPos2fvMESA = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glWindowPos2fvMESA *fexldr_ptr_libGL_glWindowPos2fvMESA;
using fexldr_type_libGL_glWindowPos2iARB = auto (GLint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glWindowPos2iARB *fexldr_ptr_libGL_glWindowPos2iARB;
using fexldr_type_libGL_glWindowPos2iMESA = auto (GLint a_0, GLint a_1) -> void;
static fexldr_type_libGL_glWindowPos2iMESA *fexldr_ptr_libGL_glWindowPos2iMESA;
using fexldr_type_libGL_glWindowPos2ivARB = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glWindowPos2ivARB *fexldr_ptr_libGL_glWindowPos2ivARB;
using fexldr_type_libGL_glWindowPos2ivMESA = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glWindowPos2ivMESA *fexldr_ptr_libGL_glWindowPos2ivMESA;
using fexldr_type_libGL_glWindowPos2sARB = auto (GLshort a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glWindowPos2sARB *fexldr_ptr_libGL_glWindowPos2sARB;
using fexldr_type_libGL_glWindowPos2sMESA = auto (GLshort a_0, GLshort a_1) -> void;
static fexldr_type_libGL_glWindowPos2sMESA *fexldr_ptr_libGL_glWindowPos2sMESA;
using fexldr_type_libGL_glWindowPos2svARB = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glWindowPos2svARB *fexldr_ptr_libGL_glWindowPos2svARB;
using fexldr_type_libGL_glWindowPos2svMESA = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glWindowPos2svMESA *fexldr_ptr_libGL_glWindowPos2svMESA;
using fexldr_type_libGL_glWindowPos3dARB = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glWindowPos3dARB *fexldr_ptr_libGL_glWindowPos3dARB;
using fexldr_type_libGL_glWindowPos3dMESA = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2) -> void;
static fexldr_type_libGL_glWindowPos3dMESA *fexldr_ptr_libGL_glWindowPos3dMESA;
using fexldr_type_libGL_glWindowPos3dvARB = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glWindowPos3dvARB *fexldr_ptr_libGL_glWindowPos3dvARB;
using fexldr_type_libGL_glWindowPos3dvMESA = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glWindowPos3dvMESA *fexldr_ptr_libGL_glWindowPos3dvMESA;
using fexldr_type_libGL_glWindowPos3fARB = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glWindowPos3fARB *fexldr_ptr_libGL_glWindowPos3fARB;
using fexldr_type_libGL_glWindowPos3fMESA = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2) -> void;
static fexldr_type_libGL_glWindowPos3fMESA *fexldr_ptr_libGL_glWindowPos3fMESA;
using fexldr_type_libGL_glWindowPos3fvARB = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glWindowPos3fvARB *fexldr_ptr_libGL_glWindowPos3fvARB;
using fexldr_type_libGL_glWindowPos3fvMESA = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glWindowPos3fvMESA *fexldr_ptr_libGL_glWindowPos3fvMESA;
using fexldr_type_libGL_glWindowPos3iARB = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glWindowPos3iARB *fexldr_ptr_libGL_glWindowPos3iARB;
using fexldr_type_libGL_glWindowPos3iMESA = auto (GLint a_0, GLint a_1, GLint a_2) -> void;
static fexldr_type_libGL_glWindowPos3iMESA *fexldr_ptr_libGL_glWindowPos3iMESA;
using fexldr_type_libGL_glWindowPos3ivARB = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glWindowPos3ivARB *fexldr_ptr_libGL_glWindowPos3ivARB;
using fexldr_type_libGL_glWindowPos3ivMESA = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glWindowPos3ivMESA *fexldr_ptr_libGL_glWindowPos3ivMESA;
using fexldr_type_libGL_glWindowPos3sARB = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glWindowPos3sARB *fexldr_ptr_libGL_glWindowPos3sARB;
using fexldr_type_libGL_glWindowPos3sMESA = auto (GLshort a_0, GLshort a_1, GLshort a_2) -> void;
static fexldr_type_libGL_glWindowPos3sMESA *fexldr_ptr_libGL_glWindowPos3sMESA;
using fexldr_type_libGL_glWindowPos3svARB = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glWindowPos3svARB *fexldr_ptr_libGL_glWindowPos3svARB;
using fexldr_type_libGL_glWindowPos3svMESA = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glWindowPos3svMESA *fexldr_ptr_libGL_glWindowPos3svMESA;
using fexldr_type_libGL_glWindowPos4dMESA = auto (GLdouble a_0, GLdouble a_1, GLdouble a_2, GLdouble a_3) -> void;
static fexldr_type_libGL_glWindowPos4dMESA *fexldr_ptr_libGL_glWindowPos4dMESA;
using fexldr_type_libGL_glWindowPos4dvMESA = auto (const GLdouble * a_0) -> void;
static fexldr_type_libGL_glWindowPos4dvMESA *fexldr_ptr_libGL_glWindowPos4dvMESA;
using fexldr_type_libGL_glWindowPos4fMESA = auto (GLfloat a_0, GLfloat a_1, GLfloat a_2, GLfloat a_3) -> void;
static fexldr_type_libGL_glWindowPos4fMESA *fexldr_ptr_libGL_glWindowPos4fMESA;
using fexldr_type_libGL_glWindowPos4fvMESA = auto (const GLfloat * a_0) -> void;
static fexldr_type_libGL_glWindowPos4fvMESA *fexldr_ptr_libGL_glWindowPos4fvMESA;
using fexldr_type_libGL_glWindowPos4iMESA = auto (GLint a_0, GLint a_1, GLint a_2, GLint a_3) -> void;
static fexldr_type_libGL_glWindowPos4iMESA *fexldr_ptr_libGL_glWindowPos4iMESA;
using fexldr_type_libGL_glWindowPos4ivMESA = auto (const GLint * a_0) -> void;
static fexldr_type_libGL_glWindowPos4ivMESA *fexldr_ptr_libGL_glWindowPos4ivMESA;
using fexldr_type_libGL_glWindowPos4sMESA = auto (GLshort a_0, GLshort a_1, GLshort a_2, GLshort a_3) -> void;
static fexldr_type_libGL_glWindowPos4sMESA *fexldr_ptr_libGL_glWindowPos4sMESA;
using fexldr_type_libGL_glWindowPos4svMESA = auto (const GLshort * a_0) -> void;
static fexldr_type_libGL_glWindowPos4svMESA *fexldr_ptr_libGL_glWindowPos4svMESA;
using fexldr_type_libGL_glWindowRectanglesEXT = auto (GLenum a_0, GLsizei a_1, const GLint * a_2) -> void;
static fexldr_type_libGL_glWindowRectanglesEXT *fexldr_ptr_libGL_glWindowRectanglesEXT;
using fexldr_type_libGL_glWriteMaskEXT = auto (GLuint a_0, GLuint a_1, GLenum a_2, GLenum a_3, GLenum a_4, GLenum a_5) -> void;
static fexldr_type_libGL_glWriteMaskEXT *fexldr_ptr_libGL_glWriteMaskEXT;
using fexldr_type_libGL_glPathColorGenNV = auto (GLenum a_0, GLenum a_1, GLenum a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glPathColorGenNV *fexldr_ptr_libGL_glPathColorGenNV;
using fexldr_type_libGL_glPathTexGenNV = auto (GLenum a_0, GLenum a_1, GLint a_2, const GLfloat * a_3) -> void;
static fexldr_type_libGL_glPathTexGenNV *fexldr_ptr_libGL_glPathTexGenNV;
using fexldr_type_libGL_glPathFogGenNV = auto (GLenum a_0) -> void;
static fexldr_type_libGL_glPathFogGenNV *fexldr_ptr_libGL_glPathFogGenNV;
using fexldr_type_libGL_glGetPathColorGenivNV = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetPathColorGenivNV *fexldr_ptr_libGL_glGetPathColorGenivNV;
using fexldr_type_libGL_glGetPathColorGenfvNV = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetPathColorGenfvNV *fexldr_ptr_libGL_glGetPathColorGenfvNV;
using fexldr_type_libGL_glGetPathTexGenivNV = auto (GLenum a_0, GLenum a_1, GLint * a_2) -> void;
static fexldr_type_libGL_glGetPathTexGenivNV *fexldr_ptr_libGL_glGetPathTexGenivNV;
using fexldr_type_libGL_glGetPathTexGenfvNV = auto (GLenum a_0, GLenum a_1, GLfloat * a_2) -> void;
static fexldr_type_libGL_glGetPathTexGenfvNV *fexldr_ptr_libGL_glGetPathTexGenfvNV;
using fexldr_type_libGL_glBlendEquationSeparateATI = auto (GLenum a_0, GLenum a_1) -> void;
static fexldr_type_libGL_glBlendEquationSeparateATI *fexldr_ptr_libGL_glBlendEquationSeparateATI;
using fexldr_type_libGL_glXWaitX = auto () -> void;
static fexldr_type_libGL_glXWaitX *fexldr_ptr_libGL_glXWaitX;
using fexldr_type_libGL_glXBindTexImageARB = auto (Display * a_0, GLXPbuffer a_1, int a_2) -> int;
static fexldr_type_libGL_glXBindTexImageARB *fexldr_ptr_libGL_glXBindTexImageARB;
using fexldr_type_libGL_glXReleaseTexImageARB = auto (Display * a_0, GLXPbuffer a_1, int a_2) -> int;
static fexldr_type_libGL_glXReleaseTexImageARB *fexldr_ptr_libGL_glXReleaseTexImageARB;
using fexldr_type_libGL_glXDrawableAttribARB = auto (Display * a_0, GLXDrawable a_1, const int * a_2) -> int;
static fexldr_type_libGL_glXDrawableAttribARB *fexldr_ptr_libGL_glXDrawableAttribARB;
using fexldr_type_libGL_glXGetFrameUsageMESA = auto (Display * a_0, GLXDrawable a_1, float * a_2) -> int;
static fexldr_type_libGL_glXGetFrameUsageMESA *fexldr_ptr_libGL_glXGetFrameUsageMESA;
using fexldr_type_libGL_glXBeginFrameTrackingMESA = auto (Display * a_0, GLXDrawable a_1) -> int;
static fexldr_type_libGL_glXBeginFrameTrackingMESA *fexldr_ptr_libGL_glXBeginFrameTrackingMESA;
using fexldr_type_libGL_glXEndFrameTrackingMESA = auto (Display * a_0, GLXDrawable a_1) -> int;
static fexldr_type_libGL_glXEndFrameTrackingMESA *fexldr_ptr_libGL_glXEndFrameTrackingMESA;
using fexldr_type_libGL_glXQueryFrameTrackingMESA = auto (Display * a_0, GLXDrawable a_1, int64_t * a_2, int64_t * a_3, float * a_4) -> int;
static fexldr_type_libGL_glXQueryFrameTrackingMESA *fexldr_ptr_libGL_glXQueryFrameTrackingMESA;
using fexldr_type_libGL_glXGetGPUIDsAMD = auto (unsigned int a_0, unsigned int * a_1) -> unsigned int;
static fexldr_type_libGL_glXGetGPUIDsAMD *fexldr_ptr_libGL_glXGetGPUIDsAMD;
using fexldr_type_libGL_glXGetGPUInfoAMD = auto (unsigned int a_0, int a_1, GLenum a_2, unsigned int a_3, void * a_4) -> int;
static fexldr_type_libGL_glXGetGPUInfoAMD *fexldr_ptr_libGL_glXGetGPUInfoAMD;
using fexldr_type_libGL_glXGetContextGPUIDAMD = auto (GLXContext a_0) -> unsigned int;
static fexldr_type_libGL_glXGetContextGPUIDAMD *fexldr_ptr_libGL_glXGetContextGPUIDAMD;
using fexldr_type_libGL_glXCreateAssociatedContextAMD = auto (unsigned int a_0, GLXContext a_1) -> GLXContext;
static fexldr_type_libGL_glXCreateAssociatedContextAMD *fexldr_ptr_libGL_glXCreateAssociatedContextAMD;
using fexldr_type_libGL_glXCreateAssociatedContextAttribsAMD = auto (unsigned int a_0, GLXContext a_1, const int * a_2) -> GLXContext;
static fexldr_type_libGL_glXCreateAssociatedContextAttribsAMD *fexldr_ptr_libGL_glXCreateAssociatedContextAttribsAMD;
using fexldr_type_libGL_glXDeleteAssociatedContextAMD = auto (GLXContext a_0) -> int;
static fexldr_type_libGL_glXDeleteAssociatedContextAMD *fexldr_ptr_libGL_glXDeleteAssociatedContextAMD;
using fexldr_type_libGL_glXMakeAssociatedContextCurrentAMD = auto (GLXContext a_0) -> int;
static fexldr_type_libGL_glXMakeAssociatedContextCurrentAMD *fexldr_ptr_libGL_glXMakeAssociatedContextCurrentAMD;
using fexldr_type_libGL_glXGetCurrentAssociatedContextAMD = auto () -> GLXContext;
static fexldr_type_libGL_glXGetCurrentAssociatedContextAMD *fexldr_ptr_libGL_glXGetCurrentAssociatedContextAMD;
using fexldr_type_libGL_glXBlitContextFramebufferAMD = auto (GLXContext a_0, GLint a_1, GLint a_2, GLint a_3, GLint a_4, GLint a_5, GLint a_6, GLint a_7, GLint a_8, GLbitfield a_9, GLenum a_10) -> void;
static fexldr_type_libGL_glXBlitContextFramebufferAMD *fexldr_ptr_libGL_glXBlitContextFramebufferAMD;
using fexldr_type_libGL_glXGetCurrentDisplayEXT = auto () -> Display *;
static fexldr_type_libGL_glXGetCurrentDisplayEXT *fexldr_ptr_libGL_glXGetCurrentDisplayEXT;
using fexldr_type_libGL_glXGetAGPOffsetMESA = auto (const void * a_0) -> unsigned int;
static fexldr_type_libGL_glXGetAGPOffsetMESA *fexldr_ptr_libGL_glXGetAGPOffsetMESA;
using fexldr_type_libGL_glXCreateGLXPixmapMESA = auto (Display * a_0, XVisualInfo * a_1, Pixmap a_2, Colormap a_3) -> GLXPixmap;
static fexldr_type_libGL_glXCreateGLXPixmapMESA *fexldr_ptr_libGL_glXCreateGLXPixmapMESA;
using fexldr_type_libGL_glXReleaseBuffersMESA = auto (Display * a_0, GLXDrawable a_1) -> int;
static fexldr_type_libGL_glXReleaseBuffersMESA *fexldr_ptr_libGL_glXReleaseBuffersMESA;
using fexldr_type_libGL_glXSet3DfxModeMESA = auto (GLint a_0) -> GLboolean;
static fexldr_type_libGL_glXSet3DfxModeMESA *fexldr_ptr_libGL_glXSet3DfxModeMESA;
using fexldr_type_libGL_glXCopyBufferSubDataNV = auto (Display * a_0, GLXContext a_1, GLXContext a_2, GLenum a_3, GLenum a_4, GLintptr a_5, GLintptr a_6, GLsizeiptr a_7) -> void;
static fexldr_type_libGL_glXCopyBufferSubDataNV *fexldr_ptr_libGL_glXCopyBufferSubDataNV;
using fexldr_type_libGL_glXNamedCopyBufferSubDataNV = auto (Display * a_0, GLXContext a_1, GLXContext a_2, GLuint a_3, GLuint a_4, GLintptr a_5, GLintptr a_6, GLsizeiptr a_7) -> void;
static fexldr_type_libGL_glXNamedCopyBufferSubDataNV *fexldr_ptr_libGL_glXNamedCopyBufferSubDataNV;
using fexldr_type_libGL_glXCopyImageSubDataNV = auto (Display * a_0, GLXContext a_1, GLuint a_2, GLenum a_3, GLint a_4, GLint a_5, GLint a_6, GLint a_7, GLXContext a_8, GLuint a_9, GLenum a_10, GLint a_11, GLint a_12, GLint a_13, GLint a_14, GLsizei a_15, GLsizei a_16, GLsizei a_17) -> void;
static fexldr_type_libGL_glXCopyImageSubDataNV *fexldr_ptr_libGL_glXCopyImageSubDataNV;
using fexldr_type_libGL_glXDelayBeforeSwapNV = auto (Display * a_0, GLXDrawable a_1, GLfloat a_2) -> int;
static fexldr_type_libGL_glXDelayBeforeSwapNV *fexldr_ptr_libGL_glXDelayBeforeSwapNV;
using fexldr_type_libGL_glXEnumerateVideoDevicesNV = auto (Display * a_0, int a_1, int * a_2) -> unsigned int *;
static fexldr_type_libGL_glXEnumerateVideoDevicesNV *fexldr_ptr_libGL_glXEnumerateVideoDevicesNV;
using fexldr_type_libGL_glXBindVideoDeviceNV = auto (Display * a_0, unsigned int a_1, unsigned int a_2, const int * a_3) -> int;
static fexldr_type_libGL_glXBindVideoDeviceNV *fexldr_ptr_libGL_glXBindVideoDeviceNV;
using fexldr_type_libGL_glXJoinSwapGroupNV = auto (Display * a_0, GLXDrawable a_1, GLuint a_2) -> int;
static fexldr_type_libGL_glXJoinSwapGroupNV *fexldr_ptr_libGL_glXJoinSwapGroupNV;
using fexldr_type_libGL_glXBindSwapBarrierNV = auto (Display * a_0, GLuint a_1, GLuint a_2) -> int;
static fexldr_type_libGL_glXBindSwapBarrierNV *fexldr_ptr_libGL_glXBindSwapBarrierNV;
using fexldr_type_libGL_glXQuerySwapGroupNV = auto (Display * a_0, GLXDrawable a_1, GLuint * a_2, GLuint * a_3) -> int;
static fexldr_type_libGL_glXQuerySwapGroupNV *fexldr_ptr_libGL_glXQuerySwapGroupNV;
using fexldr_type_libGL_glXQueryMaxSwapGroupsNV = auto (Display * a_0, int a_1, GLuint * a_2, GLuint * a_3) -> int;
static fexldr_type_libGL_glXQueryMaxSwapGroupsNV *fexldr_ptr_libGL_glXQueryMaxSwapGroupsNV;
using fexldr_type_libGL_glXQueryFrameCountNV = auto (Display * a_0, int a_1, GLuint * a_2) -> int;
static fexldr_type_libGL_glXQueryFrameCountNV *fexldr_ptr_libGL_glXQueryFrameCountNV;
using fexldr_type_libGL_glXResetFrameCountNV = auto (Display * a_0, int a_1) -> int;
static fexldr_type_libGL_glXResetFrameCountNV *fexldr_ptr_libGL_glXResetFrameCountNV;
using fexldr_type_libGL_glXBindVideoCaptureDeviceNV = auto (Display * a_0, unsigned int a_1, GLXVideoCaptureDeviceNV a_2) -> int;
static fexldr_type_libGL_glXBindVideoCaptureDeviceNV *fexldr_ptr_libGL_glXBindVideoCaptureDeviceNV;
using fexldr_type_libGL_glXEnumerateVideoCaptureDevicesNV = auto (Display * a_0, int a_1, int * a_2) -> GLXVideoCaptureDeviceNV *;
static fexldr_type_libGL_glXEnumerateVideoCaptureDevicesNV *fexldr_ptr_libGL_glXEnumerateVideoCaptureDevicesNV;
using fexldr_type_libGL_glXLockVideoCaptureDeviceNV = auto (Display * a_0, GLXVideoCaptureDeviceNV a_1) -> void;
static fexldr_type_libGL_glXLockVideoCaptureDeviceNV *fexldr_ptr_libGL_glXLockVideoCaptureDeviceNV;
using fexldr_type_libGL_glXQueryVideoCaptureDeviceNV = auto (Display * a_0, GLXVideoCaptureDeviceNV a_1, int a_2, int * a_3) -> int;
static fexldr_type_libGL_glXQueryVideoCaptureDeviceNV *fexldr_ptr_libGL_glXQueryVideoCaptureDeviceNV;
using fexldr_type_libGL_glXReleaseVideoCaptureDeviceNV = auto (Display * a_0, GLXVideoCaptureDeviceNV a_1) -> void;
static fexldr_type_libGL_glXReleaseVideoCaptureDeviceNV *fexldr_ptr_libGL_glXReleaseVideoCaptureDeviceNV;
using fexldr_type_libGL_glXGetVideoDeviceNV = auto (Display * a_0, int a_1, int a_2, GLXVideoDeviceNV * a_3) -> int;
static fexldr_type_libGL_glXGetVideoDeviceNV *fexldr_ptr_libGL_glXGetVideoDeviceNV;
using fexldr_type_libGL_glXReleaseVideoDeviceNV = auto (Display * a_0, int a_1, GLXVideoDeviceNV a_2) -> int;
static fexldr_type_libGL_glXReleaseVideoDeviceNV *fexldr_ptr_libGL_glXReleaseVideoDeviceNV;
using fexldr_type_libGL_glXBindVideoImageNV = auto (Display * a_0, GLXVideoDeviceNV a_1, GLXPbuffer a_2, int a_3) -> int;
static fexldr_type_libGL_glXBindVideoImageNV *fexldr_ptr_libGL_glXBindVideoImageNV;
using fexldr_type_libGL_glXReleaseVideoImageNV = auto (Display * a_0, GLXPbuffer a_1) -> int;
static fexldr_type_libGL_glXReleaseVideoImageNV *fexldr_ptr_libGL_glXReleaseVideoImageNV;
using fexldr_type_libGL_glXSendPbufferToVideoNV = auto (Display * a_0, GLXPbuffer a_1, int a_2, unsigned long * a_3, GLboolean a_4) -> int;
static fexldr_type_libGL_glXSendPbufferToVideoNV *fexldr_ptr_libGL_glXSendPbufferToVideoNV;
using fexldr_type_libGL_glXGetVideoInfoNV = auto (Display * a_0, int a_1, GLXVideoDeviceNV a_2, unsigned long * a_3, unsigned long * a_4) -> int;
static fexldr_type_libGL_glXGetVideoInfoNV *fexldr_ptr_libGL_glXGetVideoInfoNV;
using fexldr_type_libGL_glXQueryHyperpipeNetworkSGIX = auto (Display * a_0, int * a_1) -> GLXHyperpipeNetworkSGIX *;
static fexldr_type_libGL_glXQueryHyperpipeNetworkSGIX *fexldr_ptr_libGL_glXQueryHyperpipeNetworkSGIX;
using fexldr_type_libGL_glXHyperpipeConfigSGIX = auto (Display * a_0, int a_1, int a_2, GLXHyperpipeConfigSGIX * a_3, int * a_4) -> int;
static fexldr_type_libGL_glXHyperpipeConfigSGIX *fexldr_ptr_libGL_glXHyperpipeConfigSGIX;
using fexldr_type_libGL_glXQueryHyperpipeConfigSGIX = auto (Display * a_0, int a_1, int * a_2) -> GLXHyperpipeConfigSGIX *;
static fexldr_type_libGL_glXQueryHyperpipeConfigSGIX *fexldr_ptr_libGL_glXQueryHyperpipeConfigSGIX;
using fexldr_type_libGL_glXDestroyHyperpipeConfigSGIX = auto (Display * a_0, int a_1) -> int;
static fexldr_type_libGL_glXDestroyHyperpipeConfigSGIX *fexldr_ptr_libGL_glXDestroyHyperpipeConfigSGIX;
using fexldr_type_libGL_glXBindHyperpipeSGIX = auto (Display * a_0, int a_1) -> int;
static fexldr_type_libGL_glXBindHyperpipeSGIX *fexldr_ptr_libGL_glXBindHyperpipeSGIX;
using fexldr_type_libGL_glXQueryHyperpipeBestAttribSGIX = auto (Display * a_0, int a_1, int a_2, int a_3, void * a_4, void * a_5) -> int;
static fexldr_type_libGL_glXQueryHyperpipeBestAttribSGIX *fexldr_ptr_libGL_glXQueryHyperpipeBestAttribSGIX;
using fexldr_type_libGL_glXHyperpipeAttribSGIX = auto (Display * a_0, int a_1, int a_2, int a_3, void * a_4) -> int;
static fexldr_type_libGL_glXHyperpipeAttribSGIX *fexldr_ptr_libGL_glXHyperpipeAttribSGIX;
using fexldr_type_libGL_glXQueryHyperpipeAttribSGIX = auto (Display * a_0, int a_1, int a_2, int a_3, void * a_4) -> int;
static fexldr_type_libGL_glXQueryHyperpipeAttribSGIX *fexldr_ptr_libGL_glXQueryHyperpipeAttribSGIX;
using fexldr_type_libGL_glXBindSwapBarrierSGIX = auto (Display * a_0, GLXDrawable a_1, int a_2) -> void;
static fexldr_type_libGL_glXBindSwapBarrierSGIX *fexldr_ptr_libGL_glXBindSwapBarrierSGIX;
using fexldr_type_libGL_glXQueryMaxSwapBarriersSGIX = auto (Display * a_0, int a_1, int * a_2) -> int;
static fexldr_type_libGL_glXQueryMaxSwapBarriersSGIX *fexldr_ptr_libGL_glXQueryMaxSwapBarriersSGIX;
using fexldr_type_libGL_glXJoinSwapGroupSGIX = auto (Display * a_0, GLXDrawable a_1, GLXDrawable a_2) -> void;
static fexldr_type_libGL_glXJoinSwapGroupSGIX *fexldr_ptr_libGL_glXJoinSwapGroupSGIX;
using fexldr_type_libGL_glXBindChannelToWindowSGIX = auto (Display * a_0, int a_1, int a_2, Window a_3) -> int;
static fexldr_type_libGL_glXBindChannelToWindowSGIX *fexldr_ptr_libGL_glXBindChannelToWindowSGIX;
using fexldr_type_libGL_glXChannelRectSGIX = auto (Display * a_0, int a_1, int a_2, int a_3, int a_4, int a_5, int a_6) -> int;
static fexldr_type_libGL_glXChannelRectSGIX *fexldr_ptr_libGL_glXChannelRectSGIX;
using fexldr_type_libGL_glXQueryChannelRectSGIX = auto (Display * a_0, int a_1, int a_2, int * a_3, int * a_4, int * a_5, int * a_6) -> int;
static fexldr_type_libGL_glXQueryChannelRectSGIX *fexldr_ptr_libGL_glXQueryChannelRectSGIX;
using fexldr_type_libGL_glXQueryChannelDeltasSGIX = auto (Display * a_0, int a_1, int a_2, int * a_3, int * a_4, int * a_5, int * a_6) -> int;
static fexldr_type_libGL_glXQueryChannelDeltasSGIX *fexldr_ptr_libGL_glXQueryChannelDeltasSGIX;
using fexldr_type_libGL_glXChannelRectSyncSGIX = auto (Display * a_0, int a_1, int a_2, GLenum a_3) -> int;
static fexldr_type_libGL_glXChannelRectSyncSGIX *fexldr_ptr_libGL_glXChannelRectSyncSGIX;
using fexldr_type_libGL_glXCushionSGI = auto (Display * a_0, Window a_1, float a_2) -> void;
static fexldr_type_libGL_glXCushionSGI *fexldr_ptr_libGL_glXCushionSGI;
using fexldr_type_libGL_glXGetTransparentIndexSUN = auto (Display * a_0, Window a_1, Window a_2, unsigned long * a_3) -> int;
static fexldr_type_libGL_glXGetTransparentIndexSUN *fexldr_ptr_libGL_glXGetTransparentIndexSUN;
extern "C" {
static auto fexfn_impl_libGL_glXGetProcAddress(const GLubyte * a_0) -> void (*)(void);
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetProcAddress {
  guest_layout<const uint8_t*> a_0;
  guest_layout<void (*)(void)> rv;
};
static void fexfn_unpack_libGL_glXGetProcAddress(fexfn_packed_args_libGL_glXGetProcAddress* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
  args->rv = fexfn_impl_libGL_glXGetProcAddress(unwrap_host(a_0));
}
static auto fexfn_impl_libGL_SetGuestMalloc(uintptr_t a_0, uintptr_t a_1) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_SetGuestMalloc {
  guest_layout<uint64_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_SetGuestMalloc(fexfn_packed_args_libGL_SetGuestMalloc* args) {
  host_layout<uintptr_t> a_0 { args->a_0 };
  host_layout<uintptr_t> a_1 { args->a_1 };
fexfn_impl_libGL_SetGuestMalloc(unwrap_host(a_0), unwrap_host(a_1));
}
static auto fexfn_impl_libGL_SetGuestXSync(uintptr_t a_0, uintptr_t a_1) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_SetGuestXSync {
  guest_layout<uint64_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_SetGuestXSync(fexfn_packed_args_libGL_SetGuestXSync* args) {
  host_layout<uintptr_t> a_0 { args->a_0 };
  host_layout<uintptr_t> a_1 { args->a_1 };
fexfn_impl_libGL_SetGuestXSync(unwrap_host(a_0), unwrap_host(a_1));
}
static auto fexfn_impl_libGL_SetGuestXGetVisualInfo(uintptr_t a_0, uintptr_t a_1) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_SetGuestXGetVisualInfo {
  guest_layout<uint64_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_SetGuestXGetVisualInfo(fexfn_packed_args_libGL_SetGuestXGetVisualInfo* args) {
  host_layout<uintptr_t> a_0 { args->a_0 };
  host_layout<uintptr_t> a_1 { args->a_1 };
fexfn_impl_libGL_SetGuestXGetVisualInfo(unwrap_host(a_0), unwrap_host(a_1));
}
static auto fexfn_impl_libGL_SetGuestXDisplayString(uintptr_t a_0, uintptr_t a_1) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_SetGuestXDisplayString {
  guest_layout<uint64_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_SetGuestXDisplayString(fexfn_packed_args_libGL_SetGuestXDisplayString* args) {
  host_layout<uintptr_t> a_0 { args->a_0 };
  host_layout<uintptr_t> a_1 { args->a_1 };
fexfn_impl_libGL_SetGuestXDisplayString(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryCurrentRendererStringMESA {
  guest_layout<int32_t> a_0;
  guest_layout<const uint8_t*> rv;
};
static void fexfn_unpack_libGL_glXQueryCurrentRendererStringMESA(fexfn_packed_args_libGL_glXQueryCurrentRendererStringMESA* args) {
  host_layout<int> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<const char *>(fexldr_ptr_libGL_glXQueryCurrentRendererStringMESA(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryRendererStringMESA {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const uint8_t*> rv;
};
static void fexfn_unpack_libGL_glXQueryRendererStringMESA(fexfn_packed_args_libGL_glXQueryRendererStringMESA* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<const char *>(fexldr_ptr_libGL_glXQueryRendererStringMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetContextIDEXT {
  guest_layout<GLXContext> a_0;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXGetContextIDEXT(fexfn_packed_args_libGL_glXGetContextIDEXT* args) {
  host_layout<__GLXcontextRec *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLXContextID>(fexldr_ptr_libGL_glXGetContextIDEXT(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateContextWithConfigSGIX {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfigSGIX> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLXContext> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<GLXContext> rv;
};
static void fexfn_unpack_libGL_glXCreateContextWithConfigSGIX(fexfn_packed_args_libGL_glXCreateContextWithConfigSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<__GLXcontextRec *> a_3 { args->a_3 };
  host_layout<int> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<GLXContext>(fexldr_ptr_libGL_glXCreateContextWithConfigSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXImportContextEXT {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<GLXContext> rv;
};
static void fexfn_unpack_libGL_glXImportContextEXT(fexfn_packed_args_libGL_glXImportContextEXT* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXContextID> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLXContext>(fexldr_ptr_libGL_glXImportContextEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetCurrentReadDrawableSGI {
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXGetCurrentReadDrawableSGI(fexfn_packed_args_libGL_glXGetCurrentReadDrawableSGI* args) {
  args->rv = to_guest(to_host_layout<GLXDrawable>(fexldr_ptr_libGL_glXGetCurrentReadDrawableSGI()));
}
static auto fexfn_impl_libGL_glXChooseFBConfigSGIX(Display * a_0, int a_1, int * a_2, int * a_3) -> guest_layout<GLXFBConfigSGIX *>;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXChooseFBConfigSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<GLXFBConfigSGIX *> rv;
};
static void fexfn_unpack_libGL_glXChooseFBConfigSGIX(fexfn_packed_args_libGL_glXChooseFBConfigSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  args->rv = fexfn_impl_libGL_glXChooseFBConfigSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
static auto fexfn_impl_libGL_glXGetFBConfigFromVisualSGIX(Display * a_0, guest_layout<XVisualInfo *> a_1) -> GLXFBConfigSGIX;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetFBConfigFromVisualSGIX {
  guest_layout<Display *> a_0;
  guest_layout<XVisualInfo *> a_1;
  guest_layout<GLXFBConfigSGIX> rv;
};
static void fexfn_unpack_libGL_glXGetFBConfigFromVisualSGIX(fexfn_packed_args_libGL_glXGetFBConfigFromVisualSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLXFBConfigSGIX>(fexfn_impl_libGL_glXGetFBConfigFromVisualSGIX(unwrap_host(a_0), args->a_1)));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateGLXPbufferSGIX {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfigSGIX> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXCreateGLXPbufferSGIX(fexfn_packed_args_libGL_glXCreateGLXPbufferSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  host_layout<unsigned int> a_2 { args->a_2 };
  host_layout<unsigned int> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<GLXPbufferSGIX>(fexldr_ptr_libGL_glXCreateGLXPbufferSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateGLXPixmapWithConfigSGIX {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfigSGIX> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXCreateGLXPixmapWithConfigSGIX(fexfn_packed_args_libGL_glXCreateGLXPixmapWithConfigSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  host_layout<Pixmap> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLXPixmap>(fexldr_ptr_libGL_glXCreateGLXPixmapWithConfigSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXSwapBuffersMscOML {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
  guest_layout<int64_t> rv;
};
static void fexfn_unpack_libGL_glXSwapBuffersMscOML(fexfn_packed_args_libGL_glXSwapBuffersMscOML* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<int64_t> a_2 { args->a_2 };
  host_layout<int64_t> a_3 { args->a_3 };
  host_layout<int64_t> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<int64_t>(fexldr_ptr_libGL_glXSwapBuffersMscOML(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetFBConfigAttribSGIX {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfigSGIX> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetFBConfigAttribSGIX(fexfn_packed_args_libGL_glXGetFBConfigAttribSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetFBConfigAttribSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetMscRateOML {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetMscRateOML(fexfn_packed_args_libGL_glXGetMscRateOML* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetMscRateOML(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetSwapIntervalMESA {
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetSwapIntervalMESA(fexfn_packed_args_libGL_glXGetSwapIntervalMESA* args) {
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetSwapIntervalMESA()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetSyncValuesOML {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int64_t*> a_2;
  guest_layout<int64_t*> a_3;
  guest_layout<int64_t*> a_4;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetSyncValuesOML(fexfn_packed_args_libGL_glXGetSyncValuesOML* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
  host_layout<long *> a_3 { args->a_3 };
  host_layout<long *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetSyncValuesOML(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetVideoSyncSGI {
  guest_layout<uint32_t*> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetVideoSyncSGI(fexfn_packed_args_libGL_glXGetVideoSyncSGI* args) {
  host_layout<unsigned int *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetVideoSyncSGI(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXMakeCurrentReadSGI {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<GLXContext> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXMakeCurrentReadSGI(fexfn_packed_args_libGL_glXMakeCurrentReadSGI* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<GLXDrawable> a_2 { args->a_2 };
  host_layout<__GLXcontextRec *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXMakeCurrentReadSGI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryContextInfoEXT {
  guest_layout<Display *> a_0;
  guest_layout<GLXContext> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryContextInfoEXT(fexfn_packed_args_libGL_glXQueryContextInfoEXT* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryContextInfoEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryCurrentRendererIntegerMESA {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryCurrentRendererIntegerMESA(fexfn_packed_args_libGL_glXQueryCurrentRendererIntegerMESA* args) {
  host_layout<int> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryCurrentRendererIntegerMESA(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryRendererIntegerMESA {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t*> a_4;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryRendererIntegerMESA(fexfn_packed_args_libGL_glXQueryRendererIntegerMESA* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
  host_layout<unsigned int *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryRendererIntegerMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXSwapIntervalMESA {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXSwapIntervalMESA(fexfn_packed_args_libGL_glXSwapIntervalMESA* args) {
  host_layout<unsigned int> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXSwapIntervalMESA(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXSwapIntervalSGI {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXSwapIntervalSGI(fexfn_packed_args_libGL_glXSwapIntervalSGI* args) {
  host_layout<int> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXSwapIntervalSGI(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXWaitForMscOML {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
  guest_layout<int64_t*> a_5;
  guest_layout<int64_t*> a_6;
  guest_layout<int64_t*> a_7;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXWaitForMscOML(fexfn_packed_args_libGL_glXWaitForMscOML* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<int64_t> a_2 { args->a_2 };
  host_layout<int64_t> a_3 { args->a_3 };
  host_layout<int64_t> a_4 { args->a_4 };
  host_layout<long *> a_5 { args->a_5 };
  host_layout<long *> a_6 { args->a_6 };
  host_layout<long *> a_7 { args->a_7 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXWaitForMscOML(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXWaitForSbcOML {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t*> a_3;
  guest_layout<int64_t*> a_4;
  guest_layout<int64_t*> a_5;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXWaitForSbcOML(fexfn_packed_args_libGL_glXWaitForSbcOML* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<int64_t> a_2 { args->a_2 };
  host_layout<long *> a_3 { args->a_3 };
  host_layout<long *> a_4 { args->a_4 };
  host_layout<long *> a_5 { args->a_5 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXWaitForSbcOML(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXWaitVideoSyncSGI {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXWaitVideoSyncSGI(fexfn_packed_args_libGL_glXWaitVideoSyncSGI* args) {
  host_layout<int> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXWaitVideoSyncSGI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBindTexImageEXT {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glXBindTexImageEXT(fexfn_packed_args_libGL_glXBindTexImageEXT* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glXBindTexImageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCopySubBufferMESA {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glXCopySubBufferMESA(fexfn_packed_args_libGL_glXCopySubBufferMESA* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
  host_layout<int> a_4 { args->a_4 };
  host_layout<int> a_5 { args->a_5 };
fexldr_ptr_libGL_glXCopySubBufferMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXDestroyGLXPbufferSGIX {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glXDestroyGLXPbufferSGIX(fexfn_packed_args_libGL_glXDestroyGLXPbufferSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXPbufferSGIX> a_1 { args->a_1 };
fexldr_ptr_libGL_glXDestroyGLXPbufferSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXFreeContextEXT {
  guest_layout<Display *> a_0;
  guest_layout<GLXContext> a_1;
};
static void fexfn_unpack_libGL_glXFreeContextEXT(fexfn_packed_args_libGL_glXFreeContextEXT* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
fexldr_ptr_libGL_glXFreeContextEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetSelectedEventSGIX {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glXGetSelectedEventSGIX(fexfn_packed_args_libGL_glXGetSelectedEventSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glXGetSelectedEventSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryGLXPbufferSGIX {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glXQueryGLXPbufferSGIX(fexfn_packed_args_libGL_glXQueryGLXPbufferSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXPbufferSGIX> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glXQueryGLXPbufferSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXReleaseTexImageEXT {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glXReleaseTexImageEXT(fexfn_packed_args_libGL_glXReleaseTexImageEXT* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
fexldr_ptr_libGL_glXReleaseTexImageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXSelectEventSGIX {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glXSelectEventSGIX(fexfn_packed_args_libGL_glXSelectEventSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<unsigned long> a_2 { args->a_2 };
fexldr_ptr_libGL_glXSelectEventSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
static auto fexfn_impl_libGL_glXGetVisualFromFBConfigSGIX(Display * a_0, GLXFBConfigSGIX a_1) -> guest_layout<XVisualInfo *>;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetVisualFromFBConfigSGIX {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfigSGIX> a_1;
  guest_layout<XVisualInfo *> rv;
};
static void fexfn_unpack_libGL_glXGetVisualFromFBConfigSGIX(fexfn_packed_args_libGL_glXGetVisualFromFBConfigSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  args->rv = fexfn_impl_libGL_glXGetVisualFromFBConfigSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetClientString {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> rv;
};
static void fexfn_unpack_libGL_glXGetClientString(fexfn_packed_args_libGL_glXGetClientString* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<const char *>(fexldr_ptr_libGL_glXGetClientString(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryExtensionsString {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> rv;
};
static void fexfn_unpack_libGL_glXQueryExtensionsString(fexfn_packed_args_libGL_glXQueryExtensionsString* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<const char *>(fexldr_ptr_libGL_glXQueryExtensionsString(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryServerString {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint8_t*> rv;
};
static void fexfn_unpack_libGL_glXQueryServerString(fexfn_packed_args_libGL_glXQueryServerString* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<const char *>(fexldr_ptr_libGL_glXQueryServerString(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
static auto fexfn_impl_libGL_glXGetCurrentDisplay() -> guest_layout<Display *>;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetCurrentDisplay {
  guest_layout<Display *> rv;
};
static void fexfn_unpack_libGL_glXGetCurrentDisplay(fexfn_packed_args_libGL_glXGetCurrentDisplay* args) {
  args->rv = fexfn_impl_libGL_glXGetCurrentDisplay();
}
static auto fexfn_impl_libGL_glXCreateContext(Display * a_0, guest_layout<XVisualInfo *> a_1, GLXContext a_2, int a_3) -> GLXContext;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateContext {
  guest_layout<Display *> a_0;
  guest_layout<XVisualInfo *> a_1;
  guest_layout<GLXContext> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<GLXContext> rv;
};
static void fexfn_unpack_libGL_glXCreateContext(fexfn_packed_args_libGL_glXCreateContext* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<GLXContext>(fexfn_impl_libGL_glXCreateContext(unwrap_host(a_0), args->a_1, unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateNewContext {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfig> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLXContext> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<GLXContext> rv;
};
static void fexfn_unpack_libGL_glXCreateNewContext(fexfn_packed_args_libGL_glXCreateNewContext* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<__GLXcontextRec *> a_3 { args->a_3 };
  host_layout<int> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<GLXContext>(fexldr_ptr_libGL_glXCreateNewContext(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetCurrentContext {
  guest_layout<GLXContext> rv;
};
static void fexfn_unpack_libGL_glXGetCurrentContext(fexfn_packed_args_libGL_glXGetCurrentContext* args) {
  args->rv = to_guest(to_host_layout<GLXContext>(fexldr_ptr_libGL_glXGetCurrentContext()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetCurrentDrawable {
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXGetCurrentDrawable(fexfn_packed_args_libGL_glXGetCurrentDrawable* args) {
  args->rv = to_guest(to_host_layout<GLXDrawable>(fexldr_ptr_libGL_glXGetCurrentDrawable()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetCurrentReadDrawable {
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXGetCurrentReadDrawable(fexfn_packed_args_libGL_glXGetCurrentReadDrawable* args) {
  args->rv = to_guest(to_host_layout<GLXDrawable>(fexldr_ptr_libGL_glXGetCurrentReadDrawable()));
}
static auto fexfn_impl_libGL_glXChooseFBConfig(Display * a_0, int a_1, const int * a_2, int * a_3) -> guest_layout<GLXFBConfig *>;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXChooseFBConfig {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<GLXFBConfig *> rv;
};
static void fexfn_unpack_libGL_glXChooseFBConfig(fexfn_packed_args_libGL_glXChooseFBConfig* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  args->rv = fexfn_impl_libGL_glXChooseFBConfig(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
static auto fexfn_impl_libGL_glXGetFBConfigs(Display * a_0, int a_1, int * a_2) -> guest_layout<GLXFBConfig *>;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetFBConfigs {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<GLXFBConfig *> rv;
};
static void fexfn_unpack_libGL_glXGetFBConfigs(fexfn_packed_args_libGL_glXGetFBConfigs* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  args->rv = fexfn_impl_libGL_glXGetFBConfigs(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreatePbuffer {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfig> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXCreatePbuffer(fexfn_packed_args_libGL_glXCreatePbuffer* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLXPbuffer>(fexldr_ptr_libGL_glXCreatePbuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
static auto fexfn_impl_libGL_glXCreateGLXPixmap(Display * a_0, guest_layout<XVisualInfo *> a_1, Pixmap a_2) -> GLXPixmap;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateGLXPixmap {
  guest_layout<Display *> a_0;
  guest_layout<XVisualInfo *> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXCreateGLXPixmap(fexfn_packed_args_libGL_glXCreateGLXPixmap* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<Pixmap> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLXPixmap>(fexfn_impl_libGL_glXCreateGLXPixmap(unwrap_host(a_0), args->a_1, unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreatePixmap {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfig> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<const int32_t*> a_3;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXCreatePixmap(fexfn_packed_args_libGL_glXCreatePixmap* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  host_layout<Pixmap> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<GLXPixmap>(fexldr_ptr_libGL_glXCreatePixmap(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateWindow {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfig> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<const int32_t*> a_3;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXCreateWindow(fexfn_packed_args_libGL_glXCreateWindow* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  host_layout<Window> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<GLXWindow>(fexldr_ptr_libGL_glXCreateWindow(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
static auto fexfn_impl_libGL_glXGetConfig(Display * a_0, guest_layout<XVisualInfo *> a_1, int a_2, int * a_3) -> int;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetConfig {
  guest_layout<Display *> a_0;
  guest_layout<XVisualInfo *> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetConfig(fexfn_packed_args_libGL_glXGetConfig* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexfn_impl_libGL_glXGetConfig(unwrap_host(a_0), args->a_1, unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetFBConfigAttrib {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfig> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetFBConfigAttrib(fexfn_packed_args_libGL_glXGetFBConfigAttrib* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetFBConfigAttrib(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXIsDirect {
  guest_layout<Display *> a_0;
  guest_layout<GLXContext> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXIsDirect(fexfn_packed_args_libGL_glXIsDirect* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXIsDirect(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXMakeContextCurrent {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<GLXContext> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXMakeContextCurrent(fexfn_packed_args_libGL_glXMakeContextCurrent* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<GLXDrawable> a_2 { args->a_2 };
  host_layout<__GLXcontextRec *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXMakeContextCurrent(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXMakeCurrent {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<GLXContext> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXMakeCurrent(fexfn_packed_args_libGL_glXMakeCurrent* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<__GLXcontextRec *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXMakeCurrent(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryContext {
  guest_layout<Display *> a_0;
  guest_layout<GLXContext> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryContext(fexfn_packed_args_libGL_glXQueryContext* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryContext(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryExtension {
  guest_layout<Display *> a_0;
  guest_layout<int32_t*> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryExtension(fexfn_packed_args_libGL_glXQueryExtension* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryExtension(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryVersion {
  guest_layout<Display *> a_0;
  guest_layout<int32_t*> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryVersion(fexfn_packed_args_libGL_glXQueryVersion* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryVersion(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXAllocateMemoryNV {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libGL_glXAllocateMemoryNV(fexfn_packed_args_libGL_glXAllocateMemoryNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libGL_glXAllocateMemoryNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCopyContext {
  guest_layout<Display *> a_0;
  guest_layout<GLXContext> a_1;
  guest_layout<GLXContext> a_2;
  guest_layout<uint64_t> a_3;
};
static void fexfn_unpack_libGL_glXCopyContext(fexfn_packed_args_libGL_glXCopyContext* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
  host_layout<__GLXcontextRec *> a_2 { args->a_2 };
  host_layout<unsigned long> a_3 { args->a_3 };
fexldr_ptr_libGL_glXCopyContext(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXDestroyContext {
  guest_layout<Display *> a_0;
  guest_layout<GLXContext> a_1;
};
static void fexfn_unpack_libGL_glXDestroyContext(fexfn_packed_args_libGL_glXDestroyContext* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
fexldr_ptr_libGL_glXDestroyContext(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXDestroyGLXPixmap {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glXDestroyGLXPixmap(fexfn_packed_args_libGL_glXDestroyGLXPixmap* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXPixmap> a_1 { args->a_1 };
fexldr_ptr_libGL_glXDestroyGLXPixmap(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXDestroyPbuffer {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glXDestroyPbuffer(fexfn_packed_args_libGL_glXDestroyPbuffer* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXPbuffer> a_1 { args->a_1 };
fexldr_ptr_libGL_glXDestroyPbuffer(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXDestroyPixmap {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glXDestroyPixmap(fexfn_packed_args_libGL_glXDestroyPixmap* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXPixmap> a_1 { args->a_1 };
fexldr_ptr_libGL_glXDestroyPixmap(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXDestroyWindow {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glXDestroyWindow(fexfn_packed_args_libGL_glXDestroyWindow* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXWindow> a_1 { args->a_1 };
fexldr_ptr_libGL_glXDestroyWindow(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXFreeMemoryNV {
  guest_layout<GLvoid *> a_0;
};
static void fexfn_unpack_libGL_glXFreeMemoryNV(fexfn_packed_args_libGL_glXFreeMemoryNV* args) {
  host_layout<void *> a_0 { args->a_0 };
fexldr_ptr_libGL_glXFreeMemoryNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetSelectedEvent {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glXGetSelectedEvent(fexfn_packed_args_libGL_glXGetSelectedEvent* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glXGetSelectedEvent(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryDrawable {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glXQueryDrawable(fexfn_packed_args_libGL_glXQueryDrawable* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glXQueryDrawable(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXSelectEvent {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glXSelectEvent(fexfn_packed_args_libGL_glXSelectEvent* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<unsigned long> a_2 { args->a_2 };
fexldr_ptr_libGL_glXSelectEvent(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXSwapBuffers {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glXSwapBuffers(fexfn_packed_args_libGL_glXSwapBuffers* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
fexldr_ptr_libGL_glXSwapBuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXUseXFont {
  guest_layout<uint64_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glXUseXFont(fexfn_packed_args_libGL_glXUseXFont* args) {
  host_layout<Font> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
fexldr_ptr_libGL_glXUseXFont(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXWaitGL {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glXWaitGL(fexfn_packed_args_libGL_glXWaitGL* args) {
fexldr_ptr_libGL_glXWaitGL();
}
static auto fexfn_impl_libGL_glXChooseVisual(Display * a_0, int a_1, int * a_2) -> guest_layout<XVisualInfo *>;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXChooseVisual {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<XVisualInfo *> rv;
};
static void fexfn_unpack_libGL_glXChooseVisual(fexfn_packed_args_libGL_glXChooseVisual* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  args->rv = fexfn_impl_libGL_glXChooseVisual(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
static auto fexfn_impl_libGL_glXGetVisualFromFBConfig(Display * a_0, GLXFBConfig a_1) -> guest_layout<XVisualInfo *>;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetVisualFromFBConfig {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfig> a_1;
  guest_layout<XVisualInfo *> rv;
};
static void fexfn_unpack_libGL_glXGetVisualFromFBConfig(fexfn_packed_args_libGL_glXGetVisualFromFBConfig* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  args->rv = fexfn_impl_libGL_glXGetVisualFromFBConfig(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateContextAttribsARB {
  guest_layout<Display *> a_0;
  guest_layout<GLXFBConfig> a_1;
  guest_layout<GLXContext> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const int32_t*> a_4;
  guest_layout<GLXContext> rv;
};
static void fexfn_unpack_libGL_glXCreateContextAttribsARB(fexfn_packed_args_libGL_glXCreateContextAttribsARB* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXFBConfigRec *> a_1 { args->a_1 };
  host_layout<__GLXcontextRec *> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
  host_layout<const int *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<GLXContext>(fexldr_ptr_libGL_glXCreateContextAttribsARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXSwapIntervalEXT {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glXSwapIntervalEXT(fexfn_packed_args_libGL_glXSwapIntervalEXT* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
fexldr_ptr_libGL_glXSwapIntervalEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorP3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glColorP3ui(fexfn_packed_args_libGL_glColorP3ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glColorP3ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorP3uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glColorP3uiv(fexfn_packed_args_libGL_glColorP3uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glColorP3uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorP4ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glColorP4ui(fexfn_packed_args_libGL_glColorP4ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glColorP4ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorP4uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glColorP4uiv(fexfn_packed_args_libGL_glColorP4uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glColorP4uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordd {
  guest_layout<GLdouble> a_0;
};
static void fexfn_unpack_libGL_glFogCoordd(fexfn_packed_args_libGL_glFogCoordd* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
fexldr_ptr_libGL_glFogCoordd(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoorddv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glFogCoorddv(fexfn_packed_args_libGL_glFogCoorddv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glFogCoorddv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordf {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glFogCoordf(fexfn_packed_args_libGL_glFogCoordf* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glFogCoordf(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordfv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glFogCoordfv(fexfn_packed_args_libGL_glFogCoordfv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glFogCoordfv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordPointer {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const void *> a_2;
};
static void fexfn_unpack_libGL_glFogCoordPointer(fexfn_packed_args_libGL_glFogCoordPointer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glFogCoordPointer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnColorTableARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<void *> a_4;
};
static void fexfn_unpack_libGL_glGetnColorTableARB(fexfn_packed_args_libGL_glGetnColorTableARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetnColorTableARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnConvolutionFilterARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<void *> a_4;
};
static void fexfn_unpack_libGL_glGetnConvolutionFilterARB(fexfn_packed_args_libGL_glGetnConvolutionFilterARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetnConvolutionFilterARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnHistogramARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<void *> a_5;
};
static void fexfn_unpack_libGL_glGetnHistogramARB(fexfn_packed_args_libGL_glGetnHistogramARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetnHistogramARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnColorTable {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<void *> a_4;
};
static void fexfn_unpack_libGL_glGetnColorTable(fexfn_packed_args_libGL_glGetnColorTable* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetnColorTable(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnConvolutionFilter {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<void *> a_4;
};
static void fexfn_unpack_libGL_glGetnConvolutionFilter(fexfn_packed_args_libGL_glGetnConvolutionFilter* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetnConvolutionFilter(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnHistogram {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<void *> a_5;
};
static void fexfn_unpack_libGL_glGetnHistogram(fexfn_packed_args_libGL_glGetnHistogram* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetnHistogram(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnMapdv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glGetnMapdv(fexfn_packed_args_libGL_glGetnMapdv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnMapdv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnMapfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetnMapfv(fexfn_packed_args_libGL_glGetnMapfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnMapfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnMapiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetnMapiv(fexfn_packed_args_libGL_glGetnMapiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnMapiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnPixelMapfv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetnPixelMapfv(fexfn_packed_args_libGL_glGetnPixelMapfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetnPixelMapfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnPixelMapuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetnPixelMapuiv(fexfn_packed_args_libGL_glGetnPixelMapuiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetnPixelMapuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnPixelMapusv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint16_t*> a_2;
};
static void fexfn_unpack_libGL_glGetnPixelMapusv(fexfn_packed_args_libGL_glGetnPixelMapusv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<unsigned short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetnPixelMapusv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnPolygonStipple {
  guest_layout<int32_t> a_0;
  guest_layout<uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glGetnPolygonStipple(fexfn_packed_args_libGL_glGetnPolygonStipple* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetnPolygonStipple(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnSeparableFilter {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<void *> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<void *> a_6;
  guest_layout<void *> a_7;
};
static void fexfn_unpack_libGL_glGetnSeparableFilter(fexfn_packed_args_libGL_glGetnSeparableFilter* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<void *> a_6 { args->a_6 };
  host_layout<void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glGetnSeparableFilter(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnMinmax {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<void *> a_5;
};
static void fexfn_unpack_libGL_glGetnMinmax(fexfn_packed_args_libGL_glGetnMinmax* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetnMinmax(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnMapdvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glGetnMapdvARB(fexfn_packed_args_libGL_glGetnMapdvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnMapdvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnMapfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetnMapfvARB(fexfn_packed_args_libGL_glGetnMapfvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnMapfvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnMapivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetnMapivARB(fexfn_packed_args_libGL_glGetnMapivARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnMapivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnMinmaxARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<void *> a_5;
};
static void fexfn_unpack_libGL_glGetnMinmaxARB(fexfn_packed_args_libGL_glGetnMinmaxARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetnMinmaxARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnPixelMapfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetnPixelMapfvARB(fexfn_packed_args_libGL_glGetnPixelMapfvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetnPixelMapfvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnPixelMapuivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetnPixelMapuivARB(fexfn_packed_args_libGL_glGetnPixelMapuivARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetnPixelMapuivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnPixelMapusvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint16_t*> a_2;
};
static void fexfn_unpack_libGL_glGetnPixelMapusvARB(fexfn_packed_args_libGL_glGetnPixelMapusvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<unsigned short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetnPixelMapusvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnPolygonStippleARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glGetnPolygonStippleARB(fexfn_packed_args_libGL_glGetnPolygonStippleARB* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetnPolygonStippleARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnSeparableFilterARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<void *> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<void *> a_6;
  guest_layout<void *> a_7;
};
static void fexfn_unpack_libGL_glGetnSeparableFilterARB(fexfn_packed_args_libGL_glGetnSeparableFilterARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<void *> a_6 { args->a_6 };
  host_layout<void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glGetnSeparableFilterARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoordP1ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoordP1ui(fexfn_packed_args_libGL_glMultiTexCoordP1ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoordP1ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoordP1uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoordP1uiv(fexfn_packed_args_libGL_glMultiTexCoordP1uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoordP1uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoordP2ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoordP2ui(fexfn_packed_args_libGL_glMultiTexCoordP2ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoordP2ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoordP2uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoordP2uiv(fexfn_packed_args_libGL_glMultiTexCoordP2uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoordP2uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoordP3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoordP3ui(fexfn_packed_args_libGL_glMultiTexCoordP3ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoordP3ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoordP3uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoordP3uiv(fexfn_packed_args_libGL_glMultiTexCoordP3uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoordP3uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoordP4ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoordP4ui(fexfn_packed_args_libGL_glMultiTexCoordP4ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoordP4ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoordP4uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoordP4uiv(fexfn_packed_args_libGL_glMultiTexCoordP4uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoordP4uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalP3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glNormalP3ui(fexfn_packed_args_libGL_glNormalP3ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glNormalP3ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalP3uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glNormalP3uiv(fexfn_packed_args_libGL_glNormalP3uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glNormalP3uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3b {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3b(fexfn_packed_args_libGL_glSecondaryColor3b* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3b(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3bv {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3bv(fexfn_packed_args_libGL_glSecondaryColor3bv* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3bv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3d(fexfn_packed_args_libGL_glSecondaryColor3d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3dv(fexfn_packed_args_libGL_glSecondaryColor3dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3f(fexfn_packed_args_libGL_glSecondaryColor3f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3fv(fexfn_packed_args_libGL_glSecondaryColor3fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3i(fexfn_packed_args_libGL_glSecondaryColor3i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3iv(fexfn_packed_args_libGL_glSecondaryColor3iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3s(fexfn_packed_args_libGL_glSecondaryColor3s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3sv(fexfn_packed_args_libGL_glSecondaryColor3sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3ub {
  guest_layout<uint8_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3ub(fexfn_packed_args_libGL_glSecondaryColor3ub* args) {
  host_layout<GLubyte> a_0 { args->a_0 };
  host_layout<GLubyte> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3ub(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3ubv {
  guest_layout<const uint8_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3ubv(fexfn_packed_args_libGL_glSecondaryColor3ubv* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3ubv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3ui(fexfn_packed_args_libGL_glSecondaryColor3ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3uiv {
  guest_layout<const uint32_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3uiv(fexfn_packed_args_libGL_glSecondaryColor3uiv* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3uiv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3us {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3us(fexfn_packed_args_libGL_glSecondaryColor3us* args) {
  host_layout<GLushort> a_0 { args->a_0 };
  host_layout<GLushort> a_1 { args->a_1 };
  host_layout<GLushort> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3us(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3usv {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3usv(fexfn_packed_args_libGL_glSecondaryColor3usv* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3usv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColorP3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glSecondaryColorP3ui(fexfn_packed_args_libGL_glSecondaryColorP3ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glSecondaryColorP3ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColorP3uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glSecondaryColorP3uiv(fexfn_packed_args_libGL_glSecondaryColorP3uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glSecondaryColorP3uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColorPointer {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glSecondaryColorPointer(fexfn_packed_args_libGL_glSecondaryColorPointer* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glSecondaryColorPointer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordP1ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glTexCoordP1ui(fexfn_packed_args_libGL_glTexCoordP1ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoordP1ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordP1uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glTexCoordP1uiv(fexfn_packed_args_libGL_glTexCoordP1uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoordP1uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordP2ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glTexCoordP2ui(fexfn_packed_args_libGL_glTexCoordP2ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoordP2ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordP2uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glTexCoordP2uiv(fexfn_packed_args_libGL_glTexCoordP2uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoordP2uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordP3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glTexCoordP3ui(fexfn_packed_args_libGL_glTexCoordP3ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoordP3ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordP3uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glTexCoordP3uiv(fexfn_packed_args_libGL_glTexCoordP3uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoordP3uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordP4ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glTexCoordP4ui(fexfn_packed_args_libGL_glTexCoordP4ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoordP4ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordP4uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glTexCoordP4uiv(fexfn_packed_args_libGL_glTexCoordP4uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoordP4uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexP2ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexP2ui(fexfn_packed_args_libGL_glVertexP2ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexP2ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexP2uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexP2uiv(fexfn_packed_args_libGL_glVertexP2uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexP2uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexP3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexP3ui(fexfn_packed_args_libGL_glVertexP3ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexP3ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexP3uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexP3uiv(fexfn_packed_args_libGL_glVertexP3uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexP3uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexP4ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexP4ui(fexfn_packed_args_libGL_glVertexP4ui* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexP4ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexP4uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexP4uiv(fexfn_packed_args_libGL_glVertexP4uiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexP4uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2d(fexfn_packed_args_libGL_glWindowPos2d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2d(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2dv(fexfn_packed_args_libGL_glWindowPos2dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2f(fexfn_packed_args_libGL_glWindowPos2f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2f(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2fv(fexfn_packed_args_libGL_glWindowPos2fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2i(fexfn_packed_args_libGL_glWindowPos2i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2i(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2iv(fexfn_packed_args_libGL_glWindowPos2iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2s(fexfn_packed_args_libGL_glWindowPos2s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2s(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2sv(fexfn_packed_args_libGL_glWindowPos2sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3d(fexfn_packed_args_libGL_glWindowPos3d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3dv(fexfn_packed_args_libGL_glWindowPos3dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3f(fexfn_packed_args_libGL_glWindowPos3f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3fv(fexfn_packed_args_libGL_glWindowPos3fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3i(fexfn_packed_args_libGL_glWindowPos3i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3iv(fexfn_packed_args_libGL_glWindowPos3iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3s(fexfn_packed_args_libGL_glWindowPos3s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3sv(fexfn_packed_args_libGL_glWindowPos3sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetString {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> rv;
};
static void fexfn_unpack_libGL_glGetString(fexfn_packed_args_libGL_glGetString* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<const GLubyte *>(fexldr_ptr_libGL_glGetString(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetStringi {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint8_t*> rv;
};
static void fexfn_unpack_libGL_glGetStringi(fexfn_packed_args_libGL_glGetStringi* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<const GLubyte *>(fexldr_ptr_libGL_glGetStringi(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glQueryMatrixxOES {
  guest_layout<int32_t*> a_0;
  guest_layout<int32_t*> a_1;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glQueryMatrixxOES(fexfn_packed_args_libGL_glQueryMatrixxOES* args) {
  host_layout<int *> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLbitfield>(fexldr_ptr_libGL_glQueryMatrixxOES(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAcquireKeyedMutexWin32EXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glAcquireKeyedMutexWin32EXT(fexfn_packed_args_libGL_glAcquireKeyedMutexWin32EXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glAcquireKeyedMutexWin32EXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAreProgramsResidentNV {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
  guest_layout<uint8_t*> a_2;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glAreProgramsResidentNV(fexfn_packed_args_libGL_glAreProgramsResidentNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
  host_layout<unsigned char *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glAreProgramsResidentNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAreTexturesResidentEXT {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
  guest_layout<uint8_t*> a_2;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glAreTexturesResidentEXT(fexfn_packed_args_libGL_glAreTexturesResidentEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
  host_layout<unsigned char *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glAreTexturesResidentEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAreTexturesResident {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
  guest_layout<uint8_t*> a_2;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glAreTexturesResident(fexfn_packed_args_libGL_glAreTexturesResident* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
  host_layout<unsigned char *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glAreTexturesResident(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsAsyncMarkerSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsAsyncMarkerSGIX(fexfn_packed_args_libGL_glIsAsyncMarkerSGIX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsAsyncMarkerSGIX(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsBufferARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsBufferARB(fexfn_packed_args_libGL_glIsBufferARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsBufferARB(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsBuffer(fexfn_packed_args_libGL_glIsBuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsBuffer(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsBufferResidentNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsBufferResidentNV(fexfn_packed_args_libGL_glIsBufferResidentNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsBufferResidentNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsCommandListNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsCommandListNV(fexfn_packed_args_libGL_glIsCommandListNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsCommandListNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsEnabled {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsEnabled(fexfn_packed_args_libGL_glIsEnabled* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsEnabled(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsEnabledi {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsEnabledi(fexfn_packed_args_libGL_glIsEnabledi* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsEnabledi(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsEnabledIndexedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsEnabledIndexedEXT(fexfn_packed_args_libGL_glIsEnabledIndexedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsEnabledIndexedEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsFenceAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsFenceAPPLE(fexfn_packed_args_libGL_glIsFenceAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsFenceAPPLE(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsFenceNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsFenceNV(fexfn_packed_args_libGL_glIsFenceNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsFenceNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsFramebufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsFramebufferEXT(fexfn_packed_args_libGL_glIsFramebufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsFramebufferEXT(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsFramebuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsFramebuffer(fexfn_packed_args_libGL_glIsFramebuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsFramebuffer(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsImageHandleResidentARB {
  guest_layout<uint64_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsImageHandleResidentARB(fexfn_packed_args_libGL_glIsImageHandleResidentARB* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsImageHandleResidentARB(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsImageHandleResidentNV {
  guest_layout<uint64_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsImageHandleResidentNV(fexfn_packed_args_libGL_glIsImageHandleResidentNV* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsImageHandleResidentNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsList {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsList(fexfn_packed_args_libGL_glIsList* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsList(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsMemoryObjectEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsMemoryObjectEXT(fexfn_packed_args_libGL_glIsMemoryObjectEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsMemoryObjectEXT(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsNameAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsNameAMD(fexfn_packed_args_libGL_glIsNameAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsNameAMD(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsNamedBufferResidentNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsNamedBufferResidentNV(fexfn_packed_args_libGL_glIsNamedBufferResidentNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsNamedBufferResidentNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsNamedStringARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsNamedStringARB(fexfn_packed_args_libGL_glIsNamedStringARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsNamedStringARB(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsObjectBufferATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsObjectBufferATI(fexfn_packed_args_libGL_glIsObjectBufferATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsObjectBufferATI(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsOcclusionQueryNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsOcclusionQueryNV(fexfn_packed_args_libGL_glIsOcclusionQueryNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsOcclusionQueryNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsPathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsPathNV(fexfn_packed_args_libGL_glIsPathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsPathNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsPointInFillPathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsPointInFillPathNV(fexfn_packed_args_libGL_glIsPointInFillPathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsPointInFillPathNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsPointInStrokePathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsPointInStrokePathNV(fexfn_packed_args_libGL_glIsPointInStrokePathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsPointInStrokePathNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsProgramARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsProgramARB(fexfn_packed_args_libGL_glIsProgramARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsProgramARB(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsProgram {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsProgram(fexfn_packed_args_libGL_glIsProgram* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsProgram(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsProgramNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsProgramNV(fexfn_packed_args_libGL_glIsProgramNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsProgramNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsProgramPipeline {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsProgramPipeline(fexfn_packed_args_libGL_glIsProgramPipeline* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsProgramPipeline(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsQueryARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsQueryARB(fexfn_packed_args_libGL_glIsQueryARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsQueryARB(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsQuery {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsQuery(fexfn_packed_args_libGL_glIsQuery* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsQuery(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsRenderbufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsRenderbufferEXT(fexfn_packed_args_libGL_glIsRenderbufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsRenderbufferEXT(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsRenderbuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsRenderbuffer(fexfn_packed_args_libGL_glIsRenderbuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsRenderbuffer(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsSampler {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsSampler(fexfn_packed_args_libGL_glIsSampler* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsSampler(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsSemaphoreEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsSemaphoreEXT(fexfn_packed_args_libGL_glIsSemaphoreEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsSemaphoreEXT(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsShader {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsShader(fexfn_packed_args_libGL_glIsShader* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsShader(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsStateNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsStateNV(fexfn_packed_args_libGL_glIsStateNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsStateNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsSync {
  guest_layout<GLsync> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsSync(fexfn_packed_args_libGL_glIsSync* args) {
  host_layout<__GLsync *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsSync(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsTextureEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsTextureEXT(fexfn_packed_args_libGL_glIsTextureEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsTextureEXT(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsTexture {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsTexture(fexfn_packed_args_libGL_glIsTexture* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsTexture(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsTextureHandleResidentARB {
  guest_layout<uint64_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsTextureHandleResidentARB(fexfn_packed_args_libGL_glIsTextureHandleResidentARB* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsTextureHandleResidentARB(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsTextureHandleResidentNV {
  guest_layout<uint64_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsTextureHandleResidentNV(fexfn_packed_args_libGL_glIsTextureHandleResidentNV* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsTextureHandleResidentNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsTransformFeedback {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsTransformFeedback(fexfn_packed_args_libGL_glIsTransformFeedback* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsTransformFeedback(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsTransformFeedbackNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsTransformFeedbackNV(fexfn_packed_args_libGL_glIsTransformFeedbackNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsTransformFeedbackNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsVariantEnabledEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsVariantEnabledEXT(fexfn_packed_args_libGL_glIsVariantEnabledEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsVariantEnabledEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsVertexArrayAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsVertexArrayAPPLE(fexfn_packed_args_libGL_glIsVertexArrayAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsVertexArrayAPPLE(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsVertexArray {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsVertexArray(fexfn_packed_args_libGL_glIsVertexArray* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsVertexArray(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIsVertexAttribEnabledAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glIsVertexAttribEnabledAPPLE(fexfn_packed_args_libGL_glIsVertexAttribEnabledAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glIsVertexAttribEnabledAPPLE(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointAlongPathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat *> a_4;
  guest_layout<GLfloat *> a_5;
  guest_layout<GLfloat *> a_6;
  guest_layout<GLfloat *> a_7;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glPointAlongPathNV(fexfn_packed_args_libGL_glPointAlongPathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<float *> a_4 { args->a_4 };
  host_layout<float *> a_5 { args->a_5 };
  host_layout<float *> a_6 { args->a_6 };
  host_layout<float *> a_7 { args->a_7 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glPointAlongPathNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReleaseKeyedMutexWin32EXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glReleaseKeyedMutexWin32EXT(fexfn_packed_args_libGL_glReleaseKeyedMutexWin32EXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glReleaseKeyedMutexWin32EXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTestFenceAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glTestFenceAPPLE(fexfn_packed_args_libGL_glTestFenceAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glTestFenceAPPLE(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTestFenceNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glTestFenceNV(fexfn_packed_args_libGL_glTestFenceNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glTestFenceNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTestObjectAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glTestObjectAPPLE(fexfn_packed_args_libGL_glTestObjectAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glTestObjectAPPLE(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUnmapBufferARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glUnmapBufferARB(fexfn_packed_args_libGL_glUnmapBufferARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glUnmapBufferARB(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUnmapBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glUnmapBuffer(fexfn_packed_args_libGL_glUnmapBuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glUnmapBuffer(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUnmapNamedBufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glUnmapNamedBufferEXT(fexfn_packed_args_libGL_glUnmapNamedBufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glUnmapNamedBufferEXT(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUnmapNamedBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glUnmapNamedBuffer(fexfn_packed_args_libGL_glUnmapNamedBuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glUnmapNamedBuffer(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAUIsSurfaceNV {
  guest_layout<int64_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glVDPAUIsSurfaceNV(fexfn_packed_args_libGL_glVDPAUIsSurfaceNV* args) {
  host_layout<GLvdpauSurfaceNV> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glVDPAUIsSurfaceNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCheckFramebufferStatusEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCheckFramebufferStatusEXT(fexfn_packed_args_libGL_glCheckFramebufferStatusEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glCheckFramebufferStatusEXT(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCheckFramebufferStatus {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCheckFramebufferStatus(fexfn_packed_args_libGL_glCheckFramebufferStatus* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glCheckFramebufferStatus(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCheckNamedFramebufferStatusEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCheckNamedFramebufferStatusEXT(fexfn_packed_args_libGL_glCheckNamedFramebufferStatusEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glCheckNamedFramebufferStatusEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCheckNamedFramebufferStatus {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCheckNamedFramebufferStatus(fexfn_packed_args_libGL_glCheckNamedFramebufferStatus* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glCheckNamedFramebufferStatus(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClientWaitSync {
  guest_layout<GLsync> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glClientWaitSync(fexfn_packed_args_libGL_glClientWaitSync* args) {
  host_layout<__GLsync *> a_0 { args->a_0 };
  host_layout<GLbitfield> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glClientWaitSync(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetError {
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetError(fexfn_packed_args_libGL_glGetError* args) {
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glGetError()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetGraphicsResetStatus {
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetGraphicsResetStatus(fexfn_packed_args_libGL_glGetGraphicsResetStatus* args) {
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glGetGraphicsResetStatus()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetGraphicsResetStatusARB {
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetGraphicsResetStatusARB(fexfn_packed_args_libGL_glGetGraphicsResetStatusARB* args) {
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glGetGraphicsResetStatusARB()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glObjectPurgeableAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glObjectPurgeableAPPLE(fexfn_packed_args_libGL_glObjectPurgeableAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glObjectPurgeableAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glObjectUnpurgeableAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glObjectUnpurgeableAPPLE(fexfn_packed_args_libGL_glObjectUnpurgeableAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glObjectUnpurgeableAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathGlyphIndexArrayNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glPathGlyphIndexArrayNV(fexfn_packed_args_libGL_glPathGlyphIndexArrayNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLbitfield> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glPathGlyphIndexArrayNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathGlyphIndexRangeNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glPathGlyphIndexRangeNV(fexfn_packed_args_libGL_glPathGlyphIndexRangeNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
  host_layout<GLbitfield> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glPathGlyphIndexRangeNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathMemoryGlyphIndexArrayNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<GLfloat> a_8;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glPathMemoryGlyphIndexArrayNV(fexfn_packed_args_libGL_glPathMemoryGlyphIndexArrayNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLuint> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glPathMemoryGlyphIndexArrayNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVideoCaptureNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t*> a_1;
  guest_layout<uint64_t*> a_2;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glVideoCaptureNV(fexfn_packed_args_libGL_glVideoCaptureNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLenum>(fexldr_ptr_libGL_glVideoCaptureNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathLengthNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLfloat> rv;
};
static void fexfn_unpack_libGL_glGetPathLengthNV(fexfn_packed_args_libGL_glGetPathLengthNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLfloat>(fexldr_ptr_libGL_glGetPathLengthNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateProgramObjectARB {
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCreateProgramObjectARB(fexfn_packed_args_libGL_glCreateProgramObjectARB* args) {
  args->rv = to_guest(to_host_layout<GLhandleARB>(fexldr_ptr_libGL_glCreateProgramObjectARB()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateShaderObjectARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCreateShaderObjectARB(fexfn_packed_args_libGL_glCreateShaderObjectARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLhandleARB>(fexldr_ptr_libGL_glCreateShaderObjectARB(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetHandleARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetHandleARB(fexfn_packed_args_libGL_glGetHandleARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLhandleARB>(fexldr_ptr_libGL_glGetHandleARB(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFinishAsyncSGIX {
  guest_layout<uint32_t*> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glFinishAsyncSGIX(fexfn_packed_args_libGL_glFinishAsyncSGIX* args) {
  host_layout<unsigned int *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glFinishAsyncSGIX(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetAttribLocationARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetAttribLocationARB(fexfn_packed_args_libGL_glGetAttribLocationARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetAttribLocationARB(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetAttribLocation {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetAttribLocation(fexfn_packed_args_libGL_glGetAttribLocation* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetAttribLocation(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFragDataIndex {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetFragDataIndex(fexfn_packed_args_libGL_glGetFragDataIndex* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetFragDataIndex(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFragDataLocationEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetFragDataLocationEXT(fexfn_packed_args_libGL_glGetFragDataLocationEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetFragDataLocationEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFragDataLocation {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetFragDataLocation(fexfn_packed_args_libGL_glGetFragDataLocation* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetFragDataLocation(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetInstrumentsSGIX {
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetInstrumentsSGIX(fexfn_packed_args_libGL_glGetInstrumentsSGIX* args) {
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetInstrumentsSGIX()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramResourceLocation {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetProgramResourceLocation(fexfn_packed_args_libGL_glGetProgramResourceLocation* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetProgramResourceLocation(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramResourceLocationIndex {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetProgramResourceLocationIndex(fexfn_packed_args_libGL_glGetProgramResourceLocationIndex* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetProgramResourceLocationIndex(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSubroutineUniformLocation {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetSubroutineUniformLocation(fexfn_packed_args_libGL_glGetSubroutineUniformLocation* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetSubroutineUniformLocation(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformBufferSizeEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetUniformBufferSizeEXT(fexfn_packed_args_libGL_glGetUniformBufferSizeEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetUniformBufferSizeEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformLocationARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetUniformLocationARB(fexfn_packed_args_libGL_glGetUniformLocationARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetUniformLocationARB(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformLocation {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetUniformLocation(fexfn_packed_args_libGL_glGetUniformLocation* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetUniformLocation(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVaryingLocationNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glGetVaryingLocationNV(fexfn_packed_args_libGL_glGetVaryingLocationNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glGetVaryingLocationNV(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPollAsyncSGIX {
  guest_layout<uint32_t*> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glPollAsyncSGIX(fexfn_packed_args_libGL_glPollAsyncSGIX* args) {
  host_layout<unsigned int *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glPollAsyncSGIX(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPollInstrumentsSGIX {
  guest_layout<int32_t*> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glPollInstrumentsSGIX(fexfn_packed_args_libGL_glPollInstrumentsSGIX* args) {
  host_layout<int *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glPollInstrumentsSGIX(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glQueryResourceNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glQueryResourceNV(fexfn_packed_args_libGL_glQueryResourceNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glQueryResourceNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRenderMode {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glRenderMode(fexfn_packed_args_libGL_glRenderMode* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLint>(fexldr_ptr_libGL_glRenderMode(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t> rv;
};
static void fexfn_unpack_libGL_glGetUniformOffsetEXT(fexfn_packed_args_libGL_glGetUniformOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLintptr>(fexldr_ptr_libGL_glGetUniformOffsetEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateSyncFromCLeventARB {
  guest_layout<struct _cl_context *> a_0;
  guest_layout<struct _cl_event *> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLsync> rv;
};
static void fexfn_unpack_libGL_glCreateSyncFromCLeventARB(fexfn_packed_args_libGL_glCreateSyncFromCLeventARB* args) {
  host_layout<_cl_context *> a_0 { args->a_0 };
  host_layout<_cl_event *> a_1 { args->a_1 };
  host_layout<GLbitfield> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLsync>(fexldr_ptr_libGL_glCreateSyncFromCLeventARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFenceSync {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLsync> rv;
};
static void fexfn_unpack_libGL_glFenceSync(fexfn_packed_args_libGL_glFenceSync* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLbitfield> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLsync>(fexldr_ptr_libGL_glFenceSync(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImportSyncEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLsync> rv;
};
static void fexfn_unpack_libGL_glImportSyncEXT(fexfn_packed_args_libGL_glImportSyncEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLbitfield> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLsync>(fexldr_ptr_libGL_glImportSyncEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetImageHandleARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glGetImageHandleARB(fexfn_packed_args_libGL_glGetImageHandleARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<GLuint64>(fexldr_ptr_libGL_glGetImageHandleARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetImageHandleNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glGetImageHandleNV(fexfn_packed_args_libGL_glGetImageHandleNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<GLuint64>(fexldr_ptr_libGL_glGetImageHandleNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureHandleARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glGetTextureHandleARB(fexfn_packed_args_libGL_glGetTextureHandleARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLuint64>(fexldr_ptr_libGL_glGetTextureHandleARB(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureHandleNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glGetTextureHandleNV(fexfn_packed_args_libGL_glGetTextureHandleNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLuint64>(fexldr_ptr_libGL_glGetTextureHandleNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureSamplerHandleARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glGetTextureSamplerHandleARB(fexfn_packed_args_libGL_glGetTextureSamplerHandleARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLuint64>(fexldr_ptr_libGL_glGetTextureSamplerHandleARB(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureSamplerHandleNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glGetTextureSamplerHandleNV(fexfn_packed_args_libGL_glGetTextureSamplerHandleNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLuint64>(fexldr_ptr_libGL_glGetTextureSamplerHandleNV(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAsyncCopyBufferSubDataNVX {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
  guest_layout<const uint64_t*> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<int64_t> a_7;
  guest_layout<int64_t> a_8;
  guest_layout<int64_t> a_9;
  guest_layout<int32_t> a_10;
  guest_layout<const uint32_t*> a_11;
  guest_layout<const uint64_t*> a_12;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glAsyncCopyBufferSubDataNVX(fexfn_packed_args_libGL_glAsyncCopyBufferSubDataNVX* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLbitfield> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLintptr> a_7 { args->a_7 };
  host_layout<GLintptr> a_8 { args->a_8 };
  host_layout<GLsizeiptr> a_9 { args->a_9 };
  host_layout<GLsizei> a_10 { args->a_10 };
  host_layout<const unsigned int *> a_11 { args->a_11 };
  host_layout<const unsigned long *> a_12 { args->a_12 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glAsyncCopyBufferSubDataNVX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAsyncCopyImageSubDataNVX {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
  guest_layout<const uint64_t*> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<int32_t> a_10;
  guest_layout<uint32_t> a_11;
  guest_layout<uint32_t> a_12;
  guest_layout<int32_t> a_13;
  guest_layout<int32_t> a_14;
  guest_layout<int32_t> a_15;
  guest_layout<int32_t> a_16;
  guest_layout<int32_t> a_17;
  guest_layout<int32_t> a_18;
  guest_layout<int32_t> a_19;
  guest_layout<int32_t> a_20;
  guest_layout<const uint32_t*> a_21;
  guest_layout<const uint64_t*> a_22;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glAsyncCopyImageSubDataNVX(fexfn_packed_args_libGL_glAsyncCopyImageSubDataNVX* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLbitfield> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLint> a_9 { args->a_9 };
  host_layout<GLint> a_10 { args->a_10 };
  host_layout<GLuint> a_11 { args->a_11 };
  host_layout<GLenum> a_12 { args->a_12 };
  host_layout<GLint> a_13 { args->a_13 };
  host_layout<GLint> a_14 { args->a_14 };
  host_layout<GLint> a_15 { args->a_15 };
  host_layout<GLint> a_16 { args->a_16 };
  host_layout<GLsizei> a_17 { args->a_17 };
  host_layout<GLsizei> a_18 { args->a_18 };
  host_layout<GLsizei> a_19 { args->a_19 };
  host_layout<GLsizei> a_20 { args->a_20 };
  host_layout<const unsigned int *> a_21 { args->a_21 };
  host_layout<const unsigned long *> a_22 { args->a_22 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glAsyncCopyImageSubDataNVX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12), unwrap_host(a_13), unwrap_host(a_14), unwrap_host(a_15), unwrap_host(a_16), unwrap_host(a_17), unwrap_host(a_18), unwrap_host(a_19), unwrap_host(a_20), unwrap_host(a_21), unwrap_host(a_22))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindLightParameterEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glBindLightParameterEXT(fexfn_packed_args_libGL_glBindLightParameterEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glBindLightParameterEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindMaterialParameterEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glBindMaterialParameterEXT(fexfn_packed_args_libGL_glBindMaterialParameterEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glBindMaterialParameterEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindParameterEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glBindParameterEXT(fexfn_packed_args_libGL_glBindParameterEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glBindParameterEXT(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindTexGenParameterEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glBindTexGenParameterEXT(fexfn_packed_args_libGL_glBindTexGenParameterEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glBindTexGenParameterEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindTextureUnitParameterEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glBindTextureUnitParameterEXT(fexfn_packed_args_libGL_glBindTextureUnitParameterEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glBindTextureUnitParameterEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateProgram {
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCreateProgram(fexfn_packed_args_libGL_glCreateProgram* args) {
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glCreateProgram()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateProgressFenceNVX {
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCreateProgressFenceNVX(fexfn_packed_args_libGL_glCreateProgressFenceNVX* args) {
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glCreateProgressFenceNVX()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateShader {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCreateShader(fexfn_packed_args_libGL_glCreateShader* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glCreateShader(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateShaderProgramEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCreateShaderProgramEXT(fexfn_packed_args_libGL_glCreateShaderProgramEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glCreateShaderProgramEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
static auto fexfn_impl_libGL_glCreateShaderProgramv(GLenum a_0, GLsizei a_1, guest_layout<const GLchar *const *> a_2) -> GLuint;
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateShaderProgramv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLchar *const *> a_2;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glCreateShaderProgramv(fexfn_packed_args_libGL_glCreateShaderProgramv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLuint>(fexfn_impl_libGL_glCreateShaderProgramv(unwrap_host(a_0), unwrap_host(a_1), args->a_2)));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenAsyncMarkersSGIX {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGenAsyncMarkersSGIX(fexfn_packed_args_libGL_glGenAsyncMarkersSGIX* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGenAsyncMarkersSGIX(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenFragmentShadersATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGenFragmentShadersATI(fexfn_packed_args_libGL_glGenFragmentShadersATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGenFragmentShadersATI(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenLists {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGenLists(fexfn_packed_args_libGL_glGenLists* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGenLists(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenPathsNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGenPathsNV(fexfn_packed_args_libGL_glGenPathsNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGenPathsNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenSymbolsEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGenSymbolsEXT(fexfn_packed_args_libGL_glGenSymbolsEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGenSymbolsEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenVertexShadersEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGenVertexShadersEXT(fexfn_packed_args_libGL_glGenVertexShadersEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGenVertexShadersEXT(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCommandHeaderNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetCommandHeaderNV(fexfn_packed_args_libGL_glGetCommandHeaderNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGetCommandHeaderNV(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetDebugMessageLogAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
  guest_layout<uint32_t*> a_3;
  guest_layout<uint32_t*> a_4;
  guest_layout<int32_t*> a_5;
  guest_layout<uint8_t*> a_6;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetDebugMessageLogAMD(fexfn_packed_args_libGL_glGetDebugMessageLogAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
  host_layout<unsigned int *> a_4 { args->a_4 };
  host_layout<int *> a_5 { args->a_5 };
  host_layout<char *> a_6 { args->a_6 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGetDebugMessageLogAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetDebugMessageLogARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
  guest_layout<uint32_t*> a_3;
  guest_layout<uint32_t*> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<int32_t*> a_6;
  guest_layout<uint8_t*> a_7;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetDebugMessageLogARB(fexfn_packed_args_libGL_glGetDebugMessageLogARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
  host_layout<unsigned int *> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  host_layout<int *> a_6 { args->a_6 };
  host_layout<char *> a_7 { args->a_7 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGetDebugMessageLogARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetDebugMessageLog {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
  guest_layout<uint32_t*> a_3;
  guest_layout<uint32_t*> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<int32_t*> a_6;
  guest_layout<uint8_t*> a_7;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetDebugMessageLog(fexfn_packed_args_libGL_glGetDebugMessageLog* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
  host_layout<unsigned int *> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  host_layout<int *> a_6 { args->a_6 };
  host_layout<char *> a_7 { args->a_7 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGetDebugMessageLog(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramResourceIndex {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetProgramResourceIndex(fexfn_packed_args_libGL_glGetProgramResourceIndex* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGetProgramResourceIndex(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSubroutineIndex {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetSubroutineIndex(fexfn_packed_args_libGL_glGetSubroutineIndex* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGetSubroutineIndex(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformBlockIndex {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glGetUniformBlockIndex(fexfn_packed_args_libGL_glGetUniformBlockIndex* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glGetUniformBlockIndex(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNewObjectBufferATI {
  guest_layout<int32_t> a_0;
  guest_layout<const void *> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glNewObjectBufferATI(fexfn_packed_args_libGL_glNewObjectBufferATI* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLuint>(fexldr_ptr_libGL_glNewObjectBufferATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetStageIndexNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint16_t> rv;
};
static void fexfn_unpack_libGL_glGetStageIndexNV(fexfn_packed_args_libGL_glGetStageIndexNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLushort>(fexldr_ptr_libGL_glGetStageIndexNV(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAURegisterOutputSurfaceNV {
  guest_layout<const void *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
  guest_layout<int64_t> rv;
};
static void fexfn_unpack_libGL_glVDPAURegisterOutputSurfaceNV(fexfn_packed_args_libGL_glVDPAURegisterOutputSurfaceNV* args) {
  host_layout<const void *> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<GLvdpauSurfaceNV>(fexldr_ptr_libGL_glVDPAURegisterOutputSurfaceNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAURegisterVideoSurfaceNV {
  guest_layout<const void *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
  guest_layout<int64_t> rv;
};
static void fexfn_unpack_libGL_glVDPAURegisterVideoSurfaceNV(fexfn_packed_args_libGL_glVDPAURegisterVideoSurfaceNV* args) {
  host_layout<const void *> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<GLvdpauSurfaceNV>(fexldr_ptr_libGL_glVDPAURegisterVideoSurfaceNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAURegisterVideoSurfaceWithPictureStructureNV {
  guest_layout<const void *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
  guest_layout<uint8_t> a_4;
  guest_layout<int64_t> rv;
};
static void fexfn_unpack_libGL_glVDPAURegisterVideoSurfaceWithPictureStructureNV(fexfn_packed_args_libGL_glVDPAURegisterVideoSurfaceWithPictureStructureNV* args) {
  host_layout<const void *> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
  host_layout<GLboolean> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<GLvdpauSurfaceNV>(fexldr_ptr_libGL_glVDPAURegisterVideoSurfaceWithPictureStructureNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAccum {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glAccum(fexfn_packed_args_libGL_glAccum* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glAccum(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAccumxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glAccumxOES(fexfn_packed_args_libGL_glAccumxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glAccumxOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glActiveProgramEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glActiveProgramEXT(fexfn_packed_args_libGL_glActiveProgramEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glActiveProgramEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glActiveShaderProgram {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glActiveShaderProgram(fexfn_packed_args_libGL_glActiveShaderProgram* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glActiveShaderProgram(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glActiveStencilFaceEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glActiveStencilFaceEXT(fexfn_packed_args_libGL_glActiveStencilFaceEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glActiveStencilFaceEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glActiveTextureARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glActiveTextureARB(fexfn_packed_args_libGL_glActiveTextureARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glActiveTextureARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glActiveTexture {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glActiveTexture(fexfn_packed_args_libGL_glActiveTexture* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glActiveTexture(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glActiveVaryingNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glActiveVaryingNV(fexfn_packed_args_libGL_glActiveVaryingNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glActiveVaryingNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAlphaFragmentOp1ATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glAlphaFragmentOp1ATI(fexfn_packed_args_libGL_glAlphaFragmentOp1ATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glAlphaFragmentOp1ATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAlphaFragmentOp2ATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
};
static void fexfn_unpack_libGL_glAlphaFragmentOp2ATI(fexfn_packed_args_libGL_glAlphaFragmentOp2ATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLuint> a_7 { args->a_7 };
  host_layout<GLuint> a_8 { args->a_8 };
fexldr_ptr_libGL_glAlphaFragmentOp2ATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAlphaFragmentOp3ATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<uint32_t> a_10;
  guest_layout<uint32_t> a_11;
};
static void fexfn_unpack_libGL_glAlphaFragmentOp3ATI(fexfn_packed_args_libGL_glAlphaFragmentOp3ATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLuint> a_7 { args->a_7 };
  host_layout<GLuint> a_8 { args->a_8 };
  host_layout<GLuint> a_9 { args->a_9 };
  host_layout<GLuint> a_10 { args->a_10 };
  host_layout<GLuint> a_11 { args->a_11 };
fexldr_ptr_libGL_glAlphaFragmentOp3ATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAlphaFunc {
  guest_layout<uint32_t> a_0;
  guest_layout<GLclampf> a_1;
};
static void fexfn_unpack_libGL_glAlphaFunc(fexfn_packed_args_libGL_glAlphaFunc* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLclampf> a_1 { args->a_1 };
fexldr_ptr_libGL_glAlphaFunc(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAlphaFuncxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glAlphaFuncxOES(fexfn_packed_args_libGL_glAlphaFuncxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glAlphaFuncxOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAlphaToCoverageDitherControlNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glAlphaToCoverageDitherControlNV(fexfn_packed_args_libGL_glAlphaToCoverageDitherControlNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glAlphaToCoverageDitherControlNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glApplyFramebufferAttachmentCMAAINTEL {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glApplyFramebufferAttachmentCMAAINTEL(fexfn_packed_args_libGL_glApplyFramebufferAttachmentCMAAINTEL* args) {
fexldr_ptr_libGL_glApplyFramebufferAttachmentCMAAINTEL();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glApplyTextureEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glApplyTextureEXT(fexfn_packed_args_libGL_glApplyTextureEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glApplyTextureEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glArrayElementEXT {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glArrayElementEXT(fexfn_packed_args_libGL_glArrayElementEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glArrayElementEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glArrayElement {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glArrayElement(fexfn_packed_args_libGL_glArrayElement* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glArrayElement(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glArrayObjectATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glArrayObjectATI(fexfn_packed_args_libGL_glArrayObjectATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glArrayObjectATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAsyncMarkerSGIX {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glAsyncMarkerSGIX(fexfn_packed_args_libGL_glAsyncMarkerSGIX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glAsyncMarkerSGIX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAttachObjectARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glAttachObjectARB(fexfn_packed_args_libGL_glAttachObjectARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLhandleARB> a_1 { args->a_1 };
fexldr_ptr_libGL_glAttachObjectARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glAttachShader {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glAttachShader(fexfn_packed_args_libGL_glAttachShader* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glAttachShader(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginConditionalRender {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBeginConditionalRender(fexfn_packed_args_libGL_glBeginConditionalRender* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glBeginConditionalRender(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginConditionalRenderNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBeginConditionalRenderNV(fexfn_packed_args_libGL_glBeginConditionalRenderNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glBeginConditionalRenderNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginConditionalRenderNVX {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBeginConditionalRenderNVX(fexfn_packed_args_libGL_glBeginConditionalRenderNVX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBeginConditionalRenderNVX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginFragmentShaderATI {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glBeginFragmentShaderATI(fexfn_packed_args_libGL_glBeginFragmentShaderATI* args) {
fexldr_ptr_libGL_glBeginFragmentShaderATI();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBegin {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBegin(fexfn_packed_args_libGL_glBegin* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glBegin(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginOcclusionQueryNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBeginOcclusionQueryNV(fexfn_packed_args_libGL_glBeginOcclusionQueryNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBeginOcclusionQueryNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginPerfMonitorAMD {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBeginPerfMonitorAMD(fexfn_packed_args_libGL_glBeginPerfMonitorAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBeginPerfMonitorAMD(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginPerfQueryINTEL {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBeginPerfQueryINTEL(fexfn_packed_args_libGL_glBeginPerfQueryINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBeginPerfQueryINTEL(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginQueryARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBeginQueryARB(fexfn_packed_args_libGL_glBeginQueryARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBeginQueryARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginQuery {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBeginQuery(fexfn_packed_args_libGL_glBeginQuery* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBeginQuery(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginQueryIndexed {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBeginQueryIndexed(fexfn_packed_args_libGL_glBeginQueryIndexed* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glBeginQueryIndexed(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginTransformFeedbackEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBeginTransformFeedbackEXT(fexfn_packed_args_libGL_glBeginTransformFeedbackEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glBeginTransformFeedbackEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginTransformFeedback {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBeginTransformFeedback(fexfn_packed_args_libGL_glBeginTransformFeedback* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glBeginTransformFeedback(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginTransformFeedbackNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBeginTransformFeedbackNV(fexfn_packed_args_libGL_glBeginTransformFeedbackNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glBeginTransformFeedbackNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginVertexShaderEXT {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glBeginVertexShaderEXT(fexfn_packed_args_libGL_glBeginVertexShaderEXT* args) {
fexldr_ptr_libGL_glBeginVertexShaderEXT();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBeginVideoCaptureNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBeginVideoCaptureNV(fexfn_packed_args_libGL_glBeginVideoCaptureNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBeginVideoCaptureNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindAttribLocationARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glBindAttribLocationARB(fexfn_packed_args_libGL_glBindAttribLocationARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindAttribLocationARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindAttribLocation {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glBindAttribLocation(fexfn_packed_args_libGL_glBindAttribLocation* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindAttribLocation(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBufferARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindBufferARB(fexfn_packed_args_libGL_glBindBufferARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindBufferARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBufferBaseEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBindBufferBaseEXT(fexfn_packed_args_libGL_glBindBufferBaseEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindBufferBaseEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBufferBase {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBindBufferBase(fexfn_packed_args_libGL_glBindBufferBase* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindBufferBase(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBufferBaseNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBindBufferBaseNV(fexfn_packed_args_libGL_glBindBufferBaseNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindBufferBaseNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindBuffer(fexfn_packed_args_libGL_glBindBuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindBuffer(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBufferOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glBindBufferOffsetEXT(fexfn_packed_args_libGL_glBindBufferOffsetEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
fexldr_ptr_libGL_glBindBufferOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBufferOffsetNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glBindBufferOffsetNV(fexfn_packed_args_libGL_glBindBufferOffsetNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
fexldr_ptr_libGL_glBindBufferOffsetNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBufferRangeEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glBindBufferRangeEXT(fexfn_packed_args_libGL_glBindBufferRangeEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizeiptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glBindBufferRangeEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBufferRange {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glBindBufferRange(fexfn_packed_args_libGL_glBindBufferRange* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizeiptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glBindBufferRange(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBufferRangeNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glBindBufferRangeNV(fexfn_packed_args_libGL_glBindBufferRangeNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizeiptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glBindBufferRangeNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBuffersBase {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glBindBuffersBase(fexfn_packed_args_libGL_glBindBuffersBase* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glBindBuffersBase(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindBuffersRange {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
  guest_layout<const int64_t*> a_4;
  guest_layout<const int64_t*> a_5;
};
static void fexfn_unpack_libGL_glBindBuffersRange(fexfn_packed_args_libGL_glBindBuffersRange* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
  host_layout<const long *> a_4 { args->a_4 };
  host_layout<const long *> a_5 { args->a_5 };
fexldr_ptr_libGL_glBindBuffersRange(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindFragDataLocationEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glBindFragDataLocationEXT(fexfn_packed_args_libGL_glBindFragDataLocationEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindFragDataLocationEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindFragDataLocation {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glBindFragDataLocation(fexfn_packed_args_libGL_glBindFragDataLocation* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindFragDataLocation(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindFragDataLocationIndexed {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glBindFragDataLocationIndexed(fexfn_packed_args_libGL_glBindFragDataLocationIndexed* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glBindFragDataLocationIndexed(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindFragmentShaderATI {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBindFragmentShaderATI(fexfn_packed_args_libGL_glBindFragmentShaderATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBindFragmentShaderATI(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindFramebufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindFramebufferEXT(fexfn_packed_args_libGL_glBindFramebufferEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindFramebufferEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindFramebuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindFramebuffer(fexfn_packed_args_libGL_glBindFramebuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindFramebuffer(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindImageTextureEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glBindImageTextureEXT(fexfn_packed_args_libGL_glBindImageTextureEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
fexldr_ptr_libGL_glBindImageTextureEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindImageTexture {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
};
static void fexfn_unpack_libGL_glBindImageTexture(fexfn_packed_args_libGL_glBindImageTexture* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
fexldr_ptr_libGL_glBindImageTexture(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindImageTextures {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glBindImageTextures(fexfn_packed_args_libGL_glBindImageTextures* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindImageTextures(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindMultiTextureEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBindMultiTextureEXT(fexfn_packed_args_libGL_glBindMultiTextureEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindMultiTextureEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindProgramARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindProgramARB(fexfn_packed_args_libGL_glBindProgramARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindProgramARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindProgramNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindProgramNV(fexfn_packed_args_libGL_glBindProgramNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindProgramNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindProgramPipeline {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBindProgramPipeline(fexfn_packed_args_libGL_glBindProgramPipeline* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBindProgramPipeline(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindRenderbufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindRenderbufferEXT(fexfn_packed_args_libGL_glBindRenderbufferEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindRenderbufferEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindRenderbuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindRenderbuffer(fexfn_packed_args_libGL_glBindRenderbuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindRenderbuffer(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindSampler {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindSampler(fexfn_packed_args_libGL_glBindSampler* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindSampler(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindSamplers {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glBindSamplers(fexfn_packed_args_libGL_glBindSamplers* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindSamplers(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindShadingRateImageNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBindShadingRateImageNV(fexfn_packed_args_libGL_glBindShadingRateImageNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBindShadingRateImageNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindTextureEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindTextureEXT(fexfn_packed_args_libGL_glBindTextureEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindTextureEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindTexture {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindTexture(fexfn_packed_args_libGL_glBindTexture* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindTexture(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindTextures {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glBindTextures(fexfn_packed_args_libGL_glBindTextures* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glBindTextures(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindTextureUnit {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindTextureUnit(fexfn_packed_args_libGL_glBindTextureUnit* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindTextureUnit(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindTransformFeedback {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindTransformFeedback(fexfn_packed_args_libGL_glBindTransformFeedback* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindTransformFeedback(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindTransformFeedbackNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBindTransformFeedbackNV(fexfn_packed_args_libGL_glBindTransformFeedbackNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBindTransformFeedbackNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindVertexArrayAPPLE {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBindVertexArrayAPPLE(fexfn_packed_args_libGL_glBindVertexArrayAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBindVertexArrayAPPLE(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindVertexArray {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBindVertexArray(fexfn_packed_args_libGL_glBindVertexArray* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBindVertexArray(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindVertexBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glBindVertexBuffer(fexfn_packed_args_libGL_glBindVertexBuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLintptr> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glBindVertexBuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindVertexBuffers {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
  guest_layout<const int64_t*> a_3;
  guest_layout<const int32_t*> a_4;
};
static void fexfn_unpack_libGL_glBindVertexBuffers(fexfn_packed_args_libGL_glBindVertexBuffers* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
  host_layout<const long *> a_3 { args->a_3 };
  host_layout<const int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glBindVertexBuffers(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindVertexShaderEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBindVertexShaderEXT(fexfn_packed_args_libGL_glBindVertexShaderEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glBindVertexShaderEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindVideoCaptureStreamBufferNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glBindVideoCaptureStreamBufferNV(fexfn_packed_args_libGL_glBindVideoCaptureStreamBufferNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLintptrARB> a_3 { args->a_3 };
fexldr_ptr_libGL_glBindVideoCaptureStreamBufferNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBindVideoCaptureStreamTextureNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glBindVideoCaptureStreamTextureNV(fexfn_packed_args_libGL_glBindVideoCaptureStreamTextureNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glBindVideoCaptureStreamTextureNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormal3bEXT {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
};
static void fexfn_unpack_libGL_glBinormal3bEXT(fexfn_packed_args_libGL_glBinormal3bEXT* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glBinormal3bEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormal3bvEXT {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glBinormal3bvEXT(fexfn_packed_args_libGL_glBinormal3bvEXT* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glBinormal3bvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormal3dEXT {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glBinormal3dEXT(fexfn_packed_args_libGL_glBinormal3dEXT* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glBinormal3dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormal3dvEXT {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glBinormal3dvEXT(fexfn_packed_args_libGL_glBinormal3dvEXT* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glBinormal3dvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormal3fEXT {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glBinormal3fEXT(fexfn_packed_args_libGL_glBinormal3fEXT* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glBinormal3fEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormal3fvEXT {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glBinormal3fvEXT(fexfn_packed_args_libGL_glBinormal3fvEXT* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glBinormal3fvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormal3iEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glBinormal3iEXT(fexfn_packed_args_libGL_glBinormal3iEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glBinormal3iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormal3ivEXT {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glBinormal3ivEXT(fexfn_packed_args_libGL_glBinormal3ivEXT* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glBinormal3ivEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormal3sEXT {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glBinormal3sEXT(fexfn_packed_args_libGL_glBinormal3sEXT* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glBinormal3sEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormal3svEXT {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glBinormal3svEXT(fexfn_packed_args_libGL_glBinormal3svEXT* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glBinormal3svEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBinormalPointerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const void *> a_2;
};
static void fexfn_unpack_libGL_glBinormalPointerEXT(fexfn_packed_args_libGL_glBinormalPointerEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glBinormalPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBitmap {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<const uint8_t*> a_6;
};
static void fexfn_unpack_libGL_glBitmap(fexfn_packed_args_libGL_glBitmap* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<const unsigned char *> a_6 { args->a_6 };
fexldr_ptr_libGL_glBitmap(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBitmapxOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<const uint8_t*> a_6;
};
static void fexfn_unpack_libGL_glBitmapxOES(fexfn_packed_args_libGL_glBitmapxOES* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
  host_layout<GLfixed> a_4 { args->a_4 };
  host_layout<GLfixed> a_5 { args->a_5 };
  host_layout<const unsigned char *> a_6 { args->a_6 };
fexldr_ptr_libGL_glBitmapxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendBarrierKHR {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glBlendBarrierKHR(fexfn_packed_args_libGL_glBlendBarrierKHR* args) {
fexldr_ptr_libGL_glBlendBarrierKHR();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendBarrierNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glBlendBarrierNV(fexfn_packed_args_libGL_glBlendBarrierNV* args) {
fexldr_ptr_libGL_glBlendBarrierNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendColorEXT {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glBlendColorEXT(fexfn_packed_args_libGL_glBlendColorEXT* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glBlendColorEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendColor {
  guest_layout<GLclampf> a_0;
  guest_layout<GLclampf> a_1;
  guest_layout<GLclampf> a_2;
  guest_layout<GLclampf> a_3;
};
static void fexfn_unpack_libGL_glBlendColor(fexfn_packed_args_libGL_glBlendColor* args) {
  host_layout<GLclampf> a_0 { args->a_0 };
  host_layout<GLclampf> a_1 { args->a_1 };
  host_layout<GLclampf> a_2 { args->a_2 };
  host_layout<GLclampf> a_3 { args->a_3 };
fexldr_ptr_libGL_glBlendColor(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendColorxOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glBlendColorxOES(fexfn_packed_args_libGL_glBlendColorxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
fexldr_ptr_libGL_glBlendColorxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquationEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBlendEquationEXT(fexfn_packed_args_libGL_glBlendEquationEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glBlendEquationEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquation {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glBlendEquation(fexfn_packed_args_libGL_glBlendEquation* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glBlendEquation(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquationiARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBlendEquationiARB(fexfn_packed_args_libGL_glBlendEquationiARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glBlendEquationiARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquationi {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBlendEquationi(fexfn_packed_args_libGL_glBlendEquationi* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glBlendEquationi(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquationIndexedAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBlendEquationIndexedAMD(fexfn_packed_args_libGL_glBlendEquationIndexedAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glBlendEquationIndexedAMD(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquationSeparateEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBlendEquationSeparateEXT(fexfn_packed_args_libGL_glBlendEquationSeparateEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glBlendEquationSeparateEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquationSeparate {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBlendEquationSeparate(fexfn_packed_args_libGL_glBlendEquationSeparate* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glBlendEquationSeparate(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquationSeparateiARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBlendEquationSeparateiARB(fexfn_packed_args_libGL_glBlendEquationSeparateiARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexldr_ptr_libGL_glBlendEquationSeparateiARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquationSeparatei {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBlendEquationSeparatei(fexfn_packed_args_libGL_glBlendEquationSeparatei* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexldr_ptr_libGL_glBlendEquationSeparatei(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquationSeparateIndexedAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBlendEquationSeparateIndexedAMD(fexfn_packed_args_libGL_glBlendEquationSeparateIndexedAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexldr_ptr_libGL_glBlendEquationSeparateIndexedAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendFunc {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBlendFunc(fexfn_packed_args_libGL_glBlendFunc* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glBlendFunc(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendFunciARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBlendFunciARB(fexfn_packed_args_libGL_glBlendFunciARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexldr_ptr_libGL_glBlendFunciARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendFunci {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBlendFunci(fexfn_packed_args_libGL_glBlendFunci* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexldr_ptr_libGL_glBlendFunci(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendFuncIndexedAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glBlendFuncIndexedAMD(fexfn_packed_args_libGL_glBlendFuncIndexedAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexldr_ptr_libGL_glBlendFuncIndexedAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendFuncSeparateEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glBlendFuncSeparateEXT(fexfn_packed_args_libGL_glBlendFuncSeparateEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glBlendFuncSeparateEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendFuncSeparate {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glBlendFuncSeparate(fexfn_packed_args_libGL_glBlendFuncSeparate* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glBlendFuncSeparate(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendFuncSeparateiARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glBlendFuncSeparateiARB(fexfn_packed_args_libGL_glBlendFuncSeparateiARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
fexldr_ptr_libGL_glBlendFuncSeparateiARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendFuncSeparatei {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glBlendFuncSeparatei(fexfn_packed_args_libGL_glBlendFuncSeparatei* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
fexldr_ptr_libGL_glBlendFuncSeparatei(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendFuncSeparateIndexedAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glBlendFuncSeparateIndexedAMD(fexfn_packed_args_libGL_glBlendFuncSeparateIndexedAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
fexldr_ptr_libGL_glBlendFuncSeparateIndexedAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendFuncSeparateINGR {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glBlendFuncSeparateINGR(fexfn_packed_args_libGL_glBlendFuncSeparateINGR* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glBlendFuncSeparateINGR(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendParameteriNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glBlendParameteriNV(fexfn_packed_args_libGL_glBlendParameteriNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glBlendParameteriNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlitFramebufferEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
};
static void fexfn_unpack_libGL_glBlitFramebufferEXT(fexfn_packed_args_libGL_glBlitFramebufferEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLbitfield> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
fexldr_ptr_libGL_glBlitFramebufferEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlitFramebuffer {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
};
static void fexfn_unpack_libGL_glBlitFramebuffer(fexfn_packed_args_libGL_glBlitFramebuffer* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLbitfield> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
fexldr_ptr_libGL_glBlitFramebuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlitNamedFramebuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<uint32_t> a_10;
  guest_layout<uint32_t> a_11;
};
static void fexfn_unpack_libGL_glBlitNamedFramebuffer(fexfn_packed_args_libGL_glBlitNamedFramebuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLint> a_9 { args->a_9 };
  host_layout<GLbitfield> a_10 { args->a_10 };
  host_layout<GLenum> a_11 { args->a_11 };
fexldr_ptr_libGL_glBlitNamedFramebuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferAddressRangeNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glBufferAddressRangeNV(fexfn_packed_args_libGL_glBufferAddressRangeNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
  host_layout<GLsizeiptr> a_3 { args->a_3 };
fexldr_ptr_libGL_glBufferAddressRangeNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferAttachMemoryNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glBufferAttachMemoryNV(fexfn_packed_args_libGL_glBufferAttachMemoryNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glBufferAttachMemoryNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferDataARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glBufferDataARB(fexfn_packed_args_libGL_glBufferDataARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizeiptrARB> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glBufferDataARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferData {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glBufferData(fexfn_packed_args_libGL_glBufferData* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizeiptr> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glBufferData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferPageCommitmentARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<uint8_t> a_3;
};
static void fexfn_unpack_libGL_glBufferPageCommitmentARB(fexfn_packed_args_libGL_glBufferPageCommitmentARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
fexldr_ptr_libGL_glBufferPageCommitmentARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferParameteriAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glBufferParameteriAPPLE(fexfn_packed_args_libGL_glBufferParameteriAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glBufferParameteriAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferStorageExternalEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<GLeglClientBufferEXT> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glBufferStorageExternalEXT(fexfn_packed_args_libGL_glBufferStorageExternalEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
  host_layout<GLbitfield> a_4 { args->a_4 };
fexldr_ptr_libGL_glBufferStorageExternalEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferStorage {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glBufferStorage(fexfn_packed_args_libGL_glBufferStorage* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizeiptr> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLbitfield> a_3 { args->a_3 };
fexldr_ptr_libGL_glBufferStorage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferStorageMemEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint64_t> a_3;
};
static void fexfn_unpack_libGL_glBufferStorageMemEXT(fexfn_packed_args_libGL_glBufferStorageMemEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizeiptr> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint64> a_3 { args->a_3 };
fexldr_ptr_libGL_glBufferStorageMemEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferSubDataARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glBufferSubDataARB(fexfn_packed_args_libGL_glBufferSubDataARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLintptrARB> a_1 { args->a_1 };
  host_layout<GLsizeiptrARB> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glBufferSubDataARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBufferSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glBufferSubData(fexfn_packed_args_libGL_glBufferSubData* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glBufferSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCallCommandListNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glCallCommandListNV(fexfn_packed_args_libGL_glCallCommandListNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glCallCommandListNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCallList {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glCallList(fexfn_packed_args_libGL_glCallList* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glCallList(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCallLists {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLvoid *> a_2;
};
static void fexfn_unpack_libGL_glCallLists(fexfn_packed_args_libGL_glCallLists* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glCallLists(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClampColorARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glClampColorARB(fexfn_packed_args_libGL_glClampColorARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glClampColorARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClampColor {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glClampColor(fexfn_packed_args_libGL_glClampColor* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glClampColor(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearAccum {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glClearAccum(fexfn_packed_args_libGL_glClearAccum* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glClearAccum(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearAccumxOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glClearAccumxOES(fexfn_packed_args_libGL_glClearAccumxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
fexldr_ptr_libGL_glClearAccumxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearBufferData {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glClearBufferData(fexfn_packed_args_libGL_glClearBufferData* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glClearBufferData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearBufferfi {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glClearBufferfi(fexfn_packed_args_libGL_glClearBufferfi* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glClearBufferfi(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearBufferfv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glClearBufferfv(fexfn_packed_args_libGL_glClearBufferfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glClearBufferfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearBufferiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glClearBufferiv(fexfn_packed_args_libGL_glClearBufferiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glClearBufferiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearBufferSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const void *> a_6;
};
static void fexfn_unpack_libGL_glClearBufferSubData(fexfn_packed_args_libGL_glClearBufferSubData* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLintptr> a_2 { args->a_2 };
  host_layout<GLsizeiptr> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glClearBufferSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearBufferuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glClearBufferuiv(fexfn_packed_args_libGL_glClearBufferuiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glClearBufferuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearColor {
  guest_layout<GLclampf> a_0;
  guest_layout<GLclampf> a_1;
  guest_layout<GLclampf> a_2;
  guest_layout<GLclampf> a_3;
};
static void fexfn_unpack_libGL_glClearColor(fexfn_packed_args_libGL_glClearColor* args) {
  host_layout<GLclampf> a_0 { args->a_0 };
  host_layout<GLclampf> a_1 { args->a_1 };
  host_layout<GLclampf> a_2 { args->a_2 };
  host_layout<GLclampf> a_3 { args->a_3 };
fexldr_ptr_libGL_glClearColor(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearColorIiEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glClearColorIiEXT(fexfn_packed_args_libGL_glClearColorIiEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glClearColorIiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearColorIuiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glClearColorIuiEXT(fexfn_packed_args_libGL_glClearColorIuiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glClearColorIuiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearColorxOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glClearColorxOES(fexfn_packed_args_libGL_glClearColorxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
fexldr_ptr_libGL_glClearColorxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearDepthdNV {
  guest_layout<GLdouble> a_0;
};
static void fexfn_unpack_libGL_glClearDepthdNV(fexfn_packed_args_libGL_glClearDepthdNV* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
fexldr_ptr_libGL_glClearDepthdNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearDepthf {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glClearDepthf(fexfn_packed_args_libGL_glClearDepthf* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glClearDepthf(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearDepthfOES {
  guest_layout<GLclampf> a_0;
};
static void fexfn_unpack_libGL_glClearDepthfOES(fexfn_packed_args_libGL_glClearDepthfOES* args) {
  host_layout<GLclampf> a_0 { args->a_0 };
fexldr_ptr_libGL_glClearDepthfOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearDepth {
  guest_layout<GLclampd> a_0;
};
static void fexfn_unpack_libGL_glClearDepth(fexfn_packed_args_libGL_glClearDepth* args) {
  host_layout<GLclampd> a_0 { args->a_0 };
fexldr_ptr_libGL_glClearDepth(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearDepthxOES {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glClearDepthxOES(fexfn_packed_args_libGL_glClearDepthxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
fexldr_ptr_libGL_glClearDepthxOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClear {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glClear(fexfn_packed_args_libGL_glClear* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glClear(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearIndex {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glClearIndex(fexfn_packed_args_libGL_glClearIndex* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glClearIndex(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearNamedBufferDataEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glClearNamedBufferDataEXT(fexfn_packed_args_libGL_glClearNamedBufferDataEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glClearNamedBufferDataEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearNamedBufferData {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glClearNamedBufferData(fexfn_packed_args_libGL_glClearNamedBufferData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glClearNamedBufferData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearNamedBufferSubDataEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const void *> a_6;
};
static void fexfn_unpack_libGL_glClearNamedBufferSubDataEXT(fexfn_packed_args_libGL_glClearNamedBufferSubDataEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<GLsizeiptr> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glClearNamedBufferSubDataEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearNamedBufferSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const void *> a_6;
};
static void fexfn_unpack_libGL_glClearNamedBufferSubData(fexfn_packed_args_libGL_glClearNamedBufferSubData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLintptr> a_2 { args->a_2 };
  host_layout<GLsizeiptr> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glClearNamedBufferSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearNamedFramebufferfi {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glClearNamedFramebufferfi(fexfn_packed_args_libGL_glClearNamedFramebufferfi* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glClearNamedFramebufferfi(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearNamedFramebufferfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glClearNamedFramebufferfv(fexfn_packed_args_libGL_glClearNamedFramebufferfv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glClearNamedFramebufferfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearNamedFramebufferiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glClearNamedFramebufferiv(fexfn_packed_args_libGL_glClearNamedFramebufferiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glClearNamedFramebufferiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearNamedFramebufferuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glClearNamedFramebufferuiv(fexfn_packed_args_libGL_glClearNamedFramebufferuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glClearNamedFramebufferuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearStencil {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glClearStencil(fexfn_packed_args_libGL_glClearStencil* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glClearStencil(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearTexImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glClearTexImage(fexfn_packed_args_libGL_glClearTexImage* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glClearTexImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClearTexSubImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<const void *> a_10;
};
static void fexfn_unpack_libGL_glClearTexSubImage(fexfn_packed_args_libGL_glClearTexSubImage* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<const void *> a_10 { args->a_10 };
fexldr_ptr_libGL_glClearTexSubImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClientActiveTextureARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glClientActiveTextureARB(fexfn_packed_args_libGL_glClientActiveTextureARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glClientActiveTextureARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClientActiveTexture {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glClientActiveTexture(fexfn_packed_args_libGL_glClientActiveTexture* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glClientActiveTexture(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClientActiveVertexStreamATI {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glClientActiveVertexStreamATI(fexfn_packed_args_libGL_glClientActiveVertexStreamATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glClientActiveVertexStreamATI(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClientAttribDefaultEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glClientAttribDefaultEXT(fexfn_packed_args_libGL_glClientAttribDefaultEXT* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glClientAttribDefaultEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClientWaitSemaphoreui64NVX {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glClientWaitSemaphoreui64NVX(fexfn_packed_args_libGL_glClientWaitSemaphoreui64NVX* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glClientWaitSemaphoreui64NVX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClipControl {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glClipControl(fexfn_packed_args_libGL_glClipControl* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glClipControl(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClipPlanefOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glClipPlanefOES(fexfn_packed_args_libGL_glClipPlanefOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glClipPlanefOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClipPlane {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glClipPlane(fexfn_packed_args_libGL_glClipPlane* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glClipPlane(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glClipPlanexOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glClipPlanexOES(fexfn_packed_args_libGL_glClipPlanexOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glClipPlanexOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3b {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
};
static void fexfn_unpack_libGL_glColor3b(fexfn_packed_args_libGL_glColor3b* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor3b(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3bv {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glColor3bv(fexfn_packed_args_libGL_glColor3bv* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor3bv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glColor3d(fexfn_packed_args_libGL_glColor3d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glColor3dv(fexfn_packed_args_libGL_glColor3dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor3dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glColor3f(fexfn_packed_args_libGL_glColor3f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glColor3fv(fexfn_packed_args_libGL_glColor3fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor3fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3fVertex3fSUN {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glColor3fVertex3fSUN(fexfn_packed_args_libGL_glColor3fVertex3fSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glColor3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3fVertex3fvSUN {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glColor3fVertex3fvSUN(fexfn_packed_args_libGL_glColor3fVertex3fvSUN* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glColor3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3hNV {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
};
static void fexfn_unpack_libGL_glColor3hNV(fexfn_packed_args_libGL_glColor3hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor3hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glColor3hvNV(fexfn_packed_args_libGL_glColor3hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor3hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glColor3i(fexfn_packed_args_libGL_glColor3i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glColor3iv(fexfn_packed_args_libGL_glColor3iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor3iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glColor3s(fexfn_packed_args_libGL_glColor3s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor3s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glColor3sv(fexfn_packed_args_libGL_glColor3sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor3sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3ub {
  guest_layout<uint8_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
};
static void fexfn_unpack_libGL_glColor3ub(fexfn_packed_args_libGL_glColor3ub* args) {
  host_layout<GLubyte> a_0 { args->a_0 };
  host_layout<GLubyte> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor3ub(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3ubv {
  guest_layout<const uint8_t*> a_0;
};
static void fexfn_unpack_libGL_glColor3ubv(fexfn_packed_args_libGL_glColor3ubv* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor3ubv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glColor3ui(fexfn_packed_args_libGL_glColor3ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor3ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3uiv {
  guest_layout<const uint32_t*> a_0;
};
static void fexfn_unpack_libGL_glColor3uiv(fexfn_packed_args_libGL_glColor3uiv* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor3uiv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3us {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
};
static void fexfn_unpack_libGL_glColor3us(fexfn_packed_args_libGL_glColor3us* args) {
  host_layout<GLushort> a_0 { args->a_0 };
  host_layout<GLushort> a_1 { args->a_1 };
  host_layout<GLushort> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor3us(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3usv {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glColor3usv(fexfn_packed_args_libGL_glColor3usv* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor3usv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glColor3xOES(fexfn_packed_args_libGL_glColor3xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor3xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor3xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glColor3xvOES(fexfn_packed_args_libGL_glColor3xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor3xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4b {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
  guest_layout<int8_t> a_3;
};
static void fexfn_unpack_libGL_glColor4b(fexfn_packed_args_libGL_glColor4b* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
  host_layout<GLbyte> a_3 { args->a_3 };
fexldr_ptr_libGL_glColor4b(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4bv {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glColor4bv(fexfn_packed_args_libGL_glColor4bv* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor4bv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glColor4d(fexfn_packed_args_libGL_glColor4d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glColor4d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glColor4dv(fexfn_packed_args_libGL_glColor4dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor4dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glColor4f(fexfn_packed_args_libGL_glColor4f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glColor4f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4fNormal3fVertex3fSUN {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<GLfloat> a_8;
  guest_layout<GLfloat> a_9;
};
static void fexfn_unpack_libGL_glColor4fNormal3fVertex3fSUN(fexfn_packed_args_libGL_glColor4fNormal3fVertex3fSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
  host_layout<GLfloat> a_9 { args->a_9 };
fexldr_ptr_libGL_glColor4fNormal3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4fNormal3fVertex3fvSUN {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glColor4fNormal3fVertex3fvSUN(fexfn_packed_args_libGL_glColor4fNormal3fVertex3fvSUN* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glColor4fNormal3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glColor4fv(fexfn_packed_args_libGL_glColor4fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor4fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4hNV {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
  guest_layout<uint16_t> a_3;
};
static void fexfn_unpack_libGL_glColor4hNV(fexfn_packed_args_libGL_glColor4hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
  host_layout<GLhalfNV> a_3 { args->a_3 };
fexldr_ptr_libGL_glColor4hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glColor4hvNV(fexfn_packed_args_libGL_glColor4hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor4hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glColor4i(fexfn_packed_args_libGL_glColor4i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glColor4i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glColor4iv(fexfn_packed_args_libGL_glColor4iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor4iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glColor4s(fexfn_packed_args_libGL_glColor4s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glColor4s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glColor4sv(fexfn_packed_args_libGL_glColor4sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor4sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4ub {
  guest_layout<uint8_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
};
static void fexfn_unpack_libGL_glColor4ub(fexfn_packed_args_libGL_glColor4ub* args) {
  host_layout<GLubyte> a_0 { args->a_0 };
  host_layout<GLubyte> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
  host_layout<GLubyte> a_3 { args->a_3 };
fexldr_ptr_libGL_glColor4ub(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4ubv {
  guest_layout<const uint8_t*> a_0;
};
static void fexfn_unpack_libGL_glColor4ubv(fexfn_packed_args_libGL_glColor4ubv* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor4ubv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4ubVertex2fSUN {
  guest_layout<uint8_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glColor4ubVertex2fSUN(fexfn_packed_args_libGL_glColor4ubVertex2fSUN* args) {
  host_layout<GLubyte> a_0 { args->a_0 };
  host_layout<GLubyte> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
  host_layout<GLubyte> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glColor4ubVertex2fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4ubVertex2fvSUN {
  guest_layout<const uint8_t*> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glColor4ubVertex2fvSUN(fexfn_packed_args_libGL_glColor4ubVertex2fvSUN* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glColor4ubVertex2fvSUN(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4ubVertex3fSUN {
  guest_layout<uint8_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
};
static void fexfn_unpack_libGL_glColor4ubVertex3fSUN(fexfn_packed_args_libGL_glColor4ubVertex3fSUN* args) {
  host_layout<GLubyte> a_0 { args->a_0 };
  host_layout<GLubyte> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
  host_layout<GLubyte> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
fexldr_ptr_libGL_glColor4ubVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4ubVertex3fvSUN {
  guest_layout<const uint8_t*> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glColor4ubVertex3fvSUN(fexfn_packed_args_libGL_glColor4ubVertex3fvSUN* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glColor4ubVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glColor4ui(fexfn_packed_args_libGL_glColor4ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glColor4ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4uiv {
  guest_layout<const uint32_t*> a_0;
};
static void fexfn_unpack_libGL_glColor4uiv(fexfn_packed_args_libGL_glColor4uiv* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor4uiv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4us {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
  guest_layout<uint16_t> a_3;
};
static void fexfn_unpack_libGL_glColor4us(fexfn_packed_args_libGL_glColor4us* args) {
  host_layout<GLushort> a_0 { args->a_0 };
  host_layout<GLushort> a_1 { args->a_1 };
  host_layout<GLushort> a_2 { args->a_2 };
  host_layout<GLushort> a_3 { args->a_3 };
fexldr_ptr_libGL_glColor4us(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4usv {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glColor4usv(fexfn_packed_args_libGL_glColor4usv* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor4usv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glColor4xOES(fexfn_packed_args_libGL_glColor4xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
fexldr_ptr_libGL_glColor4xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColor4xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glColor4xvOES(fexfn_packed_args_libGL_glColor4xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glColor4xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorFormatNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glColorFormatNV(fexfn_packed_args_libGL_glColorFormatNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
fexldr_ptr_libGL_glColorFormatNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorFragmentOp1ATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
};
static void fexfn_unpack_libGL_glColorFragmentOp1ATI(fexfn_packed_args_libGL_glColorFragmentOp1ATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
fexldr_ptr_libGL_glColorFragmentOp1ATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorFragmentOp2ATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
};
static void fexfn_unpack_libGL_glColorFragmentOp2ATI(fexfn_packed_args_libGL_glColorFragmentOp2ATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLuint> a_7 { args->a_7 };
  host_layout<GLuint> a_8 { args->a_8 };
  host_layout<GLuint> a_9 { args->a_9 };
fexldr_ptr_libGL_glColorFragmentOp2ATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorFragmentOp3ATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<uint32_t> a_10;
  guest_layout<uint32_t> a_11;
  guest_layout<uint32_t> a_12;
};
static void fexfn_unpack_libGL_glColorFragmentOp3ATI(fexfn_packed_args_libGL_glColorFragmentOp3ATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLuint> a_7 { args->a_7 };
  host_layout<GLuint> a_8 { args->a_8 };
  host_layout<GLuint> a_9 { args->a_9 };
  host_layout<GLuint> a_10 { args->a_10 };
  host_layout<GLuint> a_11 { args->a_11 };
  host_layout<GLuint> a_12 { args->a_12 };
fexldr_ptr_libGL_glColorFragmentOp3ATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorMask {
  guest_layout<uint8_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
};
static void fexfn_unpack_libGL_glColorMask(fexfn_packed_args_libGL_glColorMask* args) {
  host_layout<GLboolean> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
fexldr_ptr_libGL_glColorMask(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorMaski {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<uint8_t> a_4;
};
static void fexfn_unpack_libGL_glColorMaski(fexfn_packed_args_libGL_glColorMaski* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<GLboolean> a_4 { args->a_4 };
fexldr_ptr_libGL_glColorMaski(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorMaskIndexedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<uint8_t> a_4;
};
static void fexfn_unpack_libGL_glColorMaskIndexedEXT(fexfn_packed_args_libGL_glColorMaskIndexedEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<GLboolean> a_4 { args->a_4 };
fexldr_ptr_libGL_glColorMaskIndexedEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorMaterial {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glColorMaterial(fexfn_packed_args_libGL_glColorMaterial* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glColorMaterial(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorPointerEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glColorPointerEXT(fexfn_packed_args_libGL_glColorPointerEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glColorPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorPointer {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLvoid *> a_3;
};
static void fexfn_unpack_libGL_glColorPointer(fexfn_packed_args_libGL_glColorPointer* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glColorPointer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorPointerListIBM {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void **> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glColorPointerListIBM(fexfn_packed_args_libGL_glColorPointerListIBM* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<const void **> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glColorPointerListIBM(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorPointervINTEL {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void **> a_2;
};
static void fexfn_unpack_libGL_glColorPointervINTEL(fexfn_packed_args_libGL_glColorPointervINTEL* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void **> a_2 { args->a_2 };
fexldr_ptr_libGL_glColorPointervINTEL(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorSubTableEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const void *> a_5;
};
static void fexfn_unpack_libGL_glColorSubTableEXT(fexfn_packed_args_libGL_glColorSubTableEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glColorSubTableEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorSubTable {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const GLvoid *> a_5;
};
static void fexfn_unpack_libGL_glColorSubTable(fexfn_packed_args_libGL_glColorSubTable* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glColorSubTable(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorTableEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const void *> a_5;
};
static void fexfn_unpack_libGL_glColorTableEXT(fexfn_packed_args_libGL_glColorTableEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glColorTableEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorTable {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const GLvoid *> a_5;
};
static void fexfn_unpack_libGL_glColorTable(fexfn_packed_args_libGL_glColorTable* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glColorTable(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorTableParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glColorTableParameterfv(fexfn_packed_args_libGL_glColorTableParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glColorTableParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorTableParameterfvSGI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glColorTableParameterfvSGI(fexfn_packed_args_libGL_glColorTableParameterfvSGI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glColorTableParameterfvSGI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorTableParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glColorTableParameteriv(fexfn_packed_args_libGL_glColorTableParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glColorTableParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorTableParameterivSGI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glColorTableParameterivSGI(fexfn_packed_args_libGL_glColorTableParameterivSGI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glColorTableParameterivSGI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glColorTableSGI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const void *> a_5;
};
static void fexfn_unpack_libGL_glColorTableSGI(fexfn_packed_args_libGL_glColorTableSGI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glColorTableSGI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCombinerInputNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glCombinerInputNV(fexfn_packed_args_libGL_glCombinerInputNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
fexldr_ptr_libGL_glCombinerInputNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCombinerOutputNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint8_t> a_7;
  guest_layout<uint8_t> a_8;
  guest_layout<uint8_t> a_9;
};
static void fexfn_unpack_libGL_glCombinerOutputNV(fexfn_packed_args_libGL_glCombinerOutputNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLboolean> a_7 { args->a_7 };
  host_layout<GLboolean> a_8 { args->a_8 };
  host_layout<GLboolean> a_9 { args->a_9 };
fexldr_ptr_libGL_glCombinerOutputNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCombinerParameterfNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glCombinerParameterfNV(fexfn_packed_args_libGL_glCombinerParameterfNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glCombinerParameterfNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCombinerParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glCombinerParameterfvNV(fexfn_packed_args_libGL_glCombinerParameterfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCombinerParameterfvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCombinerParameteriNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glCombinerParameteriNV(fexfn_packed_args_libGL_glCombinerParameteriNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glCombinerParameteriNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCombinerParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glCombinerParameterivNV(fexfn_packed_args_libGL_glCombinerParameterivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCombinerParameterivNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCombinerStageParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glCombinerStageParameterfvNV(fexfn_packed_args_libGL_glCombinerStageParameterfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glCombinerStageParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCommandListSegmentsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glCommandListSegmentsNV(fexfn_packed_args_libGL_glCommandListSegmentsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glCommandListSegmentsNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompileCommandListNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glCompileCommandListNV(fexfn_packed_args_libGL_glCompileCommandListNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glCompileCommandListNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompileShaderARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glCompileShaderARB(fexfn_packed_args_libGL_glCompileShaderARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
fexldr_ptr_libGL_glCompileShaderARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompileShader {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glCompileShader(fexfn_packed_args_libGL_glCompileShader* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glCompileShader(unwrap_host(a_0));
}
static auto fexfn_impl_libGL_glCompileShaderIncludeARB(GLuint a_0, GLsizei a_1, guest_layout<const GLchar *const *> a_2, const GLint * a_3) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompileShaderIncludeARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLchar *const *> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glCompileShaderIncludeARB(fexfn_packed_args_libGL_glCompileShaderIncludeARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_3 { args->a_3 };
fexfn_impl_libGL_glCompileShaderIncludeARB(unwrap_host(a_0), unwrap_host(a_1), args->a_2, unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedMultiTexImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<const void *> a_7;
};
static void fexfn_unpack_libGL_glCompressedMultiTexImage1DEXT(fexfn_packed_args_libGL_glCompressedMultiTexImage1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glCompressedMultiTexImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedMultiTexImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<const void *> a_8;
};
static void fexfn_unpack_libGL_glCompressedMultiTexImage2DEXT(fexfn_packed_args_libGL_glCompressedMultiTexImage2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glCompressedMultiTexImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedMultiTexImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<const void *> a_9;
};
static void fexfn_unpack_libGL_glCompressedMultiTexImage3DEXT(fexfn_packed_args_libGL_glCompressedMultiTexImage3DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<const void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glCompressedMultiTexImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedMultiTexSubImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<const void *> a_7;
};
static void fexfn_unpack_libGL_glCompressedMultiTexSubImage1DEXT(fexfn_packed_args_libGL_glCompressedMultiTexSubImage1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glCompressedMultiTexSubImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedMultiTexSubImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<const void *> a_9;
};
static void fexfn_unpack_libGL_glCompressedMultiTexSubImage2DEXT(fexfn_packed_args_libGL_glCompressedMultiTexSubImage2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<const void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glCompressedMultiTexSubImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedMultiTexSubImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<int32_t> a_10;
  guest_layout<const void *> a_11;
};
static void fexfn_unpack_libGL_glCompressedMultiTexSubImage3DEXT(fexfn_packed_args_libGL_glCompressedMultiTexSubImage3DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<GLsizei> a_10 { args->a_10 };
  host_layout<const void *> a_11 { args->a_11 };
fexldr_ptr_libGL_glCompressedMultiTexSubImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexImage1DARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<const void *> a_6;
};
static void fexfn_unpack_libGL_glCompressedTexImage1DARB(fexfn_packed_args_libGL_glCompressedTexImage1DARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glCompressedTexImage1DARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexImage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<const GLvoid *> a_6;
};
static void fexfn_unpack_libGL_glCompressedTexImage1D(fexfn_packed_args_libGL_glCompressedTexImage1D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glCompressedTexImage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexImage2DARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<const void *> a_7;
};
static void fexfn_unpack_libGL_glCompressedTexImage2DARB(fexfn_packed_args_libGL_glCompressedTexImage2DARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glCompressedTexImage2DARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexImage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<const GLvoid *> a_7;
};
static void fexfn_unpack_libGL_glCompressedTexImage2D(fexfn_packed_args_libGL_glCompressedTexImage2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glCompressedTexImage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexImage3DARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<const void *> a_8;
};
static void fexfn_unpack_libGL_glCompressedTexImage3DARB(fexfn_packed_args_libGL_glCompressedTexImage3DARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glCompressedTexImage3DARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexImage3D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<const GLvoid *> a_8;
};
static void fexfn_unpack_libGL_glCompressedTexImage3D(fexfn_packed_args_libGL_glCompressedTexImage3D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glCompressedTexImage3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexSubImage1DARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<const void *> a_6;
};
static void fexfn_unpack_libGL_glCompressedTexSubImage1DARB(fexfn_packed_args_libGL_glCompressedTexSubImage1DARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glCompressedTexSubImage1DARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexSubImage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<const GLvoid *> a_6;
};
static void fexfn_unpack_libGL_glCompressedTexSubImage1D(fexfn_packed_args_libGL_glCompressedTexSubImage1D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glCompressedTexSubImage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexSubImage2DARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<const void *> a_8;
};
static void fexfn_unpack_libGL_glCompressedTexSubImage2DARB(fexfn_packed_args_libGL_glCompressedTexSubImage2DARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glCompressedTexSubImage2DARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexSubImage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<const GLvoid *> a_8;
};
static void fexfn_unpack_libGL_glCompressedTexSubImage2D(fexfn_packed_args_libGL_glCompressedTexSubImage2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glCompressedTexSubImage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexSubImage3DARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<const void *> a_10;
};
static void fexfn_unpack_libGL_glCompressedTexSubImage3DARB(fexfn_packed_args_libGL_glCompressedTexSubImage3DARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLsizei> a_9 { args->a_9 };
  host_layout<const void *> a_10 { args->a_10 };
fexldr_ptr_libGL_glCompressedTexSubImage3DARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTexSubImage3D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<const GLvoid *> a_10;
};
static void fexfn_unpack_libGL_glCompressedTexSubImage3D(fexfn_packed_args_libGL_glCompressedTexSubImage3D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLsizei> a_9 { args->a_9 };
  host_layout<const void *> a_10 { args->a_10 };
fexldr_ptr_libGL_glCompressedTexSubImage3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTextureImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<const void *> a_7;
};
static void fexfn_unpack_libGL_glCompressedTextureImage1DEXT(fexfn_packed_args_libGL_glCompressedTextureImage1DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glCompressedTextureImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTextureImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<const void *> a_8;
};
static void fexfn_unpack_libGL_glCompressedTextureImage2DEXT(fexfn_packed_args_libGL_glCompressedTextureImage2DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glCompressedTextureImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTextureImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<const void *> a_9;
};
static void fexfn_unpack_libGL_glCompressedTextureImage3DEXT(fexfn_packed_args_libGL_glCompressedTextureImage3DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<const void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glCompressedTextureImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTextureSubImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<const void *> a_7;
};
static void fexfn_unpack_libGL_glCompressedTextureSubImage1DEXT(fexfn_packed_args_libGL_glCompressedTextureSubImage1DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glCompressedTextureSubImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTextureSubImage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<const void *> a_6;
};
static void fexfn_unpack_libGL_glCompressedTextureSubImage1D(fexfn_packed_args_libGL_glCompressedTextureSubImage1D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glCompressedTextureSubImage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTextureSubImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<const void *> a_9;
};
static void fexfn_unpack_libGL_glCompressedTextureSubImage2DEXT(fexfn_packed_args_libGL_glCompressedTextureSubImage2DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<const void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glCompressedTextureSubImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTextureSubImage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<const void *> a_8;
};
static void fexfn_unpack_libGL_glCompressedTextureSubImage2D(fexfn_packed_args_libGL_glCompressedTextureSubImage2D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glCompressedTextureSubImage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTextureSubImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<int32_t> a_10;
  guest_layout<const void *> a_11;
};
static void fexfn_unpack_libGL_glCompressedTextureSubImage3DEXT(fexfn_packed_args_libGL_glCompressedTextureSubImage3DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<GLsizei> a_10 { args->a_10 };
  host_layout<const void *> a_11 { args->a_11 };
fexldr_ptr_libGL_glCompressedTextureSubImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCompressedTextureSubImage3D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<const void *> a_10;
};
static void fexfn_unpack_libGL_glCompressedTextureSubImage3D(fexfn_packed_args_libGL_glCompressedTextureSubImage3D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLsizei> a_9 { args->a_9 };
  host_layout<const void *> a_10 { args->a_10 };
fexldr_ptr_libGL_glCompressedTextureSubImage3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConservativeRasterParameterfNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glConservativeRasterParameterfNV(fexfn_packed_args_libGL_glConservativeRasterParameterfNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glConservativeRasterParameterfNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConservativeRasterParameteriNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glConservativeRasterParameteriNV(fexfn_packed_args_libGL_glConservativeRasterParameteriNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glConservativeRasterParameteriNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionFilter1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const void *> a_5;
};
static void fexfn_unpack_libGL_glConvolutionFilter1DEXT(fexfn_packed_args_libGL_glConvolutionFilter1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glConvolutionFilter1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionFilter1D {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const GLvoid *> a_5;
};
static void fexfn_unpack_libGL_glConvolutionFilter1D(fexfn_packed_args_libGL_glConvolutionFilter1D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glConvolutionFilter1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionFilter2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const void *> a_6;
};
static void fexfn_unpack_libGL_glConvolutionFilter2DEXT(fexfn_packed_args_libGL_glConvolutionFilter2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glConvolutionFilter2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionFilter2D {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const GLvoid *> a_6;
};
static void fexfn_unpack_libGL_glConvolutionFilter2D(fexfn_packed_args_libGL_glConvolutionFilter2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glConvolutionFilter2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionParameterfEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glConvolutionParameterfEXT(fexfn_packed_args_libGL_glConvolutionParameterfEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glConvolutionParameterfEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionParameterf {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glConvolutionParameterf(fexfn_packed_args_libGL_glConvolutionParameterf* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glConvolutionParameterf(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glConvolutionParameterfvEXT(fexfn_packed_args_libGL_glConvolutionParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glConvolutionParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glConvolutionParameterfv(fexfn_packed_args_libGL_glConvolutionParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glConvolutionParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionParameteriEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glConvolutionParameteriEXT(fexfn_packed_args_libGL_glConvolutionParameteriEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glConvolutionParameteriEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionParameteri {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glConvolutionParameteri(fexfn_packed_args_libGL_glConvolutionParameteri* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glConvolutionParameteri(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glConvolutionParameterivEXT(fexfn_packed_args_libGL_glConvolutionParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glConvolutionParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glConvolutionParameteriv(fexfn_packed_args_libGL_glConvolutionParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glConvolutionParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionParameterxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glConvolutionParameterxOES(fexfn_packed_args_libGL_glConvolutionParameterxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glConvolutionParameterxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glConvolutionParameterxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glConvolutionParameterxvOES(fexfn_packed_args_libGL_glConvolutionParameterxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glConvolutionParameterxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyBufferSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glCopyBufferSubData(fexfn_packed_args_libGL_glCopyBufferSubData* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLintptr> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizeiptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glCopyBufferSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyColorSubTableEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glCopyColorSubTableEXT(fexfn_packed_args_libGL_glCopyColorSubTableEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glCopyColorSubTableEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyColorSubTable {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glCopyColorSubTable(fexfn_packed_args_libGL_glCopyColorSubTable* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glCopyColorSubTable(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyColorTable {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glCopyColorTable(fexfn_packed_args_libGL_glCopyColorTable* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glCopyColorTable(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyColorTableSGI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glCopyColorTableSGI(fexfn_packed_args_libGL_glCopyColorTableSGI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glCopyColorTableSGI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyConvolutionFilter1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glCopyConvolutionFilter1DEXT(fexfn_packed_args_libGL_glCopyConvolutionFilter1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glCopyConvolutionFilter1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyConvolutionFilter1D {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glCopyConvolutionFilter1D(fexfn_packed_args_libGL_glCopyConvolutionFilter1D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glCopyConvolutionFilter1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyConvolutionFilter2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glCopyConvolutionFilter2DEXT(fexfn_packed_args_libGL_glCopyConvolutionFilter2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glCopyConvolutionFilter2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyConvolutionFilter2D {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glCopyConvolutionFilter2D(fexfn_packed_args_libGL_glCopyConvolutionFilter2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glCopyConvolutionFilter2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyImageSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<int32_t> a_10;
  guest_layout<int32_t> a_11;
  guest_layout<int32_t> a_12;
  guest_layout<int32_t> a_13;
  guest_layout<int32_t> a_14;
};
static void fexfn_unpack_libGL_glCopyImageSubData(fexfn_packed_args_libGL_glCopyImageSubData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLint> a_9 { args->a_9 };
  host_layout<GLint> a_10 { args->a_10 };
  host_layout<GLint> a_11 { args->a_11 };
  host_layout<GLsizei> a_12 { args->a_12 };
  host_layout<GLsizei> a_13 { args->a_13 };
  host_layout<GLsizei> a_14 { args->a_14 };
fexldr_ptr_libGL_glCopyImageSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12), unwrap_host(a_13), unwrap_host(a_14));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyImageSubDataNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<int32_t> a_10;
  guest_layout<int32_t> a_11;
  guest_layout<int32_t> a_12;
  guest_layout<int32_t> a_13;
  guest_layout<int32_t> a_14;
};
static void fexfn_unpack_libGL_glCopyImageSubDataNV(fexfn_packed_args_libGL_glCopyImageSubDataNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLint> a_9 { args->a_9 };
  host_layout<GLint> a_10 { args->a_10 };
  host_layout<GLint> a_11 { args->a_11 };
  host_layout<GLsizei> a_12 { args->a_12 };
  host_layout<GLsizei> a_13 { args->a_13 };
  host_layout<GLsizei> a_14 { args->a_14 };
fexldr_ptr_libGL_glCopyImageSubDataNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12), unwrap_host(a_13), unwrap_host(a_14));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyMultiTexImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
};
static void fexfn_unpack_libGL_glCopyMultiTexImage1DEXT(fexfn_packed_args_libGL_glCopyMultiTexImage1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
fexldr_ptr_libGL_glCopyMultiTexImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyMultiTexImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
};
static void fexfn_unpack_libGL_glCopyMultiTexImage2DEXT(fexfn_packed_args_libGL_glCopyMultiTexImage2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
fexldr_ptr_libGL_glCopyMultiTexImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyMultiTexSubImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glCopyMultiTexSubImage1DEXT(fexfn_packed_args_libGL_glCopyMultiTexSubImage1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
fexldr_ptr_libGL_glCopyMultiTexSubImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyMultiTexSubImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
};
static void fexfn_unpack_libGL_glCopyMultiTexSubImage2DEXT(fexfn_packed_args_libGL_glCopyMultiTexSubImage2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
fexldr_ptr_libGL_glCopyMultiTexSubImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyMultiTexSubImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
};
static void fexfn_unpack_libGL_glCopyMultiTexSubImage3DEXT(fexfn_packed_args_libGL_glCopyMultiTexSubImage3DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<GLsizei> a_9 { args->a_9 };
fexldr_ptr_libGL_glCopyMultiTexSubImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyNamedBufferSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glCopyNamedBufferSubData(fexfn_packed_args_libGL_glCopyNamedBufferSubData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLintptr> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizeiptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glCopyNamedBufferSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyPathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glCopyPathNV(fexfn_packed_args_libGL_glCopyPathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glCopyPathNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyPixels {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glCopyPixels(fexfn_packed_args_libGL_glCopyPixels* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
fexldr_ptr_libGL_glCopyPixels(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTexImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glCopyTexImage1DEXT(fexfn_packed_args_libGL_glCopyTexImage1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
fexldr_ptr_libGL_glCopyTexImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTexImage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glCopyTexImage1D(fexfn_packed_args_libGL_glCopyTexImage1D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
fexldr_ptr_libGL_glCopyTexImage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTexImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
};
static void fexfn_unpack_libGL_glCopyTexImage2DEXT(fexfn_packed_args_libGL_glCopyTexImage2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
fexldr_ptr_libGL_glCopyTexImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTexImage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
};
static void fexfn_unpack_libGL_glCopyTexImage2D(fexfn_packed_args_libGL_glCopyTexImage2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
fexldr_ptr_libGL_glCopyTexImage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTexSubImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glCopyTexSubImage1DEXT(fexfn_packed_args_libGL_glCopyTexSubImage1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glCopyTexSubImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTexSubImage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glCopyTexSubImage1D(fexfn_packed_args_libGL_glCopyTexSubImage1D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glCopyTexSubImage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTexSubImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
};
static void fexfn_unpack_libGL_glCopyTexSubImage2DEXT(fexfn_packed_args_libGL_glCopyTexSubImage2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
fexldr_ptr_libGL_glCopyTexSubImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTexSubImage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
};
static void fexfn_unpack_libGL_glCopyTexSubImage2D(fexfn_packed_args_libGL_glCopyTexSubImage2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
fexldr_ptr_libGL_glCopyTexSubImage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTexSubImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
};
static void fexfn_unpack_libGL_glCopyTexSubImage3DEXT(fexfn_packed_args_libGL_glCopyTexSubImage3DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
fexldr_ptr_libGL_glCopyTexSubImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTexSubImage3D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
};
static void fexfn_unpack_libGL_glCopyTexSubImage3D(fexfn_packed_args_libGL_glCopyTexSubImage3D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
fexldr_ptr_libGL_glCopyTexSubImage3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTextureImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
};
static void fexfn_unpack_libGL_glCopyTextureImage1DEXT(fexfn_packed_args_libGL_glCopyTextureImage1DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
fexldr_ptr_libGL_glCopyTextureImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTextureImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
};
static void fexfn_unpack_libGL_glCopyTextureImage2DEXT(fexfn_packed_args_libGL_glCopyTextureImage2DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
fexldr_ptr_libGL_glCopyTextureImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTextureSubImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glCopyTextureSubImage1DEXT(fexfn_packed_args_libGL_glCopyTextureSubImage1DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
fexldr_ptr_libGL_glCopyTextureSubImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTextureSubImage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glCopyTextureSubImage1D(fexfn_packed_args_libGL_glCopyTextureSubImage1D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glCopyTextureSubImage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTextureSubImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
};
static void fexfn_unpack_libGL_glCopyTextureSubImage2DEXT(fexfn_packed_args_libGL_glCopyTextureSubImage2DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
fexldr_ptr_libGL_glCopyTextureSubImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTextureSubImage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
};
static void fexfn_unpack_libGL_glCopyTextureSubImage2D(fexfn_packed_args_libGL_glCopyTextureSubImage2D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
fexldr_ptr_libGL_glCopyTextureSubImage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTextureSubImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
};
static void fexfn_unpack_libGL_glCopyTextureSubImage3DEXT(fexfn_packed_args_libGL_glCopyTextureSubImage3DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<GLsizei> a_9 { args->a_9 };
fexldr_ptr_libGL_glCopyTextureSubImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCopyTextureSubImage3D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
};
static void fexfn_unpack_libGL_glCopyTextureSubImage3D(fexfn_packed_args_libGL_glCopyTextureSubImage3D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
fexldr_ptr_libGL_glCopyTextureSubImage3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCoverageModulationNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glCoverageModulationNV(fexfn_packed_args_libGL_glCoverageModulationNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glCoverageModulationNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCoverageModulationTableNV {
  guest_layout<int32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glCoverageModulationTableNV(fexfn_packed_args_libGL_glCoverageModulationTableNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCoverageModulationTableNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCoverFillPathInstancedNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const GLfloat *> a_6;
};
static void fexfn_unpack_libGL_glCoverFillPathInstancedNV(fexfn_packed_args_libGL_glCoverFillPathInstancedNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const float *> a_6 { args->a_6 };
fexldr_ptr_libGL_glCoverFillPathInstancedNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCoverFillPathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glCoverFillPathNV(fexfn_packed_args_libGL_glCoverFillPathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glCoverFillPathNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCoverStrokePathInstancedNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const GLfloat *> a_6;
};
static void fexfn_unpack_libGL_glCoverStrokePathInstancedNV(fexfn_packed_args_libGL_glCoverStrokePathInstancedNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const float *> a_6 { args->a_6 };
fexldr_ptr_libGL_glCoverStrokePathInstancedNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCoverStrokePathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glCoverStrokePathNV(fexfn_packed_args_libGL_glCoverStrokePathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glCoverStrokePathNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateBuffers {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreateBuffers(fexfn_packed_args_libGL_glCreateBuffers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreateBuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateCommandListsNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreateCommandListsNV(fexfn_packed_args_libGL_glCreateCommandListsNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreateCommandListsNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateFramebuffers {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreateFramebuffers(fexfn_packed_args_libGL_glCreateFramebuffers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreateFramebuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateMemoryObjectsEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreateMemoryObjectsEXT(fexfn_packed_args_libGL_glCreateMemoryObjectsEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreateMemoryObjectsEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreatePerfQueryINTEL {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreatePerfQueryINTEL(fexfn_packed_args_libGL_glCreatePerfQueryINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreatePerfQueryINTEL(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateProgramPipelines {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreateProgramPipelines(fexfn_packed_args_libGL_glCreateProgramPipelines* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreateProgramPipelines(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateQueries {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glCreateQueries(fexfn_packed_args_libGL_glCreateQueries* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glCreateQueries(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateRenderbuffers {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreateRenderbuffers(fexfn_packed_args_libGL_glCreateRenderbuffers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreateRenderbuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateSamplers {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreateSamplers(fexfn_packed_args_libGL_glCreateSamplers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreateSamplers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateStatesNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreateStatesNV(fexfn_packed_args_libGL_glCreateStatesNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreateStatesNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateTextures {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glCreateTextures(fexfn_packed_args_libGL_glCreateTextures* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glCreateTextures(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateTransformFeedbacks {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreateTransformFeedbacks(fexfn_packed_args_libGL_glCreateTransformFeedbacks* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreateTransformFeedbacks(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCreateVertexArrays {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glCreateVertexArrays(fexfn_packed_args_libGL_glCreateVertexArrays* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCreateVertexArrays(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCullFace {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glCullFace(fexfn_packed_args_libGL_glCullFace* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glCullFace(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCullParameterdvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glCullParameterdvEXT(fexfn_packed_args_libGL_glCullParameterdvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCullParameterdvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCullParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glCullParameterfvEXT(fexfn_packed_args_libGL_glCullParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glCullParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glCurrentPaletteMatrixARB {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glCurrentPaletteMatrixARB(fexfn_packed_args_libGL_glCurrentPaletteMatrixARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glCurrentPaletteMatrixARB(unwrap_host(a_0));
}
[[noreturn]] static void fexfn_unpack_glDebugMessageCallbackAMDCBFN0_stub(GLuint a_0, GLenum a_1, GLenum a_2, GLsizei a_3, const GLchar * a_4, void * a_5) {
  fprintf(stderr, "FATAL: Attempted to invoke callback stub for glDebugMessageCallbackAMD\n");
  std::abort();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDebugMessageCallbackAMD {
  guest_layout<GLDEBUGPROCAMD> a_0;
  guest_layout<void *> a_1;
};
static void fexfn_unpack_libGL_glDebugMessageCallbackAMD(fexfn_packed_args_libGL_glDebugMessageCallbackAMD* args) {
  host_layout<void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDebugMessageCallbackAMD(fexfn_unpack_glDebugMessageCallbackAMDCBFN0_stub, unwrap_host(a_1));
}
[[noreturn]] static void fexfn_unpack_glDebugMessageCallbackARBCBFN0_stub(GLenum a_0, GLenum a_1, GLuint a_2, GLenum a_3, GLsizei a_4, const GLchar * a_5, const void * a_6) {
  fprintf(stderr, "FATAL: Attempted to invoke callback stub for glDebugMessageCallbackARB\n");
  std::abort();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDebugMessageCallbackARB {
  guest_layout<GLDEBUGPROCARB> a_0;
  guest_layout<const void *> a_1;
};
static void fexfn_unpack_libGL_glDebugMessageCallbackARB(fexfn_packed_args_libGL_glDebugMessageCallbackARB* args) {
  host_layout<const void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDebugMessageCallbackARB(fexfn_unpack_glDebugMessageCallbackARBCBFN0_stub, unwrap_host(a_1));
}
[[noreturn]] static void fexfn_unpack_glDebugMessageCallbackCBFN0_stub(GLenum a_0, GLenum a_1, GLuint a_2, GLenum a_3, GLsizei a_4, const GLchar * a_5, const void * a_6) {
  fprintf(stderr, "FATAL: Attempted to invoke callback stub for glDebugMessageCallback\n");
  std::abort();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDebugMessageCallback {
  guest_layout<GLDEBUGPROC> a_0;
  guest_layout<const void *> a_1;
};
static void fexfn_unpack_libGL_glDebugMessageCallback(fexfn_packed_args_libGL_glDebugMessageCallback* args) {
  host_layout<const void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDebugMessageCallback(fexfn_unpack_glDebugMessageCallbackCBFN0_stub, unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDebugMessageControlARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const uint32_t*> a_4;
  guest_layout<uint8_t> a_5;
};
static void fexfn_unpack_libGL_glDebugMessageControlARB(fexfn_packed_args_libGL_glDebugMessageControlARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
  host_layout<GLboolean> a_5 { args->a_5 };
fexldr_ptr_libGL_glDebugMessageControlARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDebugMessageControl {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const uint32_t*> a_4;
  guest_layout<uint8_t> a_5;
};
static void fexfn_unpack_libGL_glDebugMessageControl(fexfn_packed_args_libGL_glDebugMessageControl* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
  host_layout<GLboolean> a_5 { args->a_5 };
fexldr_ptr_libGL_glDebugMessageControl(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDebugMessageEnableAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
  guest_layout<uint8_t> a_4;
};
static void fexfn_unpack_libGL_glDebugMessageEnableAMD(fexfn_packed_args_libGL_glDebugMessageEnableAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
  host_layout<GLboolean> a_4 { args->a_4 };
fexldr_ptr_libGL_glDebugMessageEnableAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDebugMessageInsertAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const uint8_t*> a_4;
};
static void fexfn_unpack_libGL_glDebugMessageInsertAMD(fexfn_packed_args_libGL_glDebugMessageInsertAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const char *> a_4 { args->a_4 };
fexldr_ptr_libGL_glDebugMessageInsertAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDebugMessageInsertARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<const uint8_t*> a_5;
};
static void fexfn_unpack_libGL_glDebugMessageInsertARB(fexfn_packed_args_libGL_glDebugMessageInsertARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<const char *> a_5 { args->a_5 };
fexldr_ptr_libGL_glDebugMessageInsertARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDebugMessageInsert {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<const uint8_t*> a_5;
};
static void fexfn_unpack_libGL_glDebugMessageInsert(fexfn_packed_args_libGL_glDebugMessageInsert* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<const char *> a_5 { args->a_5 };
fexldr_ptr_libGL_glDebugMessageInsert(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeformationMap3dSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<GLdouble> a_5;
  guest_layout<GLdouble> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<GLdouble> a_9;
  guest_layout<GLdouble> a_10;
  guest_layout<int32_t> a_11;
  guest_layout<int32_t> a_12;
  guest_layout<const GLdouble *> a_13;
};
static void fexfn_unpack_libGL_glDeformationMap3dSGIX(fexfn_packed_args_libGL_glDeformationMap3dSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
  host_layout<GLdouble> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLdouble> a_9 { args->a_9 };
  host_layout<GLdouble> a_10 { args->a_10 };
  host_layout<GLint> a_11 { args->a_11 };
  host_layout<GLint> a_12 { args->a_12 };
  host_layout<const double *> a_13 { args->a_13 };
fexldr_ptr_libGL_glDeformationMap3dSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12), unwrap_host(a_13));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeformationMap3fSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<GLfloat> a_9;
  guest_layout<GLfloat> a_10;
  guest_layout<int32_t> a_11;
  guest_layout<int32_t> a_12;
  guest_layout<const GLfloat *> a_13;
};
static void fexfn_unpack_libGL_glDeformationMap3fSGIX(fexfn_packed_args_libGL_glDeformationMap3fSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLfloat> a_9 { args->a_9 };
  host_layout<GLfloat> a_10 { args->a_10 };
  host_layout<GLint> a_11 { args->a_11 };
  host_layout<GLint> a_12 { args->a_12 };
  host_layout<const float *> a_13 { args->a_13 };
fexldr_ptr_libGL_glDeformationMap3fSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12), unwrap_host(a_13));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeformSGIX {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDeformSGIX(fexfn_packed_args_libGL_glDeformSGIX* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glDeformSGIX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteAsyncMarkersSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glDeleteAsyncMarkersSGIX(fexfn_packed_args_libGL_glDeleteAsyncMarkersSGIX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteAsyncMarkersSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteBuffersARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteBuffersARB(fexfn_packed_args_libGL_glDeleteBuffersARB* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteBuffersARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteBuffers {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteBuffers(fexfn_packed_args_libGL_glDeleteBuffers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteBuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteCommandListsNV {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteCommandListsNV(fexfn_packed_args_libGL_glDeleteCommandListsNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteCommandListsNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteFencesAPPLE {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteFencesAPPLE(fexfn_packed_args_libGL_glDeleteFencesAPPLE* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteFencesAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteFencesNV {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteFencesNV(fexfn_packed_args_libGL_glDeleteFencesNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteFencesNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteFragmentShaderATI {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDeleteFragmentShaderATI(fexfn_packed_args_libGL_glDeleteFragmentShaderATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glDeleteFragmentShaderATI(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteFramebuffersEXT {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteFramebuffersEXT(fexfn_packed_args_libGL_glDeleteFramebuffersEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteFramebuffersEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteFramebuffers {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteFramebuffers(fexfn_packed_args_libGL_glDeleteFramebuffers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteFramebuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteLists {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glDeleteLists(fexfn_packed_args_libGL_glDeleteLists* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteLists(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteMemoryObjectsEXT {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteMemoryObjectsEXT(fexfn_packed_args_libGL_glDeleteMemoryObjectsEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteMemoryObjectsEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteNamedStringARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteNamedStringARB(fexfn_packed_args_libGL_glDeleteNamedStringARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteNamedStringARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteNamesAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glDeleteNamesAMD(fexfn_packed_args_libGL_glDeleteNamesAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glDeleteNamesAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteObjectARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDeleteObjectARB(fexfn_packed_args_libGL_glDeleteObjectARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
fexldr_ptr_libGL_glDeleteObjectARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteOcclusionQueriesNV {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteOcclusionQueriesNV(fexfn_packed_args_libGL_glDeleteOcclusionQueriesNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteOcclusionQueriesNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeletePathsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glDeletePathsNV(fexfn_packed_args_libGL_glDeletePathsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeletePathsNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeletePerfMonitorsAMD {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeletePerfMonitorsAMD(fexfn_packed_args_libGL_glDeletePerfMonitorsAMD* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeletePerfMonitorsAMD(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeletePerfQueryINTEL {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDeletePerfQueryINTEL(fexfn_packed_args_libGL_glDeletePerfQueryINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glDeletePerfQueryINTEL(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteProgram {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDeleteProgram(fexfn_packed_args_libGL_glDeleteProgram* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glDeleteProgram(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteProgramPipelines {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteProgramPipelines(fexfn_packed_args_libGL_glDeleteProgramPipelines* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteProgramPipelines(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteProgramsARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteProgramsARB(fexfn_packed_args_libGL_glDeleteProgramsARB* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteProgramsARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteProgramsNV {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteProgramsNV(fexfn_packed_args_libGL_glDeleteProgramsNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteProgramsNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteQueriesARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteQueriesARB(fexfn_packed_args_libGL_glDeleteQueriesARB* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteQueriesARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteQueries {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteQueries(fexfn_packed_args_libGL_glDeleteQueries* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteQueries(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteQueryResourceTagNV {
  guest_layout<int32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteQueryResourceTagNV(fexfn_packed_args_libGL_glDeleteQueryResourceTagNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteQueryResourceTagNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteRenderbuffersEXT {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteRenderbuffersEXT(fexfn_packed_args_libGL_glDeleteRenderbuffersEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteRenderbuffersEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteRenderbuffers {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteRenderbuffers(fexfn_packed_args_libGL_glDeleteRenderbuffers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteRenderbuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteSamplers {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteSamplers(fexfn_packed_args_libGL_glDeleteSamplers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteSamplers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteSemaphoresEXT {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteSemaphoresEXT(fexfn_packed_args_libGL_glDeleteSemaphoresEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteSemaphoresEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteShader {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDeleteShader(fexfn_packed_args_libGL_glDeleteShader* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glDeleteShader(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteStatesNV {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteStatesNV(fexfn_packed_args_libGL_glDeleteStatesNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteStatesNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteSync {
  guest_layout<GLsync> a_0;
};
static void fexfn_unpack_libGL_glDeleteSync(fexfn_packed_args_libGL_glDeleteSync* args) {
  host_layout<__GLsync *> a_0 { args->a_0 };
fexldr_ptr_libGL_glDeleteSync(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteTexturesEXT {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteTexturesEXT(fexfn_packed_args_libGL_glDeleteTexturesEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteTexturesEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteTextures {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteTextures(fexfn_packed_args_libGL_glDeleteTextures* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteTextures(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteTransformFeedbacks {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteTransformFeedbacks(fexfn_packed_args_libGL_glDeleteTransformFeedbacks* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteTransformFeedbacks(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteTransformFeedbacksNV {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteTransformFeedbacksNV(fexfn_packed_args_libGL_glDeleteTransformFeedbacksNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteTransformFeedbacksNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteVertexArraysAPPLE {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteVertexArraysAPPLE(fexfn_packed_args_libGL_glDeleteVertexArraysAPPLE* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteVertexArraysAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteVertexArrays {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDeleteVertexArrays(fexfn_packed_args_libGL_glDeleteVertexArrays* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDeleteVertexArrays(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDeleteVertexShaderEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDeleteVertexShaderEXT(fexfn_packed_args_libGL_glDeleteVertexShaderEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glDeleteVertexShaderEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthBoundsdNV {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glDepthBoundsdNV(fexfn_packed_args_libGL_glDepthBoundsdNV* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glDepthBoundsdNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthBoundsEXT {
  guest_layout<GLclampd> a_0;
  guest_layout<GLclampd> a_1;
};
static void fexfn_unpack_libGL_glDepthBoundsEXT(fexfn_packed_args_libGL_glDepthBoundsEXT* args) {
  host_layout<GLclampd> a_0 { args->a_0 };
  host_layout<GLclampd> a_1 { args->a_1 };
fexldr_ptr_libGL_glDepthBoundsEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthFunc {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDepthFunc(fexfn_packed_args_libGL_glDepthFunc* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glDepthFunc(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthMask {
  guest_layout<uint8_t> a_0;
};
static void fexfn_unpack_libGL_glDepthMask(fexfn_packed_args_libGL_glDepthMask* args) {
  host_layout<GLboolean> a_0 { args->a_0 };
fexldr_ptr_libGL_glDepthMask(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthRangeArraydvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glDepthRangeArraydvNV(fexfn_packed_args_libGL_glDepthRangeArraydvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glDepthRangeArraydvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthRangeArrayv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glDepthRangeArrayv(fexfn_packed_args_libGL_glDepthRangeArrayv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glDepthRangeArrayv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthRangedNV {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glDepthRangedNV(fexfn_packed_args_libGL_glDepthRangedNV* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glDepthRangedNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthRangef {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glDepthRangef(fexfn_packed_args_libGL_glDepthRangef* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glDepthRangef(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthRangefOES {
  guest_layout<GLclampf> a_0;
  guest_layout<GLclampf> a_1;
};
static void fexfn_unpack_libGL_glDepthRangefOES(fexfn_packed_args_libGL_glDepthRangefOES* args) {
  host_layout<GLclampf> a_0 { args->a_0 };
  host_layout<GLclampf> a_1 { args->a_1 };
fexldr_ptr_libGL_glDepthRangefOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthRange {
  guest_layout<GLclampd> a_0;
  guest_layout<GLclampd> a_1;
};
static void fexfn_unpack_libGL_glDepthRange(fexfn_packed_args_libGL_glDepthRange* args) {
  host_layout<GLclampd> a_0 { args->a_0 };
  host_layout<GLclampd> a_1 { args->a_1 };
fexldr_ptr_libGL_glDepthRange(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthRangeIndexeddNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glDepthRangeIndexeddNV(fexfn_packed_args_libGL_glDepthRangeIndexeddNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glDepthRangeIndexeddNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthRangeIndexed {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glDepthRangeIndexed(fexfn_packed_args_libGL_glDepthRangeIndexed* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glDepthRangeIndexed(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDepthRangexOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glDepthRangexOES(fexfn_packed_args_libGL_glDepthRangexOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glDepthRangexOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDetachObjectARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDetachObjectARB(fexfn_packed_args_libGL_glDetachObjectARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLhandleARB> a_1 { args->a_1 };
fexldr_ptr_libGL_glDetachObjectARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDetachShader {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDetachShader(fexfn_packed_args_libGL_glDetachShader* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glDetachShader(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDetailTexFuncSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glDetailTexFuncSGIS(fexfn_packed_args_libGL_glDetailTexFuncSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glDetailTexFuncSGIS(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableClientState {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDisableClientState(fexfn_packed_args_libGL_glDisableClientState* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glDisableClientState(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableClientStateiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDisableClientStateiEXT(fexfn_packed_args_libGL_glDisableClientStateiEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glDisableClientStateiEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableClientStateIndexedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDisableClientStateIndexedEXT(fexfn_packed_args_libGL_glDisableClientStateIndexedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glDisableClientStateIndexedEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisable {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDisable(fexfn_packed_args_libGL_glDisable* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glDisable(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisablei {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDisablei(fexfn_packed_args_libGL_glDisablei* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glDisablei(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableIndexedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDisableIndexedEXT(fexfn_packed_args_libGL_glDisableIndexedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glDisableIndexedEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableVariantClientStateEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDisableVariantClientStateEXT(fexfn_packed_args_libGL_glDisableVariantClientStateEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glDisableVariantClientStateEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableVertexArrayAttribEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDisableVertexArrayAttribEXT(fexfn_packed_args_libGL_glDisableVertexArrayAttribEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glDisableVertexArrayAttribEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableVertexArrayAttrib {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDisableVertexArrayAttrib(fexfn_packed_args_libGL_glDisableVertexArrayAttrib* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glDisableVertexArrayAttrib(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableVertexArrayEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDisableVertexArrayEXT(fexfn_packed_args_libGL_glDisableVertexArrayEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glDisableVertexArrayEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableVertexAttribAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDisableVertexAttribAPPLE(fexfn_packed_args_libGL_glDisableVertexAttribAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glDisableVertexAttribAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableVertexAttribArrayARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDisableVertexAttribArrayARB(fexfn_packed_args_libGL_glDisableVertexAttribArrayARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glDisableVertexAttribArrayARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDisableVertexAttribArray {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDisableVertexAttribArray(fexfn_packed_args_libGL_glDisableVertexAttribArray* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glDisableVertexAttribArray(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDispatchCompute {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glDispatchCompute(fexfn_packed_args_libGL_glDispatchCompute* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glDispatchCompute(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDispatchComputeGroupSizeARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glDispatchComputeGroupSizeARB(fexfn_packed_args_libGL_glDispatchComputeGroupSizeARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glDispatchComputeGroupSizeARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDispatchComputeIndirect {
  guest_layout<int64_t> a_0;
};
static void fexfn_unpack_libGL_glDispatchComputeIndirect(fexfn_packed_args_libGL_glDispatchComputeIndirect* args) {
  host_layout<GLintptr> a_0 { args->a_0 };
fexldr_ptr_libGL_glDispatchComputeIndirect(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawArraysEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glDrawArraysEXT(fexfn_packed_args_libGL_glDrawArraysEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
fexldr_ptr_libGL_glDrawArraysEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawArrays {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glDrawArrays(fexfn_packed_args_libGL_glDrawArrays* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
fexldr_ptr_libGL_glDrawArrays(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawArraysIndirect {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
};
static void fexfn_unpack_libGL_glDrawArraysIndirect(fexfn_packed_args_libGL_glDrawArraysIndirect* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDrawArraysIndirect(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawArraysInstancedARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glDrawArraysInstancedARB(fexfn_packed_args_libGL_glDrawArraysInstancedARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glDrawArraysInstancedARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawArraysInstancedBaseInstance {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glDrawArraysInstancedBaseInstance(fexfn_packed_args_libGL_glDrawArraysInstancedBaseInstance* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glDrawArraysInstancedBaseInstance(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawArraysInstancedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glDrawArraysInstancedEXT(fexfn_packed_args_libGL_glDrawArraysInstancedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glDrawArraysInstancedEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawArraysInstanced {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glDrawArraysInstanced(fexfn_packed_args_libGL_glDrawArraysInstanced* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glDrawArraysInstanced(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawBuffer {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glDrawBuffer(fexfn_packed_args_libGL_glDrawBuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glDrawBuffer(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawBuffersARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDrawBuffersARB(fexfn_packed_args_libGL_glDrawBuffersARB* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDrawBuffersARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawBuffersATI {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDrawBuffersATI(fexfn_packed_args_libGL_glDrawBuffersATI* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDrawBuffersATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawBuffers {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glDrawBuffers(fexfn_packed_args_libGL_glDrawBuffers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glDrawBuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawCommandsAddressNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint64_t*> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glDrawCommandsAddressNV(fexfn_packed_args_libGL_glDrawCommandsAddressNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned long *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glDrawCommandsAddressNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawCommandsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int64_t*> a_2;
  guest_layout<const int32_t*> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glDrawCommandsNV(fexfn_packed_args_libGL_glDrawCommandsNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const long *> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glDrawCommandsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawCommandsStatesAddressNV {
  guest_layout<const uint64_t*> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<const uint32_t*> a_2;
  guest_layout<const uint32_t*> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glDrawCommandsStatesAddressNV(fexfn_packed_args_libGL_glDrawCommandsStatesAddressNV* args) {
  host_layout<const unsigned long *> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glDrawCommandsStatesAddressNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawCommandsStatesNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int64_t*> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<const uint32_t*> a_3;
  guest_layout<const uint32_t*> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glDrawCommandsStatesNV(fexfn_packed_args_libGL_glDrawCommandsStatesNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const long *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glDrawCommandsStatesNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElementArrayAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glDrawElementArrayAPPLE(fexfn_packed_args_libGL_glDrawElementArrayAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
fexldr_ptr_libGL_glDrawElementArrayAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElementArrayATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glDrawElementArrayATI(fexfn_packed_args_libGL_glDrawElementArrayATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
fexldr_ptr_libGL_glDrawElementArrayATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElementsBaseVertex {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glDrawElementsBaseVertex(fexfn_packed_args_libGL_glDrawElementsBaseVertex* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glDrawElementsBaseVertex(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElements {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLvoid *> a_3;
};
static void fexfn_unpack_libGL_glDrawElements(fexfn_packed_args_libGL_glDrawElements* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glDrawElements(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElementsIndirect {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
};
static void fexfn_unpack_libGL_glDrawElementsIndirect(fexfn_packed_args_libGL_glDrawElementsIndirect* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glDrawElementsIndirect(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElementsInstancedARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glDrawElementsInstancedARB(fexfn_packed_args_libGL_glDrawElementsInstancedARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glDrawElementsInstancedARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElementsInstancedBaseInstance {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glDrawElementsInstancedBaseInstance(fexfn_packed_args_libGL_glDrawElementsInstancedBaseInstance* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glDrawElementsInstancedBaseInstance(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElementsInstancedBaseVertexBaseInstance {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
};
static void fexfn_unpack_libGL_glDrawElementsInstancedBaseVertexBaseInstance(fexfn_packed_args_libGL_glDrawElementsInstancedBaseVertexBaseInstance* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
fexldr_ptr_libGL_glDrawElementsInstancedBaseVertexBaseInstance(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElementsInstancedBaseVertex {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glDrawElementsInstancedBaseVertex(fexfn_packed_args_libGL_glDrawElementsInstancedBaseVertex* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glDrawElementsInstancedBaseVertex(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElementsInstancedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glDrawElementsInstancedEXT(fexfn_packed_args_libGL_glDrawElementsInstancedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glDrawElementsInstancedEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawElementsInstanced {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glDrawElementsInstanced(fexfn_packed_args_libGL_glDrawElementsInstanced* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glDrawElementsInstanced(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawMeshArraysSUN {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glDrawMeshArraysSUN(fexfn_packed_args_libGL_glDrawMeshArraysSUN* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glDrawMeshArraysSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawMeshTasksIndirectNV {
  guest_layout<int64_t> a_0;
};
static void fexfn_unpack_libGL_glDrawMeshTasksIndirectNV(fexfn_packed_args_libGL_glDrawMeshTasksIndirectNV* args) {
  host_layout<GLintptr> a_0 { args->a_0 };
fexldr_ptr_libGL_glDrawMeshTasksIndirectNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawMeshTasksNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDrawMeshTasksNV(fexfn_packed_args_libGL_glDrawMeshTasksNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glDrawMeshTasksNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawPixels {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<const GLvoid *> a_4;
};
static void fexfn_unpack_libGL_glDrawPixels(fexfn_packed_args_libGL_glDrawPixels* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glDrawPixels(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawRangeElementArrayAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glDrawRangeElementArrayAPPLE(fexfn_packed_args_libGL_glDrawRangeElementArrayAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glDrawRangeElementArrayAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawRangeElementArrayATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glDrawRangeElementArrayATI(fexfn_packed_args_libGL_glDrawRangeElementArrayATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glDrawRangeElementArrayATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawRangeElementsBaseVertex {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const void *> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glDrawRangeElementsBaseVertex(fexfn_packed_args_libGL_glDrawRangeElementsBaseVertex* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
fexldr_ptr_libGL_glDrawRangeElementsBaseVertex(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawRangeElementsEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const void *> a_5;
};
static void fexfn_unpack_libGL_glDrawRangeElementsEXT(fexfn_packed_args_libGL_glDrawRangeElementsEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glDrawRangeElementsEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawRangeElements {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const GLvoid *> a_5;
};
static void fexfn_unpack_libGL_glDrawRangeElements(fexfn_packed_args_libGL_glDrawRangeElements* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glDrawRangeElements(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawTextureNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<GLfloat> a_8;
  guest_layout<GLfloat> a_9;
  guest_layout<GLfloat> a_10;
};
static void fexfn_unpack_libGL_glDrawTextureNV(fexfn_packed_args_libGL_glDrawTextureNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
  host_layout<GLfloat> a_9 { args->a_9 };
  host_layout<GLfloat> a_10 { args->a_10 };
fexldr_ptr_libGL_glDrawTextureNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawTransformFeedback {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDrawTransformFeedback(fexfn_packed_args_libGL_glDrawTransformFeedback* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glDrawTransformFeedback(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawTransformFeedbackInstanced {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glDrawTransformFeedbackInstanced(fexfn_packed_args_libGL_glDrawTransformFeedbackInstanced* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
fexldr_ptr_libGL_glDrawTransformFeedbackInstanced(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawTransformFeedbackNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glDrawTransformFeedbackNV(fexfn_packed_args_libGL_glDrawTransformFeedbackNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glDrawTransformFeedbackNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawTransformFeedbackStream {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glDrawTransformFeedbackStream(fexfn_packed_args_libGL_glDrawTransformFeedbackStream* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glDrawTransformFeedbackStream(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawTransformFeedbackStreamInstanced {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glDrawTransformFeedbackStreamInstanced(fexfn_packed_args_libGL_glDrawTransformFeedbackStreamInstanced* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glDrawTransformFeedbackStreamInstanced(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glDrawVkImageNV {
  guest_layout<uint64_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<GLfloat> a_8;
  guest_layout<GLfloat> a_9;
  guest_layout<GLfloat> a_10;
};
static void fexfn_unpack_libGL_glDrawVkImageNV(fexfn_packed_args_libGL_glDrawVkImageNV* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
  host_layout<GLfloat> a_9 { args->a_9 };
  host_layout<GLfloat> a_10 { args->a_10 };
fexldr_ptr_libGL_glDrawVkImageNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEdgeFlagFormatNV {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glEdgeFlagFormatNV(fexfn_packed_args_libGL_glEdgeFlagFormatNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
fexldr_ptr_libGL_glEdgeFlagFormatNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEdgeFlag {
  guest_layout<uint8_t> a_0;
};
static void fexfn_unpack_libGL_glEdgeFlag(fexfn_packed_args_libGL_glEdgeFlag* args) {
  host_layout<GLboolean> a_0 { args->a_0 };
fexldr_ptr_libGL_glEdgeFlag(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEdgeFlagPointerEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glEdgeFlagPointerEXT(fexfn_packed_args_libGL_glEdgeFlagPointerEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glEdgeFlagPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEdgeFlagPointer {
  guest_layout<int32_t> a_0;
  guest_layout<const GLvoid *> a_1;
};
static void fexfn_unpack_libGL_glEdgeFlagPointer(fexfn_packed_args_libGL_glEdgeFlagPointer* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glEdgeFlagPointer(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEdgeFlagPointerListIBM {
  guest_layout<int32_t> a_0;
  guest_layout<const GLboolean **> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glEdgeFlagPointerListIBM(fexfn_packed_args_libGL_glEdgeFlagPointerListIBM* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const unsigned char **> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glEdgeFlagPointerListIBM(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEdgeFlagv {
  guest_layout<const uint8_t*> a_0;
};
static void fexfn_unpack_libGL_glEdgeFlagv(fexfn_packed_args_libGL_glEdgeFlagv* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glEdgeFlagv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEGLImageTargetRenderbufferStorageOES {
  guest_layout<uint32_t> a_0;
  guest_layout<GLeglImageOES> a_1;
};
static void fexfn_unpack_libGL_glEGLImageTargetRenderbufferStorageOES(fexfn_packed_args_libGL_glEGLImageTargetRenderbufferStorageOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glEGLImageTargetRenderbufferStorageOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEGLImageTargetTexStorageEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLeglImageOES> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glEGLImageTargetTexStorageEXT(fexfn_packed_args_libGL_glEGLImageTargetTexStorageEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<void *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glEGLImageTargetTexStorageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEGLImageTargetTexture2DOES {
  guest_layout<uint32_t> a_0;
  guest_layout<GLeglImageOES> a_1;
};
static void fexfn_unpack_libGL_glEGLImageTargetTexture2DOES(fexfn_packed_args_libGL_glEGLImageTargetTexture2DOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glEGLImageTargetTexture2DOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEGLImageTargetTextureStorageEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLeglImageOES> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glEGLImageTargetTextureStorageEXT(fexfn_packed_args_libGL_glEGLImageTargetTextureStorageEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<void *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glEGLImageTargetTextureStorageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glElementPointerAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
};
static void fexfn_unpack_libGL_glElementPointerAPPLE(fexfn_packed_args_libGL_glElementPointerAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glElementPointerAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glElementPointerATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
};
static void fexfn_unpack_libGL_glElementPointerATI(fexfn_packed_args_libGL_glElementPointerATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glElementPointerATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableClientState {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glEnableClientState(fexfn_packed_args_libGL_glEnableClientState* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glEnableClientState(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableClientStateiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glEnableClientStateiEXT(fexfn_packed_args_libGL_glEnableClientStateiEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glEnableClientStateiEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableClientStateIndexedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glEnableClientStateIndexedEXT(fexfn_packed_args_libGL_glEnableClientStateIndexedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glEnableClientStateIndexedEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnable {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glEnable(fexfn_packed_args_libGL_glEnable* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glEnable(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnablei {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glEnablei(fexfn_packed_args_libGL_glEnablei* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glEnablei(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableIndexedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glEnableIndexedEXT(fexfn_packed_args_libGL_glEnableIndexedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glEnableIndexedEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableVariantClientStateEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glEnableVariantClientStateEXT(fexfn_packed_args_libGL_glEnableVariantClientStateEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glEnableVariantClientStateEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableVertexArrayAttribEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glEnableVertexArrayAttribEXT(fexfn_packed_args_libGL_glEnableVertexArrayAttribEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glEnableVertexArrayAttribEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableVertexArrayAttrib {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glEnableVertexArrayAttrib(fexfn_packed_args_libGL_glEnableVertexArrayAttrib* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glEnableVertexArrayAttrib(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableVertexArrayEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glEnableVertexArrayEXT(fexfn_packed_args_libGL_glEnableVertexArrayEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glEnableVertexArrayEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableVertexAttribAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glEnableVertexAttribAPPLE(fexfn_packed_args_libGL_glEnableVertexAttribAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glEnableVertexAttribAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableVertexAttribArrayARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glEnableVertexAttribArrayARB(fexfn_packed_args_libGL_glEnableVertexAttribArrayARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glEnableVertexAttribArrayARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnableVertexAttribArray {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glEnableVertexAttribArray(fexfn_packed_args_libGL_glEnableVertexAttribArray* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glEnableVertexAttribArray(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEnd {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEnd(fexfn_packed_args_libGL_glEnd* args) {
fexldr_ptr_libGL_glEnd();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndConditionalRender {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEndConditionalRender(fexfn_packed_args_libGL_glEndConditionalRender* args) {
fexldr_ptr_libGL_glEndConditionalRender();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndConditionalRenderNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEndConditionalRenderNV(fexfn_packed_args_libGL_glEndConditionalRenderNV* args) {
fexldr_ptr_libGL_glEndConditionalRenderNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndConditionalRenderNVX {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEndConditionalRenderNVX(fexfn_packed_args_libGL_glEndConditionalRenderNVX* args) {
fexldr_ptr_libGL_glEndConditionalRenderNVX();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndFragmentShaderATI {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEndFragmentShaderATI(fexfn_packed_args_libGL_glEndFragmentShaderATI* args) {
fexldr_ptr_libGL_glEndFragmentShaderATI();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndList {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEndList(fexfn_packed_args_libGL_glEndList* args) {
fexldr_ptr_libGL_glEndList();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndOcclusionQueryNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEndOcclusionQueryNV(fexfn_packed_args_libGL_glEndOcclusionQueryNV* args) {
fexldr_ptr_libGL_glEndOcclusionQueryNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndPerfMonitorAMD {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glEndPerfMonitorAMD(fexfn_packed_args_libGL_glEndPerfMonitorAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glEndPerfMonitorAMD(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndPerfQueryINTEL {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glEndPerfQueryINTEL(fexfn_packed_args_libGL_glEndPerfQueryINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glEndPerfQueryINTEL(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndQueryARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glEndQueryARB(fexfn_packed_args_libGL_glEndQueryARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glEndQueryARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndQuery {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glEndQuery(fexfn_packed_args_libGL_glEndQuery* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glEndQuery(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndQueryIndexed {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glEndQueryIndexed(fexfn_packed_args_libGL_glEndQueryIndexed* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glEndQueryIndexed(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndTransformFeedback {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEndTransformFeedback(fexfn_packed_args_libGL_glEndTransformFeedback* args) {
fexldr_ptr_libGL_glEndTransformFeedback();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndTransformFeedbackEXT {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEndTransformFeedbackEXT(fexfn_packed_args_libGL_glEndTransformFeedbackEXT* args) {
fexldr_ptr_libGL_glEndTransformFeedbackEXT();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndTransformFeedbackNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEndTransformFeedbackNV(fexfn_packed_args_libGL_glEndTransformFeedbackNV* args) {
fexldr_ptr_libGL_glEndTransformFeedbackNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndVertexShaderEXT {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEndVertexShaderEXT(fexfn_packed_args_libGL_glEndVertexShaderEXT* args) {
fexldr_ptr_libGL_glEndVertexShaderEXT();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEndVideoCaptureNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glEndVideoCaptureNV(fexfn_packed_args_libGL_glEndVideoCaptureNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glEndVideoCaptureNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord1d {
  guest_layout<GLdouble> a_0;
};
static void fexfn_unpack_libGL_glEvalCoord1d(fexfn_packed_args_libGL_glEvalCoord1d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
fexldr_ptr_libGL_glEvalCoord1d(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord1dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glEvalCoord1dv(fexfn_packed_args_libGL_glEvalCoord1dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glEvalCoord1dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord1f {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glEvalCoord1f(fexfn_packed_args_libGL_glEvalCoord1f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glEvalCoord1f(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord1fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glEvalCoord1fv(fexfn_packed_args_libGL_glEvalCoord1fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glEvalCoord1fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord1xOES {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glEvalCoord1xOES(fexfn_packed_args_libGL_glEvalCoord1xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
fexldr_ptr_libGL_glEvalCoord1xOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord1xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glEvalCoord1xvOES(fexfn_packed_args_libGL_glEvalCoord1xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glEvalCoord1xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord2d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glEvalCoord2d(fexfn_packed_args_libGL_glEvalCoord2d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glEvalCoord2d(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord2dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glEvalCoord2dv(fexfn_packed_args_libGL_glEvalCoord2dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glEvalCoord2dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord2f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glEvalCoord2f(fexfn_packed_args_libGL_glEvalCoord2f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glEvalCoord2f(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord2fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glEvalCoord2fv(fexfn_packed_args_libGL_glEvalCoord2fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glEvalCoord2fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord2xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glEvalCoord2xOES(fexfn_packed_args_libGL_glEvalCoord2xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glEvalCoord2xOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalCoord2xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glEvalCoord2xvOES(fexfn_packed_args_libGL_glEvalCoord2xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glEvalCoord2xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalMapsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glEvalMapsNV(fexfn_packed_args_libGL_glEvalMapsNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glEvalMapsNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalMesh1 {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glEvalMesh1(fexfn_packed_args_libGL_glEvalMesh1* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glEvalMesh1(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalMesh2 {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glEvalMesh2(fexfn_packed_args_libGL_glEvalMesh2* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glEvalMesh2(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalPoint1 {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glEvalPoint1(fexfn_packed_args_libGL_glEvalPoint1* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glEvalPoint1(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvalPoint2 {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glEvalPoint2(fexfn_packed_args_libGL_glEvalPoint2* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glEvalPoint2(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glEvaluateDepthValuesARB {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glEvaluateDepthValuesARB(fexfn_packed_args_libGL_glEvaluateDepthValuesARB* args) {
fexldr_ptr_libGL_glEvaluateDepthValuesARB();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glExecuteProgramNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glExecuteProgramNV(fexfn_packed_args_libGL_glExecuteProgramNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glExecuteProgramNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glExtractComponentEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glExtractComponentEXT(fexfn_packed_args_libGL_glExtractComponentEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glExtractComponentEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFeedbackBuffer {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glFeedbackBuffer(fexfn_packed_args_libGL_glFeedbackBuffer* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glFeedbackBuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFeedbackBufferxOES {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glFeedbackBufferxOES(fexfn_packed_args_libGL_glFeedbackBufferxOES* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glFeedbackBufferxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFinalCombinerInputNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glFinalCombinerInputNV(fexfn_packed_args_libGL_glFinalCombinerInputNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glFinalCombinerInputNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFinish {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glFinish(fexfn_packed_args_libGL_glFinish* args) {
fexldr_ptr_libGL_glFinish();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFinishFenceAPPLE {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glFinishFenceAPPLE(fexfn_packed_args_libGL_glFinishFenceAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glFinishFenceAPPLE(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFinishFenceNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glFinishFenceNV(fexfn_packed_args_libGL_glFinishFenceNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glFinishFenceNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFinishObjectAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glFinishObjectAPPLE(fexfn_packed_args_libGL_glFinishObjectAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glFinishObjectAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFinishTextureSUNX {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glFinishTextureSUNX(fexfn_packed_args_libGL_glFinishTextureSUNX* args) {
fexldr_ptr_libGL_glFinishTextureSUNX();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFlush {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glFlush(fexfn_packed_args_libGL_glFlush* args) {
fexldr_ptr_libGL_glFlush();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFlushMappedBufferRangeAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
};
static void fexfn_unpack_libGL_glFlushMappedBufferRangeAPPLE(fexfn_packed_args_libGL_glFlushMappedBufferRangeAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
fexldr_ptr_libGL_glFlushMappedBufferRangeAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFlushMappedBufferRange {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
};
static void fexfn_unpack_libGL_glFlushMappedBufferRange(fexfn_packed_args_libGL_glFlushMappedBufferRange* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
fexldr_ptr_libGL_glFlushMappedBufferRange(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFlushMappedNamedBufferRangeEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
};
static void fexfn_unpack_libGL_glFlushMappedNamedBufferRangeEXT(fexfn_packed_args_libGL_glFlushMappedNamedBufferRangeEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
fexldr_ptr_libGL_glFlushMappedNamedBufferRangeEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFlushMappedNamedBufferRange {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
};
static void fexfn_unpack_libGL_glFlushMappedNamedBufferRange(fexfn_packed_args_libGL_glFlushMappedNamedBufferRange* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
fexldr_ptr_libGL_glFlushMappedNamedBufferRange(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFlushPixelDataRangeNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glFlushPixelDataRangeNV(fexfn_packed_args_libGL_glFlushPixelDataRangeNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glFlushPixelDataRangeNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFlushRasterSGIX {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glFlushRasterSGIX(fexfn_packed_args_libGL_glFlushRasterSGIX* args) {
fexldr_ptr_libGL_glFlushRasterSGIX();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFlushStaticDataIBM {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glFlushStaticDataIBM(fexfn_packed_args_libGL_glFlushStaticDataIBM* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glFlushStaticDataIBM(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFlushVertexArrayRangeAPPLE {
  guest_layout<int32_t> a_0;
  guest_layout<void *> a_1;
};
static void fexfn_unpack_libGL_glFlushVertexArrayRangeAPPLE(fexfn_packed_args_libGL_glFlushVertexArrayRangeAPPLE* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glFlushVertexArrayRangeAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFlushVertexArrayRangeNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glFlushVertexArrayRangeNV(fexfn_packed_args_libGL_glFlushVertexArrayRangeNV* args) {
fexldr_ptr_libGL_glFlushVertexArrayRangeNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoorddEXT {
  guest_layout<GLdouble> a_0;
};
static void fexfn_unpack_libGL_glFogCoorddEXT(fexfn_packed_args_libGL_glFogCoorddEXT* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
fexldr_ptr_libGL_glFogCoorddEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoorddvEXT {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glFogCoorddvEXT(fexfn_packed_args_libGL_glFogCoorddvEXT* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glFogCoorddvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordfEXT {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glFogCoordfEXT(fexfn_packed_args_libGL_glFogCoordfEXT* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glFogCoordfEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordFormatNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glFogCoordFormatNV(fexfn_packed_args_libGL_glFogCoordFormatNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
fexldr_ptr_libGL_glFogCoordFormatNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordfvEXT {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glFogCoordfvEXT(fexfn_packed_args_libGL_glFogCoordfvEXT* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glFogCoordfvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordhNV {
  guest_layout<uint16_t> a_0;
};
static void fexfn_unpack_libGL_glFogCoordhNV(fexfn_packed_args_libGL_glFogCoordhNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
fexldr_ptr_libGL_glFogCoordhNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordhvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glFogCoordhvNV(fexfn_packed_args_libGL_glFogCoordhvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glFogCoordhvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordPointerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const void *> a_2;
};
static void fexfn_unpack_libGL_glFogCoordPointerEXT(fexfn_packed_args_libGL_glFogCoordPointerEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glFogCoordPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogCoordPointerListIBM {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const void **> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glFogCoordPointerListIBM(fexfn_packed_args_libGL_glFogCoordPointerListIBM* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<const void **> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glFogCoordPointerListIBM(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogf {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glFogf(fexfn_packed_args_libGL_glFogf* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glFogf(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogFuncSGIS {
  guest_layout<int32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glFogFuncSGIS(fexfn_packed_args_libGL_glFogFuncSGIS* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glFogFuncSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogfv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glFogfv(fexfn_packed_args_libGL_glFogfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glFogfv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogi {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glFogi(fexfn_packed_args_libGL_glFogi* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glFogi(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glFogiv(fexfn_packed_args_libGL_glFogiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glFogiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glFogxOES(fexfn_packed_args_libGL_glFogxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glFogxOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFogxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glFogxvOES(fexfn_packed_args_libGL_glFogxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glFogxvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentColorMaterialSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glFragmentColorMaterialSGIX(fexfn_packed_args_libGL_glFragmentColorMaterialSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glFragmentColorMaterialSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentCoverageColorNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glFragmentCoverageColorNV(fexfn_packed_args_libGL_glFragmentCoverageColorNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glFragmentCoverageColorNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentLightfSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glFragmentLightfSGIX(fexfn_packed_args_libGL_glFragmentLightfSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glFragmentLightfSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentLightfvSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glFragmentLightfvSGIX(fexfn_packed_args_libGL_glFragmentLightfvSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glFragmentLightfvSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentLightiSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glFragmentLightiSGIX(fexfn_packed_args_libGL_glFragmentLightiSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glFragmentLightiSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentLightivSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glFragmentLightivSGIX(fexfn_packed_args_libGL_glFragmentLightivSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glFragmentLightivSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentLightModelfSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glFragmentLightModelfSGIX(fexfn_packed_args_libGL_glFragmentLightModelfSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glFragmentLightModelfSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentLightModelfvSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glFragmentLightModelfvSGIX(fexfn_packed_args_libGL_glFragmentLightModelfvSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glFragmentLightModelfvSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentLightModeliSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glFragmentLightModeliSGIX(fexfn_packed_args_libGL_glFragmentLightModeliSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glFragmentLightModeliSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentLightModelivSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glFragmentLightModelivSGIX(fexfn_packed_args_libGL_glFragmentLightModelivSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glFragmentLightModelivSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentMaterialfSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glFragmentMaterialfSGIX(fexfn_packed_args_libGL_glFragmentMaterialfSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glFragmentMaterialfSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentMaterialfvSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glFragmentMaterialfvSGIX(fexfn_packed_args_libGL_glFragmentMaterialfvSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glFragmentMaterialfvSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentMaterialiSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glFragmentMaterialiSGIX(fexfn_packed_args_libGL_glFragmentMaterialiSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glFragmentMaterialiSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFragmentMaterialivSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glFragmentMaterialivSGIX(fexfn_packed_args_libGL_glFragmentMaterialivSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glFragmentMaterialivSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferDrawBufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glFramebufferDrawBufferEXT(fexfn_packed_args_libGL_glFramebufferDrawBufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glFramebufferDrawBufferEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferDrawBuffersEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glFramebufferDrawBuffersEXT(fexfn_packed_args_libGL_glFramebufferDrawBuffersEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glFramebufferDrawBuffersEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferFetchBarrierEXT {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glFramebufferFetchBarrierEXT(fexfn_packed_args_libGL_glFramebufferFetchBarrierEXT* args) {
fexldr_ptr_libGL_glFramebufferFetchBarrierEXT();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferParameteri {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glFramebufferParameteri(fexfn_packed_args_libGL_glFramebufferParameteri* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glFramebufferParameteri(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferParameteriMESA {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glFramebufferParameteriMESA(fexfn_packed_args_libGL_glFramebufferParameteriMESA* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glFramebufferParameteriMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferReadBufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glFramebufferReadBufferEXT(fexfn_packed_args_libGL_glFramebufferReadBufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glFramebufferReadBufferEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferRenderbufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glFramebufferRenderbufferEXT(fexfn_packed_args_libGL_glFramebufferRenderbufferEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glFramebufferRenderbufferEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferRenderbuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glFramebufferRenderbuffer(fexfn_packed_args_libGL_glFramebufferRenderbuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glFramebufferRenderbuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferSampleLocationsfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glFramebufferSampleLocationsfvARB(fexfn_packed_args_libGL_glFramebufferSampleLocationsfvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glFramebufferSampleLocationsfvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferSampleLocationsfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glFramebufferSampleLocationsfvNV(fexfn_packed_args_libGL_glFramebufferSampleLocationsfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glFramebufferSampleLocationsfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferSamplePositionsfvAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glFramebufferSamplePositionsfvAMD(fexfn_packed_args_libGL_glFramebufferSamplePositionsfvAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glFramebufferSamplePositionsfvAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTexture1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glFramebufferTexture1DEXT(fexfn_packed_args_libGL_glFramebufferTexture1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glFramebufferTexture1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTexture1D {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glFramebufferTexture1D(fexfn_packed_args_libGL_glFramebufferTexture1D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glFramebufferTexture1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTexture2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glFramebufferTexture2DEXT(fexfn_packed_args_libGL_glFramebufferTexture2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glFramebufferTexture2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTexture2D {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glFramebufferTexture2D(fexfn_packed_args_libGL_glFramebufferTexture2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glFramebufferTexture2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTexture3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glFramebufferTexture3DEXT(fexfn_packed_args_libGL_glFramebufferTexture3DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glFramebufferTexture3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTexture3D {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glFramebufferTexture3D(fexfn_packed_args_libGL_glFramebufferTexture3D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glFramebufferTexture3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTextureARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glFramebufferTextureARB(fexfn_packed_args_libGL_glFramebufferTextureARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glFramebufferTextureARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTextureEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glFramebufferTextureEXT(fexfn_packed_args_libGL_glFramebufferTextureEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glFramebufferTextureEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTextureFaceARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glFramebufferTextureFaceARB(fexfn_packed_args_libGL_glFramebufferTextureFaceARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
fexldr_ptr_libGL_glFramebufferTextureFaceARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTextureFaceEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glFramebufferTextureFaceEXT(fexfn_packed_args_libGL_glFramebufferTextureFaceEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
fexldr_ptr_libGL_glFramebufferTextureFaceEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTexture {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glFramebufferTexture(fexfn_packed_args_libGL_glFramebufferTexture* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glFramebufferTexture(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTextureLayerARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glFramebufferTextureLayerARB(fexfn_packed_args_libGL_glFramebufferTextureLayerARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glFramebufferTextureLayerARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTextureLayerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glFramebufferTextureLayerEXT(fexfn_packed_args_libGL_glFramebufferTextureLayerEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glFramebufferTextureLayerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTextureLayer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glFramebufferTextureLayer(fexfn_packed_args_libGL_glFramebufferTextureLayer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glFramebufferTextureLayer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFramebufferTextureMultiviewOVR {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glFramebufferTextureMultiviewOVR(fexfn_packed_args_libGL_glFramebufferTextureMultiviewOVR* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glFramebufferTextureMultiviewOVR(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFrameTerminatorGREMEDY {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glFrameTerminatorGREMEDY(fexfn_packed_args_libGL_glFrameTerminatorGREMEDY* args) {
fexldr_ptr_libGL_glFrameTerminatorGREMEDY();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFrameZoomSGIX {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glFrameZoomSGIX(fexfn_packed_args_libGL_glFrameZoomSGIX* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glFrameZoomSGIX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFreeObjectBufferATI {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glFreeObjectBufferATI(fexfn_packed_args_libGL_glFreeObjectBufferATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glFreeObjectBufferATI(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFrontFace {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glFrontFace(fexfn_packed_args_libGL_glFrontFace* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glFrontFace(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFrustumfOES {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glFrustumfOES(fexfn_packed_args_libGL_glFrustumfOES* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glFrustumfOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFrustum {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
};
static void fexfn_unpack_libGL_glFrustum(fexfn_packed_args_libGL_glFrustum* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
fexldr_ptr_libGL_glFrustum(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glFrustumxOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glFrustumxOES(fexfn_packed_args_libGL_glFrustumxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
  host_layout<GLfixed> a_4 { args->a_4 };
  host_layout<GLfixed> a_5 { args->a_5 };
fexldr_ptr_libGL_glFrustumxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenBuffersARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenBuffersARB(fexfn_packed_args_libGL_glGenBuffersARB* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenBuffersARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenBuffers {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenBuffers(fexfn_packed_args_libGL_glGenBuffers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenBuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenerateMipmapEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glGenerateMipmapEXT(fexfn_packed_args_libGL_glGenerateMipmapEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glGenerateMipmapEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenerateMipmap {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glGenerateMipmap(fexfn_packed_args_libGL_glGenerateMipmap* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glGenerateMipmap(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenerateMultiTexMipmapEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glGenerateMultiTexMipmapEXT(fexfn_packed_args_libGL_glGenerateMultiTexMipmapEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenerateMultiTexMipmapEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenerateTextureMipmapEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glGenerateTextureMipmapEXT(fexfn_packed_args_libGL_glGenerateTextureMipmapEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenerateTextureMipmapEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenerateTextureMipmap {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glGenerateTextureMipmap(fexfn_packed_args_libGL_glGenerateTextureMipmap* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glGenerateTextureMipmap(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenFencesAPPLE {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenFencesAPPLE(fexfn_packed_args_libGL_glGenFencesAPPLE* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenFencesAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenFencesNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenFencesNV(fexfn_packed_args_libGL_glGenFencesNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenFencesNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenFramebuffersEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenFramebuffersEXT(fexfn_packed_args_libGL_glGenFramebuffersEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenFramebuffersEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenFramebuffers {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenFramebuffers(fexfn_packed_args_libGL_glGenFramebuffers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenFramebuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenNamesAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGenNamesAMD(fexfn_packed_args_libGL_glGenNamesAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGenNamesAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenOcclusionQueriesNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenOcclusionQueriesNV(fexfn_packed_args_libGL_glGenOcclusionQueriesNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenOcclusionQueriesNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenPerfMonitorsAMD {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenPerfMonitorsAMD(fexfn_packed_args_libGL_glGenPerfMonitorsAMD* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenPerfMonitorsAMD(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenProgramPipelines {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenProgramPipelines(fexfn_packed_args_libGL_glGenProgramPipelines* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenProgramPipelines(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenProgramsARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenProgramsARB(fexfn_packed_args_libGL_glGenProgramsARB* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenProgramsARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenProgramsNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenProgramsNV(fexfn_packed_args_libGL_glGenProgramsNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenProgramsNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenQueriesARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenQueriesARB(fexfn_packed_args_libGL_glGenQueriesARB* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenQueriesARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenQueries {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenQueries(fexfn_packed_args_libGL_glGenQueries* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenQueries(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenQueryResourceTagNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenQueryResourceTagNV(fexfn_packed_args_libGL_glGenQueryResourceTagNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenQueryResourceTagNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenRenderbuffersEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenRenderbuffersEXT(fexfn_packed_args_libGL_glGenRenderbuffersEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenRenderbuffersEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenRenderbuffers {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenRenderbuffers(fexfn_packed_args_libGL_glGenRenderbuffers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenRenderbuffers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenSamplers {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenSamplers(fexfn_packed_args_libGL_glGenSamplers* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenSamplers(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenSemaphoresEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenSemaphoresEXT(fexfn_packed_args_libGL_glGenSemaphoresEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenSemaphoresEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenTexturesEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenTexturesEXT(fexfn_packed_args_libGL_glGenTexturesEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenTexturesEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenTextures {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenTextures(fexfn_packed_args_libGL_glGenTextures* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenTextures(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenTransformFeedbacks {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenTransformFeedbacks(fexfn_packed_args_libGL_glGenTransformFeedbacks* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenTransformFeedbacks(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenTransformFeedbacksNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenTransformFeedbacksNV(fexfn_packed_args_libGL_glGenTransformFeedbacksNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenTransformFeedbacksNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenVertexArraysAPPLE {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenVertexArraysAPPLE(fexfn_packed_args_libGL_glGenVertexArraysAPPLE* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenVertexArraysAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGenVertexArrays {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGenVertexArrays(fexfn_packed_args_libGL_glGenVertexArrays* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGenVertexArrays(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveAtomicCounterBufferiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetActiveAtomicCounterBufferiv(fexfn_packed_args_libGL_glGetActiveAtomicCounterBufferiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetActiveAtomicCounterBufferiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveAttribARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<uint8_t*> a_6;
};
static void fexfn_unpack_libGL_glGetActiveAttribARB(fexfn_packed_args_libGL_glGetActiveAttribARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  host_layout<char *> a_6 { args->a_6 };
fexldr_ptr_libGL_glGetActiveAttribARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveAttrib {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<uint8_t*> a_6;
};
static void fexfn_unpack_libGL_glGetActiveAttrib(fexfn_packed_args_libGL_glGetActiveAttrib* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  host_layout<char *> a_6 { args->a_6 };
fexldr_ptr_libGL_glGetActiveAttrib(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveSubroutineName {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint8_t*> a_5;
};
static void fexfn_unpack_libGL_glGetActiveSubroutineName(fexfn_packed_args_libGL_glGetActiveSubroutineName* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<char *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetActiveSubroutineName(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveSubroutineUniformiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetActiveSubroutineUniformiv(fexfn_packed_args_libGL_glGetActiveSubroutineUniformiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetActiveSubroutineUniformiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveSubroutineUniformName {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint8_t*> a_5;
};
static void fexfn_unpack_libGL_glGetActiveSubroutineUniformName(fexfn_packed_args_libGL_glGetActiveSubroutineUniformName* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<char *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetActiveSubroutineUniformName(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveUniformARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<uint8_t*> a_6;
};
static void fexfn_unpack_libGL_glGetActiveUniformARB(fexfn_packed_args_libGL_glGetActiveUniformARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  host_layout<char *> a_6 { args->a_6 };
fexldr_ptr_libGL_glGetActiveUniformARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveUniformBlockiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetActiveUniformBlockiv(fexfn_packed_args_libGL_glGetActiveUniformBlockiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetActiveUniformBlockiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveUniformBlockName {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<uint8_t*> a_4;
};
static void fexfn_unpack_libGL_glGetActiveUniformBlockName(fexfn_packed_args_libGL_glGetActiveUniformBlockName* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<char *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetActiveUniformBlockName(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveUniform {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<uint8_t*> a_6;
};
static void fexfn_unpack_libGL_glGetActiveUniform(fexfn_packed_args_libGL_glGetActiveUniform* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  host_layout<char *> a_6 { args->a_6 };
fexldr_ptr_libGL_glGetActiveUniform(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveUniformName {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<uint8_t*> a_4;
};
static void fexfn_unpack_libGL_glGetActiveUniformName(fexfn_packed_args_libGL_glGetActiveUniformName* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<char *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetActiveUniformName(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveUniformsiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetActiveUniformsiv(fexfn_packed_args_libGL_glGetActiveUniformsiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetActiveUniformsiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetActiveVaryingNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<uint8_t*> a_6;
};
static void fexfn_unpack_libGL_glGetActiveVaryingNV(fexfn_packed_args_libGL_glGetActiveVaryingNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  host_layout<char *> a_6 { args->a_6 };
fexldr_ptr_libGL_glGetActiveVaryingNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetArrayObjectfvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetArrayObjectfvATI(fexfn_packed_args_libGL_glGetArrayObjectfvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetArrayObjectfvATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetArrayObjectivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetArrayObjectivATI(fexfn_packed_args_libGL_glGetArrayObjectivATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetArrayObjectivATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetAttachedObjectsARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetAttachedObjectsARB(fexfn_packed_args_libGL_glGetAttachedObjectsARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetAttachedObjectsARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetAttachedShaders {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetAttachedShaders(fexfn_packed_args_libGL_glGetAttachedShaders* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetAttachedShaders(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBooleanIndexedvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glGetBooleanIndexedvEXT(fexfn_packed_args_libGL_glGetBooleanIndexedvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<unsigned char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetBooleanIndexedvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBooleani_v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glGetBooleani_v(fexfn_packed_args_libGL_glGetBooleani_v* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<unsigned char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetBooleani_v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBooleanv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glGetBooleanv(fexfn_packed_args_libGL_glGetBooleanv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetBooleanv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBufferParameteri64v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetBufferParameteri64v(fexfn_packed_args_libGL_glGetBufferParameteri64v* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetBufferParameteri64v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBufferParameterivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetBufferParameterivARB(fexfn_packed_args_libGL_glGetBufferParameterivARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetBufferParameterivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBufferParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetBufferParameteriv(fexfn_packed_args_libGL_glGetBufferParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetBufferParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBufferParameterui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetBufferParameterui64vNV(fexfn_packed_args_libGL_glGetBufferParameterui64vNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetBufferParameterui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
static auto fexfn_impl_libGL_glGetBufferPointerv(GLenum a_0, GLenum a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBufferPointerv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetBufferPointerv(fexfn_packed_args_libGL_glGetBufferPointerv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexfn_impl_libGL_glGetBufferPointerv(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
static auto fexfn_impl_libGL_glGetBufferPointervARB(GLenum a_0, GLenum a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBufferPointervARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetBufferPointervARB(fexfn_packed_args_libGL_glGetBufferPointervARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexfn_impl_libGL_glGetBufferPointervARB(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBufferSubDataARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetBufferSubDataARB(fexfn_packed_args_libGL_glGetBufferSubDataARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLintptrARB> a_1 { args->a_1 };
  host_layout<GLsizeiptrARB> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetBufferSubDataARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetBufferSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetBufferSubData(fexfn_packed_args_libGL_glGetBufferSubData* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetBufferSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetClipPlanefOES {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glGetClipPlanefOES(fexfn_packed_args_libGL_glGetClipPlanefOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetClipPlanefOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetClipPlane {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glGetClipPlane(fexfn_packed_args_libGL_glGetClipPlane* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetClipPlane(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetClipPlanexOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t*> a_1;
};
static void fexfn_unpack_libGL_glGetClipPlanexOES(fexfn_packed_args_libGL_glGetClipPlanexOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetClipPlanexOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetColorTableEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetColorTableEXT(fexfn_packed_args_libGL_glGetColorTableEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetColorTableEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetColorTable {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLvoid *> a_3;
};
static void fexfn_unpack_libGL_glGetColorTable(fexfn_packed_args_libGL_glGetColorTable* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetColorTable(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetColorTableParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetColorTableParameterfvEXT(fexfn_packed_args_libGL_glGetColorTableParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetColorTableParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetColorTableParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetColorTableParameterfv(fexfn_packed_args_libGL_glGetColorTableParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetColorTableParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetColorTableParameterfvSGI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetColorTableParameterfvSGI(fexfn_packed_args_libGL_glGetColorTableParameterfvSGI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetColorTableParameterfvSGI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetColorTableParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetColorTableParameterivEXT(fexfn_packed_args_libGL_glGetColorTableParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetColorTableParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetColorTableParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetColorTableParameteriv(fexfn_packed_args_libGL_glGetColorTableParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetColorTableParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetColorTableParameterivSGI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetColorTableParameterivSGI(fexfn_packed_args_libGL_glGetColorTableParameterivSGI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetColorTableParameterivSGI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetColorTableSGI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetColorTableSGI(fexfn_packed_args_libGL_glGetColorTableSGI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetColorTableSGI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCombinerInputParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glGetCombinerInputParameterfvNV(fexfn_packed_args_libGL_glGetCombinerInputParameterfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetCombinerInputParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCombinerInputParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetCombinerInputParameterivNV(fexfn_packed_args_libGL_glGetCombinerInputParameterivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetCombinerInputParameterivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCombinerOutputParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetCombinerOutputParameterfvNV(fexfn_packed_args_libGL_glGetCombinerOutputParameterfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetCombinerOutputParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCombinerOutputParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetCombinerOutputParameterivNV(fexfn_packed_args_libGL_glGetCombinerOutputParameterivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetCombinerOutputParameterivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCombinerStageParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetCombinerStageParameterfvNV(fexfn_packed_args_libGL_glGetCombinerStageParameterfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetCombinerStageParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCompressedMultiTexImageEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetCompressedMultiTexImageEXT(fexfn_packed_args_libGL_glGetCompressedMultiTexImageEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetCompressedMultiTexImageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCompressedTexImageARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<void *> a_2;
};
static void fexfn_unpack_libGL_glGetCompressedTexImageARB(fexfn_packed_args_libGL_glGetCompressedTexImageARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetCompressedTexImageARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCompressedTexImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLvoid *> a_2;
};
static void fexfn_unpack_libGL_glGetCompressedTexImage(fexfn_packed_args_libGL_glGetCompressedTexImage* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetCompressedTexImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCompressedTextureImageEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetCompressedTextureImageEXT(fexfn_packed_args_libGL_glGetCompressedTextureImageEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetCompressedTextureImageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCompressedTextureImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetCompressedTextureImage(fexfn_packed_args_libGL_glGetCompressedTextureImage* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetCompressedTextureImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCompressedTextureSubImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<void *> a_9;
};
static void fexfn_unpack_libGL_glGetCompressedTextureSubImage(fexfn_packed_args_libGL_glGetCompressedTextureSubImage* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glGetCompressedTextureSubImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetConvolutionFilterEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetConvolutionFilterEXT(fexfn_packed_args_libGL_glGetConvolutionFilterEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetConvolutionFilterEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetConvolutionFilter {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLvoid *> a_3;
};
static void fexfn_unpack_libGL_glGetConvolutionFilter(fexfn_packed_args_libGL_glGetConvolutionFilter* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetConvolutionFilter(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetConvolutionParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetConvolutionParameterfvEXT(fexfn_packed_args_libGL_glGetConvolutionParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetConvolutionParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetConvolutionParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetConvolutionParameterfv(fexfn_packed_args_libGL_glGetConvolutionParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetConvolutionParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetConvolutionParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetConvolutionParameterivEXT(fexfn_packed_args_libGL_glGetConvolutionParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetConvolutionParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetConvolutionParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetConvolutionParameteriv(fexfn_packed_args_libGL_glGetConvolutionParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetConvolutionParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetConvolutionParameterxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetConvolutionParameterxvOES(fexfn_packed_args_libGL_glGetConvolutionParameterxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetConvolutionParameterxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetCoverageModulationTableNV {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glGetCoverageModulationTableNV(fexfn_packed_args_libGL_glGetCoverageModulationTableNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetCoverageModulationTableNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetDetailTexFuncSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glGetDetailTexFuncSGIS(fexfn_packed_args_libGL_glGetDetailTexFuncSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetDetailTexFuncSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetDoubleIndexedvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetDoubleIndexedvEXT(fexfn_packed_args_libGL_glGetDoubleIndexedvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetDoubleIndexedvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetDoublei_vEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetDoublei_vEXT(fexfn_packed_args_libGL_glGetDoublei_vEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetDoublei_vEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetDoublei_v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetDoublei_v(fexfn_packed_args_libGL_glGetDoublei_v* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetDoublei_v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetDoublev {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glGetDoublev(fexfn_packed_args_libGL_glGetDoublev* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetDoublev(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFenceivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetFenceivNV(fexfn_packed_args_libGL_glGetFenceivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFenceivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFinalCombinerInputParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetFinalCombinerInputParameterfvNV(fexfn_packed_args_libGL_glGetFinalCombinerInputParameterfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFinalCombinerInputParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFinalCombinerInputParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetFinalCombinerInputParameterivNV(fexfn_packed_args_libGL_glGetFinalCombinerInputParameterivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFinalCombinerInputParameterivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFirstPerfQueryIdINTEL {
  guest_layout<uint32_t*> a_0;
};
static void fexfn_unpack_libGL_glGetFirstPerfQueryIdINTEL(fexfn_packed_args_libGL_glGetFirstPerfQueryIdINTEL* args) {
  host_layout<unsigned int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glGetFirstPerfQueryIdINTEL(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFixedvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t*> a_1;
};
static void fexfn_unpack_libGL_glGetFixedvOES(fexfn_packed_args_libGL_glGetFixedvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetFixedvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFloatIndexedvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetFloatIndexedvEXT(fexfn_packed_args_libGL_glGetFloatIndexedvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFloatIndexedvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFloati_vEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetFloati_vEXT(fexfn_packed_args_libGL_glGetFloati_vEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFloati_vEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFloati_v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetFloati_v(fexfn_packed_args_libGL_glGetFloati_v* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFloati_v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFloatv {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glGetFloatv(fexfn_packed_args_libGL_glGetFloatv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetFloatv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFogFuncSGIS {
  guest_layout<GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glGetFogFuncSGIS(fexfn_packed_args_libGL_glGetFogFuncSGIS* args) {
  host_layout<float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glGetFogFuncSGIS(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFragmentLightfvSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetFragmentLightfvSGIX(fexfn_packed_args_libGL_glGetFragmentLightfvSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFragmentLightfvSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFragmentLightivSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetFragmentLightivSGIX(fexfn_packed_args_libGL_glGetFragmentLightivSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFragmentLightivSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFragmentMaterialfvSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetFragmentMaterialfvSGIX(fexfn_packed_args_libGL_glGetFragmentMaterialfvSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFragmentMaterialfvSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFragmentMaterialivSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetFragmentMaterialivSGIX(fexfn_packed_args_libGL_glGetFragmentMaterialivSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFragmentMaterialivSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFramebufferAttachmentParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetFramebufferAttachmentParameterivEXT(fexfn_packed_args_libGL_glGetFramebufferAttachmentParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetFramebufferAttachmentParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFramebufferAttachmentParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetFramebufferAttachmentParameteriv(fexfn_packed_args_libGL_glGetFramebufferAttachmentParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetFramebufferAttachmentParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFramebufferParameterfvAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<GLfloat *> a_5;
};
static void fexfn_unpack_libGL_glGetFramebufferParameterfvAMD(fexfn_packed_args_libGL_glGetFramebufferParameterfvAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<float *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetFramebufferParameterfvAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFramebufferParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetFramebufferParameterivEXT(fexfn_packed_args_libGL_glGetFramebufferParameterivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFramebufferParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFramebufferParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetFramebufferParameteriv(fexfn_packed_args_libGL_glGetFramebufferParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFramebufferParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetFramebufferParameterivMESA {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetFramebufferParameterivMESA(fexfn_packed_args_libGL_glGetFramebufferParameterivMESA* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetFramebufferParameterivMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetHistogramEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<void *> a_4;
};
static void fexfn_unpack_libGL_glGetHistogramEXT(fexfn_packed_args_libGL_glGetHistogramEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetHistogramEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetHistogram {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<GLvoid *> a_4;
};
static void fexfn_unpack_libGL_glGetHistogram(fexfn_packed_args_libGL_glGetHistogram* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetHistogram(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetHistogramParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetHistogramParameterfvEXT(fexfn_packed_args_libGL_glGetHistogramParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetHistogramParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetHistogramParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetHistogramParameterfv(fexfn_packed_args_libGL_glGetHistogramParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetHistogramParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetHistogramParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetHistogramParameterivEXT(fexfn_packed_args_libGL_glGetHistogramParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetHistogramParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetHistogramParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetHistogramParameteriv(fexfn_packed_args_libGL_glGetHistogramParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetHistogramParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetHistogramParameterxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetHistogramParameterxvOES(fexfn_packed_args_libGL_glGetHistogramParameterxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetHistogramParameterxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetImageTransformParameterfvHP {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetImageTransformParameterfvHP(fexfn_packed_args_libGL_glGetImageTransformParameterfvHP* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetImageTransformParameterfvHP(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetImageTransformParameterivHP {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetImageTransformParameterivHP(fexfn_packed_args_libGL_glGetImageTransformParameterivHP* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetImageTransformParameterivHP(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetInfoLogARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glGetInfoLogARB(fexfn_packed_args_libGL_glGetInfoLogARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetInfoLogARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetInteger64i_v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetInteger64i_v(fexfn_packed_args_libGL_glGetInteger64i_v* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetInteger64i_v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetInteger64v {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t*> a_1;
};
static void fexfn_unpack_libGL_glGetInteger64v(fexfn_packed_args_libGL_glGetInteger64v* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetInteger64v(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetIntegerIndexedvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetIntegerIndexedvEXT(fexfn_packed_args_libGL_glGetIntegerIndexedvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetIntegerIndexedvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetIntegeri_v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetIntegeri_v(fexfn_packed_args_libGL_glGetIntegeri_v* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetIntegeri_v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetIntegerui64i_vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetIntegerui64i_vNV(fexfn_packed_args_libGL_glGetIntegerui64i_vNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetIntegerui64i_vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetIntegerui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t*> a_1;
};
static void fexfn_unpack_libGL_glGetIntegerui64vNV(fexfn_packed_args_libGL_glGetIntegerui64vNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<unsigned long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetIntegerui64vNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetIntegerv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t*> a_1;
};
static void fexfn_unpack_libGL_glGetIntegerv(fexfn_packed_args_libGL_glGetIntegerv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetIntegerv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetInternalformati64v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int64_t*> a_4;
};
static void fexfn_unpack_libGL_glGetInternalformati64v(fexfn_packed_args_libGL_glGetInternalformati64v* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<long *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetInternalformati64v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetInternalformativ {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetInternalformativ(fexfn_packed_args_libGL_glGetInternalformativ* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetInternalformativ(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetInternalformatSampleivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t*> a_5;
};
static void fexfn_unpack_libGL_glGetInternalformatSampleivNV(fexfn_packed_args_libGL_glGetInternalformatSampleivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<int *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetInternalformatSampleivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetInvariantBooleanvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glGetInvariantBooleanvEXT(fexfn_packed_args_libGL_glGetInvariantBooleanvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetInvariantBooleanvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetInvariantFloatvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetInvariantFloatvEXT(fexfn_packed_args_libGL_glGetInvariantFloatvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetInvariantFloatvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetInvariantIntegervEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetInvariantIntegervEXT(fexfn_packed_args_libGL_glGetInvariantIntegervEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetInvariantIntegervEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetLightfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetLightfv(fexfn_packed_args_libGL_glGetLightfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetLightfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetLightiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetLightiv(fexfn_packed_args_libGL_glGetLightiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetLightiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetLightxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetLightxOES(fexfn_packed_args_libGL_glGetLightxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetLightxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetListParameterfvSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetListParameterfvSGIX(fexfn_packed_args_libGL_glGetListParameterfvSGIX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetListParameterfvSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetListParameterivSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetListParameterivSGIX(fexfn_packed_args_libGL_glGetListParameterivSGIX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetListParameterivSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetLocalConstantBooleanvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glGetLocalConstantBooleanvEXT(fexfn_packed_args_libGL_glGetLocalConstantBooleanvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetLocalConstantBooleanvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetLocalConstantFloatvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetLocalConstantFloatvEXT(fexfn_packed_args_libGL_glGetLocalConstantFloatvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetLocalConstantFloatvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetLocalConstantIntegervEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetLocalConstantIntegervEXT(fexfn_packed_args_libGL_glGetLocalConstantIntegervEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetLocalConstantIntegervEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMapAttribParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetMapAttribParameterfvNV(fexfn_packed_args_libGL_glGetMapAttribParameterfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMapAttribParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMapAttribParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetMapAttribParameterivNV(fexfn_packed_args_libGL_glGetMapAttribParameterivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMapAttribParameterivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMapControlPointsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint8_t> a_5;
  guest_layout<void *> a_6;
};
static void fexfn_unpack_libGL_glGetMapControlPointsNV(fexfn_packed_args_libGL_glGetMapControlPointsNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLboolean> a_5 { args->a_5 };
  host_layout<void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glGetMapControlPointsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMapdv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetMapdv(fexfn_packed_args_libGL_glGetMapdv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMapdv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMapfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetMapfv(fexfn_packed_args_libGL_glGetMapfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMapfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMapiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetMapiv(fexfn_packed_args_libGL_glGetMapiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMapiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMapParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetMapParameterfvNV(fexfn_packed_args_libGL_glGetMapParameterfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMapParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMapParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetMapParameterivNV(fexfn_packed_args_libGL_glGetMapParameterivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMapParameterivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMapxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetMapxvOES(fexfn_packed_args_libGL_glGetMapxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMapxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMaterialfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetMaterialfv(fexfn_packed_args_libGL_glGetMaterialfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMaterialfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMaterialiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetMaterialiv(fexfn_packed_args_libGL_glGetMaterialiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMaterialiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMaterialxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glGetMaterialxOES(fexfn_packed_args_libGL_glGetMaterialxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMaterialxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMemoryObjectDetachedResourcesuivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetMemoryObjectDetachedResourcesuivNV(fexfn_packed_args_libGL_glGetMemoryObjectDetachedResourcesuivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<unsigned int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetMemoryObjectDetachedResourcesuivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMemoryObjectParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetMemoryObjectParameterivEXT(fexfn_packed_args_libGL_glGetMemoryObjectParameterivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMemoryObjectParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMinmaxEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<void *> a_4;
};
static void fexfn_unpack_libGL_glGetMinmaxEXT(fexfn_packed_args_libGL_glGetMinmaxEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetMinmaxEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMinmax {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<GLvoid *> a_4;
};
static void fexfn_unpack_libGL_glGetMinmax(fexfn_packed_args_libGL_glGetMinmax* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetMinmax(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMinmaxParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetMinmaxParameterfvEXT(fexfn_packed_args_libGL_glGetMinmaxParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMinmaxParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMinmaxParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetMinmaxParameterfv(fexfn_packed_args_libGL_glGetMinmaxParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMinmaxParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMinmaxParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetMinmaxParameterivEXT(fexfn_packed_args_libGL_glGetMinmaxParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMinmaxParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMinmaxParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetMinmaxParameteriv(fexfn_packed_args_libGL_glGetMinmaxParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMinmaxParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultisamplefv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetMultisamplefv(fexfn_packed_args_libGL_glGetMultisamplefv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMultisamplefv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultisamplefvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetMultisamplefvNV(fexfn_packed_args_libGL_glGetMultisamplefvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetMultisamplefvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexEnvfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetMultiTexEnvfvEXT(fexfn_packed_args_libGL_glGetMultiTexEnvfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMultiTexEnvfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexEnvivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetMultiTexEnvivEXT(fexfn_packed_args_libGL_glGetMultiTexEnvivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMultiTexEnvivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexGendvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glGetMultiTexGendvEXT(fexfn_packed_args_libGL_glGetMultiTexGendvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMultiTexGendvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexGenfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetMultiTexGenfvEXT(fexfn_packed_args_libGL_glGetMultiTexGenfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMultiTexGenfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexGenivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetMultiTexGenivEXT(fexfn_packed_args_libGL_glGetMultiTexGenivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMultiTexGenivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexImageEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<void *> a_5;
};
static void fexfn_unpack_libGL_glGetMultiTexImageEXT(fexfn_packed_args_libGL_glGetMultiTexImageEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetMultiTexImageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexLevelParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glGetMultiTexLevelParameterfvEXT(fexfn_packed_args_libGL_glGetMultiTexLevelParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetMultiTexLevelParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexLevelParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetMultiTexLevelParameterivEXT(fexfn_packed_args_libGL_glGetMultiTexLevelParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetMultiTexLevelParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetMultiTexParameterfvEXT(fexfn_packed_args_libGL_glGetMultiTexParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMultiTexParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexParameterIivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetMultiTexParameterIivEXT(fexfn_packed_args_libGL_glGetMultiTexParameterIivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMultiTexParameterIivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexParameterIuivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetMultiTexParameterIuivEXT(fexfn_packed_args_libGL_glGetMultiTexParameterIuivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMultiTexParameterIuivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetMultiTexParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetMultiTexParameterivEXT(fexfn_packed_args_libGL_glGetMultiTexParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetMultiTexParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedBufferParameteri64v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetNamedBufferParameteri64v(fexfn_packed_args_libGL_glGetNamedBufferParameteri64v* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetNamedBufferParameteri64v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedBufferParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetNamedBufferParameterivEXT(fexfn_packed_args_libGL_glGetNamedBufferParameterivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetNamedBufferParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedBufferParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetNamedBufferParameteriv(fexfn_packed_args_libGL_glGetNamedBufferParameteriv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetNamedBufferParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedBufferParameterui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetNamedBufferParameterui64vNV(fexfn_packed_args_libGL_glGetNamedBufferParameterui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetNamedBufferParameterui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
static auto fexfn_impl_libGL_glGetNamedBufferPointerv(GLuint a_0, GLenum a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedBufferPointerv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetNamedBufferPointerv(fexfn_packed_args_libGL_glGetNamedBufferPointerv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexfn_impl_libGL_glGetNamedBufferPointerv(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
static auto fexfn_impl_libGL_glGetNamedBufferPointervEXT(GLuint a_0, GLenum a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedBufferPointervEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetNamedBufferPointervEXT(fexfn_packed_args_libGL_glGetNamedBufferPointervEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexfn_impl_libGL_glGetNamedBufferPointervEXT(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedBufferSubDataEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetNamedBufferSubDataEXT(fexfn_packed_args_libGL_glGetNamedBufferSubDataEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedBufferSubDataEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedBufferSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetNamedBufferSubData(fexfn_packed_args_libGL_glGetNamedBufferSubData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedBufferSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedFramebufferAttachmentParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetNamedFramebufferAttachmentParameterivEXT(fexfn_packed_args_libGL_glGetNamedFramebufferAttachmentParameterivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedFramebufferAttachmentParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedFramebufferAttachmentParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetNamedFramebufferAttachmentParameteriv(fexfn_packed_args_libGL_glGetNamedFramebufferAttachmentParameteriv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedFramebufferAttachmentParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedFramebufferParameterfvAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<GLfloat *> a_5;
};
static void fexfn_unpack_libGL_glGetNamedFramebufferParameterfvAMD(fexfn_packed_args_libGL_glGetNamedFramebufferParameterfvAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<float *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetNamedFramebufferParameterfvAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedFramebufferParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetNamedFramebufferParameterivEXT(fexfn_packed_args_libGL_glGetNamedFramebufferParameterivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetNamedFramebufferParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedFramebufferParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetNamedFramebufferParameteriv(fexfn_packed_args_libGL_glGetNamedFramebufferParameteriv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetNamedFramebufferParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedProgramivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetNamedProgramivEXT(fexfn_packed_args_libGL_glGetNamedProgramivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedProgramivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedProgramLocalParameterdvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glGetNamedProgramLocalParameterdvEXT(fexfn_packed_args_libGL_glGetNamedProgramLocalParameterdvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedProgramLocalParameterdvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedProgramLocalParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetNamedProgramLocalParameterfvEXT(fexfn_packed_args_libGL_glGetNamedProgramLocalParameterfvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedProgramLocalParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedProgramLocalParameterIivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetNamedProgramLocalParameterIivEXT(fexfn_packed_args_libGL_glGetNamedProgramLocalParameterIivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedProgramLocalParameterIivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedProgramLocalParameterIuivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetNamedProgramLocalParameterIuivEXT(fexfn_packed_args_libGL_glGetNamedProgramLocalParameterIuivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedProgramLocalParameterIuivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedProgramStringEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetNamedProgramStringEXT(fexfn_packed_args_libGL_glGetNamedProgramStringEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedProgramStringEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedRenderbufferParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetNamedRenderbufferParameterivEXT(fexfn_packed_args_libGL_glGetNamedRenderbufferParameterivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetNamedRenderbufferParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedRenderbufferParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetNamedRenderbufferParameteriv(fexfn_packed_args_libGL_glGetNamedRenderbufferParameteriv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetNamedRenderbufferParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedStringARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<uint8_t*> a_4;
};
static void fexfn_unpack_libGL_glGetNamedStringARB(fexfn_packed_args_libGL_glGetNamedStringARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<char *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetNamedStringARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNamedStringivARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetNamedStringivARB(fexfn_packed_args_libGL_glGetNamedStringivARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetNamedStringivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnCompressedTexImageARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetnCompressedTexImageARB(fexfn_packed_args_libGL_glGetnCompressedTexImageARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnCompressedTexImageARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnCompressedTexImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetnCompressedTexImage(fexfn_packed_args_libGL_glGetnCompressedTexImage* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnCompressedTexImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetNextPerfQueryIdINTEL {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGetNextPerfQueryIdINTEL(fexfn_packed_args_libGL_glGetNextPerfQueryIdINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetNextPerfQueryIdINTEL(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnTexImageARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<void *> a_5;
};
static void fexfn_unpack_libGL_glGetnTexImageARB(fexfn_packed_args_libGL_glGetnTexImageARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetnTexImageARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnTexImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<void *> a_5;
};
static void fexfn_unpack_libGL_glGetnTexImage(fexfn_packed_args_libGL_glGetnTexImage* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetnTexImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnUniformdvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glGetnUniformdvARB(fexfn_packed_args_libGL_glGetnUniformdvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnUniformdvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnUniformdv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glGetnUniformdv(fexfn_packed_args_libGL_glGetnUniformdv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnUniformdv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnUniformfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetnUniformfvARB(fexfn_packed_args_libGL_glGetnUniformfvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnUniformfvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnUniformfv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetnUniformfv(fexfn_packed_args_libGL_glGetnUniformfv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnUniformfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnUniformi64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int64_t*> a_3;
};
static void fexfn_unpack_libGL_glGetnUniformi64vARB(fexfn_packed_args_libGL_glGetnUniformi64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnUniformi64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnUniformivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetnUniformivARB(fexfn_packed_args_libGL_glGetnUniformivARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnUniformivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnUniformiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetnUniformiv(fexfn_packed_args_libGL_glGetnUniformiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnUniformiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnUniformui64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glGetnUniformui64vARB(fexfn_packed_args_libGL_glGetnUniformui64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnUniformui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnUniformuivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetnUniformuivARB(fexfn_packed_args_libGL_glGetnUniformuivARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnUniformuivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetnUniformuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetnUniformuiv(fexfn_packed_args_libGL_glGetnUniformuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetnUniformuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetObjectBufferfvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetObjectBufferfvATI(fexfn_packed_args_libGL_glGetObjectBufferfvATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetObjectBufferfvATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetObjectBufferivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetObjectBufferivATI(fexfn_packed_args_libGL_glGetObjectBufferivATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetObjectBufferivATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetObjectLabelEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<uint8_t*> a_4;
};
static void fexfn_unpack_libGL_glGetObjectLabelEXT(fexfn_packed_args_libGL_glGetObjectLabelEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<char *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetObjectLabelEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetObjectLabel {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<uint8_t*> a_4;
};
static void fexfn_unpack_libGL_glGetObjectLabel(fexfn_packed_args_libGL_glGetObjectLabel* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<char *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetObjectLabel(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetObjectParameterfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetObjectParameterfvARB(fexfn_packed_args_libGL_glGetObjectParameterfvARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetObjectParameterfvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetObjectParameterivAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetObjectParameterivAPPLE(fexfn_packed_args_libGL_glGetObjectParameterivAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetObjectParameterivAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetObjectParameterivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetObjectParameterivARB(fexfn_packed_args_libGL_glGetObjectParameterivARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetObjectParameterivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetObjectPtrLabel {
  guest_layout<const void *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glGetObjectPtrLabel(fexfn_packed_args_libGL_glGetObjectPtrLabel* args) {
  host_layout<const void *> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetObjectPtrLabel(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetOcclusionQueryivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetOcclusionQueryivNV(fexfn_packed_args_libGL_glGetOcclusionQueryivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetOcclusionQueryivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetOcclusionQueryuivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetOcclusionQueryuivNV(fexfn_packed_args_libGL_glGetOcclusionQueryuivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetOcclusionQueryuivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathCommandsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glGetPathCommandsNV(fexfn_packed_args_libGL_glGetPathCommandsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetPathCommandsNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathCoordsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glGetPathCoordsNV(fexfn_packed_args_libGL_glGetPathCoordsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetPathCoordsNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathDashArrayNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glGetPathDashArrayNV(fexfn_packed_args_libGL_glGetPathDashArrayNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetPathDashArrayNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathMetricRangeNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glGetPathMetricRangeNV(fexfn_packed_args_libGL_glGetPathMetricRangeNV* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetPathMetricRangeNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathMetricsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<GLfloat *> a_6;
};
static void fexfn_unpack_libGL_glGetPathMetricsNV(fexfn_packed_args_libGL_glGetPathMetricsNV* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<float *> a_6 { args->a_6 };
fexldr_ptr_libGL_glGetPathMetricsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetPathParameterfvNV(fexfn_packed_args_libGL_glGetPathParameterfvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetPathParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetPathParameterivNV(fexfn_packed_args_libGL_glGetPathParameterivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetPathParameterivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathSpacingNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<GLfloat *> a_8;
};
static void fexfn_unpack_libGL_glGetPathSpacingNV(fexfn_packed_args_libGL_glGetPathSpacingNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<float *> a_8 { args->a_8 };
fexldr_ptr_libGL_glGetPathSpacingNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPerfCounterInfoINTEL {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint8_t*> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint8_t*> a_5;
  guest_layout<uint32_t*> a_6;
  guest_layout<uint32_t*> a_7;
  guest_layout<uint32_t*> a_8;
  guest_layout<uint32_t*> a_9;
  guest_layout<uint64_t*> a_10;
};
static void fexfn_unpack_libGL_glGetPerfCounterInfoINTEL(fexfn_packed_args_libGL_glGetPerfCounterInfoINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<char *> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<char *> a_5 { args->a_5 };
  host_layout<unsigned int *> a_6 { args->a_6 };
  host_layout<unsigned int *> a_7 { args->a_7 };
  host_layout<unsigned int *> a_8 { args->a_8 };
  host_layout<unsigned int *> a_9 { args->a_9 };
  host_layout<unsigned long *> a_10 { args->a_10 };
fexldr_ptr_libGL_glGetPerfCounterInfoINTEL(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPerfMonitorCounterDataAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t*> a_3;
  guest_layout<int32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetPerfMonitorCounterDataAMD(fexfn_packed_args_libGL_glGetPerfMonitorCounterDataAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetPerfMonitorCounterDataAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPerfMonitorCounterInfoAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glGetPerfMonitorCounterInfoAMD(fexfn_packed_args_libGL_glGetPerfMonitorCounterInfoAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetPerfMonitorCounterInfoAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPerfMonitorCountersAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t*> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetPerfMonitorCountersAMD(fexfn_packed_args_libGL_glGetPerfMonitorCountersAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<unsigned int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetPerfMonitorCountersAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPerfMonitorCounterStringAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<uint8_t*> a_4;
};
static void fexfn_unpack_libGL_glGetPerfMonitorCounterStringAMD(fexfn_packed_args_libGL_glGetPerfMonitorCounterStringAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<char *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetPerfMonitorCounterStringAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPerfMonitorGroupsAMD {
  guest_layout<int32_t*> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetPerfMonitorGroupsAMD(fexfn_packed_args_libGL_glGetPerfMonitorGroupsAMD* args) {
  host_layout<int *> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetPerfMonitorGroupsAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPerfMonitorGroupStringAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glGetPerfMonitorGroupStringAMD(fexfn_packed_args_libGL_glGetPerfMonitorGroupStringAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetPerfMonitorGroupStringAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPerfQueryDataINTEL {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<void *> a_3;
  guest_layout<uint32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetPerfQueryDataINTEL(fexfn_packed_args_libGL_glGetPerfQueryDataINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
  host_layout<unsigned int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetPerfQueryDataINTEL(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPerfQueryIdByNameINTEL {
  guest_layout<uint8_t*> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGetPerfQueryIdByNameINTEL(fexfn_packed_args_libGL_glGetPerfQueryIdByNameINTEL* args) {
  host_layout<char *> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetPerfQueryIdByNameINTEL(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPerfQueryInfoINTEL {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t*> a_2;
  guest_layout<uint32_t*> a_3;
  guest_layout<uint32_t*> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<uint32_t*> a_6;
};
static void fexfn_unpack_libGL_glGetPerfQueryInfoINTEL(fexfn_packed_args_libGL_glGetPerfQueryInfoINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<char *> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
  host_layout<unsigned int *> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  host_layout<unsigned int *> a_6 { args->a_6 };
fexldr_ptr_libGL_glGetPerfQueryInfoINTEL(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPixelMapfv {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glGetPixelMapfv(fexfn_packed_args_libGL_glGetPixelMapfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetPixelMapfv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPixelMapuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glGetPixelMapuiv(fexfn_packed_args_libGL_glGetPixelMapuiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetPixelMapuiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPixelMapusv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glGetPixelMapusv(fexfn_packed_args_libGL_glGetPixelMapusv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetPixelMapusv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPixelMapxv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetPixelMapxv(fexfn_packed_args_libGL_glGetPixelMapxv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetPixelMapxv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPixelTexGenParameterfvSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glGetPixelTexGenParameterfvSGIS(fexfn_packed_args_libGL_glGetPixelTexGenParameterfvSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetPixelTexGenParameterfvSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPixelTexGenParameterivSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t*> a_1;
};
static void fexfn_unpack_libGL_glGetPixelTexGenParameterivSGIS(fexfn_packed_args_libGL_glGetPixelTexGenParameterivSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetPixelTexGenParameterivSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPixelTransformParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetPixelTransformParameterfvEXT(fexfn_packed_args_libGL_glGetPixelTransformParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetPixelTransformParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPixelTransformParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetPixelTransformParameterivEXT(fexfn_packed_args_libGL_glGetPixelTransformParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetPixelTransformParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
static auto fexfn_impl_libGL_glGetPointerv(GLenum a_0, guest_layout<GLvoid **> a_1) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPointerv {
  guest_layout<uint32_t> a_0;
  guest_layout<GLvoid **> a_1;
};
static void fexfn_unpack_libGL_glGetPointerv(fexfn_packed_args_libGL_glGetPointerv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexfn_impl_libGL_glGetPointerv(unwrap_host(a_0), args->a_1);
}
static auto fexfn_impl_libGL_glGetPointervEXT(GLenum a_0, guest_layout<void **> a_1) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPointervEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<void **> a_1;
};
static void fexfn_unpack_libGL_glGetPointervEXT(fexfn_packed_args_libGL_glGetPointervEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexfn_impl_libGL_glGetPointervEXT(unwrap_host(a_0), args->a_1);
}
static auto fexfn_impl_libGL_glGetPointeri_vEXT(GLenum a_0, GLuint a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPointeri_vEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetPointeri_vEXT(fexfn_packed_args_libGL_glGetPointeri_vEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexfn_impl_libGL_glGetPointeri_vEXT(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
static auto fexfn_impl_libGL_glGetPointerIndexedvEXT(GLenum a_0, GLuint a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPointerIndexedvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetPointerIndexedvEXT(fexfn_packed_args_libGL_glGetPointerIndexedvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexfn_impl_libGL_glGetPointerIndexedvEXT(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPolygonStipple {
  guest_layout<uint8_t*> a_0;
};
static void fexfn_unpack_libGL_glGetPolygonStipple(fexfn_packed_args_libGL_glGetPolygonStipple* args) {
  host_layout<unsigned char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glGetPolygonStipple(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramBinary {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint32_t*> a_3;
  guest_layout<void *> a_4;
};
static void fexfn_unpack_libGL_glGetProgramBinary(fexfn_packed_args_libGL_glGetProgramBinary* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetProgramBinary(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramEnvParameterdvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetProgramEnvParameterdvARB(fexfn_packed_args_libGL_glGetProgramEnvParameterdvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramEnvParameterdvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramEnvParameterfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetProgramEnvParameterfvARB(fexfn_packed_args_libGL_glGetProgramEnvParameterfvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramEnvParameterfvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramEnvParameterIivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetProgramEnvParameterIivNV(fexfn_packed_args_libGL_glGetProgramEnvParameterIivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramEnvParameterIivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramEnvParameterIuivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetProgramEnvParameterIuivNV(fexfn_packed_args_libGL_glGetProgramEnvParameterIuivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramEnvParameterIuivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramInfoLog {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glGetProgramInfoLog(fexfn_packed_args_libGL_glGetProgramInfoLog* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetProgramInfoLog(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramInterfaceiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetProgramInterfaceiv(fexfn_packed_args_libGL_glGetProgramInterfaceiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetProgramInterfaceiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetProgramivARB(fexfn_packed_args_libGL_glGetProgramivARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetProgramiv(fexfn_packed_args_libGL_glGetProgramiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetProgramivNV(fexfn_packed_args_libGL_glGetProgramivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramLocalParameterdvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetProgramLocalParameterdvARB(fexfn_packed_args_libGL_glGetProgramLocalParameterdvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramLocalParameterdvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramLocalParameterfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetProgramLocalParameterfvARB(fexfn_packed_args_libGL_glGetProgramLocalParameterfvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramLocalParameterfvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramLocalParameterIivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetProgramLocalParameterIivNV(fexfn_packed_args_libGL_glGetProgramLocalParameterIivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramLocalParameterIivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramLocalParameterIuivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetProgramLocalParameterIuivNV(fexfn_packed_args_libGL_glGetProgramLocalParameterIuivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramLocalParameterIuivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramNamedParameterdvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glGetProgramNamedParameterdvNV(fexfn_packed_args_libGL_glGetProgramNamedParameterdvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned char *> a_2 { args->a_2 };
  host_layout<double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetProgramNamedParameterdvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramNamedParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetProgramNamedParameterfvNV(fexfn_packed_args_libGL_glGetProgramNamedParameterfvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned char *> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetProgramNamedParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramParameterdvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glGetProgramParameterdvNV(fexfn_packed_args_libGL_glGetProgramParameterdvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetProgramParameterdvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetProgramParameterfvNV(fexfn_packed_args_libGL_glGetProgramParameterfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetProgramParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramPipelineInfoLog {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glGetProgramPipelineInfoLog(fexfn_packed_args_libGL_glGetProgramPipelineInfoLog* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetProgramPipelineInfoLog(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramPipelineiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetProgramPipelineiv(fexfn_packed_args_libGL_glGetProgramPipelineiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramPipelineiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramResourcefvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const uint32_t*> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t*> a_6;
  guest_layout<GLfloat *> a_7;
};
static void fexfn_unpack_libGL_glGetProgramResourcefvNV(fexfn_packed_args_libGL_glGetProgramResourcefvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<int *> a_6 { args->a_6 };
  host_layout<float *> a_7 { args->a_7 };
fexldr_ptr_libGL_glGetProgramResourcefvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramResourceiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const uint32_t*> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t*> a_6;
  guest_layout<int32_t*> a_7;
};
static void fexfn_unpack_libGL_glGetProgramResourceiv(fexfn_packed_args_libGL_glGetProgramResourceiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<int *> a_6 { args->a_6 };
  host_layout<int *> a_7 { args->a_7 };
fexldr_ptr_libGL_glGetProgramResourceiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramResourceName {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint8_t*> a_5;
};
static void fexfn_unpack_libGL_glGetProgramResourceName(fexfn_packed_args_libGL_glGetProgramResourceName* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<char *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetProgramResourceName(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramStageiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetProgramStageiv(fexfn_packed_args_libGL_glGetProgramStageiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetProgramStageiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramStringARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void *> a_2;
};
static void fexfn_unpack_libGL_glGetProgramStringARB(fexfn_packed_args_libGL_glGetProgramStringARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramStringARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramStringNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glGetProgramStringNV(fexfn_packed_args_libGL_glGetProgramStringNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramStringNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetProgramSubroutineParameteruivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetProgramSubroutineParameteruivNV(fexfn_packed_args_libGL_glGetProgramSubroutineParameteruivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetProgramSubroutineParameteruivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryBufferObjecti64v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glGetQueryBufferObjecti64v(fexfn_packed_args_libGL_glGetQueryBufferObjecti64v* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetQueryBufferObjecti64v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryBufferObjectiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glGetQueryBufferObjectiv(fexfn_packed_args_libGL_glGetQueryBufferObjectiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetQueryBufferObjectiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryBufferObjectui64v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glGetQueryBufferObjectui64v(fexfn_packed_args_libGL_glGetQueryBufferObjectui64v* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetQueryBufferObjectui64v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryBufferObjectuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glGetQueryBufferObjectuiv(fexfn_packed_args_libGL_glGetQueryBufferObjectuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetQueryBufferObjectuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryIndexediv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetQueryIndexediv(fexfn_packed_args_libGL_glGetQueryIndexediv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetQueryIndexediv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetQueryivARB(fexfn_packed_args_libGL_glGetQueryivARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetQueryivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetQueryiv(fexfn_packed_args_libGL_glGetQueryiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetQueryiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryObjecti64vEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetQueryObjecti64vEXT(fexfn_packed_args_libGL_glGetQueryObjecti64vEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetQueryObjecti64vEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryObjecti64v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetQueryObjecti64v(fexfn_packed_args_libGL_glGetQueryObjecti64v* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetQueryObjecti64v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryObjectivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetQueryObjectivARB(fexfn_packed_args_libGL_glGetQueryObjectivARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetQueryObjectivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryObjectiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetQueryObjectiv(fexfn_packed_args_libGL_glGetQueryObjectiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetQueryObjectiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryObjectui64vEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetQueryObjectui64vEXT(fexfn_packed_args_libGL_glGetQueryObjectui64vEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetQueryObjectui64vEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryObjectui64v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetQueryObjectui64v(fexfn_packed_args_libGL_glGetQueryObjectui64v* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetQueryObjectui64v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryObjectuivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetQueryObjectuivARB(fexfn_packed_args_libGL_glGetQueryObjectuivARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetQueryObjectuivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetQueryObjectuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetQueryObjectuiv(fexfn_packed_args_libGL_glGetQueryObjectuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetQueryObjectuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetRenderbufferParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetRenderbufferParameterivEXT(fexfn_packed_args_libGL_glGetRenderbufferParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetRenderbufferParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetRenderbufferParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetRenderbufferParameteriv(fexfn_packed_args_libGL_glGetRenderbufferParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetRenderbufferParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSamplerParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetSamplerParameterfv(fexfn_packed_args_libGL_glGetSamplerParameterfv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetSamplerParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSamplerParameterIiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetSamplerParameterIiv(fexfn_packed_args_libGL_glGetSamplerParameterIiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetSamplerParameterIiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSamplerParameterIuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetSamplerParameterIuiv(fexfn_packed_args_libGL_glGetSamplerParameterIuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetSamplerParameterIuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSamplerParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetSamplerParameteriv(fexfn_packed_args_libGL_glGetSamplerParameteriv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetSamplerParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSemaphoreParameterui64vEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetSemaphoreParameterui64vEXT(fexfn_packed_args_libGL_glGetSemaphoreParameterui64vEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetSemaphoreParameterui64vEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSeparableFilterEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<void *> a_3;
  guest_layout<void *> a_4;
  guest_layout<void *> a_5;
};
static void fexfn_unpack_libGL_glGetSeparableFilterEXT(fexfn_packed_args_libGL_glGetSeparableFilterEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetSeparableFilterEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSeparableFilter {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLvoid *> a_3;
  guest_layout<GLvoid *> a_4;
  guest_layout<GLvoid *> a_5;
};
static void fexfn_unpack_libGL_glGetSeparableFilter(fexfn_packed_args_libGL_glGetSeparableFilter* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetSeparableFilter(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetShaderInfoLog {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glGetShaderInfoLog(fexfn_packed_args_libGL_glGetShaderInfoLog* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetShaderInfoLog(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetShaderiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetShaderiv(fexfn_packed_args_libGL_glGetShaderiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetShaderiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetShaderPrecisionFormat {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetShaderPrecisionFormat(fexfn_packed_args_libGL_glGetShaderPrecisionFormat* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetShaderPrecisionFormat(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetShaderSourceARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glGetShaderSourceARB(fexfn_packed_args_libGL_glGetShaderSourceARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetShaderSourceARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetShaderSource {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glGetShaderSource(fexfn_packed_args_libGL_glGetShaderSource* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  host_layout<char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetShaderSource(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetShadingRateImagePaletteNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetShadingRateImagePaletteNV(fexfn_packed_args_libGL_glGetShadingRateImagePaletteNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetShadingRateImagePaletteNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetShadingRateSampleLocationivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetShadingRateSampleLocationivNV(fexfn_packed_args_libGL_glGetShadingRateSampleLocationivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetShadingRateSampleLocationivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSharpenTexFuncSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glGetSharpenTexFuncSGIS(fexfn_packed_args_libGL_glGetSharpenTexFuncSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetSharpenTexFuncSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetSynciv {
  guest_layout<GLsync> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetSynciv(fexfn_packed_args_libGL_glGetSynciv* args) {
  host_layout<__GLsync *> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetSynciv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexBumpParameterfvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glGetTexBumpParameterfvATI(fexfn_packed_args_libGL_glGetTexBumpParameterfvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetTexBumpParameterfvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexBumpParameterivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t*> a_1;
};
static void fexfn_unpack_libGL_glGetTexBumpParameterivATI(fexfn_packed_args_libGL_glGetTexBumpParameterivATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetTexBumpParameterivATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexEnvfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetTexEnvfv(fexfn_packed_args_libGL_glGetTexEnvfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexEnvfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexEnviv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTexEnviv(fexfn_packed_args_libGL_glGetTexEnviv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexEnviv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexEnvxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTexEnvxvOES(fexfn_packed_args_libGL_glGetTexEnvxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexEnvxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexFilterFuncSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetTexFilterFuncSGIS(fexfn_packed_args_libGL_glGetTexFilterFuncSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexFilterFuncSGIS(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexGendv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetTexGendv(fexfn_packed_args_libGL_glGetTexGendv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexGendv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexGenfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetTexGenfv(fexfn_packed_args_libGL_glGetTexGenfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexGenfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexGeniv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTexGeniv(fexfn_packed_args_libGL_glGetTexGeniv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexGeniv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexGenxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTexGenxvOES(fexfn_packed_args_libGL_glGetTexGenxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexGenxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<GLvoid *> a_4;
};
static void fexfn_unpack_libGL_glGetTexImage(fexfn_packed_args_libGL_glGetTexImage* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetTexImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexLevelParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetTexLevelParameterfv(fexfn_packed_args_libGL_glGetTexLevelParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTexLevelParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexLevelParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetTexLevelParameteriv(fexfn_packed_args_libGL_glGetTexLevelParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTexLevelParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexLevelParameterxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetTexLevelParameterxvOES(fexfn_packed_args_libGL_glGetTexLevelParameterxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTexLevelParameterxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetTexParameterfv(fexfn_packed_args_libGL_glGetTexParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexParameterIivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTexParameterIivEXT(fexfn_packed_args_libGL_glGetTexParameterIivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexParameterIivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexParameterIiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTexParameterIiv(fexfn_packed_args_libGL_glGetTexParameterIiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexParameterIiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexParameterIuivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTexParameterIuivEXT(fexfn_packed_args_libGL_glGetTexParameterIuivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexParameterIuivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexParameterIuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTexParameterIuiv(fexfn_packed_args_libGL_glGetTexParameterIuiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexParameterIuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTexParameteriv(fexfn_packed_args_libGL_glGetTexParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexParameterPointervAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetTexParameterPointervAPPLE(fexfn_packed_args_libGL_glGetTexParameterPointervAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<void **> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexParameterPointervAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTexParameterxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTexParameterxvOES(fexfn_packed_args_libGL_glGetTexParameterxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTexParameterxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureImageEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<void *> a_5;
};
static void fexfn_unpack_libGL_glGetTextureImageEXT(fexfn_packed_args_libGL_glGetTextureImageEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetTextureImageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<void *> a_5;
};
static void fexfn_unpack_libGL_glGetTextureImage(fexfn_packed_args_libGL_glGetTextureImage* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glGetTextureImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureLevelParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glGetTextureLevelParameterfvEXT(fexfn_packed_args_libGL_glGetTextureLevelParameterfvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetTextureLevelParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureLevelParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetTextureLevelParameterfv(fexfn_packed_args_libGL_glGetTextureLevelParameterfv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTextureLevelParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureLevelParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t*> a_4;
};
static void fexfn_unpack_libGL_glGetTextureLevelParameterivEXT(fexfn_packed_args_libGL_glGetTextureLevelParameterivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glGetTextureLevelParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureLevelParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetTextureLevelParameteriv(fexfn_packed_args_libGL_glGetTextureLevelParameteriv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTextureLevelParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetTextureParameterfvEXT(fexfn_packed_args_libGL_glGetTextureParameterfvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTextureParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetTextureParameterfv(fexfn_packed_args_libGL_glGetTextureParameterfv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTextureParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureParameterIivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetTextureParameterIivEXT(fexfn_packed_args_libGL_glGetTextureParameterIivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTextureParameterIivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureParameterIiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTextureParameterIiv(fexfn_packed_args_libGL_glGetTextureParameterIiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTextureParameterIiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureParameterIuivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetTextureParameterIuivEXT(fexfn_packed_args_libGL_glGetTextureParameterIuivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTextureParameterIuivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureParameterIuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTextureParameterIuiv(fexfn_packed_args_libGL_glGetTextureParameterIuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTextureParameterIuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetTextureParameterivEXT(fexfn_packed_args_libGL_glGetTextureParameterivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTextureParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTextureParameteriv(fexfn_packed_args_libGL_glGetTextureParameteriv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTextureParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTextureSubImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<int32_t> a_10;
  guest_layout<void *> a_11;
};
static void fexfn_unpack_libGL_glGetTextureSubImage(fexfn_packed_args_libGL_glGetTextureSubImage* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<GLsizei> a_10 { args->a_10 };
  host_layout<void *> a_11 { args->a_11 };
fexldr_ptr_libGL_glGetTextureSubImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTrackMatrixivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetTrackMatrixivNV(fexfn_packed_args_libGL_glGetTrackMatrixivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTrackMatrixivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTransformFeedbacki64_v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t*> a_3;
};
static void fexfn_unpack_libGL_glGetTransformFeedbacki64_v(fexfn_packed_args_libGL_glGetTransformFeedbacki64_v* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTransformFeedbacki64_v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTransformFeedbackiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTransformFeedbackiv(fexfn_packed_args_libGL_glGetTransformFeedbackiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTransformFeedbackiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTransformFeedbacki_v {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetTransformFeedbacki_v(fexfn_packed_args_libGL_glGetTransformFeedbacki_v* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetTransformFeedbacki_v(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTransformFeedbackVaryingEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<uint8_t*> a_6;
};
static void fexfn_unpack_libGL_glGetTransformFeedbackVaryingEXT(fexfn_packed_args_libGL_glGetTransformFeedbackVaryingEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  host_layout<char *> a_6 { args->a_6 };
fexldr_ptr_libGL_glGetTransformFeedbackVaryingEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTransformFeedbackVarying {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<uint32_t*> a_5;
  guest_layout<uint8_t*> a_6;
};
static void fexfn_unpack_libGL_glGetTransformFeedbackVarying(fexfn_packed_args_libGL_glGetTransformFeedbackVarying* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<unsigned int *> a_5 { args->a_5 };
  host_layout<char *> a_6 { args->a_6 };
fexldr_ptr_libGL_glGetTransformFeedbackVarying(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetTransformFeedbackVaryingNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetTransformFeedbackVaryingNV(fexfn_packed_args_libGL_glGetTransformFeedbackVaryingNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetTransformFeedbackVaryingNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformdv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetUniformdv(fexfn_packed_args_libGL_glGetUniformdv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformdv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetUniformfvARB(fexfn_packed_args_libGL_glGetUniformfvARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformfvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformfv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetUniformfv(fexfn_packed_args_libGL_glGetUniformfv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformi64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetUniformi64vARB(fexfn_packed_args_libGL_glGetUniformi64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformi64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformi64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetUniformi64vNV(fexfn_packed_args_libGL_glGetUniformi64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformi64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformIndices {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLchar *const *> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetUniformIndices(fexfn_packed_args_libGL_glGetUniformIndices* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const char *const *> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetUniformIndices(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetUniformivARB(fexfn_packed_args_libGL_glGetUniformivARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetUniformiv(fexfn_packed_args_libGL_glGetUniformiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformSubroutineuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetUniformSubroutineuiv(fexfn_packed_args_libGL_glGetUniformSubroutineuiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformSubroutineuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformui64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetUniformui64vARB(fexfn_packed_args_libGL_glGetUniformui64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetUniformui64vNV(fexfn_packed_args_libGL_glGetUniformui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformuivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetUniformuivEXT(fexfn_packed_args_libGL_glGetUniformuivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformuivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUniformuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetUniformuiv(fexfn_packed_args_libGL_glGetUniformuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUniformuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUnsignedBytei_vEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glGetUnsignedBytei_vEXT(fexfn_packed_args_libGL_glGetUnsignedBytei_vEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<unsigned char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetUnsignedBytei_vEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetUnsignedBytevEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glGetUnsignedBytevEXT(fexfn_packed_args_libGL_glGetUnsignedBytevEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glGetUnsignedBytevEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVariantArrayObjectfvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetVariantArrayObjectfvATI(fexfn_packed_args_libGL_glGetVariantArrayObjectfvATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVariantArrayObjectfvATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVariantArrayObjectivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVariantArrayObjectivATI(fexfn_packed_args_libGL_glGetVariantArrayObjectivATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVariantArrayObjectivATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVariantBooleanvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVariantBooleanvEXT(fexfn_packed_args_libGL_glGetVariantBooleanvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVariantBooleanvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVariantFloatvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetVariantFloatvEXT(fexfn_packed_args_libGL_glGetVariantFloatvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVariantFloatvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVariantIntegervEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVariantIntegervEXT(fexfn_packed_args_libGL_glGetVariantIntegervEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVariantIntegervEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
static auto fexfn_impl_libGL_glGetVariantPointervEXT(GLuint a_0, GLenum a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVariantPointervEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetVariantPointervEXT(fexfn_packed_args_libGL_glGetVariantPointervEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexfn_impl_libGL_glGetVariantPointervEXT(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexArrayIndexed64iv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t*> a_3;
};
static void fexfn_unpack_libGL_glGetVertexArrayIndexed64iv(fexfn_packed_args_libGL_glGetVertexArrayIndexed64iv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetVertexArrayIndexed64iv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexArrayIndexediv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetVertexArrayIndexediv(fexfn_packed_args_libGL_glGetVertexArrayIndexediv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetVertexArrayIndexediv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexArrayIntegeri_vEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetVertexArrayIntegeri_vEXT(fexfn_packed_args_libGL_glGetVertexArrayIntegeri_vEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetVertexArrayIntegeri_vEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexArrayIntegervEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexArrayIntegervEXT(fexfn_packed_args_libGL_glGetVertexArrayIntegervEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexArrayIntegervEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexArrayiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexArrayiv(fexfn_packed_args_libGL_glGetVertexArrayiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexArrayiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
static auto fexfn_impl_libGL_glGetVertexArrayPointeri_vEXT(GLuint a_0, GLuint a_1, GLenum a_2, guest_layout<void **> a_3) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexArrayPointeri_vEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<void **> a_3;
};
static void fexfn_unpack_libGL_glGetVertexArrayPointeri_vEXT(fexfn_packed_args_libGL_glGetVertexArrayPointeri_vEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexfn_impl_libGL_glGetVertexArrayPointeri_vEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), args->a_3);
}
static auto fexfn_impl_libGL_glGetVertexArrayPointervEXT(GLuint a_0, GLenum a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexArrayPointervEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetVertexArrayPointervEXT(fexfn_packed_args_libGL_glGetVertexArrayPointervEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexfn_impl_libGL_glGetVertexArrayPointervEXT(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribArrayObjectfvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribArrayObjectfvATI(fexfn_packed_args_libGL_glGetVertexAttribArrayObjectfvATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribArrayObjectfvATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribArrayObjectivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribArrayObjectivATI(fexfn_packed_args_libGL_glGetVertexAttribArrayObjectivATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribArrayObjectivATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribdvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribdvARB(fexfn_packed_args_libGL_glGetVertexAttribdvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribdvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribdv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribdv(fexfn_packed_args_libGL_glGetVertexAttribdv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribdv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribdvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribdvNV(fexfn_packed_args_libGL_glGetVertexAttribdvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribdvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribfvARB(fexfn_packed_args_libGL_glGetVertexAttribfvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribfvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribfv(fexfn_packed_args_libGL_glGetVertexAttribfv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribfvNV(fexfn_packed_args_libGL_glGetVertexAttribfvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribIivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribIivEXT(fexfn_packed_args_libGL_glGetVertexAttribIivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribIivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribIiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribIiv(fexfn_packed_args_libGL_glGetVertexAttribIiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribIiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribIuivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribIuivEXT(fexfn_packed_args_libGL_glGetVertexAttribIuivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribIuivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribIuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribIuiv(fexfn_packed_args_libGL_glGetVertexAttribIuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribIuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribivARB(fexfn_packed_args_libGL_glGetVertexAttribivARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribiv(fexfn_packed_args_libGL_glGetVertexAttribiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribivNV(fexfn_packed_args_libGL_glGetVertexAttribivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribLdvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribLdvEXT(fexfn_packed_args_libGL_glGetVertexAttribLdvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribLdvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribLdv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribLdv(fexfn_packed_args_libGL_glGetVertexAttribLdv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribLdv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribLi64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribLi64vNV(fexfn_packed_args_libGL_glGetVertexAttribLi64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribLi64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribLui64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribLui64vARB(fexfn_packed_args_libGL_glGetVertexAttribLui64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribLui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribLui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribLui64vNV(fexfn_packed_args_libGL_glGetVertexAttribLui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVertexAttribLui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
static auto fexfn_impl_libGL_glGetVertexAttribPointervARB(GLuint a_0, GLenum a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribPointervARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribPointervARB(fexfn_packed_args_libGL_glGetVertexAttribPointervARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexfn_impl_libGL_glGetVertexAttribPointervARB(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
static auto fexfn_impl_libGL_glGetVertexAttribPointerv(GLuint a_0, GLenum a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribPointerv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribPointerv(fexfn_packed_args_libGL_glGetVertexAttribPointerv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexfn_impl_libGL_glGetVertexAttribPointerv(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
static auto fexfn_impl_libGL_glGetVertexAttribPointervNV(GLuint a_0, GLenum a_1, guest_layout<void **> a_2) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVertexAttribPointervNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void **> a_2;
};
static void fexfn_unpack_libGL_glGetVertexAttribPointervNV(fexfn_packed_args_libGL_glGetVertexAttribPointervNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexfn_impl_libGL_glGetVertexAttribPointervNV(unwrap_host(a_0), unwrap_host(a_1), args->a_2);
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVideoCaptureivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVideoCaptureivNV(fexfn_packed_args_libGL_glGetVideoCaptureivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVideoCaptureivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVideoCaptureStreamdvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glGetVideoCaptureStreamdvNV(fexfn_packed_args_libGL_glGetVideoCaptureStreamdvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetVideoCaptureStreamdvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVideoCaptureStreamfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glGetVideoCaptureStreamfvNV(fexfn_packed_args_libGL_glGetVideoCaptureStreamfvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetVideoCaptureStreamfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVideoCaptureStreamivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glGetVideoCaptureStreamivNV(fexfn_packed_args_libGL_glGetVideoCaptureStreamivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glGetVideoCaptureStreamivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVideoi64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVideoi64vNV(fexfn_packed_args_libGL_glGetVideoi64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVideoi64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVideoivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVideoivNV(fexfn_packed_args_libGL_glGetVideoivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVideoivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVideoui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVideoui64vNV(fexfn_packed_args_libGL_glGetVideoui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVideoui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetVideouivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetVideouivNV(fexfn_packed_args_libGL_glGetVideouivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetVideouivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGlobalAlphaFactorbSUN {
  guest_layout<int8_t> a_0;
};
static void fexfn_unpack_libGL_glGlobalAlphaFactorbSUN(fexfn_packed_args_libGL_glGlobalAlphaFactorbSUN* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
fexldr_ptr_libGL_glGlobalAlphaFactorbSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGlobalAlphaFactordSUN {
  guest_layout<GLdouble> a_0;
};
static void fexfn_unpack_libGL_glGlobalAlphaFactordSUN(fexfn_packed_args_libGL_glGlobalAlphaFactordSUN* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
fexldr_ptr_libGL_glGlobalAlphaFactordSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGlobalAlphaFactorfSUN {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glGlobalAlphaFactorfSUN(fexfn_packed_args_libGL_glGlobalAlphaFactorfSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glGlobalAlphaFactorfSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGlobalAlphaFactoriSUN {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glGlobalAlphaFactoriSUN(fexfn_packed_args_libGL_glGlobalAlphaFactoriSUN* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glGlobalAlphaFactoriSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGlobalAlphaFactorsSUN {
  guest_layout<int16_t> a_0;
};
static void fexfn_unpack_libGL_glGlobalAlphaFactorsSUN(fexfn_packed_args_libGL_glGlobalAlphaFactorsSUN* args) {
  host_layout<GLshort> a_0 { args->a_0 };
fexldr_ptr_libGL_glGlobalAlphaFactorsSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGlobalAlphaFactorubSUN {
  guest_layout<uint8_t> a_0;
};
static void fexfn_unpack_libGL_glGlobalAlphaFactorubSUN(fexfn_packed_args_libGL_glGlobalAlphaFactorubSUN* args) {
  host_layout<GLubyte> a_0 { args->a_0 };
fexldr_ptr_libGL_glGlobalAlphaFactorubSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGlobalAlphaFactoruiSUN {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glGlobalAlphaFactoruiSUN(fexfn_packed_args_libGL_glGlobalAlphaFactoruiSUN* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glGlobalAlphaFactoruiSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGlobalAlphaFactorusSUN {
  guest_layout<uint16_t> a_0;
};
static void fexfn_unpack_libGL_glGlobalAlphaFactorusSUN(fexfn_packed_args_libGL_glGlobalAlphaFactorusSUN* args) {
  host_layout<GLushort> a_0 { args->a_0 };
fexldr_ptr_libGL_glGlobalAlphaFactorusSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glHint {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glHint(fexfn_packed_args_libGL_glHint* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glHint(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glHintPGI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glHintPGI(fexfn_packed_args_libGL_glHintPGI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glHintPGI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glHistogramEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint8_t> a_3;
};
static void fexfn_unpack_libGL_glHistogramEXT(fexfn_packed_args_libGL_glHistogramEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
fexldr_ptr_libGL_glHistogramEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glHistogram {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint8_t> a_3;
};
static void fexfn_unpack_libGL_glHistogram(fexfn_packed_args_libGL_glHistogram* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
fexldr_ptr_libGL_glHistogram(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIglooInterfaceSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
};
static void fexfn_unpack_libGL_glIglooInterfaceSGIX(fexfn_packed_args_libGL_glIglooInterfaceSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glIglooInterfaceSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImageTransformParameterfHP {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glImageTransformParameterfHP(fexfn_packed_args_libGL_glImageTransformParameterfHP* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glImageTransformParameterfHP(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImageTransformParameterfvHP {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glImageTransformParameterfvHP(fexfn_packed_args_libGL_glImageTransformParameterfvHP* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glImageTransformParameterfvHP(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImageTransformParameteriHP {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glImageTransformParameteriHP(fexfn_packed_args_libGL_glImageTransformParameteriHP* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glImageTransformParameteriHP(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImageTransformParameterivHP {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glImageTransformParameterivHP(fexfn_packed_args_libGL_glImageTransformParameterivHP* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glImageTransformParameterivHP(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImportMemoryFdEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glImportMemoryFdEXT(fexfn_packed_args_libGL_glImportMemoryFdEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glImportMemoryFdEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImportMemoryWin32HandleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<void *> a_3;
};
static void fexfn_unpack_libGL_glImportMemoryWin32HandleEXT(fexfn_packed_args_libGL_glImportMemoryWin32HandleEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glImportMemoryWin32HandleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImportMemoryWin32NameEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glImportMemoryWin32NameEXT(fexfn_packed_args_libGL_glImportMemoryWin32NameEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glImportMemoryWin32NameEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImportSemaphoreFdEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glImportSemaphoreFdEXT(fexfn_packed_args_libGL_glImportSemaphoreFdEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glImportSemaphoreFdEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImportSemaphoreWin32HandleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void *> a_2;
};
static void fexfn_unpack_libGL_glImportSemaphoreWin32HandleEXT(fexfn_packed_args_libGL_glImportSemaphoreWin32HandleEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glImportSemaphoreWin32HandleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glImportSemaphoreWin32NameEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
};
static void fexfn_unpack_libGL_glImportSemaphoreWin32NameEXT(fexfn_packed_args_libGL_glImportSemaphoreWin32NameEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glImportSemaphoreWin32NameEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexd {
  guest_layout<GLdouble> a_0;
};
static void fexfn_unpack_libGL_glIndexd(fexfn_packed_args_libGL_glIndexd* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexd(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexdv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glIndexdv(fexfn_packed_args_libGL_glIndexdv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexdv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexf {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glIndexf(fexfn_packed_args_libGL_glIndexf* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexf(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexFormatNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glIndexFormatNV(fexfn_packed_args_libGL_glIndexFormatNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
fexldr_ptr_libGL_glIndexFormatNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexFuncEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLclampf> a_1;
};
static void fexfn_unpack_libGL_glIndexFuncEXT(fexfn_packed_args_libGL_glIndexFuncEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLclampf> a_1 { args->a_1 };
fexldr_ptr_libGL_glIndexFuncEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexfv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glIndexfv(fexfn_packed_args_libGL_glIndexfv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexfv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexi {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glIndexi(fexfn_packed_args_libGL_glIndexi* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexi(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexiv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glIndexiv(fexfn_packed_args_libGL_glIndexiv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexiv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexMask {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glIndexMask(fexfn_packed_args_libGL_glIndexMask* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexMask(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexMaterialEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glIndexMaterialEXT(fexfn_packed_args_libGL_glIndexMaterialEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glIndexMaterialEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexPointerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glIndexPointerEXT(fexfn_packed_args_libGL_glIndexPointerEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glIndexPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexPointer {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLvoid *> a_2;
};
static void fexfn_unpack_libGL_glIndexPointer(fexfn_packed_args_libGL_glIndexPointer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glIndexPointer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexPointerListIBM {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const void **> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glIndexPointerListIBM(fexfn_packed_args_libGL_glIndexPointerListIBM* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<const void **> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glIndexPointerListIBM(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexs {
  guest_layout<int16_t> a_0;
};
static void fexfn_unpack_libGL_glIndexs(fexfn_packed_args_libGL_glIndexs* args) {
  host_layout<GLshort> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexs(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexsv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glIndexsv(fexfn_packed_args_libGL_glIndexsv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexsv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexub {
  guest_layout<uint8_t> a_0;
};
static void fexfn_unpack_libGL_glIndexub(fexfn_packed_args_libGL_glIndexub* args) {
  host_layout<GLubyte> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexub(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexubv {
  guest_layout<const uint8_t*> a_0;
};
static void fexfn_unpack_libGL_glIndexubv(fexfn_packed_args_libGL_glIndexubv* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexubv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexxOES {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glIndexxOES(fexfn_packed_args_libGL_glIndexxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexxOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glIndexxvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glIndexxvOES(fexfn_packed_args_libGL_glIndexxvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glIndexxvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInitNames {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glInitNames(fexfn_packed_args_libGL_glInitNames* args) {
fexldr_ptr_libGL_glInitNames();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInsertComponentEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glInsertComponentEXT(fexfn_packed_args_libGL_glInsertComponentEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glInsertComponentEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInsertEventMarkerEXT {
  guest_layout<int32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glInsertEventMarkerEXT(fexfn_packed_args_libGL_glInsertEventMarkerEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glInsertEventMarkerEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInstrumentsBufferSGIX {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t*> a_1;
};
static void fexfn_unpack_libGL_glInstrumentsBufferSGIX(fexfn_packed_args_libGL_glInstrumentsBufferSGIX* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glInstrumentsBufferSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInterleavedArrays {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLvoid *> a_2;
};
static void fexfn_unpack_libGL_glInterleavedArrays(fexfn_packed_args_libGL_glInterleavedArrays* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glInterleavedArrays(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInterpolatePathsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glInterpolatePathsNV(fexfn_packed_args_libGL_glInterpolatePathsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glInterpolatePathsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInvalidateBufferData {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glInvalidateBufferData(fexfn_packed_args_libGL_glInvalidateBufferData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glInvalidateBufferData(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInvalidateBufferSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
};
static void fexfn_unpack_libGL_glInvalidateBufferSubData(fexfn_packed_args_libGL_glInvalidateBufferSubData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
fexldr_ptr_libGL_glInvalidateBufferSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInvalidateFramebuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glInvalidateFramebuffer(fexfn_packed_args_libGL_glInvalidateFramebuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glInvalidateFramebuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInvalidateNamedFramebufferData {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glInvalidateNamedFramebufferData(fexfn_packed_args_libGL_glInvalidateNamedFramebufferData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glInvalidateNamedFramebufferData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInvalidateNamedFramebufferSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glInvalidateNamedFramebufferSubData(fexfn_packed_args_libGL_glInvalidateNamedFramebufferSubData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
fexldr_ptr_libGL_glInvalidateNamedFramebufferSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInvalidateSubFramebuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glInvalidateSubFramebuffer(fexfn_packed_args_libGL_glInvalidateSubFramebuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
fexldr_ptr_libGL_glInvalidateSubFramebuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInvalidateTexImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glInvalidateTexImage(fexfn_packed_args_libGL_glInvalidateTexImage* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glInvalidateTexImage(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glInvalidateTexSubImage {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
};
static void fexfn_unpack_libGL_glInvalidateTexSubImage(fexfn_packed_args_libGL_glInvalidateTexSubImage* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
fexldr_ptr_libGL_glInvalidateTexSubImage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLabelObjectEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glLabelObjectEXT(fexfn_packed_args_libGL_glLabelObjectEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glLabelObjectEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLGPUCopyImageSubDataNVX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<int32_t> a_10;
  guest_layout<int32_t> a_11;
  guest_layout<int32_t> a_12;
  guest_layout<int32_t> a_13;
  guest_layout<int32_t> a_14;
  guest_layout<int32_t> a_15;
  guest_layout<int32_t> a_16;
};
static void fexfn_unpack_libGL_glLGPUCopyImageSubDataNVX(fexfn_packed_args_libGL_glLGPUCopyImageSubDataNVX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLbitfield> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLuint> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<GLint> a_10 { args->a_10 };
  host_layout<GLint> a_11 { args->a_11 };
  host_layout<GLint> a_12 { args->a_12 };
  host_layout<GLint> a_13 { args->a_13 };
  host_layout<GLsizei> a_14 { args->a_14 };
  host_layout<GLsizei> a_15 { args->a_15 };
  host_layout<GLsizei> a_16 { args->a_16 };
fexldr_ptr_libGL_glLGPUCopyImageSubDataNVX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12), unwrap_host(a_13), unwrap_host(a_14), unwrap_host(a_15), unwrap_host(a_16));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLGPUInterlockNVX {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glLGPUInterlockNVX(fexfn_packed_args_libGL_glLGPUInterlockNVX* args) {
fexldr_ptr_libGL_glLGPUInterlockNVX();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLGPUNamedBufferSubDataNVX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glLGPUNamedBufferSubDataNVX(fexfn_packed_args_libGL_glLGPUNamedBufferSubDataNVX* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLintptr> a_2 { args->a_2 };
  host_layout<GLsizeiptr> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glLGPUNamedBufferSubDataNVX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightEnviSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glLightEnviSGIX(fexfn_packed_args_libGL_glLightEnviSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glLightEnviSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightf {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glLightf(fexfn_packed_args_libGL_glLightf* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glLightf(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glLightfv(fexfn_packed_args_libGL_glLightfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glLightfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLighti {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glLighti(fexfn_packed_args_libGL_glLighti* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glLighti(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glLightiv(fexfn_packed_args_libGL_glLightiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glLightiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightModelf {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glLightModelf(fexfn_packed_args_libGL_glLightModelf* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glLightModelf(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightModelfv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glLightModelfv(fexfn_packed_args_libGL_glLightModelfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glLightModelfv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightModeli {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glLightModeli(fexfn_packed_args_libGL_glLightModeli* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glLightModeli(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightModeliv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glLightModeliv(fexfn_packed_args_libGL_glLightModeliv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glLightModeliv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightModelxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glLightModelxOES(fexfn_packed_args_libGL_glLightModelxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glLightModelxOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightModelxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glLightModelxvOES(fexfn_packed_args_libGL_glLightModelxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glLightModelxvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glLightxOES(fexfn_packed_args_libGL_glLightxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glLightxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLightxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glLightxvOES(fexfn_packed_args_libGL_glLightxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glLightxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLineStipple {
  guest_layout<int32_t> a_0;
  guest_layout<uint16_t> a_1;
};
static void fexfn_unpack_libGL_glLineStipple(fexfn_packed_args_libGL_glLineStipple* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLushort> a_1 { args->a_1 };
fexldr_ptr_libGL_glLineStipple(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLineWidth {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glLineWidth(fexfn_packed_args_libGL_glLineWidth* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glLineWidth(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLineWidthxOES {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glLineWidthxOES(fexfn_packed_args_libGL_glLineWidthxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
fexldr_ptr_libGL_glLineWidthxOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLinkProgramARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glLinkProgramARB(fexfn_packed_args_libGL_glLinkProgramARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
fexldr_ptr_libGL_glLinkProgramARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLinkProgram {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glLinkProgram(fexfn_packed_args_libGL_glLinkProgram* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glLinkProgram(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glListBase {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glListBase(fexfn_packed_args_libGL_glListBase* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glListBase(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glListDrawCommandsStatesClientNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void **> a_2;
  guest_layout<const int32_t*> a_3;
  guest_layout<const uint32_t*> a_4;
  guest_layout<const uint32_t*> a_5;
  guest_layout<uint32_t> a_6;
};
static void fexfn_unpack_libGL_glListDrawCommandsStatesClientNV(fexfn_packed_args_libGL_glListDrawCommandsStatesClientNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const void **> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
  host_layout<const unsigned int *> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
fexldr_ptr_libGL_glListDrawCommandsStatesClientNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glListParameterfSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glListParameterfSGIX(fexfn_packed_args_libGL_glListParameterfSGIX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glListParameterfSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glListParameterfvSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glListParameterfvSGIX(fexfn_packed_args_libGL_glListParameterfvSGIX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glListParameterfvSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glListParameteriSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glListParameteriSGIX(fexfn_packed_args_libGL_glListParameteriSGIX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glListParameteriSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glListParameterivSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glListParameterivSGIX(fexfn_packed_args_libGL_glListParameterivSGIX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glListParameterivSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadIdentity {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glLoadIdentity(fexfn_packed_args_libGL_glLoadIdentity* args) {
fexldr_ptr_libGL_glLoadIdentity();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadIdentityDeformationMapSGIX {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glLoadIdentityDeformationMapSGIX(fexfn_packed_args_libGL_glLoadIdentityDeformationMapSGIX* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glLoadIdentityDeformationMapSGIX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadMatrixd {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glLoadMatrixd(fexfn_packed_args_libGL_glLoadMatrixd* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glLoadMatrixd(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadMatrixf {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glLoadMatrixf(fexfn_packed_args_libGL_glLoadMatrixf* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glLoadMatrixf(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadMatrixxOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glLoadMatrixxOES(fexfn_packed_args_libGL_glLoadMatrixxOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glLoadMatrixxOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadName {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glLoadName(fexfn_packed_args_libGL_glLoadName* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glLoadName(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadProgramNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glLoadProgramNV(fexfn_packed_args_libGL_glLoadProgramNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glLoadProgramNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadTransposeMatrixdARB {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glLoadTransposeMatrixdARB(fexfn_packed_args_libGL_glLoadTransposeMatrixdARB* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glLoadTransposeMatrixdARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadTransposeMatrixd {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glLoadTransposeMatrixd(fexfn_packed_args_libGL_glLoadTransposeMatrixd* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glLoadTransposeMatrixd(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadTransposeMatrixfARB {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glLoadTransposeMatrixfARB(fexfn_packed_args_libGL_glLoadTransposeMatrixfARB* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glLoadTransposeMatrixfARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadTransposeMatrixf {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glLoadTransposeMatrixf(fexfn_packed_args_libGL_glLoadTransposeMatrixf* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glLoadTransposeMatrixf(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLoadTransposeMatrixxOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glLoadTransposeMatrixxOES(fexfn_packed_args_libGL_glLoadTransposeMatrixxOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glLoadTransposeMatrixxOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLockArraysEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glLockArraysEXT(fexfn_packed_args_libGL_glLockArraysEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
fexldr_ptr_libGL_glLockArraysEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glLogicOp {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glLogicOp(fexfn_packed_args_libGL_glLogicOp* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glLogicOp(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeBufferNonResidentNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMakeBufferNonResidentNV(fexfn_packed_args_libGL_glMakeBufferNonResidentNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glMakeBufferNonResidentNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeBufferResidentNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glMakeBufferResidentNV(fexfn_packed_args_libGL_glMakeBufferResidentNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glMakeBufferResidentNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeImageHandleNonResidentARB {
  guest_layout<uint64_t> a_0;
};
static void fexfn_unpack_libGL_glMakeImageHandleNonResidentARB(fexfn_packed_args_libGL_glMakeImageHandleNonResidentARB* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
fexldr_ptr_libGL_glMakeImageHandleNonResidentARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeImageHandleNonResidentNV {
  guest_layout<uint64_t> a_0;
};
static void fexfn_unpack_libGL_glMakeImageHandleNonResidentNV(fexfn_packed_args_libGL_glMakeImageHandleNonResidentNV* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
fexldr_ptr_libGL_glMakeImageHandleNonResidentNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeImageHandleResidentARB {
  guest_layout<uint64_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glMakeImageHandleResidentARB(fexfn_packed_args_libGL_glMakeImageHandleResidentARB* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glMakeImageHandleResidentARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeImageHandleResidentNV {
  guest_layout<uint64_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glMakeImageHandleResidentNV(fexfn_packed_args_libGL_glMakeImageHandleResidentNV* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glMakeImageHandleResidentNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeNamedBufferNonResidentNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMakeNamedBufferNonResidentNV(fexfn_packed_args_libGL_glMakeNamedBufferNonResidentNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glMakeNamedBufferNonResidentNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeNamedBufferResidentNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glMakeNamedBufferResidentNV(fexfn_packed_args_libGL_glMakeNamedBufferResidentNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glMakeNamedBufferResidentNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeTextureHandleNonResidentARB {
  guest_layout<uint64_t> a_0;
};
static void fexfn_unpack_libGL_glMakeTextureHandleNonResidentARB(fexfn_packed_args_libGL_glMakeTextureHandleNonResidentARB* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
fexldr_ptr_libGL_glMakeTextureHandleNonResidentARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeTextureHandleNonResidentNV {
  guest_layout<uint64_t> a_0;
};
static void fexfn_unpack_libGL_glMakeTextureHandleNonResidentNV(fexfn_packed_args_libGL_glMakeTextureHandleNonResidentNV* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
fexldr_ptr_libGL_glMakeTextureHandleNonResidentNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeTextureHandleResidentARB {
  guest_layout<uint64_t> a_0;
};
static void fexfn_unpack_libGL_glMakeTextureHandleResidentARB(fexfn_packed_args_libGL_glMakeTextureHandleResidentARB* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
fexldr_ptr_libGL_glMakeTextureHandleResidentARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMakeTextureHandleResidentNV {
  guest_layout<uint64_t> a_0;
};
static void fexfn_unpack_libGL_glMakeTextureHandleResidentNV(fexfn_packed_args_libGL_glMakeTextureHandleResidentNV* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
fexldr_ptr_libGL_glMakeTextureHandleResidentNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMap1d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<const GLdouble *> a_5;
};
static void fexfn_unpack_libGL_glMap1d(fexfn_packed_args_libGL_glMap1d* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<const double *> a_5 { args->a_5 };
fexldr_ptr_libGL_glMap1d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMap1f {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<const GLfloat *> a_5;
};
static void fexfn_unpack_libGL_glMap1f(fexfn_packed_args_libGL_glMap1f* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<const float *> a_5 { args->a_5 };
fexldr_ptr_libGL_glMap1f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMap1xOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glMap1xOES(fexfn_packed_args_libGL_glMap1xOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLfixed> a_5 { args->a_5 };
fexldr_ptr_libGL_glMap1xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMap2d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<GLdouble> a_5;
  guest_layout<GLdouble> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<const GLdouble *> a_9;
};
static void fexfn_unpack_libGL_glMap2d(fexfn_packed_args_libGL_glMap2d* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
  host_layout<GLdouble> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<const double *> a_9 { args->a_9 };
fexldr_ptr_libGL_glMap2d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMap2f {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<const GLfloat *> a_9;
};
static void fexfn_unpack_libGL_glMap2f(fexfn_packed_args_libGL_glMap2f* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<const float *> a_9 { args->a_9 };
fexldr_ptr_libGL_glMap2f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMap2xOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
};
static void fexfn_unpack_libGL_glMap2xOES(fexfn_packed_args_libGL_glMap2xOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLfixed> a_5 { args->a_5 };
  host_layout<GLfixed> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLfixed> a_9 { args->a_9 };
fexldr_ptr_libGL_glMap2xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapBufferARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libGL_glMapBufferARB(fexfn_packed_args_libGL_glMapBufferARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libGL_glMapBufferARB(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libGL_glMapBuffer(fexfn_packed_args_libGL_glMapBuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libGL_glMapBuffer(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapBufferRange {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libGL_glMapBufferRange(fexfn_packed_args_libGL_glMapBufferRange* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<GLbitfield> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libGL_glMapBufferRange(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapControlPointsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint8_t> a_7;
  guest_layout<const void *> a_8;
};
static void fexfn_unpack_libGL_glMapControlPointsNV(fexfn_packed_args_libGL_glMapControlPointsNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLboolean> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glMapControlPointsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapGrid1d {
  guest_layout<int32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glMapGrid1d(fexfn_packed_args_libGL_glMapGrid1d* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glMapGrid1d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapGrid1f {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glMapGrid1f(fexfn_packed_args_libGL_glMapGrid1f* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glMapGrid1f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapGrid1xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glMapGrid1xOES(fexfn_packed_args_libGL_glMapGrid1xOES* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glMapGrid1xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapGrid2d {
  guest_layout<int32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
};
static void fexfn_unpack_libGL_glMapGrid2d(fexfn_packed_args_libGL_glMapGrid2d* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
fexldr_ptr_libGL_glMapGrid2d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapGrid2f {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glMapGrid2f(fexfn_packed_args_libGL_glMapGrid2f* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glMapGrid2f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapGrid2xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMapGrid2xOES(fexfn_packed_args_libGL_glMapGrid2xOES* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
  host_layout<GLfixed> a_4 { args->a_4 };
fexldr_ptr_libGL_glMapGrid2xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapNamedBufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libGL_glMapNamedBufferEXT(fexfn_packed_args_libGL_glMapNamedBufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libGL_glMapNamedBufferEXT(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapNamedBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libGL_glMapNamedBuffer(fexfn_packed_args_libGL_glMapNamedBuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libGL_glMapNamedBuffer(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapNamedBufferRangeEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libGL_glMapNamedBufferRangeEXT(fexfn_packed_args_libGL_glMapNamedBufferRangeEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<GLbitfield> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libGL_glMapNamedBufferRangeEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapNamedBufferRange {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libGL_glMapNamedBufferRange(fexfn_packed_args_libGL_glMapNamedBufferRange* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<GLbitfield> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libGL_glMapNamedBufferRange(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapObjectBufferATI {
  guest_layout<uint32_t> a_0;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libGL_glMapObjectBufferATI(fexfn_packed_args_libGL_glMapObjectBufferATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libGL_glMapObjectBufferATI(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glMapParameterfvNV(fexfn_packed_args_libGL_glMapParameterfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glMapParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glMapParameterivNV(fexfn_packed_args_libGL_glMapParameterivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glMapParameterivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapTexture2DINTEL {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<uint32_t*> a_4;
  guest_layout<void *> rv;
};
static void fexfn_unpack_libGL_glMapTexture2DINTEL(fexfn_packed_args_libGL_glMapTexture2DINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLbitfield> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<unsigned int *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<void *>(fexldr_ptr_libGL_glMapTexture2DINTEL(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapVertexAttrib1dAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<const GLdouble *> a_6;
};
static void fexfn_unpack_libGL_glMapVertexAttrib1dAPPLE(fexfn_packed_args_libGL_glMapVertexAttrib1dAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<const double *> a_6 { args->a_6 };
fexldr_ptr_libGL_glMapVertexAttrib1dAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapVertexAttrib1fAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<const GLfloat *> a_6;
};
static void fexfn_unpack_libGL_glMapVertexAttrib1fAPPLE(fexfn_packed_args_libGL_glMapVertexAttrib1fAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<const float *> a_6 { args->a_6 };
fexldr_ptr_libGL_glMapVertexAttrib1fAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapVertexAttrib2dAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<GLdouble> a_6;
  guest_layout<GLdouble> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<const GLdouble *> a_10;
};
static void fexfn_unpack_libGL_glMapVertexAttrib2dAPPLE(fexfn_packed_args_libGL_glMapVertexAttrib2dAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLdouble> a_6 { args->a_6 };
  host_layout<GLdouble> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLint> a_9 { args->a_9 };
  host_layout<const double *> a_10 { args->a_10 };
fexldr_ptr_libGL_glMapVertexAttrib2dAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMapVertexAttrib2fAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<const GLfloat *> a_10;
};
static void fexfn_unpack_libGL_glMapVertexAttrib2fAPPLE(fexfn_packed_args_libGL_glMapVertexAttrib2fAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLint> a_9 { args->a_9 };
  host_layout<const float *> a_10 { args->a_10 };
fexldr_ptr_libGL_glMapVertexAttrib2fAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMaterialf {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glMaterialf(fexfn_packed_args_libGL_glMaterialf* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glMaterialf(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMaterialfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glMaterialfv(fexfn_packed_args_libGL_glMaterialfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glMaterialfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMateriali {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glMateriali(fexfn_packed_args_libGL_glMateriali* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glMateriali(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMaterialiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glMaterialiv(fexfn_packed_args_libGL_glMaterialiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glMaterialiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMaterialxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glMaterialxOES(fexfn_packed_args_libGL_glMaterialxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glMaterialxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMaterialxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glMaterialxvOES(fexfn_packed_args_libGL_glMaterialxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glMaterialxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixFrustumEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
  guest_layout<GLdouble> a_6;
};
static void fexfn_unpack_libGL_glMatrixFrustumEXT(fexfn_packed_args_libGL_glMatrixFrustumEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
  host_layout<GLdouble> a_6 { args->a_6 };
fexldr_ptr_libGL_glMatrixFrustumEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixIndexPointerARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glMatrixIndexPointerARB(fexfn_packed_args_libGL_glMatrixIndexPointerARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMatrixIndexPointerARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixIndexubvARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glMatrixIndexubvARB(fexfn_packed_args_libGL_glMatrixIndexubvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixIndexubvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixIndexuivARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glMatrixIndexuivARB(fexfn_packed_args_libGL_glMatrixIndexuivARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixIndexuivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixIndexusvARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glMatrixIndexusvARB(fexfn_packed_args_libGL_glMatrixIndexusvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixIndexusvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixLoad3x2fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMatrixLoad3x2fNV(fexfn_packed_args_libGL_glMatrixLoad3x2fNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixLoad3x2fNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixLoad3x3fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMatrixLoad3x3fNV(fexfn_packed_args_libGL_glMatrixLoad3x3fNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixLoad3x3fNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixLoaddEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMatrixLoaddEXT(fexfn_packed_args_libGL_glMatrixLoaddEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixLoaddEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixLoadfEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMatrixLoadfEXT(fexfn_packed_args_libGL_glMatrixLoadfEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixLoadfEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixLoadIdentityEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMatrixLoadIdentityEXT(fexfn_packed_args_libGL_glMatrixLoadIdentityEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glMatrixLoadIdentityEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixLoadTranspose3x3fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMatrixLoadTranspose3x3fNV(fexfn_packed_args_libGL_glMatrixLoadTranspose3x3fNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixLoadTranspose3x3fNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixLoadTransposedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMatrixLoadTransposedEXT(fexfn_packed_args_libGL_glMatrixLoadTransposedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixLoadTransposedEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixLoadTransposefEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMatrixLoadTransposefEXT(fexfn_packed_args_libGL_glMatrixLoadTransposefEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixLoadTransposefEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixMode {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMatrixMode(fexfn_packed_args_libGL_glMatrixMode* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glMatrixMode(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixMult3x2fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMatrixMult3x2fNV(fexfn_packed_args_libGL_glMatrixMult3x2fNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixMult3x2fNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixMult3x3fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMatrixMult3x3fNV(fexfn_packed_args_libGL_glMatrixMult3x3fNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixMult3x3fNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixMultdEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMatrixMultdEXT(fexfn_packed_args_libGL_glMatrixMultdEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixMultdEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixMultfEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMatrixMultfEXT(fexfn_packed_args_libGL_glMatrixMultfEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixMultfEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixMultTranspose3x3fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMatrixMultTranspose3x3fNV(fexfn_packed_args_libGL_glMatrixMultTranspose3x3fNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixMultTranspose3x3fNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixMultTransposedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMatrixMultTransposedEXT(fexfn_packed_args_libGL_glMatrixMultTransposedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixMultTransposedEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixMultTransposefEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMatrixMultTransposefEXT(fexfn_packed_args_libGL_glMatrixMultTransposefEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMatrixMultTransposefEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixOrthoEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
  guest_layout<GLdouble> a_6;
};
static void fexfn_unpack_libGL_glMatrixOrthoEXT(fexfn_packed_args_libGL_glMatrixOrthoEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
  host_layout<GLdouble> a_6 { args->a_6 };
fexldr_ptr_libGL_glMatrixOrthoEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixPopEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMatrixPopEXT(fexfn_packed_args_libGL_glMatrixPopEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glMatrixPopEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixPushEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMatrixPushEXT(fexfn_packed_args_libGL_glMatrixPushEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glMatrixPushEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixRotatedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glMatrixRotatedEXT(fexfn_packed_args_libGL_glMatrixRotatedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glMatrixRotatedEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixRotatefEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glMatrixRotatefEXT(fexfn_packed_args_libGL_glMatrixRotatefEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glMatrixRotatefEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixScaledEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glMatrixScaledEXT(fexfn_packed_args_libGL_glMatrixScaledEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glMatrixScaledEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixScalefEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glMatrixScalefEXT(fexfn_packed_args_libGL_glMatrixScalefEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glMatrixScalefEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixTranslatedEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glMatrixTranslatedEXT(fexfn_packed_args_libGL_glMatrixTranslatedEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glMatrixTranslatedEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMatrixTranslatefEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glMatrixTranslatefEXT(fexfn_packed_args_libGL_glMatrixTranslatefEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glMatrixTranslatefEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMaxShaderCompilerThreadsARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMaxShaderCompilerThreadsARB(fexfn_packed_args_libGL_glMaxShaderCompilerThreadsARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glMaxShaderCompilerThreadsARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMaxShaderCompilerThreadsKHR {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMaxShaderCompilerThreadsKHR(fexfn_packed_args_libGL_glMaxShaderCompilerThreadsKHR* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glMaxShaderCompilerThreadsKHR(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMemoryBarrierByRegion {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMemoryBarrierByRegion(fexfn_packed_args_libGL_glMemoryBarrierByRegion* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glMemoryBarrierByRegion(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMemoryBarrierEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMemoryBarrierEXT(fexfn_packed_args_libGL_glMemoryBarrierEXT* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glMemoryBarrierEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMemoryBarrier {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glMemoryBarrier(fexfn_packed_args_libGL_glMemoryBarrier* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glMemoryBarrier(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMemoryObjectParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glMemoryObjectParameterivEXT(fexfn_packed_args_libGL_glMemoryObjectParameterivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glMemoryObjectParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMinmaxEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> a_2;
};
static void fexfn_unpack_libGL_glMinmaxEXT(fexfn_packed_args_libGL_glMinmaxEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
fexldr_ptr_libGL_glMinmaxEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMinmax {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> a_2;
};
static void fexfn_unpack_libGL_glMinmax(fexfn_packed_args_libGL_glMinmax* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
fexldr_ptr_libGL_glMinmax(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMinSampleShadingARB {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glMinSampleShadingARB(fexfn_packed_args_libGL_glMinSampleShadingARB* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glMinSampleShadingARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMinSampleShading {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glMinSampleShading(fexfn_packed_args_libGL_glMinSampleShading* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glMinSampleShading(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastBarrierNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glMulticastBarrierNV(fexfn_packed_args_libGL_glMulticastBarrierNV* args) {
fexldr_ptr_libGL_glMulticastBarrierNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastBlitFramebufferNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<uint32_t> a_10;
  guest_layout<uint32_t> a_11;
};
static void fexfn_unpack_libGL_glMulticastBlitFramebufferNV(fexfn_packed_args_libGL_glMulticastBlitFramebufferNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLint> a_9 { args->a_9 };
  host_layout<GLbitfield> a_10 { args->a_10 };
  host_layout<GLenum> a_11 { args->a_11 };
fexldr_ptr_libGL_glMulticastBlitFramebufferNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastBufferSubDataNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glMulticastBufferSubDataNV(fexfn_packed_args_libGL_glMulticastBufferSubDataNV* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLintptr> a_2 { args->a_2 };
  host_layout<GLsizeiptr> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glMulticastBufferSubDataNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastCopyBufferSubDataNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int64_t> a_4;
  guest_layout<int64_t> a_5;
  guest_layout<int64_t> a_6;
};
static void fexfn_unpack_libGL_glMulticastCopyBufferSubDataNV(fexfn_packed_args_libGL_glMulticastCopyBufferSubDataNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLbitfield> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLintptr> a_4 { args->a_4 };
  host_layout<GLintptr> a_5 { args->a_5 };
  host_layout<GLsizeiptr> a_6 { args->a_6 };
fexldr_ptr_libGL_glMulticastCopyBufferSubDataNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastCopyImageSubDataNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<int32_t> a_10;
  guest_layout<int32_t> a_11;
  guest_layout<int32_t> a_12;
  guest_layout<int32_t> a_13;
  guest_layout<int32_t> a_14;
  guest_layout<int32_t> a_15;
  guest_layout<int32_t> a_16;
};
static void fexfn_unpack_libGL_glMulticastCopyImageSubDataNV(fexfn_packed_args_libGL_glMulticastCopyImageSubDataNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLbitfield> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLuint> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<GLint> a_10 { args->a_10 };
  host_layout<GLint> a_11 { args->a_11 };
  host_layout<GLint> a_12 { args->a_12 };
  host_layout<GLint> a_13 { args->a_13 };
  host_layout<GLsizei> a_14 { args->a_14 };
  host_layout<GLsizei> a_15 { args->a_15 };
  host_layout<GLsizei> a_16 { args->a_16 };
fexldr_ptr_libGL_glMulticastCopyImageSubDataNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12), unwrap_host(a_13), unwrap_host(a_14), unwrap_host(a_15), unwrap_host(a_16));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastFramebufferSampleLocationsfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glMulticastFramebufferSampleLocationsfvNV(fexfn_packed_args_libGL_glMulticastFramebufferSampleLocationsfvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glMulticastFramebufferSampleLocationsfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastGetQueryObjecti64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t*> a_3;
};
static void fexfn_unpack_libGL_glMulticastGetQueryObjecti64vNV(fexfn_packed_args_libGL_glMulticastGetQueryObjecti64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMulticastGetQueryObjecti64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastGetQueryObjectivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t*> a_3;
};
static void fexfn_unpack_libGL_glMulticastGetQueryObjectivNV(fexfn_packed_args_libGL_glMulticastGetQueryObjectivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMulticastGetQueryObjectivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastGetQueryObjectui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glMulticastGetQueryObjectui64vNV(fexfn_packed_args_libGL_glMulticastGetQueryObjectui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMulticastGetQueryObjectui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastGetQueryObjectuivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glMulticastGetQueryObjectuivNV(fexfn_packed_args_libGL_glMulticastGetQueryObjectuivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMulticastGetQueryObjectuivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastScissorArrayvNVX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glMulticastScissorArrayvNVX(fexfn_packed_args_libGL_glMulticastScissorArrayvNVX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMulticastScissorArrayvNVX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastViewportArrayvNVX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glMulticastViewportArrayvNVX(fexfn_packed_args_libGL_glMulticastViewportArrayvNVX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMulticastViewportArrayvNVX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastViewportPositionWScaleNVX {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glMulticastViewportPositionWScaleNVX(fexfn_packed_args_libGL_glMulticastViewportPositionWScaleNVX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glMulticastViewportPositionWScaleNVX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMulticastWaitSyncNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glMulticastWaitSyncNV(fexfn_packed_args_libGL_glMulticastWaitSyncNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLbitfield> a_1 { args->a_1 };
fexldr_ptr_libGL_glMulticastWaitSyncNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawArraysEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiDrawArraysEXT(fexfn_packed_args_libGL_glMultiDrawArraysEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiDrawArraysEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawArrays {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiDrawArrays(fexfn_packed_args_libGL_glMultiDrawArrays* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiDrawArrays(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawArraysIndirectAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiDrawArraysIndirectAMD(fexfn_packed_args_libGL_glMultiDrawArraysIndirectAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiDrawArraysIndirectAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawArraysIndirectBindlessCountNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glMultiDrawArraysIndirectBindlessCountNV(fexfn_packed_args_libGL_glMultiDrawArraysIndirectBindlessCountNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glMultiDrawArraysIndirectBindlessCountNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawArraysIndirectBindlessNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiDrawArraysIndirectBindlessNV(fexfn_packed_args_libGL_glMultiDrawArraysIndirectBindlessNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiDrawArraysIndirectBindlessNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawArraysIndirectCountARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiDrawArraysIndirectCountARB(fexfn_packed_args_libGL_glMultiDrawArraysIndirectCountARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
  host_layout<GLintptr> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiDrawArraysIndirectCountARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawArraysIndirectCount {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiDrawArraysIndirectCount(fexfn_packed_args_libGL_glMultiDrawArraysIndirectCount* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
  host_layout<GLintptr> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiDrawArraysIndirectCount(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawArraysIndirect {
  guest_layout<uint32_t> a_0;
  guest_layout<const void *> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiDrawArraysIndirect(fexfn_packed_args_libGL_glMultiDrawArraysIndirect* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiDrawArraysIndirect(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawElementArrayAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiDrawElementArrayAPPLE(fexfn_packed_args_libGL_glMultiDrawElementArrayAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiDrawElementArrayAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawElementsBaseVertex {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *const *> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<const int32_t*> a_5;
};
static void fexfn_unpack_libGL_glMultiDrawElementsBaseVertex(fexfn_packed_args_libGL_glMultiDrawElementsBaseVertex* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *const *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<const int *> a_5 { args->a_5 };
fexldr_ptr_libGL_glMultiDrawElementsBaseVertex(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawElementsEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *const *> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiDrawElementsEXT(fexfn_packed_args_libGL_glMultiDrawElementsEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *const *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiDrawElementsEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawElements {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *const *> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiDrawElements(fexfn_packed_args_libGL_glMultiDrawElements* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *const *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiDrawElements(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawElementsIndirectAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiDrawElementsIndirectAMD(fexfn_packed_args_libGL_glMultiDrawElementsIndirectAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiDrawElementsIndirectAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawElementsIndirectBindlessCountNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glMultiDrawElementsIndirectBindlessCountNV(fexfn_packed_args_libGL_glMultiDrawElementsIndirectBindlessCountNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
fexldr_ptr_libGL_glMultiDrawElementsIndirectBindlessCountNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawElementsIndirectBindlessNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glMultiDrawElementsIndirectBindlessNV(fexfn_packed_args_libGL_glMultiDrawElementsIndirectBindlessNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glMultiDrawElementsIndirectBindlessNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawElementsIndirectCountARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glMultiDrawElementsIndirectCountARB(fexfn_packed_args_libGL_glMultiDrawElementsIndirectCountARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glMultiDrawElementsIndirectCountARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawElementsIndirectCount {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glMultiDrawElementsIndirectCount(fexfn_packed_args_libGL_glMultiDrawElementsIndirectCount* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glMultiDrawElementsIndirectCount(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawElementsIndirect {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiDrawElementsIndirect(fexfn_packed_args_libGL_glMultiDrawElementsIndirect* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiDrawElementsIndirect(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawMeshTasksIndirectCountNV {
  guest_layout<int64_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiDrawMeshTasksIndirectCountNV(fexfn_packed_args_libGL_glMultiDrawMeshTasksIndirectCountNV* args) {
  host_layout<GLintptr> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiDrawMeshTasksIndirectCountNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawMeshTasksIndirectNV {
  guest_layout<int64_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glMultiDrawMeshTasksIndirectNV(fexfn_packed_args_libGL_glMultiDrawMeshTasksIndirectNV* args) {
  host_layout<GLintptr> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiDrawMeshTasksIndirectNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiDrawRangeElementArrayAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const int32_t*> a_3;
  guest_layout<const int32_t*> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glMultiDrawRangeElementArrayAPPLE(fexfn_packed_args_libGL_glMultiDrawRangeElementArrayAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
  host_layout<const int *> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glMultiDrawRangeElementArrayAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiModeDrawArraysIBM {
  guest_layout<const uint32_t*> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiModeDrawArraysIBM(fexfn_packed_args_libGL_glMultiModeDrawArraysIBM* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiModeDrawArraysIBM(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiModeDrawElementsIBM {
  guest_layout<const uint32_t*> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *const *> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glMultiModeDrawElementsIBM(fexfn_packed_args_libGL_glMultiModeDrawElementsIBM* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *const *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glMultiModeDrawElementsIBM(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexBufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexBufferEXT(fexfn_packed_args_libGL_glMultiTexBufferEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexBufferEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1bOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int8_t> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1bOES(fexfn_packed_args_libGL_glMultiTexCoord1bOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1bOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1bvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1bvOES(fexfn_packed_args_libGL_glMultiTexCoord1bvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1bvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1dARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1dARB(fexfn_packed_args_libGL_glMultiTexCoord1dARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1dARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1d(fexfn_packed_args_libGL_glMultiTexCoord1d* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1d(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1dvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1dvARB(fexfn_packed_args_libGL_glMultiTexCoord1dvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1dvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1dv(fexfn_packed_args_libGL_glMultiTexCoord1dv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1fARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1fARB(fexfn_packed_args_libGL_glMultiTexCoord1fARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1fARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1f {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1f(fexfn_packed_args_libGL_glMultiTexCoord1f* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1f(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1fvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1fvARB(fexfn_packed_args_libGL_glMultiTexCoord1fvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1fvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1fv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1fv(fexfn_packed_args_libGL_glMultiTexCoord1fv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1fv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1hNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint16_t> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1hNV(fexfn_packed_args_libGL_glMultiTexCoord1hNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1hNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1hvNV(fexfn_packed_args_libGL_glMultiTexCoord1hvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1hvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1iARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1iARB(fexfn_packed_args_libGL_glMultiTexCoord1iARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1iARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1i(fexfn_packed_args_libGL_glMultiTexCoord1i* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1i(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1ivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1ivARB(fexfn_packed_args_libGL_glMultiTexCoord1ivARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1ivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1iv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1iv(fexfn_packed_args_libGL_glMultiTexCoord1iv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1iv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1sARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1sARB(fexfn_packed_args_libGL_glMultiTexCoord1sARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1sARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1s {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1s(fexfn_packed_args_libGL_glMultiTexCoord1s* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1s(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1svARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1svARB(fexfn_packed_args_libGL_glMultiTexCoord1svARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1svARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1sv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1sv(fexfn_packed_args_libGL_glMultiTexCoord1sv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1sv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1xOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1xOES(fexfn_packed_args_libGL_glMultiTexCoord1xOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1xOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord1xvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord1xvOES(fexfn_packed_args_libGL_glMultiTexCoord1xvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord1xvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2bOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2bOES(fexfn_packed_args_libGL_glMultiTexCoord2bOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2bOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2bvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2bvOES(fexfn_packed_args_libGL_glMultiTexCoord2bvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2bvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2dARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2dARB(fexfn_packed_args_libGL_glMultiTexCoord2dARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2dARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2d(fexfn_packed_args_libGL_glMultiTexCoord2d* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2dvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2dvARB(fexfn_packed_args_libGL_glMultiTexCoord2dvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2dvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2dv(fexfn_packed_args_libGL_glMultiTexCoord2dv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2fARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2fARB(fexfn_packed_args_libGL_glMultiTexCoord2fARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2f {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2f(fexfn_packed_args_libGL_glMultiTexCoord2f* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2fvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2fvARB(fexfn_packed_args_libGL_glMultiTexCoord2fvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2fvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2fv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2fv(fexfn_packed_args_libGL_glMultiTexCoord2fv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2fv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2hNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2hNV(fexfn_packed_args_libGL_glMultiTexCoord2hNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2hvNV(fexfn_packed_args_libGL_glMultiTexCoord2hvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2hvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2iARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2iARB(fexfn_packed_args_libGL_glMultiTexCoord2iARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2iARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2i(fexfn_packed_args_libGL_glMultiTexCoord2i* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2ivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2ivARB(fexfn_packed_args_libGL_glMultiTexCoord2ivARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2ivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2iv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2iv(fexfn_packed_args_libGL_glMultiTexCoord2iv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2iv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2sARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2sARB(fexfn_packed_args_libGL_glMultiTexCoord2sARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2sARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2s {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2s(fexfn_packed_args_libGL_glMultiTexCoord2s* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2svARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2svARB(fexfn_packed_args_libGL_glMultiTexCoord2svARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2svARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2sv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2sv(fexfn_packed_args_libGL_glMultiTexCoord2sv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2sv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2xOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexCoord2xOES(fexfn_packed_args_libGL_glMultiTexCoord2xOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexCoord2xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord2xvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord2xvOES(fexfn_packed_args_libGL_glMultiTexCoord2xvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord2xvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3bOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
  guest_layout<int8_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3bOES(fexfn_packed_args_libGL_glMultiTexCoord3bOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
  host_layout<GLbyte> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3bOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3bvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3bvOES(fexfn_packed_args_libGL_glMultiTexCoord3bvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3bvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3dARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3dARB(fexfn_packed_args_libGL_glMultiTexCoord3dARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3dARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3d(fexfn_packed_args_libGL_glMultiTexCoord3d* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3dvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3dvARB(fexfn_packed_args_libGL_glMultiTexCoord3dvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3dvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3dv(fexfn_packed_args_libGL_glMultiTexCoord3dv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3fARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3fARB(fexfn_packed_args_libGL_glMultiTexCoord3fARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3f {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3f(fexfn_packed_args_libGL_glMultiTexCoord3f* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3fvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3fvARB(fexfn_packed_args_libGL_glMultiTexCoord3fvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3fvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3fv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3fv(fexfn_packed_args_libGL_glMultiTexCoord3fv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3fv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3hNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
  guest_layout<uint16_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3hNV(fexfn_packed_args_libGL_glMultiTexCoord3hNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
  host_layout<GLhalfNV> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3hvNV(fexfn_packed_args_libGL_glMultiTexCoord3hvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3hvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3iARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3iARB(fexfn_packed_args_libGL_glMultiTexCoord3iARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3iARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3i(fexfn_packed_args_libGL_glMultiTexCoord3i* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3ivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3ivARB(fexfn_packed_args_libGL_glMultiTexCoord3ivARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3ivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3iv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3iv(fexfn_packed_args_libGL_glMultiTexCoord3iv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3iv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3sARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3sARB(fexfn_packed_args_libGL_glMultiTexCoord3sARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3sARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3s {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3s(fexfn_packed_args_libGL_glMultiTexCoord3s* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3svARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3svARB(fexfn_packed_args_libGL_glMultiTexCoord3svARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3svARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3sv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3sv(fexfn_packed_args_libGL_glMultiTexCoord3sv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3sv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3xOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexCoord3xOES(fexfn_packed_args_libGL_glMultiTexCoord3xOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexCoord3xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord3xvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord3xvOES(fexfn_packed_args_libGL_glMultiTexCoord3xvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord3xvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4bOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
  guest_layout<int8_t> a_3;
  guest_layout<int8_t> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4bOES(fexfn_packed_args_libGL_glMultiTexCoord4bOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
  host_layout<GLbyte> a_3 { args->a_3 };
  host_layout<GLbyte> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4bOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4bvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4bvOES(fexfn_packed_args_libGL_glMultiTexCoord4bvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4bvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4dARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4dARB(fexfn_packed_args_libGL_glMultiTexCoord4dARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4dARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4d(fexfn_packed_args_libGL_glMultiTexCoord4d* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4dvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4dvARB(fexfn_packed_args_libGL_glMultiTexCoord4dvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4dvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4dv(fexfn_packed_args_libGL_glMultiTexCoord4dv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4fARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4fARB(fexfn_packed_args_libGL_glMultiTexCoord4fARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4f {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4f(fexfn_packed_args_libGL_glMultiTexCoord4f* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4fvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4fvARB(fexfn_packed_args_libGL_glMultiTexCoord4fvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4fvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4fv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4fv(fexfn_packed_args_libGL_glMultiTexCoord4fv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4fv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4hNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
  guest_layout<uint16_t> a_3;
  guest_layout<uint16_t> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4hNV(fexfn_packed_args_libGL_glMultiTexCoord4hNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
  host_layout<GLhalfNV> a_3 { args->a_3 };
  host_layout<GLhalfNV> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4hvNV(fexfn_packed_args_libGL_glMultiTexCoord4hvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4hvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4iARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4iARB(fexfn_packed_args_libGL_glMultiTexCoord4iARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4iARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4i(fexfn_packed_args_libGL_glMultiTexCoord4i* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4ivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4ivARB(fexfn_packed_args_libGL_glMultiTexCoord4ivARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4ivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4iv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4iv(fexfn_packed_args_libGL_glMultiTexCoord4iv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4iv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4sARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
  guest_layout<int16_t> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4sARB(fexfn_packed_args_libGL_glMultiTexCoord4sARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
  host_layout<GLshort> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4sARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4s {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
  guest_layout<int16_t> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4s(fexfn_packed_args_libGL_glMultiTexCoord4s* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
  host_layout<GLshort> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4svARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4svARB(fexfn_packed_args_libGL_glMultiTexCoord4svARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4svARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4sv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4sv(fexfn_packed_args_libGL_glMultiTexCoord4sv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4sv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4xOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoord4xOES(fexfn_packed_args_libGL_glMultiTexCoord4xOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
  host_layout<GLfixed> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoord4xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoord4xvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glMultiTexCoord4xvOES(fexfn_packed_args_libGL_glMultiTexCoord4xvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glMultiTexCoord4xvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexCoordPointerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glMultiTexCoordPointerEXT(fexfn_packed_args_libGL_glMultiTexCoordPointerEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glMultiTexCoordPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexEnvfEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glMultiTexEnvfEXT(fexfn_packed_args_libGL_glMultiTexEnvfEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexEnvfEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexEnvfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glMultiTexEnvfvEXT(fexfn_packed_args_libGL_glMultiTexEnvfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexEnvfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexEnviEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexEnviEXT(fexfn_packed_args_libGL_glMultiTexEnviEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexEnviEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexEnvivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glMultiTexEnvivEXT(fexfn_packed_args_libGL_glMultiTexEnvivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexEnvivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexGendEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glMultiTexGendEXT(fexfn_packed_args_libGL_glMultiTexGendEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexGendEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexGendvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glMultiTexGendvEXT(fexfn_packed_args_libGL_glMultiTexGendvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexGendvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexGenfEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glMultiTexGenfEXT(fexfn_packed_args_libGL_glMultiTexGenfEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexGenfEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexGenfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glMultiTexGenfvEXT(fexfn_packed_args_libGL_glMultiTexGenfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexGenfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexGeniEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexGeniEXT(fexfn_packed_args_libGL_glMultiTexGeniEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexGeniEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexGenivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glMultiTexGenivEXT(fexfn_packed_args_libGL_glMultiTexGenivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexGenivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<const void *> a_8;
};
static void fexfn_unpack_libGL_glMultiTexImage1DEXT(fexfn_packed_args_libGL_glMultiTexImage1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glMultiTexImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<const void *> a_9;
};
static void fexfn_unpack_libGL_glMultiTexImage2DEXT(fexfn_packed_args_libGL_glMultiTexImage2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<const void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glMultiTexImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<const void *> a_10;
};
static void fexfn_unpack_libGL_glMultiTexImage3DEXT(fexfn_packed_args_libGL_glMultiTexImage3DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<const void *> a_10 { args->a_10 };
fexldr_ptr_libGL_glMultiTexImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexParameterfEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glMultiTexParameterfEXT(fexfn_packed_args_libGL_glMultiTexParameterfEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexParameterfEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glMultiTexParameterfvEXT(fexfn_packed_args_libGL_glMultiTexParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexParameteriEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glMultiTexParameteriEXT(fexfn_packed_args_libGL_glMultiTexParameteriEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexParameteriEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexParameterIivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glMultiTexParameterIivEXT(fexfn_packed_args_libGL_glMultiTexParameterIivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexParameterIivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexParameterIuivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glMultiTexParameterIuivEXT(fexfn_packed_args_libGL_glMultiTexParameterIuivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexParameterIuivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glMultiTexParameterivEXT(fexfn_packed_args_libGL_glMultiTexParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glMultiTexParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexRenderbufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glMultiTexRenderbufferEXT(fexfn_packed_args_libGL_glMultiTexRenderbufferEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glMultiTexRenderbufferEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexSubImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<const void *> a_7;
};
static void fexfn_unpack_libGL_glMultiTexSubImage1DEXT(fexfn_packed_args_libGL_glMultiTexSubImage1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glMultiTexSubImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexSubImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<const void *> a_9;
};
static void fexfn_unpack_libGL_glMultiTexSubImage2DEXT(fexfn_packed_args_libGL_glMultiTexSubImage2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<const void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glMultiTexSubImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultiTexSubImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<uint32_t> a_10;
  guest_layout<const void *> a_11;
};
static void fexfn_unpack_libGL_glMultiTexSubImage3DEXT(fexfn_packed_args_libGL_glMultiTexSubImage3DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<GLenum> a_10 { args->a_10 };
  host_layout<const void *> a_11 { args->a_11 };
fexldr_ptr_libGL_glMultiTexSubImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultMatrixd {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glMultMatrixd(fexfn_packed_args_libGL_glMultMatrixd* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glMultMatrixd(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultMatrixf {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glMultMatrixf(fexfn_packed_args_libGL_glMultMatrixf* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glMultMatrixf(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultMatrixxOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glMultMatrixxOES(fexfn_packed_args_libGL_glMultMatrixxOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glMultMatrixxOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultTransposeMatrixdARB {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glMultTransposeMatrixdARB(fexfn_packed_args_libGL_glMultTransposeMatrixdARB* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glMultTransposeMatrixdARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultTransposeMatrixd {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glMultTransposeMatrixd(fexfn_packed_args_libGL_glMultTransposeMatrixd* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glMultTransposeMatrixd(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultTransposeMatrixfARB {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glMultTransposeMatrixfARB(fexfn_packed_args_libGL_glMultTransposeMatrixfARB* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glMultTransposeMatrixfARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultTransposeMatrixf {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glMultTransposeMatrixf(fexfn_packed_args_libGL_glMultTransposeMatrixf* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glMultTransposeMatrixf(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glMultTransposeMatrixxOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glMultTransposeMatrixxOES(fexfn_packed_args_libGL_glMultTransposeMatrixxOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glMultTransposeMatrixxOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferAttachMemoryNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glNamedBufferAttachMemoryNV(fexfn_packed_args_libGL_glNamedBufferAttachMemoryNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glNamedBufferAttachMemoryNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferDataEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glNamedBufferDataEXT(fexfn_packed_args_libGL_glNamedBufferDataEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizeiptr> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedBufferDataEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferData {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glNamedBufferData(fexfn_packed_args_libGL_glNamedBufferData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizeiptr> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedBufferData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferPageCommitmentARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<uint8_t> a_3;
};
static void fexfn_unpack_libGL_glNamedBufferPageCommitmentARB(fexfn_packed_args_libGL_glNamedBufferPageCommitmentARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedBufferPageCommitmentARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferPageCommitmentEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<uint8_t> a_3;
};
static void fexfn_unpack_libGL_glNamedBufferPageCommitmentEXT(fexfn_packed_args_libGL_glNamedBufferPageCommitmentEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedBufferPageCommitmentEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferStorageExternalEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<GLeglClientBufferEXT> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glNamedBufferStorageExternalEXT(fexfn_packed_args_libGL_glNamedBufferStorageExternalEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<void *> a_3 { args->a_3 };
  host_layout<GLbitfield> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedBufferStorageExternalEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferStorageEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glNamedBufferStorageEXT(fexfn_packed_args_libGL_glNamedBufferStorageEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizeiptr> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLbitfield> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedBufferStorageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferStorage {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glNamedBufferStorage(fexfn_packed_args_libGL_glNamedBufferStorage* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizeiptr> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLbitfield> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedBufferStorage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferStorageMemEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint64_t> a_3;
};
static void fexfn_unpack_libGL_glNamedBufferStorageMemEXT(fexfn_packed_args_libGL_glNamedBufferStorageMemEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizeiptr> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint64> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedBufferStorageMemEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferSubDataEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glNamedBufferSubDataEXT(fexfn_packed_args_libGL_glNamedBufferSubDataEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedBufferSubDataEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedBufferSubData {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glNamedBufferSubData(fexfn_packed_args_libGL_glNamedBufferSubData* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLintptr> a_1 { args->a_1 };
  host_layout<GLsizeiptr> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedBufferSubData(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedCopyBufferSubDataEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glNamedCopyBufferSubDataEXT(fexfn_packed_args_libGL_glNamedCopyBufferSubDataEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLintptr> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizeiptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedCopyBufferSubDataEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferDrawBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glNamedFramebufferDrawBuffer(fexfn_packed_args_libGL_glNamedFramebufferDrawBuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glNamedFramebufferDrawBuffer(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferDrawBuffers {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glNamedFramebufferDrawBuffers(fexfn_packed_args_libGL_glNamedFramebufferDrawBuffers* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glNamedFramebufferDrawBuffers(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferParameteriEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glNamedFramebufferParameteriEXT(fexfn_packed_args_libGL_glNamedFramebufferParameteriEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glNamedFramebufferParameteriEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferParameteri {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glNamedFramebufferParameteri(fexfn_packed_args_libGL_glNamedFramebufferParameteri* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glNamedFramebufferParameteri(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferReadBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glNamedFramebufferReadBuffer(fexfn_packed_args_libGL_glNamedFramebufferReadBuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glNamedFramebufferReadBuffer(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferRenderbufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glNamedFramebufferRenderbufferEXT(fexfn_packed_args_libGL_glNamedFramebufferRenderbufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedFramebufferRenderbufferEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferRenderbuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glNamedFramebufferRenderbuffer(fexfn_packed_args_libGL_glNamedFramebufferRenderbuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedFramebufferRenderbuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferSampleLocationsfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glNamedFramebufferSampleLocationsfvARB(fexfn_packed_args_libGL_glNamedFramebufferSampleLocationsfvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedFramebufferSampleLocationsfvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferSampleLocationsfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glNamedFramebufferSampleLocationsfvNV(fexfn_packed_args_libGL_glNamedFramebufferSampleLocationsfvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedFramebufferSampleLocationsfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferSamplePositionsfvAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glNamedFramebufferSamplePositionsfvAMD(fexfn_packed_args_libGL_glNamedFramebufferSamplePositionsfvAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedFramebufferSamplePositionsfvAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferTexture1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glNamedFramebufferTexture1DEXT(fexfn_packed_args_libGL_glNamedFramebufferTexture1DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedFramebufferTexture1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferTexture2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glNamedFramebufferTexture2DEXT(fexfn_packed_args_libGL_glNamedFramebufferTexture2DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedFramebufferTexture2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferTexture3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glNamedFramebufferTexture3DEXT(fexfn_packed_args_libGL_glNamedFramebufferTexture3DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glNamedFramebufferTexture3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferTextureEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glNamedFramebufferTextureEXT(fexfn_packed_args_libGL_glNamedFramebufferTextureEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedFramebufferTextureEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferTextureFaceEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glNamedFramebufferTextureFaceEXT(fexfn_packed_args_libGL_glNamedFramebufferTextureFaceEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedFramebufferTextureFaceEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferTexture {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glNamedFramebufferTexture(fexfn_packed_args_libGL_glNamedFramebufferTexture* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedFramebufferTexture(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferTextureLayerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glNamedFramebufferTextureLayerEXT(fexfn_packed_args_libGL_glNamedFramebufferTextureLayerEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedFramebufferTextureLayerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedFramebufferTextureLayer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glNamedFramebufferTextureLayer(fexfn_packed_args_libGL_glNamedFramebufferTextureLayer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedFramebufferTextureLayer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParameter4dEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
  guest_layout<GLdouble> a_6;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParameter4dEXT(fexfn_packed_args_libGL_glNamedProgramLocalParameter4dEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
  host_layout<GLdouble> a_6 { args->a_6 };
fexldr_ptr_libGL_glNamedProgramLocalParameter4dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParameter4dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParameter4dvEXT(fexfn_packed_args_libGL_glNamedProgramLocalParameter4dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedProgramLocalParameter4dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParameter4fEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParameter4fEXT(fexfn_packed_args_libGL_glNamedProgramLocalParameter4fEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
fexldr_ptr_libGL_glNamedProgramLocalParameter4fEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParameter4fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParameter4fvEXT(fexfn_packed_args_libGL_glNamedProgramLocalParameter4fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedProgramLocalParameter4fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParameterI4iEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParameterI4iEXT(fexfn_packed_args_libGL_glNamedProgramLocalParameterI4iEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
fexldr_ptr_libGL_glNamedProgramLocalParameterI4iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParameterI4ivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParameterI4ivEXT(fexfn_packed_args_libGL_glNamedProgramLocalParameterI4ivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedProgramLocalParameterI4ivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParameterI4uiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParameterI4uiEXT(fexfn_packed_args_libGL_glNamedProgramLocalParameterI4uiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
fexldr_ptr_libGL_glNamedProgramLocalParameterI4uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParameterI4uivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParameterI4uivEXT(fexfn_packed_args_libGL_glNamedProgramLocalParameterI4uivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedProgramLocalParameterI4uivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParameters4fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParameters4fvEXT(fexfn_packed_args_libGL_glNamedProgramLocalParameters4fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedProgramLocalParameters4fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParametersI4ivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const int32_t*> a_4;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParametersI4ivEXT(fexfn_packed_args_libGL_glNamedProgramLocalParametersI4ivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedProgramLocalParametersI4ivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramLocalParametersI4uivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const uint32_t*> a_4;
};
static void fexfn_unpack_libGL_glNamedProgramLocalParametersI4uivEXT(fexfn_packed_args_libGL_glNamedProgramLocalParametersI4uivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedProgramLocalParametersI4uivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedProgramStringEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glNamedProgramStringEXT(fexfn_packed_args_libGL_glNamedProgramStringEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedProgramStringEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedRenderbufferStorageEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glNamedRenderbufferStorageEXT(fexfn_packed_args_libGL_glNamedRenderbufferStorageEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedRenderbufferStorageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedRenderbufferStorage {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glNamedRenderbufferStorage(fexfn_packed_args_libGL_glNamedRenderbufferStorage* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glNamedRenderbufferStorage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedRenderbufferStorageMultisampleAdvancedAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glNamedRenderbufferStorageMultisampleAdvancedAMD(fexfn_packed_args_libGL_glNamedRenderbufferStorageMultisampleAdvancedAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glNamedRenderbufferStorageMultisampleAdvancedAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedRenderbufferStorageMultisampleCoverageEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glNamedRenderbufferStorageMultisampleCoverageEXT(fexfn_packed_args_libGL_glNamedRenderbufferStorageMultisampleCoverageEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glNamedRenderbufferStorageMultisampleCoverageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedRenderbufferStorageMultisampleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glNamedRenderbufferStorageMultisampleEXT(fexfn_packed_args_libGL_glNamedRenderbufferStorageMultisampleEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedRenderbufferStorageMultisampleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedRenderbufferStorageMultisample {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glNamedRenderbufferStorageMultisample(fexfn_packed_args_libGL_glNamedRenderbufferStorageMultisample* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedRenderbufferStorageMultisample(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNamedStringARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const uint8_t*> a_4;
};
static void fexfn_unpack_libGL_glNamedStringARB(fexfn_packed_args_libGL_glNamedStringARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<const char *> a_4 { args->a_4 };
fexldr_ptr_libGL_glNamedStringARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNewList {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glNewList(fexfn_packed_args_libGL_glNewList* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glNewList(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3b {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
};
static void fexfn_unpack_libGL_glNormal3b(fexfn_packed_args_libGL_glNormal3b* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glNormal3b(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3bv {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glNormal3bv(fexfn_packed_args_libGL_glNormal3bv* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glNormal3bv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glNormal3d(fexfn_packed_args_libGL_glNormal3d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glNormal3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glNormal3dv(fexfn_packed_args_libGL_glNormal3dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glNormal3dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glNormal3f(fexfn_packed_args_libGL_glNormal3f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glNormal3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glNormal3fv(fexfn_packed_args_libGL_glNormal3fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glNormal3fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3fVertex3fSUN {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glNormal3fVertex3fSUN(fexfn_packed_args_libGL_glNormal3fVertex3fSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glNormal3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3fVertex3fvSUN {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glNormal3fVertex3fvSUN(fexfn_packed_args_libGL_glNormal3fVertex3fvSUN* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glNormal3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3hNV {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
};
static void fexfn_unpack_libGL_glNormal3hNV(fexfn_packed_args_libGL_glNormal3hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
fexldr_ptr_libGL_glNormal3hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glNormal3hvNV(fexfn_packed_args_libGL_glNormal3hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glNormal3hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glNormal3i(fexfn_packed_args_libGL_glNormal3i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glNormal3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glNormal3iv(fexfn_packed_args_libGL_glNormal3iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glNormal3iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glNormal3s(fexfn_packed_args_libGL_glNormal3s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glNormal3s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glNormal3sv(fexfn_packed_args_libGL_glNormal3sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glNormal3sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glNormal3xOES(fexfn_packed_args_libGL_glNormal3xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glNormal3xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormal3xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glNormal3xvOES(fexfn_packed_args_libGL_glNormal3xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glNormal3xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalFormatNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glNormalFormatNV(fexfn_packed_args_libGL_glNormalFormatNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
fexldr_ptr_libGL_glNormalFormatNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalPointerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glNormalPointerEXT(fexfn_packed_args_libGL_glNormalPointerEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glNormalPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalPointer {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLvoid *> a_2;
};
static void fexfn_unpack_libGL_glNormalPointer(fexfn_packed_args_libGL_glNormalPointer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glNormalPointer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalPointerListIBM {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const void **> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glNormalPointerListIBM(fexfn_packed_args_libGL_glNormalPointerListIBM* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<const void **> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glNormalPointerListIBM(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalPointervINTEL {
  guest_layout<uint32_t> a_0;
  guest_layout<const void **> a_1;
};
static void fexfn_unpack_libGL_glNormalPointervINTEL(fexfn_packed_args_libGL_glNormalPointervINTEL* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const void **> a_1 { args->a_1 };
fexldr_ptr_libGL_glNormalPointervINTEL(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalStream3bATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
  guest_layout<int8_t> a_3;
};
static void fexfn_unpack_libGL_glNormalStream3bATI(fexfn_packed_args_libGL_glNormalStream3bATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
  host_layout<GLbyte> a_3 { args->a_3 };
fexldr_ptr_libGL_glNormalStream3bATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalStream3bvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glNormalStream3bvATI(fexfn_packed_args_libGL_glNormalStream3bvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glNormalStream3bvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalStream3dATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glNormalStream3dATI(fexfn_packed_args_libGL_glNormalStream3dATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glNormalStream3dATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalStream3dvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glNormalStream3dvATI(fexfn_packed_args_libGL_glNormalStream3dvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glNormalStream3dvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalStream3fATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glNormalStream3fATI(fexfn_packed_args_libGL_glNormalStream3fATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glNormalStream3fATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalStream3fvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glNormalStream3fvATI(fexfn_packed_args_libGL_glNormalStream3fvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glNormalStream3fvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalStream3iATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glNormalStream3iATI(fexfn_packed_args_libGL_glNormalStream3iATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glNormalStream3iATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalStream3ivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glNormalStream3ivATI(fexfn_packed_args_libGL_glNormalStream3ivATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glNormalStream3ivATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalStream3sATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glNormalStream3sATI(fexfn_packed_args_libGL_glNormalStream3sATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glNormalStream3sATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glNormalStream3svATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glNormalStream3svATI(fexfn_packed_args_libGL_glNormalStream3svATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glNormalStream3svATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glObjectLabel {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glObjectLabel(fexfn_packed_args_libGL_glObjectLabel* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glObjectLabel(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glObjectPtrLabel {
  guest_layout<const void *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glObjectPtrLabel(fexfn_packed_args_libGL_glObjectPtrLabel* args) {
  host_layout<const void *> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glObjectPtrLabel(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glOrthofOES {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glOrthofOES(fexfn_packed_args_libGL_glOrthofOES* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glOrthofOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glOrtho {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
};
static void fexfn_unpack_libGL_glOrtho(fexfn_packed_args_libGL_glOrtho* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
fexldr_ptr_libGL_glOrtho(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glOrthoxOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glOrthoxOES(fexfn_packed_args_libGL_glOrthoxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
  host_layout<GLfixed> a_4 { args->a_4 };
  host_layout<GLfixed> a_5 { args->a_5 };
fexldr_ptr_libGL_glOrthoxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPassTexCoordATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glPassTexCoordATI(fexfn_packed_args_libGL_glPassTexCoordATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexldr_ptr_libGL_glPassTexCoordATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPassThrough {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glPassThrough(fexfn_packed_args_libGL_glPassThrough* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glPassThrough(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPassThroughxOES {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glPassThroughxOES(fexfn_packed_args_libGL_glPassThroughxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
fexldr_ptr_libGL_glPassThroughxOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPatchParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glPatchParameterfv(fexfn_packed_args_libGL_glPatchParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPatchParameterfv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPatchParameteri {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPatchParameteri(fexfn_packed_args_libGL_glPatchParameteri* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glPatchParameteri(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathCommandsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<const void *> a_5;
};
static void fexfn_unpack_libGL_glPathCommandsNV(fexfn_packed_args_libGL_glPathCommandsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned char *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glPathCommandsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathCoordsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glPathCoordsNV(fexfn_packed_args_libGL_glPathCoordsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glPathCoordsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathCoverDepthFuncNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glPathCoverDepthFuncNV(fexfn_packed_args_libGL_glPathCoverDepthFuncNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glPathCoverDepthFuncNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathDashArrayNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glPathDashArrayNV(fexfn_packed_args_libGL_glPathDashArrayNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPathDashArrayNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathGlyphRangeNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<GLfloat> a_8;
};
static void fexfn_unpack_libGL_glPathGlyphRangeNV(fexfn_packed_args_libGL_glPathGlyphRangeNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLbitfield> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLuint> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
fexldr_ptr_libGL_glPathGlyphRangeNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathGlyphsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const void *> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<GLfloat> a_9;
};
static void fexfn_unpack_libGL_glPathGlyphsNV(fexfn_packed_args_libGL_glPathGlyphsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLbitfield> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLuint> a_8 { args->a_8 };
  host_layout<GLfloat> a_9 { args->a_9 };
fexldr_ptr_libGL_glPathGlyphsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathParameterfNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glPathParameterfNV(fexfn_packed_args_libGL_glPathParameterfNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glPathParameterfNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glPathParameterfvNV(fexfn_packed_args_libGL_glPathParameterfvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPathParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathParameteriNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glPathParameteriNV(fexfn_packed_args_libGL_glPathParameteriNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glPathParameteriNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glPathParameterivNV(fexfn_packed_args_libGL_glPathParameterivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPathParameterivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathStencilDepthOffsetNV {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPathStencilDepthOffsetNV(fexfn_packed_args_libGL_glPathStencilDepthOffsetNV* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPathStencilDepthOffsetNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathStencilFuncNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glPathStencilFuncNV(fexfn_packed_args_libGL_glPathStencilFuncNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glPathStencilFuncNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathStringNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glPathStringNV(fexfn_packed_args_libGL_glPathStringNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glPathStringNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathSubCommandsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const uint8_t*> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<const void *> a_7;
};
static void fexfn_unpack_libGL_glPathSubCommandsNV(fexfn_packed_args_libGL_glPathSubCommandsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const unsigned char *> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glPathSubCommandsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathSubCoordsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glPathSubCoordsNV(fexfn_packed_args_libGL_glPathSubCoordsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glPathSubCoordsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPauseTransformFeedback {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glPauseTransformFeedback(fexfn_packed_args_libGL_glPauseTransformFeedback* args) {
fexldr_ptr_libGL_glPauseTransformFeedback();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPauseTransformFeedbackNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glPauseTransformFeedbackNV(fexfn_packed_args_libGL_glPauseTransformFeedbackNV* args) {
fexldr_ptr_libGL_glPauseTransformFeedbackNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelDataRangeNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const void *> a_2;
};
static void fexfn_unpack_libGL_glPixelDataRangeNV(fexfn_packed_args_libGL_glPixelDataRangeNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPixelDataRangeNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelMapfv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glPixelMapfv(fexfn_packed_args_libGL_glPixelMapfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPixelMapfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelMapuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glPixelMapuiv(fexfn_packed_args_libGL_glPixelMapuiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPixelMapuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelMapusv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint16_t*> a_2;
};
static void fexfn_unpack_libGL_glPixelMapusv(fexfn_packed_args_libGL_glPixelMapusv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPixelMapusv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelMapx {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glPixelMapx(fexfn_packed_args_libGL_glPixelMapx* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPixelMapx(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelStoref {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPixelStoref(fexfn_packed_args_libGL_glPixelStoref* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelStoref(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelStorei {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPixelStorei(fexfn_packed_args_libGL_glPixelStorei* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelStorei(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelStorex {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPixelStorex(fexfn_packed_args_libGL_glPixelStorex* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelStorex(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTexGenParameterfSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPixelTexGenParameterfSGIS(fexfn_packed_args_libGL_glPixelTexGenParameterfSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelTexGenParameterfSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTexGenParameterfvSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glPixelTexGenParameterfvSGIS(fexfn_packed_args_libGL_glPixelTexGenParameterfvSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelTexGenParameterfvSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTexGenParameteriSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPixelTexGenParameteriSGIS(fexfn_packed_args_libGL_glPixelTexGenParameteriSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelTexGenParameteriSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTexGenParameterivSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glPixelTexGenParameterivSGIS(fexfn_packed_args_libGL_glPixelTexGenParameterivSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelTexGenParameterivSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTexGenSGIX {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glPixelTexGenSGIX(fexfn_packed_args_libGL_glPixelTexGenSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glPixelTexGenSGIX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTransferf {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPixelTransferf(fexfn_packed_args_libGL_glPixelTransferf* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelTransferf(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTransferi {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPixelTransferi(fexfn_packed_args_libGL_glPixelTransferi* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelTransferi(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTransferxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPixelTransferxOES(fexfn_packed_args_libGL_glPixelTransferxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelTransferxOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTransformParameterfEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glPixelTransformParameterfEXT(fexfn_packed_args_libGL_glPixelTransformParameterfEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glPixelTransformParameterfEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTransformParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glPixelTransformParameterfvEXT(fexfn_packed_args_libGL_glPixelTransformParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPixelTransformParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTransformParameteriEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glPixelTransformParameteriEXT(fexfn_packed_args_libGL_glPixelTransformParameteriEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glPixelTransformParameteriEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelTransformParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glPixelTransformParameterivEXT(fexfn_packed_args_libGL_glPixelTransformParameterivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPixelTransformParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelZoom {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPixelZoom(fexfn_packed_args_libGL_glPixelZoom* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelZoom(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPixelZoomxOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPixelZoomxOES(fexfn_packed_args_libGL_glPixelZoomxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glPixelZoomxOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPNTrianglesfATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPNTrianglesfATI(fexfn_packed_args_libGL_glPNTrianglesfATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPNTrianglesfATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPNTrianglesiATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPNTrianglesiATI(fexfn_packed_args_libGL_glPNTrianglesiATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glPNTrianglesiATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameterfARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPointParameterfARB(fexfn_packed_args_libGL_glPointParameterfARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameterfARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameterfEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPointParameterfEXT(fexfn_packed_args_libGL_glPointParameterfEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameterfEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameterf {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPointParameterf(fexfn_packed_args_libGL_glPointParameterf* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameterf(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameterfSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPointParameterfSGIS(fexfn_packed_args_libGL_glPointParameterfSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameterfSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameterfvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glPointParameterfvARB(fexfn_packed_args_libGL_glPointParameterfvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameterfvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glPointParameterfvEXT(fexfn_packed_args_libGL_glPointParameterfvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glPointParameterfv(fexfn_packed_args_libGL_glPointParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameterfv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameterfvSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glPointParameterfvSGIS(fexfn_packed_args_libGL_glPointParameterfvSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameterfvSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameteri {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPointParameteri(fexfn_packed_args_libGL_glPointParameteri* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameteri(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameteriNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPointParameteriNV(fexfn_packed_args_libGL_glPointParameteriNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameteriNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glPointParameteriv(fexfn_packed_args_libGL_glPointParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameteriv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glPointParameterivNV(fexfn_packed_args_libGL_glPointParameterivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameterivNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointParameterxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glPointParameterxvOES(fexfn_packed_args_libGL_glPointParameterxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPointParameterxvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointSize {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glPointSize(fexfn_packed_args_libGL_glPointSize* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glPointSize(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPointSizexOES {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glPointSizexOES(fexfn_packed_args_libGL_glPointSizexOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
fexldr_ptr_libGL_glPointSizexOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPolygonMode {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glPolygonMode(fexfn_packed_args_libGL_glPolygonMode* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glPolygonMode(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPolygonOffsetClampEXT {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glPolygonOffsetClampEXT(fexfn_packed_args_libGL_glPolygonOffsetClampEXT* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glPolygonOffsetClampEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPolygonOffsetClamp {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glPolygonOffsetClamp(fexfn_packed_args_libGL_glPolygonOffsetClamp* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glPolygonOffsetClamp(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPolygonOffsetEXT {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPolygonOffsetEXT(fexfn_packed_args_libGL_glPolygonOffsetEXT* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPolygonOffsetEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPolygonOffset {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glPolygonOffset(fexfn_packed_args_libGL_glPolygonOffset* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glPolygonOffset(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPolygonOffsetxOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glPolygonOffsetxOES(fexfn_packed_args_libGL_glPolygonOffsetxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glPolygonOffsetxOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPolygonStipple {
  guest_layout<const uint8_t*> a_0;
};
static void fexfn_unpack_libGL_glPolygonStipple(fexfn_packed_args_libGL_glPolygonStipple* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glPolygonStipple(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPopAttrib {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glPopAttrib(fexfn_packed_args_libGL_glPopAttrib* args) {
fexldr_ptr_libGL_glPopAttrib();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPopClientAttrib {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glPopClientAttrib(fexfn_packed_args_libGL_glPopClientAttrib* args) {
fexldr_ptr_libGL_glPopClientAttrib();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPopDebugGroup {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glPopDebugGroup(fexfn_packed_args_libGL_glPopDebugGroup* args) {
fexldr_ptr_libGL_glPopDebugGroup();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPopGroupMarkerEXT {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glPopGroupMarkerEXT(fexfn_packed_args_libGL_glPopGroupMarkerEXT* args) {
fexldr_ptr_libGL_glPopGroupMarkerEXT();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPopMatrix {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glPopMatrix(fexfn_packed_args_libGL_glPopMatrix* args) {
fexldr_ptr_libGL_glPopMatrix();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPopName {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glPopName(fexfn_packed_args_libGL_glPopName* args) {
fexldr_ptr_libGL_glPopName();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPresentFrameDualFillNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<uint32_t> a_10;
  guest_layout<uint32_t> a_11;
  guest_layout<uint32_t> a_12;
};
static void fexfn_unpack_libGL_glPresentFrameDualFillNV(fexfn_packed_args_libGL_glPresentFrameDualFillNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLuint> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<GLuint> a_10 { args->a_10 };
  host_layout<GLenum> a_11 { args->a_11 };
  host_layout<GLuint> a_12 { args->a_12 };
fexldr_ptr_libGL_glPresentFrameDualFillNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPresentFrameKeyedNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<uint32_t> a_10;
};
static void fexfn_unpack_libGL_glPresentFrameKeyedNV(fexfn_packed_args_libGL_glPresentFrameKeyedNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLuint> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLuint> a_9 { args->a_9 };
  host_layout<GLuint> a_10 { args->a_10 };
fexldr_ptr_libGL_glPresentFrameKeyedNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPrimitiveBoundingBoxARB {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
};
static void fexfn_unpack_libGL_glPrimitiveBoundingBoxARB(fexfn_packed_args_libGL_glPrimitiveBoundingBoxARB* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
fexldr_ptr_libGL_glPrimitiveBoundingBoxARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPrimitiveRestartIndex {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glPrimitiveRestartIndex(fexfn_packed_args_libGL_glPrimitiveRestartIndex* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glPrimitiveRestartIndex(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPrimitiveRestartIndexNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glPrimitiveRestartIndexNV(fexfn_packed_args_libGL_glPrimitiveRestartIndexNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glPrimitiveRestartIndexNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPrimitiveRestartNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glPrimitiveRestartNV(fexfn_packed_args_libGL_glPrimitiveRestartNV* args) {
fexldr_ptr_libGL_glPrimitiveRestartNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPrioritizeTexturesEXT {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
  guest_layout<const GLclampf *> a_2;
};
static void fexfn_unpack_libGL_glPrioritizeTexturesEXT(fexfn_packed_args_libGL_glPrioritizeTexturesEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPrioritizeTexturesEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPrioritizeTextures {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
  guest_layout<const GLclampf *> a_2;
};
static void fexfn_unpack_libGL_glPrioritizeTextures(fexfn_packed_args_libGL_glPrioritizeTextures* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPrioritizeTextures(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPrioritizeTexturesxOES {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glPrioritizeTexturesxOES(fexfn_packed_args_libGL_glPrioritizeTexturesxOES* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glPrioritizeTexturesxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramBinary {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glProgramBinary(fexfn_packed_args_libGL_glProgramBinary* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramBinary(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramBufferParametersfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramBufferParametersfvNV(fexfn_packed_args_libGL_glProgramBufferParametersfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramBufferParametersfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramBufferParametersIivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const int32_t*> a_4;
};
static void fexfn_unpack_libGL_glProgramBufferParametersIivNV(fexfn_packed_args_libGL_glProgramBufferParametersIivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramBufferParametersIivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramBufferParametersIuivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const uint32_t*> a_4;
};
static void fexfn_unpack_libGL_glProgramBufferParametersIuivNV(fexfn_packed_args_libGL_glProgramBufferParametersIuivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramBufferParametersIuivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParameter4dARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
};
static void fexfn_unpack_libGL_glProgramEnvParameter4dARB(fexfn_packed_args_libGL_glProgramEnvParameter4dARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramEnvParameter4dARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParameter4dvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glProgramEnvParameter4dvARB(fexfn_packed_args_libGL_glProgramEnvParameter4dvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramEnvParameter4dvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParameter4fARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glProgramEnvParameter4fARB(fexfn_packed_args_libGL_glProgramEnvParameter4fARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramEnvParameter4fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParameter4fvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glProgramEnvParameter4fvARB(fexfn_packed_args_libGL_glProgramEnvParameter4fvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramEnvParameter4fvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParameterI4iNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glProgramEnvParameterI4iNV(fexfn_packed_args_libGL_glProgramEnvParameterI4iNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramEnvParameterI4iNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParameterI4ivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glProgramEnvParameterI4ivNV(fexfn_packed_args_libGL_glProgramEnvParameterI4ivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramEnvParameterI4ivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParameterI4uiNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glProgramEnvParameterI4uiNV(fexfn_packed_args_libGL_glProgramEnvParameterI4uiNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramEnvParameterI4uiNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParameterI4uivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glProgramEnvParameterI4uivNV(fexfn_packed_args_libGL_glProgramEnvParameterI4uivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramEnvParameterI4uivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParameters4fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramEnvParameters4fvEXT(fexfn_packed_args_libGL_glProgramEnvParameters4fvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramEnvParameters4fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParametersI4ivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramEnvParametersI4ivNV(fexfn_packed_args_libGL_glProgramEnvParametersI4ivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramEnvParametersI4ivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramEnvParametersI4uivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramEnvParametersI4uivNV(fexfn_packed_args_libGL_glProgramEnvParametersI4uivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramEnvParametersI4uivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParameter4dARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
};
static void fexfn_unpack_libGL_glProgramLocalParameter4dARB(fexfn_packed_args_libGL_glProgramLocalParameter4dARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramLocalParameter4dARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParameter4dvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glProgramLocalParameter4dvARB(fexfn_packed_args_libGL_glProgramLocalParameter4dvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramLocalParameter4dvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParameter4fARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glProgramLocalParameter4fARB(fexfn_packed_args_libGL_glProgramLocalParameter4fARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramLocalParameter4fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParameter4fvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glProgramLocalParameter4fvARB(fexfn_packed_args_libGL_glProgramLocalParameter4fvARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramLocalParameter4fvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParameterI4iNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glProgramLocalParameterI4iNV(fexfn_packed_args_libGL_glProgramLocalParameterI4iNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramLocalParameterI4iNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParameterI4ivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glProgramLocalParameterI4ivNV(fexfn_packed_args_libGL_glProgramLocalParameterI4ivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramLocalParameterI4ivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParameterI4uiNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glProgramLocalParameterI4uiNV(fexfn_packed_args_libGL_glProgramLocalParameterI4uiNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramLocalParameterI4uiNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParameterI4uivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glProgramLocalParameterI4uivNV(fexfn_packed_args_libGL_glProgramLocalParameterI4uivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramLocalParameterI4uivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParameters4fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramLocalParameters4fvEXT(fexfn_packed_args_libGL_glProgramLocalParameters4fvEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramLocalParameters4fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParametersI4ivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramLocalParametersI4ivNV(fexfn_packed_args_libGL_glProgramLocalParametersI4ivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramLocalParametersI4ivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramLocalParametersI4uivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramLocalParametersI4uivNV(fexfn_packed_args_libGL_glProgramLocalParametersI4uivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramLocalParametersI4uivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramNamedParameter4dNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
  guest_layout<GLdouble> a_6;
};
static void fexfn_unpack_libGL_glProgramNamedParameter4dNV(fexfn_packed_args_libGL_glProgramNamedParameter4dNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned char *> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
  host_layout<GLdouble> a_6 { args->a_6 };
fexldr_ptr_libGL_glProgramNamedParameter4dNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramNamedParameter4dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glProgramNamedParameter4dvNV(fexfn_packed_args_libGL_glProgramNamedParameter4dvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned char *> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramNamedParameter4dvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramNamedParameter4fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
};
static void fexfn_unpack_libGL_glProgramNamedParameter4fNV(fexfn_packed_args_libGL_glProgramNamedParameter4fNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned char *> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
fexldr_ptr_libGL_glProgramNamedParameter4fNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramNamedParameter4fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramNamedParameter4fvNV(fexfn_packed_args_libGL_glProgramNamedParameter4fvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned char *> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramNamedParameter4fvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramParameter4dNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
};
static void fexfn_unpack_libGL_glProgramParameter4dNV(fexfn_packed_args_libGL_glProgramParameter4dNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramParameter4dNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramParameter4dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glProgramParameter4dvNV(fexfn_packed_args_libGL_glProgramParameter4dvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramParameter4dvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramParameter4fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glProgramParameter4fNV(fexfn_packed_args_libGL_glProgramParameter4fNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramParameter4fNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramParameter4fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glProgramParameter4fvNV(fexfn_packed_args_libGL_glProgramParameter4fvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramParameter4fvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramParameteriARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glProgramParameteriARB(fexfn_packed_args_libGL_glProgramParameteriARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramParameteriARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramParameteriEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glProgramParameteriEXT(fexfn_packed_args_libGL_glProgramParameteriEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramParameteriEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramParameteri {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glProgramParameteri(fexfn_packed_args_libGL_glProgramParameteri* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramParameteri(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramParameters4dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glProgramParameters4dvNV(fexfn_packed_args_libGL_glProgramParameters4dvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramParameters4dvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramParameters4fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramParameters4fvNV(fexfn_packed_args_libGL_glProgramParameters4fvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramParameters4fvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramPathFragmentInputGenNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramPathFragmentInputGenNV(fexfn_packed_args_libGL_glProgramPathFragmentInputGenNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramPathFragmentInputGenNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramStringARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glProgramStringARB(fexfn_packed_args_libGL_glProgramStringARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramStringARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramSubroutineParametersuivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glProgramSubroutineParametersuivNV(fexfn_packed_args_libGL_glProgramSubroutineParametersuivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramSubroutineParametersuivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1dEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1dEXT(fexfn_packed_args_libGL_glProgramUniform1dEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1d {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1d(fexfn_packed_args_libGL_glProgramUniform1d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1dvEXT(fexfn_packed_args_libGL_glProgramUniform1dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1dv(fexfn_packed_args_libGL_glProgramUniform1dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1fEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1fEXT(fexfn_packed_args_libGL_glProgramUniform1fEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1fEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1f {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1f(fexfn_packed_args_libGL_glProgramUniform1f* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1fvEXT(fexfn_packed_args_libGL_glProgramUniform1fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1fv(fexfn_packed_args_libGL_glProgramUniform1fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1i64ARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1i64ARB(fexfn_packed_args_libGL_glProgramUniform1i64ARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1i64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1i64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1i64NV(fexfn_packed_args_libGL_glProgramUniform1i64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint64EXT> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1i64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1i64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1i64vARB(fexfn_packed_args_libGL_glProgramUniform1i64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1i64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1i64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1i64vNV(fexfn_packed_args_libGL_glProgramUniform1i64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1i64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1iEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1iEXT(fexfn_packed_args_libGL_glProgramUniform1iEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1i(fexfn_packed_args_libGL_glProgramUniform1i* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1ivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1ivEXT(fexfn_packed_args_libGL_glProgramUniform1ivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1ivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1iv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1iv(fexfn_packed_args_libGL_glProgramUniform1iv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1iv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1ui64ARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1ui64ARB(fexfn_packed_args_libGL_glProgramUniform1ui64ARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1ui64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1ui64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1ui64NV(fexfn_packed_args_libGL_glProgramUniform1ui64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1ui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1ui64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1ui64vARB(fexfn_packed_args_libGL_glProgramUniform1ui64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1ui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1ui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1ui64vNV(fexfn_packed_args_libGL_glProgramUniform1ui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1ui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1uiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1uiEXT(fexfn_packed_args_libGL_glProgramUniform1uiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1ui {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniform1ui(fexfn_packed_args_libGL_glProgramUniform1ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniform1ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1uivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1uivEXT(fexfn_packed_args_libGL_glProgramUniform1uivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1uivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform1uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform1uiv(fexfn_packed_args_libGL_glProgramUniform1uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform1uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2dEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2dEXT(fexfn_packed_args_libGL_glProgramUniform2dEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2d {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2d(fexfn_packed_args_libGL_glProgramUniform2d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2dvEXT(fexfn_packed_args_libGL_glProgramUniform2dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2dv(fexfn_packed_args_libGL_glProgramUniform2dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2fEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2fEXT(fexfn_packed_args_libGL_glProgramUniform2fEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2fEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2f {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2f(fexfn_packed_args_libGL_glProgramUniform2f* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2fvEXT(fexfn_packed_args_libGL_glProgramUniform2fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2fv(fexfn_packed_args_libGL_glProgramUniform2fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2i64ARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2i64ARB(fexfn_packed_args_libGL_glProgramUniform2i64ARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint64> a_2 { args->a_2 };
  host_layout<GLint64> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2i64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2i64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2i64NV(fexfn_packed_args_libGL_glProgramUniform2i64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint64EXT> a_2 { args->a_2 };
  host_layout<GLint64EXT> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2i64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2i64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2i64vARB(fexfn_packed_args_libGL_glProgramUniform2i64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2i64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2i64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2i64vNV(fexfn_packed_args_libGL_glProgramUniform2i64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2i64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2iEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2iEXT(fexfn_packed_args_libGL_glProgramUniform2iEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2i(fexfn_packed_args_libGL_glProgramUniform2i* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2ivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2ivEXT(fexfn_packed_args_libGL_glProgramUniform2ivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2ivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2iv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2iv(fexfn_packed_args_libGL_glProgramUniform2iv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2iv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2ui64ARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2ui64ARB(fexfn_packed_args_libGL_glProgramUniform2ui64ARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
  host_layout<GLuint64> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2ui64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2ui64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2ui64NV(fexfn_packed_args_libGL_glProgramUniform2ui64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
  host_layout<GLuint64EXT> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2ui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2ui64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2ui64vARB(fexfn_packed_args_libGL_glProgramUniform2ui64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2ui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2ui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2ui64vNV(fexfn_packed_args_libGL_glProgramUniform2ui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2ui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2uiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2uiEXT(fexfn_packed_args_libGL_glProgramUniform2uiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2ui {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2ui(fexfn_packed_args_libGL_glProgramUniform2ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2uivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2uivEXT(fexfn_packed_args_libGL_glProgramUniform2uivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2uivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform2uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform2uiv(fexfn_packed_args_libGL_glProgramUniform2uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform2uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3dEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3dEXT(fexfn_packed_args_libGL_glProgramUniform3dEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3d {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3d(fexfn_packed_args_libGL_glProgramUniform3d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3dvEXT(fexfn_packed_args_libGL_glProgramUniform3dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3dv(fexfn_packed_args_libGL_glProgramUniform3dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3fEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3fEXT(fexfn_packed_args_libGL_glProgramUniform3fEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3fEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3f {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3f(fexfn_packed_args_libGL_glProgramUniform3f* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3fvEXT(fexfn_packed_args_libGL_glProgramUniform3fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3fv(fexfn_packed_args_libGL_glProgramUniform3fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3i64ARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3i64ARB(fexfn_packed_args_libGL_glProgramUniform3i64ARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint64> a_2 { args->a_2 };
  host_layout<GLint64> a_3 { args->a_3 };
  host_layout<GLint64> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3i64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3i64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3i64NV(fexfn_packed_args_libGL_glProgramUniform3i64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint64EXT> a_2 { args->a_2 };
  host_layout<GLint64EXT> a_3 { args->a_3 };
  host_layout<GLint64EXT> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3i64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3i64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3i64vARB(fexfn_packed_args_libGL_glProgramUniform3i64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3i64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3i64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3i64vNV(fexfn_packed_args_libGL_glProgramUniform3i64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3i64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3iEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3iEXT(fexfn_packed_args_libGL_glProgramUniform3iEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3i(fexfn_packed_args_libGL_glProgramUniform3i* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3ivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3ivEXT(fexfn_packed_args_libGL_glProgramUniform3ivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3ivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3iv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3iv(fexfn_packed_args_libGL_glProgramUniform3iv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3iv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3ui64ARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
  guest_layout<uint64_t> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3ui64ARB(fexfn_packed_args_libGL_glProgramUniform3ui64ARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
  host_layout<GLuint64> a_3 { args->a_3 };
  host_layout<GLuint64> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3ui64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3ui64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
  guest_layout<uint64_t> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3ui64NV(fexfn_packed_args_libGL_glProgramUniform3ui64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
  host_layout<GLuint64EXT> a_3 { args->a_3 };
  host_layout<GLuint64EXT> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3ui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3ui64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3ui64vARB(fexfn_packed_args_libGL_glProgramUniform3ui64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3ui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3ui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3ui64vNV(fexfn_packed_args_libGL_glProgramUniform3ui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3ui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3uiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3uiEXT(fexfn_packed_args_libGL_glProgramUniform3uiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glProgramUniform3ui(fexfn_packed_args_libGL_glProgramUniform3ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniform3ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3uivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3uivEXT(fexfn_packed_args_libGL_glProgramUniform3uivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3uivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform3uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform3uiv(fexfn_packed_args_libGL_glProgramUniform3uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform3uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4dEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4dEXT(fexfn_packed_args_libGL_glProgramUniform4dEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4d {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
  guest_layout<GLdouble> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4d(fexfn_packed_args_libGL_glProgramUniform4d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
  host_layout<GLdouble> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4dvEXT(fexfn_packed_args_libGL_glProgramUniform4dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4dv(fexfn_packed_args_libGL_glProgramUniform4dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4fEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4fEXT(fexfn_packed_args_libGL_glProgramUniform4fEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4fEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4f {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4f(fexfn_packed_args_libGL_glProgramUniform4f* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4fvEXT(fexfn_packed_args_libGL_glProgramUniform4fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4fv(fexfn_packed_args_libGL_glProgramUniform4fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4i64ARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
  guest_layout<int64_t> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4i64ARB(fexfn_packed_args_libGL_glProgramUniform4i64ARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint64> a_2 { args->a_2 };
  host_layout<GLint64> a_3 { args->a_3 };
  host_layout<GLint64> a_4 { args->a_4 };
  host_layout<GLint64> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4i64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4i64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
  guest_layout<int64_t> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4i64NV(fexfn_packed_args_libGL_glProgramUniform4i64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint64EXT> a_2 { args->a_2 };
  host_layout<GLint64EXT> a_3 { args->a_3 };
  host_layout<GLint64EXT> a_4 { args->a_4 };
  host_layout<GLint64EXT> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4i64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4i64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4i64vARB(fexfn_packed_args_libGL_glProgramUniform4i64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4i64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4i64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4i64vNV(fexfn_packed_args_libGL_glProgramUniform4i64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4i64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4iEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4iEXT(fexfn_packed_args_libGL_glProgramUniform4iEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4i(fexfn_packed_args_libGL_glProgramUniform4i* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4ivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4ivEXT(fexfn_packed_args_libGL_glProgramUniform4ivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4ivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4iv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4iv(fexfn_packed_args_libGL_glProgramUniform4iv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4iv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4ui64ARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
  guest_layout<uint64_t> a_4;
  guest_layout<uint64_t> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4ui64ARB(fexfn_packed_args_libGL_glProgramUniform4ui64ARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
  host_layout<GLuint64> a_3 { args->a_3 };
  host_layout<GLuint64> a_4 { args->a_4 };
  host_layout<GLuint64> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4ui64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4ui64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
  guest_layout<uint64_t> a_4;
  guest_layout<uint64_t> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4ui64NV(fexfn_packed_args_libGL_glProgramUniform4ui64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
  host_layout<GLuint64EXT> a_3 { args->a_3 };
  host_layout<GLuint64EXT> a_4 { args->a_4 };
  host_layout<GLuint64EXT> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4ui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4ui64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4ui64vARB(fexfn_packed_args_libGL_glProgramUniform4ui64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4ui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4ui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4ui64vNV(fexfn_packed_args_libGL_glProgramUniform4ui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4ui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4uiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4uiEXT(fexfn_packed_args_libGL_glProgramUniform4uiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4ui {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glProgramUniform4ui(fexfn_packed_args_libGL_glProgramUniform4ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glProgramUniform4ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4uivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4uivEXT(fexfn_packed_args_libGL_glProgramUniform4uivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4uivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniform4uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniform4uiv(fexfn_packed_args_libGL_glProgramUniform4uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniform4uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformHandleui64ARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniformHandleui64ARB(fexfn_packed_args_libGL_glProgramUniformHandleui64ARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniformHandleui64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformHandleui64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniformHandleui64NV(fexfn_packed_args_libGL_glProgramUniformHandleui64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniformHandleui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformHandleui64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniformHandleui64vARB(fexfn_packed_args_libGL_glProgramUniformHandleui64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniformHandleui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformHandleui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniformHandleui64vNV(fexfn_packed_args_libGL_glProgramUniformHandleui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniformHandleui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2dvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix2dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2dv(fexfn_packed_args_libGL_glProgramUniformMatrix2dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2fvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix2fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2fv(fexfn_packed_args_libGL_glProgramUniformMatrix2fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2x3dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2x3dvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix2x3dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2x3dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2x3dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2x3dv(fexfn_packed_args_libGL_glProgramUniformMatrix2x3dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2x3dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2x3fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2x3fvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix2x3fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2x3fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2x3fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2x3fv(fexfn_packed_args_libGL_glProgramUniformMatrix2x3fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2x3fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2x4dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2x4dvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix2x4dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2x4dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2x4dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2x4dv(fexfn_packed_args_libGL_glProgramUniformMatrix2x4dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2x4dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2x4fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2x4fvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix2x4fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2x4fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix2x4fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix2x4fv(fexfn_packed_args_libGL_glProgramUniformMatrix2x4fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix2x4fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3dvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix3dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3dv(fexfn_packed_args_libGL_glProgramUniformMatrix3dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3fvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix3fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3fv(fexfn_packed_args_libGL_glProgramUniformMatrix3fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3x2dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3x2dvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix3x2dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3x2dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3x2dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3x2dv(fexfn_packed_args_libGL_glProgramUniformMatrix3x2dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3x2dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3x2fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3x2fvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix3x2fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3x2fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3x2fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3x2fv(fexfn_packed_args_libGL_glProgramUniformMatrix3x2fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3x2fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3x4dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3x4dvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix3x4dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3x4dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3x4dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3x4dv(fexfn_packed_args_libGL_glProgramUniformMatrix3x4dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3x4dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3x4fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3x4fvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix3x4fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3x4fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix3x4fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix3x4fv(fexfn_packed_args_libGL_glProgramUniformMatrix3x4fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix3x4fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4dvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix4dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4dv(fexfn_packed_args_libGL_glProgramUniformMatrix4dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4fvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix4fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4fv(fexfn_packed_args_libGL_glProgramUniformMatrix4fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4x2dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4x2dvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix4x2dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4x2dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4x2dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4x2dv(fexfn_packed_args_libGL_glProgramUniformMatrix4x2dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4x2dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4x2fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4x2fvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix4x2fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4x2fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4x2fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4x2fv(fexfn_packed_args_libGL_glProgramUniformMatrix4x2fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4x2fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4x3dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4x3dvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix4x3dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4x3dvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4x3dv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLdouble *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4x3dv(fexfn_packed_args_libGL_glProgramUniformMatrix4x3dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const double *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4x3dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4x3fvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4x3fvEXT(fexfn_packed_args_libGL_glProgramUniformMatrix4x3fvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4x3fvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformMatrix4x3fv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glProgramUniformMatrix4x3fv(fexfn_packed_args_libGL_glProgramUniformMatrix4x3fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glProgramUniformMatrix4x3fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformui64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glProgramUniformui64NV(fexfn_packed_args_libGL_glProgramUniformui64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
fexldr_ptr_libGL_glProgramUniformui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramUniformui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glProgramUniformui64vNV(fexfn_packed_args_libGL_glProgramUniformui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glProgramUniformui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProgramVertexLimitNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glProgramVertexLimitNV(fexfn_packed_args_libGL_glProgramVertexLimitNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glProgramVertexLimitNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProvokingVertexEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glProvokingVertexEXT(fexfn_packed_args_libGL_glProvokingVertexEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glProvokingVertexEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glProvokingVertex {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glProvokingVertex(fexfn_packed_args_libGL_glProvokingVertex* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glProvokingVertex(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPushAttrib {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glPushAttrib(fexfn_packed_args_libGL_glPushAttrib* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glPushAttrib(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPushClientAttribDefaultEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glPushClientAttribDefaultEXT(fexfn_packed_args_libGL_glPushClientAttribDefaultEXT* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glPushClientAttribDefaultEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPushClientAttrib {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glPushClientAttrib(fexfn_packed_args_libGL_glPushClientAttrib* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glPushClientAttrib(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPushDebugGroup {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint8_t*> a_3;
};
static void fexfn_unpack_libGL_glPushDebugGroup(fexfn_packed_args_libGL_glPushDebugGroup* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const char *> a_3 { args->a_3 };
fexldr_ptr_libGL_glPushDebugGroup(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPushGroupMarkerEXT {
  guest_layout<int32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glPushGroupMarkerEXT(fexfn_packed_args_libGL_glPushGroupMarkerEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glPushGroupMarkerEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPushMatrix {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glPushMatrix(fexfn_packed_args_libGL_glPushMatrix* args) {
fexldr_ptr_libGL_glPushMatrix();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPushName {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glPushName(fexfn_packed_args_libGL_glPushName* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glPushName(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glQueryCounter {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glQueryCounter(fexfn_packed_args_libGL_glQueryCounter* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glQueryCounter(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glQueryObjectParameteruiAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glQueryObjectParameteruiAMD(fexfn_packed_args_libGL_glQueryObjectParameteruiAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glQueryObjectParameteruiAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glQueryResourceTagNV {
  guest_layout<int32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glQueryResourceTagNV(fexfn_packed_args_libGL_glQueryResourceTagNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glQueryResourceTagNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos2d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glRasterPos2d(fexfn_packed_args_libGL_glRasterPos2d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glRasterPos2d(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos2dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glRasterPos2dv(fexfn_packed_args_libGL_glRasterPos2dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos2dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos2f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glRasterPos2f(fexfn_packed_args_libGL_glRasterPos2f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glRasterPos2f(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos2fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glRasterPos2fv(fexfn_packed_args_libGL_glRasterPos2fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos2fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos2i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glRasterPos2i(fexfn_packed_args_libGL_glRasterPos2i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glRasterPos2i(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos2iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glRasterPos2iv(fexfn_packed_args_libGL_glRasterPos2iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos2iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos2s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glRasterPos2s(fexfn_packed_args_libGL_glRasterPos2s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glRasterPos2s(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos2sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glRasterPos2sv(fexfn_packed_args_libGL_glRasterPos2sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos2sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos2xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glRasterPos2xOES(fexfn_packed_args_libGL_glRasterPos2xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glRasterPos2xOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos2xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glRasterPos2xvOES(fexfn_packed_args_libGL_glRasterPos2xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos2xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos3d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glRasterPos3d(fexfn_packed_args_libGL_glRasterPos3d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glRasterPos3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos3dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glRasterPos3dv(fexfn_packed_args_libGL_glRasterPos3dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos3dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos3f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glRasterPos3f(fexfn_packed_args_libGL_glRasterPos3f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glRasterPos3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos3fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glRasterPos3fv(fexfn_packed_args_libGL_glRasterPos3fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos3fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos3i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glRasterPos3i(fexfn_packed_args_libGL_glRasterPos3i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glRasterPos3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos3iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glRasterPos3iv(fexfn_packed_args_libGL_glRasterPos3iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos3iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos3s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glRasterPos3s(fexfn_packed_args_libGL_glRasterPos3s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glRasterPos3s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos3sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glRasterPos3sv(fexfn_packed_args_libGL_glRasterPos3sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos3sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos3xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glRasterPos3xOES(fexfn_packed_args_libGL_glRasterPos3xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glRasterPos3xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos3xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glRasterPos3xvOES(fexfn_packed_args_libGL_glRasterPos3xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos3xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos4d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glRasterPos4d(fexfn_packed_args_libGL_glRasterPos4d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glRasterPos4d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos4dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glRasterPos4dv(fexfn_packed_args_libGL_glRasterPos4dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos4dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos4f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glRasterPos4f(fexfn_packed_args_libGL_glRasterPos4f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glRasterPos4f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos4fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glRasterPos4fv(fexfn_packed_args_libGL_glRasterPos4fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos4fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos4i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glRasterPos4i(fexfn_packed_args_libGL_glRasterPos4i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glRasterPos4i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos4iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glRasterPos4iv(fexfn_packed_args_libGL_glRasterPos4iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos4iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos4s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glRasterPos4s(fexfn_packed_args_libGL_glRasterPos4s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glRasterPos4s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos4sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glRasterPos4sv(fexfn_packed_args_libGL_glRasterPos4sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos4sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos4xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glRasterPos4xOES(fexfn_packed_args_libGL_glRasterPos4xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
fexldr_ptr_libGL_glRasterPos4xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterPos4xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glRasterPos4xvOES(fexfn_packed_args_libGL_glRasterPos4xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glRasterPos4xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRasterSamplesEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
};
static void fexfn_unpack_libGL_glRasterSamplesEXT(fexfn_packed_args_libGL_glRasterSamplesEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
fexldr_ptr_libGL_glRasterSamplesEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReadBuffer {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glReadBuffer(fexfn_packed_args_libGL_glReadBuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glReadBuffer(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReadInstrumentsSGIX {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glReadInstrumentsSGIX(fexfn_packed_args_libGL_glReadInstrumentsSGIX* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glReadInstrumentsSGIX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReadnPixelsARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<void *> a_7;
};
static void fexfn_unpack_libGL_glReadnPixelsARB(fexfn_packed_args_libGL_glReadnPixelsARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glReadnPixelsARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReadnPixels {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<void *> a_7;
};
static void fexfn_unpack_libGL_glReadnPixels(fexfn_packed_args_libGL_glReadnPixels* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glReadnPixels(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReadPixels {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<GLvoid *> a_6;
};
static void fexfn_unpack_libGL_glReadPixels(fexfn_packed_args_libGL_glReadPixels* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glReadPixels(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRectd {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glRectd(fexfn_packed_args_libGL_glRectd* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glRectd(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRectdv {
  guest_layout<const GLdouble *> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glRectdv(fexfn_packed_args_libGL_glRectdv* args) {
  host_layout<const double *> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glRectdv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRectf {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glRectf(fexfn_packed_args_libGL_glRectf* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glRectf(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRectfv {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glRectfv(fexfn_packed_args_libGL_glRectfv* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glRectfv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRecti {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glRecti(fexfn_packed_args_libGL_glRecti* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glRecti(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRectiv {
  guest_layout<const int32_t*> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glRectiv(fexfn_packed_args_libGL_glRectiv* args) {
  host_layout<const int *> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glRectiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRects {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glRects(fexfn_packed_args_libGL_glRects* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glRects(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRectsv {
  guest_layout<const int16_t*> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glRectsv(fexfn_packed_args_libGL_glRectsv* args) {
  host_layout<const short *> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glRectsv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRectxOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glRectxOES(fexfn_packed_args_libGL_glRectxOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
fexldr_ptr_libGL_glRectxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRectxvOES {
  guest_layout<const int32_t*> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glRectxvOES(fexfn_packed_args_libGL_glRectxvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glRectxvOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReferencePlaneSGIX {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glReferencePlaneSGIX(fexfn_packed_args_libGL_glReferencePlaneSGIX* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glReferencePlaneSGIX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReleaseShaderCompiler {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glReleaseShaderCompiler(fexfn_packed_args_libGL_glReleaseShaderCompiler* args) {
fexldr_ptr_libGL_glReleaseShaderCompiler();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRenderbufferStorageEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glRenderbufferStorageEXT(fexfn_packed_args_libGL_glRenderbufferStorageEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glRenderbufferStorageEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRenderbufferStorage {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glRenderbufferStorage(fexfn_packed_args_libGL_glRenderbufferStorage* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glRenderbufferStorage(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRenderbufferStorageMultisampleAdvancedAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glRenderbufferStorageMultisampleAdvancedAMD(fexfn_packed_args_libGL_glRenderbufferStorageMultisampleAdvancedAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glRenderbufferStorageMultisampleAdvancedAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRenderbufferStorageMultisampleCoverageNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glRenderbufferStorageMultisampleCoverageNV(fexfn_packed_args_libGL_glRenderbufferStorageMultisampleCoverageNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glRenderbufferStorageMultisampleCoverageNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRenderbufferStorageMultisampleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glRenderbufferStorageMultisampleEXT(fexfn_packed_args_libGL_glRenderbufferStorageMultisampleEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glRenderbufferStorageMultisampleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRenderbufferStorageMultisample {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glRenderbufferStorageMultisample(fexfn_packed_args_libGL_glRenderbufferStorageMultisample* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glRenderbufferStorageMultisample(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRenderGpuMaskNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glRenderGpuMaskNV(fexfn_packed_args_libGL_glRenderGpuMaskNV* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glRenderGpuMaskNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodePointerSUN {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const void **> a_2;
};
static void fexfn_unpack_libGL_glReplacementCodePointerSUN(fexfn_packed_args_libGL_glReplacementCodePointerSUN* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const void **> a_2 { args->a_2 };
fexldr_ptr_libGL_glReplacementCodePointerSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeubSUN {
  guest_layout<uint8_t> a_0;
};
static void fexfn_unpack_libGL_glReplacementCodeubSUN(fexfn_packed_args_libGL_glReplacementCodeubSUN* args) {
  host_layout<GLubyte> a_0 { args->a_0 };
fexldr_ptr_libGL_glReplacementCodeubSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeubvSUN {
  guest_layout<const uint8_t*> a_0;
};
static void fexfn_unpack_libGL_glReplacementCodeubvSUN(fexfn_packed_args_libGL_glReplacementCodeubvSUN* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glReplacementCodeubvSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiColor3fVertex3fSUN {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
};
static void fexfn_unpack_libGL_glReplacementCodeuiColor3fVertex3fSUN(fexfn_packed_args_libGL_glReplacementCodeuiColor3fVertex3fSUN* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
fexldr_ptr_libGL_glReplacementCodeuiColor3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiColor3fVertex3fvSUN {
  guest_layout<const uint32_t*> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glReplacementCodeuiColor3fVertex3fvSUN(fexfn_packed_args_libGL_glReplacementCodeuiColor3fVertex3fvSUN* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glReplacementCodeuiColor3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiColor4fNormal3fVertex3fSUN {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<GLfloat> a_8;
  guest_layout<GLfloat> a_9;
  guest_layout<GLfloat> a_10;
};
static void fexfn_unpack_libGL_glReplacementCodeuiColor4fNormal3fVertex3fSUN(fexfn_packed_args_libGL_glReplacementCodeuiColor4fNormal3fVertex3fSUN* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
  host_layout<GLfloat> a_9 { args->a_9 };
  host_layout<GLfloat> a_10 { args->a_10 };
fexldr_ptr_libGL_glReplacementCodeuiColor4fNormal3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiColor4fNormal3fVertex3fvSUN {
  guest_layout<const uint32_t*> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glReplacementCodeuiColor4fNormal3fVertex3fvSUN(fexfn_packed_args_libGL_glReplacementCodeuiColor4fNormal3fVertex3fvSUN* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glReplacementCodeuiColor4fNormal3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiColor4ubVertex3fSUN {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<uint8_t> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
};
static void fexfn_unpack_libGL_glReplacementCodeuiColor4ubVertex3fSUN(fexfn_packed_args_libGL_glReplacementCodeuiColor4ubVertex3fSUN* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLubyte> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
  host_layout<GLubyte> a_3 { args->a_3 };
  host_layout<GLubyte> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
fexldr_ptr_libGL_glReplacementCodeuiColor4ubVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiColor4ubVertex3fvSUN {
  guest_layout<const uint32_t*> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glReplacementCodeuiColor4ubVertex3fvSUN(fexfn_packed_args_libGL_glReplacementCodeuiColor4ubVertex3fvSUN* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glReplacementCodeuiColor4ubVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiNormal3fVertex3fSUN {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
};
static void fexfn_unpack_libGL_glReplacementCodeuiNormal3fVertex3fSUN(fexfn_packed_args_libGL_glReplacementCodeuiNormal3fVertex3fSUN* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
fexldr_ptr_libGL_glReplacementCodeuiNormal3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiNormal3fVertex3fvSUN {
  guest_layout<const uint32_t*> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glReplacementCodeuiNormal3fVertex3fvSUN(fexfn_packed_args_libGL_glReplacementCodeuiNormal3fVertex3fvSUN* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glReplacementCodeuiNormal3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiSUN {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glReplacementCodeuiSUN(fexfn_packed_args_libGL_glReplacementCodeuiSUN* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glReplacementCodeuiSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<GLfloat> a_8;
  guest_layout<GLfloat> a_9;
  guest_layout<GLfloat> a_10;
  guest_layout<GLfloat> a_11;
  guest_layout<GLfloat> a_12;
};
static void fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN(fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
  host_layout<GLfloat> a_9 { args->a_9 };
  host_layout<GLfloat> a_10 { args->a_10 };
  host_layout<GLfloat> a_11 { args->a_11 };
  host_layout<GLfloat> a_12 { args->a_12 };
fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN {
  guest_layout<const uint32_t*> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
  guest_layout<const GLfloat *> a_3;
  guest_layout<const GLfloat *> a_4;
};
static void fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN(fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
  host_layout<const float *> a_4 { args->a_4 };
fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<GLfloat> a_8;
};
static void fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN(fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN {
  guest_layout<const uint32_t*> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN(fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fVertex3fSUN {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
};
static void fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fVertex3fSUN(fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fVertex3fSUN* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fVertex3fvSUN {
  guest_layout<const uint32_t*> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fVertex3fvSUN(fexfn_packed_args_libGL_glReplacementCodeuiTexCoord2fVertex3fvSUN* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiVertex3fSUN {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glReplacementCodeuiVertex3fSUN(fexfn_packed_args_libGL_glReplacementCodeuiVertex3fSUN* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glReplacementCodeuiVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuiVertex3fvSUN {
  guest_layout<const uint32_t*> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glReplacementCodeuiVertex3fvSUN(fexfn_packed_args_libGL_glReplacementCodeuiVertex3fvSUN* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glReplacementCodeuiVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeuivSUN {
  guest_layout<const uint32_t*> a_0;
};
static void fexfn_unpack_libGL_glReplacementCodeuivSUN(fexfn_packed_args_libGL_glReplacementCodeuivSUN* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glReplacementCodeuivSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeusSUN {
  guest_layout<uint16_t> a_0;
};
static void fexfn_unpack_libGL_glReplacementCodeusSUN(fexfn_packed_args_libGL_glReplacementCodeusSUN* args) {
  host_layout<GLushort> a_0 { args->a_0 };
fexldr_ptr_libGL_glReplacementCodeusSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glReplacementCodeusvSUN {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glReplacementCodeusvSUN(fexfn_packed_args_libGL_glReplacementCodeusvSUN* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glReplacementCodeusvSUN(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRequestResidentProgramsNV {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glRequestResidentProgramsNV(fexfn_packed_args_libGL_glRequestResidentProgramsNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glRequestResidentProgramsNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glResetHistogramEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glResetHistogramEXT(fexfn_packed_args_libGL_glResetHistogramEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glResetHistogramEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glResetHistogram {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glResetHistogram(fexfn_packed_args_libGL_glResetHistogram* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glResetHistogram(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glResetMemoryObjectParameterNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glResetMemoryObjectParameterNV(fexfn_packed_args_libGL_glResetMemoryObjectParameterNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glResetMemoryObjectParameterNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glResetMinmaxEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glResetMinmaxEXT(fexfn_packed_args_libGL_glResetMinmaxEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glResetMinmaxEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glResetMinmax {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glResetMinmax(fexfn_packed_args_libGL_glResetMinmax* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glResetMinmax(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glResizeBuffersMESA {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glResizeBuffersMESA(fexfn_packed_args_libGL_glResizeBuffersMESA* args) {
fexldr_ptr_libGL_glResizeBuffersMESA();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glResolveDepthValuesNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glResolveDepthValuesNV(fexfn_packed_args_libGL_glResolveDepthValuesNV* args) {
fexldr_ptr_libGL_glResolveDepthValuesNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glResumeTransformFeedback {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glResumeTransformFeedback(fexfn_packed_args_libGL_glResumeTransformFeedback* args) {
fexldr_ptr_libGL_glResumeTransformFeedback();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glResumeTransformFeedbackNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glResumeTransformFeedbackNV(fexfn_packed_args_libGL_glResumeTransformFeedbackNV* args) {
fexldr_ptr_libGL_glResumeTransformFeedbackNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRotated {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glRotated(fexfn_packed_args_libGL_glRotated* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glRotated(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRotatef {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glRotatef(fexfn_packed_args_libGL_glRotatef* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glRotatef(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glRotatexOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glRotatexOES(fexfn_packed_args_libGL_glRotatexOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
fexldr_ptr_libGL_glRotatexOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSampleCoverageARB {
  guest_layout<GLfloat> a_0;
  guest_layout<uint8_t> a_1;
};
static void fexfn_unpack_libGL_glSampleCoverageARB(fexfn_packed_args_libGL_glSampleCoverageARB* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
fexldr_ptr_libGL_glSampleCoverageARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSampleCoverage {
  guest_layout<GLclampf> a_0;
  guest_layout<uint8_t> a_1;
};
static void fexfn_unpack_libGL_glSampleCoverage(fexfn_packed_args_libGL_glSampleCoverage* args) {
  host_layout<GLclampf> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
fexldr_ptr_libGL_glSampleCoverage(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSampleMapATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glSampleMapATI(fexfn_packed_args_libGL_glSampleMapATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexldr_ptr_libGL_glSampleMapATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSampleMaskEXT {
  guest_layout<GLclampf> a_0;
  guest_layout<uint8_t> a_1;
};
static void fexfn_unpack_libGL_glSampleMaskEXT(fexfn_packed_args_libGL_glSampleMaskEXT* args) {
  host_layout<GLclampf> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
fexldr_ptr_libGL_glSampleMaskEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSampleMaski {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glSampleMaski(fexfn_packed_args_libGL_glSampleMaski* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLbitfield> a_1 { args->a_1 };
fexldr_ptr_libGL_glSampleMaski(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSampleMaskIndexedNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glSampleMaskIndexedNV(fexfn_packed_args_libGL_glSampleMaskIndexedNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLbitfield> a_1 { args->a_1 };
fexldr_ptr_libGL_glSampleMaskIndexedNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSampleMaskSGIS {
  guest_layout<GLclampf> a_0;
  guest_layout<uint8_t> a_1;
};
static void fexfn_unpack_libGL_glSampleMaskSGIS(fexfn_packed_args_libGL_glSampleMaskSGIS* args) {
  host_layout<GLclampf> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
fexldr_ptr_libGL_glSampleMaskSGIS(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSamplePatternEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glSamplePatternEXT(fexfn_packed_args_libGL_glSamplePatternEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glSamplePatternEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSamplePatternSGIS {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glSamplePatternSGIS(fexfn_packed_args_libGL_glSamplePatternSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glSamplePatternSGIS(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSamplerParameterf {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glSamplerParameterf(fexfn_packed_args_libGL_glSamplerParameterf* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glSamplerParameterf(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSamplerParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glSamplerParameterfv(fexfn_packed_args_libGL_glSamplerParameterfv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glSamplerParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSamplerParameteri {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glSamplerParameteri(fexfn_packed_args_libGL_glSamplerParameteri* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glSamplerParameteri(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSamplerParameterIiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glSamplerParameterIiv(fexfn_packed_args_libGL_glSamplerParameterIiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glSamplerParameterIiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSamplerParameterIuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glSamplerParameterIuiv(fexfn_packed_args_libGL_glSamplerParameterIuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glSamplerParameterIuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSamplerParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glSamplerParameteriv(fexfn_packed_args_libGL_glSamplerParameteriv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glSamplerParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glScaled {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glScaled(fexfn_packed_args_libGL_glScaled* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glScaled(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glScalef {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glScalef(fexfn_packed_args_libGL_glScalef* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glScalef(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glScalexOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glScalexOES(fexfn_packed_args_libGL_glScalexOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glScalexOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glScissorArrayv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glScissorArrayv(fexfn_packed_args_libGL_glScissorArrayv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glScissorArrayv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glScissorExclusiveArrayvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glScissorExclusiveArrayvNV(fexfn_packed_args_libGL_glScissorExclusiveArrayvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glScissorExclusiveArrayvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glScissorExclusiveNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glScissorExclusiveNV(fexfn_packed_args_libGL_glScissorExclusiveNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glScissorExclusiveNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glScissor {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glScissor(fexfn_packed_args_libGL_glScissor* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glScissor(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glScissorIndexed {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glScissorIndexed(fexfn_packed_args_libGL_glScissorIndexed* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glScissorIndexed(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glScissorIndexedv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glScissorIndexedv(fexfn_packed_args_libGL_glScissorIndexedv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glScissorIndexedv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3bEXT {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3bEXT(fexfn_packed_args_libGL_glSecondaryColor3bEXT* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3bEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3bvEXT {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3bvEXT(fexfn_packed_args_libGL_glSecondaryColor3bvEXT* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3bvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3dEXT {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3dEXT(fexfn_packed_args_libGL_glSecondaryColor3dEXT* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3dvEXT {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3dvEXT(fexfn_packed_args_libGL_glSecondaryColor3dvEXT* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3dvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3fEXT {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3fEXT(fexfn_packed_args_libGL_glSecondaryColor3fEXT* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3fEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3fvEXT {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3fvEXT(fexfn_packed_args_libGL_glSecondaryColor3fvEXT* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3fvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3hNV {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3hNV(fexfn_packed_args_libGL_glSecondaryColor3hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3hvNV(fexfn_packed_args_libGL_glSecondaryColor3hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3iEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3iEXT(fexfn_packed_args_libGL_glSecondaryColor3iEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3ivEXT {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3ivEXT(fexfn_packed_args_libGL_glSecondaryColor3ivEXT* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3ivEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3sEXT {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3sEXT(fexfn_packed_args_libGL_glSecondaryColor3sEXT* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3sEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3svEXT {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3svEXT(fexfn_packed_args_libGL_glSecondaryColor3svEXT* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3svEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3ubEXT {
  guest_layout<uint8_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3ubEXT(fexfn_packed_args_libGL_glSecondaryColor3ubEXT* args) {
  host_layout<GLubyte> a_0 { args->a_0 };
  host_layout<GLubyte> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3ubEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3ubvEXT {
  guest_layout<const uint8_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3ubvEXT(fexfn_packed_args_libGL_glSecondaryColor3ubvEXT* args) {
  host_layout<const unsigned char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3ubvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3uiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3uiEXT(fexfn_packed_args_libGL_glSecondaryColor3uiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3uivEXT {
  guest_layout<const uint32_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3uivEXT(fexfn_packed_args_libGL_glSecondaryColor3uivEXT* args) {
  host_layout<const unsigned int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3uivEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3usEXT {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColor3usEXT(fexfn_packed_args_libGL_glSecondaryColor3usEXT* args) {
  host_layout<GLushort> a_0 { args->a_0 };
  host_layout<GLushort> a_1 { args->a_1 };
  host_layout<GLushort> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColor3usEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColor3usvEXT {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glSecondaryColor3usvEXT(fexfn_packed_args_libGL_glSecondaryColor3usvEXT* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glSecondaryColor3usvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColorFormatNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glSecondaryColorFormatNV(fexfn_packed_args_libGL_glSecondaryColorFormatNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
fexldr_ptr_libGL_glSecondaryColorFormatNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColorPointerEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glSecondaryColorPointerEXT(fexfn_packed_args_libGL_glSecondaryColorPointerEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glSecondaryColorPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSecondaryColorPointerListIBM {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void **> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glSecondaryColorPointerListIBM(fexfn_packed_args_libGL_glSecondaryColorPointerListIBM* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<const void **> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glSecondaryColorPointerListIBM(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSelectBuffer {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glSelectBuffer(fexfn_packed_args_libGL_glSelectBuffer* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glSelectBuffer(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSelectPerfMonitorCountersAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t*> a_4;
};
static void fexfn_unpack_libGL_glSelectPerfMonitorCountersAMD(fexfn_packed_args_libGL_glSelectPerfMonitorCountersAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<unsigned int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glSelectPerfMonitorCountersAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSemaphoreParameterui64vEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glSemaphoreParameterui64vEXT(fexfn_packed_args_libGL_glSemaphoreParameterui64vEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glSemaphoreParameterui64vEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSeparableFilter2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const void *> a_6;
  guest_layout<const void *> a_7;
};
static void fexfn_unpack_libGL_glSeparableFilter2DEXT(fexfn_packed_args_libGL_glSeparableFilter2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glSeparableFilter2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSeparableFilter2D {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const GLvoid *> a_6;
  guest_layout<const GLvoid *> a_7;
};
static void fexfn_unpack_libGL_glSeparableFilter2D(fexfn_packed_args_libGL_glSeparableFilter2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glSeparableFilter2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSetFenceAPPLE {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glSetFenceAPPLE(fexfn_packed_args_libGL_glSetFenceAPPLE* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glSetFenceAPPLE(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSetFenceNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glSetFenceNV(fexfn_packed_args_libGL_glSetFenceNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glSetFenceNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSetFragmentShaderConstantATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glSetFragmentShaderConstantATI(fexfn_packed_args_libGL_glSetFragmentShaderConstantATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glSetFragmentShaderConstantATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSetInvariantEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
};
static void fexfn_unpack_libGL_glSetInvariantEXT(fexfn_packed_args_libGL_glSetInvariantEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glSetInvariantEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSetLocalConstantEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
};
static void fexfn_unpack_libGL_glSetLocalConstantEXT(fexfn_packed_args_libGL_glSetLocalConstantEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glSetLocalConstantEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSetMultisamplefvAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glSetMultisamplefvAMD(fexfn_packed_args_libGL_glSetMultisamplefvAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glSetMultisamplefvAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glShadeModel {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glShadeModel(fexfn_packed_args_libGL_glShadeModel* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glShadeModel(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glShaderBinary {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glShaderBinary(fexfn_packed_args_libGL_glShaderBinary* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glShaderBinary(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glShaderOp1EXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glShaderOp1EXT(fexfn_packed_args_libGL_glShaderOp1EXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glShaderOp1EXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glShaderOp2EXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glShaderOp2EXT(fexfn_packed_args_libGL_glShaderOp2EXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glShaderOp2EXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glShaderOp3EXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glShaderOp3EXT(fexfn_packed_args_libGL_glShaderOp3EXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glShaderOp3EXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
static auto fexfn_impl_libGL_glShaderSource(GLuint a_0, GLsizei a_1, guest_layout<const GLchar *const *> a_2, const GLint * a_3) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glShaderSource {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLchar *const *> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glShaderSource(fexfn_packed_args_libGL_glShaderSource* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_3 { args->a_3 };
fexfn_impl_libGL_glShaderSource(unwrap_host(a_0), unwrap_host(a_1), args->a_2, unwrap_host(a_3));
}
static auto fexfn_impl_libGL_glShaderSourceARB(GLhandleARB a_0, GLsizei a_1, guest_layout<const GLcharARB **> a_2, const GLint * a_3) -> void;
struct __attribute__((packed)) fexfn_packed_args_libGL_glShaderSourceARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLcharARB **> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glShaderSourceARB(fexfn_packed_args_libGL_glShaderSourceARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_3 { args->a_3 };
fexfn_impl_libGL_glShaderSourceARB(unwrap_host(a_0), unwrap_host(a_1), args->a_2, unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glShaderStorageBlockBinding {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glShaderStorageBlockBinding(fexfn_packed_args_libGL_glShaderStorageBlockBinding* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glShaderStorageBlockBinding(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glShadingRateImageBarrierNV {
  guest_layout<uint8_t> a_0;
};
static void fexfn_unpack_libGL_glShadingRateImageBarrierNV(fexfn_packed_args_libGL_glShadingRateImageBarrierNV* args) {
  host_layout<GLboolean> a_0 { args->a_0 };
fexldr_ptr_libGL_glShadingRateImageBarrierNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glShadingRateImagePaletteNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glShadingRateImagePaletteNV(fexfn_packed_args_libGL_glShadingRateImagePaletteNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glShadingRateImagePaletteNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glShadingRateSampleOrderCustomNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glShadingRateSampleOrderCustomNV(fexfn_packed_args_libGL_glShadingRateSampleOrderCustomNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glShadingRateSampleOrderCustomNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glShadingRateSampleOrderNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glShadingRateSampleOrderNV(fexfn_packed_args_libGL_glShadingRateSampleOrderNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glShadingRateSampleOrderNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSharpenTexFuncSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glSharpenTexFuncSGIS(fexfn_packed_args_libGL_glSharpenTexFuncSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glSharpenTexFuncSGIS(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSignalSemaphoreEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<const uint32_t*> a_4;
  guest_layout<const uint32_t*> a_5;
};
static void fexfn_unpack_libGL_glSignalSemaphoreEXT(fexfn_packed_args_libGL_glSignalSemaphoreEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
  host_layout<const unsigned int *> a_5 { args->a_5 };
fexldr_ptr_libGL_glSignalSemaphoreEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSignalSemaphoreui64NVX {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glSignalSemaphoreui64NVX(fexfn_packed_args_libGL_glSignalSemaphoreui64NVX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glSignalSemaphoreui64NVX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSignalVkFenceNV {
  guest_layout<uint64_t> a_0;
};
static void fexfn_unpack_libGL_glSignalVkFenceNV(fexfn_packed_args_libGL_glSignalVkFenceNV* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
fexldr_ptr_libGL_glSignalVkFenceNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSignalVkSemaphoreNV {
  guest_layout<uint64_t> a_0;
};
static void fexfn_unpack_libGL_glSignalVkSemaphoreNV(fexfn_packed_args_libGL_glSignalVkSemaphoreNV* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
fexldr_ptr_libGL_glSignalVkSemaphoreNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSpecializeShaderARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const uint32_t*> a_3;
  guest_layout<const uint32_t*> a_4;
};
static void fexfn_unpack_libGL_glSpecializeShaderARB(fexfn_packed_args_libGL_glSpecializeShaderARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glSpecializeShaderARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSpecializeShader {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const uint32_t*> a_3;
  guest_layout<const uint32_t*> a_4;
};
static void fexfn_unpack_libGL_glSpecializeShader(fexfn_packed_args_libGL_glSpecializeShader* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const char *> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glSpecializeShader(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSpriteParameterfSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glSpriteParameterfSGIX(fexfn_packed_args_libGL_glSpriteParameterfSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glSpriteParameterfSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSpriteParameterfvSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glSpriteParameterfvSGIX(fexfn_packed_args_libGL_glSpriteParameterfvSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glSpriteParameterfvSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSpriteParameteriSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glSpriteParameteriSGIX(fexfn_packed_args_libGL_glSpriteParameteriSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glSpriteParameteriSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSpriteParameterivSGIX {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glSpriteParameterivSGIX(fexfn_packed_args_libGL_glSpriteParameterivSGIX* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glSpriteParameterivSGIX(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStartInstrumentsSGIX {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glStartInstrumentsSGIX(fexfn_packed_args_libGL_glStartInstrumentsSGIX* args) {
fexldr_ptr_libGL_glStartInstrumentsSGIX();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStateCaptureNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glStateCaptureNV(fexfn_packed_args_libGL_glStateCaptureNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glStateCaptureNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilClearTagEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glStencilClearTagEXT(fexfn_packed_args_libGL_glStencilClearTagEXT* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glStencilClearTagEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilFillPathInstancedNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<const GLfloat *> a_7;
};
static void fexfn_unpack_libGL_glStencilFillPathInstancedNV(fexfn_packed_args_libGL_glStencilFillPathInstancedNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<const float *> a_7 { args->a_7 };
fexldr_ptr_libGL_glStencilFillPathInstancedNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilFillPathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glStencilFillPathNV(fexfn_packed_args_libGL_glStencilFillPathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glStencilFillPathNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilFunc {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glStencilFunc(fexfn_packed_args_libGL_glStencilFunc* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glStencilFunc(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilFuncSeparateATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glStencilFuncSeparateATI(fexfn_packed_args_libGL_glStencilFuncSeparateATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glStencilFuncSeparateATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilFuncSeparate {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glStencilFuncSeparate(fexfn_packed_args_libGL_glStencilFuncSeparate* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glStencilFuncSeparate(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilMask {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glStencilMask(fexfn_packed_args_libGL_glStencilMask* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glStencilMask(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilMaskSeparate {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glStencilMaskSeparate(fexfn_packed_args_libGL_glStencilMaskSeparate* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glStencilMaskSeparate(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilOp {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glStencilOp(fexfn_packed_args_libGL_glStencilOp* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexldr_ptr_libGL_glStencilOp(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilOpSeparateATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glStencilOpSeparateATI(fexfn_packed_args_libGL_glStencilOpSeparateATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glStencilOpSeparateATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilOpSeparate {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glStencilOpSeparate(fexfn_packed_args_libGL_glStencilOpSeparate* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glStencilOpSeparate(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilOpValueAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glStencilOpValueAMD(fexfn_packed_args_libGL_glStencilOpValueAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glStencilOpValueAMD(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilStrokePathInstancedNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<const GLfloat *> a_7;
};
static void fexfn_unpack_libGL_glStencilStrokePathInstancedNV(fexfn_packed_args_libGL_glStencilStrokePathInstancedNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<const float *> a_7 { args->a_7 };
fexldr_ptr_libGL_glStencilStrokePathInstancedNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilStrokePathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glStencilStrokePathNV(fexfn_packed_args_libGL_glStencilStrokePathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glStencilStrokePathNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilThenCoverFillPathInstancedNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<const GLfloat *> a_8;
};
static void fexfn_unpack_libGL_glStencilThenCoverFillPathInstancedNV(fexfn_packed_args_libGL_glStencilThenCoverFillPathInstancedNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<const float *> a_8 { args->a_8 };
fexldr_ptr_libGL_glStencilThenCoverFillPathInstancedNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilThenCoverFillPathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glStencilThenCoverFillPathNV(fexfn_packed_args_libGL_glStencilThenCoverFillPathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glStencilThenCoverFillPathNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilThenCoverStrokePathInstancedNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void *> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<const GLfloat *> a_8;
};
static void fexfn_unpack_libGL_glStencilThenCoverStrokePathInstancedNV(fexfn_packed_args_libGL_glStencilThenCoverStrokePathInstancedNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<const float *> a_8 { args->a_8 };
fexldr_ptr_libGL_glStencilThenCoverStrokePathInstancedNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStencilThenCoverStrokePathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glStencilThenCoverStrokePathNV(fexfn_packed_args_libGL_glStencilThenCoverStrokePathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glStencilThenCoverStrokePathNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStopInstrumentsSGIX {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glStopInstrumentsSGIX(fexfn_packed_args_libGL_glStopInstrumentsSGIX* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glStopInstrumentsSGIX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glStringMarkerGREMEDY {
  guest_layout<int32_t> a_0;
  guest_layout<const void *> a_1;
};
static void fexfn_unpack_libGL_glStringMarkerGREMEDY(fexfn_packed_args_libGL_glStringMarkerGREMEDY* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glStringMarkerGREMEDY(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSubpixelPrecisionBiasNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glSubpixelPrecisionBiasNV(fexfn_packed_args_libGL_glSubpixelPrecisionBiasNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glSubpixelPrecisionBiasNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSwizzleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glSwizzleEXT(fexfn_packed_args_libGL_glSwizzleEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
fexldr_ptr_libGL_glSwizzleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glSyncTextureINTEL {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glSyncTextureINTEL(fexfn_packed_args_libGL_glSyncTextureINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glSyncTextureINTEL(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTagSampleBufferSGIX {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glTagSampleBufferSGIX(fexfn_packed_args_libGL_glTagSampleBufferSGIX* args) {
fexldr_ptr_libGL_glTagSampleBufferSGIX();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangent3bEXT {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
};
static void fexfn_unpack_libGL_glTangent3bEXT(fexfn_packed_args_libGL_glTangent3bEXT* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glTangent3bEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangent3bvEXT {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glTangent3bvEXT(fexfn_packed_args_libGL_glTangent3bvEXT* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTangent3bvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangent3dEXT {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glTangent3dEXT(fexfn_packed_args_libGL_glTangent3dEXT* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glTangent3dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangent3dvEXT {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glTangent3dvEXT(fexfn_packed_args_libGL_glTangent3dvEXT* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTangent3dvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangent3fEXT {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glTangent3fEXT(fexfn_packed_args_libGL_glTangent3fEXT* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glTangent3fEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangent3fvEXT {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glTangent3fvEXT(fexfn_packed_args_libGL_glTangent3fvEXT* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTangent3fvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangent3iEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTangent3iEXT(fexfn_packed_args_libGL_glTangent3iEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTangent3iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangent3ivEXT {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glTangent3ivEXT(fexfn_packed_args_libGL_glTangent3ivEXT* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTangent3ivEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangent3sEXT {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glTangent3sEXT(fexfn_packed_args_libGL_glTangent3sEXT* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glTangent3sEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangent3svEXT {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glTangent3svEXT(fexfn_packed_args_libGL_glTangent3svEXT* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTangent3svEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTangentPointerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const void *> a_2;
};
static void fexfn_unpack_libGL_glTangentPointerEXT(fexfn_packed_args_libGL_glTangentPointerEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTangentPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTbufferMask3DFX {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glTbufferMask3DFX(fexfn_packed_args_libGL_glTbufferMask3DFX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glTbufferMask3DFX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTessellationFactorAMD {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glTessellationFactorAMD(fexfn_packed_args_libGL_glTessellationFactorAMD* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glTessellationFactorAMD(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTessellationModeAMD {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glTessellationModeAMD(fexfn_packed_args_libGL_glTessellationModeAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glTessellationModeAMD(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexAttachMemoryNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glTexAttachMemoryNV(fexfn_packed_args_libGL_glTexAttachMemoryNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexAttachMemoryNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexBufferARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glTexBufferARB(fexfn_packed_args_libGL_glTexBufferARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexBufferARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexBufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glTexBufferEXT(fexfn_packed_args_libGL_glTexBufferEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexBufferEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glTexBuffer(fexfn_packed_args_libGL_glTexBuffer* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexBuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexBufferRange {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glTexBufferRange(fexfn_packed_args_libGL_glTexBufferRange* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizeiptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glTexBufferRange(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexBumpParameterfvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glTexBumpParameterfvATI(fexfn_packed_args_libGL_glTexBumpParameterfvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexBumpParameterfvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexBumpParameterivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glTexBumpParameterivATI(fexfn_packed_args_libGL_glTexBumpParameterivATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexBumpParameterivATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1bOES {
  guest_layout<int8_t> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1bOES(fexfn_packed_args_libGL_glTexCoord1bOES* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1bOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1bvOES {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1bvOES(fexfn_packed_args_libGL_glTexCoord1bvOES* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1bvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1d {
  guest_layout<GLdouble> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1d(fexfn_packed_args_libGL_glTexCoord1d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1d(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1dv(fexfn_packed_args_libGL_glTexCoord1dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1f {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1f(fexfn_packed_args_libGL_glTexCoord1f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1f(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1fv(fexfn_packed_args_libGL_glTexCoord1fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1hNV {
  guest_layout<uint16_t> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1hNV(fexfn_packed_args_libGL_glTexCoord1hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1hNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1hvNV(fexfn_packed_args_libGL_glTexCoord1hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1i {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1i(fexfn_packed_args_libGL_glTexCoord1i* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1i(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1iv(fexfn_packed_args_libGL_glTexCoord1iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1s {
  guest_layout<int16_t> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1s(fexfn_packed_args_libGL_glTexCoord1s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1s(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1sv(fexfn_packed_args_libGL_glTexCoord1sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1xOES {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1xOES(fexfn_packed_args_libGL_glTexCoord1xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1xOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord1xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord1xvOES(fexfn_packed_args_libGL_glTexCoord1xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord1xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2bOES {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
};
static void fexfn_unpack_libGL_glTexCoord2bOES(fexfn_packed_args_libGL_glTexCoord2bOES* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoord2bOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2bvOES {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord2bvOES(fexfn_packed_args_libGL_glTexCoord2bvOES* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord2bvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glTexCoord2d(fexfn_packed_args_libGL_glTexCoord2d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoord2d(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glTexCoord2dv(fexfn_packed_args_libGL_glTexCoord2dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord2dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fColor3fVertex3fSUN {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
};
static void fexfn_unpack_libGL_glTexCoord2fColor3fVertex3fSUN(fexfn_packed_args_libGL_glTexCoord2fColor3fVertex3fSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
fexldr_ptr_libGL_glTexCoord2fColor3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fColor3fVertex3fvSUN {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glTexCoord2fColor3fVertex3fvSUN(fexfn_packed_args_libGL_glTexCoord2fColor3fVertex3fvSUN* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoord2fColor3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fColor4fNormal3fVertex3fSUN {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<GLfloat> a_8;
  guest_layout<GLfloat> a_9;
  guest_layout<GLfloat> a_10;
  guest_layout<GLfloat> a_11;
};
static void fexfn_unpack_libGL_glTexCoord2fColor4fNormal3fVertex3fSUN(fexfn_packed_args_libGL_glTexCoord2fColor4fNormal3fVertex3fSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
  host_layout<GLfloat> a_9 { args->a_9 };
  host_layout<GLfloat> a_10 { args->a_10 };
  host_layout<GLfloat> a_11 { args->a_11 };
fexldr_ptr_libGL_glTexCoord2fColor4fNormal3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fColor4fNormal3fVertex3fvSUN {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glTexCoord2fColor4fNormal3fVertex3fvSUN(fexfn_packed_args_libGL_glTexCoord2fColor4fNormal3fVertex3fvSUN* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexCoord2fColor4fNormal3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fColor4ubVertex3fSUN {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<uint8_t> a_4;
  guest_layout<uint8_t> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<GLfloat> a_8;
};
static void fexfn_unpack_libGL_glTexCoord2fColor4ubVertex3fSUN(fexfn_packed_args_libGL_glTexCoord2fColor4ubVertex3fSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
  host_layout<GLubyte> a_3 { args->a_3 };
  host_layout<GLubyte> a_4 { args->a_4 };
  host_layout<GLubyte> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
fexldr_ptr_libGL_glTexCoord2fColor4ubVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fColor4ubVertex3fvSUN {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const uint8_t*> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glTexCoord2fColor4ubVertex3fvSUN(fexfn_packed_args_libGL_glTexCoord2fColor4ubVertex3fvSUN* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoord2fColor4ubVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glTexCoord2f(fexfn_packed_args_libGL_glTexCoord2f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoord2f(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fNormal3fVertex3fSUN {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
};
static void fexfn_unpack_libGL_glTexCoord2fNormal3fVertex3fSUN(fexfn_packed_args_libGL_glTexCoord2fNormal3fVertex3fSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
fexldr_ptr_libGL_glTexCoord2fNormal3fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fNormal3fVertex3fvSUN {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glTexCoord2fNormal3fVertex3fvSUN(fexfn_packed_args_libGL_glTexCoord2fNormal3fVertex3fvSUN* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoord2fNormal3fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glTexCoord2fv(fexfn_packed_args_libGL_glTexCoord2fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord2fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fVertex3fSUN {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glTexCoord2fVertex3fSUN(fexfn_packed_args_libGL_glTexCoord2fVertex3fSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glTexCoord2fVertex3fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2fVertex3fvSUN {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glTexCoord2fVertex3fvSUN(fexfn_packed_args_libGL_glTexCoord2fVertex3fvSUN* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoord2fVertex3fvSUN(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2hNV {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
};
static void fexfn_unpack_libGL_glTexCoord2hNV(fexfn_packed_args_libGL_glTexCoord2hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoord2hNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord2hvNV(fexfn_packed_args_libGL_glTexCoord2hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord2hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glTexCoord2i(fexfn_packed_args_libGL_glTexCoord2i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoord2i(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord2iv(fexfn_packed_args_libGL_glTexCoord2iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord2iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glTexCoord2s(fexfn_packed_args_libGL_glTexCoord2s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoord2s(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord2sv(fexfn_packed_args_libGL_glTexCoord2sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord2sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glTexCoord2xOES(fexfn_packed_args_libGL_glTexCoord2xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoord2xOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord2xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord2xvOES(fexfn_packed_args_libGL_glTexCoord2xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord2xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3bOES {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
};
static void fexfn_unpack_libGL_glTexCoord3bOES(fexfn_packed_args_libGL_glTexCoord3bOES* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoord3bOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3bvOES {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord3bvOES(fexfn_packed_args_libGL_glTexCoord3bvOES* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord3bvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glTexCoord3d(fexfn_packed_args_libGL_glTexCoord3d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoord3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glTexCoord3dv(fexfn_packed_args_libGL_glTexCoord3dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord3dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glTexCoord3f(fexfn_packed_args_libGL_glTexCoord3f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoord3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glTexCoord3fv(fexfn_packed_args_libGL_glTexCoord3fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord3fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3hNV {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
};
static void fexfn_unpack_libGL_glTexCoord3hNV(fexfn_packed_args_libGL_glTexCoord3hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoord3hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord3hvNV(fexfn_packed_args_libGL_glTexCoord3hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord3hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTexCoord3i(fexfn_packed_args_libGL_glTexCoord3i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoord3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord3iv(fexfn_packed_args_libGL_glTexCoord3iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord3iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glTexCoord3s(fexfn_packed_args_libGL_glTexCoord3s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoord3s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord3sv(fexfn_packed_args_libGL_glTexCoord3sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord3sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTexCoord3xOES(fexfn_packed_args_libGL_glTexCoord3xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoord3xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord3xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord3xvOES(fexfn_packed_args_libGL_glTexCoord3xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord3xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4bOES {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
  guest_layout<int8_t> a_3;
};
static void fexfn_unpack_libGL_glTexCoord4bOES(fexfn_packed_args_libGL_glTexCoord4bOES* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
  host_layout<GLbyte> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexCoord4bOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4bvOES {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord4bvOES(fexfn_packed_args_libGL_glTexCoord4bvOES* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord4bvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glTexCoord4d(fexfn_packed_args_libGL_glTexCoord4d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexCoord4d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glTexCoord4dv(fexfn_packed_args_libGL_glTexCoord4dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord4dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4fColor4fNormal3fVertex4fSUN {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
  guest_layout<GLfloat> a_8;
  guest_layout<GLfloat> a_9;
  guest_layout<GLfloat> a_10;
  guest_layout<GLfloat> a_11;
  guest_layout<GLfloat> a_12;
  guest_layout<GLfloat> a_13;
  guest_layout<GLfloat> a_14;
};
static void fexfn_unpack_libGL_glTexCoord4fColor4fNormal3fVertex4fSUN(fexfn_packed_args_libGL_glTexCoord4fColor4fNormal3fVertex4fSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
  host_layout<GLfloat> a_8 { args->a_8 };
  host_layout<GLfloat> a_9 { args->a_9 };
  host_layout<GLfloat> a_10 { args->a_10 };
  host_layout<GLfloat> a_11 { args->a_11 };
  host_layout<GLfloat> a_12 { args->a_12 };
  host_layout<GLfloat> a_13 { args->a_13 };
  host_layout<GLfloat> a_14 { args->a_14 };
fexldr_ptr_libGL_glTexCoord4fColor4fNormal3fVertex4fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12), unwrap_host(a_13), unwrap_host(a_14));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4fColor4fNormal3fVertex4fvSUN {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const GLfloat *> a_1;
  guest_layout<const GLfloat *> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glTexCoord4fColor4fNormal3fVertex4fvSUN(fexfn_packed_args_libGL_glTexCoord4fColor4fNormal3fVertex4fvSUN* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexCoord4fColor4fNormal3fVertex4fvSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glTexCoord4f(fexfn_packed_args_libGL_glTexCoord4f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexCoord4f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glTexCoord4fv(fexfn_packed_args_libGL_glTexCoord4fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord4fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4fVertex4fSUN {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
  guest_layout<GLfloat> a_5;
  guest_layout<GLfloat> a_6;
  guest_layout<GLfloat> a_7;
};
static void fexfn_unpack_libGL_glTexCoord4fVertex4fSUN(fexfn_packed_args_libGL_glTexCoord4fVertex4fSUN* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
  host_layout<GLfloat> a_5 { args->a_5 };
  host_layout<GLfloat> a_6 { args->a_6 };
  host_layout<GLfloat> a_7 { args->a_7 };
fexldr_ptr_libGL_glTexCoord4fVertex4fSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4fVertex4fvSUN {
  guest_layout<const GLfloat *> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glTexCoord4fVertex4fvSUN(fexfn_packed_args_libGL_glTexCoord4fVertex4fvSUN* args) {
  host_layout<const float *> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexCoord4fVertex4fvSUN(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4hNV {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
  guest_layout<uint16_t> a_3;
};
static void fexfn_unpack_libGL_glTexCoord4hNV(fexfn_packed_args_libGL_glTexCoord4hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
  host_layout<GLhalfNV> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexCoord4hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord4hvNV(fexfn_packed_args_libGL_glTexCoord4hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord4hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glTexCoord4i(fexfn_packed_args_libGL_glTexCoord4i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexCoord4i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord4iv(fexfn_packed_args_libGL_glTexCoord4iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord4iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glTexCoord4s(fexfn_packed_args_libGL_glTexCoord4s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexCoord4s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord4sv(fexfn_packed_args_libGL_glTexCoord4sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord4sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glTexCoord4xOES(fexfn_packed_args_libGL_glTexCoord4xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
  host_layout<GLfixed> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexCoord4xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoord4xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glTexCoord4xvOES(fexfn_packed_args_libGL_glTexCoord4xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glTexCoord4xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordFormatNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTexCoordFormatNV(fexfn_packed_args_libGL_glTexCoordFormatNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoordFormatNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordPointerEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glTexCoordPointerEXT(fexfn_packed_args_libGL_glTexCoordPointerEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glTexCoordPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordPointer {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLvoid *> a_3;
};
static void fexfn_unpack_libGL_glTexCoordPointer(fexfn_packed_args_libGL_glTexCoordPointer* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexCoordPointer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordPointerListIBM {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void **> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glTexCoordPointerListIBM(fexfn_packed_args_libGL_glTexCoordPointerListIBM* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<const void **> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glTexCoordPointerListIBM(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexCoordPointervINTEL {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void **> a_2;
};
static void fexfn_unpack_libGL_glTexCoordPointervINTEL(fexfn_packed_args_libGL_glTexCoordPointervINTEL* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void **> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexCoordPointervINTEL(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexEnvf {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glTexEnvf(fexfn_packed_args_libGL_glTexEnvf* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexEnvf(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexEnvfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glTexEnvfv(fexfn_packed_args_libGL_glTexEnvfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexEnvfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexEnvi {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTexEnvi(fexfn_packed_args_libGL_glTexEnvi* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexEnvi(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexEnviv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glTexEnviv(fexfn_packed_args_libGL_glTexEnviv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexEnviv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexEnvxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTexEnvxOES(fexfn_packed_args_libGL_glTexEnvxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexEnvxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexEnvxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glTexEnvxvOES(fexfn_packed_args_libGL_glTexEnvxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexEnvxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexFilterFuncSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glTexFilterFuncSGIS(fexfn_packed_args_libGL_glTexFilterFuncSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexFilterFuncSGIS(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexGend {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glTexGend(fexfn_packed_args_libGL_glTexGend* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexGend(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexGendv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glTexGendv(fexfn_packed_args_libGL_glTexGendv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexGendv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexGenf {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glTexGenf(fexfn_packed_args_libGL_glTexGenf* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexGenf(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexGenfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glTexGenfv(fexfn_packed_args_libGL_glTexGenfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexGenfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexGeni {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTexGeni(fexfn_packed_args_libGL_glTexGeni* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexGeni(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexGeniv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glTexGeniv(fexfn_packed_args_libGL_glTexGeniv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexGeniv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexGenxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTexGenxOES(fexfn_packed_args_libGL_glTexGenxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexGenxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexGenxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glTexGenxvOES(fexfn_packed_args_libGL_glTexGenxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexGenxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexImage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<const GLvoid *> a_7;
};
static void fexfn_unpack_libGL_glTexImage1D(fexfn_packed_args_libGL_glTexImage1D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glTexImage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexImage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<const GLvoid *> a_8;
};
static void fexfn_unpack_libGL_glTexImage2D(fexfn_packed_args_libGL_glTexImage2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glTexImage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexImage2DMultisampleCoverageNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint8_t> a_6;
};
static void fexfn_unpack_libGL_glTexImage2DMultisampleCoverageNV(fexfn_packed_args_libGL_glTexImage2DMultisampleCoverageNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLboolean> a_6 { args->a_6 };
fexldr_ptr_libGL_glTexImage2DMultisampleCoverageNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexImage2DMultisample {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint8_t> a_5;
};
static void fexfn_unpack_libGL_glTexImage2DMultisample(fexfn_packed_args_libGL_glTexImage2DMultisample* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLboolean> a_5 { args->a_5 };
fexldr_ptr_libGL_glTexImage2DMultisample(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<const void *> a_9;
};
static void fexfn_unpack_libGL_glTexImage3DEXT(fexfn_packed_args_libGL_glTexImage3DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<const void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glTexImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexImage3D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<const GLvoid *> a_9;
};
static void fexfn_unpack_libGL_glTexImage3D(fexfn_packed_args_libGL_glTexImage3D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<const void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glTexImage3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexImage3DMultisampleCoverageNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint8_t> a_7;
};
static void fexfn_unpack_libGL_glTexImage3DMultisampleCoverageNV(fexfn_packed_args_libGL_glTexImage3DMultisampleCoverageNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLboolean> a_7 { args->a_7 };
fexldr_ptr_libGL_glTexImage3DMultisampleCoverageNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexImage3DMultisample {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint8_t> a_6;
};
static void fexfn_unpack_libGL_glTexImage3DMultisample(fexfn_packed_args_libGL_glTexImage3DMultisample* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLboolean> a_6 { args->a_6 };
fexldr_ptr_libGL_glTexImage3DMultisample(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexImage4DSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<const void *> a_10;
};
static void fexfn_unpack_libGL_glTexImage4DSGIS(fexfn_packed_args_libGL_glTexImage4DSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<const void *> a_10 { args->a_10 };
fexldr_ptr_libGL_glTexImage4DSGIS(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexPageCommitmentARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint8_t> a_8;
};
static void fexfn_unpack_libGL_glTexPageCommitmentARB(fexfn_packed_args_libGL_glTexPageCommitmentARB* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLboolean> a_8 { args->a_8 };
fexldr_ptr_libGL_glTexPageCommitmentARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexParameterf {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glTexParameterf(fexfn_packed_args_libGL_glTexParameterf* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexParameterf(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glTexParameterfv(fexfn_packed_args_libGL_glTexParameterfv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexParameteri {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTexParameteri(fexfn_packed_args_libGL_glTexParameteri* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexParameteri(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexParameterIivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glTexParameterIivEXT(fexfn_packed_args_libGL_glTexParameterIivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexParameterIivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexParameterIiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glTexParameterIiv(fexfn_packed_args_libGL_glTexParameterIiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexParameterIiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexParameterIuivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glTexParameterIuivEXT(fexfn_packed_args_libGL_glTexParameterIuivEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexParameterIuivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexParameterIuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glTexParameterIuiv(fexfn_packed_args_libGL_glTexParameterIuiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexParameterIuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glTexParameteriv(fexfn_packed_args_libGL_glTexParameteriv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexParameterxOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTexParameterxOES(fexfn_packed_args_libGL_glTexParameterxOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexParameterxOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexParameterxvOES {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glTexParameterxvOES(fexfn_packed_args_libGL_glTexParameterxvOES* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTexParameterxvOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexRenderbufferNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glTexRenderbufferNV(fexfn_packed_args_libGL_glTexRenderbufferNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glTexRenderbufferNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glTexStorage1D(fexfn_packed_args_libGL_glTexStorage1D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glTexStorage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glTexStorage2D(fexfn_packed_args_libGL_glTexStorage2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glTexStorage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorage2DMultisample {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint8_t> a_5;
};
static void fexfn_unpack_libGL_glTexStorage2DMultisample(fexfn_packed_args_libGL_glTexStorage2DMultisample* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLboolean> a_5 { args->a_5 };
fexldr_ptr_libGL_glTexStorage2DMultisample(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorage3D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glTexStorage3D(fexfn_packed_args_libGL_glTexStorage3D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glTexStorage3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorage3DMultisample {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint8_t> a_6;
};
static void fexfn_unpack_libGL_glTexStorage3DMultisample(fexfn_packed_args_libGL_glTexStorage3DMultisample* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLboolean> a_6 { args->a_6 };
fexldr_ptr_libGL_glTexStorage3DMultisample(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorageMem1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint64_t> a_5;
};
static void fexfn_unpack_libGL_glTexStorageMem1DEXT(fexfn_packed_args_libGL_glTexStorageMem1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint64> a_5 { args->a_5 };
fexldr_ptr_libGL_glTexStorageMem1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorageMem2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint64_t> a_6;
};
static void fexfn_unpack_libGL_glTexStorageMem2DEXT(fexfn_packed_args_libGL_glTexStorageMem2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint64> a_6 { args->a_6 };
fexldr_ptr_libGL_glTexStorageMem2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorageMem2DMultisampleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint8_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint64_t> a_7;
};
static void fexfn_unpack_libGL_glTexStorageMem2DMultisampleEXT(fexfn_packed_args_libGL_glTexStorageMem2DMultisampleEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLboolean> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLuint64> a_7 { args->a_7 };
fexldr_ptr_libGL_glTexStorageMem2DMultisampleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorageMem3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint64_t> a_7;
};
static void fexfn_unpack_libGL_glTexStorageMem3DEXT(fexfn_packed_args_libGL_glTexStorageMem3DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLuint64> a_7 { args->a_7 };
fexldr_ptr_libGL_glTexStorageMem3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorageMem3DMultisampleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint8_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint64_t> a_8;
};
static void fexfn_unpack_libGL_glTexStorageMem3DMultisampleEXT(fexfn_packed_args_libGL_glTexStorageMem3DMultisampleEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLboolean> a_6 { args->a_6 };
  host_layout<GLuint> a_7 { args->a_7 };
  host_layout<GLuint64> a_8 { args->a_8 };
fexldr_ptr_libGL_glTexStorageMem3DMultisampleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexStorageSparseAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
};
static void fexfn_unpack_libGL_glTexStorageSparseAMD(fexfn_packed_args_libGL_glTexStorageSparseAMD* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLbitfield> a_6 { args->a_6 };
fexldr_ptr_libGL_glTexStorageSparseAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexSubImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const void *> a_6;
};
static void fexfn_unpack_libGL_glTexSubImage1DEXT(fexfn_packed_args_libGL_glTexSubImage1DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glTexSubImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexSubImage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const GLvoid *> a_6;
};
static void fexfn_unpack_libGL_glTexSubImage1D(fexfn_packed_args_libGL_glTexSubImage1D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glTexSubImage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexSubImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<const void *> a_8;
};
static void fexfn_unpack_libGL_glTexSubImage2DEXT(fexfn_packed_args_libGL_glTexSubImage2DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glTexSubImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexSubImage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<const GLvoid *> a_8;
};
static void fexfn_unpack_libGL_glTexSubImage2D(fexfn_packed_args_libGL_glTexSubImage2D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glTexSubImage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexSubImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<const void *> a_10;
};
static void fexfn_unpack_libGL_glTexSubImage3DEXT(fexfn_packed_args_libGL_glTexSubImage3DEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<const void *> a_10 { args->a_10 };
fexldr_ptr_libGL_glTexSubImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexSubImage3D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<const GLvoid *> a_10;
};
static void fexfn_unpack_libGL_glTexSubImage3D(fexfn_packed_args_libGL_glTexSubImage3D* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<const void *> a_10 { args->a_10 };
fexldr_ptr_libGL_glTexSubImage3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexSubImage4DSGIS {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<int32_t> a_9;
  guest_layout<uint32_t> a_10;
  guest_layout<uint32_t> a_11;
  guest_layout<const void *> a_12;
};
static void fexfn_unpack_libGL_glTexSubImage4DSGIS(fexfn_packed_args_libGL_glTexSubImage4DSGIS* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<GLsizei> a_9 { args->a_9 };
  host_layout<GLenum> a_10 { args->a_10 };
  host_layout<GLenum> a_11 { args->a_11 };
  host_layout<const void *> a_12 { args->a_12 };
fexldr_ptr_libGL_glTexSubImage4DSGIS(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureAttachMemoryNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glTextureAttachMemoryNV(fexfn_packed_args_libGL_glTextureAttachMemoryNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glTextureAttachMemoryNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureBarrier {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glTextureBarrier(fexfn_packed_args_libGL_glTextureBarrier* args) {
fexldr_ptr_libGL_glTextureBarrier();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureBarrierNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glTextureBarrierNV(fexfn_packed_args_libGL_glTextureBarrierNV* args) {
fexldr_ptr_libGL_glTextureBarrierNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureBufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glTextureBufferEXT(fexfn_packed_args_libGL_glTextureBufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glTextureBufferEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glTextureBuffer(fexfn_packed_args_libGL_glTextureBuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTextureBuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureBufferRangeEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int64_t> a_4;
  guest_layout<int64_t> a_5;
};
static void fexfn_unpack_libGL_glTextureBufferRangeEXT(fexfn_packed_args_libGL_glTextureBufferRangeEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLintptr> a_4 { args->a_4 };
  host_layout<GLsizeiptr> a_5 { args->a_5 };
fexldr_ptr_libGL_glTextureBufferRangeEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureBufferRange {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glTextureBufferRange(fexfn_packed_args_libGL_glTextureBufferRange* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizeiptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glTextureBufferRange(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureColorMaskSGIS {
  guest_layout<uint8_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
};
static void fexfn_unpack_libGL_glTextureColorMaskSGIS(fexfn_packed_args_libGL_glTextureColorMaskSGIS* args) {
  host_layout<GLboolean> a_0 { args->a_0 };
  host_layout<GLboolean> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
fexldr_ptr_libGL_glTextureColorMaskSGIS(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<const void *> a_8;
};
static void fexfn_unpack_libGL_glTextureImage1DEXT(fexfn_packed_args_libGL_glTextureImage1DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glTextureImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<const void *> a_9;
};
static void fexfn_unpack_libGL_glTextureImage2DEXT(fexfn_packed_args_libGL_glTextureImage2DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<const void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glTextureImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureImage2DMultisampleCoverageNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint8_t> a_7;
};
static void fexfn_unpack_libGL_glTextureImage2DMultisampleCoverageNV(fexfn_packed_args_libGL_glTextureImage2DMultisampleCoverageNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLboolean> a_7 { args->a_7 };
fexldr_ptr_libGL_glTextureImage2DMultisampleCoverageNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureImage2DMultisampleNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint8_t> a_6;
};
static void fexfn_unpack_libGL_glTextureImage2DMultisampleNV(fexfn_packed_args_libGL_glTextureImage2DMultisampleNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLboolean> a_6 { args->a_6 };
fexldr_ptr_libGL_glTextureImage2DMultisampleNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<const void *> a_10;
};
static void fexfn_unpack_libGL_glTextureImage3DEXT(fexfn_packed_args_libGL_glTextureImage3DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<const void *> a_10 { args->a_10 };
fexldr_ptr_libGL_glTextureImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureImage3DMultisampleCoverageNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint8_t> a_8;
};
static void fexfn_unpack_libGL_glTextureImage3DMultisampleCoverageNV(fexfn_packed_args_libGL_glTextureImage3DMultisampleCoverageNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLboolean> a_8 { args->a_8 };
fexldr_ptr_libGL_glTextureImage3DMultisampleCoverageNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureImage3DMultisampleNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint8_t> a_7;
};
static void fexfn_unpack_libGL_glTextureImage3DMultisampleNV(fexfn_packed_args_libGL_glTextureImage3DMultisampleNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLboolean> a_7 { args->a_7 };
fexldr_ptr_libGL_glTextureImage3DMultisampleNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureLightEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glTextureLightEXT(fexfn_packed_args_libGL_glTextureLightEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glTextureLightEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureMaterialEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glTextureMaterialEXT(fexfn_packed_args_libGL_glTextureMaterialEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glTextureMaterialEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureNormalEXT {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glTextureNormalEXT(fexfn_packed_args_libGL_glTextureNormalEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glTextureNormalEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTexturePageCommitmentEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint8_t> a_8;
};
static void fexfn_unpack_libGL_glTexturePageCommitmentEXT(fexfn_packed_args_libGL_glTexturePageCommitmentEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLboolean> a_8 { args->a_8 };
fexldr_ptr_libGL_glTexturePageCommitmentEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameterfEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glTextureParameterfEXT(fexfn_packed_args_libGL_glTextureParameterfEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glTextureParameterfEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameterf {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glTextureParameterf(fexfn_packed_args_libGL_glTextureParameterf* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glTextureParameterf(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameterfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glTextureParameterfvEXT(fexfn_packed_args_libGL_glTextureParameterfvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glTextureParameterfvEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameterfv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glTextureParameterfv(fexfn_packed_args_libGL_glTextureParameterfv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTextureParameterfv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameteriEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glTextureParameteriEXT(fexfn_packed_args_libGL_glTextureParameteriEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glTextureParameteriEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameteri {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTextureParameteri(fexfn_packed_args_libGL_glTextureParameteri* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTextureParameteri(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameterIivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glTextureParameterIivEXT(fexfn_packed_args_libGL_glTextureParameterIivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glTextureParameterIivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameterIiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glTextureParameterIiv(fexfn_packed_args_libGL_glTextureParameterIiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTextureParameterIiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameterIuivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glTextureParameterIuivEXT(fexfn_packed_args_libGL_glTextureParameterIuivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glTextureParameterIuivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameterIuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glTextureParameterIuiv(fexfn_packed_args_libGL_glTextureParameterIuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTextureParameterIuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameterivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glTextureParameterivEXT(fexfn_packed_args_libGL_glTextureParameterivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glTextureParameterivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureParameteriv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glTextureParameteriv(fexfn_packed_args_libGL_glTextureParameteriv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTextureParameteriv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureRangeAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const void *> a_2;
};
static void fexfn_unpack_libGL_glTextureRangeAPPLE(fexfn_packed_args_libGL_glTextureRangeAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const void *> a_2 { args->a_2 };
fexldr_ptr_libGL_glTextureRangeAPPLE(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureRenderbufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glTextureRenderbufferEXT(fexfn_packed_args_libGL_glTextureRenderbufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTextureRenderbufferEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glTextureStorage1DEXT(fexfn_packed_args_libGL_glTextureStorage1DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glTextureStorage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glTextureStorage1D(fexfn_packed_args_libGL_glTextureStorage1D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glTextureStorage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glTextureStorage2DEXT(fexfn_packed_args_libGL_glTextureStorage2DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glTextureStorage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glTextureStorage2D(fexfn_packed_args_libGL_glTextureStorage2D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glTextureStorage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorage2DMultisampleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint8_t> a_6;
};
static void fexfn_unpack_libGL_glTextureStorage2DMultisampleEXT(fexfn_packed_args_libGL_glTextureStorage2DMultisampleEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLboolean> a_6 { args->a_6 };
fexldr_ptr_libGL_glTextureStorage2DMultisampleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorage2DMultisample {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint8_t> a_5;
};
static void fexfn_unpack_libGL_glTextureStorage2DMultisample(fexfn_packed_args_libGL_glTextureStorage2DMultisample* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLboolean> a_5 { args->a_5 };
fexldr_ptr_libGL_glTextureStorage2DMultisample(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
};
static void fexfn_unpack_libGL_glTextureStorage3DEXT(fexfn_packed_args_libGL_glTextureStorage3DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
fexldr_ptr_libGL_glTextureStorage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorage3D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
};
static void fexfn_unpack_libGL_glTextureStorage3D(fexfn_packed_args_libGL_glTextureStorage3D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
fexldr_ptr_libGL_glTextureStorage3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorage3DMultisampleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint8_t> a_7;
};
static void fexfn_unpack_libGL_glTextureStorage3DMultisampleEXT(fexfn_packed_args_libGL_glTextureStorage3DMultisampleEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLboolean> a_7 { args->a_7 };
fexldr_ptr_libGL_glTextureStorage3DMultisampleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorage3DMultisample {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint8_t> a_6;
};
static void fexfn_unpack_libGL_glTextureStorage3DMultisample(fexfn_packed_args_libGL_glTextureStorage3DMultisample* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLboolean> a_6 { args->a_6 };
fexldr_ptr_libGL_glTextureStorage3DMultisample(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorageMem1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint64_t> a_5;
};
static void fexfn_unpack_libGL_glTextureStorageMem1DEXT(fexfn_packed_args_libGL_glTextureStorageMem1DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint64> a_5 { args->a_5 };
fexldr_ptr_libGL_glTextureStorageMem1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorageMem2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint64_t> a_6;
};
static void fexfn_unpack_libGL_glTextureStorageMem2DEXT(fexfn_packed_args_libGL_glTextureStorageMem2DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint64> a_6 { args->a_6 };
fexldr_ptr_libGL_glTextureStorageMem2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorageMem2DMultisampleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint8_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint64_t> a_7;
};
static void fexfn_unpack_libGL_glTextureStorageMem2DMultisampleEXT(fexfn_packed_args_libGL_glTextureStorageMem2DMultisampleEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLboolean> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLuint64> a_7 { args->a_7 };
fexldr_ptr_libGL_glTextureStorageMem2DMultisampleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorageMem3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint64_t> a_7;
};
static void fexfn_unpack_libGL_glTextureStorageMem3DEXT(fexfn_packed_args_libGL_glTextureStorageMem3DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLuint64> a_7 { args->a_7 };
fexldr_ptr_libGL_glTextureStorageMem3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorageMem3DMultisampleEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint8_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint64_t> a_8;
};
static void fexfn_unpack_libGL_glTextureStorageMem3DMultisampleEXT(fexfn_packed_args_libGL_glTextureStorageMem3DMultisampleEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLboolean> a_6 { args->a_6 };
  host_layout<GLuint> a_7 { args->a_7 };
  host_layout<GLuint64> a_8 { args->a_8 };
fexldr_ptr_libGL_glTextureStorageMem3DMultisampleEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureStorageSparseAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint32_t> a_7;
};
static void fexfn_unpack_libGL_glTextureStorageSparseAMD(fexfn_packed_args_libGL_glTextureStorageSparseAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLbitfield> a_7 { args->a_7 };
fexldr_ptr_libGL_glTextureStorageSparseAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureSubImage1DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<const void *> a_7;
};
static void fexfn_unpack_libGL_glTextureSubImage1DEXT(fexfn_packed_args_libGL_glTextureSubImage1DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<const void *> a_7 { args->a_7 };
fexldr_ptr_libGL_glTextureSubImage1DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureSubImage1D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<const void *> a_6;
};
static void fexfn_unpack_libGL_glTextureSubImage1D(fexfn_packed_args_libGL_glTextureSubImage1D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
  host_layout<const void *> a_6 { args->a_6 };
fexldr_ptr_libGL_glTextureSubImage1D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureSubImage2DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<const void *> a_9;
};
static void fexfn_unpack_libGL_glTextureSubImage2DEXT(fexfn_packed_args_libGL_glTextureSubImage2DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<const void *> a_9 { args->a_9 };
fexldr_ptr_libGL_glTextureSubImage2DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureSubImage2D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
  guest_layout<const void *> a_8;
};
static void fexfn_unpack_libGL_glTextureSubImage2D(fexfn_packed_args_libGL_glTextureSubImage2D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLenum> a_6 { args->a_6 };
  host_layout<GLenum> a_7 { args->a_7 };
  host_layout<const void *> a_8 { args->a_8 };
fexldr_ptr_libGL_glTextureSubImage2D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureSubImage3DEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<uint32_t> a_10;
  guest_layout<const void *> a_11;
};
static void fexfn_unpack_libGL_glTextureSubImage3DEXT(fexfn_packed_args_libGL_glTextureSubImage3DEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLsizei> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<GLenum> a_10 { args->a_10 };
  host_layout<const void *> a_11 { args->a_11 };
fexldr_ptr_libGL_glTextureSubImage3DEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureSubImage3D {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<uint32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<const void *> a_10;
};
static void fexfn_unpack_libGL_glTextureSubImage3D(fexfn_packed_args_libGL_glTextureSubImage3D* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLsizei> a_7 { args->a_7 };
  host_layout<GLenum> a_8 { args->a_8 };
  host_layout<GLenum> a_9 { args->a_9 };
  host_layout<const void *> a_10 { args->a_10 };
fexldr_ptr_libGL_glTextureSubImage3D(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTextureView {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
  guest_layout<uint32_t> a_7;
};
static void fexfn_unpack_libGL_glTextureView(fexfn_packed_args_libGL_glTextureView* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
  host_layout<GLuint> a_7 { args->a_7 };
fexldr_ptr_libGL_glTextureView(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTrackMatrixNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glTrackMatrixNV(fexfn_packed_args_libGL_glTrackMatrixNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glTrackMatrixNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTransformFeedbackAttribsNV {
  guest_layout<int32_t> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glTransformFeedbackAttribsNV(fexfn_packed_args_libGL_glTransformFeedbackAttribsNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
fexldr_ptr_libGL_glTransformFeedbackAttribsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTransformFeedbackBufferBase {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glTransformFeedbackBufferBase(fexfn_packed_args_libGL_glTransformFeedbackBufferBase* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glTransformFeedbackBufferBase(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTransformFeedbackBufferRange {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glTransformFeedbackBufferRange(fexfn_packed_args_libGL_glTransformFeedbackBufferRange* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizeiptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glTransformFeedbackBufferRange(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTransformFeedbackStreamAttribsNV {
  guest_layout<int32_t> a_0;
  guest_layout<const int32_t*> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const int32_t*> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glTransformFeedbackStreamAttribsNV(fexfn_packed_args_libGL_glTransformFeedbackStreamAttribsNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
fexldr_ptr_libGL_glTransformFeedbackStreamAttribsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTransformFeedbackVaryingsEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLchar *const *> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glTransformFeedbackVaryingsEXT(fexfn_packed_args_libGL_glTransformFeedbackVaryingsEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const char *const *> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glTransformFeedbackVaryingsEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTransformFeedbackVaryings {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLchar *const *> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glTransformFeedbackVaryings(fexfn_packed_args_libGL_glTransformFeedbackVaryings* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const char *const *> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glTransformFeedbackVaryings(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTransformFeedbackVaryingsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glTransformFeedbackVaryingsNV(fexfn_packed_args_libGL_glTransformFeedbackVaryingsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
fexldr_ptr_libGL_glTransformFeedbackVaryingsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTransformPathNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glTransformPathNV(fexfn_packed_args_libGL_glTransformPathNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glTransformPathNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTranslated {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glTranslated(fexfn_packed_args_libGL_glTranslated* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glTranslated(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTranslatef {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glTranslatef(fexfn_packed_args_libGL_glTranslatef* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glTranslatef(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glTranslatexOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glTranslatexOES(fexfn_packed_args_libGL_glTranslatexOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glTranslatexOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1d {
  guest_layout<int32_t> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glUniform1d(fexfn_packed_args_libGL_glUniform1d* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1d(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glUniform1dv(fexfn_packed_args_libGL_glUniform1dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1fARB {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glUniform1fARB(fexfn_packed_args_libGL_glUniform1fARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1fARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1f {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glUniform1f(fexfn_packed_args_libGL_glUniform1f* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1f(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1fvARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glUniform1fvARB(fexfn_packed_args_libGL_glUniform1fvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1fvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glUniform1fv(fexfn_packed_args_libGL_glUniform1fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1i64ARB {
  guest_layout<int32_t> a_0;
  guest_layout<int64_t> a_1;
};
static void fexfn_unpack_libGL_glUniform1i64ARB(fexfn_packed_args_libGL_glUniform1i64ARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint64> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1i64ARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1i64NV {
  guest_layout<int32_t> a_0;
  guest_layout<int64_t> a_1;
};
static void fexfn_unpack_libGL_glUniform1i64NV(fexfn_packed_args_libGL_glUniform1i64NV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint64EXT> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1i64NV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1i64vARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform1i64vARB(fexfn_packed_args_libGL_glUniform1i64vARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1i64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1i64vNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform1i64vNV(fexfn_packed_args_libGL_glUniform1i64vNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1i64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1iARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glUniform1iARB(fexfn_packed_args_libGL_glUniform1iARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1iARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glUniform1i(fexfn_packed_args_libGL_glUniform1i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1i(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1ivARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform1ivARB(fexfn_packed_args_libGL_glUniform1ivARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1ivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1iv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform1iv(fexfn_packed_args_libGL_glUniform1iv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1iv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1ui64ARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glUniform1ui64ARB(fexfn_packed_args_libGL_glUniform1ui64ARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1ui64ARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1ui64NV {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glUniform1ui64NV(fexfn_packed_args_libGL_glUniform1ui64NV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1ui64NV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1ui64vARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform1ui64vARB(fexfn_packed_args_libGL_glUniform1ui64vARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1ui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1ui64vNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform1ui64vNV(fexfn_packed_args_libGL_glUniform1ui64vNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1ui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1uiEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glUniform1uiEXT(fexfn_packed_args_libGL_glUniform1uiEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1uiEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1ui {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glUniform1ui(fexfn_packed_args_libGL_glUniform1ui* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniform1ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1uivEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform1uivEXT(fexfn_packed_args_libGL_glUniform1uivEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1uivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform1uiv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform1uiv(fexfn_packed_args_libGL_glUniform1uiv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform1uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2d {
  guest_layout<int32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glUniform2d(fexfn_packed_args_libGL_glUniform2d* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glUniform2dv(fexfn_packed_args_libGL_glUniform2dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2fARB {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glUniform2fARB(fexfn_packed_args_libGL_glUniform2fARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2f {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glUniform2f(fexfn_packed_args_libGL_glUniform2f* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2fvARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glUniform2fvARB(fexfn_packed_args_libGL_glUniform2fvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2fvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glUniform2fv(fexfn_packed_args_libGL_glUniform2fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2i64ARB {
  guest_layout<int32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
};
static void fexfn_unpack_libGL_glUniform2i64ARB(fexfn_packed_args_libGL_glUniform2i64ARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint64> a_1 { args->a_1 };
  host_layout<GLint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2i64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2i64NV {
  guest_layout<int32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
};
static void fexfn_unpack_libGL_glUniform2i64NV(fexfn_packed_args_libGL_glUniform2i64NV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint64EXT> a_1 { args->a_1 };
  host_layout<GLint64EXT> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2i64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2i64vARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform2i64vARB(fexfn_packed_args_libGL_glUniform2i64vARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2i64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2i64vNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform2i64vNV(fexfn_packed_args_libGL_glUniform2i64vNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2i64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2iARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glUniform2iARB(fexfn_packed_args_libGL_glUniform2iARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2iARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glUniform2i(fexfn_packed_args_libGL_glUniform2i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2ivARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform2ivARB(fexfn_packed_args_libGL_glUniform2ivARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2ivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2iv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform2iv(fexfn_packed_args_libGL_glUniform2iv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2iv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2ui64ARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glUniform2ui64ARB(fexfn_packed_args_libGL_glUniform2ui64ARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2ui64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2ui64NV {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glUniform2ui64NV(fexfn_packed_args_libGL_glUniform2ui64NV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2ui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2ui64vARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform2ui64vARB(fexfn_packed_args_libGL_glUniform2ui64vARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2ui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2ui64vNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform2ui64vNV(fexfn_packed_args_libGL_glUniform2ui64vNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2ui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2uiEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glUniform2uiEXT(fexfn_packed_args_libGL_glUniform2uiEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2ui {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glUniform2ui(fexfn_packed_args_libGL_glUniform2ui* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2uivEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform2uivEXT(fexfn_packed_args_libGL_glUniform2uivEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2uivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform2uiv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform2uiv(fexfn_packed_args_libGL_glUniform2uiv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform2uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3d {
  guest_layout<int32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glUniform3d(fexfn_packed_args_libGL_glUniform3d* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glUniform3dv(fexfn_packed_args_libGL_glUniform3dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3fARB {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glUniform3fARB(fexfn_packed_args_libGL_glUniform3fARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3f {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glUniform3f(fexfn_packed_args_libGL_glUniform3f* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3fvARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glUniform3fvARB(fexfn_packed_args_libGL_glUniform3fvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3fvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glUniform3fv(fexfn_packed_args_libGL_glUniform3fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3i64ARB {
  guest_layout<int32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glUniform3i64ARB(fexfn_packed_args_libGL_glUniform3i64ARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint64> a_1 { args->a_1 };
  host_layout<GLint64> a_2 { args->a_2 };
  host_layout<GLint64> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3i64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3i64NV {
  guest_layout<int32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glUniform3i64NV(fexfn_packed_args_libGL_glUniform3i64NV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint64EXT> a_1 { args->a_1 };
  host_layout<GLint64EXT> a_2 { args->a_2 };
  host_layout<GLint64EXT> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3i64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3i64vARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform3i64vARB(fexfn_packed_args_libGL_glUniform3i64vARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3i64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3i64vNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform3i64vNV(fexfn_packed_args_libGL_glUniform3i64vNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3i64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3iARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glUniform3iARB(fexfn_packed_args_libGL_glUniform3iARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3iARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glUniform3i(fexfn_packed_args_libGL_glUniform3i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3ivARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform3ivARB(fexfn_packed_args_libGL_glUniform3ivARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3ivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3iv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform3iv(fexfn_packed_args_libGL_glUniform3iv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3iv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3ui64ARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
};
static void fexfn_unpack_libGL_glUniform3ui64ARB(fexfn_packed_args_libGL_glUniform3ui64ARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
  host_layout<GLuint64> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3ui64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3ui64NV {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
};
static void fexfn_unpack_libGL_glUniform3ui64NV(fexfn_packed_args_libGL_glUniform3ui64NV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
  host_layout<GLuint64EXT> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3ui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3ui64vARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform3ui64vARB(fexfn_packed_args_libGL_glUniform3ui64vARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3ui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3ui64vNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform3ui64vNV(fexfn_packed_args_libGL_glUniform3ui64vNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3ui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3uiEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glUniform3uiEXT(fexfn_packed_args_libGL_glUniform3uiEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3ui {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glUniform3ui(fexfn_packed_args_libGL_glUniform3ui* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniform3ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3uivEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform3uivEXT(fexfn_packed_args_libGL_glUniform3uivEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3uivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform3uiv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform3uiv(fexfn_packed_args_libGL_glUniform3uiv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform3uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4d {
  guest_layout<int32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glUniform4d(fexfn_packed_args_libGL_glUniform4d* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glUniform4dv(fexfn_packed_args_libGL_glUniform4dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4fARB {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glUniform4fARB(fexfn_packed_args_libGL_glUniform4fARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4f {
  guest_layout<int32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glUniform4f(fexfn_packed_args_libGL_glUniform4f* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4fvARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glUniform4fvARB(fexfn_packed_args_libGL_glUniform4fvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4fvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glUniform4fv(fexfn_packed_args_libGL_glUniform4fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4i64ARB {
  guest_layout<int32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glUniform4i64ARB(fexfn_packed_args_libGL_glUniform4i64ARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint64> a_1 { args->a_1 };
  host_layout<GLint64> a_2 { args->a_2 };
  host_layout<GLint64> a_3 { args->a_3 };
  host_layout<GLint64> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4i64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4i64NV {
  guest_layout<int32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glUniform4i64NV(fexfn_packed_args_libGL_glUniform4i64NV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint64EXT> a_1 { args->a_1 };
  host_layout<GLint64EXT> a_2 { args->a_2 };
  host_layout<GLint64EXT> a_3 { args->a_3 };
  host_layout<GLint64EXT> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4i64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4i64vARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform4i64vARB(fexfn_packed_args_libGL_glUniform4i64vARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4i64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4i64vNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform4i64vNV(fexfn_packed_args_libGL_glUniform4i64vNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4i64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4iARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glUniform4iARB(fexfn_packed_args_libGL_glUniform4iARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4iARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glUniform4i(fexfn_packed_args_libGL_glUniform4i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4ivARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform4ivARB(fexfn_packed_args_libGL_glUniform4ivARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4ivARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4iv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform4iv(fexfn_packed_args_libGL_glUniform4iv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4iv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4ui64ARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
  guest_layout<uint64_t> a_4;
};
static void fexfn_unpack_libGL_glUniform4ui64ARB(fexfn_packed_args_libGL_glUniform4ui64ARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
  host_layout<GLuint64> a_3 { args->a_3 };
  host_layout<GLuint64> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4ui64ARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4ui64NV {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
  guest_layout<uint64_t> a_4;
};
static void fexfn_unpack_libGL_glUniform4ui64NV(fexfn_packed_args_libGL_glUniform4ui64NV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
  host_layout<GLuint64EXT> a_3 { args->a_3 };
  host_layout<GLuint64EXT> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4ui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4ui64vARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform4ui64vARB(fexfn_packed_args_libGL_glUniform4ui64vARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4ui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4ui64vNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform4ui64vNV(fexfn_packed_args_libGL_glUniform4ui64vNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4ui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4uiEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glUniform4uiEXT(fexfn_packed_args_libGL_glUniform4uiEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4ui {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glUniform4ui(fexfn_packed_args_libGL_glUniform4ui* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glUniform4ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4uivEXT {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform4uivEXT(fexfn_packed_args_libGL_glUniform4uivEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4uivEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniform4uiv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniform4uiv(fexfn_packed_args_libGL_glUniform4uiv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniform4uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformBlockBinding {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glUniformBlockBinding(fexfn_packed_args_libGL_glUniformBlockBinding* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniformBlockBinding(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformBufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glUniformBufferEXT(fexfn_packed_args_libGL_glUniformBufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniformBufferEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformHandleui64ARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glUniformHandleui64ARB(fexfn_packed_args_libGL_glUniformHandleui64ARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniformHandleui64ARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformHandleui64NV {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glUniformHandleui64NV(fexfn_packed_args_libGL_glUniformHandleui64NV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniformHandleui64NV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformHandleui64vARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniformHandleui64vARB(fexfn_packed_args_libGL_glUniformHandleui64vARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniformHandleui64vARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformHandleui64vNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniformHandleui64vNV(fexfn_packed_args_libGL_glUniformHandleui64vNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniformHandleui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix2dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix2dv(fexfn_packed_args_libGL_glUniformMatrix2dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix2dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix2fvARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix2fvARB(fexfn_packed_args_libGL_glUniformMatrix2fvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix2fvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix2fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix2fv(fexfn_packed_args_libGL_glUniformMatrix2fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix2fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix2x3dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix2x3dv(fexfn_packed_args_libGL_glUniformMatrix2x3dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix2x3dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix2x3fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix2x3fv(fexfn_packed_args_libGL_glUniformMatrix2x3fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix2x3fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix2x4dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix2x4dv(fexfn_packed_args_libGL_glUniformMatrix2x4dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix2x4dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix2x4fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix2x4fv(fexfn_packed_args_libGL_glUniformMatrix2x4fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix2x4fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix3dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix3dv(fexfn_packed_args_libGL_glUniformMatrix3dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix3dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix3fvARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix3fvARB(fexfn_packed_args_libGL_glUniformMatrix3fvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix3fvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix3fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix3fv(fexfn_packed_args_libGL_glUniformMatrix3fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix3fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix3x2dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix3x2dv(fexfn_packed_args_libGL_glUniformMatrix3x2dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix3x2dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix3x2fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix3x2fv(fexfn_packed_args_libGL_glUniformMatrix3x2fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix3x2fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix3x4dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix3x4dv(fexfn_packed_args_libGL_glUniformMatrix3x4dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix3x4dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix3x4fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix3x4fv(fexfn_packed_args_libGL_glUniformMatrix3x4fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix3x4fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix4dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix4dv(fexfn_packed_args_libGL_glUniformMatrix4dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix4dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix4fvARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix4fvARB(fexfn_packed_args_libGL_glUniformMatrix4fvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix4fvARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix4fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix4fv(fexfn_packed_args_libGL_glUniformMatrix4fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix4fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix4x2dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix4x2dv(fexfn_packed_args_libGL_glUniformMatrix4x2dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix4x2dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix4x2fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix4x2fv(fexfn_packed_args_libGL_glUniformMatrix4x2fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix4x2fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix4x3dv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix4x3dv(fexfn_packed_args_libGL_glUniformMatrix4x3dv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix4x3dv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformMatrix4x3fv {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glUniformMatrix4x3fv(fexfn_packed_args_libGL_glUniformMatrix4x3fv* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glUniformMatrix4x3fv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformSubroutinesuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
};
static void fexfn_unpack_libGL_glUniformSubroutinesuiv(fexfn_packed_args_libGL_glUniformSubroutinesuiv* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniformSubroutinesuiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformui64NV {
  guest_layout<int32_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glUniformui64NV(fexfn_packed_args_libGL_glUniformui64NV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
fexldr_ptr_libGL_glUniformui64NV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUniformui64vNV {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint64_t*> a_2;
};
static void fexfn_unpack_libGL_glUniformui64vNV(fexfn_packed_args_libGL_glUniformui64vNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned long *> a_2 { args->a_2 };
fexldr_ptr_libGL_glUniformui64vNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUnlockArraysEXT {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glUnlockArraysEXT(fexfn_packed_args_libGL_glUnlockArraysEXT* args) {
fexldr_ptr_libGL_glUnlockArraysEXT();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUnmapObjectBufferATI {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glUnmapObjectBufferATI(fexfn_packed_args_libGL_glUnmapObjectBufferATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glUnmapObjectBufferATI(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUnmapTexture2DINTEL {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glUnmapTexture2DINTEL(fexfn_packed_args_libGL_glUnmapTexture2DINTEL* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glUnmapTexture2DINTEL(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUpdateObjectBufferATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void *> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glUpdateObjectBufferATI(fexfn_packed_args_libGL_glUpdateObjectBufferATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
fexldr_ptr_libGL_glUpdateObjectBufferATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUploadGpuMaskNVX {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glUploadGpuMaskNVX(fexfn_packed_args_libGL_glUploadGpuMaskNVX* args) {
  host_layout<GLbitfield> a_0 { args->a_0 };
fexldr_ptr_libGL_glUploadGpuMaskNVX(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUseProgram {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glUseProgram(fexfn_packed_args_libGL_glUseProgram* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glUseProgram(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUseProgramObjectARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glUseProgramObjectARB(fexfn_packed_args_libGL_glUseProgramObjectARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
fexldr_ptr_libGL_glUseProgramObjectARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUseProgramStages {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glUseProgramStages(fexfn_packed_args_libGL_glUseProgramStages* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLbitfield> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glUseProgramStages(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glUseShaderProgramEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glUseShaderProgramEXT(fexfn_packed_args_libGL_glUseShaderProgramEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glUseShaderProgramEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glValidateProgramARB {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glValidateProgramARB(fexfn_packed_args_libGL_glValidateProgramARB* args) {
  host_layout<GLhandleARB> a_0 { args->a_0 };
fexldr_ptr_libGL_glValidateProgramARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glValidateProgram {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glValidateProgram(fexfn_packed_args_libGL_glValidateProgram* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glValidateProgram(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glValidateProgramPipeline {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glValidateProgramPipeline(fexfn_packed_args_libGL_glValidateProgramPipeline* args) {
  host_layout<GLuint> a_0 { args->a_0 };
fexldr_ptr_libGL_glValidateProgramPipeline(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVariantArrayObjectATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glVariantArrayObjectATI(fexfn_packed_args_libGL_glVariantArrayObjectATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVariantArrayObjectATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVariantbvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glVariantbvEXT(fexfn_packed_args_libGL_glVariantbvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVariantbvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVariantdvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVariantdvEXT(fexfn_packed_args_libGL_glVariantdvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVariantdvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVariantfvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVariantfvEXT(fexfn_packed_args_libGL_glVariantfvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVariantfvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVariantivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVariantivEXT(fexfn_packed_args_libGL_glVariantivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVariantivEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVariantPointerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glVariantPointerEXT(fexfn_packed_args_libGL_glVariantPointerEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glVariantPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVariantsvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVariantsvEXT(fexfn_packed_args_libGL_glVariantsvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVariantsvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVariantubvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glVariantubvEXT(fexfn_packed_args_libGL_glVariantubvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVariantubvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVariantuivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVariantuivEXT(fexfn_packed_args_libGL_glVariantuivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVariantuivEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVariantusvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVariantusvEXT(fexfn_packed_args_libGL_glVariantusvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVariantusvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAUFiniNV {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glVDPAUFiniNV(fexfn_packed_args_libGL_glVDPAUFiniNV* args) {
fexldr_ptr_libGL_glVDPAUFiniNV();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAUGetSurfaceivNV {
  guest_layout<int64_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
};
static void fexfn_unpack_libGL_glVDPAUGetSurfaceivNV(fexfn_packed_args_libGL_glVDPAUGetSurfaceivNV* args) {
  host_layout<GLvdpauSurfaceNV> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
fexldr_ptr_libGL_glVDPAUGetSurfaceivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAUInitNV {
  guest_layout<const void *> a_0;
  guest_layout<const void *> a_1;
};
static void fexfn_unpack_libGL_glVDPAUInitNV(fexfn_packed_args_libGL_glVDPAUInitNV* args) {
  host_layout<const void *> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVDPAUInitNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAUMapSurfacesNV {
  guest_layout<int32_t> a_0;
  guest_layout<const int64_t*> a_1;
};
static void fexfn_unpack_libGL_glVDPAUMapSurfacesNV(fexfn_packed_args_libGL_glVDPAUMapSurfacesNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVDPAUMapSurfacesNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAUSurfaceAccessNV {
  guest_layout<int64_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVDPAUSurfaceAccessNV(fexfn_packed_args_libGL_glVDPAUSurfaceAccessNV* args) {
  host_layout<GLvdpauSurfaceNV> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glVDPAUSurfaceAccessNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAUUnmapSurfacesNV {
  guest_layout<int32_t> a_0;
  guest_layout<const int64_t*> a_1;
};
static void fexfn_unpack_libGL_glVDPAUUnmapSurfacesNV(fexfn_packed_args_libGL_glVDPAUUnmapSurfacesNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVDPAUUnmapSurfacesNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVDPAUUnregisterSurfaceNV {
  guest_layout<int64_t> a_0;
};
static void fexfn_unpack_libGL_glVDPAUUnregisterSurfaceNV(fexfn_packed_args_libGL_glVDPAUUnregisterSurfaceNV* args) {
  host_layout<GLvdpauSurfaceNV> a_0 { args->a_0 };
fexldr_ptr_libGL_glVDPAUUnregisterSurfaceNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2bOES {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
};
static void fexfn_unpack_libGL_glVertex2bOES(fexfn_packed_args_libGL_glVertex2bOES* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertex2bOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2bvOES {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex2bvOES(fexfn_packed_args_libGL_glVertex2bvOES* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex2bvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glVertex2d(fexfn_packed_args_libGL_glVertex2d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertex2d(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glVertex2dv(fexfn_packed_args_libGL_glVertex2dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex2dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glVertex2f(fexfn_packed_args_libGL_glVertex2f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertex2f(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glVertex2fv(fexfn_packed_args_libGL_glVertex2fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex2fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2hNV {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
};
static void fexfn_unpack_libGL_glVertex2hNV(fexfn_packed_args_libGL_glVertex2hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertex2hNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex2hvNV(fexfn_packed_args_libGL_glVertex2hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex2hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glVertex2i(fexfn_packed_args_libGL_glVertex2i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertex2i(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex2iv(fexfn_packed_args_libGL_glVertex2iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex2iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glVertex2s(fexfn_packed_args_libGL_glVertex2s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertex2s(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex2sv(fexfn_packed_args_libGL_glVertex2sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex2sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2xOES {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glVertex2xOES(fexfn_packed_args_libGL_glVertex2xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex2xOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex2xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex2xvOES(fexfn_packed_args_libGL_glVertex2xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex2xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3bOES {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
};
static void fexfn_unpack_libGL_glVertex3bOES(fexfn_packed_args_libGL_glVertex3bOES* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertex3bOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3bvOES {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex3bvOES(fexfn_packed_args_libGL_glVertex3bvOES* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex3bvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glVertex3d(fexfn_packed_args_libGL_glVertex3d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertex3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glVertex3dv(fexfn_packed_args_libGL_glVertex3dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex3dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glVertex3f(fexfn_packed_args_libGL_glVertex3f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertex3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glVertex3fv(fexfn_packed_args_libGL_glVertex3fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex3fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3hNV {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
};
static void fexfn_unpack_libGL_glVertex3hNV(fexfn_packed_args_libGL_glVertex3hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertex3hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex3hvNV(fexfn_packed_args_libGL_glVertex3hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex3hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glVertex3i(fexfn_packed_args_libGL_glVertex3i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertex3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex3iv(fexfn_packed_args_libGL_glVertex3iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex3iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glVertex3s(fexfn_packed_args_libGL_glVertex3s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertex3s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex3sv(fexfn_packed_args_libGL_glVertex3sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex3sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glVertex3xOES(fexfn_packed_args_libGL_glVertex3xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertex3xOES(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex3xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex3xvOES(fexfn_packed_args_libGL_glVertex3xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex3xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4bOES {
  guest_layout<int8_t> a_0;
  guest_layout<int8_t> a_1;
  guest_layout<int8_t> a_2;
  guest_layout<int8_t> a_3;
};
static void fexfn_unpack_libGL_glVertex4bOES(fexfn_packed_args_libGL_glVertex4bOES* args) {
  host_layout<GLbyte> a_0 { args->a_0 };
  host_layout<GLbyte> a_1 { args->a_1 };
  host_layout<GLbyte> a_2 { args->a_2 };
  host_layout<GLbyte> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertex4bOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4bvOES {
  guest_layout<const int8_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex4bvOES(fexfn_packed_args_libGL_glVertex4bvOES* args) {
  host_layout<const signed char *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex4bvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4d {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glVertex4d(fexfn_packed_args_libGL_glVertex4d* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertex4d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4dv {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glVertex4dv(fexfn_packed_args_libGL_glVertex4dv* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex4dv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4f {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glVertex4f(fexfn_packed_args_libGL_glVertex4f* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertex4f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4fv {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glVertex4fv(fexfn_packed_args_libGL_glVertex4fv* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex4fv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4hNV {
  guest_layout<uint16_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
  guest_layout<uint16_t> a_3;
};
static void fexfn_unpack_libGL_glVertex4hNV(fexfn_packed_args_libGL_glVertex4hNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
  host_layout<GLhalfNV> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertex4hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4hvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex4hvNV(fexfn_packed_args_libGL_glVertex4hvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex4hvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4i {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glVertex4i(fexfn_packed_args_libGL_glVertex4i* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertex4i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4iv {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex4iv(fexfn_packed_args_libGL_glVertex4iv* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex4iv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4s {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glVertex4s(fexfn_packed_args_libGL_glVertex4s* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertex4s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4sv {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex4sv(fexfn_packed_args_libGL_glVertex4sv* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex4sv(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4xOES {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glVertex4xOES(fexfn_packed_args_libGL_glVertex4xOES* args) {
  host_layout<GLfixed> a_0 { args->a_0 };
  host_layout<GLfixed> a_1 { args->a_1 };
  host_layout<GLfixed> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertex4xOES(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertex4xvOES {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glVertex4xvOES(fexfn_packed_args_libGL_glVertex4xvOES* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertex4xvOES(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayAttribBinding {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexArrayAttribBinding(fexfn_packed_args_libGL_glVertexArrayAttribBinding* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexArrayAttribBinding(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayAttribFormat {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint8_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glVertexArrayAttribFormat(fexfn_packed_args_libGL_glVertexArrayAttribFormat* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLboolean> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glVertexArrayAttribFormat(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayAttribIFormat {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexArrayAttribIFormat(fexfn_packed_args_libGL_glVertexArrayAttribIFormat* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexArrayAttribIFormat(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayAttribLFormat {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexArrayAttribLFormat(fexfn_packed_args_libGL_glVertexArrayAttribLFormat* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexArrayAttribLFormat(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayBindingDivisor {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexArrayBindingDivisor(fexfn_packed_args_libGL_glVertexArrayBindingDivisor* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexArrayBindingDivisor(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayBindVertexBufferEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexArrayBindVertexBufferEXT(fexfn_packed_args_libGL_glVertexArrayBindVertexBufferEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexArrayBindVertexBufferEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayColorOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int64_t> a_5;
};
static void fexfn_unpack_libGL_glVertexArrayColorOffsetEXT(fexfn_packed_args_libGL_glVertexArrayColorOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLintptr> a_5 { args->a_5 };
fexldr_ptr_libGL_glVertexArrayColorOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayEdgeFlagOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glVertexArrayEdgeFlagOffsetEXT(fexfn_packed_args_libGL_glVertexArrayEdgeFlagOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexArrayEdgeFlagOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayElementBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexArrayElementBuffer(fexfn_packed_args_libGL_glVertexArrayElementBuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexArrayElementBuffer(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayFogCoordOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glVertexArrayFogCoordOffsetEXT(fexfn_packed_args_libGL_glVertexArrayFogCoordOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLintptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexArrayFogCoordOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayIndexOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glVertexArrayIndexOffsetEXT(fexfn_packed_args_libGL_glVertexArrayIndexOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLintptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexArrayIndexOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayMultiTexCoordOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int64_t> a_6;
};
static void fexfn_unpack_libGL_glVertexArrayMultiTexCoordOffsetEXT(fexfn_packed_args_libGL_glVertexArrayMultiTexCoordOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLintptr> a_6 { args->a_6 };
fexldr_ptr_libGL_glVertexArrayMultiTexCoordOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayNormalOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glVertexArrayNormalOffsetEXT(fexfn_packed_args_libGL_glVertexArrayNormalOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<GLintptr> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexArrayNormalOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayParameteriAPPLE {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexArrayParameteriAPPLE(fexfn_packed_args_libGL_glVertexArrayParameteriAPPLE* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexArrayParameteriAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayRangeAPPLE {
  guest_layout<int32_t> a_0;
  guest_layout<void *> a_1;
};
static void fexfn_unpack_libGL_glVertexArrayRangeAPPLE(fexfn_packed_args_libGL_glVertexArrayRangeAPPLE* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexArrayRangeAPPLE(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayRangeNV {
  guest_layout<int32_t> a_0;
  guest_layout<const void *> a_1;
};
static void fexfn_unpack_libGL_glVertexArrayRangeNV(fexfn_packed_args_libGL_glVertexArrayRangeNV* args) {
  host_layout<GLsizei> a_0 { args->a_0 };
  host_layout<const void *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexArrayRangeNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArraySecondaryColorOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int64_t> a_5;
};
static void fexfn_unpack_libGL_glVertexArraySecondaryColorOffsetEXT(fexfn_packed_args_libGL_glVertexArraySecondaryColorOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLintptr> a_5 { args->a_5 };
fexldr_ptr_libGL_glVertexArraySecondaryColorOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayTexCoordOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int64_t> a_5;
};
static void fexfn_unpack_libGL_glVertexArrayTexCoordOffsetEXT(fexfn_packed_args_libGL_glVertexArrayTexCoordOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLintptr> a_5 { args->a_5 };
fexldr_ptr_libGL_glVertexArrayTexCoordOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexAttribBindingEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexArrayVertexAttribBindingEXT(fexfn_packed_args_libGL_glVertexArrayVertexAttribBindingEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexArrayVertexAttribBindingEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexAttribDivisorEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexArrayVertexAttribDivisorEXT(fexfn_packed_args_libGL_glVertexArrayVertexAttribDivisorEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexArrayVertexAttribDivisorEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexAttribFormatEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint8_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glVertexArrayVertexAttribFormatEXT(fexfn_packed_args_libGL_glVertexArrayVertexAttribFormatEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLboolean> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
fexldr_ptr_libGL_glVertexArrayVertexAttribFormatEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexAttribIFormatEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexArrayVertexAttribIFormatEXT(fexfn_packed_args_libGL_glVertexArrayVertexAttribIFormatEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexArrayVertexAttribIFormatEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexAttribIOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int64_t> a_6;
};
static void fexfn_unpack_libGL_glVertexArrayVertexAttribIOffsetEXT(fexfn_packed_args_libGL_glVertexArrayVertexAttribIOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLintptr> a_6 { args->a_6 };
fexldr_ptr_libGL_glVertexArrayVertexAttribIOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexAttribLFormatEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexArrayVertexAttribLFormatEXT(fexfn_packed_args_libGL_glVertexArrayVertexAttribLFormatEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexArrayVertexAttribLFormatEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexAttribLOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int64_t> a_6;
};
static void fexfn_unpack_libGL_glVertexArrayVertexAttribLOffsetEXT(fexfn_packed_args_libGL_glVertexArrayVertexAttribLOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLsizei> a_5 { args->a_5 };
  host_layout<GLintptr> a_6 { args->a_6 };
fexldr_ptr_libGL_glVertexArrayVertexAttribLOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexAttribOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint8_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int64_t> a_7;
};
static void fexfn_unpack_libGL_glVertexArrayVertexAttribOffsetEXT(fexfn_packed_args_libGL_glVertexArrayVertexAttribOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLboolean> a_5 { args->a_5 };
  host_layout<GLsizei> a_6 { args->a_6 };
  host_layout<GLintptr> a_7 { args->a_7 };
fexldr_ptr_libGL_glVertexArrayVertexAttribOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexBindingDivisorEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexArrayVertexBindingDivisorEXT(fexfn_packed_args_libGL_glVertexArrayVertexBindingDivisorEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexArrayVertexBindingDivisorEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexBuffer {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexArrayVertexBuffer(fexfn_packed_args_libGL_glVertexArrayVertexBuffer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLintptr> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexArrayVertexBuffer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexBuffers {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const uint32_t*> a_3;
  guest_layout<const int64_t*> a_4;
  guest_layout<const int32_t*> a_5;
};
static void fexfn_unpack_libGL_glVertexArrayVertexBuffers(fexfn_packed_args_libGL_glVertexArrayVertexBuffers* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
  host_layout<const long *> a_4 { args->a_4 };
  host_layout<const int *> a_5 { args->a_5 };
fexldr_ptr_libGL_glVertexArrayVertexBuffers(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexArrayVertexOffsetEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int64_t> a_5;
};
static void fexfn_unpack_libGL_glVertexArrayVertexOffsetEXT(fexfn_packed_args_libGL_glVertexArrayVertexOffsetEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLintptr> a_5 { args->a_5 };
fexldr_ptr_libGL_glVertexArrayVertexOffsetEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1dARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1dARB(fexfn_packed_args_libGL_glVertexAttrib1dARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1dARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1d(fexfn_packed_args_libGL_glVertexAttrib1d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1d(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1dNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1dNV(fexfn_packed_args_libGL_glVertexAttrib1dNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1dNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1dvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1dvARB(fexfn_packed_args_libGL_glVertexAttrib1dvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1dvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1dv(fexfn_packed_args_libGL_glVertexAttrib1dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1dvNV(fexfn_packed_args_libGL_glVertexAttrib1dvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1dvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1fARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1fARB(fexfn_packed_args_libGL_glVertexAttrib1fARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1fARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1f {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1f(fexfn_packed_args_libGL_glVertexAttrib1f* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1f(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1fNV(fexfn_packed_args_libGL_glVertexAttrib1fNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1fNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1fvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1fvARB(fexfn_packed_args_libGL_glVertexAttrib1fvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1fvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1fv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1fv(fexfn_packed_args_libGL_glVertexAttrib1fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1fv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1fvNV(fexfn_packed_args_libGL_glVertexAttrib1fvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1fvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1hNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint16_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1hNV(fexfn_packed_args_libGL_glVertexAttrib1hNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1hNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1hvNV(fexfn_packed_args_libGL_glVertexAttrib1hvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1hvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1sARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1sARB(fexfn_packed_args_libGL_glVertexAttrib1sARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1sARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1s {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1s(fexfn_packed_args_libGL_glVertexAttrib1s* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1s(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1sNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1sNV(fexfn_packed_args_libGL_glVertexAttrib1sNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1sNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1svARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1svARB(fexfn_packed_args_libGL_glVertexAttrib1svARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1svARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1sv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1sv(fexfn_packed_args_libGL_glVertexAttrib1sv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1sv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib1svNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib1svNV(fexfn_packed_args_libGL_glVertexAttrib1svNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib1svNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2dARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glVertexAttrib2dARB(fexfn_packed_args_libGL_glVertexAttrib2dARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttrib2dARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glVertexAttrib2d(fexfn_packed_args_libGL_glVertexAttrib2d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttrib2d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2dNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glVertexAttrib2dNV(fexfn_packed_args_libGL_glVertexAttrib2dNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttrib2dNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2dvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib2dvARB(fexfn_packed_args_libGL_glVertexAttrib2dvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib2dvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib2dv(fexfn_packed_args_libGL_glVertexAttrib2dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib2dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib2dvNV(fexfn_packed_args_libGL_glVertexAttrib2dvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib2dvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2fARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glVertexAttrib2fARB(fexfn_packed_args_libGL_glVertexAttrib2fARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttrib2fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2f {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glVertexAttrib2f(fexfn_packed_args_libGL_glVertexAttrib2f* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttrib2f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glVertexAttrib2fNV(fexfn_packed_args_libGL_glVertexAttrib2fNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttrib2fNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2fvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib2fvARB(fexfn_packed_args_libGL_glVertexAttrib2fvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib2fvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2fv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib2fv(fexfn_packed_args_libGL_glVertexAttrib2fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib2fv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib2fvNV(fexfn_packed_args_libGL_glVertexAttrib2fvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib2fvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2hNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttrib2hNV(fexfn_packed_args_libGL_glVertexAttrib2hNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttrib2hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib2hvNV(fexfn_packed_args_libGL_glVertexAttrib2hvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib2hvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2sARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttrib2sARB(fexfn_packed_args_libGL_glVertexAttrib2sARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttrib2sARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2s {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttrib2s(fexfn_packed_args_libGL_glVertexAttrib2s* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttrib2s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2sNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttrib2sNV(fexfn_packed_args_libGL_glVertexAttrib2sNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttrib2sNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2svARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib2svARB(fexfn_packed_args_libGL_glVertexAttrib2svARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib2svARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2sv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib2sv(fexfn_packed_args_libGL_glVertexAttrib2sv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib2sv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib2svNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib2svNV(fexfn_packed_args_libGL_glVertexAttrib2svNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib2svNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3dARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glVertexAttrib3dARB(fexfn_packed_args_libGL_glVertexAttrib3dARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttrib3dARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glVertexAttrib3d(fexfn_packed_args_libGL_glVertexAttrib3d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttrib3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3dNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glVertexAttrib3dNV(fexfn_packed_args_libGL_glVertexAttrib3dNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttrib3dNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3dvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib3dvARB(fexfn_packed_args_libGL_glVertexAttrib3dvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib3dvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib3dv(fexfn_packed_args_libGL_glVertexAttrib3dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib3dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib3dvNV(fexfn_packed_args_libGL_glVertexAttrib3dvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib3dvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3fARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glVertexAttrib3fARB(fexfn_packed_args_libGL_glVertexAttrib3fARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttrib3fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3f {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glVertexAttrib3f(fexfn_packed_args_libGL_glVertexAttrib3f* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttrib3f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glVertexAttrib3fNV(fexfn_packed_args_libGL_glVertexAttrib3fNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttrib3fNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3fvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib3fvARB(fexfn_packed_args_libGL_glVertexAttrib3fvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib3fvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3fv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib3fv(fexfn_packed_args_libGL_glVertexAttrib3fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib3fv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib3fvNV(fexfn_packed_args_libGL_glVertexAttrib3fvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib3fvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3hNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
  guest_layout<uint16_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttrib3hNV(fexfn_packed_args_libGL_glVertexAttrib3hNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
  host_layout<GLhalfNV> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttrib3hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib3hvNV(fexfn_packed_args_libGL_glVertexAttrib3hvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib3hvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3sARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttrib3sARB(fexfn_packed_args_libGL_glVertexAttrib3sARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttrib3sARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3s {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttrib3s(fexfn_packed_args_libGL_glVertexAttrib3s* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttrib3s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3sNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttrib3sNV(fexfn_packed_args_libGL_glVertexAttrib3sNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttrib3sNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3svARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib3svARB(fexfn_packed_args_libGL_glVertexAttrib3svARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib3svARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3sv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib3sv(fexfn_packed_args_libGL_glVertexAttrib3sv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib3sv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib3svNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib3svNV(fexfn_packed_args_libGL_glVertexAttrib3svNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib3svNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4bvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4bvARB(fexfn_packed_args_libGL_glVertexAttrib4bvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4bvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4bv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4bv(fexfn_packed_args_libGL_glVertexAttrib4bv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4bv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4dARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4dARB(fexfn_packed_args_libGL_glVertexAttrib4dARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4dARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4d(fexfn_packed_args_libGL_glVertexAttrib4d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4dNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4dNV(fexfn_packed_args_libGL_glVertexAttrib4dNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4dNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4dvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4dvARB(fexfn_packed_args_libGL_glVertexAttrib4dvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4dvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4dv(fexfn_packed_args_libGL_glVertexAttrib4dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4dvNV(fexfn_packed_args_libGL_glVertexAttrib4dvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4dvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4fARB {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4fARB(fexfn_packed_args_libGL_glVertexAttrib4fARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4f {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4f(fexfn_packed_args_libGL_glVertexAttrib4f* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4f(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4fNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4fNV(fexfn_packed_args_libGL_glVertexAttrib4fNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4fNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4fvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4fvARB(fexfn_packed_args_libGL_glVertexAttrib4fvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4fvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4fv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4fv(fexfn_packed_args_libGL_glVertexAttrib4fv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4fv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4fvNV(fexfn_packed_args_libGL_glVertexAttrib4fvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4fvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4hNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint16_t> a_1;
  guest_layout<uint16_t> a_2;
  guest_layout<uint16_t> a_3;
  guest_layout<uint16_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4hNV(fexfn_packed_args_libGL_glVertexAttrib4hNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLhalfNV> a_1 { args->a_1 };
  host_layout<GLhalfNV> a_2 { args->a_2 };
  host_layout<GLhalfNV> a_3 { args->a_3 };
  host_layout<GLhalfNV> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4hNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4hvNV(fexfn_packed_args_libGL_glVertexAttrib4hvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4hvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4ivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4ivARB(fexfn_packed_args_libGL_glVertexAttrib4ivARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4ivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4iv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4iv(fexfn_packed_args_libGL_glVertexAttrib4iv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4iv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4NbvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4NbvARB(fexfn_packed_args_libGL_glVertexAttrib4NbvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4NbvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4Nbv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4Nbv(fexfn_packed_args_libGL_glVertexAttrib4Nbv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4Nbv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4NivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4NivARB(fexfn_packed_args_libGL_glVertexAttrib4NivARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4NivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4Niv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4Niv(fexfn_packed_args_libGL_glVertexAttrib4Niv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4Niv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4NsvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4NsvARB(fexfn_packed_args_libGL_glVertexAttrib4NsvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4NsvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4Nsv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4Nsv(fexfn_packed_args_libGL_glVertexAttrib4Nsv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4Nsv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4NubARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<uint8_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4NubARB(fexfn_packed_args_libGL_glVertexAttrib4NubARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLubyte> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
  host_layout<GLubyte> a_3 { args->a_3 };
  host_layout<GLubyte> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4NubARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4Nub {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<uint8_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4Nub(fexfn_packed_args_libGL_glVertexAttrib4Nub* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLubyte> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
  host_layout<GLubyte> a_3 { args->a_3 };
  host_layout<GLubyte> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4Nub(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4NubvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4NubvARB(fexfn_packed_args_libGL_glVertexAttrib4NubvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4NubvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4Nubv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4Nubv(fexfn_packed_args_libGL_glVertexAttrib4Nubv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4Nubv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4NuivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4NuivARB(fexfn_packed_args_libGL_glVertexAttrib4NuivARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4NuivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4Nuiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4Nuiv(fexfn_packed_args_libGL_glVertexAttrib4Nuiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4Nuiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4NusvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4NusvARB(fexfn_packed_args_libGL_glVertexAttrib4NusvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4NusvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4Nusv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4Nusv(fexfn_packed_args_libGL_glVertexAttrib4Nusv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4Nusv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4sARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
  guest_layout<int16_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4sARB(fexfn_packed_args_libGL_glVertexAttrib4sARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
  host_layout<GLshort> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4sARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4s {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
  guest_layout<int16_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4s(fexfn_packed_args_libGL_glVertexAttrib4s* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
  host_layout<GLshort> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4s(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4sNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
  guest_layout<int16_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4sNV(fexfn_packed_args_libGL_glVertexAttrib4sNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
  host_layout<GLshort> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4sNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4svARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4svARB(fexfn_packed_args_libGL_glVertexAttrib4svARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4svARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4sv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4sv(fexfn_packed_args_libGL_glVertexAttrib4sv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4sv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4svNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4svNV(fexfn_packed_args_libGL_glVertexAttrib4svNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4svNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4ubNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint8_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<uint8_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttrib4ubNV(fexfn_packed_args_libGL_glVertexAttrib4ubNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLubyte> a_1 { args->a_1 };
  host_layout<GLubyte> a_2 { args->a_2 };
  host_layout<GLubyte> a_3 { args->a_3 };
  host_layout<GLubyte> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttrib4ubNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4ubvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4ubvARB(fexfn_packed_args_libGL_glVertexAttrib4ubvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4ubvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4ubv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4ubv(fexfn_packed_args_libGL_glVertexAttrib4ubv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4ubv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4ubvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4ubvNV(fexfn_packed_args_libGL_glVertexAttrib4ubvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4ubvNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4uivARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4uivARB(fexfn_packed_args_libGL_glVertexAttrib4uivARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4uivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4uiv(fexfn_packed_args_libGL_glVertexAttrib4uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4usvARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4usvARB(fexfn_packed_args_libGL_glVertexAttrib4usvARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4usvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttrib4usv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttrib4usv(fexfn_packed_args_libGL_glVertexAttrib4usv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttrib4usv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribArrayObjectATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<uint32_t> a_5;
  guest_layout<uint32_t> a_6;
};
static void fexfn_unpack_libGL_glVertexAttribArrayObjectATI(fexfn_packed_args_libGL_glVertexAttribArrayObjectATI* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<GLuint> a_5 { args->a_5 };
  host_layout<GLuint> a_6 { args->a_6 };
fexldr_ptr_libGL_glVertexAttribArrayObjectATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribBinding {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribBinding(fexfn_packed_args_libGL_glVertexAttribBinding* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribBinding(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribDivisorARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribDivisorARB(fexfn_packed_args_libGL_glVertexAttribDivisorARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribDivisorARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribDivisor {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribDivisor(fexfn_packed_args_libGL_glVertexAttribDivisor* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribDivisor(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribFormat {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribFormat(fexfn_packed_args_libGL_glVertexAttribFormat* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribFormat(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribFormatNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribFormatNV(fexfn_packed_args_libGL_glVertexAttribFormatNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribFormatNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI1iEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI1iEXT(fexfn_packed_args_libGL_glVertexAttribI1iEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI1iEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI1i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI1i(fexfn_packed_args_libGL_glVertexAttribI1i* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI1i(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI1ivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI1ivEXT(fexfn_packed_args_libGL_glVertexAttribI1ivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI1ivEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI1iv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI1iv(fexfn_packed_args_libGL_glVertexAttribI1iv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI1iv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI1uiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI1uiEXT(fexfn_packed_args_libGL_glVertexAttribI1uiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI1uiEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI1ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI1ui(fexfn_packed_args_libGL_glVertexAttribI1ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI1ui(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI1uivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI1uivEXT(fexfn_packed_args_libGL_glVertexAttribI1uivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI1uivEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI1uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI1uiv(fexfn_packed_args_libGL_glVertexAttribI1uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI1uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI2iEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribI2iEXT(fexfn_packed_args_libGL_glVertexAttribI2iEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribI2iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI2i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribI2i(fexfn_packed_args_libGL_glVertexAttribI2i* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribI2i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI2ivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI2ivEXT(fexfn_packed_args_libGL_glVertexAttribI2ivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI2ivEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI2iv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI2iv(fexfn_packed_args_libGL_glVertexAttribI2iv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI2iv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI2uiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribI2uiEXT(fexfn_packed_args_libGL_glVertexAttribI2uiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribI2uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI2ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribI2ui(fexfn_packed_args_libGL_glVertexAttribI2ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribI2ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI2uivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI2uivEXT(fexfn_packed_args_libGL_glVertexAttribI2uivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI2uivEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI2uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI2uiv(fexfn_packed_args_libGL_glVertexAttribI2uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI2uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI3iEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribI3iEXT(fexfn_packed_args_libGL_glVertexAttribI3iEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribI3iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI3i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribI3i(fexfn_packed_args_libGL_glVertexAttribI3i* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribI3i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI3ivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI3ivEXT(fexfn_packed_args_libGL_glVertexAttribI3ivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI3ivEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI3iv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI3iv(fexfn_packed_args_libGL_glVertexAttribI3iv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI3iv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI3uiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribI3uiEXT(fexfn_packed_args_libGL_glVertexAttribI3uiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribI3uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribI3ui(fexfn_packed_args_libGL_glVertexAttribI3ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribI3ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI3uivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI3uivEXT(fexfn_packed_args_libGL_glVertexAttribI3uivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI3uivEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI3uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI3uiv(fexfn_packed_args_libGL_glVertexAttribI3uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI3uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4bvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4bvEXT(fexfn_packed_args_libGL_glVertexAttribI4bvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4bvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4bv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4bv(fexfn_packed_args_libGL_glVertexAttribI4bv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4bv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4iEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribI4iEXT(fexfn_packed_args_libGL_glVertexAttribI4iEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribI4iEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4i {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribI4i(fexfn_packed_args_libGL_glVertexAttribI4i* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribI4i(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4ivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4ivEXT(fexfn_packed_args_libGL_glVertexAttribI4ivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4ivEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4iv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4iv(fexfn_packed_args_libGL_glVertexAttribI4iv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4iv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4svEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4svEXT(fexfn_packed_args_libGL_glVertexAttribI4svEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4svEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4sv {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4sv(fexfn_packed_args_libGL_glVertexAttribI4sv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4sv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4ubvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4ubvEXT(fexfn_packed_args_libGL_glVertexAttribI4ubvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4ubvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4ubv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4ubv(fexfn_packed_args_libGL_glVertexAttribI4ubv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4ubv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4uiEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribI4uiEXT(fexfn_packed_args_libGL_glVertexAttribI4uiEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribI4uiEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribI4ui(fexfn_packed_args_libGL_glVertexAttribI4ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribI4ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4uivEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4uivEXT(fexfn_packed_args_libGL_glVertexAttribI4uivEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4uivEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4uiv(fexfn_packed_args_libGL_glVertexAttribI4uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4uiv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4usvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4usvEXT(fexfn_packed_args_libGL_glVertexAttribI4usvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4usvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribI4usv {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribI4usv(fexfn_packed_args_libGL_glVertexAttribI4usv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribI4usv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribIFormat {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribIFormat(fexfn_packed_args_libGL_glVertexAttribIFormat* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribIFormat(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribIFormatNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribIFormatNV(fexfn_packed_args_libGL_glVertexAttribIFormatNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribIFormatNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribIPointerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribIPointerEXT(fexfn_packed_args_libGL_glVertexAttribIPointerEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribIPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribIPointer {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribIPointer(fexfn_packed_args_libGL_glVertexAttribIPointer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribIPointer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL1dEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL1dEXT(fexfn_packed_args_libGL_glVertexAttribL1dEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL1dEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL1d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL1d(fexfn_packed_args_libGL_glVertexAttribL1d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL1d(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL1dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL1dvEXT(fexfn_packed_args_libGL_glVertexAttribL1dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL1dvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL1dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL1dv(fexfn_packed_args_libGL_glVertexAttribL1dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL1dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL1i64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL1i64NV(fexfn_packed_args_libGL_glVertexAttribL1i64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint64EXT> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL1i64NV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL1i64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int64_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL1i64vNV(fexfn_packed_args_libGL_glVertexAttribL1i64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL1i64vNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL1ui64ARB {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL1ui64ARB(fexfn_packed_args_libGL_glVertexAttribL1ui64ARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL1ui64ARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL1ui64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL1ui64NV(fexfn_packed_args_libGL_glVertexAttribL1ui64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL1ui64NV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL1ui64vARB {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint64_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL1ui64vARB(fexfn_packed_args_libGL_glVertexAttribL1ui64vARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL1ui64vARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL1ui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint64_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL1ui64vNV(fexfn_packed_args_libGL_glVertexAttribL1ui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL1ui64vNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL2dEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribL2dEXT(fexfn_packed_args_libGL_glVertexAttribL2dEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribL2dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL2d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribL2d(fexfn_packed_args_libGL_glVertexAttribL2d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribL2d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL2dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL2dvEXT(fexfn_packed_args_libGL_glVertexAttribL2dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL2dvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL2dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL2dv(fexfn_packed_args_libGL_glVertexAttribL2dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL2dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL2i64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribL2i64NV(fexfn_packed_args_libGL_glVertexAttribL2i64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint64EXT> a_1 { args->a_1 };
  host_layout<GLint64EXT> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribL2i64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL2i64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int64_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL2i64vNV(fexfn_packed_args_libGL_glVertexAttribL2i64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL2i64vNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL2ui64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribL2ui64NV(fexfn_packed_args_libGL_glVertexAttribL2ui64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribL2ui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL2ui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint64_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL2ui64vNV(fexfn_packed_args_libGL_glVertexAttribL2ui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL2ui64vNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL3dEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribL3dEXT(fexfn_packed_args_libGL_glVertexAttribL3dEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribL3dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL3d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribL3d(fexfn_packed_args_libGL_glVertexAttribL3d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribL3d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL3dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL3dvEXT(fexfn_packed_args_libGL_glVertexAttribL3dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL3dvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL3dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL3dv(fexfn_packed_args_libGL_glVertexAttribL3dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL3dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL3i64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribL3i64NV(fexfn_packed_args_libGL_glVertexAttribL3i64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint64EXT> a_1 { args->a_1 };
  host_layout<GLint64EXT> a_2 { args->a_2 };
  host_layout<GLint64EXT> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribL3i64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL3i64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int64_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL3i64vNV(fexfn_packed_args_libGL_glVertexAttribL3i64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL3i64vNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL3ui64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribL3ui64NV(fexfn_packed_args_libGL_glVertexAttribL3ui64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
  host_layout<GLuint64EXT> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribL3ui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL3ui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint64_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL3ui64vNV(fexfn_packed_args_libGL_glVertexAttribL3ui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL3ui64vNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL4dEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribL4dEXT(fexfn_packed_args_libGL_glVertexAttribL4dEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribL4dEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL4d {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribL4d(fexfn_packed_args_libGL_glVertexAttribL4d* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribL4d(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL4dvEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL4dvEXT(fexfn_packed_args_libGL_glVertexAttribL4dvEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL4dvEXT(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL4dv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL4dv(fexfn_packed_args_libGL_glVertexAttribL4dv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL4dv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL4i64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<int64_t> a_1;
  guest_layout<int64_t> a_2;
  guest_layout<int64_t> a_3;
  guest_layout<int64_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribL4i64NV(fexfn_packed_args_libGL_glVertexAttribL4i64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint64EXT> a_1 { args->a_1 };
  host_layout<GLint64EXT> a_2 { args->a_2 };
  host_layout<GLint64EXT> a_3 { args->a_3 };
  host_layout<GLint64EXT> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribL4i64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL4i64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const int64_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL4i64vNV(fexfn_packed_args_libGL_glVertexAttribL4i64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL4i64vNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL4ui64NV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
  guest_layout<uint64_t> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribL4ui64NV(fexfn_packed_args_libGL_glVertexAttribL4ui64NV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint64EXT> a_1 { args->a_1 };
  host_layout<GLuint64EXT> a_2 { args->a_2 };
  host_layout<GLuint64EXT> a_3 { args->a_3 };
  host_layout<GLuint64EXT> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribL4ui64NV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribL4ui64vNV {
  guest_layout<uint32_t> a_0;
  guest_layout<const uint64_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexAttribL4ui64vNV(fexfn_packed_args_libGL_glVertexAttribL4ui64vNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const unsigned long *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexAttribL4ui64vNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribLFormat {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribLFormat(fexfn_packed_args_libGL_glVertexAttribLFormat* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribLFormat(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribLFormatNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribLFormatNV(fexfn_packed_args_libGL_glVertexAttribLFormatNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribLFormatNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribLPointerEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribLPointerEXT(fexfn_packed_args_libGL_glVertexAttribLPointerEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribLPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribLPointer {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribLPointer(fexfn_packed_args_libGL_glVertexAttribLPointer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribLPointer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribP1ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribP1ui(fexfn_packed_args_libGL_glVertexAttribP1ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribP1ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribP1uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribP1uiv(fexfn_packed_args_libGL_glVertexAttribP1uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribP1uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribP2ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribP2ui(fexfn_packed_args_libGL_glVertexAttribP2ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribP2ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribP2uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribP2uiv(fexfn_packed_args_libGL_glVertexAttribP2uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribP2uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribP3ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribP3ui(fexfn_packed_args_libGL_glVertexAttribP3ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribP3ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribP3uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribP3uiv(fexfn_packed_args_libGL_glVertexAttribP3uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribP3uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribP4ui {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<uint32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribP4ui(fexfn_packed_args_libGL_glVertexAttribP4ui* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribP4ui(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribP4uiv {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint8_t> a_2;
  guest_layout<const uint32_t*> a_3;
};
static void fexfn_unpack_libGL_glVertexAttribP4uiv(fexfn_packed_args_libGL_glVertexAttribP4uiv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLboolean> a_2 { args->a_2 };
  host_layout<const unsigned int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexAttribP4uiv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribParameteriAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribParameteriAMD(fexfn_packed_args_libGL_glVertexAttribParameteriAMD* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribParameteriAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribPointerARB {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<const void *> a_5;
};
static void fexfn_unpack_libGL_glVertexAttribPointerARB(fexfn_packed_args_libGL_glVertexAttribPointerARB* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glVertexAttribPointerARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribPointer {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint8_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<const void *> a_5;
};
static void fexfn_unpack_libGL_glVertexAttribPointer(fexfn_packed_args_libGL_glVertexAttribPointer* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLboolean> a_3 { args->a_3 };
  host_layout<GLsizei> a_4 { args->a_4 };
  host_layout<const void *> a_5 { args->a_5 };
fexldr_ptr_libGL_glVertexAttribPointer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribPointerNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glVertexAttribPointerNV(fexfn_packed_args_libGL_glVertexAttribPointerNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexAttribPointerNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs1dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs1dvNV(fexfn_packed_args_libGL_glVertexAttribs1dvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs1dvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs1fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs1fvNV(fexfn_packed_args_libGL_glVertexAttribs1fvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs1fvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs1hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint16_t*> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs1hvNV(fexfn_packed_args_libGL_glVertexAttribs1hvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs1hvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs1svNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int16_t*> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs1svNV(fexfn_packed_args_libGL_glVertexAttribs1svNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs1svNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs2dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs2dvNV(fexfn_packed_args_libGL_glVertexAttribs2dvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs2dvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs2fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs2fvNV(fexfn_packed_args_libGL_glVertexAttribs2fvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs2fvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs2hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint16_t*> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs2hvNV(fexfn_packed_args_libGL_glVertexAttribs2hvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs2hvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs2svNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int16_t*> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs2svNV(fexfn_packed_args_libGL_glVertexAttribs2svNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs2svNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs3dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs3dvNV(fexfn_packed_args_libGL_glVertexAttribs3dvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs3dvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs3fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs3fvNV(fexfn_packed_args_libGL_glVertexAttribs3fvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs3fvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs3hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint16_t*> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs3hvNV(fexfn_packed_args_libGL_glVertexAttribs3hvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs3hvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs3svNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int16_t*> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs3svNV(fexfn_packed_args_libGL_glVertexAttribs3svNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs3svNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs4dvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLdouble *> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs4dvNV(fexfn_packed_args_libGL_glVertexAttribs4dvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const double *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs4dvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs4fvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs4fvNV(fexfn_packed_args_libGL_glVertexAttribs4fvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs4fvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs4hvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint16_t*> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs4hvNV(fexfn_packed_args_libGL_glVertexAttribs4hvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs4hvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs4svNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int16_t*> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs4svNV(fexfn_packed_args_libGL_glVertexAttribs4svNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const short *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs4svNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexAttribs4ubvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint8_t*> a_2;
};
static void fexfn_unpack_libGL_glVertexAttribs4ubvNV(fexfn_packed_args_libGL_glVertexAttribs4ubvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned char *> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexAttribs4ubvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexBindingDivisor {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexBindingDivisor(fexfn_packed_args_libGL_glVertexBindingDivisor* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexBindingDivisor(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexBlendARB {
  guest_layout<int32_t> a_0;
};
static void fexfn_unpack_libGL_glVertexBlendARB(fexfn_packed_args_libGL_glVertexBlendARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertexBlendARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexBlendEnvfATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glVertexBlendEnvfATI(fexfn_packed_args_libGL_glVertexBlendEnvfATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexBlendEnvfATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexBlendEnviATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexBlendEnviATI(fexfn_packed_args_libGL_glVertexBlendEnviATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexBlendEnviATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexFormatNV {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexFormatNV(fexfn_packed_args_libGL_glVertexFormatNV* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexFormatNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexPointerEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<const void *> a_4;
};
static void fexfn_unpack_libGL_glVertexPointerEXT(fexfn_packed_args_libGL_glVertexPointerEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
  host_layout<const void *> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexPointer {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLvoid *> a_3;
};
static void fexfn_unpack_libGL_glVertexPointer(fexfn_packed_args_libGL_glVertexPointer* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexPointer(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexPointerListIBM {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void **> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexPointerListIBM(fexfn_packed_args_libGL_glVertexPointerListIBM* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<const void **> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexPointerListIBM(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexPointervINTEL {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const void **> a_2;
};
static void fexfn_unpack_libGL_glVertexPointervINTEL(fexfn_packed_args_libGL_glVertexPointervINTEL* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<const void **> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexPointervINTEL(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream1dATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glVertexStream1dATI(fexfn_packed_args_libGL_glVertexStream1dATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream1dATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream1dvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexStream1dvATI(fexfn_packed_args_libGL_glVertexStream1dvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream1dvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream1fATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glVertexStream1fATI(fexfn_packed_args_libGL_glVertexStream1fATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream1fATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream1fvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexStream1fvATI(fexfn_packed_args_libGL_glVertexStream1fvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream1fvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream1iATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glVertexStream1iATI(fexfn_packed_args_libGL_glVertexStream1iATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream1iATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream1ivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexStream1ivATI(fexfn_packed_args_libGL_glVertexStream1ivATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream1ivATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream1sATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glVertexStream1sATI(fexfn_packed_args_libGL_glVertexStream1sATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream1sATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream1svATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexStream1svATI(fexfn_packed_args_libGL_glVertexStream1svATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream1svATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream2dATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glVertexStream2dATI(fexfn_packed_args_libGL_glVertexStream2dATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexStream2dATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream2dvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexStream2dvATI(fexfn_packed_args_libGL_glVertexStream2dvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream2dvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream2fATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glVertexStream2fATI(fexfn_packed_args_libGL_glVertexStream2fATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexStream2fATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream2fvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexStream2fvATI(fexfn_packed_args_libGL_glVertexStream2fvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream2fvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream2iATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glVertexStream2iATI(fexfn_packed_args_libGL_glVertexStream2iATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexStream2iATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream2ivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexStream2ivATI(fexfn_packed_args_libGL_glVertexStream2ivATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream2ivATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream2sATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glVertexStream2sATI(fexfn_packed_args_libGL_glVertexStream2sATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glVertexStream2sATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream2svATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexStream2svATI(fexfn_packed_args_libGL_glVertexStream2svATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream2svATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream3dATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glVertexStream3dATI(fexfn_packed_args_libGL_glVertexStream3dATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexStream3dATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream3dvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexStream3dvATI(fexfn_packed_args_libGL_glVertexStream3dvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream3dvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream3fATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glVertexStream3fATI(fexfn_packed_args_libGL_glVertexStream3fATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexStream3fATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream3fvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexStream3fvATI(fexfn_packed_args_libGL_glVertexStream3fvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream3fvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream3iATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glVertexStream3iATI(fexfn_packed_args_libGL_glVertexStream3iATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexStream3iATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream3ivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexStream3ivATI(fexfn_packed_args_libGL_glVertexStream3ivATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream3ivATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream3sATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glVertexStream3sATI(fexfn_packed_args_libGL_glVertexStream3sATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexStream3sATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream3svATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexStream3svATI(fexfn_packed_args_libGL_glVertexStream3svATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream3svATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream4dATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
  guest_layout<GLdouble> a_4;
};
static void fexfn_unpack_libGL_glVertexStream4dATI(fexfn_packed_args_libGL_glVertexStream4dATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
  host_layout<GLdouble> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexStream4dATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream4dvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glVertexStream4dvATI(fexfn_packed_args_libGL_glVertexStream4dvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream4dvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream4fATI {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glVertexStream4fATI(fexfn_packed_args_libGL_glVertexStream4fATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexStream4fATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream4fvATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glVertexStream4fvATI(fexfn_packed_args_libGL_glVertexStream4fvATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream4fvATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream4iATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
};
static void fexfn_unpack_libGL_glVertexStream4iATI(fexfn_packed_args_libGL_glVertexStream4iATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexStream4iATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream4ivATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexStream4ivATI(fexfn_packed_args_libGL_glVertexStream4ivATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream4ivATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream4sATI {
  guest_layout<uint32_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
  guest_layout<int16_t> a_4;
};
static void fexfn_unpack_libGL_glVertexStream4sATI(fexfn_packed_args_libGL_glVertexStream4sATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
  host_layout<GLshort> a_4 { args->a_4 };
fexldr_ptr_libGL_glVertexStream4sATI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexStream4svATI {
  guest_layout<uint32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glVertexStream4svATI(fexfn_packed_args_libGL_glVertexStream4svATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glVertexStream4svATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexWeightfEXT {
  guest_layout<GLfloat> a_0;
};
static void fexfn_unpack_libGL_glVertexWeightfEXT(fexfn_packed_args_libGL_glVertexWeightfEXT* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertexWeightfEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexWeightfvEXT {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glVertexWeightfvEXT(fexfn_packed_args_libGL_glVertexWeightfvEXT* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertexWeightfvEXT(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexWeighthNV {
  guest_layout<uint16_t> a_0;
};
static void fexfn_unpack_libGL_glVertexWeighthNV(fexfn_packed_args_libGL_glVertexWeighthNV* args) {
  host_layout<GLhalfNV> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertexWeighthNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexWeighthvNV {
  guest_layout<const uint16_t*> a_0;
};
static void fexfn_unpack_libGL_glVertexWeighthvNV(fexfn_packed_args_libGL_glVertexWeighthvNV* args) {
  host_layout<const unsigned short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glVertexWeighthvNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVertexWeightPointerEXT {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glVertexWeightPointerEXT(fexfn_packed_args_libGL_glVertexWeightPointerEXT* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glVertexWeightPointerEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVideoCaptureStreamParameterdvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLdouble *> a_3;
};
static void fexfn_unpack_libGL_glVideoCaptureStreamParameterdvNV(fexfn_packed_args_libGL_glVideoCaptureStreamParameterdvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const double *> a_3 { args->a_3 };
fexldr_ptr_libGL_glVideoCaptureStreamParameterdvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVideoCaptureStreamParameterfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glVideoCaptureStreamParameterfvNV(fexfn_packed_args_libGL_glVideoCaptureStreamParameterfvNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glVideoCaptureStreamParameterfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glVideoCaptureStreamParameterivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const int32_t*> a_3;
};
static void fexfn_unpack_libGL_glVideoCaptureStreamParameterivNV(fexfn_packed_args_libGL_glVideoCaptureStreamParameterivNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
fexldr_ptr_libGL_glVideoCaptureStreamParameterivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glViewportArrayv {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glViewportArrayv(fexfn_packed_args_libGL_glViewportArrayv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glViewportArrayv(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glViewport {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glViewport(fexfn_packed_args_libGL_glViewport* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<GLsizei> a_3 { args->a_3 };
fexldr_ptr_libGL_glViewport(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glViewportIndexedf {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
  guest_layout<GLfloat> a_4;
};
static void fexfn_unpack_libGL_glViewportIndexedf(fexfn_packed_args_libGL_glViewportIndexedf* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
  host_layout<GLfloat> a_4 { args->a_4 };
fexldr_ptr_libGL_glViewportIndexedf(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glViewportIndexedfv {
  guest_layout<uint32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glViewportIndexedfv(fexfn_packed_args_libGL_glViewportIndexedfv* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glViewportIndexedfv(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glViewportPositionWScaleNV {
  guest_layout<uint32_t> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glViewportPositionWScaleNV(fexfn_packed_args_libGL_glViewportPositionWScaleNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glViewportPositionWScaleNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glViewportSwizzleNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
};
static void fexfn_unpack_libGL_glViewportSwizzleNV(fexfn_packed_args_libGL_glViewportSwizzleNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
fexldr_ptr_libGL_glViewportSwizzleNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWaitSemaphoreEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<const uint32_t*> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<const uint32_t*> a_4;
  guest_layout<const uint32_t*> a_5;
};
static void fexfn_unpack_libGL_glWaitSemaphoreEXT(fexfn_packed_args_libGL_glWaitSemaphoreEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<const unsigned int *> a_4 { args->a_4 };
  host_layout<const unsigned int *> a_5 { args->a_5 };
fexldr_ptr_libGL_glWaitSemaphoreEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWaitSemaphoreui64NVX {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
  guest_layout<const uint64_t*> a_3;
};
static void fexfn_unpack_libGL_glWaitSemaphoreui64NVX(fexfn_packed_args_libGL_glWaitSemaphoreui64NVX* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
  host_layout<const unsigned long *> a_3 { args->a_3 };
fexldr_ptr_libGL_glWaitSemaphoreui64NVX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWaitSync {
  guest_layout<GLsync> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glWaitSync(fexfn_packed_args_libGL_glWaitSync* args) {
  host_layout<__GLsync *> a_0 { args->a_0 };
  host_layout<GLbitfield> a_1 { args->a_1 };
  host_layout<GLuint64> a_2 { args->a_2 };
fexldr_ptr_libGL_glWaitSync(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWaitVkSemaphoreNV {
  guest_layout<uint64_t> a_0;
};
static void fexfn_unpack_libGL_glWaitVkSemaphoreNV(fexfn_packed_args_libGL_glWaitVkSemaphoreNV* args) {
  host_layout<GLuint64> a_0 { args->a_0 };
fexldr_ptr_libGL_glWaitVkSemaphoreNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWeightbvARB {
  guest_layout<int32_t> a_0;
  guest_layout<const int8_t*> a_1;
};
static void fexfn_unpack_libGL_glWeightbvARB(fexfn_packed_args_libGL_glWeightbvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const signed char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glWeightbvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWeightdvARB {
  guest_layout<int32_t> a_0;
  guest_layout<const GLdouble *> a_1;
};
static void fexfn_unpack_libGL_glWeightdvARB(fexfn_packed_args_libGL_glWeightdvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const double *> a_1 { args->a_1 };
fexldr_ptr_libGL_glWeightdvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWeightfvARB {
  guest_layout<int32_t> a_0;
  guest_layout<const GLfloat *> a_1;
};
static void fexfn_unpack_libGL_glWeightfvARB(fexfn_packed_args_libGL_glWeightfvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const float *> a_1 { args->a_1 };
fexldr_ptr_libGL_glWeightfvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWeightivARB {
  guest_layout<int32_t> a_0;
  guest_layout<const int32_t*> a_1;
};
static void fexfn_unpack_libGL_glWeightivARB(fexfn_packed_args_libGL_glWeightivARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glWeightivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWeightPathsNV {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const uint32_t*> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glWeightPathsNV(fexfn_packed_args_libGL_glWeightPathsNV* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const unsigned int *> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glWeightPathsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWeightPointerARB {
  guest_layout<int32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const void *> a_3;
};
static void fexfn_unpack_libGL_glWeightPointerARB(fexfn_packed_args_libGL_glWeightPointerARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLsizei> a_2 { args->a_2 };
  host_layout<const void *> a_3 { args->a_3 };
fexldr_ptr_libGL_glWeightPointerARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWeightsvARB {
  guest_layout<int32_t> a_0;
  guest_layout<const int16_t*> a_1;
};
static void fexfn_unpack_libGL_glWeightsvARB(fexfn_packed_args_libGL_glWeightsvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glWeightsvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWeightubvARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint8_t*> a_1;
};
static void fexfn_unpack_libGL_glWeightubvARB(fexfn_packed_args_libGL_glWeightubvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const unsigned char *> a_1 { args->a_1 };
fexldr_ptr_libGL_glWeightubvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWeightuivARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint32_t*> a_1;
};
static void fexfn_unpack_libGL_glWeightuivARB(fexfn_packed_args_libGL_glWeightuivARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const unsigned int *> a_1 { args->a_1 };
fexldr_ptr_libGL_glWeightuivARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWeightusvARB {
  guest_layout<int32_t> a_0;
  guest_layout<const uint16_t*> a_1;
};
static void fexfn_unpack_libGL_glWeightusvARB(fexfn_packed_args_libGL_glWeightusvARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<const unsigned short *> a_1 { args->a_1 };
fexldr_ptr_libGL_glWeightusvARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2dARB {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2dARB(fexfn_packed_args_libGL_glWindowPos2dARB* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2dARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2dMESA {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2dMESA(fexfn_packed_args_libGL_glWindowPos2dMESA* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2dMESA(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2dvARB {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2dvARB(fexfn_packed_args_libGL_glWindowPos2dvARB* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2dvARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2dvMESA {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2dvMESA(fexfn_packed_args_libGL_glWindowPos2dvMESA* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2dvMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2fARB {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2fARB(fexfn_packed_args_libGL_glWindowPos2fARB* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2fARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2fMESA {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2fMESA(fexfn_packed_args_libGL_glWindowPos2fMESA* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2fMESA(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2fvARB {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2fvARB(fexfn_packed_args_libGL_glWindowPos2fvARB* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2fvARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2fvMESA {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2fvMESA(fexfn_packed_args_libGL_glWindowPos2fvMESA* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2fvMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2iARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2iARB(fexfn_packed_args_libGL_glWindowPos2iARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2iARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2iMESA {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2iMESA(fexfn_packed_args_libGL_glWindowPos2iMESA* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2iMESA(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2ivARB {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2ivARB(fexfn_packed_args_libGL_glWindowPos2ivARB* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2ivARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2ivMESA {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2ivMESA(fexfn_packed_args_libGL_glWindowPos2ivMESA* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2ivMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2sARB {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2sARB(fexfn_packed_args_libGL_glWindowPos2sARB* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2sARB(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2sMESA {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
};
static void fexfn_unpack_libGL_glWindowPos2sMESA(fexfn_packed_args_libGL_glWindowPos2sMESA* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
fexldr_ptr_libGL_glWindowPos2sMESA(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2svARB {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2svARB(fexfn_packed_args_libGL_glWindowPos2svARB* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2svARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos2svMESA {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos2svMESA(fexfn_packed_args_libGL_glWindowPos2svMESA* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos2svMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3dARB {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3dARB(fexfn_packed_args_libGL_glWindowPos3dARB* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3dARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3dMESA {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3dMESA(fexfn_packed_args_libGL_glWindowPos3dMESA* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3dMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3dvARB {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3dvARB(fexfn_packed_args_libGL_glWindowPos3dvARB* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3dvARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3dvMESA {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3dvMESA(fexfn_packed_args_libGL_glWindowPos3dvMESA* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3dvMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3fARB {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3fARB(fexfn_packed_args_libGL_glWindowPos3fARB* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3fARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3fMESA {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3fMESA(fexfn_packed_args_libGL_glWindowPos3fMESA* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3fMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3fvARB {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3fvARB(fexfn_packed_args_libGL_glWindowPos3fvARB* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3fvARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3fvMESA {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3fvMESA(fexfn_packed_args_libGL_glWindowPos3fvMESA* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3fvMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3iARB {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3iARB(fexfn_packed_args_libGL_glWindowPos3iARB* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3iARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3iMESA {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3iMESA(fexfn_packed_args_libGL_glWindowPos3iMESA* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3iMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3ivARB {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3ivARB(fexfn_packed_args_libGL_glWindowPos3ivARB* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3ivARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3ivMESA {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3ivMESA(fexfn_packed_args_libGL_glWindowPos3ivMESA* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3ivMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3sARB {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3sARB(fexfn_packed_args_libGL_glWindowPos3sARB* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3sARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3sMESA {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
};
static void fexfn_unpack_libGL_glWindowPos3sMESA(fexfn_packed_args_libGL_glWindowPos3sMESA* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowPos3sMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3svARB {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3svARB(fexfn_packed_args_libGL_glWindowPos3svARB* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3svARB(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos3svMESA {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos3svMESA(fexfn_packed_args_libGL_glWindowPos3svMESA* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos3svMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos4dMESA {
  guest_layout<GLdouble> a_0;
  guest_layout<GLdouble> a_1;
  guest_layout<GLdouble> a_2;
  guest_layout<GLdouble> a_3;
};
static void fexfn_unpack_libGL_glWindowPos4dMESA(fexfn_packed_args_libGL_glWindowPos4dMESA* args) {
  host_layout<GLdouble> a_0 { args->a_0 };
  host_layout<GLdouble> a_1 { args->a_1 };
  host_layout<GLdouble> a_2 { args->a_2 };
  host_layout<GLdouble> a_3 { args->a_3 };
fexldr_ptr_libGL_glWindowPos4dMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos4dvMESA {
  guest_layout<const GLdouble *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos4dvMESA(fexfn_packed_args_libGL_glWindowPos4dvMESA* args) {
  host_layout<const double *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos4dvMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos4fMESA {
  guest_layout<GLfloat> a_0;
  guest_layout<GLfloat> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<GLfloat> a_3;
};
static void fexfn_unpack_libGL_glWindowPos4fMESA(fexfn_packed_args_libGL_glWindowPos4fMESA* args) {
  host_layout<GLfloat> a_0 { args->a_0 };
  host_layout<GLfloat> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  host_layout<GLfloat> a_3 { args->a_3 };
fexldr_ptr_libGL_glWindowPos4fMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos4fvMESA {
  guest_layout<const GLfloat *> a_0;
};
static void fexfn_unpack_libGL_glWindowPos4fvMESA(fexfn_packed_args_libGL_glWindowPos4fvMESA* args) {
  host_layout<const float *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos4fvMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos4iMESA {
  guest_layout<int32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
};
static void fexfn_unpack_libGL_glWindowPos4iMESA(fexfn_packed_args_libGL_glWindowPos4iMESA* args) {
  host_layout<GLint> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
fexldr_ptr_libGL_glWindowPos4iMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos4ivMESA {
  guest_layout<const int32_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos4ivMESA(fexfn_packed_args_libGL_glWindowPos4ivMESA* args) {
  host_layout<const int *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos4ivMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos4sMESA {
  guest_layout<int16_t> a_0;
  guest_layout<int16_t> a_1;
  guest_layout<int16_t> a_2;
  guest_layout<int16_t> a_3;
};
static void fexfn_unpack_libGL_glWindowPos4sMESA(fexfn_packed_args_libGL_glWindowPos4sMESA* args) {
  host_layout<GLshort> a_0 { args->a_0 };
  host_layout<GLshort> a_1 { args->a_1 };
  host_layout<GLshort> a_2 { args->a_2 };
  host_layout<GLshort> a_3 { args->a_3 };
fexldr_ptr_libGL_glWindowPos4sMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowPos4svMESA {
  guest_layout<const int16_t*> a_0;
};
static void fexfn_unpack_libGL_glWindowPos4svMESA(fexfn_packed_args_libGL_glWindowPos4svMESA* args) {
  host_layout<const short *> a_0 { args->a_0 };
fexldr_ptr_libGL_glWindowPos4svMESA(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWindowRectanglesEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<const int32_t*> a_2;
};
static void fexfn_unpack_libGL_glWindowRectanglesEXT(fexfn_packed_args_libGL_glWindowRectanglesEXT* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLsizei> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glWindowRectanglesEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glWriteMaskEXT {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<uint32_t> a_5;
};
static void fexfn_unpack_libGL_glWriteMaskEXT(fexfn_packed_args_libGL_glWriteMaskEXT* args) {
  host_layout<GLuint> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLenum> a_5 { args->a_5 };
fexldr_ptr_libGL_glWriteMaskEXT(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathColorGenNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glPathColorGenNV(fexfn_packed_args_libGL_glPathColorGenNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glPathColorGenNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathTexGenNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<const GLfloat *> a_3;
};
static void fexfn_unpack_libGL_glPathTexGenNV(fexfn_packed_args_libGL_glPathTexGenNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<const float *> a_3 { args->a_3 };
fexldr_ptr_libGL_glPathTexGenNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glPathFogGenNV {
  guest_layout<uint32_t> a_0;
};
static void fexfn_unpack_libGL_glPathFogGenNV(fexfn_packed_args_libGL_glPathFogGenNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
fexldr_ptr_libGL_glPathFogGenNV(unwrap_host(a_0));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathColorGenivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetPathColorGenivNV(fexfn_packed_args_libGL_glGetPathColorGenivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetPathColorGenivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathColorGenfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetPathColorGenfvNV(fexfn_packed_args_libGL_glGetPathColorGenfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetPathColorGenfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathTexGenivNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<int32_t*> a_2;
};
static void fexfn_unpack_libGL_glGetPathTexGenivNV(fexfn_packed_args_libGL_glGetPathTexGenivNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetPathTexGenivNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glGetPathTexGenfvNV {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<GLfloat *> a_2;
};
static void fexfn_unpack_libGL_glGetPathTexGenfvNV(fexfn_packed_args_libGL_glGetPathTexGenfvNV* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
fexldr_ptr_libGL_glGetPathTexGenfvNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glBlendEquationSeparateATI {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t> a_1;
};
static void fexfn_unpack_libGL_glBlendEquationSeparateATI(fexfn_packed_args_libGL_glBlendEquationSeparateATI* args) {
  host_layout<GLenum> a_0 { args->a_0 };
  host_layout<GLenum> a_1 { args->a_1 };
fexldr_ptr_libGL_glBlendEquationSeparateATI(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXWaitX {
    char force_nonempty;
};
static void fexfn_unpack_libGL_glXWaitX(fexfn_packed_args_libGL_glXWaitX* args) {
fexldr_ptr_libGL_glXWaitX();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBindTexImageARB {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXBindTexImageARB(fexfn_packed_args_libGL_glXBindTexImageARB* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXPbuffer> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXBindTexImageARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXReleaseTexImageARB {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXReleaseTexImageARB(fexfn_packed_args_libGL_glXReleaseTexImageARB* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXPbuffer> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXReleaseTexImageARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXDrawableAttribARB {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXDrawableAttribARB(fexfn_packed_args_libGL_glXDrawableAttribARB* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXDrawableAttribARB(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetFrameUsageMESA {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<float *> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetFrameUsageMESA(fexfn_packed_args_libGL_glXGetFrameUsageMESA* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<float *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetFrameUsageMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBeginFrameTrackingMESA {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXBeginFrameTrackingMESA(fexfn_packed_args_libGL_glXBeginFrameTrackingMESA* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXBeginFrameTrackingMESA(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXEndFrameTrackingMESA {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXEndFrameTrackingMESA(fexfn_packed_args_libGL_glXEndFrameTrackingMESA* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXEndFrameTrackingMESA(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryFrameTrackingMESA {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int64_t*> a_2;
  guest_layout<int64_t*> a_3;
  guest_layout<float *> a_4;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryFrameTrackingMESA(fexfn_packed_args_libGL_glXQueryFrameTrackingMESA* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<long *> a_2 { args->a_2 };
  host_layout<long *> a_3 { args->a_3 };
  host_layout<float *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryFrameTrackingMESA(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetGPUIDsAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<uint32_t*> a_1;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glXGetGPUIDsAMD(fexfn_packed_args_libGL_glXGetGPUIDsAMD* args) {
  host_layout<unsigned int> a_0 { args->a_0 };
  host_layout<unsigned int *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<unsigned int>(fexldr_ptr_libGL_glXGetGPUIDsAMD(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetGPUInfoAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<void *> a_4;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetGPUInfoAMD(fexfn_packed_args_libGL_glXGetGPUInfoAMD* args) {
  host_layout<unsigned int> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<GLenum> a_2 { args->a_2 };
  host_layout<unsigned int> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetGPUInfoAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetContextGPUIDAMD {
  guest_layout<GLXContext> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glXGetContextGPUIDAMD(fexfn_packed_args_libGL_glXGetContextGPUIDAMD* args) {
  host_layout<__GLXcontextRec *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<unsigned int>(fexldr_ptr_libGL_glXGetContextGPUIDAMD(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateAssociatedContextAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<GLXContext> a_1;
  guest_layout<GLXContext> rv;
};
static void fexfn_unpack_libGL_glXCreateAssociatedContextAMD(fexfn_packed_args_libGL_glXCreateAssociatedContextAMD* args) {
  host_layout<unsigned int> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLXContext>(fexldr_ptr_libGL_glXCreateAssociatedContextAMD(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateAssociatedContextAttribsAMD {
  guest_layout<uint32_t> a_0;
  guest_layout<GLXContext> a_1;
  guest_layout<const int32_t*> a_2;
  guest_layout<GLXContext> rv;
};
static void fexfn_unpack_libGL_glXCreateAssociatedContextAttribsAMD(fexfn_packed_args_libGL_glXCreateAssociatedContextAttribsAMD* args) {
  host_layout<unsigned int> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
  host_layout<const int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLXContext>(fexldr_ptr_libGL_glXCreateAssociatedContextAttribsAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXDeleteAssociatedContextAMD {
  guest_layout<GLXContext> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXDeleteAssociatedContextAMD(fexfn_packed_args_libGL_glXDeleteAssociatedContextAMD* args) {
  host_layout<__GLXcontextRec *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXDeleteAssociatedContextAMD(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXMakeAssociatedContextCurrentAMD {
  guest_layout<GLXContext> a_0;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXMakeAssociatedContextCurrentAMD(fexfn_packed_args_libGL_glXMakeAssociatedContextCurrentAMD* args) {
  host_layout<__GLXcontextRec *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXMakeAssociatedContextCurrentAMD(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetCurrentAssociatedContextAMD {
  guest_layout<GLXContext> rv;
};
static void fexfn_unpack_libGL_glXGetCurrentAssociatedContextAMD(fexfn_packed_args_libGL_glXGetCurrentAssociatedContextAMD* args) {
  args->rv = to_guest(to_host_layout<GLXContext>(fexldr_ptr_libGL_glXGetCurrentAssociatedContextAMD()));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBlitContextFramebufferAMD {
  guest_layout<GLXContext> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<int32_t> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<uint32_t> a_10;
};
static void fexfn_unpack_libGL_glXBlitContextFramebufferAMD(fexfn_packed_args_libGL_glXBlitContextFramebufferAMD* args) {
  host_layout<__GLXcontextRec *> a_0 { args->a_0 };
  host_layout<GLint> a_1 { args->a_1 };
  host_layout<GLint> a_2 { args->a_2 };
  host_layout<GLint> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<GLint> a_8 { args->a_8 };
  host_layout<GLbitfield> a_9 { args->a_9 };
  host_layout<GLenum> a_10 { args->a_10 };
fexldr_ptr_libGL_glXBlitContextFramebufferAMD(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10));
}
static auto fexfn_impl_libGL_glXGetCurrentDisplayEXT() -> guest_layout<Display *>;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetCurrentDisplayEXT {
  guest_layout<Display *> rv;
};
static void fexfn_unpack_libGL_glXGetCurrentDisplayEXT(fexfn_packed_args_libGL_glXGetCurrentDisplayEXT* args) {
  args->rv = fexfn_impl_libGL_glXGetCurrentDisplayEXT();
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetAGPOffsetMESA {
  guest_layout<const void *> a_0;
  guest_layout<uint32_t> rv;
};
static void fexfn_unpack_libGL_glXGetAGPOffsetMESA(fexfn_packed_args_libGL_glXGetAGPOffsetMESA* args) {
  host_layout<const void *> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<unsigned int>(fexldr_ptr_libGL_glXGetAGPOffsetMESA(unwrap_host(a_0))));
}
static auto fexfn_impl_libGL_glXCreateGLXPixmapMESA(Display * a_0, guest_layout<XVisualInfo *> a_1, Pixmap a_2, Colormap a_3) -> GLXPixmap;
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCreateGLXPixmapMESA {
  guest_layout<Display *> a_0;
  guest_layout<XVisualInfo *> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t> a_3;
  guest_layout<uint64_t> rv;
};
static void fexfn_unpack_libGL_glXCreateGLXPixmapMESA(fexfn_packed_args_libGL_glXCreateGLXPixmapMESA* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<Pixmap> a_2 { args->a_2 };
  host_layout<Colormap> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<GLXPixmap>(fexfn_impl_libGL_glXCreateGLXPixmapMESA(unwrap_host(a_0), args->a_1, unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXReleaseBuffersMESA {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXReleaseBuffersMESA(fexfn_packed_args_libGL_glXReleaseBuffersMESA* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXReleaseBuffersMESA(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXSet3DfxModeMESA {
  guest_layout<int32_t> a_0;
  guest_layout<uint8_t> rv;
};
static void fexfn_unpack_libGL_glXSet3DfxModeMESA(fexfn_packed_args_libGL_glXSet3DfxModeMESA* args) {
  host_layout<GLint> a_0 { args->a_0 };
  args->rv = to_guest(to_host_layout<GLboolean>(fexldr_ptr_libGL_glXSet3DfxModeMESA(unwrap_host(a_0))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCopyBufferSubDataNV {
  guest_layout<Display *> a_0;
  guest_layout<GLXContext> a_1;
  guest_layout<GLXContext> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int64_t> a_5;
  guest_layout<int64_t> a_6;
  guest_layout<int64_t> a_7;
};
static void fexfn_unpack_libGL_glXCopyBufferSubDataNV(fexfn_packed_args_libGL_glXCopyBufferSubDataNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
  host_layout<__GLXcontextRec *> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLenum> a_4 { args->a_4 };
  host_layout<GLintptr> a_5 { args->a_5 };
  host_layout<GLintptr> a_6 { args->a_6 };
  host_layout<GLsizeiptr> a_7 { args->a_7 };
fexldr_ptr_libGL_glXCopyBufferSubDataNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXNamedCopyBufferSubDataNV {
  guest_layout<Display *> a_0;
  guest_layout<GLXContext> a_1;
  guest_layout<GLXContext> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<uint32_t> a_4;
  guest_layout<int64_t> a_5;
  guest_layout<int64_t> a_6;
  guest_layout<int64_t> a_7;
};
static void fexfn_unpack_libGL_glXNamedCopyBufferSubDataNV(fexfn_packed_args_libGL_glXNamedCopyBufferSubDataNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
  host_layout<__GLXcontextRec *> a_2 { args->a_2 };
  host_layout<GLuint> a_3 { args->a_3 };
  host_layout<GLuint> a_4 { args->a_4 };
  host_layout<GLintptr> a_5 { args->a_5 };
  host_layout<GLintptr> a_6 { args->a_6 };
  host_layout<GLsizeiptr> a_7 { args->a_7 };
fexldr_ptr_libGL_glXNamedCopyBufferSubDataNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCopyImageSubDataNV {
  guest_layout<Display *> a_0;
  guest_layout<GLXContext> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> a_7;
  guest_layout<GLXContext> a_8;
  guest_layout<uint32_t> a_9;
  guest_layout<uint32_t> a_10;
  guest_layout<int32_t> a_11;
  guest_layout<int32_t> a_12;
  guest_layout<int32_t> a_13;
  guest_layout<int32_t> a_14;
  guest_layout<int32_t> a_15;
  guest_layout<int32_t> a_16;
  guest_layout<int32_t> a_17;
};
static void fexfn_unpack_libGL_glXCopyImageSubDataNV(fexfn_packed_args_libGL_glXCopyImageSubDataNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<__GLXcontextRec *> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  host_layout<GLint> a_4 { args->a_4 };
  host_layout<GLint> a_5 { args->a_5 };
  host_layout<GLint> a_6 { args->a_6 };
  host_layout<GLint> a_7 { args->a_7 };
  host_layout<__GLXcontextRec *> a_8 { args->a_8 };
  host_layout<GLuint> a_9 { args->a_9 };
  host_layout<GLenum> a_10 { args->a_10 };
  host_layout<GLint> a_11 { args->a_11 };
  host_layout<GLint> a_12 { args->a_12 };
  host_layout<GLint> a_13 { args->a_13 };
  host_layout<GLint> a_14 { args->a_14 };
  host_layout<GLsizei> a_15 { args->a_15 };
  host_layout<GLsizei> a_16 { args->a_16 };
  host_layout<GLsizei> a_17 { args->a_17 };
fexldr_ptr_libGL_glXCopyImageSubDataNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6), unwrap_host(a_7), unwrap_host(a_8), unwrap_host(a_9), unwrap_host(a_10), unwrap_host(a_11), unwrap_host(a_12), unwrap_host(a_13), unwrap_host(a_14), unwrap_host(a_15), unwrap_host(a_16), unwrap_host(a_17));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXDelayBeforeSwapNV {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<GLfloat> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXDelayBeforeSwapNV(fexfn_packed_args_libGL_glXDelayBeforeSwapNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<GLfloat> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXDelayBeforeSwapNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXEnumerateVideoDevicesNV {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint32_t*> rv;
};
static void fexfn_unpack_libGL_glXEnumerateVideoDevicesNV(fexfn_packed_args_libGL_glXEnumerateVideoDevicesNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<unsigned int *>(fexldr_ptr_libGL_glXEnumerateVideoDevicesNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBindVideoDeviceNV {
  guest_layout<Display *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<const int32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXBindVideoDeviceNV(fexfn_packed_args_libGL_glXBindVideoDeviceNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<unsigned int> a_1 { args->a_1 };
  host_layout<unsigned int> a_2 { args->a_2 };
  host_layout<const int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXBindVideoDeviceNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXJoinSwapGroupNV {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXJoinSwapGroupNV(fexfn_packed_args_libGL_glXJoinSwapGroupNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXJoinSwapGroupNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBindSwapBarrierNV {
  guest_layout<Display *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXBindSwapBarrierNV(fexfn_packed_args_libGL_glXBindSwapBarrierNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLuint> a_1 { args->a_1 };
  host_layout<GLuint> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXBindSwapBarrierNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQuerySwapGroupNV {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint32_t*> a_2;
  guest_layout<uint32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQuerySwapGroupNV(fexfn_packed_args_libGL_glXQuerySwapGroupNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQuerySwapGroupNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryMaxSwapGroupsNV {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
  guest_layout<uint32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryMaxSwapGroupsNV(fexfn_packed_args_libGL_glXQueryMaxSwapGroupsNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryMaxSwapGroupsNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryFrameCountNV {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t*> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryFrameCountNV(fexfn_packed_args_libGL_glXQueryFrameCountNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<unsigned int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryFrameCountNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXResetFrameCountNV {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXResetFrameCountNV(fexfn_packed_args_libGL_glXResetFrameCountNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXResetFrameCountNV(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBindVideoCaptureDeviceNV {
  guest_layout<Display *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXBindVideoCaptureDeviceNV(fexfn_packed_args_libGL_glXBindVideoCaptureDeviceNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<unsigned int> a_1 { args->a_1 };
  host_layout<GLXVideoCaptureDeviceNV> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXBindVideoCaptureDeviceNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXEnumerateVideoCaptureDevicesNV {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<uint64_t*> rv;
};
static void fexfn_unpack_libGL_glXEnumerateVideoCaptureDevicesNV(fexfn_packed_args_libGL_glXEnumerateVideoCaptureDevicesNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLXVideoCaptureDeviceNV *>(fexldr_ptr_libGL_glXEnumerateVideoCaptureDevicesNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXLockVideoCaptureDeviceNV {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glXLockVideoCaptureDeviceNV(fexfn_packed_args_libGL_glXLockVideoCaptureDeviceNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXVideoCaptureDeviceNV> a_1 { args->a_1 };
fexldr_ptr_libGL_glXLockVideoCaptureDeviceNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryVideoCaptureDeviceNV {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryVideoCaptureDeviceNV(fexfn_packed_args_libGL_glXQueryVideoCaptureDeviceNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXVideoCaptureDeviceNV> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryVideoCaptureDeviceNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXReleaseVideoCaptureDeviceNV {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
};
static void fexfn_unpack_libGL_glXReleaseVideoCaptureDeviceNV(fexfn_packed_args_libGL_glXReleaseVideoCaptureDeviceNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXVideoCaptureDeviceNV> a_1 { args->a_1 };
fexldr_ptr_libGL_glXReleaseVideoCaptureDeviceNV(unwrap_host(a_0), unwrap_host(a_1));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetVideoDeviceNV {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetVideoDeviceNV(fexfn_packed_args_libGL_glXGetVideoDeviceNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<unsigned int *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetVideoDeviceNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXReleaseVideoDeviceNV {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXReleaseVideoDeviceNV(fexfn_packed_args_libGL_glXReleaseVideoDeviceNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<GLXVideoDeviceNV> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXReleaseVideoDeviceNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBindVideoImageNV {
  guest_layout<Display *> a_0;
  guest_layout<uint32_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXBindVideoImageNV(fexfn_packed_args_libGL_glXBindVideoImageNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXVideoDeviceNV> a_1 { args->a_1 };
  host_layout<GLXPbuffer> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXBindVideoImageNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXReleaseVideoImageNV {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXReleaseVideoImageNV(fexfn_packed_args_libGL_glXReleaseVideoImageNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXPbuffer> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXReleaseVideoImageNV(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXSendPbufferToVideoNV {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint64_t*> a_3;
  guest_layout<uint8_t> a_4;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXSendPbufferToVideoNV(fexfn_packed_args_libGL_glXSendPbufferToVideoNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXPbuffer> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<unsigned long *> a_3 { args->a_3 };
  host_layout<GLboolean> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXSendPbufferToVideoNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetVideoInfoNV {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<uint32_t> a_2;
  guest_layout<uint64_t*> a_3;
  guest_layout<uint64_t*> a_4;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetVideoInfoNV(fexfn_packed_args_libGL_glXGetVideoInfoNV* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<GLXVideoDeviceNV> a_2 { args->a_2 };
  host_layout<unsigned long *> a_3 { args->a_3 };
  host_layout<unsigned long *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetVideoInfoNV(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryHyperpipeNetworkSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t*> a_1;
  guest_layout<GLXHyperpipeNetworkSGIX *> rv;
};
static void fexfn_unpack_libGL_glXQueryHyperpipeNetworkSGIX(fexfn_packed_args_libGL_glXQueryHyperpipeNetworkSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int *> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<GLXHyperpipeNetworkSGIX *>(fexldr_ptr_libGL_glXQueryHyperpipeNetworkSGIX(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXHyperpipeConfigSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<GLXHyperpipeConfigSGIX *> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXHyperpipeConfigSGIX(fexfn_packed_args_libGL_glXHyperpipeConfigSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<GLXHyperpipeConfigSGIX *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXHyperpipeConfigSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryHyperpipeConfigSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<GLXHyperpipeConfigSGIX *> rv;
};
static void fexfn_unpack_libGL_glXQueryHyperpipeConfigSGIX(fexfn_packed_args_libGL_glXQueryHyperpipeConfigSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<GLXHyperpipeConfigSGIX *>(fexldr_ptr_libGL_glXQueryHyperpipeConfigSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXDestroyHyperpipeConfigSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXDestroyHyperpipeConfigSGIX(fexfn_packed_args_libGL_glXDestroyHyperpipeConfigSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXDestroyHyperpipeConfigSGIX(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBindHyperpipeSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXBindHyperpipeSGIX(fexfn_packed_args_libGL_glXBindHyperpipeSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXBindHyperpipeSGIX(unwrap_host(a_0), unwrap_host(a_1))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryHyperpipeBestAttribSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<void *> a_4;
  guest_layout<void *> a_5;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryHyperpipeBestAttribSGIX(fexfn_packed_args_libGL_glXQueryHyperpipeBestAttribSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
  host_layout<void *> a_5 { args->a_5 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryHyperpipeBestAttribSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXHyperpipeAttribSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<void *> a_4;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXHyperpipeAttribSGIX(fexfn_packed_args_libGL_glXHyperpipeAttribSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXHyperpipeAttribSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryHyperpipeAttribSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<void *> a_4;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryHyperpipeAttribSGIX(fexfn_packed_args_libGL_glXQueryHyperpipeAttribSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
  host_layout<void *> a_4 { args->a_4 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryHyperpipeAttribSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBindSwapBarrierSGIX {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<int32_t> a_2;
};
static void fexfn_unpack_libGL_glXBindSwapBarrierSGIX(fexfn_packed_args_libGL_glXBindSwapBarrierSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
fexldr_ptr_libGL_glXBindSwapBarrierSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryMaxSwapBarriersSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t*> a_2;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryMaxSwapBarriersSGIX(fexfn_packed_args_libGL_glXQueryMaxSwapBarriersSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int *> a_2 { args->a_2 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryMaxSwapBarriersSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXJoinSwapGroupSGIX {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
};
static void fexfn_unpack_libGL_glXJoinSwapGroupSGIX(fexfn_packed_args_libGL_glXJoinSwapGroupSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<GLXDrawable> a_1 { args->a_1 };
  host_layout<GLXDrawable> a_2 { args->a_2 };
fexldr_ptr_libGL_glXJoinSwapGroupSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXBindChannelToWindowSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint64_t> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXBindChannelToWindowSGIX(fexfn_packed_args_libGL_glXBindChannelToWindowSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<Window> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXBindChannelToWindowSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXChannelRectSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t> a_3;
  guest_layout<int32_t> a_4;
  guest_layout<int32_t> a_5;
  guest_layout<int32_t> a_6;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXChannelRectSGIX(fexfn_packed_args_libGL_glXChannelRectSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int> a_3 { args->a_3 };
  host_layout<int> a_4 { args->a_4 };
  host_layout<int> a_5 { args->a_5 };
  host_layout<int> a_6 { args->a_6 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXChannelRectSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryChannelRectSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<int32_t*> a_5;
  guest_layout<int32_t*> a_6;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryChannelRectSGIX(fexfn_packed_args_libGL_glXQueryChannelRectSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<int *> a_5 { args->a_5 };
  host_layout<int *> a_6 { args->a_6 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryChannelRectSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXQueryChannelDeltasSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<int32_t*> a_3;
  guest_layout<int32_t*> a_4;
  guest_layout<int32_t*> a_5;
  guest_layout<int32_t*> a_6;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXQueryChannelDeltasSGIX(fexfn_packed_args_libGL_glXQueryChannelDeltasSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<int *> a_3 { args->a_3 };
  host_layout<int *> a_4 { args->a_4 };
  host_layout<int *> a_5 { args->a_5 };
  host_layout<int *> a_6 { args->a_6 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXQueryChannelDeltasSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3), unwrap_host(a_4), unwrap_host(a_5), unwrap_host(a_6))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXChannelRectSyncSGIX {
  guest_layout<Display *> a_0;
  guest_layout<int32_t> a_1;
  guest_layout<int32_t> a_2;
  guest_layout<uint32_t> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXChannelRectSyncSGIX(fexfn_packed_args_libGL_glXChannelRectSyncSGIX* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<int> a_1 { args->a_1 };
  host_layout<int> a_2 { args->a_2 };
  host_layout<GLenum> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXChannelRectSyncSGIX(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXCushionSGI {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<float> a_2;
};
static void fexfn_unpack_libGL_glXCushionSGI(fexfn_packed_args_libGL_glXCushionSGI* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<Window> a_1 { args->a_1 };
  host_layout<float> a_2 { args->a_2 };
fexldr_ptr_libGL_glXCushionSGI(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2));
}
struct __attribute__((packed)) fexfn_packed_args_libGL_glXGetTransparentIndexSUN {
  guest_layout<Display *> a_0;
  guest_layout<uint64_t> a_1;
  guest_layout<uint64_t> a_2;
  guest_layout<uint64_t*> a_3;
  guest_layout<int32_t> rv;
};
static void fexfn_unpack_libGL_glXGetTransparentIndexSUN(fexfn_packed_args_libGL_glXGetTransparentIndexSUN* args) {
  host_layout<_XDisplay *> a_0 { args->a_0 };
  host_layout<Window> a_1 { args->a_1 };
  host_layout<Window> a_2 { args->a_2 };
  host_layout<unsigned long *> a_3 { args->a_3 };
  args->rv = to_guest(to_host_layout<int>(fexldr_ptr_libGL_glXGetTransparentIndexSUN(unwrap_host(a_0), unwrap_host(a_1), unwrap_host(a_2), unwrap_host(a_3))));
}
}
static ExportEntry exports[] = {
  {(uint8_t*)"\x5d\x26\xc5\x05\x22\x0c\x70\x92\x4a\xf1\x9e\x52\x47\x64\x93\xab\x4f\xd1\xf4\xfe\x8c\xf8\x4a\xb7\xaa\x16\x01\xb4\xf0\xc9\xf8\xf2", (void(*)(void *))&fexfn_unpack_libGL_glXGetProcAddress}, // libGL:glXGetProcAddress
  {(uint8_t*)"\x2d\x6e\x86\x75\xfa\x64\x04\x61\x28\xab\xc3\xbb\x41\x73\x3e\xb8\x7c\x5a\x91\x0d\xa3\xf3\x29\xa1\x4b\x77\xcb\x9a\x64\x2c\x5c\x9a", (void(*)(void *))&fexfn_unpack_libGL_SetGuestMalloc}, // libGL:SetGuestMalloc
  {(uint8_t*)"\xee\x73\x77\xe1\x1e\x30\x14\xec\x2c\xd4\x5d\x33\x37\xa3\xb6\xde\xbd\xd5\x48\x7a\xbc\x9c\xd1\x3d\x0d\x80\xce\x58\x7d\x8a\xd9\x3c", (void(*)(void *))&fexfn_unpack_libGL_SetGuestXSync}, // libGL:SetGuestXSync
  {(uint8_t*)"\xaf\xc7\xa8\x7a\xe6\x13\x71\x85\xb0\x5f\x51\x23\x96\xc1\x39\x00\x49\xc6\xd4\xa3\x55\x34\x1d\x94\x31\x2f\xcf\x7b\x08\x2f\x56\xbf", (void(*)(void *))&fexfn_unpack_libGL_SetGuestXGetVisualInfo}, // libGL:SetGuestXGetVisualInfo
  {(uint8_t*)"\xa1\x1f\x84\x91\x9c\x35\x7b\x93\x0d\xfa\x42\x07\xe6\xf1\x22\x7a\xf1\x60\x93\x5e\x88\xe9\x60\x28\x9e\x3e\x33\x1a\x43\x59\x96\x71", (void(*)(void *))&fexfn_unpack_libGL_SetGuestXDisplayString}, // libGL:SetGuestXDisplayString
  {(uint8_t*)"\x3b\x63\x57\x61\xf2\x0e\xe0\x83\x94\x66\x27\xa1\xd2\xfe\x4a\x78\x40\xcf\x63\x92\x0d\xc7\x30\x5d\x9a\x79\xd1\x0c\xe5\xaa\xd7\x46", (void(*)(void *))&fexfn_unpack_libGL_glXQueryCurrentRendererStringMESA}, // libGL:glXQueryCurrentRendererStringMESA
  {(uint8_t*)"\xe4\xea\x3c\xa6\x70\xe1\x8a\x43\x83\xcb\xd6\x55\xfc\xe5\xab\xac\xe3\x37\x50\xe4\x95\x42\x23\x4e\x00\xa1\xac\x07\x2c\xc3\xc8\x2c", (void(*)(void *))&fexfn_unpack_libGL_glXQueryRendererStringMESA}, // libGL:glXQueryRendererStringMESA
  {(uint8_t*)"\xa9\xe1\xc8\xbc\x3b\x75\x6e\x8c\x3c\xfb\x92\x44\xfd\x7f\x80\x6c\x2f\xc6\x5d\xf3\xc3\x4f\xee\x68\x62\x13\x4d\xcc\x20\x4c\xb7\xba", (void(*)(void *))&fexfn_unpack_libGL_glXGetContextIDEXT}, // libGL:glXGetContextIDEXT
  {(uint8_t*)"\x50\x13\x5f\xab\x68\xfa\x30\x26\x33\x5e\x9f\x47\x43\x69\x4e\xbc\x84\x08\x46\xf3\xb3\xa2\xff\xde\x9e\x38\x3e\x92\x47\x16\xd6\x0a", (void(*)(void *))&fexfn_unpack_libGL_glXCreateContextWithConfigSGIX}, // libGL:glXCreateContextWithConfigSGIX
  {(uint8_t*)"\x72\xde\x06\x34\x13\xd9\x6e\xf1\x28\xb7\xec\xe9\xe6\x9e\x78\x9e\x16\xf4\x6b\x39\x9e\x78\x9e\xa6\xa8\xf4\xd1\x9c\xaa\x8c\xd1\xec", (void(*)(void *))&fexfn_unpack_libGL_glXImportContextEXT}, // libGL:glXImportContextEXT
  {(uint8_t*)"\xda\x74\x2f\xe9\xba\x9e\x62\xfa\x67\xb5\x9a\xe5\x4a\x6a\x8c\x40\xc2\x02\xcf\x3b\x52\xea\x3b\xb2\xba\x8e\xea\xd7\xfd\xbd\xae\x29", (void(*)(void *))&fexfn_unpack_libGL_glXGetCurrentReadDrawableSGI}, // libGL:glXGetCurrentReadDrawableSGI
  {(uint8_t*)"\xf2\x70\xb0\x02\xff\x66\xc0\x32\xe3\x48\x0f\x66\xde\x85\x27\xb7\x51\xe9\x96\x6c\x08\x60\x04\x94\x11\xa7\xe7\x84\x8c\xf8\x85\x17", (void(*)(void *))&fexfn_unpack_libGL_glXChooseFBConfigSGIX}, // libGL:glXChooseFBConfigSGIX
  {(uint8_t*)"\x1f\x10\x58\xff\xd6\x0d\xf9\x63\x75\x47\xc1\x97\x9f\x83\xf3\x76\xd6\xb7\x3e\x56\xff\xe1\x6a\x74\xa7\x27\x35\xf8\x75\x2c\x0c\x51", (void(*)(void *))&fexfn_unpack_libGL_glXGetFBConfigFromVisualSGIX}, // libGL:glXGetFBConfigFromVisualSGIX
  {(uint8_t*)"\xb1\xae\x53\x36\xee\x6a\xc8\x13\xa6\x00\x7b\xbe\x96\x2b\xa6\x28\x38\xb1\xf0\x62\xa2\x04\x7f\x96\x21\xc1\x86\xbe\x6c\x3d\x26\x55", (void(*)(void *))&fexfn_unpack_libGL_glXCreateGLXPbufferSGIX}, // libGL:glXCreateGLXPbufferSGIX
  {(uint8_t*)"\xcf\x15\x41\x50\x1e\xed\x8f\x84\x34\x13\x91\x9d\xa7\x4e\xbc\xfc\x2a\xe6\x9e\x9d\xe5\x39\xdf\xa1\x9b\xd6\x3c\x55\x90\x11\xa3\x92", (void(*)(void *))&fexfn_unpack_libGL_glXCreateGLXPixmapWithConfigSGIX}, // libGL:glXCreateGLXPixmapWithConfigSGIX
  {(uint8_t*)"\x4b\xf3\xe3\x22\xc1\x15\xee\x02\x6a\x4c\xaa\xb9\xcb\x82\x3c\xff\x94\xc5\xda\x7a\xd4\x07\x10\x09\x3b\x48\xd9\x15\x2e\x8e\xf5\x3e", (void(*)(void *))&fexfn_unpack_libGL_glXSwapBuffersMscOML}, // libGL:glXSwapBuffersMscOML
  {(uint8_t*)"\x97\xab\x39\x54\x2c\xbc\x81\xdb\x6b\xc1\x39\x97\xdf\x19\x88\x35\xba\x88\xf9\xdd\x29\x7e\x44\xaf\x45\x33\x19\x5a\x5d\x24\xc9\xa4", (void(*)(void *))&fexfn_unpack_libGL_glXGetFBConfigAttribSGIX}, // libGL:glXGetFBConfigAttribSGIX
  {(uint8_t*)"\x23\xbf\xa5\x40\x0c\x6e\x84\x8e\x31\x4e\x02\xeb\x06\x14\x39\x60\x23\x81\xa4\x3e\x1c\x3f\x2c\xe6\x14\x22\xe7\x14\xf6\x2d\xca\xa0", (void(*)(void *))&fexfn_unpack_libGL_glXGetMscRateOML}, // libGL:glXGetMscRateOML
  {(uint8_t*)"\xfe\xbd\x09\x20\x9e\x56\x10\x1c\x49\x64\xd0\x86\x42\x65\x79\xed\x12\xdc\x92\x9b\x13\xd5\x43\x47\xd6\x42\xa9\x87\xd4\xc2\x3b\x0d", (void(*)(void *))&fexfn_unpack_libGL_glXGetSwapIntervalMESA}, // libGL:glXGetSwapIntervalMESA
  {(uint8_t*)"\x29\x9b\x7d\xc0\x23\x76\xd7\x6c\xaf\x6b\x9b\x0d\x1b\xdb\x8c\xea\x87\x6e\xff\x16\xed\x82\xbc\x48\xe1\x64\xbf\xcf\x86\x91\xe6\x47", (void(*)(void *))&fexfn_unpack_libGL_glXGetSyncValuesOML}, // libGL:glXGetSyncValuesOML
  {(uint8_t*)"\xa7\xd7\xed\x45\x2e\x09\xdb\x7c\xe5\xe6\xe5\x65\xa0\x94\xd9\x18\xe1\x7f\x7d\x6f\x0a\x59\x4d\xe4\x4e\xf5\x6d\xec\x43\x7b\x7c\x3e", (void(*)(void *))&fexfn_unpack_libGL_glXGetVideoSyncSGI}, // libGL:glXGetVideoSyncSGI
  {(uint8_t*)"\x19\xe3\xd4\xf9\xc6\x8a\xb6\x9d\x9c\xfe\x4d\x98\xe2\xe8\xe1\xb6\xc5\xbf\xb3\xd3\x0a\xea\x04\x83\x46\xe9\xdc\xcb\xb1\x4a\x21\x2a", (void(*)(void *))&fexfn_unpack_libGL_glXMakeCurrentReadSGI}, // libGL:glXMakeCurrentReadSGI
  {(uint8_t*)"\xc9\x7c\xdf\xeb\x10\x78\x0c\x95\x45\xfe\xb8\xa2\xb6\x7a\x00\x23\x16\xad\x5b\x47\x3f\x10\x90\x25\x96\x61\xd7\x74\xef\xf4\x5e\x21", (void(*)(void *))&fexfn_unpack_libGL_glXQueryContextInfoEXT}, // libGL:glXQueryContextInfoEXT
  {(uint8_t*)"\xda\x11\xb2\x75\x5a\x4a\x88\x67\x60\x8a\xf3\x43\x48\x54\x85\x13\x48\x11\x69\x55\x6e\x27\xac\xed\xa1\x87\x56\x89\xfd\x42\x52\x1f", (void(*)(void *))&fexfn_unpack_libGL_glXQueryCurrentRendererIntegerMESA}, // libGL:glXQueryCurrentRendererIntegerMESA
  {(uint8_t*)"\x90\x84\xd2\x7d\x27\x7f\xc8\xa5\xc1\xce\x9d\x33\x08\xbe\x97\x55\xfc\x74\xb5\x69\x4a\xa0\xa1\x10\x56\x6f\x9d\x48\xad\x0b\x0d\xdf", (void(*)(void *))&fexfn_unpack_libGL_glXQueryRendererIntegerMESA}, // libGL:glXQueryRendererIntegerMESA
  {(uint8_t*)"\xf0\xaa\x8a\xfc\x03\x6f\x43\x1f\x5a\x0d\x78\x82\xac\x7c\x92\xad\xfe\x46\x49\x22\x65\xc9\x84\x8d\x64\xae\xa6\xec\xe9\x4e\xce\xa7", (void(*)(void *))&fexfn_unpack_libGL_glXSwapIntervalMESA}, // libGL:glXSwapIntervalMESA
  {(uint8_t*)"\x32\xfa\xc9\xd8\x9c\xfe\xd3\x92\x1f\x0e\x94\xec\xc7\x0b\xec\xf4\xcf\x4f\xd1\xd7\x20\xb5\x9a\xc2\x63\xdd\x71\x8a\xc4\x20\x37\x61", (void(*)(void *))&fexfn_unpack_libGL_glXSwapIntervalSGI}, // libGL:glXSwapIntervalSGI
  {(uint8_t*)"\xe0\x4a\x43\xff\x25\x75\xd4\x6a\x28\xae\xff\xa1\xfc\x70\x27\x14\x41\x8a\x60\x62\x7d\xc0\x9c\x01\x59\x71\x95\x22\x42\xd5\x73\x03", (void(*)(void *))&fexfn_unpack_libGL_glXWaitForMscOML}, // libGL:glXWaitForMscOML
  {(uint8_t*)"\x93\x9a\x13\x0c\xef\xc5\xc1\x1e\xd9\x1f\xd7\xbd\x41\x0e\x4c\xcd\xb4\x78\x1c\xfa\xbd\x64\x06\x3d\xe2\xdf\x70\x07\x14\x66\x9a\xd5", (void(*)(void *))&fexfn_unpack_libGL_glXWaitForSbcOML}, // libGL:glXWaitForSbcOML
  {(uint8_t*)"\x3b\x20\xeb\x04\xe4\x0f\x95\x99\x39\x45\xf3\x1f\x68\x02\x5e\x6d\x1f\x23\x6b\x1e\xe5\x04\x1d\x7b\x76\x99\xaf\x81\x1a\xfe\xfc\x1e", (void(*)(void *))&fexfn_unpack_libGL_glXWaitVideoSyncSGI}, // libGL:glXWaitVideoSyncSGI
  {(uint8_t*)"\xf6\x79\xac\x92\x95\xa0\x9e\x5a\x11\x1f\xe1\x96\x50\x51\x47\x21\x96\xb8\x58\x7b\xc1\x4d\x7f\x4d\xba\xf1\x4e\x82\xd8\x0d\x45\x65", (void(*)(void *))&fexfn_unpack_libGL_glXBindTexImageEXT}, // libGL:glXBindTexImageEXT
  {(uint8_t*)"\x1d\x10\x4c\x57\xd6\x72\x8f\xa1\x74\x20\xbe\x61\xbd\x45\x17\x86\xe1\xaa\x1b\x1b\x49\x1f\xc9\x8f\x1d\xc8\xb0\x6a\x25\x57\x17\xb2", (void(*)(void *))&fexfn_unpack_libGL_glXCopySubBufferMESA}, // libGL:glXCopySubBufferMESA
  {(uint8_t*)"\x42\x51\xfe\x8d\x8a\xe4\x2b\x8a\xa3\x36\x68\x7c\xf1\x67\x92\xa0\x9e\xaf\xe7\x8e\xa8\x56\x66\x7a\x4d\xd4\x2d\x0f\x7b\x58\x47\xfa", (void(*)(void *))&fexfn_unpack_libGL_glXDestroyGLXPbufferSGIX}, // libGL:glXDestroyGLXPbufferSGIX
  {(uint8_t*)"\x97\x31\xad\x4d\xcc\xcb\x93\x1f\x92\x95\x2e\xa4\x01\x2a\x1a\x41\x91\xca\xe4\xb6\x45\x38\xca\x16\xdb\xa6\x75\x0e\x6f\x1b\xf9\xbd", (void(*)(void *))&fexfn_unpack_libGL_glXFreeContextEXT}, // libGL:glXFreeContextEXT
  {(uint8_t*)"\x42\xec\x9b\x79\xed\x58\x58\x31\x71\x3e\x43\x8a\xf2\x8f\x12\xc4\x78\xf9\x8f\xc1\x0a\x4f\xbd\x23\x9f\x6a\x5b\xfd\x8a\x6d\x5b\xf6", (void(*)(void *))&fexfn_unpack_libGL_glXGetSelectedEventSGIX}, // libGL:glXGetSelectedEventSGIX
  {(uint8_t*)"\xea\x33\xab\x40\x83\xd1\x42\xaa\x8e\x4d\xa4\x89\x02\xd5\x48\xaf\x7b\xec\xec\x8b\x16\x9c\x74\x7e\x14\x0d\xf5\x50\xe3\xff\xe5\x89", (void(*)(void *))&fexfn_unpack_libGL_glXQueryGLXPbufferSGIX}, // libGL:glXQueryGLXPbufferSGIX
  {(uint8_t*)"\x2b\x85\x61\x45\x82\x00\xb2\x5a\x02\x0a\x98\x0d\xd3\x90\x0c\x81\x41\x29\x09\x97\x5d\x1e\xfb\x75\x30\x01\xc5\xad\x6c\x6f\x3e\x35", (void(*)(void *))&fexfn_unpack_libGL_glXReleaseTexImageEXT}, // libGL:glXReleaseTexImageEXT
  {(uint8_t*)"\x86\xad\xc6\x13\x53\x1e\x11\xad\x03\x95\x56\x77\x96\x3a\x2c\x65\x67\x78\x9b\xcd\x03\x30\xd8\x50\xcf\x2f\x4d\x51\x7f\xff\x97\xb5", (void(*)(void *))&fexfn_unpack_libGL_glXSelectEventSGIX}, // libGL:glXSelectEventSGIX
  {(uint8_t*)"\xe4\x7f\x0e\x1c\xf9\xb2\xee\xeb\xbe\x59\xa3\xb2\xaa\x59\x07\x0f\x84\x31\xbf\xed\xd7\xd2\x9d\x8c\x8d\xde\x63\x83\x2d\x78\xa4\xa9", (void(*)(void *))&fexfn_unpack_libGL_glXGetVisualFromFBConfigSGIX}, // libGL:glXGetVisualFromFBConfigSGIX
  {(uint8_t*)"\x33\x83\xb1\x44\x81\x7d\xaf\xf4\x8f\xdd\x2a\x81\xa5\x7e\x77\xe2\xbb\x79\x59\xa3\x8a\x07\xfc\x1a\xb0\xc8\xd0\x56\xa5\x4b\x1d\x39", (void(*)(void *))&fexfn_unpack_libGL_glXGetClientString}, // libGL:glXGetClientString
  {(uint8_t*)"\xf1\x63\xd1\xbb\x86\x12\x52\x18\xbb\x41\xf2\xd8\xc4\x0d\x44\x4a\xeb\xe6\x38\x6a\x36\xc1\xe9\x98\xeb\xd2\x94\x0b\xe0\x83\x45\x15", (void(*)(void *))&fexfn_unpack_libGL_glXQueryExtensionsString}, // libGL:glXQueryExtensionsString
  {(uint8_t*)"\x88\x5f\xcd\xfb\xdc\x5f\x0d\x77\xcf\x40\x88\xc0\x6e\xb2\xb1\x1a\x6a\x05\x96\x99\x51\x32\xa6\x67\x4d\x06\x78\x36\x8b\x13\x49\xe7", (void(*)(void *))&fexfn_unpack_libGL_glXQueryServerString}, // libGL:glXQueryServerString
  {(uint8_t*)"\x00\x36\xf8\xaf\x10\x1e\x98\x3a\x16\xb4\x73\xd7\x36\x2f\x14\x39\xbf\x2b\x26\x8c\xda\x3b\x6d\x07\x07\x0e\x83\x87\x7f\xcb\x89\x25", (void(*)(void *))&fexfn_unpack_libGL_glXGetCurrentDisplay}, // libGL:glXGetCurrentDisplay
  {(uint8_t*)"\x8e\x34\x35\xf5\x29\x66\xce\xa6\x21\x48\xc9\x3b\x59\xe7\x19\xcb\xc8\x54\xa1\x8b\x71\x80\x23\x6f\xc4\xd3\x5f\xbc\x74\xb4\x78\x89", (void(*)(void *))&fexfn_unpack_libGL_glXCreateContext}, // libGL:glXCreateContext
  {(uint8_t*)"\x5f\x6a\x99\x02\x6f\xe8\x23\x4e\x11\xc9\xa4\xa3\x7a\x07\x70\xa8\xdb\x5a\x68\xc0\x34\x58\x37\x90\x25\xdb\x8a\xee\xc9\x38\x59\xc3", (void(*)(void *))&fexfn_unpack_libGL_glXCreateNewContext}, // libGL:glXCreateNewContext
  {(uint8_t*)"\xb7\x51\x36\x07\x98\x68\x55\xe7\xd1\x3d\x3a\x39\xd2\xe4\xfa\x63\x49\x00\x7f\xcf\x29\x76\x24\x09\x19\x40\xf0\xa2\xf3\x76\xa1\x46", (void(*)(void *))&fexfn_unpack_libGL_glXGetCurrentContext}, // libGL:glXGetCurrentContext
  {(uint8_t*)"\x4d\x96\xad\xf1\x53\x3a\x7f\x22\x0a\x1c\x3c\xca\x30\x99\xd3\xa4\x23\x81\x45\x60\xbe\x20\x05\x5c\xcb\x6c\x19\xf2\x6b\x87\x2a\x8d", (void(*)(void *))&fexfn_unpack_libGL_glXGetCurrentDrawable}, // libGL:glXGetCurrentDrawable
  {(uint8_t*)"\x0a\x66\x78\x47\xe2\x71\x84\x60\x09\x4f\x50\x87\x90\x55\x84\x78\xdb\x3a\x61\xfa\xce\xb9\xb9\xb0\x9a\x62\xbe\xaa\x10\x16\x67\xeb", (void(*)(void *))&fexfn_unpack_libGL_glXGetCurrentReadDrawable}, // libGL:glXGetCurrentReadDrawable
  {(uint8_t*)"\xf4\x55\xf6\xb8\xfd\xda\x59\xd5\xf6\x18\x65\x3a\x9b\x8c\xf9\xf5\x80\x98\xc3\x17\x53\xa1\xd3\x77\xd1\xed\xd0\xf7\xc9\xe3\x90\xc8", (void(*)(void *))&fexfn_unpack_libGL_glXChooseFBConfig}, // libGL:glXChooseFBConfig
  {(uint8_t*)"\x7c\x86\x45\x5f\x50\x5d\x33\x60\x2e\xcd\xee\x6d\xf8\x2e\xe0\x49\x6c\xf5\xf7\x75\x4e\x89\x85\xd3\x5c\xc6\x97\x84\x12\x17\x10\x87", (void(*)(void *))&fexfn_unpack_libGL_glXGetFBConfigs}, // libGL:glXGetFBConfigs
  {(uint8_t*)"\xdb\x56\xfb\x3a\x81\x14\x1e\x5d\x9a\x65\xef\xa6\x5c\x41\xc9\x31\xc0\x5d\x90\xc8\x63\xb2\x7b\xa2\x1d\x51\x85\x0d\xbd\x31\x55\xd2", (void(*)(void *))&fexfn_unpack_libGL_glXCreatePbuffer}, // libGL:glXCreatePbuffer
  {(uint8_t*)"\xe8\xf4\xb1\x5b\xad\x00\x32\x0f\xf7\xb4\x99\x51\xa5\x51\xcd\xb3\x2e\x90\xc6\x12\x4d\x78\x8e\x8e\x0f\x0b\xa6\xb5\x5a\xd2\x4b\x5e", (void(*)(void *))&fexfn_unpack_libGL_glXCreateGLXPixmap}, // libGL:glXCreateGLXPixmap
  {(uint8_t*)"\xf3\xfd\x57\x54\xbe\x93\x96\xb1\x26\xef\x19\x4a\xb7\x83\x90\x38\x05\xa2\x93\x83\xd3\x1d\x64\x09\x97\xa8\xb7\x8c\x38\x76\x40\xf2", (void(*)(void *))&fexfn_unpack_libGL_glXCreatePixmap}, // libGL:glXCreatePixmap
  {(uint8_t*)"\xc0\xf5\x07\x2a\x75\xaf\x53\x62\xb5\x6c\x4b\x7d\x4b\x42\xb7\xd1\xf1\x35\xb2\xf8\x2e\xcd\x57\xe3\xa1\xcb\xd9\x7a\xd0\x5b\x5c\xbc", (void(*)(void *))&fexfn_unpack_libGL_glXCreateWindow}, // libGL:glXCreateWindow
  {(uint8_t*)"\xbf\xba\x86\xc1\x4f\xb5\x1b\xd3\x22\x17\xf5\x7d\x69\x4f\xec\xfb\xf4\x6f\x8b\xbd\x89\x40\x71\x68\xd9\xd2\x29\x7a\xcd\x43\xf5\x75", (void(*)(void *))&fexfn_unpack_libGL_glXGetConfig}, // libGL:glXGetConfig
  {(uint8_t*)"\x97\xad\x50\x3a\x99\x95\x57\xe5\x13\xff\xa3\xab\xd3\xf4\xc8\xb8\x0f\x2c\x42\xd5\x2f\x3b\xd9\xf1\x69\x63\xd6\x0d\xde\x42\x73\x3c", (void(*)(void *))&fexfn_unpack_libGL_glXGetFBConfigAttrib}, // libGL:glXGetFBConfigAttrib
  {(uint8_t*)"\xfc\x8c\x91\x22\x21\xce\x77\x17\x7f\x39\x5a\xce\x50\x73\x9d\xe5\x00\xae\x71\xad\x12\x0e\x4c\xc5\xf3\xc8\x8e\x42\x97\x51\x28\xec", (void(*)(void *))&fexfn_unpack_libGL_glXIsDirect}, // libGL:glXIsDirect
  {(uint8_t*)"\xa9\x47\x3b\x99\x55\xcc\x1d\xce\x8c\xf3\xc5\xe1\xf3\xcf\x70\x4b\x3c\x0d\xe8\xfb\xc3\x1e\x9f\x27\xe2\xb9\xb3\xa1\x13\x28\x36\xff", (void(*)(void *))&fexfn_unpack_libGL_glXMakeContextCurrent}, // libGL:glXMakeContextCurrent
  {(uint8_t*)"\x80\xfe\x86\xa0\xfe\xb2\x98\x91\x76\x68\x49\x6f\xbd\x4e\x6c\x30\x9a\x5c\x33\x45\x14\xeb\x41\xa9\x77\x47\x5d\x6d\xc2\x6d\x96\x4d", (void(*)(void *))&fexfn_unpack_libGL_glXMakeCurrent}, // libGL:glXMakeCurrent
  {(uint8_t*)"\x78\x14\xa6\xc5\x9f\x45\x56\x5f\x42\x68\x60\x18\xe5\x12\xd4\xad\x4a\x80\x0a\xc8\x48\xc8\x32\x11\x99\x87\x90\x96\xed\x5b\x13\x8c", (void(*)(void *))&fexfn_unpack_libGL_glXQueryContext}, // libGL:glXQueryContext
  {(uint8_t*)"\xa8\x56\x3b\x2f\x95\x02\x7a\x2d\xf1\x9d\x11\xdb\x13\x87\x4a\x11\x3a\x18\x2b\xac\x75\x54\x69\x88\x58\xda\xc6\x31\x32\xc2\x08\x83", (void(*)(void *))&fexfn_unpack_libGL_glXQueryExtension}, // libGL:glXQueryExtension
  {(uint8_t*)"\x6a\xfa\x64\xf8\x68\x46\x65\xfa\x3b\x69\x3f\xe9\xa3\x9c\xae\xf6\xbe\xf1\xe3\x77\xc4\x88\xc5\xe1\xb0\xc0\x88\x55\x3b\x84\x87\x88", (void(*)(void *))&fexfn_unpack_libGL_glXQueryVersion}, // libGL:glXQueryVersion
  {(uint8_t*)"\x48\xc4\xb7\x0f\x22\x6d\xcd\x64\x19\x17\x57\x11\x21\x73\x22\x50\xff\xdf\x57\xad\xa3\xd8\x57\x7b\xc5\xc8\x37\x15\x80\x05\x3e\xcb", (void(*)(void *))&fexfn_unpack_libGL_glXAllocateMemoryNV}, // libGL:glXAllocateMemoryNV
  {(uint8_t*)"\xf8\xa8\xa0\x62\xee\x99\xe2\xab\xaa\x80\x3c\xf8\x22\xa8\x6d\xf1\x8c\x29\x3a\x43\x4f\x18\x63\xbb\xca\x03\x27\x4c\xfc\x0c\x4b\x11", (void(*)(void *))&fexfn_unpack_libGL_glXCopyContext}, // libGL:glXCopyContext
  {(uint8_t*)"\xc1\x58\xc7\x28\x3e\xa9\xc1\x02\x11\x12\xfb\xaf\xc1\xe0\x33\xc3\x11\x97\xfd\x7a\x65\xa6\x86\xd8\x21\x70\x39\x9c\x8a\xdf\x5c\xd6", (void(*)(void *))&fexfn_unpack_libGL_glXDestroyContext}, // libGL:glXDestroyContext
  {(uint8_t*)"\xf4\x0d\x12\x1c\xee\x71\x54\x33\x34\x6b\x08\x36\x9c\x8f\xb7\x9d\xbf\x97\xbe\x62\xc3\x2e\x69\xae\xb6\x55\xfe\x4f\xb7\x31\xd9\x63", (void(*)(void *))&fexfn_unpack_libGL_glXDestroyGLXPixmap}, // libGL:glXDestroyGLXPixmap
  {(uint8_t*)"\xb7\x08\x93\xb6\x79\x3b\x6b\xa7\x17\x80\xb7\xb3\x44\x76\x0c\x43\x20\x06\x51\x5f\x51\xe6\x0f\xf1\x73\x34\x5f\xa6\x1f\xf1\x9e\xf9", (void(*)(void *))&fexfn_unpack_libGL_glXDestroyPbuffer}, // libGL:glXDestroyPbuffer
  {(uint8_t*)"\x8c\x73\x56\x11\xa7\xe9\x37\x80\x46\x01\xc8\x69\xc8\xb1\xed\x61\x92\x73\x41\x44\x2a\x4e\xf5\xe0\x52\xdb\xeb\xcd\xc1\xaa\xe8\x67", (void(*)(void *))&fexfn_unpack_libGL_glXDestroyPixmap}, // libGL:glXDestroyPixmap
  {(uint8_t*)"\xfa\x1f\xc3\xe8\xa6\x4a\x6d\xf6\xa7\xdf\xfc\x32\xf3\x54\x21\xe7\xfb\xda\xc7\x37\xa0\xf3\xab\xe9\x63\xeb\xb8\x10\x79\x7a\x1d\xaa", (void(*)(void *))&fexfn_unpack_libGL_glXDestroyWindow}, // libGL:glXDestroyWindow
  {(uint8_t*)"\x14\x7f\x2b\xa3\xb2\x80\x1c\xc2\xb9\x31\x68\x08\xd9\x3f\xc2\x32\x63\x38\x62\xc9\xf3\x0b\xbc\xf8\xb9\xcd\xf8\x87\x52\xaf\xc5\x1b", (void(*)(void *))&fexfn_unpack_libGL_glXFreeMemoryNV}, // libGL:glXFreeMemoryNV
  {(uint8_t*)"\x84\xf1\xd7\xdc\x84\x64\xfd\xb7\x2f\x8e\x12\x55\x04\xb4\xa9\xf3\xf1\x2c\xec\xd4\x54\xc2\xdc\x2c\xcc\xfb\x32\x0f\xac\x5a\xcd\x4c", (void(*)(void *))&fexfn_unpack_libGL_glXGetSelectedEvent}, // libGL:glXGetSelectedEvent
  {(uint8_t*)"\x40\xca\x15\x28\xbc\x30\xf0\xed\xe2\xac\x43\xc9\xf9\xe3\x86\xc1\xb2\xd3\xd7\x21\x19\xc8\xec\x9a\x36\x1d\xf7\xf1\x05\xad\xc1\x43", (void(*)(void *))&fexfn_unpack_libGL_glXQueryDrawable}, // libGL:glXQueryDrawable
  {(uint8_t*)"\x11\x1d\x41\xa4\x68\x9f\x19\x99\xfe\xa4\x20\x3b\xda\xb2\x80\x75\x18\x8e\x53\xbf\xae\xd9\x69\x30\xa6\xa6\x0e\xfd\xe3\x05\xaf\x30", (void(*)(void *))&fexfn_unpack_libGL_glXSelectEvent}, // libGL:glXSelectEvent
  {(uint8_t*)"\xd9\x08\x60\xe9\x08\x96\x03\x5d\x23\xc2\x6e\x1c\xd6\x2f\x40\xbe\x33\x27\x6f\x38\x77\x0d\xf9\xa9\xe6\x7c\x13\xfa\x89\xc2\xe4\x74", (void(*)(void *))&fexfn_unpack_libGL_glXSwapBuffers}, // libGL:glXSwapBuffers
  {(uint8_t*)"\x5c\x62\x78\x4a\x9b\x2b\x2e\xfe\xee\xd2\xd4\xd4\xe5\xf4\x0b\xbc\x4f\x15\xe0\xa7\x2e\x3d\x6d\x13\x90\xb5\xbc\x4c\xbc\xec\xe4\x3d", (void(*)(void *))&fexfn_unpack_libGL_glXUseXFont}, // libGL:glXUseXFont
  {(uint8_t*)"\x1e\x17\xfe\xdb\x71\x8a\xeb\xa4\xd4\x18\xdc\xdd\x75\x33\x00\xcd\xb7\x46\xad\x1d\xe9\x02\xdb\xe6\x18\xef\x36\xb7\x7e\xb8\x16\xa5", (void(*)(void *))&fexfn_unpack_libGL_glXWaitGL}, // libGL:glXWaitGL
  {(uint8_t*)"\xe6\xce\x09\xbd\x98\x96\x0e\x12\x31\x9d\xff\xf4\x7e\xe2\x63\x03\x8c\xd7\xea\x93\x86\xc6\x40\x93\xb7\x98\xdb\x43\xc8\x6d\x50\xeb", (void(*)(void *))&fexfn_unpack_libGL_glXChooseVisual}, // libGL:glXChooseVisual
  {(uint8_t*)"\x6e\x1f\x16\x32\x85\x3b\xe9\x5a\x15\x22\x21\x33\x6a\x47\xb5\x06\xba\x09\x13\xce\xc1\x83\xe2\xec\x6e\xd4\x10\x59\x61\x02\x02\x73", (void(*)(void *))&fexfn_unpack_libGL_glXGetVisualFromFBConfig}, // libGL:glXGetVisualFromFBConfig
  {(uint8_t*)"\x3f\xaa\xc1\x90\xff\x06\x2d\x19\xa5\x62\x27\x23\x3e\x74\x5f\x6b\x7c\x4f\xf5\x71\x47\xa1\x8e\x90\x93\x25\x76\xfb\x73\x2f\x8b\xdc", (void(*)(void *))&fexfn_unpack_libGL_glXCreateContextAttribsARB}, // libGL:glXCreateContextAttribsARB
  {(uint8_t*)"\xf4\x78\x30\x8b\x45\xa4\x1b\x95\xbd\x3a\x51\x6b\xed\xe5\x80\x63\xec\x02\x46\xa3\x15\xf8\xb6\x9b\x42\x4b\x5c\xab\xef\x93\xf9\x14", (void(*)(void *))&fexfn_unpack_libGL_glXSwapIntervalEXT}, // libGL:glXSwapIntervalEXT
  {(uint8_t*)"\xc8\xd9\xdf\xb0\xe8\x7e\x19\xe4\xbe\xe1\x09\x89\x0d\x18\x33\x91\x61\xcd\x59\x0e\x1a\x6d\xd0\x31\xb8\xb7\x47\xb6\xe5\x91\xd7\x9c", (void(*)(void *))&fexfn_unpack_libGL_glColorP3ui}, // libGL:glColorP3ui
  {(uint8_t*)"\xef\xa8\xcd\xe5\xee\x20\x84\xd9\xa4\xe0\x08\xc2\x79\x28\xa4\x29\x54\x74\xa7\x63\x09\xfc\xa7\x4a\x9e\xcd\x07\x1f\xc3\xcd\x60\x73", (void(*)(void *))&fexfn_unpack_libGL_glColorP3uiv}, // libGL:glColorP3uiv
  {(uint8_t*)"\x60\xd8\x8a\x25\xdc\x98\xd2\x18\x67\xfb\x3a\x01\xd9\xe0\x91\x8f\x5c\x58\x5d\x74\xa1\x6e\x5d\x1b\xb4\xc5\x53\x18\xb0\xbc\xd2\xac", (void(*)(void *))&fexfn_unpack_libGL_glColorP4ui}, // libGL:glColorP4ui
  {(uint8_t*)"\x2f\x1f\x85\x9a\x1b\x02\xc8\x9b\x8e\xb2\x68\x88\xc0\x55\x92\xd1\x58\x08\x41\xa6\x42\xb2\xda\x91\x74\xb5\xd7\xcb\xe4\xc5\x96\xda", (void(*)(void *))&fexfn_unpack_libGL_glColorP4uiv}, // libGL:glColorP4uiv
  {(uint8_t*)"\x7c\x82\x4a\x33\x9a\x83\xa7\x7c\x6d\xfb\x33\x72\x6c\x18\x22\x75\x64\xf3\xd4\x5a\xf5\x3f\x34\x3b\x78\xc3\x56\x9c\x63\xdc\x03\xee", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordd}, // libGL:glFogCoordd
  {(uint8_t*)"\xac\xce\xdb\x8a\x61\x2d\x31\x64\x9f\xf2\xfc\xed\x18\x40\x55\x1b\x55\x8a\x2c\xd9\x94\x1d\x1c\xdb\x52\x07\xe0\x9a\x75\x97\x3b\x9c", (void(*)(void *))&fexfn_unpack_libGL_glFogCoorddv}, // libGL:glFogCoorddv
  {(uint8_t*)"\xc2\x8f\xe1\xf3\x9c\x1f\x95\x6b\x2e\x9e\xfe\xdb\x5c\x01\xf1\xae\xd5\x2a\x27\x2d\x5f\xd6\x0e\x26\x1d\x3b\xe5\xfb\xc1\x62\xb5\x81", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordf}, // libGL:glFogCoordf
  {(uint8_t*)"\x40\xf2\x17\x8e\xc4\xec\x56\x98\xce\xf8\xcb\x85\x37\xb1\x49\x1f\xb4\xc8\x0b\x14\x05\x11\x2d\x09\xb3\xaf\xd5\x6a\x5c\xdb\x74\x7e", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordfv}, // libGL:glFogCoordfv
  {(uint8_t*)"\xb2\xd6\x8b\xea\xf1\x4b\xdc\x8f\x8e\x39\x37\x29\x68\x10\x16\xd2\xf9\xb0\x8a\x48\x2f\xf5\x7b\x10\xcd\x0d\xdb\xaa\xf0\x4b\x00\x72", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordPointer}, // libGL:glFogCoordPointer
  {(uint8_t*)"\x16\x0e\x17\xa0\xc6\x33\xfc\xd9\x2c\x13\xb9\xb4\x53\xe1\x4a\x5b\xed\xef\x23\x24\x96\xcd\x5d\x31\xd3\x2f\x9f\xb1\x6d\x3f\x5d\x5f", (void(*)(void *))&fexfn_unpack_libGL_glGetnColorTableARB}, // libGL:glGetnColorTableARB
  {(uint8_t*)"\xcb\x22\x7e\xe1\x7a\x2a\xa7\x65\xae\xd4\xb1\x35\x4d\x19\xc0\x80\xc2\xb2\xd3\x28\xf2\x89\x28\x15\x62\x63\x8a\x0e\x27\xa3\x91\xef", (void(*)(void *))&fexfn_unpack_libGL_glGetnConvolutionFilterARB}, // libGL:glGetnConvolutionFilterARB
  {(uint8_t*)"\xc5\xe1\xf3\x81\x0d\x9c\x00\x2f\x0f\x8e\x88\x5c\x44\xd6\x27\x57\x8a\xe4\xa5\x69\x26\x0c\xf4\x47\x02\xdd\x93\x9c\xc3\xa3\x98\x5a", (void(*)(void *))&fexfn_unpack_libGL_glGetnHistogramARB}, // libGL:glGetnHistogramARB
  {(uint8_t*)"\x41\xd7\x44\x5e\x87\x1f\xa6\xd1\xb4\x9d\xcb\x14\xf8\x64\x83\x0d\x89\x92\xc2\x3a\x81\x77\x1d\xc9\x98\xda\x18\x97\x48\x26\xf1\xb2", (void(*)(void *))&fexfn_unpack_libGL_glGetnColorTable}, // libGL:glGetnColorTable
  {(uint8_t*)"\xc1\x80\x2b\xc0\xa3\x55\xb1\x69\xd4\xe4\x86\xae\x4c\xe1\xe3\x68\x7e\x43\x90\x9d\x00\x88\xa3\x0b\x01\xcf\x81\x34\x85\x88\xbf\x04", (void(*)(void *))&fexfn_unpack_libGL_glGetnConvolutionFilter}, // libGL:glGetnConvolutionFilter
  {(uint8_t*)"\x60\xcb\xe9\x55\xf0\x87\x0d\x25\x72\x1a\x22\x2f\xf4\x86\xae\xeb\xba\xc4\xdb\x42\x31\xee\xb2\xc1\x3c\x33\x1d\xa1\xca\xbd\xb9\xb6", (void(*)(void *))&fexfn_unpack_libGL_glGetnHistogram}, // libGL:glGetnHistogram
  {(uint8_t*)"\x93\x96\xa9\x33\xb5\xd9\x75\x69\xa0\x24\xae\x60\x05\x8f\xe7\xd8\x16\x30\xa2\xad\x6a\xf8\x35\x6f\x71\xbb\x63\x9a\x82\xa9\xe0\x03", (void(*)(void *))&fexfn_unpack_libGL_glGetnMapdv}, // libGL:glGetnMapdv
  {(uint8_t*)"\xa7\xd9\x78\x64\xa6\x97\x65\xcd\x9c\xd6\xff\xc1\x89\x43\xa9\x2d\x24\x56\x7f\x04\x02\xb9\x2b\xa1\x3a\x97\xe0\x98\xaa\xd8\x4e\xeb", (void(*)(void *))&fexfn_unpack_libGL_glGetnMapfv}, // libGL:glGetnMapfv
  {(uint8_t*)"\xd8\x95\xe7\xaf\x0c\x9f\x0e\x9b\xf2\x80\x1c\xf1\x8c\x0f\xc0\xe5\x70\x7f\x16\x3f\x97\x85\xee\x41\x5e\x24\xc2\xdc\x0a\x9c\x7d\x74", (void(*)(void *))&fexfn_unpack_libGL_glGetnMapiv}, // libGL:glGetnMapiv
  {(uint8_t*)"\x36\x4a\x42\x62\x10\x6d\xc4\x1e\xf1\xc4\x3b\x13\xc3\x26\xd0\x54\x9c\xc3\x5e\x5a\xbc\xb0\xdd\x2f\x9c\xf2\x62\x6f\xa3\x12\x89\xe8", (void(*)(void *))&fexfn_unpack_libGL_glGetnPixelMapfv}, // libGL:glGetnPixelMapfv
  {(uint8_t*)"\x6b\xc0\x71\xab\x1c\x03\x1b\x86\xad\x7f\xe1\x0d\xb6\x6a\xf5\xe6\xbd\xd1\x51\xa7\x78\x8f\xd2\xb3\x14\x5c\x97\x49\xd1\x08\xbd\x49", (void(*)(void *))&fexfn_unpack_libGL_glGetnPixelMapuiv}, // libGL:glGetnPixelMapuiv
  {(uint8_t*)"\x16\x2c\xf2\xbd\x36\x34\x3a\x66\x3d\x93\x9c\x5a\xd4\x6f\x85\x08\xe9\xf0\x22\x70\xd0\xa1\x21\xc5\x80\x79\x09\x48\xfd\xa6\xee\x49", (void(*)(void *))&fexfn_unpack_libGL_glGetnPixelMapusv}, // libGL:glGetnPixelMapusv
  {(uint8_t*)"\x8d\x26\x47\x0d\x9e\x72\x82\x1a\x99\x90\xab\xa9\xe4\x68\x4a\x7a\xdf\xa8\xd5\xd1\x32\x73\x8e\x3e\xaf\xca\x1a\xe5\x43\x60\x21\xfe", (void(*)(void *))&fexfn_unpack_libGL_glGetnPolygonStipple}, // libGL:glGetnPolygonStipple
  {(uint8_t*)"\x33\xa8\x34\xda\xb7\x06\x24\x94\xac\x7f\xde\xf0\x88\xe1\x81\xa8\x31\x99\xe1\xea\xbc\x55\xe0\x1f\x80\x27\x3a\x4e\x89\x73\x9f\x4e", (void(*)(void *))&fexfn_unpack_libGL_glGetnSeparableFilter}, // libGL:glGetnSeparableFilter
  {(uint8_t*)"\x80\x73\x73\xf3\x4e\x50\x36\xd2\xf2\x4c\xe5\x6b\x6e\x14\x9b\xea\x35\xb6\x5c\x4b\x76\xf4\x05\xa7\x6e\x2d\x7c\xdc\x8a\xe2\x0b\xf0", (void(*)(void *))&fexfn_unpack_libGL_glGetnMinmax}, // libGL:glGetnMinmax
  {(uint8_t*)"\x29\xbc\x1f\x74\x48\x9b\x65\xb2\xa8\x53\xc0\xfb\x73\x61\x97\x2d\xd0\xba\x30\x96\x8d\x81\x3f\x6c\xb0\x3c\xb1\xc1\x1c\x10\xd7\xa6", (void(*)(void *))&fexfn_unpack_libGL_glGetnMapdvARB}, // libGL:glGetnMapdvARB
  {(uint8_t*)"\x44\xf0\x9b\x8d\x4e\xcf\x75\xef\x13\xae\xa2\xe5\x07\xb6\xd5\x8e\x7b\xa9\xe8\xf4\xae\xe7\xdf\x3d\xa8\xe9\xa0\x4b\x39\xee\xfb\x09", (void(*)(void *))&fexfn_unpack_libGL_glGetnMapfvARB}, // libGL:glGetnMapfvARB
  {(uint8_t*)"\x50\x92\x79\xb8\xbb\x12\xb5\x9d\x92\x2e\x9b\x31\x5b\xcc\x57\x8c\x46\xcf\x01\x9e\x96\xcb\xb9\x64\xe7\xb5\x00\xb0\x90\x47\x0d\x0a", (void(*)(void *))&fexfn_unpack_libGL_glGetnMapivARB}, // libGL:glGetnMapivARB
  {(uint8_t*)"\xab\xa2\x57\x95\x11\x59\x31\x96\x34\x55\x57\x69\xd8\xfb\x1a\xde\x8c\xa7\xd8\xe4\x34\x32\xf0\x1f\x57\x1e\xc5\x98\x0d\x56\x81\xca", (void(*)(void *))&fexfn_unpack_libGL_glGetnMinmaxARB}, // libGL:glGetnMinmaxARB
  {(uint8_t*)"\xa6\x9e\x0a\x01\xf7\x50\xb9\xc5\x2d\x3d\x38\x62\xc0\x61\x64\x27\xa7\x0a\x16\x02\x61\x9d\x26\xb4\x81\xb4\x78\x71\x07\xa2\x13\x80", (void(*)(void *))&fexfn_unpack_libGL_glGetnPixelMapfvARB}, // libGL:glGetnPixelMapfvARB
  {(uint8_t*)"\xff\x88\x90\x2c\x12\xa2\xaf\xe7\x3c\x76\x51\x5c\x8e\xa9\x8a\xc5\x01\x56\xbf\x1d\x83\xf4\x13\x6e\x24\x66\xb3\x32\x2c\xab\xba\x7c", (void(*)(void *))&fexfn_unpack_libGL_glGetnPixelMapuivARB}, // libGL:glGetnPixelMapuivARB
  {(uint8_t*)"\x44\x1a\x3f\x9c\x73\x89\xb0\x3c\x35\x0e\x39\xf7\xc7\x98\x77\x1d\x3b\x55\x82\x88\xd2\x87\xc2\xb1\xa3\x50\xb0\xe0\xca\x2d\x09\x1a", (void(*)(void *))&fexfn_unpack_libGL_glGetnPixelMapusvARB}, // libGL:glGetnPixelMapusvARB
  {(uint8_t*)"\x74\xed\x7b\x6f\xa0\xd9\xd5\xdc\xb0\x54\xd3\x82\x6f\x22\x5e\x4f\x97\x55\xb1\x74\x28\x37\x4e\xe6\xf0\x47\x99\xbf\x8f\x70\x67\xd4", (void(*)(void *))&fexfn_unpack_libGL_glGetnPolygonStippleARB}, // libGL:glGetnPolygonStippleARB
  {(uint8_t*)"\x11\x9c\x31\x8f\x18\x47\x36\x2d\x12\xa2\x4a\x53\x59\xb2\x94\xca\x2d\xcd\x23\x37\xd4\xe7\xf9\xc3\x61\x20\xc8\x44\x1f\xe3\xc8\xd6", (void(*)(void *))&fexfn_unpack_libGL_glGetnSeparableFilterARB}, // libGL:glGetnSeparableFilterARB
  {(uint8_t*)"\xab\x3c\x6c\xed\x96\x24\xc0\x41\x05\xec\x11\xdb\x40\xb0\x6a\x5a\x70\x18\xc8\x71\x83\x96\x54\x66\x93\x40\x70\x56\xcd\x03\xa6\x4d", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoordP1ui}, // libGL:glMultiTexCoordP1ui
  {(uint8_t*)"\xc4\xfc\x5b\x6e\x84\xc1\x36\x06\x2b\x93\xb7\x79\x09\xda\x07\x24\xe4\x20\xa2\x9f\xcf\x50\x09\x88\x8b\x69\x2d\x90\x01\x9f\xdb\x53", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoordP1uiv}, // libGL:glMultiTexCoordP1uiv
  {(uint8_t*)"\xa4\x9b\x5e\xa7\x80\xca\xb2\xc5\x75\x25\x6f\xf9\x8d\xc5\x58\x81\x55\x8d\x2c\xfb\xf6\xb6\x11\xfd\x6b\x65\x52\xb7\x03\xe0\x61\xf0", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoordP2ui}, // libGL:glMultiTexCoordP2ui
  {(uint8_t*)"\x84\x19\xa5\x40\xb1\x11\xd7\x0f\x7b\x45\xb2\x9c\xd7\x3c\xb0\x51\xfb\x6d\x1a\x55\xed\x91\x91\xed\x69\x59\xda\xd5\x18\x91\xaf\x26", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoordP2uiv}, // libGL:glMultiTexCoordP2uiv
  {(uint8_t*)"\x98\x66\x25\x08\xe5\x32\x5b\x6a\x46\x89\x95\x67\xb6\x06\xf0\x6b\x6c\x59\xd1\x99\x15\x74\x00\x9a\xb1\xd2\x99\xf4\x80\x28\x2b\xc0", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoordP3ui}, // libGL:glMultiTexCoordP3ui
  {(uint8_t*)"\xcd\x2f\xd9\x97\x39\xd2\x8d\x99\x0c\x13\x88\xc6\x79\x31\x7b\x0c\x6f\x8d\xb1\x00\xa1\x15\xbb\xa3\x1b\xd4\xde\x12\x90\xd8\x6c\x96", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoordP3uiv}, // libGL:glMultiTexCoordP3uiv
  {(uint8_t*)"\xdf\xbc\x07\xe7\xd3\x83\x84\x14\xc3\xbd\x1b\xb8\x85\x89\x3d\x3a\x51\x34\x18\x2a\x39\xd3\x88\xd3\x22\xc5\xb0\x5b\xd4\x0a\xdf\x1b", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoordP4ui}, // libGL:glMultiTexCoordP4ui
  {(uint8_t*)"\xa8\xc0\x36\x29\x02\x46\x24\x89\x41\xd5\xf8\x87\x99\xb2\x40\xea\xdf\xf2\x12\xd7\xfc\x37\xfe\x94\xbe\x48\x85\xd4\xb1\xff\x37\x2c", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoordP4uiv}, // libGL:glMultiTexCoordP4uiv
  {(uint8_t*)"\x63\xd8\x3e\x48\x65\x38\x7b\xd5\x08\xc7\x58\xcb\x74\x10\xa6\xb1\x66\xa3\xac\x45\x79\x8f\x28\x63\x0d\x50\xa3\x67\x49\x47\x37\x0f", (void(*)(void *))&fexfn_unpack_libGL_glNormalP3ui}, // libGL:glNormalP3ui
  {(uint8_t*)"\xac\x84\x23\x0e\x35\x81\x7b\x07\x52\xe1\xe5\x43\xd4\x84\x29\xf8\x56\xb7\x60\x89\x8d\xdc\x9f\x97\x06\xf0\x4a\xfd\x10\x65\x2c\x2e", (void(*)(void *))&fexfn_unpack_libGL_glNormalP3uiv}, // libGL:glNormalP3uiv
  {(uint8_t*)"\x06\xc6\x8b\x85\x4b\x72\xf8\x01\xc6\xff\x50\xe8\x51\xbb\xea\xa2\x64\x38\xf1\xa3\xfa\xc4\x70\xe4\x36\x27\x53\xa0\x00\xf9\xb6\xc9", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3b}, // libGL:glSecondaryColor3b
  {(uint8_t*)"\x9e\xda\xac\xd7\xf9\xda\x32\x8d\x04\x23\x71\xb7\xe8\xef\x0e\xc5\x89\x58\xd2\x80\xbb\x69\x72\xeb\x6e\x4b\x9b\x59\x78\xc4\x06\x76", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3bv}, // libGL:glSecondaryColor3bv
  {(uint8_t*)"\x84\xb8\xde\x2d\xfa\xfd\x02\x50\x7c\xe3\xdd\x12\x8f\xce\x43\xcb\x02\xac\x69\xd4\xaa\x78\x12\xf2\xf5\xdd\xab\xd3\x97\xb0\x6b\x19", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3d}, // libGL:glSecondaryColor3d
  {(uint8_t*)"\xc3\xc5\x34\x1b\x48\x23\xa0\x7d\x80\x46\xdc\xdc\xc3\xe3\x64\x62\x99\x1c\xb5\xe4\x0f\xc3\xbe\x0d\x33\xd2\xa6\xd1\x5d\x1a\x59\x00", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3dv}, // libGL:glSecondaryColor3dv
  {(uint8_t*)"\x0c\xdb\xf0\xe6\x59\x7b\x02\x15\x55\xd2\x13\xea\xdf\x43\x93\x3e\xbf\xde\xbf\x2f\xa9\x7f\xb9\xe2\x2f\xe6\x47\xf9\x7e\x03\xa5\x0e", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3f}, // libGL:glSecondaryColor3f
  {(uint8_t*)"\x27\x10\x40\x0b\xfc\x90\x97\x7d\x36\x79\xd9\x3b\xe7\x7d\x7b\xbf\x57\x0e\xf9\x67\x9d\xc1\xf7\x3c\x87\x0d\x24\x23\xce\xdf\x98\x99", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3fv}, // libGL:glSecondaryColor3fv
  {(uint8_t*)"\x7c\x04\xbd\xcc\xf0\x8f\xaf\x3b\x38\x12\xc4\xcb\xf9\x65\x24\x24\xfd\x6d\x0b\x5d\x28\x32\xe8\x69\x45\x0d\x0a\x5e\x4b\x37\x30\x80", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3i}, // libGL:glSecondaryColor3i
  {(uint8_t*)"\xad\x2a\xfc\x6e\xe3\x98\x4c\x7b\x8d\x20\x11\xfc\x6c\x59\xe9\x7c\x61\x9c\x23\xaf\x7d\xfb\x81\x28\xad\x11\x3f\x70\x0c\x9f\x26\x4a", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3iv}, // libGL:glSecondaryColor3iv
  {(uint8_t*)"\x62\x8c\x59\x61\x68\x2e\xc7\x6d\x32\x8e\x09\x24\x48\x01\xf2\x05\x3a\x89\xd2\x85\xf8\xa0\x17\x11\x0e\x65\x17\x24\x97\xdd\x3a\x0c", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3s}, // libGL:glSecondaryColor3s
  {(uint8_t*)"\xbf\xb2\x11\xc7\x79\xde\xa6\xf8\xae\x29\x75\x04\x2e\x30\x0a\xc5\x67\x15\xef\x7f\x17\xf6\x72\xcd\x84\xe6\x78\x7f\x42\x37\x8c\x5d", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3sv}, // libGL:glSecondaryColor3sv
  {(uint8_t*)"\x13\x9c\x42\x9f\xff\xaa\x63\xd9\xa5\x19\x78\x23\xc4\x99\x39\xb2\x03\x2a\xb0\xdc\xbb\x57\xba\x67\x95\x8f\xff\xef\x44\xa2\x9a\x68", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3ub}, // libGL:glSecondaryColor3ub
  {(uint8_t*)"\x6b\xf2\x1f\x54\x98\x79\x1c\xc2\xf9\x72\x23\x01\xf3\xf7\xd5\x03\x7a\x23\x0f\x58\x72\x98\x98\x54\xd4\x60\x7d\x6f\x46\x19\x6c\x19", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3ubv}, // libGL:glSecondaryColor3ubv
  {(uint8_t*)"\x2b\x76\xe3\xb7\xd9\x46\x41\x47\x00\xd9\xc4\xb4\xa9\x40\x6d\x28\xc0\xa9\x70\xc9\x1c\x29\x42\xa0\x71\x0d\xa1\x3b\x19\xbc\x62\xd5", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3ui}, // libGL:glSecondaryColor3ui
  {(uint8_t*)"\xcb\x05\x3d\x33\xf4\x02\xa1\x03\x8f\x1d\x41\xf8\x96\xff\xba\x22\x70\xf9\x72\x2e\x3f\xc0\xe6\x5c\xd5\xfa\x81\x87\xd1\xc0\x5d\x66", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3uiv}, // libGL:glSecondaryColor3uiv
  {(uint8_t*)"\x95\x61\x64\x68\x20\xf7\x83\x44\x07\x13\x9a\x92\xf0\x08\xb8\x2d\x45\xdd\x17\x65\xc5\xc8\xc7\x05\x1c\x97\xee\x43\x32\x40\x46\x55", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3us}, // libGL:glSecondaryColor3us
  {(uint8_t*)"\xde\x03\xe1\x46\xe6\x10\x2d\x99\x5d\x8b\x80\x86\xca\xd6\xaf\x44\x2d\xf8\xce\xf0\x41\xba\xf3\x47\xe5\xa7\x04\x64\x93\x6a\x38\x17", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3usv}, // libGL:glSecondaryColor3usv
  {(uint8_t*)"\xd0\x9d\x2a\xce\xe9\x57\xcb\xed\xc6\xb3\xe2\xfe\x8e\xdf\xa9\xa7\xb6\x02\xec\x93\x31\x4b\xb3\x6f\xe0\xc5\x90\x6f\x5a\x80\xa5\x60", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColorP3ui}, // libGL:glSecondaryColorP3ui
  {(uint8_t*)"\xe1\x80\x76\x32\x70\x88\xda\x2b\x8b\x2e\xb7\x45\xcc\xe5\x3d\x94\x24\xf5\x7f\x65\xa1\x2e\xf3\xe6\x9a\x62\x37\xc2\x98\xe0\x5f\x0c", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColorP3uiv}, // libGL:glSecondaryColorP3uiv
  {(uint8_t*)"\x62\x19\xf4\xf1\xc6\x73\x28\xe6\x1e\xf5\xd7\x92\x6f\xcd\xa9\xb7\x00\x72\x68\x0e\x11\x6f\x12\xc6\xa6\xe5\xfc\xc3\xda\xdc\x96\x50", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColorPointer}, // libGL:glSecondaryColorPointer
  {(uint8_t*)"\x8d\xa5\xa3\xa7\x73\xa7\x3d\xa1\x15\x91\x91\xca\x49\x2c\x19\x9f\x8c\x24\xce\xaa\x68\x6f\xdd\x63\x8f\xb6\x16\x0a\x04\x1e\x8c\xbc", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordP1ui}, // libGL:glTexCoordP1ui
  {(uint8_t*)"\x09\xea\x5a\x1e\x53\xa7\x34\xbf\xfd\xc3\x5b\x65\xb2\xda\x57\x37\xbf\x8a\x1e\x19\x9d\xa9\xca\xa3\x0e\xa4\x3d\xa6\x89\xc5\x7c\x3d", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordP1uiv}, // libGL:glTexCoordP1uiv
  {(uint8_t*)"\x46\x4c\xd8\x3b\x10\x3e\x94\x10\x8f\xbf\x59\xd2\x13\x3e\xef\x7a\xf5\x0c\x4c\xd5\xfa\xc0\x67\x0b\xfe\xd6\xce\xd0\x0d\x00\x3f\xa0", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordP2ui}, // libGL:glTexCoordP2ui
  {(uint8_t*)"\x1a\xb5\x5d\x48\x3f\x9e\x37\xb3\xd4\x9a\x01\x7a\x81\x2a\x01\xbf\xd6\x03\x2f\x33\xdc\xd2\x65\x78\x52\x12\x5d\xf6\x38\xde\xcf\x82", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordP2uiv}, // libGL:glTexCoordP2uiv
  {(uint8_t*)"\x64\x7c\xd6\x4a\xc9\xe0\x59\x61\x0b\xe4\x3b\xb2\xed\x05\xe6\x59\xcd\x41\xca\x96\xaa\x77\xd6\x03\x3b\x70\x74\x37\x7b\xce\x49\x20", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordP3ui}, // libGL:glTexCoordP3ui
  {(uint8_t*)"\xf9\x67\x54\xcc\xf4\x7a\xa5\x1c\x02\x58\xc2\x0e\xd2\x33\xd2\xc8\xc4\xcc\x3b\x00\x6b\x75\x4c\x04\xd3\x3c\xa6\x28\xa3\xfe\x95\x5b", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordP3uiv}, // libGL:glTexCoordP3uiv
  {(uint8_t*)"\x21\x09\x93\xa4\xcd\xef\xe0\x13\x37\x41\x4a\x07\x6c\x33\xeb\x79\x2a\xd8\x3c\xda\x51\x43\x9b\xe6\x32\xcf\xce\xe3\xd6\x31\x8b\xba", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordP4ui}, // libGL:glTexCoordP4ui
  {(uint8_t*)"\xf8\x45\xad\x30\x42\x20\xf6\xb1\xc5\x62\x37\xaf\xc5\x22\x48\x29\xc2\x73\xec\x85\x11\x96\xea\xcd\x08\xef\x3a\xe3\x3d\x5e\x14\x50", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordP4uiv}, // libGL:glTexCoordP4uiv
  {(uint8_t*)"\xe0\x96\x8a\xc8\x2c\x46\x0a\xbc\x8e\xd1\xfd\xf7\x81\x90\xda\xcb\xaa\x6d\xe6\x64\xa8\xb5\x98\xd9\x17\xce\x9b\x54\xd7\x77\x7d\xed", (void(*)(void *))&fexfn_unpack_libGL_glVertexP2ui}, // libGL:glVertexP2ui
  {(uint8_t*)"\xaf\x19\x71\xa9\x76\x8a\x34\xbb\xfd\x99\xaa\x9d\x35\x1b\x29\xf4\x50\x9f\x1e\x66\xa2\xe0\xe8\xef\x70\x63\x75\x44\x0f\xf2\x9d\xd8", (void(*)(void *))&fexfn_unpack_libGL_glVertexP2uiv}, // libGL:glVertexP2uiv
  {(uint8_t*)"\x44\x79\x03\x6c\x8d\x82\x54\x98\x63\x69\x70\x2c\xdf\x03\xad\x82\x55\xea\x7c\x6e\x81\x89\x43\xec\x09\x25\x3a\x41\x16\xf3\x7d\x57", (void(*)(void *))&fexfn_unpack_libGL_glVertexP3ui}, // libGL:glVertexP3ui
  {(uint8_t*)"\xf5\xff\x54\x29\x04\xdc\xc1\x7f\x5e\xc4\x2c\x24\x0e\xcb\x16\x0a\x88\x31\x95\x00\xfb\x10\x52\x33\x44\xfa\x7f\x93\xdb\xc6\x5a\x2d", (void(*)(void *))&fexfn_unpack_libGL_glVertexP3uiv}, // libGL:glVertexP3uiv
  {(uint8_t*)"\x74\x88\xb7\x4b\x4a\x6d\x37\x40\x20\x4a\xf1\x02\x51\x3c\xf3\x2d\x71\x90\xbc\x3d\xf9\x1f\xcc\x12\x05\xae\x56\xf6\x5c\x77\xb7\x22", (void(*)(void *))&fexfn_unpack_libGL_glVertexP4ui}, // libGL:glVertexP4ui
  {(uint8_t*)"\x0a\xdb\xc6\x64\x68\x92\x29\xfe\x5a\xf0\xa1\x61\xcc\x14\x34\x94\x0b\x6e\x12\xb6\xd7\x2a\x0c\xdc\x15\x1b\x65\x68\xfb\x42\xf9\xd1", (void(*)(void *))&fexfn_unpack_libGL_glVertexP4uiv}, // libGL:glVertexP4uiv
  {(uint8_t*)"\x2f\xda\x02\x9e\x3d\x60\xdd\xd7\x8c\x32\xb6\xc7\x1c\xdc\xe0\x26\x07\xaa\x33\x35\x73\x64\x5e\x88\x25\x99\xe4\x57\xfd\x84\x0d\xef", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2d}, // libGL:glWindowPos2d
  {(uint8_t*)"\x5a\x19\xcf\x11\xc3\x32\xb5\x0f\xd4\x63\x43\x87\x7e\x9f\xb7\x0a\x75\x50\xb9\x28\x6f\x0d\x86\x02\x37\x88\x7e\x40\xda\xe4\x93\xaf", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2dv}, // libGL:glWindowPos2dv
  {(uint8_t*)"\x9c\x3c\x50\x90\x2e\x25\xc6\x81\x6e\x5e\x41\x14\x70\x5c\xd7\xf5\x27\x51\xac\x9b\x89\xa5\x56\xc5\xc3\xa6\x2d\x90\x29\xf4\x1a\x4b", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2f}, // libGL:glWindowPos2f
  {(uint8_t*)"\xcc\x7a\xb9\x6e\xda\x6c\xb5\x50\x36\x27\x64\x05\x68\xb6\xe2\x18\x80\x64\x98\x45\xa8\x28\xc8\x02\x6e\x59\x22\xd7\xa4\x39\x21\x11", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2fv}, // libGL:glWindowPos2fv
  {(uint8_t*)"\x63\x2e\x13\xbc\xb1\x3b\x87\x14\xb8\xb2\x86\xb0\xf9\x03\x4e\x52\xd6\x79\xa7\xd2\x48\xa6\xd9\x45\xfc\x0b\x80\xc4\x71\x10\xc4\x32", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2i}, // libGL:glWindowPos2i
  {(uint8_t*)"\xbe\xf2\x1d\xcc\xc3\x02\x08\x43\xc6\x63\xf7\x4f\x53\x1a\xb8\x8e\x65\xae\xea\xeb\xaa\xf1\xd0\xf0\x3f\x07\x19\x4e\x9f\x7d\x15\x00", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2iv}, // libGL:glWindowPos2iv
  {(uint8_t*)"\x5a\x60\x16\x08\xff\x44\x05\xfa\x9d\x37\xc8\x0a\x71\x46\x5c\x62\x25\x95\x14\x4c\x25\x91\x8f\xd0\x18\x05\xed\xa9\xbc\x56\xce\xe4", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2s}, // libGL:glWindowPos2s
  {(uint8_t*)"\x15\x09\x5a\x09\x68\x50\xc8\x5f\xe2\xe1\x54\x48\xb0\x9d\x12\x0f\x67\x5d\x4c\xee\x3e\x7a\x8e\x7a\xa9\xdf\x32\x72\x1b\x3b\x9c\xe9", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2sv}, // libGL:glWindowPos2sv
  {(uint8_t*)"\x67\x20\x4e\x6c\xc6\x57\xd8\xbb\x30\xd7\xc3\xa0\x05\x4f\x8b\x92\x65\x41\xed\x7a\x30\x41\x3b\xc9\xf2\x4f\xc1\xa4\x82\x8d\xef\xc7", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3d}, // libGL:glWindowPos3d
  {(uint8_t*)"\xf9\xb4\x2a\x35\x47\x9b\xa8\xb2\x56\x4f\x17\x7a\x40\x0e\x44\x00\x68\x78\x5e\xc5\x29\x7a\x93\xb6\xde\x18\xee\x31\x89\xd9\x5b\x00", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3dv}, // libGL:glWindowPos3dv
  {(uint8_t*)"\x13\xa2\x35\xe4\x65\xd9\x7e\xad\x80\xfb\xb8\x34\xc7\x93\x0e\x9f\x27\x88\x73\xff\x57\x92\xb7\x4b\xb6\xe8\x8a\x68\xde\xf2\xef\x42", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3f}, // libGL:glWindowPos3f
  {(uint8_t*)"\xbf\xb6\xe3\x4b\xa7\x36\xe2\xd0\x23\x27\xb5\xd0\x59\x9e\xce\x62\x89\x46\x8b\xae\x58\x43\x37\x24\x9f\xa7\x4b\xdd\xe6\x1e\x79\x37", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3fv}, // libGL:glWindowPos3fv
  {(uint8_t*)"\xf0\x5f\x7e\x05\xb2\x2e\xb9\x62\x11\xc7\x32\xe6\xd7\x4e\x3a\x02\x25\xa9\x76\x9b\xe7\x27\x9b\xea\x5a\x2e\x90\xae\x37\x3b\x4b\xb4", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3i}, // libGL:glWindowPos3i
  {(uint8_t*)"\x37\x1d\x38\x96\xe2\xb3\x8d\x6f\xa6\xa7\xfe\xe7\x67\x0c\x07\xaa\x6f\xdf\x99\xcf\xb0\x2d\xcc\xb2\x2f\xa1\xf1\x55\x63\x5d\x1c\x45", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3iv}, // libGL:glWindowPos3iv
  {(uint8_t*)"\x3d\xc8\xc5\xf4\xd9\x80\x67\xb8\x78\x03\xa6\x23\xf8\xd3\x55\xba\x8b\x26\x97\x04\x31\xf4\x4b\xd2\x25\xfa\x1b\x63\x86\x01\x54\xb5", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3s}, // libGL:glWindowPos3s
  {(uint8_t*)"\xc6\x54\x7b\x34\x5a\x57\x80\x3a\x7a\x2f\x5a\xe9\xdb\xe3\xbf\x76\xe5\x12\x3f\x8e\x2d\x82\x84\x4e\xc6\x3b\x20\x10\xf9\x2b\xb7\x75", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3sv}, // libGL:glWindowPos3sv
  {(uint8_t*)"\xfe\x24\x94\xa3\x1f\x80\x49\xc5\xb0\x2c\xae\x12\xba\xb3\x4d\x8e\xc2\xb1\xce\xc9\x1e\x3a\x53\x36\xea\x47\x8e\xd8\x18\x45\x01\x43", (void(*)(void *))&fexfn_unpack_libGL_glGetString}, // libGL:glGetString
  {(uint8_t*)"\x74\x21\x71\x01\x4a\x1e\x42\xbf\x47\xdd\x78\x91\x42\xaf\x1a\x0e\x6e\x86\x6a\xfc\xd9\xb3\xcc\x14\xeb\x68\xec\xbc\x88\x59\x8f\xe7", (void(*)(void *))&fexfn_unpack_libGL_glGetStringi}, // libGL:glGetStringi
  {(uint8_t*)"\x81\x31\x8a\xdd\x3b\x6d\xd0\xdf\x26\xab\x89\xac\x47\x87\xaf\xcd\x81\x6c\x76\xe2\xe3\xa8\xf8\x20\x8e\xfd\x6c\x5e\x01\x9d\x5f\xbb", (void(*)(void *))&fexfn_unpack_libGL_glQueryMatrixxOES}, // libGL:glQueryMatrixxOES
  {(uint8_t*)"\x05\x0b\xd6\x1a\xa4\x30\x09\x69\x03\x68\x67\x4c\x76\x76\x9f\x26\x4a\xfe\x3c\xe4\xf1\x3e\xf0\x69\x2e\x7e\x2b\x78\xcd\xee\x5f\x68", (void(*)(void *))&fexfn_unpack_libGL_glAcquireKeyedMutexWin32EXT}, // libGL:glAcquireKeyedMutexWin32EXT
  {(uint8_t*)"\x58\x4f\xd9\x7f\xb6\x73\x27\x6f\xe7\xac\xe7\x04\x0f\x90\x6f\x53\x52\x5b\x2d\xa2\x3b\x98\x54\x04\xef\x46\x1d\x18\xb5\x47\x53\x40", (void(*)(void *))&fexfn_unpack_libGL_glAreProgramsResidentNV}, // libGL:glAreProgramsResidentNV
  {(uint8_t*)"\x88\x3c\x38\xeb\x31\x2d\x47\xd4\x47\xd8\x90\x56\x93\x2f\xf4\x35\x6d\xe5\x64\x2a\xe3\x41\x29\x18\xe9\x51\x7f\xca\x2a\xb4\x48\x34", (void(*)(void *))&fexfn_unpack_libGL_glAreTexturesResidentEXT}, // libGL:glAreTexturesResidentEXT
  {(uint8_t*)"\x44\x9b\x0e\x5c\xd7\x94\x58\x38\x0b\x55\x92\xd8\x5f\xa7\x41\x62\x31\xaf\x75\xa5\x2b\xc0\xb7\x3a\x8d\x6a\xfa\x30\x30\xca\xa4\x04", (void(*)(void *))&fexfn_unpack_libGL_glAreTexturesResident}, // libGL:glAreTexturesResident
  {(uint8_t*)"\x77\xc8\xd8\x84\x37\xea\x9d\x64\xc6\x84\x6c\x3c\xf9\x7d\xe1\x2f\xce\x9b\xa5\x95\xc2\xf9\x85\x27\x23\xa8\x53\x12\xee\xc7\x79\xc9", (void(*)(void *))&fexfn_unpack_libGL_glIsAsyncMarkerSGIX}, // libGL:glIsAsyncMarkerSGIX
  {(uint8_t*)"\x82\xe3\x25\xa3\xe0\x5b\x7f\xd0\x2a\x05\x2e\xeb\xa5\xed\xc4\xc8\x08\x96\xfa\x2f\x40\xe6\x81\xd0\x9e\xaf\x35\x11\x61\x29\x4d\x1e", (void(*)(void *))&fexfn_unpack_libGL_glIsBufferARB}, // libGL:glIsBufferARB
  {(uint8_t*)"\x16\x1a\x25\x0b\xe8\xc7\x50\x43\x96\x07\xb6\x1d\x73\x44\xc0\x33\x0e\x0b\x01\x76\x19\x44\x9b\x11\xe0\x65\xe4\x2e\xa1\xab\x33\x6e", (void(*)(void *))&fexfn_unpack_libGL_glIsBuffer}, // libGL:glIsBuffer
  {(uint8_t*)"\x76\x0a\x2f\x07\x84\x82\x4b\xee\x67\xc6\x93\xa3\xaa\x88\x93\x56\x8e\xec\x4b\xed\xca\x86\xd4\x9a\xc1\x99\xc1\x0c\xa0\x60\xc6\x7a", (void(*)(void *))&fexfn_unpack_libGL_glIsBufferResidentNV}, // libGL:glIsBufferResidentNV
  {(uint8_t*)"\xcd\x36\x59\x85\x05\xcb\xe9\x1d\x9c\xfb\xe9\xc8\x8a\xf9\x26\x38\x61\x04\x8c\xf7\xe1\x6c\x08\xa5\x0c\xa9\x30\x8d\xd1\xeb\x8a\x5a", (void(*)(void *))&fexfn_unpack_libGL_glIsCommandListNV}, // libGL:glIsCommandListNV
  {(uint8_t*)"\x28\x72\xcd\xe0\x05\x46\xa8\x12\x17\x75\x97\x7d\x5e\x1f\x0c\x0f\x73\xef\x80\x6a\x41\xad\x7e\x72\x8a\xbb\x0e\xa6\x0a\x0b\xae\x67", (void(*)(void *))&fexfn_unpack_libGL_glIsEnabled}, // libGL:glIsEnabled
  {(uint8_t*)"\x37\xf4\x63\x7d\x08\xfe\x06\x08\x9d\x8c\x0b\xbb\x0e\x09\xac\xc6\x8f\xe7\xbe\xa6\xe2\x76\xb9\x41\xe6\x6d\x32\xa7\x25\x6d\x2c\x37", (void(*)(void *))&fexfn_unpack_libGL_glIsEnabledi}, // libGL:glIsEnabledi
  {(uint8_t*)"\x98\x6e\x0c\xdc\xc3\x53\x35\x64\x5a\xee\xe2\xaf\xc9\xc2\xde\x69\x8f\x05\x8b\xd0\x5b\x15\xe7\x71\x7c\x41\x33\x30\x51\x7a\x58\x28", (void(*)(void *))&fexfn_unpack_libGL_glIsEnabledIndexedEXT}, // libGL:glIsEnabledIndexedEXT
  {(uint8_t*)"\xee\x0e\xa0\x7b\x1d\x5d\x29\x53\x5a\x6f\x15\x4f\xe7\xc4\x48\xa0\xe9\x7d\x40\xa1\x1f\xf7\xc7\xc4\x93\x2e\xf1\xdc\xb4\x2e\xf2\x3d", (void(*)(void *))&fexfn_unpack_libGL_glIsFenceAPPLE}, // libGL:glIsFenceAPPLE
  {(uint8_t*)"\x4e\x9f\xd2\xaa\xc1\x01\xe7\x9a\xcd\x45\x30\x2b\x2d\xd6\x1a\x65\x54\x35\x77\xff\xc8\x18\xae\x3c\x77\xa9\xca\x25\xfe\x54\xe9\x7d", (void(*)(void *))&fexfn_unpack_libGL_glIsFenceNV}, // libGL:glIsFenceNV
  {(uint8_t*)"\x97\xce\x7a\x50\x99\xaa\xe2\x4c\x8d\x4f\xbe\x68\x26\x64\xfd\xf6\xf4\xf1\xc3\x82\x0a\xdb\xc7\xf8\x11\x53\x0b\x8f\x57\x8b\xa3\xd2", (void(*)(void *))&fexfn_unpack_libGL_glIsFramebufferEXT}, // libGL:glIsFramebufferEXT
  {(uint8_t*)"\x48\xd1\x11\x7e\x72\xe5\xe7\x0f\x7a\x09\x8b\x9e\xc9\x7c\xa4\xc7\xc0\x2e\x1c\xb2\xcd\x10\x5f\x7f\x95\x51\x62\xd0\x8f\x0e\x15\x1c", (void(*)(void *))&fexfn_unpack_libGL_glIsFramebuffer}, // libGL:glIsFramebuffer
  {(uint8_t*)"\x8c\x49\xf5\xfd\xf3\xac\x2c\xb1\x58\xba\x2a\xf4\x73\x8a\x68\xb9\xd0\x9d\x78\x99\xf4\xf6\xe4\xc1\x87\x07\xdd\x51\xed\x73\x30\xeb", (void(*)(void *))&fexfn_unpack_libGL_glIsImageHandleResidentARB}, // libGL:glIsImageHandleResidentARB
  {(uint8_t*)"\x56\xa1\xec\x55\x8f\x59\xa3\x46\x8d\xbf\xea\x77\x34\x30\x70\x25\x55\x9f\x87\x86\xb9\xc5\x96\xc7\xe2\xff\x74\x95\x23\x1e\xdb\x63", (void(*)(void *))&fexfn_unpack_libGL_glIsImageHandleResidentNV}, // libGL:glIsImageHandleResidentNV
  {(uint8_t*)"\xc6\xfc\xbb\x42\x5d\x1e\x18\x0f\xbf\x78\x70\x26\x42\x4b\xbe\xf5\xa7\x6b\x95\x92\x6c\xb9\xd1\x3b\x93\x8d\x96\xd0\x0e\x01\x2f\xbe", (void(*)(void *))&fexfn_unpack_libGL_glIsList}, // libGL:glIsList
  {(uint8_t*)"\xcb\x35\xbc\x73\x85\x72\x80\xcf\xc1\x83\xbc\xc3\x29\x36\x0f\x5b\xe2\x0a\x38\xe2\xf9\xd3\xf5\x8e\xb1\x47\xad\xc7\xed\xd9\x26\xae", (void(*)(void *))&fexfn_unpack_libGL_glIsMemoryObjectEXT}, // libGL:glIsMemoryObjectEXT
  {(uint8_t*)"\xa0\xf6\x00\x4b\x59\xc9\xdc\x9b\x36\x3f\x22\x74\xc6\x0c\xc6\x85\x2d\xb1\xd6\xf9\x4f\xde\xe1\xb8\xc8\xba\xf9\xd4\xdc\xc6\xa2\x09", (void(*)(void *))&fexfn_unpack_libGL_glIsNameAMD}, // libGL:glIsNameAMD
  {(uint8_t*)"\xb6\xb0\x5f\x0c\x93\xa8\xe8\x52\x12\x72\x74\xf5\x6f\x4f\x32\xc0\xdc\x3d\x1f\x4d\x9a\x2e\x66\x99\x8b\x86\x46\x7a\xb6\xb2\x23\x77", (void(*)(void *))&fexfn_unpack_libGL_glIsNamedBufferResidentNV}, // libGL:glIsNamedBufferResidentNV
  {(uint8_t*)"\x69\xf3\x22\x8d\x7a\x60\xac\x90\xb9\x83\xa0\xd3\x47\xaa\x87\x5f\x9c\x8b\xf0\xee\x3e\xc4\x46\xd4\xc1\x80\x7c\x8c\xf5\x49\x0d\xb8", (void(*)(void *))&fexfn_unpack_libGL_glIsNamedStringARB}, // libGL:glIsNamedStringARB
  {(uint8_t*)"\xcd\xda\xe9\x47\x31\x83\x4d\xc6\x68\x44\xd9\x47\xa3\xad\x58\xaa\x80\x03\xd5\xa8\x55\xb4\xb2\x10\x4e\x21\x40\xf3\xa2\x8a\xc4\x7b", (void(*)(void *))&fexfn_unpack_libGL_glIsObjectBufferATI}, // libGL:glIsObjectBufferATI
  {(uint8_t*)"\xa1\x65\x7c\x98\xa4\x65\xf1\x10\xd7\x0e\x4c\x3e\x27\x67\x10\x4e\x11\x0d\xbb\x0e\xa3\x49\xea\x20\x21\x0c\xd7\xee\xe5\xbd\xab\xbf", (void(*)(void *))&fexfn_unpack_libGL_glIsOcclusionQueryNV}, // libGL:glIsOcclusionQueryNV
  {(uint8_t*)"\x3a\xa4\xde\xcc\x50\x68\x1d\x66\xb4\xdf\x89\x08\xa5\x53\x02\x62\x19\xff\x5b\xcb\xed\xec\xd4\x1a\xbb\x73\x9d\xc9\x76\x48\x63\x33", (void(*)(void *))&fexfn_unpack_libGL_glIsPathNV}, // libGL:glIsPathNV
  {(uint8_t*)"\xf9\xaa\x95\x9f\xe7\x49\xee\xac\xea\x4c\x70\x8c\x50\x80\x60\xbc\x16\x86\x50\x6b\x6e\x8c\x70\x0e\x10\x77\x93\x70\x55\x69\x89\xba", (void(*)(void *))&fexfn_unpack_libGL_glIsPointInFillPathNV}, // libGL:glIsPointInFillPathNV
  {(uint8_t*)"\x65\x28\x88\xb8\x42\x52\x93\x9a\x5c\xc1\x8b\xbd\xef\xda\x35\xe3\x32\x00\xcc\x1f\xe0\xff\xc9\x99\x56\x4f\x34\xb6\x9c\x9f\x9a\xcc", (void(*)(void *))&fexfn_unpack_libGL_glIsPointInStrokePathNV}, // libGL:glIsPointInStrokePathNV
  {(uint8_t*)"\xf9\xe5\xea\x07\xeb\xb2\xd8\x84\xad\x93\xfd\xb3\x93\x0c\x84\x09\x2d\x75\x9f\x28\x74\xd9\x73\x65\x37\x21\x15\x5a\x06\xe4\x1e\xfd", (void(*)(void *))&fexfn_unpack_libGL_glIsProgramARB}, // libGL:glIsProgramARB
  {(uint8_t*)"\xc0\x15\x72\xb1\x01\x4c\xe1\x7e\xc8\x0d\x33\x3b\x76\x1e\x25\x81\xce\x87\x1b\x9b\xc1\xb9\x84\x32\xf2\x04\x42\x71\x92\xa9\x20\xf2", (void(*)(void *))&fexfn_unpack_libGL_glIsProgram}, // libGL:glIsProgram
  {(uint8_t*)"\xcb\x81\x18\xef\x8c\x9a\x31\xee\x67\x32\x30\xdd\x5f\xe3\x14\x4e\xdf\xe4\xe0\x0c\xf4\xc3\x14\xdd\xb0\xfd\x87\xb4\x0e\x59\x71\xe9", (void(*)(void *))&fexfn_unpack_libGL_glIsProgramNV}, // libGL:glIsProgramNV
  {(uint8_t*)"\x65\xca\x21\xd4\x19\x06\xe8\x4f\xba\x58\xc4\xe9\x18\x7c\xc6\xa2\xa9\x0c\x69\x1a\x8f\x44\xb5\x52\x9a\x83\xd7\x78\x7c\xfb\x9a\xc1", (void(*)(void *))&fexfn_unpack_libGL_glIsProgramPipeline}, // libGL:glIsProgramPipeline
  {(uint8_t*)"\xdc\x1e\xe4\x92\xad\x8d\x1a\xbe\xa0\x51\x3a\xf1\xf6\x33\x86\xcf\xa1\x49\xd5\x37\x7d\x7f\x0d\xc7\x03\x26\xb6\xc2\xe5\xd5\x0a\x2a", (void(*)(void *))&fexfn_unpack_libGL_glIsQueryARB}, // libGL:glIsQueryARB
  {(uint8_t*)"\x17\xdd\x4f\x6c\x30\xc0\xb5\xf5\x31\xef\x54\xee\xb3\xd9\xc3\x81\x3b\xbf\x68\xc1\xdd\x9a\xa1\x74\x64\x82\xa9\xdf\x64\x8f\x76\x3b", (void(*)(void *))&fexfn_unpack_libGL_glIsQuery}, // libGL:glIsQuery
  {(uint8_t*)"\x28\xc1\x15\xf3\x24\x1b\x39\x4b\x2d\x21\xcb\x34\x3a\x1d\x81\x72\xc3\x2f\x52\xf1\x83\x47\xdb\x7f\x34\x60\xf0\x5b\x6c\x9d\x2b\xe8", (void(*)(void *))&fexfn_unpack_libGL_glIsRenderbufferEXT}, // libGL:glIsRenderbufferEXT
  {(uint8_t*)"\x99\xc1\xd3\x64\x15\x7e\x27\xef\x36\xd4\x8f\xa9\x27\x84\xa0\x3a\x99\xb7\x28\xdd\x23\xe4\xaa\x63\x33\x4e\x58\xbd\x54\xc9\x4d\xcd", (void(*)(void *))&fexfn_unpack_libGL_glIsRenderbuffer}, // libGL:glIsRenderbuffer
  {(uint8_t*)"\xa1\x92\xf7\x52\x85\x3a\xae\x4d\xad\x49\xdf\x71\x31\x1f\x04\xcd\x2e\xaa\xf0\xf2\x88\xb2\xfe\x69\xe0\x31\xc3\xd7\x24\xa7\xd6\x12", (void(*)(void *))&fexfn_unpack_libGL_glIsSampler}, // libGL:glIsSampler
  {(uint8_t*)"\x91\x52\x38\x2c\x99\xee\x01\xc8\x40\x35\x4e\x51\x92\x63\xa0\x0e\x1f\xb8\x7a\x74\x89\xe4\x79\x4f\x9b\xf3\xeb\xbd\xb5\x87\x4f\x9b", (void(*)(void *))&fexfn_unpack_libGL_glIsSemaphoreEXT}, // libGL:glIsSemaphoreEXT
  {(uint8_t*)"\x39\xec\x47\xe1\x5e\x40\x8e\xb2\xc2\xdf\x6b\x28\x5c\x52\xf8\x03\x11\x2c\x0c\x58\x3b\xc3\x42\x71\xd9\x40\xad\xdb\x21\xf3\x8e\x7c", (void(*)(void *))&fexfn_unpack_libGL_glIsShader}, // libGL:glIsShader
  {(uint8_t*)"\x16\x58\x42\x48\x58\x1a\xf5\x30\xd2\x9a\xd7\x1e\x97\x2c\x2a\x71\xb2\xd5\x4c\x5a\x89\x84\x92\x61\xc4\x4d\xc7\xfa\xb9\x74\x6e\x32", (void(*)(void *))&fexfn_unpack_libGL_glIsStateNV}, // libGL:glIsStateNV
  {(uint8_t*)"\xcd\xb2\x9d\x6b\xa4\xfd\x9d\xe1\xf3\xdb\x5c\x6d\x12\xbc\x28\x3f\xde\xd0\xf1\xa1\x74\xaf\xc4\xf6\x33\x6e\xa4\x37\xcb\x7c\xb6\x16", (void(*)(void *))&fexfn_unpack_libGL_glIsSync}, // libGL:glIsSync
  {(uint8_t*)"\x4d\xab\xbe\x96\xea\xb9\x28\x72\x0f\xe5\x2d\xcd\xbd\xaf\x44\x84\x68\xff\x6f\x3d\x55\x01\xd7\x24\xb9\x18\x6b\xfd\xb8\x57\x51\xa2", (void(*)(void *))&fexfn_unpack_libGL_glIsTextureEXT}, // libGL:glIsTextureEXT
  {(uint8_t*)"\x30\x4f\x77\x32\xb8\x6a\x35\x2b\x17\xff\x33\x16\xd8\xfa\x6f\xed\xf0\x67\xc3\x36\x0a\xcb\x54\x90\xbd\x77\x7e\xc7\x0a\x9c\xbc\x31", (void(*)(void *))&fexfn_unpack_libGL_glIsTexture}, // libGL:glIsTexture
  {(uint8_t*)"\xb2\xbd\x49\xce\xcf\x8f\xce\x4c\xfb\x07\x80\xa2\xb9\x18\x2e\x96\x8d\xb2\xa8\xb8\x25\x19\xf0\x13\xf1\xea\x4d\x3f\x38\x0c\x74\x7c", (void(*)(void *))&fexfn_unpack_libGL_glIsTextureHandleResidentARB}, // libGL:glIsTextureHandleResidentARB
  {(uint8_t*)"\xdc\xb2\x8a\xb3\x7d\x91\x6b\xc9\x4f\x83\x4f\x00\x1b\x1e\x03\x59\x5d\x93\xf0\x90\xbf\x1c\xc1\x0d\xb8\x8b\xbb\x8b\xe3\x56\x39\x7a", (void(*)(void *))&fexfn_unpack_libGL_glIsTextureHandleResidentNV}, // libGL:glIsTextureHandleResidentNV
  {(uint8_t*)"\x77\xb7\xe3\xa3\x39\xb6\x35\xe4\xb0\x1e\xb5\x29\x7c\x08\x23\x06\x22\x47\x83\x11\x7d\xf0\xe8\xfc\x23\xa5\x1f\x86\xeb\x02\xc6\x38", (void(*)(void *))&fexfn_unpack_libGL_glIsTransformFeedback}, // libGL:glIsTransformFeedback
  {(uint8_t*)"\x01\x75\x74\x1c\x3c\x66\xe0\x3a\xbe\x48\xb0\x37\x6e\xc0\x67\x76\xed\x52\x30\xb6\x46\xc2\x21\x97\xad\x29\x89\xbb\x0d\xe7\x37\x44", (void(*)(void *))&fexfn_unpack_libGL_glIsTransformFeedbackNV}, // libGL:glIsTransformFeedbackNV
  {(uint8_t*)"\x25\x8f\x67\xb1\x36\x4a\x7b\xb4\xba\x20\x9d\x3b\xee\xc3\x90\xc1\x8c\x3a\x3b\x2c\xc7\xcd\xbc\xdf\xa6\xc5\x85\x3b\x1a\xa9\x0b\x90", (void(*)(void *))&fexfn_unpack_libGL_glIsVariantEnabledEXT}, // libGL:glIsVariantEnabledEXT
  {(uint8_t*)"\xf4\x9f\xc5\x59\x41\x6e\x9b\x8b\x84\xb9\xbc\xb6\x69\xba\x0f\x87\x88\x9d\x12\xb1\x11\x99\xd4\x41\x95\x1d\x9d\x13\x6f\x70\x77\x58", (void(*)(void *))&fexfn_unpack_libGL_glIsVertexArrayAPPLE}, // libGL:glIsVertexArrayAPPLE
  {(uint8_t*)"\x31\x5d\x46\x30\x03\x4f\x56\x6e\xf9\xd1\xd7\xcb\x0d\xa0\x77\xf4\x71\x0a\x0b\xd7\xe8\xa7\x2f\x45\x9b\x1d\xf8\x7a\xc0\xa2\xa1\xc8", (void(*)(void *))&fexfn_unpack_libGL_glIsVertexArray}, // libGL:glIsVertexArray
  {(uint8_t*)"\x6b\xf6\x56\xe5\x1c\xbd\xa0\x22\xd6\x38\xf7\xab\x37\xcd\xc1\xae\x52\x83\xa1\xf9\xd1\x5b\x22\x6b\xbe\x0d\xf8\x5c\xda\xc6\xb2\x73", (void(*)(void *))&fexfn_unpack_libGL_glIsVertexAttribEnabledAPPLE}, // libGL:glIsVertexAttribEnabledAPPLE
  {(uint8_t*)"\x68\x96\xc7\x92\x99\xc0\x21\x14\x76\x23\x8a\xb1\xe2\xa1\x3c\x50\x82\x51\x6d\x47\xc0\xb2\x57\x6d\xe9\x0c\xe1\x28\xe6\xbb\x93\x60", (void(*)(void *))&fexfn_unpack_libGL_glPointAlongPathNV}, // libGL:glPointAlongPathNV
  {(uint8_t*)"\x84\x86\x98\x7f\xc5\x35\xad\x19\xfa\xa1\xc9\xce\x34\x71\xd6\x92\x4a\x5d\x53\x11\xbb\x04\x6d\x9e\x7b\xb7\xae\x6b\x13\xdf\xdb\x81", (void(*)(void *))&fexfn_unpack_libGL_glReleaseKeyedMutexWin32EXT}, // libGL:glReleaseKeyedMutexWin32EXT
  {(uint8_t*)"\xae\x91\x19\x2a\x50\xd0\x5b\xdb\xf1\xc5\x66\x6a\x09\x1c\x95\xca\x80\xd1\x05\x45\x70\x7e\xc8\x97\xba\xe7\x90\x8b\x81\x78\x3d\xee", (void(*)(void *))&fexfn_unpack_libGL_glTestFenceAPPLE}, // libGL:glTestFenceAPPLE
  {(uint8_t*)"\x12\xa2\x72\xff\x3e\x16\xa3\x0a\x87\xe0\xb3\xe4\x7a\x41\x64\xc6\xcd\xd6\xd8\x2a\x08\x7c\x74\x81\x13\x8a\x68\x99\x61\x78\xdb\xb7", (void(*)(void *))&fexfn_unpack_libGL_glTestFenceNV}, // libGL:glTestFenceNV
  {(uint8_t*)"\x85\x49\x3f\xab\x2b\xc7\x05\x8f\x2e\xed\xc0\x79\x3f\xc8\xc1\x82\xd6\x44\x84\x50\xb4\xcd\xed\x19\x1f\x6a\x3d\x7b\x9c\x05\xf2\x44", (void(*)(void *))&fexfn_unpack_libGL_glTestObjectAPPLE}, // libGL:glTestObjectAPPLE
  {(uint8_t*)"\x41\xf9\x5c\x18\x06\xc2\x5a\x9b\x82\xa6\xa5\x91\x68\x22\x6f\xc1\xbf\x67\xa9\x64\x2e\xe4\xeb\x49\x8e\xb6\xc0\x7e\x8d\x3d\x6a\x0a", (void(*)(void *))&fexfn_unpack_libGL_glUnmapBufferARB}, // libGL:glUnmapBufferARB
  {(uint8_t*)"\x80\x4b\x13\x8f\x5e\xc2\x82\x75\x86\xb2\x4e\x67\x7c\xa3\x98\x6c\x13\x3f\x40\x86\xec\x08\xe3\x11\xd1\xeb\x8d\xad\x6e\x14\x28\x14", (void(*)(void *))&fexfn_unpack_libGL_glUnmapBuffer}, // libGL:glUnmapBuffer
  {(uint8_t*)"\x38\xbd\xe2\x74\x18\xfc\xf7\x09\x81\xe6\x09\x46\x81\x35\x99\x82\x33\xe1\x00\xec\xbb\xb4\x57\xd5\xba\xfe\x5c\x8a\x78\xef\x51\x0c", (void(*)(void *))&fexfn_unpack_libGL_glUnmapNamedBufferEXT}, // libGL:glUnmapNamedBufferEXT
  {(uint8_t*)"\x05\x86\x30\x93\x88\xe8\xc0\x36\xdd\x61\x07\x73\x9e\xf7\x00\xf8\xba\x67\x78\xf7\xcd\x8d\xc5\xa3\x4e\xfa\x79\x28\x37\xb9\xfa\xd7", (void(*)(void *))&fexfn_unpack_libGL_glUnmapNamedBuffer}, // libGL:glUnmapNamedBuffer
  {(uint8_t*)"\x02\x4f\x62\x4b\x99\x98\x79\x04\x9d\xfc\x47\x6e\x22\x29\xd9\x84\xb7\xfd\xe1\x71\x3f\x53\xd1\xf1\x3c\x2e\x26\xbb\x14\xdf\x95\x4b", (void(*)(void *))&fexfn_unpack_libGL_glVDPAUIsSurfaceNV}, // libGL:glVDPAUIsSurfaceNV
  {(uint8_t*)"\x3f\x13\xbc\xa4\xf2\x72\x72\xd3\x53\x2b\x45\xd1\xc4\xb2\xfb\x09\x28\xf6\xd3\xe4\xe0\x58\x4e\x41\xd1\x97\x72\x04\x27\x95\xb8\x8a", (void(*)(void *))&fexfn_unpack_libGL_glCheckFramebufferStatusEXT}, // libGL:glCheckFramebufferStatusEXT
  {(uint8_t*)"\xf2\xa3\xeb\x60\xe5\x2f\x87\x9e\x7a\xd5\x8a\xcb\xf3\x23\x05\xb5\xe3\xec\x77\x79\x8b\xfa\x2a\x07\x30\xc0\xda\x14\x0c\xc6\x75\x3f", (void(*)(void *))&fexfn_unpack_libGL_glCheckFramebufferStatus}, // libGL:glCheckFramebufferStatus
  {(uint8_t*)"\x93\x56\x26\x19\x2e\x27\xf2\xc0\x9b\xff\x7a\x3a\x81\x41\x06\xfd\x81\x62\xbc\x92\xb0\xdf\x26\xb4\xd4\xa2\x69\x61\xb2\xc3\x5c\x31", (void(*)(void *))&fexfn_unpack_libGL_glCheckNamedFramebufferStatusEXT}, // libGL:glCheckNamedFramebufferStatusEXT
  {(uint8_t*)"\x4c\x0c\x2e\xfd\x04\xd2\x02\x47\xe9\xd8\x5f\x10\x32\x34\x0d\x94\xac\xe2\xde\xa4\x57\xcb\x0b\xa7\xda\x62\xdb\xdc\xb1\x54\x1f\x8c", (void(*)(void *))&fexfn_unpack_libGL_glCheckNamedFramebufferStatus}, // libGL:glCheckNamedFramebufferStatus
  {(uint8_t*)"\x93\xdc\xb2\xe4\x01\xfd\x90\xc8\x65\xfb\x3e\x37\xc6\x16\x4a\x21\xa0\x9c\xcb\x95\x4a\xd7\x50\x7f\xc4\x25\xbd\xf9\x6f\x08\x0b\xab", (void(*)(void *))&fexfn_unpack_libGL_glClientWaitSync}, // libGL:glClientWaitSync
  {(uint8_t*)"\x7d\x82\x9f\x2c\xe8\x06\x78\x2b\x25\x90\xd0\xa7\x6a\x12\xf6\xe9\x53\x9d\xb8\x54\xc1\xd3\xfe\x20\x14\xeb\xe2\x99\x67\xda\x21\x5a", (void(*)(void *))&fexfn_unpack_libGL_glGetError}, // libGL:glGetError
  {(uint8_t*)"\xb0\xec\x22\x23\x35\x60\x15\x3a\x47\xe1\x32\x04\x11\xed\xab\x7a\xd8\xe2\x3e\xc9\xce\x6c\xf5\x95\x5f\x1d\xfe\x80\x95\xf0\x2f\xda", (void(*)(void *))&fexfn_unpack_libGL_glGetGraphicsResetStatus}, // libGL:glGetGraphicsResetStatus
  {(uint8_t*)"\xc8\x71\x60\xf8\x07\x69\x7b\xc3\x12\x84\x34\x76\x99\xa8\x37\xdc\xe0\x62\x1a\xed\x25\x34\x82\xa3\x60\x68\x87\xb5\x38\x3d\x9a\x42", (void(*)(void *))&fexfn_unpack_libGL_glGetGraphicsResetStatusARB}, // libGL:glGetGraphicsResetStatusARB
  {(uint8_t*)"\xb1\xc0\xe5\xed\xee\x98\x4a\x03\xb6\x7d\xce\xb4\xd2\x06\x0a\xe7\x31\xfe\x44\x1f\xc0\xbc\x9b\x3d\xe8\x45\x5e\x9c\x78\x50\xff\x28", (void(*)(void *))&fexfn_unpack_libGL_glObjectPurgeableAPPLE}, // libGL:glObjectPurgeableAPPLE
  {(uint8_t*)"\xb3\x1d\x52\xc3\x04\x5a\xa9\x35\x96\x10\xa8\xa8\xea\x3f\x00\x0c\x0b\xc1\x05\x59\x49\xb0\xe7\x21\x66\x36\xfa\x50\xc0\x2c\x71\x18", (void(*)(void *))&fexfn_unpack_libGL_glObjectUnpurgeableAPPLE}, // libGL:glObjectUnpurgeableAPPLE
  {(uint8_t*)"\xd1\x84\x2a\xd5\x10\xf8\x95\x5b\xa5\x24\x9c\xaf\x49\xc7\x5c\xa4\x30\xde\xa1\x05\xa4\x7b\xe7\x20\x42\xdd\x14\x01\xb8\x94\xec\xb4", (void(*)(void *))&fexfn_unpack_libGL_glPathGlyphIndexArrayNV}, // libGL:glPathGlyphIndexArrayNV
  {(uint8_t*)"\xe8\x73\xe7\x47\x60\xc0\x42\xb2\xb7\xfa\xf2\xf4\xad\x0c\x91\x09\x9e\x17\x8c\xfc\xff\x9e\xef\x3e\x03\x0b\x02\xea\xf5\x76\xb1\xd9", (void(*)(void *))&fexfn_unpack_libGL_glPathGlyphIndexRangeNV}, // libGL:glPathGlyphIndexRangeNV
  {(uint8_t*)"\x2a\x14\xc5\x2a\xc8\xdd\xd2\x8d\xdc\x31\x82\xc5\x6b\x0f\x21\x56\x08\xfd\xd3\xe0\xdf\xbf\xba\x65\x68\xea\x76\x43\x16\x46\xea\xb1", (void(*)(void *))&fexfn_unpack_libGL_glPathMemoryGlyphIndexArrayNV}, // libGL:glPathMemoryGlyphIndexArrayNV
  {(uint8_t*)"\xed\xe3\x98\xd8\x10\x05\x81\x39\xbd\xba\xc3\x08\x4a\x3d\x56\x80\x42\xea\xde\x39\xd8\xf6\x23\x13\x0e\x7a\x27\x23\x54\xd4\xbd\x2a", (void(*)(void *))&fexfn_unpack_libGL_glVideoCaptureNV}, // libGL:glVideoCaptureNV
  {(uint8_t*)"\xda\x2a\x34\x62\x01\x91\xf7\xf4\x68\xeb\x2e\xcc\x66\x98\x13\x8c\xaa\xfd\x80\xf3\x1e\xe2\x13\x3f\x10\x8c\x9b\xd9\xa2\xbb\xe9\x6e", (void(*)(void *))&fexfn_unpack_libGL_glGetPathLengthNV}, // libGL:glGetPathLengthNV
  {(uint8_t*)"\xea\xbb\x2a\xa3\x5e\xaf\x33\xab\x65\xf9\xc7\xb1\x8b\xc8\x3b\xfe\x08\x06\x9d\xaa\xa9\x95\x51\xfb\xa6\x0b\xa1\xd1\xea\x00\xe9\x68", (void(*)(void *))&fexfn_unpack_libGL_glCreateProgramObjectARB}, // libGL:glCreateProgramObjectARB
  {(uint8_t*)"\xf4\x89\x00\x51\x1d\x52\x3e\x4c\xc8\x5b\x9a\xff\x79\x97\xde\x51\x3d\xb0\x80\x89\x11\xad\x7e\xc0\xd3\x2f\x7c\x87\x71\xd7\xcd\x69", (void(*)(void *))&fexfn_unpack_libGL_glCreateShaderObjectARB}, // libGL:glCreateShaderObjectARB
  {(uint8_t*)"\x1b\xed\x4e\x0b\x1e\x19\xf9\xa7\x82\x65\x9a\x25\x5a\x33\x1b\x7f\x70\xe2\xbb\xc9\xcf\x3c\x94\x6f\x68\xce\x83\x0d\x88\xd9\x62\xfd", (void(*)(void *))&fexfn_unpack_libGL_glGetHandleARB}, // libGL:glGetHandleARB
  {(uint8_t*)"\xd9\xa7\xc2\xf6\x05\xe8\x45\x38\x21\x66\x6c\x19\x22\x2d\x9b\x08\x18\xbd\x27\x39\x9f\x4b\x46\xd3\x25\x36\x72\x16\x34\x42\x36\x97", (void(*)(void *))&fexfn_unpack_libGL_glFinishAsyncSGIX}, // libGL:glFinishAsyncSGIX
  {(uint8_t*)"\xb9\xaa\xa1\x83\x94\xf8\x1e\x27\x79\xc7\x37\xe5\xb7\x85\x6d\x6c\x9b\x7b\xcc\x19\x15\x97\xe2\x44\xb5\xb3\xc2\xfa\xb1\x5b\xff\xa8", (void(*)(void *))&fexfn_unpack_libGL_glGetAttribLocationARB}, // libGL:glGetAttribLocationARB
  {(uint8_t*)"\xe8\x1e\xd7\xbb\x12\x99\xca\xee\x18\x3f\x2b\x2a\xea\xdc\x7c\x7d\xc1\x3e\x5b\xcc\x4e\xc5\xb0\xb9\x8d\x82\x14\xaf\x74\x42\x85\xb8", (void(*)(void *))&fexfn_unpack_libGL_glGetAttribLocation}, // libGL:glGetAttribLocation
  {(uint8_t*)"\x7e\x4f\xaa\xd6\x99\x06\xc7\x2b\xbd\x38\x7f\xed\xa9\x87\xbe\xe7\xbb\x40\x55\x97\xfe\x69\xc9\xc0\x15\x75\x9a\xd4\xfb\x3b\x64\xc4", (void(*)(void *))&fexfn_unpack_libGL_glGetFragDataIndex}, // libGL:glGetFragDataIndex
  {(uint8_t*)"\x6d\x5b\x5b\xf6\x20\x1b\xc0\x89\xc5\xb0\x51\x24\x90\xc9\x50\x72\xac\xc6\xf8\x11\x61\x26\x71\xf4\x8b\x6e\x5b\xe7\xd4\xef\x89\x30", (void(*)(void *))&fexfn_unpack_libGL_glGetFragDataLocationEXT}, // libGL:glGetFragDataLocationEXT
  {(uint8_t*)"\x8b\xf3\xcd\x99\x23\xe7\x57\x81\x6d\x30\x87\x67\x00\x5b\xf9\x08\xad\x47\xce\xc4\xc2\x2f\xaa\xd8\xf9\xa8\x6b\x05\xa1\xa4\x5b\xeb", (void(*)(void *))&fexfn_unpack_libGL_glGetFragDataLocation}, // libGL:glGetFragDataLocation
  {(uint8_t*)"\xdc\x9f\xc8\xcb\x02\x31\xd3\x3a\x15\xbf\x9a\xb2\x01\x2d\xee\xa8\x3c\xea\x00\x9c\xe4\x9d\x11\xd8\x51\x93\xc1\xaf\xf3\xa2\x1c\x18", (void(*)(void *))&fexfn_unpack_libGL_glGetInstrumentsSGIX}, // libGL:glGetInstrumentsSGIX
  {(uint8_t*)"\xd6\x76\xad\xae\x5f\x00\x52\xc3\xca\x85\xc2\xe3\xc1\x03\xc2\x99\x45\xd9\xed\x12\x35\x48\xb3\x04\xb8\x11\x7e\xce\x75\xac\xe6\xcd", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramResourceLocation}, // libGL:glGetProgramResourceLocation
  {(uint8_t*)"\x56\xce\x9b\xcb\xba\xc5\x41\x11\xdb\xc9\xe0\x63\x87\x23\x7c\x1a\x94\x87\x92\x54\x11\xbb\x12\x06\xf7\xf6\xf7\x99\x0d\x7a\xc8\xff", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramResourceLocationIndex}, // libGL:glGetProgramResourceLocationIndex
  {(uint8_t*)"\x18\x14\x10\x15\xe5\x5f\xff\xc6\x75\xac\x8f\x5d\x3d\x7d\x5a\x96\xfe\xf5\x54\xf9\x88\x4e\xd3\x83\xa7\x10\xa5\xf3\xc1\xc5\x23\x09", (void(*)(void *))&fexfn_unpack_libGL_glGetSubroutineUniformLocation}, // libGL:glGetSubroutineUniformLocation
  {(uint8_t*)"\x59\xb4\xab\x4c\x56\x30\x19\xf0\x12\x54\xd7\x91\xea\x53\xaa\x6b\xcb\xc3\xdb\x86\x14\x77\x06\x8c\x55\x98\xf2\x1e\xd8\x0a\x9a\xa4", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformBufferSizeEXT}, // libGL:glGetUniformBufferSizeEXT
  {(uint8_t*)"\x40\x9c\xdf\x02\xb2\xb8\x38\x36\xe3\xd8\x41\x98\x86\x88\x6c\xe8\x73\x03\x4e\x76\xc1\x28\xe3\x66\x96\x43\x4c\x15\x3e\x09\xbe\x3c", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformLocationARB}, // libGL:glGetUniformLocationARB
  {(uint8_t*)"\x21\xdb\x93\x51\x9e\xfa\x14\xa3\x95\x74\xa5\x44\xf9\xd0\x60\xa2\x00\xf9\xc8\x8f\xc1\x5f\x91\x00\xd9\x0a\x66\x6f\x4c\x94\xe8\xe1", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformLocation}, // libGL:glGetUniformLocation
  {(uint8_t*)"\xf0\x66\x6d\x7a\xd8\x51\xe1\x27\x3c\x3a\x9b\xd4\x6f\x1b\x31\x2e\x1c\xb8\x19\xdd\x19\x69\xe5\x5c\x42\x6b\x9b\x34\x16\xb9\xbe\x02", (void(*)(void *))&fexfn_unpack_libGL_glGetVaryingLocationNV}, // libGL:glGetVaryingLocationNV
  {(uint8_t*)"\xb6\x19\x1d\x7a\xf0\x3e\x47\x78\x71\x34\x55\x1d\x04\x12\x4d\x75\x69\xe3\xfd\x10\x4a\x0d\x66\xc6\x00\x08\x06\x48\x81\x82\x6d\xae", (void(*)(void *))&fexfn_unpack_libGL_glPollAsyncSGIX}, // libGL:glPollAsyncSGIX
  {(uint8_t*)"\x28\x82\xa3\xe3\xf9\xa6\xe6\xec\xbf\x4e\xef\xc1\xe9\x4b\xbb\xb5\x9e\xc0\xb3\x26\x3f\x45\x2a\x68\xd2\x53\xd7\x21\xb7\x4b\x6e\x62", (void(*)(void *))&fexfn_unpack_libGL_glPollInstrumentsSGIX}, // libGL:glPollInstrumentsSGIX
  {(uint8_t*)"\x9d\xf9\x30\x39\xf5\x13\x3d\x18\x84\x1c\x3e\x3f\x2f\xeb\x7f\xf2\x91\xcb\xf1\xd3\x30\xec\x8f\xc4\x7b\x0a\x3b\x8b\x04\xaf\xfc\xd6", (void(*)(void *))&fexfn_unpack_libGL_glQueryResourceNV}, // libGL:glQueryResourceNV
  {(uint8_t*)"\x35\x63\xee\x01\x99\xd6\xc1\x96\x6b\x52\x55\xe6\xf7\xa6\xf5\xed\x2b\xa0\xa1\x07\x80\x25\x2c\x3b\x46\x4e\x23\x3d\x21\xe5\x8a\x2d", (void(*)(void *))&fexfn_unpack_libGL_glRenderMode}, // libGL:glRenderMode
  {(uint8_t*)"\x4e\xa9\xe2\xe2\x0d\x0f\xab\x51\x78\x6b\x1c\x3a\x09\x4a\x72\xa0\xdb\xc0\x2c\xae\x43\xab\xf4\x08\x41\xbe\x0a\xf6\x10\x68\x33\xb4", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformOffsetEXT}, // libGL:glGetUniformOffsetEXT
  {(uint8_t*)"\x9f\x95\xaf\xf0\xc6\x98\xbc\xef\xdc\xa5\x5e\xdf\x81\xc0\x1a\xac\x91\x8c\x46\x8d\x74\x49\x57\x78\xae\xb5\x74\x2f\x37\x94\x42\xf4", (void(*)(void *))&fexfn_unpack_libGL_glCreateSyncFromCLeventARB}, // libGL:glCreateSyncFromCLeventARB
  {(uint8_t*)"\xe8\xe0\xe4\xef\x39\x75\xbc\x45\x52\x53\x1b\x79\x4b\x37\xba\xb7\x66\xbf\x13\x6d\x75\xa1\x95\x66\xca\x39\x13\x2b\x83\x22\x54\x24", (void(*)(void *))&fexfn_unpack_libGL_glFenceSync}, // libGL:glFenceSync
  {(uint8_t*)"\x26\x8e\x8d\x8a\x7b\x62\xa7\xf7\x96\x84\x33\x06\x16\x57\x82\xc5\x68\x95\x44\xbd\xe1\x84\x69\xcb\x09\x6d\xb9\x51\xb3\x20\x1d\xac", (void(*)(void *))&fexfn_unpack_libGL_glImportSyncEXT}, // libGL:glImportSyncEXT
  {(uint8_t*)"\x94\x0f\x7a\x7c\xb5\x78\xa7\xd3\xdb\xdb\x66\x55\x5e\xc7\xf1\x1f\x80\xd3\x9f\x40\xcb\x75\x74\x40\x5b\x49\x54\x9f\x4d\x3f\x09\xb8", (void(*)(void *))&fexfn_unpack_libGL_glGetImageHandleARB}, // libGL:glGetImageHandleARB
  {(uint8_t*)"\x5f\x07\x2a\xcd\x59\x7b\x64\x60\xad\xe1\x2d\xd1\x41\x7e\x58\xf8\x52\x94\x04\x1c\x18\x08\xdc\x52\xed\xd3\x4b\x91\x74\x81\xc0\xc2", (void(*)(void *))&fexfn_unpack_libGL_glGetImageHandleNV}, // libGL:glGetImageHandleNV
  {(uint8_t*)"\xcf\xe6\x4f\xd5\xd7\x13\x3f\x40\x36\x3d\x79\x7b\x6d\x53\x86\x65\xf0\x11\x37\x3b\xa3\xdd\xc4\xf9\x65\x6d\xda\x77\x8e\x61\x5c\xd4", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureHandleARB}, // libGL:glGetTextureHandleARB
  {(uint8_t*)"\x09\xf9\x48\x35\x56\x8f\xc7\xb7\xb7\x30\x12\xc1\x4f\xb0\x06\x01\x31\x20\xc0\xb0\x01\xe3\xab\xe0\xbd\x6b\x83\xdc\xfd\x20\xb0\xe7", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureHandleNV}, // libGL:glGetTextureHandleNV
  {(uint8_t*)"\x58\x8a\xcf\x20\xdc\xe4\x4f\xb4\xfb\x1a\x66\x5e\x91\x44\xc1\xda\x8a\xda\x7c\xc3\x11\x58\xf1\xdd\xe0\x6c\x18\x5d\x4e\xfa\xde\x0f", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureSamplerHandleARB}, // libGL:glGetTextureSamplerHandleARB
  {(uint8_t*)"\x39\x0f\x0c\xdd\x3b\x03\x77\xf7\x92\x4b\xca\xe6\x4a\xe6\x6a\x90\xa6\xdd\xaa\x55\x98\x3e\x43\xfa\x0c\x72\x22\xef\xe8\x7a\x94\xa2", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureSamplerHandleNV}, // libGL:glGetTextureSamplerHandleNV
  {(uint8_t*)"\xf3\x79\x4c\x73\xca\x28\xa4\xe3\xef\x48\x9f\x0a\x14\xa0\xd1\xa6\x9d\x0e\xe1\x32\xcf\x37\x83\x51\x6c\x31\x3f\xa7\xe8\xda\xff\x2d", (void(*)(void *))&fexfn_unpack_libGL_glAsyncCopyBufferSubDataNVX}, // libGL:glAsyncCopyBufferSubDataNVX
  {(uint8_t*)"\x9b\x44\x16\xc6\x58\x08\x87\x6b\xef\x6c\x09\xcc\x8b\xc2\x69\xc6\x81\x93\xb0\x70\x8a\x8a\x91\xa6\xbd\x17\x3a\xd0\xdf\xfd\x5b\x9b", (void(*)(void *))&fexfn_unpack_libGL_glAsyncCopyImageSubDataNVX}, // libGL:glAsyncCopyImageSubDataNVX
  {(uint8_t*)"\xc6\xe7\xc4\x84\x95\x45\xb2\x4f\x55\x00\x1d\xda\x83\x53\x99\x8a\x71\x69\x3f\x11\x31\xde\xc0\x76\xf3\x0c\x72\x32\xd0\xac\xa2\x82", (void(*)(void *))&fexfn_unpack_libGL_glBindLightParameterEXT}, // libGL:glBindLightParameterEXT
  {(uint8_t*)"\xa0\x31\x94\xbd\xea\x0f\x8a\x83\x6a\xc4\xb1\xee\x6c\x7b\xdb\xc9\x6b\x54\x01\x68\xe8\xe3\x47\x22\x94\xca\xcd\x11\x3c\xe4\x36\x0b", (void(*)(void *))&fexfn_unpack_libGL_glBindMaterialParameterEXT}, // libGL:glBindMaterialParameterEXT
  {(uint8_t*)"\x2a\xc3\xd9\xac\x7b\xc6\x05\xa0\x05\x53\x51\x01\xca\x4c\xbd\xbf\x27\x95\xf5\x1c\x6a\x3a\xcc\x57\x1c\x1e\x57\xd2\x6c\xe1\x1c\x53", (void(*)(void *))&fexfn_unpack_libGL_glBindParameterEXT}, // libGL:glBindParameterEXT
  {(uint8_t*)"\x80\xb3\xa7\xfa\xa6\x28\x25\x57\x04\x00\x7a\x10\xff\x97\x95\x1d\xfe\x0c\x41\xf9\x2b\xd8\x86\x5d\x42\x7a\x49\x15\xe6\xe2\x51\x2b", (void(*)(void *))&fexfn_unpack_libGL_glBindTexGenParameterEXT}, // libGL:glBindTexGenParameterEXT
  {(uint8_t*)"\x8d\x12\x14\x1e\x05\x1f\xa3\xd5\x38\xf5\x2e\xb6\xe1\x96\x99\xb0\x81\xec\x3e\xd0\x0b\x8d\x5c\x85\x22\xd2\x42\x8a\x65\x02\xc2\xfa", (void(*)(void *))&fexfn_unpack_libGL_glBindTextureUnitParameterEXT}, // libGL:glBindTextureUnitParameterEXT
  {(uint8_t*)"\x57\x50\xa6\x6e\xd2\xca\x46\x9b\xc6\x87\x51\x6c\x27\x12\x0d\xea\x04\x22\xeb\x15\xad\xb4\x6c\x43\x2c\x95\x9e\xa9\x55\xd9\x7e\xfe", (void(*)(void *))&fexfn_unpack_libGL_glCreateProgram}, // libGL:glCreateProgram
  {(uint8_t*)"\x35\x4e\xe7\x7b\x97\x56\x08\xff\xb6\xa3\x46\x2f\x2e\x82\xad\xb5\xfe\x98\x05\xa5\x3f\x36\xff\xda\x76\xc9\x2f\xe4\x87\x9b\xfe\x2e", (void(*)(void *))&fexfn_unpack_libGL_glCreateProgressFenceNVX}, // libGL:glCreateProgressFenceNVX
  {(uint8_t*)"\x59\xc2\x10\x5f\x6b\x7f\xc7\x6b\xfb\x54\x3e\xdc\x20\x7f\x39\xf0\x5e\xe0\xf0\x71\xc3\x0e\xa6\xa9\x08\xcc\x50\x36\xac\xfc\xab\xd6", (void(*)(void *))&fexfn_unpack_libGL_glCreateShader}, // libGL:glCreateShader
  {(uint8_t*)"\x47\x4b\x69\xbd\x1f\x8d\x26\x29\x40\x9a\xe8\x85\x1e\xf3\xa2\x22\xc5\xe2\xc7\xbb\x4d\x42\xb8\xdf\x82\x62\xae\x4e\xa8\xff\x57\xbd", (void(*)(void *))&fexfn_unpack_libGL_glCreateShaderProgramEXT}, // libGL:glCreateShaderProgramEXT
  {(uint8_t*)"\x60\xad\x65\x5c\x60\x4e\xe5\xc7\x81\x83\xf9\xc6\xed\x3d\x7d\x8c\x8f\x09\x7a\x18\x7f\x30\x4e\x5f\x8b\x04\x18\x82\x4d\x86\x4a\xf8", (void(*)(void *))&fexfn_unpack_libGL_glCreateShaderProgramv}, // libGL:glCreateShaderProgramv
  {(uint8_t*)"\x2f\x07\xee\xff\xe5\xaf\xfa\x09\x40\x3a\x24\x04\x81\x68\x34\x08\x73\x64\x83\xae\xd8\x83\x77\x39\x4c\xa2\xac\xcc\x2d\x8d\xc0\x04", (void(*)(void *))&fexfn_unpack_libGL_glGenAsyncMarkersSGIX}, // libGL:glGenAsyncMarkersSGIX
  {(uint8_t*)"\xc5\xb1\xdc\xbd\xdd\x42\xfd\xd8\x3d\xdc\x3c\x5b\xfe\xb6\x68\xbc\xe7\x99\x23\x3f\x90\xac\xf7\x9c\xd4\xeb\xdc\x10\xc3\x8b\x3c\x10", (void(*)(void *))&fexfn_unpack_libGL_glGenFragmentShadersATI}, // libGL:glGenFragmentShadersATI
  {(uint8_t*)"\xae\x1d\xca\xe5\xa4\xf6\xd5\x12\xf6\x5b\x9b\x25\xd0\x2b\x4a\x7a\x5f\xa3\xc7\x48\xca\x5b\x1c\x06\x12\x0c\x95\xda\x26\x8a\x52\xad", (void(*)(void *))&fexfn_unpack_libGL_glGenLists}, // libGL:glGenLists
  {(uint8_t*)"\x2a\xec\x71\xba\x90\xa9\xb4\x47\x30\x87\xfb\x0b\xd4\x88\x11\xfb\x62\x00\xc0\x52\x4d\xa3\xce\x7b\x9f\xac\x9a\xbc\xee\x66\x50\x5e", (void(*)(void *))&fexfn_unpack_libGL_glGenPathsNV}, // libGL:glGenPathsNV
  {(uint8_t*)"\xc4\x0b\xd6\x2a\xb0\xf3\x5b\xb5\xc0\xed\x7c\xc0\x46\xb8\x9f\xad\xb8\x9f\x10\x1d\x98\x8b\x4b\xc3\x95\x6f\xb2\x05\xfd\xe8\x21\x1a", (void(*)(void *))&fexfn_unpack_libGL_glGenSymbolsEXT}, // libGL:glGenSymbolsEXT
  {(uint8_t*)"\xd2\xad\x61\x10\x47\x17\xf9\x5b\xe2\x83\xdf\x34\xfa\xeb\xd7\xc2\xb0\x9a\xb6\xca\x99\x5b\x2b\x0e\xe5\xc0\xab\x71\x77\xa4\x73\x21", (void(*)(void *))&fexfn_unpack_libGL_glGenVertexShadersEXT}, // libGL:glGenVertexShadersEXT
  {(uint8_t*)"\xfe\xce\x87\xe8\xb6\xfc\x92\x54\xae\xdd\x61\x6e\x05\xed\xa5\x2f\x58\x92\xcc\xf8\x4c\x24\xb2\xc9\x98\x80\xf8\x58\x87\x0b\xaa\xd5", (void(*)(void *))&fexfn_unpack_libGL_glGetCommandHeaderNV}, // libGL:glGetCommandHeaderNV
  {(uint8_t*)"\x00\x13\x4e\xd8\x2a\x0a\x45\x84\x52\x3c\x0d\xfc\x24\x56\x00\xa0\xce\x8d\x0b\xfd\x46\x4f\xdb\x6f\xe3\xbd\x45\x68\x51\x49\x01\xa4", (void(*)(void *))&fexfn_unpack_libGL_glGetDebugMessageLogAMD}, // libGL:glGetDebugMessageLogAMD
  {(uint8_t*)"\x37\x50\x6e\xaf\xc2\x39\xde\x8a\x8d\x16\x35\xc2\x69\xaf\xee\x70\x5b\x4b\x1a\x67\x18\x51\xee\xf1\xf4\xd1\x9d\xb9\x2d\x2c\x86\x81", (void(*)(void *))&fexfn_unpack_libGL_glGetDebugMessageLogARB}, // libGL:glGetDebugMessageLogARB
  {(uint8_t*)"\xa6\xdf\xea\xbd\xa8\x52\xc1\xef\x58\xc4\x26\x81\xfd\x3f\x11\x1f\xdb\x74\x00\x49\x2f\x7b\xad\x19\x8d\x62\x0b\xe1\x31\x97\x27\xdd", (void(*)(void *))&fexfn_unpack_libGL_glGetDebugMessageLog}, // libGL:glGetDebugMessageLog
  {(uint8_t*)"\xb6\x3f\x30\x1b\xc5\x5f\xaf\xee\x59\x6b\x2f\x26\xf7\x35\xef\xd4\x00\x62\x31\xe4\x0e\x53\xbd\x70\x11\xbf\x22\xd3\xb4\x82\x37\x29", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramResourceIndex}, // libGL:glGetProgramResourceIndex
  {(uint8_t*)"\x2a\x4f\xac\x69\x25\x43\x09\x0a\x7e\x21\xdd\x33\x9d\xca\x81\x1d\x4e\xb2\x64\x5c\x1d\xba\x64\xd0\x1f\x6e\x33\xe6\x82\x76\x0b\xc8", (void(*)(void *))&fexfn_unpack_libGL_glGetSubroutineIndex}, // libGL:glGetSubroutineIndex
  {(uint8_t*)"\x0e\x8e\xa8\x1e\xa6\x67\xea\xd1\xbb\x5c\x71\x83\xbb\x3b\x00\x70\xa2\xc1\x9d\x5b\xaf\x99\xf0\x4f\xaa\xb0\xe8\x8e\x1a\xe3\x3b\x02", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformBlockIndex}, // libGL:glGetUniformBlockIndex
  {(uint8_t*)"\xf0\xc7\x0e\x20\xa5\x5a\x33\x24\xc0\xf8\x60\x64\x9e\x62\xfb\x09\xc4\x97\x54\xfc\xb0\x9c\x14\x4e\x8d\x88\x98\x32\x5d\x18\xa2\xfa", (void(*)(void *))&fexfn_unpack_libGL_glNewObjectBufferATI}, // libGL:glNewObjectBufferATI
  {(uint8_t*)"\x11\xac\x51\x40\x50\x7b\xd4\xb6\x80\x78\x04\xcc\x76\xf8\xc9\xc0\x97\xef\x40\x0d\xc2\xb6\xdb\x47\x05\xbb\x97\x55\x09\xee\x6b\x3e", (void(*)(void *))&fexfn_unpack_libGL_glGetStageIndexNV}, // libGL:glGetStageIndexNV
  {(uint8_t*)"\x26\x6d\x67\xca\x64\x14\x9d\x5d\x57\xa3\x56\x74\x33\x25\x7d\xfd\x46\xef\x3a\x07\xae\x09\xea\x50\xd1\xa8\xd6\x90\x25\x22\xcb\xf4", (void(*)(void *))&fexfn_unpack_libGL_glVDPAURegisterOutputSurfaceNV}, // libGL:glVDPAURegisterOutputSurfaceNV
  {(uint8_t*)"\xab\xef\x32\xa9\xaa\x8f\xaf\x5c\x87\xee\xa8\xbb\xb8\xdb\x5b\xb4\x03\xbb\xa0\xba\xf2\x6c\x9f\x6b\x68\x74\x74\xdb\x00\x60\x58\x67", (void(*)(void *))&fexfn_unpack_libGL_glVDPAURegisterVideoSurfaceNV}, // libGL:glVDPAURegisterVideoSurfaceNV
  {(uint8_t*)"\x18\xee\x05\xab\xff\x10\x77\x0a\xd8\x5b\xf7\x85\xaf\x05\xd6\x80\x72\xbc\x63\x8e\xb2\x60\x3a\xea\xd8\x0a\xc7\xcd\x95\x6d\xaf\x14", (void(*)(void *))&fexfn_unpack_libGL_glVDPAURegisterVideoSurfaceWithPictureStructureNV}, // libGL:glVDPAURegisterVideoSurfaceWithPictureStructureNV
  {(uint8_t*)"\x09\xc0\xb3\x06\x89\x77\x28\x51\x35\x17\x71\xdb\x88\x5e\x0f\x4e\xc4\x7b\x68\x91\x0e\xc6\xc1\xf7\xce\x13\x1a\x95\x8c\xd8\x25\x31", (void(*)(void *))&fexfn_unpack_libGL_glAccum}, // libGL:glAccum
  {(uint8_t*)"\x32\xe2\x3f\xf4\xd5\x3f\x55\x7b\x31\xb5\x8c\x69\xcf\xff\xc9\x2d\x5c\x26\x6d\x61\x58\xef\x55\x04\x33\xa8\xe1\xe8\xc6\x14\x13\xec", (void(*)(void *))&fexfn_unpack_libGL_glAccumxOES}, // libGL:glAccumxOES
  {(uint8_t*)"\x86\x7f\x60\x58\xff\xa7\xd9\x8f\x01\xf1\xc9\xe5\xd8\x7e\x6b\xf3\x71\x3a\xfc\x94\x48\xe0\x5c\x0f\x31\xda\xf0\x8b\x6a\xcd\xec\x64", (void(*)(void *))&fexfn_unpack_libGL_glActiveProgramEXT}, // libGL:glActiveProgramEXT
  {(uint8_t*)"\x24\x12\x0e\x4e\x4a\x53\x44\xae\x55\xf6\x1f\xa4\xca\x83\xdc\xde\x48\x98\x0f\xae\x4a\x9c\x8d\x4b\x8f\xf0\x87\xc4\x3b\x5c\x3d\xb3", (void(*)(void *))&fexfn_unpack_libGL_glActiveShaderProgram}, // libGL:glActiveShaderProgram
  {(uint8_t*)"\x07\x7e\x8b\x63\xcd\x7b\xbf\x1b\x11\xf9\xff\xa9\x9a\x4c\x5c\xf3\x4e\x28\x7c\xa1\x73\xae\xef\xd4\x92\xac\x4d\x97\xac\x30\x84\xad", (void(*)(void *))&fexfn_unpack_libGL_glActiveStencilFaceEXT}, // libGL:glActiveStencilFaceEXT
  {(uint8_t*)"\x17\x32\x73\xd2\xc2\x06\x3c\xb0\x55\xe3\xbe\xf3\x3f\x51\x2f\x27\xae\x4e\x4d\x30\xb1\x56\x48\x0f\x64\x5e\x22\x06\x94\xae\x20\x82", (void(*)(void *))&fexfn_unpack_libGL_glActiveTextureARB}, // libGL:glActiveTextureARB
  {(uint8_t*)"\xd4\x81\x40\xf7\x0c\x3b\xe5\x41\x17\x9e\x5d\xa8\xa4\x0b\xfa\x09\x83\xa6\x5c\xda\x3a\x5c\x80\xcc\xc1\x1b\xd4\xd8\x3f\xcc\x69\xd8", (void(*)(void *))&fexfn_unpack_libGL_glActiveTexture}, // libGL:glActiveTexture
  {(uint8_t*)"\x01\x17\x2a\xf4\x0f\xfe\x12\x67\xff\xf7\x6f\xea\xa1\x9a\x7a\x59\x52\x0e\xdc\x02\x6d\xf9\x7b\x03\x63\x5e\x0c\xc2\x01\xf1\xf4\x53", (void(*)(void *))&fexfn_unpack_libGL_glActiveVaryingNV}, // libGL:glActiveVaryingNV
  {(uint8_t*)"\x22\x31\x8b\xea\xaa\xd5\x81\xf6\x63\x9e\xde\x49\xd8\xea\x88\x8f\xf1\x01\xb9\xcb\xa1\xdf\x21\x6c\x86\xfb\xf9\xcb\x6a\x41\x0e\x31", (void(*)(void *))&fexfn_unpack_libGL_glAlphaFragmentOp1ATI}, // libGL:glAlphaFragmentOp1ATI
  {(uint8_t*)"\xa8\xf3\x83\xf5\xe0\x41\x8f\x42\x96\x3e\x31\x01\x6a\xe7\xa8\x48\x24\xc8\x11\x9d\x84\x06\x2e\xdc\xd5\x71\xf9\x9b\xc8\x27\x89\xc2", (void(*)(void *))&fexfn_unpack_libGL_glAlphaFragmentOp2ATI}, // libGL:glAlphaFragmentOp2ATI
  {(uint8_t*)"\xbe\x1d\xe4\x96\x7d\xe0\x64\x2c\xd7\x12\x02\x00\x8c\x78\x3e\xd5\xd5\x55\x03\x85\x87\xa9\xc4\x6f\x16\xa0\xae\xfa\x75\x89\xec\x92", (void(*)(void *))&fexfn_unpack_libGL_glAlphaFragmentOp3ATI}, // libGL:glAlphaFragmentOp3ATI
  {(uint8_t*)"\x6e\x61\x28\x51\x1f\xc8\xdb\xa6\x77\x49\xf8\x81\xe2\x3f\x68\xf2\x70\x9a\xba\xce\xeb\xe5\xb6\xae\x00\xf2\x79\xe2\x51\x20\x49\x99", (void(*)(void *))&fexfn_unpack_libGL_glAlphaFunc}, // libGL:glAlphaFunc
  {(uint8_t*)"\x02\x72\x0f\x97\xae\xbd\xe6\x2b\xce\xf0\xf3\x70\x8f\x88\xc3\x35\xda\xde\x93\xe2\x3a\x47\x3d\xff\x95\x2b\x79\x72\xee\x58\x56\xcd", (void(*)(void *))&fexfn_unpack_libGL_glAlphaFuncxOES}, // libGL:glAlphaFuncxOES
  {(uint8_t*)"\x42\xa5\x95\x7e\x87\x98\xe9\x6c\xa2\x37\x7e\xe7\x8d\x0b\x9c\x89\x8b\x42\xf6\x99\x8d\xbf\x03\x1b\x7e\xe4\xcc\x1f\xf0\x13\x40\x6e", (void(*)(void *))&fexfn_unpack_libGL_glAlphaToCoverageDitherControlNV}, // libGL:glAlphaToCoverageDitherControlNV
  {(uint8_t*)"\xd6\xbd\x35\x82\x79\x86\xed\xc0\x60\x6b\xf0\x19\x6f\xa5\x7c\xb1\x28\x27\x77\x82\x77\x80\x41\xe5\x84\x56\x23\xe0\x0f\x7d\x54\x4c", (void(*)(void *))&fexfn_unpack_libGL_glApplyFramebufferAttachmentCMAAINTEL}, // libGL:glApplyFramebufferAttachmentCMAAINTEL
  {(uint8_t*)"\x09\x82\x81\x0f\xe7\x3e\x46\xbf\x38\x3a\xe3\xb7\x33\xac\x09\x25\x29\xf9\x7f\x6d\xa5\xe8\x1e\x15\xc5\xc8\x9d\x41\x1d\x0f\x06\xe4", (void(*)(void *))&fexfn_unpack_libGL_glApplyTextureEXT}, // libGL:glApplyTextureEXT
  {(uint8_t*)"\xb2\x16\x57\x75\xaf\x18\x17\x8d\xac\xe5\x7c\xd0\x9b\xd2\xc2\x39\xca\x41\x4a\xb1\x71\xd0\xf1\x8a\xcd\xd6\x70\x8a\x6b\x0f\x5b\x79", (void(*)(void *))&fexfn_unpack_libGL_glArrayElementEXT}, // libGL:glArrayElementEXT
  {(uint8_t*)"\x6f\x3b\xc9\x7e\x47\xcb\xcd\x12\x42\xdc\xd1\x8c\xe6\x07\x7f\xec\xf7\x71\x65\x45\x5a\xf6\xd6\x27\xbc\x64\xb9\x67\x39\x6a\xb8\x66", (void(*)(void *))&fexfn_unpack_libGL_glArrayElement}, // libGL:glArrayElement
  {(uint8_t*)"\x95\xf6\xd0\x68\x05\x02\x57\x01\xc9\x35\xe4\x63\xc6\x91\x7d\x61\xa3\x48\x05\x08\x7e\xa8\xef\xd8\x72\xb6\x82\xea\x9a\xc0\x53\x32", (void(*)(void *))&fexfn_unpack_libGL_glArrayObjectATI}, // libGL:glArrayObjectATI
  {(uint8_t*)"\x20\xb7\xdf\x1e\x43\xf7\x8d\xcf\x7e\xe8\x9f\xeb\x16\x86\xb6\xe8\x2f\x9b\x0d\xfa\x10\x61\x89\xa7\x75\xd4\x14\xca\x25\x74\x24\xbc", (void(*)(void *))&fexfn_unpack_libGL_glAsyncMarkerSGIX}, // libGL:glAsyncMarkerSGIX
  {(uint8_t*)"\xc8\x52\x1b\x61\x9b\xf2\x6a\x73\x9d\x3a\xfa\x28\x8e\x99\xb1\x87\x27\x37\x06\x83\x10\x06\x97\xb3\xd5\x84\x59\x06\x26\x7d\x89\x3d", (void(*)(void *))&fexfn_unpack_libGL_glAttachObjectARB}, // libGL:glAttachObjectARB
  {(uint8_t*)"\x69\xfc\xa2\x6c\x2c\x7c\x07\xeb\x47\xe2\x97\x69\xc5\xd0\x4f\x56\xd8\x47\xa9\x13\x3e\x0f\x4c\x75\xb2\x5c\x15\xa7\xf6\x43\x4d\x28", (void(*)(void *))&fexfn_unpack_libGL_glAttachShader}, // libGL:glAttachShader
  {(uint8_t*)"\x71\x47\xa0\x99\x62\x24\x7a\x48\xaa\xf4\x3b\xf6\x8d\xff\x6f\x3e\xf5\x68\xe7\x24\xe3\x86\xfa\xbb\x92\x9f\xa1\x6d\x9c\x41\x78\x85", (void(*)(void *))&fexfn_unpack_libGL_glBeginConditionalRender}, // libGL:glBeginConditionalRender
  {(uint8_t*)"\x81\xaf\x3f\xd4\x90\x26\x1a\x97\xf8\x27\xfc\xdd\x5b\x20\x86\x49\x1e\xd5\x06\xc8\xb0\xa1\xa2\x3b\xfd\x80\x9b\xe1\x6a\x29\x33\x57", (void(*)(void *))&fexfn_unpack_libGL_glBeginConditionalRenderNV}, // libGL:glBeginConditionalRenderNV
  {(uint8_t*)"\x3f\x51\x07\x2c\x8a\x8a\x37\xf5\xcc\xea\x2e\x5a\xd0\x91\x2f\x77\x22\x4a\x65\x17\x85\x04\xc9\x4a\x31\x31\x8d\xf3\x3c\xce\xb6\x4c", (void(*)(void *))&fexfn_unpack_libGL_glBeginConditionalRenderNVX}, // libGL:glBeginConditionalRenderNVX
  {(uint8_t*)"\x66\xe3\x72\x67\x6e\xdb\x32\xf5\x39\xb8\xec\x7b\xf5\x65\xba\xe8\xd6\x9d\xbd\xa2\x01\xf1\xf7\x4c\xe4\x20\x09\x3c\x45\x26\xe8\xec", (void(*)(void *))&fexfn_unpack_libGL_glBeginFragmentShaderATI}, // libGL:glBeginFragmentShaderATI
  {(uint8_t*)"\xdd\x0d\xec\x9a\x40\x77\x54\x37\x29\x71\x77\xf1\x32\x88\xa9\xa9\x5e\x60\x32\x40\xc9\x62\xa3\x9b\x38\xec\x89\x96\x86\xe2\x89\x87", (void(*)(void *))&fexfn_unpack_libGL_glBegin}, // libGL:glBegin
  {(uint8_t*)"\x75\x3c\x1a\x84\x4b\xf8\x3b\x00\xd0\xaf\x1b\xa2\xb5\x70\xd7\x93\x5d\x75\x24\xeb\x98\xba\x84\x70\x80\xed\x83\xc7\x2b\x76\x01\xeb", (void(*)(void *))&fexfn_unpack_libGL_glBeginOcclusionQueryNV}, // libGL:glBeginOcclusionQueryNV
  {(uint8_t*)"\x87\x4c\x7b\x85\x40\x87\x4d\x88\xd9\x05\xe4\x2e\xd7\x25\x8d\xd5\x74\x03\xe4\x0b\xd7\x53\xde\xb2\x2c\xd1\x40\xfc\xa6\x2e\xb4\x95", (void(*)(void *))&fexfn_unpack_libGL_glBeginPerfMonitorAMD}, // libGL:glBeginPerfMonitorAMD
  {(uint8_t*)"\x67\x52\x88\x79\x92\x6a\x20\x97\xd6\xe8\x18\x06\x07\xee\xee\xfc\xd3\x8d\x7f\xa6\x76\xc8\x52\x80\x91\xc4\x5c\x30\xb3\xf7\x99\x0b", (void(*)(void *))&fexfn_unpack_libGL_glBeginPerfQueryINTEL}, // libGL:glBeginPerfQueryINTEL
  {(uint8_t*)"\x15\xff\xdc\x61\xd4\x31\x9f\x48\x96\xfe\x71\x51\x9b\xef\x34\x0e\x31\x42\x2c\x48\x97\x67\xb1\x56\x67\xd2\xf8\xf4\xe8\x31\xdf\x22", (void(*)(void *))&fexfn_unpack_libGL_glBeginQueryARB}, // libGL:glBeginQueryARB
  {(uint8_t*)"\x47\x67\x5a\xe1\x50\xe7\xb7\xfd\xa4\xd3\x79\xcc\x14\x0b\x11\x56\xf2\x28\xad\x62\xdc\x78\x19\x23\x95\xae\xa5\xf8\x16\x95\x3c\x4f", (void(*)(void *))&fexfn_unpack_libGL_glBeginQuery}, // libGL:glBeginQuery
  {(uint8_t*)"\x29\xbc\x39\x89\x3f\x19\xd4\x28\xad\x01\x01\x8f\x18\xd0\x3a\x40\x08\x48\x81\xe0\x24\x08\xa4\xb0\x1e\xae\xb4\x7f\xd7\x83\x7d\x3b", (void(*)(void *))&fexfn_unpack_libGL_glBeginQueryIndexed}, // libGL:glBeginQueryIndexed
  {(uint8_t*)"\x86\xd1\xb2\x08\xfc\x1c\x6d\x05\x1f\x4e\x1a\xeb\x8e\x01\x35\x63\xd8\x8c\x3e\x16\x5c\xd2\x85\xcd\x06\x41\x97\x9a\x2c\x25\xc8\xcd", (void(*)(void *))&fexfn_unpack_libGL_glBeginTransformFeedbackEXT}, // libGL:glBeginTransformFeedbackEXT
  {(uint8_t*)"\x11\xcf\xfd\xa9\xfb\x26\x4a\x1e\x7f\x5e\x84\x26\xb0\x81\x44\xa7\xc9\xe0\x85\x79\xcd\x9f\x60\xa3\xf6\x2f\x05\xc6\x5b\xfd\x52\x41", (void(*)(void *))&fexfn_unpack_libGL_glBeginTransformFeedback}, // libGL:glBeginTransformFeedback
  {(uint8_t*)"\x8e\xfb\xb3\xa5\xc1\xe0\x8c\x9e\x6c\x1d\x54\x44\xf0\x55\xf1\xcf\x1f\x66\x21\x0f\xad\x74\x80\xfc\x8e\xa7\x78\xd9\x3d\x7c\x9b\xae", (void(*)(void *))&fexfn_unpack_libGL_glBeginTransformFeedbackNV}, // libGL:glBeginTransformFeedbackNV
  {(uint8_t*)"\x36\x6a\x94\x4d\x52\xf8\x03\x51\xf9\x7a\xc9\x41\x56\x49\x54\xe7\x38\xa2\x03\x80\x9c\xdd\x3e\xe6\xd9\xfe\xb0\xc3\xe8\xaf\x5b\x56", (void(*)(void *))&fexfn_unpack_libGL_glBeginVertexShaderEXT}, // libGL:glBeginVertexShaderEXT
  {(uint8_t*)"\xc8\xc3\xb2\xb9\xdf\xf6\x58\x1e\x19\xda\x39\x39\xb1\x40\x21\x62\x7c\x48\xf6\x28\x20\x5e\x5f\x36\x71\x5f\x9e\x1a\xe9\x67\x8a\x0b", (void(*)(void *))&fexfn_unpack_libGL_glBeginVideoCaptureNV}, // libGL:glBeginVideoCaptureNV
  {(uint8_t*)"\x13\xbb\x8b\x9f\xe2\x98\x85\x59\xfa\x95\xea\x18\xbb\x72\xc2\x98\xa2\x74\xb8\x43\xda\xd1\xcd\xf3\xdd\x6e\x93\x78\xb2\xb3\x09\xcb", (void(*)(void *))&fexfn_unpack_libGL_glBindAttribLocationARB}, // libGL:glBindAttribLocationARB
  {(uint8_t*)"\x33\xfa\xe0\x91\xea\x84\x1b\x6d\x3b\xa3\xca\x09\xab\x9f\x4c\x27\xc9\x81\x16\x9d\xed\xd4\x7f\xf3\xd4\xe3\xdb\xb7\xba\x16\x07\xba", (void(*)(void *))&fexfn_unpack_libGL_glBindAttribLocation}, // libGL:glBindAttribLocation
  {(uint8_t*)"\x8a\xa9\x50\x41\x03\x17\xbd\x81\xf1\x1c\xf5\x61\x9c\xbe\x9a\xdc\xe9\x6d\x06\xd0\x0a\x1d\x76\x02\xda\xc3\x87\x2e\x6d\xcd\x65\x36", (void(*)(void *))&fexfn_unpack_libGL_glBindBufferARB}, // libGL:glBindBufferARB
  {(uint8_t*)"\xb6\x85\xad\xcd\x0c\x37\x01\x4f\xbc\xed\x55\x69\x75\xeb\xb0\x18\x7d\xf3\xee\x5c\xc7\x96\xb4\x7a\x32\x5d\xba\x04\x8a\xa2\xca\x0a", (void(*)(void *))&fexfn_unpack_libGL_glBindBufferBaseEXT}, // libGL:glBindBufferBaseEXT
  {(uint8_t*)"\x9c\x97\x90\x81\x03\xdf\x64\x0e\xce\xd6\x83\x51\x4b\x91\x5f\xad\x02\xf4\x3d\x9e\x7c\x03\x75\x87\xbb\xbc\x0d\xef\x9a\xd3\x2f\x65", (void(*)(void *))&fexfn_unpack_libGL_glBindBufferBase}, // libGL:glBindBufferBase
  {(uint8_t*)"\x0e\xba\xd8\x8a\x79\x73\x60\xc4\x5f\x69\x01\xd1\x71\x18\x06\x9d\x9a\x90\xc8\x2b\x69\x91\xc9\x6a\x53\x7e\x88\x61\x17\x36\xae\x37", (void(*)(void *))&fexfn_unpack_libGL_glBindBufferBaseNV}, // libGL:glBindBufferBaseNV
  {(uint8_t*)"\x57\x17\x15\x6a\x83\x82\x3f\x24\xf2\x3c\xe2\x8b\xd8\x58\x59\x2d\x0b\x5e\xce\xec\xb4\x3a\xe5\x9c\xec\xe8\xe3\xe5\x22\xf3\x03\xeb", (void(*)(void *))&fexfn_unpack_libGL_glBindBuffer}, // libGL:glBindBuffer
  {(uint8_t*)"\x7a\xce\xe5\x9d\x8d\xf2\xc3\x55\xec\x87\x5c\x8a\xb9\xeb\x7c\x87\x7c\x63\xb7\x1a\x29\x71\x86\x8f\xb8\x76\xc6\xf5\x5a\xd7\x97\xba", (void(*)(void *))&fexfn_unpack_libGL_glBindBufferOffsetEXT}, // libGL:glBindBufferOffsetEXT
  {(uint8_t*)"\xc8\x1e\x94\x56\x28\x9e\xe5\x7a\x0d\xb6\x0e\x0a\xec\xb3\xa6\x3b\xa9\xd4\xaf\xe2\xee\x12\x23\xff\x8d\xe0\xc4\xea\xb5\xfe\x8a\xe8", (void(*)(void *))&fexfn_unpack_libGL_glBindBufferOffsetNV}, // libGL:glBindBufferOffsetNV
  {(uint8_t*)"\x68\x44\xfb\x45\xb3\x50\x8a\xa1\x6a\xbc\xee\x44\xba\x4e\x13\xdf\x41\x19\x7d\x74\x62\x54\x46\xf8\x89\xfc\xcf\x92\x39\x07\x2e\xb4", (void(*)(void *))&fexfn_unpack_libGL_glBindBufferRangeEXT}, // libGL:glBindBufferRangeEXT
  {(uint8_t*)"\x37\x5c\x6b\x70\xf4\x46\x22\xcb\x8c\x0c\xfe\x10\xd5\x0f\x1c\x8a\xa3\x85\x32\x77\x00\x93\x89\x27\x6b\x19\x8e\xd3\xb8\x1d\xa9\xa2", (void(*)(void *))&fexfn_unpack_libGL_glBindBufferRange}, // libGL:glBindBufferRange
  {(uint8_t*)"\x33\xb8\x31\x9d\x84\x50\x0b\x67\xd1\xf3\x18\x70\xba\x33\x3c\xdb\xf4\x31\xdd\x76\x5d\xaf\xf8\xb1\xa3\xb6\xb2\xb2\x86\xb9\x0f\xdf", (void(*)(void *))&fexfn_unpack_libGL_glBindBufferRangeNV}, // libGL:glBindBufferRangeNV
  {(uint8_t*)"\x70\x89\xe6\x45\xe8\x5c\xa1\xa8\xaf\xb0\xbf\x92\xa6\xa9\xa8\x50\x37\x39\xec\xc7\x41\xc7\xde\xb8\x22\xf0\xf2\xbc\x0f\x84\x5f\x8f", (void(*)(void *))&fexfn_unpack_libGL_glBindBuffersBase}, // libGL:glBindBuffersBase
  {(uint8_t*)"\x25\x49\xb3\xf5\x5e\x8b\xfc\x52\x95\xa6\x10\x80\xea\x99\x8e\xef\xa2\x79\xcc\x61\x9d\x18\x87\xd4\x94\x95\x05\x6d\x42\x98\xe0\x40", (void(*)(void *))&fexfn_unpack_libGL_glBindBuffersRange}, // libGL:glBindBuffersRange
  {(uint8_t*)"\x88\xd4\xda\x6a\x19\xe1\xc5\x2a\x63\xc7\x7d\x54\xed\x7a\x5c\x2f\xb1\x87\xb9\xdc\x12\x1a\x6e\xe9\x6e\x43\xb3\x4f\x55\x8a\x98\x43", (void(*)(void *))&fexfn_unpack_libGL_glBindFragDataLocationEXT}, // libGL:glBindFragDataLocationEXT
  {(uint8_t*)"\x35\x75\x85\xef\xf0\x53\xaf\x78\xb8\xae\x20\x36\x9e\x4c\xa1\xc0\xe3\x04\x89\xb7\x12\x93\x7e\xb5\x8a\x33\x4b\x46\x67\x0d\x79\x18", (void(*)(void *))&fexfn_unpack_libGL_glBindFragDataLocation}, // libGL:glBindFragDataLocation
  {(uint8_t*)"\x74\x50\x71\xba\x96\x8c\x0a\xc8\x26\x3a\xed\x42\xc8\x7e\x75\x08\xdf\x4b\x39\x03\x03\x7e\xd6\x3e\x39\x7b\xf8\xc4\x2d\xc2\xc5\x7d", (void(*)(void *))&fexfn_unpack_libGL_glBindFragDataLocationIndexed}, // libGL:glBindFragDataLocationIndexed
  {(uint8_t*)"\x07\x71\xd2\x41\x8b\x19\x72\x2f\x59\xbc\x72\xcf\x8f\xd8\xd8\x95\xe0\xe0\xf2\x59\xb9\x0f\x91\x7d\xc4\x5d\xbf\x1c\x40\xd6\xf2\x4b", (void(*)(void *))&fexfn_unpack_libGL_glBindFragmentShaderATI}, // libGL:glBindFragmentShaderATI
  {(uint8_t*)"\xee\xf1\x4a\x0e\xdc\xec\xfc\xd3\xe3\x2d\x8e\x16\xab\x5c\x86\x6b\x2f\x24\x2c\xee\xed\x51\x68\x79\xc1\xae\x99\x02\x6e\xb9\x3b\x3b", (void(*)(void *))&fexfn_unpack_libGL_glBindFramebufferEXT}, // libGL:glBindFramebufferEXT
  {(uint8_t*)"\xe4\xdf\x74\xbf\x15\x4a\x25\x2a\xc2\xc3\xbb\x8a\xd6\xe2\x6b\x07\x24\x9a\x6c\xf9\x3e\xf5\xc9\xf4\x28\xb0\xa5\x69\xfa\xb5\xbe\x58", (void(*)(void *))&fexfn_unpack_libGL_glBindFramebuffer}, // libGL:glBindFramebuffer
  {(uint8_t*)"\xbb\x06\x38\xff\xda\x9d\x6d\x0c\xca\x9d\x16\x15\x69\x57\x3a\xb6\xa1\xbd\xa8\x90\xaa\x12\x61\xe3\x5c\x73\xd5\x29\x6a\xa5\x53\x89", (void(*)(void *))&fexfn_unpack_libGL_glBindImageTextureEXT}, // libGL:glBindImageTextureEXT
  {(uint8_t*)"\xe9\x2b\xf1\x38\x59\x15\xe0\xbb\xe0\xf0\x23\x61\xc7\x07\x7e\xbb\x4d\x5a\x54\x0b\xad\x92\x85\x1e\xef\x2a\x9e\xc6\x06\x9e\x06\x77", (void(*)(void *))&fexfn_unpack_libGL_glBindImageTexture}, // libGL:glBindImageTexture
  {(uint8_t*)"\xf3\xa2\x62\xd7\x32\x57\x6a\xe8\x2f\x7e\x03\x35\xc2\x74\x54\x28\x0f\xa3\x9b\xf7\xae\x9e\xbe\x0c\x77\xc6\xb4\x37\x02\xcd\x5f\xf2", (void(*)(void *))&fexfn_unpack_libGL_glBindImageTextures}, // libGL:glBindImageTextures
  {(uint8_t*)"\xde\xcc\x57\xe8\x81\xfc\x9e\x83\x73\xd7\xb1\x43\x02\x32\x1f\xf7\xaf\x54\x40\xaf\xd1\x61\x94\x3c\x3f\xe0\xac\x06\xf6\xaf\x84\x51", (void(*)(void *))&fexfn_unpack_libGL_glBindMultiTextureEXT}, // libGL:glBindMultiTextureEXT
  {(uint8_t*)"\x3f\xa8\x80\xa0\x9a\xa1\xb1\x37\x46\x69\x5f\xa6\x15\x97\x33\x38\xb9\x9d\x21\x37\x35\xaa\x92\x42\xb2\xfd\x14\x9e\xa2\xc7\x45\xbe", (void(*)(void *))&fexfn_unpack_libGL_glBindProgramARB}, // libGL:glBindProgramARB
  {(uint8_t*)"\x11\x9d\x12\xdd\x5f\x09\x13\x7a\xff\xa2\x7f\xb4\xaa\x50\xfe\xa0\x9d\xee\xc3\x00\xbd\x38\xd1\xf5\x42\xed\x40\x2b\x86\xaf\xdc\x4a", (void(*)(void *))&fexfn_unpack_libGL_glBindProgramNV}, // libGL:glBindProgramNV
  {(uint8_t*)"\x0e\x66\x55\x37\x93\x30\x8b\x3b\xd7\xaf\x8e\x27\x8d\xd7\xbd\xd2\x22\x61\x91\x9c\x43\xa6\x9c\xd0\x85\x71\xd7\x70\x4c\x18\x8b\x71", (void(*)(void *))&fexfn_unpack_libGL_glBindProgramPipeline}, // libGL:glBindProgramPipeline
  {(uint8_t*)"\xca\x2c\xa0\x2d\x75\xbc\x76\xd4\x00\xdc\xd9\xba\xfd\xb8\x54\xb1\xaf\x31\x94\xf8\xa9\x94\xd5\x50\x97\x02\x03\x58\x41\x08\x5c\x20", (void(*)(void *))&fexfn_unpack_libGL_glBindRenderbufferEXT}, // libGL:glBindRenderbufferEXT
  {(uint8_t*)"\xd7\x12\x67\x96\xd2\x9a\xba\x11\x74\x89\xa6\x7a\x36\x59\x38\xfd\x0c\x8d\x67\xeb\x13\xae\xe5\xe1\xa7\xd6\x8c\x86\x30\x8f\x2b\x62", (void(*)(void *))&fexfn_unpack_libGL_glBindRenderbuffer}, // libGL:glBindRenderbuffer
  {(uint8_t*)"\x6f\x93\xb3\x42\x00\x6b\x57\xad\x5a\xf8\x0c\x80\xd6\x27\x63\xa1\x4f\xec\xf9\xa8\xe6\xee\x94\x8c\x35\xe7\x38\x38\x4c\x45\x82\x4f", (void(*)(void *))&fexfn_unpack_libGL_glBindSampler}, // libGL:glBindSampler
  {(uint8_t*)"\x9c\x53\xd4\x1a\x57\x3c\x2d\xe1\x3e\xbb\xa7\x95\x1c\x52\xa2\x31\xb3\x07\xee\x82\x72\x44\x26\x7f\x9e\x5a\xef\x10\x1b\xf5\x0a\x71", (void(*)(void *))&fexfn_unpack_libGL_glBindSamplers}, // libGL:glBindSamplers
  {(uint8_t*)"\xac\xe9\x4a\xfc\x1d\xbf\x7c\x84\xb3\x02\x88\xa8\x93\x74\xe7\xbe\xeb\x47\x3f\x28\x5d\xac\xab\xa9\x45\x97\xb7\xb7\xc8\x98\x43\x76", (void(*)(void *))&fexfn_unpack_libGL_glBindShadingRateImageNV}, // libGL:glBindShadingRateImageNV
  {(uint8_t*)"\x72\x54\xc1\x6c\x92\x41\xa7\x74\x37\xbd\x55\x60\xba\x06\x79\xd3\x27\x7d\x8e\xc0\xb1\x74\xe5\xa1\xdd\xca\xf6\xcc\x73\xf8\x46\x35", (void(*)(void *))&fexfn_unpack_libGL_glBindTextureEXT}, // libGL:glBindTextureEXT
  {(uint8_t*)"\xdf\xae\x3d\x0e\x1d\x39\x46\x4d\x2d\xb7\x5c\x85\xbf\x1a\x35\x60\x53\x88\x1c\xe6\x0c\xc9\x54\x94\x8d\xc1\x40\x8e\x9f\x41\xa5\x8b", (void(*)(void *))&fexfn_unpack_libGL_glBindTexture}, // libGL:glBindTexture
  {(uint8_t*)"\x8f\x15\x3c\xb7\x48\xd6\x27\xe0\x3e\x09\x4a\x45\x8b\xd7\x2c\x8a\x7c\xa4\xd5\xda\x95\x22\x8b\xc4\x8b\x7b\xf6\xd8\xd4\x49\x29\x1c", (void(*)(void *))&fexfn_unpack_libGL_glBindTextures}, // libGL:glBindTextures
  {(uint8_t*)"\xb5\x6b\xe8\x4d\xae\x5c\xaf\x93\xb4\x04\x77\xe3\x7a\x86\xa8\xfd\x7f\x05\xe2\xf0\xf4\x40\x8d\x0b\x0e\x7f\xa9\xac\xd7\xc7\xee\x8e", (void(*)(void *))&fexfn_unpack_libGL_glBindTextureUnit}, // libGL:glBindTextureUnit
  {(uint8_t*)"\x09\x12\xb9\xbb\x05\x12\xa9\xad\x15\xfc\xd8\xd0\x8b\xc7\xd3\x1a\x4d\x56\x8b\x86\xe0\x21\x2d\xf9\x1c\x3a\xd3\xa9\x1a\x32\x06\x6a", (void(*)(void *))&fexfn_unpack_libGL_glBindTransformFeedback}, // libGL:glBindTransformFeedback
  {(uint8_t*)"\x5e\x16\x1f\xb4\xa4\x56\x38\xcd\x55\x46\xbd\x02\xc7\xaf\xfd\xf8\xc8\x8e\x23\xcd\xda\x82\x16\x51\x54\x89\xa6\xa8\xda\x6f\xc5\xa6", (void(*)(void *))&fexfn_unpack_libGL_glBindTransformFeedbackNV}, // libGL:glBindTransformFeedbackNV
  {(uint8_t*)"\x6f\x40\x2d\xa4\x54\xc3\x2e\xfd\x6f\x91\x2d\x08\x11\x65\x73\x9b\x07\xdb\x6e\xbc\xa3\x8b\x20\x2b\x14\x7f\x85\x50\x85\xda\x40\x26", (void(*)(void *))&fexfn_unpack_libGL_glBindVertexArrayAPPLE}, // libGL:glBindVertexArrayAPPLE
  {(uint8_t*)"\xa0\xec\x6e\xb2\xd2\x31\xd4\x31\x83\x06\x34\xd1\xa0\x1d\x05\xce\x79\x9e\xf1\xe2\x7c\xb5\xe9\xc4\xb8\x63\x45\xf5\x30\x8a\x76\x38", (void(*)(void *))&fexfn_unpack_libGL_glBindVertexArray}, // libGL:glBindVertexArray
  {(uint8_t*)"\x71\xe9\x09\xc7\x6f\xa3\xb5\x23\x8f\xb6\x69\xfa\x63\xea\x4b\x46\xca\x25\x0a\xb4\xf1\x72\x41\x79\x9b\x03\x13\xd3\x84\x53\xc8\xfb", (void(*)(void *))&fexfn_unpack_libGL_glBindVertexBuffer}, // libGL:glBindVertexBuffer
  {(uint8_t*)"\x9b\x35\xcc\xc3\x4d\x31\x87\x24\x11\xf5\x2a\xef\xd3\x6a\x2c\xca\x7b\x0a\xf8\x43\xeb\x55\x92\xf0\x9a\x91\x2c\x04\x16\x01\xf5\x8d", (void(*)(void *))&fexfn_unpack_libGL_glBindVertexBuffers}, // libGL:glBindVertexBuffers
  {(uint8_t*)"\xaa\xbd\x47\xc4\xe1\x97\x14\xad\xc8\xe3\x34\x1a\x75\x1e\x06\xf5\xef\xef\xe0\x7c\x93\x2a\xd4\xee\x89\x9d\xe7\x51\xea\x65\xb1\xec", (void(*)(void *))&fexfn_unpack_libGL_glBindVertexShaderEXT}, // libGL:glBindVertexShaderEXT
  {(uint8_t*)"\x76\xd3\x9f\x12\xb9\xc3\x89\x69\xff\xa3\xb6\x29\xfa\x6d\x62\xb3\x9c\x39\x38\x83\xe7\xb3\xb7\xbb\x74\xf9\x12\xd2\x71\x83\xac\xf6", (void(*)(void *))&fexfn_unpack_libGL_glBindVideoCaptureStreamBufferNV}, // libGL:glBindVideoCaptureStreamBufferNV
  {(uint8_t*)"\x54\x6c\xd9\xc4\x85\x9a\xa5\xb4\x5b\xf0\x76\x0f\x15\x39\x00\x9a\x0d\xf4\xe9\x37\x91\x7f\x5a\x04\xa8\xd5\x05\x36\x94\x83\x54\x86", (void(*)(void *))&fexfn_unpack_libGL_glBindVideoCaptureStreamTextureNV}, // libGL:glBindVideoCaptureStreamTextureNV
  {(uint8_t*)"\x14\x2f\x82\x5d\x4b\x77\x12\x26\x63\x7c\x10\xad\x45\x8f\x23\x16\x89\x0b\xdf\x59\x30\xab\xcc\xf8\x13\x63\x3d\x93\x2b\xd3\x0a\x00", (void(*)(void *))&fexfn_unpack_libGL_glBinormal3bEXT}, // libGL:glBinormal3bEXT
  {(uint8_t*)"\x4e\x02\xc9\x62\x3b\xbc\x3e\xc3\xcf\x6e\x3e\xb9\xa7\xe7\xbc\x65\x9b\x0e\xe6\xd0\xc6\x2d\xce\x56\x00\x02\xda\xef\x53\xa8\xaa\x41", (void(*)(void *))&fexfn_unpack_libGL_glBinormal3bvEXT}, // libGL:glBinormal3bvEXT
  {(uint8_t*)"\x83\x6c\x5e\x91\x00\x88\x6b\x97\xb9\x06\x80\x0b\x36\xe0\x46\xf2\x83\x9f\xd3\x12\xf3\x15\xcf\x1a\x03\x03\xac\x6b\x49\x61\x9d\xc2", (void(*)(void *))&fexfn_unpack_libGL_glBinormal3dEXT}, // libGL:glBinormal3dEXT
  {(uint8_t*)"\x43\xd7\xf1\x49\x79\xeb\xa0\x7b\xe2\x21\x5f\x0c\x1d\x25\xa2\xc0\x31\x93\xe5\x49\x6a\xae\xf9\x94\x13\x90\xf7\xa4\x4f\x56\x7a\x3d", (void(*)(void *))&fexfn_unpack_libGL_glBinormal3dvEXT}, // libGL:glBinormal3dvEXT
  {(uint8_t*)"\x4b\xbc\x44\xed\xf6\xbe\x3f\xce\x43\xcf\x3c\xf7\xf2\xf1\xbc\xf1\xc4\xb9\x56\x19\xb1\x97\xa1\xc9\xd8\x59\x48\x0f\x0a\x07\x71\x59", (void(*)(void *))&fexfn_unpack_libGL_glBinormal3fEXT}, // libGL:glBinormal3fEXT
  {(uint8_t*)"\x8e\x0b\x5c\xac\xf1\xc8\x8d\xd8\xdc\xde\x2b\x57\x61\xee\x32\x8b\xa7\xfe\x31\xba\x1d\xa2\x5a\xbe\xc4\x90\x56\x2a\xe2\x83\xe8\x0d", (void(*)(void *))&fexfn_unpack_libGL_glBinormal3fvEXT}, // libGL:glBinormal3fvEXT
  {(uint8_t*)"\x99\x08\x68\xe4\x13\x47\xf6\xb7\x7e\x9f\xbe\x85\x55\xac\xbc\xd5\x12\x43\x9f\x23\xd1\x35\x24\xd9\xef\xba\x20\x93\x0f\x40\x95\x5b", (void(*)(void *))&fexfn_unpack_libGL_glBinormal3iEXT}, // libGL:glBinormal3iEXT
  {(uint8_t*)"\x82\xde\x4d\xfc\x23\x0e\x83\xe0\x42\xdd\xd0\x4e\x92\xae\x9c\xac\xde\xda\xfe\x41\x15\x16\x79\x8e\x3b\xf0\xe5\xea\x33\xe2\xd4\x36", (void(*)(void *))&fexfn_unpack_libGL_glBinormal3ivEXT}, // libGL:glBinormal3ivEXT
  {(uint8_t*)"\x88\x3f\x27\xce\x04\xba\x2e\x83\x92\x72\xbd\x77\x87\x6c\xf2\xc6\x7b\x3f\xc6\xcc\x85\xe4\x0b\xf4\x6f\x87\xf4\x0a\x20\xdb\x64\x11", (void(*)(void *))&fexfn_unpack_libGL_glBinormal3sEXT}, // libGL:glBinormal3sEXT
  {(uint8_t*)"\xe1\x16\xdd\xad\x36\x0b\x77\xdd\x1e\x2b\x50\x4e\x07\x44\x2f\x02\xc8\xed\xec\x6a\x0c\x57\x90\x41\xf0\x8b\x6f\xff\xf6\xe8\x43\xc6", (void(*)(void *))&fexfn_unpack_libGL_glBinormal3svEXT}, // libGL:glBinormal3svEXT
  {(uint8_t*)"\x94\x4f\xf0\x75\xb3\x44\x00\x5e\x0f\x87\x34\x32\xaf\x05\xeb\x91\xf8\xcf\xdd\xa8\xeb\x5e\x7d\x35\x3e\x13\x6e\xed\x9a\x88\x35\xbc", (void(*)(void *))&fexfn_unpack_libGL_glBinormalPointerEXT}, // libGL:glBinormalPointerEXT
  {(uint8_t*)"\xec\xa7\x4a\xbb\x6c\x6f\x72\x64\xb4\x71\x48\x58\x4d\x25\x5f\x89\xc5\x9a\x04\x3a\xd7\x7f\xb3\xba\xc1\x0c\x74\xfd\xda\x15\x24\x67", (void(*)(void *))&fexfn_unpack_libGL_glBitmap}, // libGL:glBitmap
  {(uint8_t*)"\x9e\xec\x0f\x7a\x07\x9a\xc9\x22\xd5\xbf\xc7\x0f\x28\x63\x35\x72\x22\xc9\x05\xb1\x1f\x60\x10\x02\x37\xc0\xdc\x99\xce\x65\x30\x72", (void(*)(void *))&fexfn_unpack_libGL_glBitmapxOES}, // libGL:glBitmapxOES
  {(uint8_t*)"\x2f\x48\x38\x07\x2f\x4c\x54\x9f\x04\x22\x28\xf7\xb7\xbc\xbc\x45\x62\x38\x86\xa0\x34\xc0\x48\x57\xe1\x4b\xb1\xbf\xa0\x32\x24\x56", (void(*)(void *))&fexfn_unpack_libGL_glBlendBarrierKHR}, // libGL:glBlendBarrierKHR
  {(uint8_t*)"\x5a\x1e\x75\x4a\xd3\x76\x4a\xbd\x42\x26\x28\xec\xfa\x24\x65\x5c\x5f\x1f\x82\x4f\xc6\xae\xe3\xeb\x09\x7d\x8c\x70\xd4\x75\xd4\xef", (void(*)(void *))&fexfn_unpack_libGL_glBlendBarrierNV}, // libGL:glBlendBarrierNV
  {(uint8_t*)"\x10\xeb\x57\x66\xcd\xe1\x34\x7b\x7e\x71\x99\x17\x4d\x5a\xf6\xa2\x25\xa7\xf6\xfe\xfa\x5b\xce\xda\x72\xf5\x8d\xf2\xed\x05\x8c\xfb", (void(*)(void *))&fexfn_unpack_libGL_glBlendColorEXT}, // libGL:glBlendColorEXT
  {(uint8_t*)"\xab\x38\x68\x68\xdb\x27\x50\x02\x49\x6f\x73\x46\x48\x01\x8e\xd3\xaf\xc4\x80\xb8\x2d\xbd\x9f\x6c\x1a\x87\x66\xb6\x9e\xab\x9d\x9a", (void(*)(void *))&fexfn_unpack_libGL_glBlendColor}, // libGL:glBlendColor
  {(uint8_t*)"\x63\xea\xcc\x9b\xd9\x53\xbd\x06\x00\x5e\x8a\x9e\xfc\x2e\x0e\xa8\x2e\xf3\x80\x2b\x9c\x11\x14\xa7\x7b\x5f\x87\x98\xe0\x05\x5b\xf7", (void(*)(void *))&fexfn_unpack_libGL_glBlendColorxOES}, // libGL:glBlendColorxOES
  {(uint8_t*)"\x7a\x11\x61\x87\xe3\x5b\x3b\x8f\xb3\x5a\x51\x00\x14\xa4\x7d\xe6\xfe\x27\xd0\xe5\x83\x7f\xd1\x9d\x57\x16\x49\x14\x8f\x1f\xc1\xa1", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquationEXT}, // libGL:glBlendEquationEXT
  {(uint8_t*)"\xde\x90\xa6\x9e\x49\x1d\xd9\xa3\x0b\xe1\x29\xc3\x84\x7c\xf7\xdc\x24\x20\x77\x54\x12\xaf\x6c\x93\x14\x2a\xa9\x1f\xe8\xad\x92\x9d", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquation}, // libGL:glBlendEquation
  {(uint8_t*)"\xf3\x92\x11\xd2\x91\xa7\x97\x4b\x60\xbf\x7c\x0a\x24\x0d\x96\x24\xc4\xc2\xfb\xa2\x43\xcf\x0e\xd6\x37\x17\x17\xfc\x84\x10\xaf\xd5", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquationiARB}, // libGL:glBlendEquationiARB
  {(uint8_t*)"\x76\x72\x04\x26\xec\xc5\xea\x86\xa8\x74\x87\x49\x56\x71\x1d\x72\x33\x35\x49\x7e\x98\x76\xd3\x41\x5a\x5d\x4a\xe5\xac\x1d\xca\xe1", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquationi}, // libGL:glBlendEquationi
  {(uint8_t*)"\x9c\xe3\xdf\x5d\xa7\x52\x7c\x1d\x80\x1e\x6a\x5d\xbd\x88\x81\x43\xb9\x61\xc7\x19\x3b\xa7\x4a\x3c\xfc\xc0\xa2\x82\x02\x1c\x65\xbf", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquationIndexedAMD}, // libGL:glBlendEquationIndexedAMD
  {(uint8_t*)"\x01\x8c\xe9\xd0\x97\x5e\xd7\x12\x61\x7c\xfe\xd4\xd9\x39\xe7\x8f\xdc\xef\x93\x8f\xfc\x8f\x26\x8f\xd0\xb3\x89\xd6\x78\x0d\xd4\xb4", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquationSeparateEXT}, // libGL:glBlendEquationSeparateEXT
  {(uint8_t*)"\x77\x59\xac\xa5\xa3\xb2\xc0\xb7\xc0\x64\xcf\xd3\x7d\x20\xb9\xf8\x1d\x3d\xff\x9d\x1d\x35\x2d\xb0\xbf\x61\x1a\xda\xc3\x10\x9b\x03", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquationSeparate}, // libGL:glBlendEquationSeparate
  {(uint8_t*)"\x52\xee\x63\x98\x9f\x31\x0c\x2e\xe2\x92\x33\x50\xf7\x1d\xf5\x25\x8c\xb0\xc7\x56\x89\x01\x83\x4d\xa3\xd9\xbd\x2f\x64\x6b\x93\x58", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquationSeparateiARB}, // libGL:glBlendEquationSeparateiARB
  {(uint8_t*)"\x31\xad\x78\xb0\x9d\xec\x26\x17\x0e\xd8\xd8\x49\xfb\x6f\xd9\xac\xed\xca\x64\x9b\xf2\x48\x45\x47\xbc\x86\x94\xd8\xb3\xfe\x64\x46", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquationSeparatei}, // libGL:glBlendEquationSeparatei
  {(uint8_t*)"\x9b\xe8\x46\xdf\x55\x21\xce\xa9\x61\x97\x90\x81\x5d\x62\x16\x88\xbd\xb9\x36\xef\xbc\x41\x10\x83\x98\x78\xe1\x8e\xd8\xe0\x63\x60", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquationSeparateIndexedAMD}, // libGL:glBlendEquationSeparateIndexedAMD
  {(uint8_t*)"\xe5\x9c\x53\x5a\x25\x8b\xa4\xe3\x5e\xcf\xab\xdb\x7f\x87\x74\x52\x30\x30\x07\x17\x3f\x76\x6c\xe7\xb9\xc8\xb6\x94\x6e\xe8\x14\x62", (void(*)(void *))&fexfn_unpack_libGL_glBlendFunc}, // libGL:glBlendFunc
  {(uint8_t*)"\x42\x63\xde\xa6\x1b\x0f\xa4\xd2\xe1\xbd\x08\xc4\x9f\x73\x47\x50\x76\xcf\x95\xb7\x93\x94\xc2\x4b\x16\x42\xd4\x3b\xc3\xdf\xb1\x99", (void(*)(void *))&fexfn_unpack_libGL_glBlendFunciARB}, // libGL:glBlendFunciARB
  {(uint8_t*)"\x90\xfb\xd7\xd9\x1a\x9a\x7d\x1b\x95\x67\x59\x92\xd7\xe9\xf4\x1b\x00\x84\x87\xef\x09\xb4\xc5\x8b\xc3\xb4\xea\x05\x02\x35\xde\x2b", (void(*)(void *))&fexfn_unpack_libGL_glBlendFunci}, // libGL:glBlendFunci
  {(uint8_t*)"\xc7\xde\xbc\x6c\x29\xfe\x66\xe4\x2d\x4e\x04\x20\x3f\xd9\x36\x9c\x73\xf6\xe6\xe0\xdc\xbe\xb3\xdb\xff\x66\x3f\x9e\x22\x79\xe5\x24", (void(*)(void *))&fexfn_unpack_libGL_glBlendFuncIndexedAMD}, // libGL:glBlendFuncIndexedAMD
  {(uint8_t*)"\x3c\x79\x16\x4e\xc8\x15\x2f\x31\x51\x22\x47\xf6\xb9\xc9\x2c\x26\x1c\x02\x70\xec\xb8\x17\x69\x49\x33\x5f\xf5\x78\xf3\x61\x04\x81", (void(*)(void *))&fexfn_unpack_libGL_glBlendFuncSeparateEXT}, // libGL:glBlendFuncSeparateEXT
  {(uint8_t*)"\x22\x94\x70\x48\x49\xcb\x65\x58\x5a\x39\x80\x11\xe1\xcc\xf4\xb9\x2d\x43\xed\x67\xf4\x51\x9a\x54\x8e\x3b\x9d\xa7\xfe\xb4\xce\x55", (void(*)(void *))&fexfn_unpack_libGL_glBlendFuncSeparate}, // libGL:glBlendFuncSeparate
  {(uint8_t*)"\xa1\x50\x39\x1d\xe2\x34\xa0\x9b\x27\xca\x0d\xf3\x61\xb4\x23\xd6\xdd\x4d\x7b\x83\x49\x54\xe3\x93\x85\x63\x12\x72\xac\x70\x1b\x46", (void(*)(void *))&fexfn_unpack_libGL_glBlendFuncSeparateiARB}, // libGL:glBlendFuncSeparateiARB
  {(uint8_t*)"\xce\xe7\x98\x02\xc0\x0c\x9a\x51\xfc\x67\x0d\xb8\xd5\x6b\x3b\x79\xc4\x32\xb8\x19\xa9\x0b\x98\xf7\x10\x47\xab\x26\xac\x94\x6e\x42", (void(*)(void *))&fexfn_unpack_libGL_glBlendFuncSeparatei}, // libGL:glBlendFuncSeparatei
  {(uint8_t*)"\xfc\x58\xb4\x90\x0c\x8f\x27\x73\x67\x5a\x43\x8d\x62\xff\x98\xfa\x2e\x8e\x55\xd6\x3d\xae\x1a\x2a\xaf\x58\xd2\x9b\xe6\xed\x87\x17", (void(*)(void *))&fexfn_unpack_libGL_glBlendFuncSeparateIndexedAMD}, // libGL:glBlendFuncSeparateIndexedAMD
  {(uint8_t*)"\xe4\xba\xad\x1d\x39\x15\xe3\xb8\x7f\x0b\x46\xac\xdd\xbf\x23\x3f\x14\x9a\xe7\xe4\x4d\xdc\x18\xd9\x7d\xee\xe0\xba\xe4\xcc\x74\xb7", (void(*)(void *))&fexfn_unpack_libGL_glBlendFuncSeparateINGR}, // libGL:glBlendFuncSeparateINGR
  {(uint8_t*)"\x24\x6f\x3a\x3e\x3a\x20\x99\x9a\x36\xfb\x1f\x8d\x70\xab\x3b\x0b\xbc\xc1\x30\x18\x51\xf5\xfd\x22\xa8\x82\x20\x25\x90\x0e\xdb\xd8", (void(*)(void *))&fexfn_unpack_libGL_glBlendParameteriNV}, // libGL:glBlendParameteriNV
  {(uint8_t*)"\xb7\xb3\xe6\x10\xbc\x9e\x90\xd6\x45\xac\x8d\x2b\x12\x45\x8f\xd0\x5f\xbe\xbc\x44\xbb\xf8\x29\x29\xda\x34\x69\x5f\x1d\xbc\xb5\x5d", (void(*)(void *))&fexfn_unpack_libGL_glBlitFramebufferEXT}, // libGL:glBlitFramebufferEXT
  {(uint8_t*)"\x28\xfa\x5c\x71\x9a\xb2\xcd\x67\x43\x6f\xee\xd4\xa5\x15\xff\x81\x64\x54\x00\xc5\x6f\x6b\x53\xa4\x7e\x1c\xa1\x53\xbf\xd1\x68\x20", (void(*)(void *))&fexfn_unpack_libGL_glBlitFramebuffer}, // libGL:glBlitFramebuffer
  {(uint8_t*)"\x77\x30\x91\x45\x9c\x1d\x01\x50\x17\x4c\x2c\x97\x72\xcd\x19\x0e\x01\x7b\xf3\x11\x53\xaa\x38\x7a\xf3\x31\xb7\x4b\x85\xd7\x84\xe8", (void(*)(void *))&fexfn_unpack_libGL_glBlitNamedFramebuffer}, // libGL:glBlitNamedFramebuffer
  {(uint8_t*)"\x7e\x73\xe4\xa6\x95\x42\x50\xc4\x48\xde\x0f\x8e\xb8\x9b\x14\x72\x58\xda\x06\xec\x8a\x1a\xcd\x6d\x9b\x1a\x4c\x7f\xf7\x66\x4f\x55", (void(*)(void *))&fexfn_unpack_libGL_glBufferAddressRangeNV}, // libGL:glBufferAddressRangeNV
  {(uint8_t*)"\x67\xb8\x37\xde\xac\x4b\xff\x78\xdd\x50\x41\x66\xcf\x28\x94\xef\xc3\x59\xed\xac\x41\x8e\xff\x8f\xfd\x9f\xf3\xe0\x55\xa7\xb7\x8f", (void(*)(void *))&fexfn_unpack_libGL_glBufferAttachMemoryNV}, // libGL:glBufferAttachMemoryNV
  {(uint8_t*)"\xe3\x0c\x62\x03\xc5\xdb\x66\x64\xeb\x05\x21\x56\xb9\xc7\x64\x17\xe2\xbb\x46\x2e\x1f\x8d\xf8\x6c\x35\x5c\x54\x09\x70\x08\x69\xaa", (void(*)(void *))&fexfn_unpack_libGL_glBufferDataARB}, // libGL:glBufferDataARB
  {(uint8_t*)"\x0c\xa8\xa5\x87\x7c\xf5\xe5\x04\x3a\x9e\xa4\xce\x53\x0a\xdd\x70\x88\x8c\x28\x4a\x84\xed\x65\x03\x89\xa6\x66\x98\xca\xee\x41\x84", (void(*)(void *))&fexfn_unpack_libGL_glBufferData}, // libGL:glBufferData
  {(uint8_t*)"\x2f\x44\x92\xb3\x1c\xa8\x95\xaa\xfe\xd6\xdc\x97\xc4\xc1\x43\x0d\x3c\xf0\xd8\x87\x20\xe7\xc7\xc7\x7e\x28\x3c\x1f\x26\x41\x66\x1b", (void(*)(void *))&fexfn_unpack_libGL_glBufferPageCommitmentARB}, // libGL:glBufferPageCommitmentARB
  {(uint8_t*)"\xad\x00\x42\x4d\x47\x85\x6b\x5a\x01\x76\x19\x82\x25\x64\x62\x64\xb7\xf3\xfc\x42\x8d\x6c\x96\xb0\x9a\x2b\x63\x59\x19\xfe\x4a\x33", (void(*)(void *))&fexfn_unpack_libGL_glBufferParameteriAPPLE}, // libGL:glBufferParameteriAPPLE
  {(uint8_t*)"\x0e\x50\x3d\x84\x68\xba\x91\x15\x89\xb3\x9c\x1d\x4c\xe1\x4a\x68\x7b\xf7\xeb\x5c\x19\x64\x8c\xd2\x71\x29\x25\x89\x6a\x4b\xfc\x8c", (void(*)(void *))&fexfn_unpack_libGL_glBufferStorageExternalEXT}, // libGL:glBufferStorageExternalEXT
  {(uint8_t*)"\x12\x50\x62\x02\x8a\xb0\x3b\x0b\x3e\xad\x12\xb6\xd0\x69\x4f\x7c\x0b\x50\xe5\x15\xcb\xca\xf9\xf0\x40\x33\x61\x5b\x91\xa6\x28\xa4", (void(*)(void *))&fexfn_unpack_libGL_glBufferStorage}, // libGL:glBufferStorage
  {(uint8_t*)"\x03\x35\x7c\x68\xe6\x70\x48\x8c\xa8\xcb\x52\x02\x89\x58\x13\xc3\x0a\xeb\x7f\xcd\x02\x9d\xc3\xf6\x30\x98\x38\xce\x17\x6b\x52\xd8", (void(*)(void *))&fexfn_unpack_libGL_glBufferStorageMemEXT}, // libGL:glBufferStorageMemEXT
  {(uint8_t*)"\x2e\x15\xc7\x50\x84\xac\xd6\xe2\xd5\x05\x11\x4b\xa2\x86\xca\xab\xb1\x9a\xb1\x51\x6e\xbf\xbc\x48\xd4\x6c\x59\x00\x32\xd0\xdb\x2d", (void(*)(void *))&fexfn_unpack_libGL_glBufferSubDataARB}, // libGL:glBufferSubDataARB
  {(uint8_t*)"\xa2\x42\x4a\x88\x18\x74\x29\x1e\x41\xcb\x56\xcb\x67\xb8\x6d\x99\x58\x7e\x82\xc4\x30\x3a\xd6\x86\xa8\x72\x5c\xc8\xdd\x27\xdc\x13", (void(*)(void *))&fexfn_unpack_libGL_glBufferSubData}, // libGL:glBufferSubData
  {(uint8_t*)"\x8f\x86\x8c\xae\x83\x71\xff\x32\x7a\xfd\x26\xe1\x3a\x60\x10\x15\xdf\xf4\x50\x85\xfa\x17\xfe\x1f\x9d\x4b\x6d\xdc\xf4\x3f\x0d\x59", (void(*)(void *))&fexfn_unpack_libGL_glCallCommandListNV}, // libGL:glCallCommandListNV
  {(uint8_t*)"\x47\x65\xb8\x06\x64\x5b\x70\x17\x69\x82\x42\x31\xb5\x67\x74\x66\x10\xd1\x8e\x13\xd1\x98\x33\xd7\xad\xc5\xcd\xf1\xf6\x0d\x31\xc6", (void(*)(void *))&fexfn_unpack_libGL_glCallList}, // libGL:glCallList
  {(uint8_t*)"\x05\x38\x1f\x25\x3d\x92\xb3\x4b\x7c\x6f\x86\xe7\xaf\x3b\x1b\x30\x3b\xb0\x79\x13\x81\x04\xd1\x1d\xa7\x98\xd5\xbd\x8b\x6f\xfb\xb6", (void(*)(void *))&fexfn_unpack_libGL_glCallLists}, // libGL:glCallLists
  {(uint8_t*)"\x5f\x5f\x1b\x83\x29\x61\x43\x14\x63\x64\x41\x9a\xe9\x68\x1d\x7b\x64\x6e\xd4\x90\x5d\xaa\xa6\x23\xea\x62\x9c\x70\x9b\x78\x2e\x8b", (void(*)(void *))&fexfn_unpack_libGL_glClampColorARB}, // libGL:glClampColorARB
  {(uint8_t*)"\x8c\x48\x6a\xc6\xcb\x2f\x3a\x27\xe3\x74\x6b\xf2\xb6\xa8\x5e\xc3\x07\xed\xe3\x90\xf4\x6d\xed\x97\x80\x8f\x25\x63\x47\x01\x45\x80", (void(*)(void *))&fexfn_unpack_libGL_glClampColor}, // libGL:glClampColor
  {(uint8_t*)"\x73\x31\x56\x12\xb1\x82\x0b\xb2\x24\x0a\xa5\x8f\x79\x0d\x7d\xf1\xfb\x7a\x1e\x58\x28\xab\xae\xdd\xa1\x3a\xda\x91\x41\xea\x2b\x23", (void(*)(void *))&fexfn_unpack_libGL_glClearAccum}, // libGL:glClearAccum
  {(uint8_t*)"\x47\xd4\xe6\x4f\x8d\xbb\xb3\x58\x5c\x4d\xe5\x85\xfd\xbe\xac\x8b\xf1\x93\x1f\x76\x75\x2f\x54\x73\x6d\x25\x91\xd2\x36\x78\x15\xf4", (void(*)(void *))&fexfn_unpack_libGL_glClearAccumxOES}, // libGL:glClearAccumxOES
  {(uint8_t*)"\x48\x56\xc8\x5a\x44\x71\x15\x93\x50\x85\x0c\x89\xe9\x7c\xf3\x6b\xf8\x04\x2e\xec\xc6\x9d\xd1\x9d\xeb\xfb\x70\x98\x7c\x0d\x94\xac", (void(*)(void *))&fexfn_unpack_libGL_glClearBufferData}, // libGL:glClearBufferData
  {(uint8_t*)"\xeb\x6a\xc7\xfd\xfb\xbf\xa8\x51\xdf\x80\x1c\x11\x6f\xea\xc3\x51\x61\x3e\x08\xa6\x41\x4f\x3f\x42\xb6\x31\x50\x7b\xae\x40\x44\x44", (void(*)(void *))&fexfn_unpack_libGL_glClearBufferfi}, // libGL:glClearBufferfi
  {(uint8_t*)"\x4b\xea\x27\xab\xf5\x0c\xbc\x6b\x9a\xb1\x39\x78\x54\x01\x54\x1a\xeb\xd6\xbc\xed\xd9\x83\x2e\x14\x4b\x10\x92\xfd\x9f\xa7\xb1\x93", (void(*)(void *))&fexfn_unpack_libGL_glClearBufferfv}, // libGL:glClearBufferfv
  {(uint8_t*)"\x43\x94\xac\x1f\xcf\xda\x1c\xbc\x4d\x5d\x93\x5b\x19\x60\x90\x2d\x6a\x20\x60\x7f\xc0\xb1\x07\x46\x72\xe6\x11\xe1\x36\x75\xd9\x58", (void(*)(void *))&fexfn_unpack_libGL_glClearBufferiv}, // libGL:glClearBufferiv
  {(uint8_t*)"\x8e\xf9\x61\xec\xc3\x7b\x13\x26\x38\xdf\xb1\x93\xf8\xc2\x4b\x19\x0b\xdb\x5d\x1a\xc0\xf1\x6e\x62\x64\x93\x2b\x59\x91\x6f\x18\xac", (void(*)(void *))&fexfn_unpack_libGL_glClearBufferSubData}, // libGL:glClearBufferSubData
  {(uint8_t*)"\x33\x72\xb8\x2b\x7c\x57\xf6\xde\x0f\xf1\x1d\x34\x0d\xf3\x8c\x37\x77\x9c\x8c\x14\x6b\xd7\x97\x36\x78\xc2\xe2\xd0\xe4\x29\x11\x1c", (void(*)(void *))&fexfn_unpack_libGL_glClearBufferuiv}, // libGL:glClearBufferuiv
  {(uint8_t*)"\xd6\x1c\x33\x3b\xe0\x07\x20\x55\xfe\xb3\x1d\xf7\x13\x0c\x0a\x6a\x98\x37\xc3\xb1\x20\xf0\xff\xf1\x0d\x21\x85\x60\xb1\x8d\xb8\x08", (void(*)(void *))&fexfn_unpack_libGL_glClearColor}, // libGL:glClearColor
  {(uint8_t*)"\x89\xd2\x6b\x2c\xac\x0b\x0b\x4d\xd0\x15\x97\x95\x08\xbe\x76\x04\x1c\x6f\x06\x59\xaf\x12\xc6\x1c\x77\xb5\x66\xf2\x79\x32\x2c\xb1", (void(*)(void *))&fexfn_unpack_libGL_glClearColorIiEXT}, // libGL:glClearColorIiEXT
  {(uint8_t*)"\x04\xeb\xb4\x62\xfa\x8a\xb9\x84\x91\xe0\xfa\x35\xcb\xec\x1b\x46\x6d\x4d\xb9\x78\x4c\x97\xf2\xb9\xa3\x94\x31\x62\xbb\x3d\x6b\x9c", (void(*)(void *))&fexfn_unpack_libGL_glClearColorIuiEXT}, // libGL:glClearColorIuiEXT
  {(uint8_t*)"\xf5\x7e\x2a\x58\xbf\x67\x84\x9f\xf1\x41\x12\xff\x42\x1c\x7b\x08\x38\x2a\x94\x4c\xf7\x7f\xce\xf6\xf5\x15\xd7\xd6\xef\x82\x4c\x85", (void(*)(void *))&fexfn_unpack_libGL_glClearColorxOES}, // libGL:glClearColorxOES
  {(uint8_t*)"\xcc\x00\x5f\x8e\x05\x60\xef\x8e\x8d\x1f\x73\x78\x1a\x35\xac\x61\x8a\xdd\x34\x88\xd9\xdc\xeb\x55\xbe\x9e\xa8\x30\x16\xc3\x90\xf4", (void(*)(void *))&fexfn_unpack_libGL_glClearDepthdNV}, // libGL:glClearDepthdNV
  {(uint8_t*)"\x16\xc4\x62\x08\xbc\x7d\x48\xb8\xd6\xc4\x52\xd8\x5b\xe1\x86\x64\xd9\xb5\xda\xd2\x89\xf1\xe6\x48\x71\x0a\xef\x84\x2f\xc0\xca\x2d", (void(*)(void *))&fexfn_unpack_libGL_glClearDepthf}, // libGL:glClearDepthf
  {(uint8_t*)"\xe5\x93\x58\x68\xe0\xb1\xa4\x1c\x35\x0f\xbd\x94\x2d\x78\x32\x90\x82\x47\x89\xce\xc0\x8a\x69\xb0\xbb\x6b\x4f\x76\x5a\xa7\x2b\xf4", (void(*)(void *))&fexfn_unpack_libGL_glClearDepthfOES}, // libGL:glClearDepthfOES
  {(uint8_t*)"\x6b\x1e\x8a\xeb\x10\xe9\x1c\xfb\x93\x99\x79\x65\xa3\x98\xad\x22\x66\x65\x5e\x25\xf8\xe5\x5d\xa3\xca\xd5\x0f\xab\xdd\xc5\x94\xa8", (void(*)(void *))&fexfn_unpack_libGL_glClearDepth}, // libGL:glClearDepth
  {(uint8_t*)"\x35\x04\x8c\x27\x65\xcf\x6a\x27\x99\x45\x96\xd6\xdc\xc4\x3c\xff\x71\x8f\xe4\x0d\xdd\xb7\xe7\x76\xa0\x3a\xb2\xe7\x45\xd4\xda\x0d", (void(*)(void *))&fexfn_unpack_libGL_glClearDepthxOES}, // libGL:glClearDepthxOES
  {(uint8_t*)"\x79\xb5\x0b\x0b\x18\xfe\x5a\x60\xef\xdc\x35\xcb\x45\x2e\xc6\x0a\xaf\xc3\x18\xb2\x06\x0c\x36\xce\xa2\x27\x27\x00\xed\xe4\xf3\xec", (void(*)(void *))&fexfn_unpack_libGL_glClear}, // libGL:glClear
  {(uint8_t*)"\x1c\xe0\xf0\x8c\x13\x93\x30\xa2\xf1\x74\x75\xea\xf7\x8e\x26\xb2\xcc\x51\x9f\x58\xd0\x47\x95\x57\xaf\x28\xb9\x88\x1b\xd2\xde\x66", (void(*)(void *))&fexfn_unpack_libGL_glClearIndex}, // libGL:glClearIndex
  {(uint8_t*)"\xe0\x93\x60\x09\x71\x50\xd7\x4e\xfa\x46\x8a\x13\x0a\xa8\x37\x07\xe0\x97\x9d\xa5\x73\xd4\x5b\x12\x35\x81\x84\x77\xd3\x30\x20\x67", (void(*)(void *))&fexfn_unpack_libGL_glClearNamedBufferDataEXT}, // libGL:glClearNamedBufferDataEXT
  {(uint8_t*)"\x84\x48\x76\xac\xa0\x5a\xfb\xc6\xf7\xc1\x6d\xbe\x1b\xbf\x4d\xb2\x25\x17\xaf\x85\x95\x98\x71\x8f\xfe\x66\x46\xef\x62\xdd\xad\x51", (void(*)(void *))&fexfn_unpack_libGL_glClearNamedBufferData}, // libGL:glClearNamedBufferData
  {(uint8_t*)"\x4b\x9f\xbf\x48\x4a\xc7\xa3\x0a\x68\x0c\x9c\x97\xe0\xf2\x00\xff\xed\x28\x8f\xb0\xf9\x2f\x2f\x3d\x9c\x26\xe2\x1f\xed\x05\xa7\xac", (void(*)(void *))&fexfn_unpack_libGL_glClearNamedBufferSubDataEXT}, // libGL:glClearNamedBufferSubDataEXT
  {(uint8_t*)"\x02\xbf\x8e\x44\xb0\xb8\xc3\x52\xfb\xed\xb3\xde\x84\x28\xba\x3a\xac\xac\xf3\x99\x26\xbc\x04\x39\x85\x2a\xad\x83\x72\x7c\x7e\x39", (void(*)(void *))&fexfn_unpack_libGL_glClearNamedBufferSubData}, // libGL:glClearNamedBufferSubData
  {(uint8_t*)"\xf8\x4c\x46\x71\x4b\x40\xb4\xd9\xf9\x6b\x96\x8b\x2d\x8f\x0e\xcd\x33\xf5\xa5\xbf\xcb\x29\x7d\x30\x8f\x5e\x67\x24\x25\xff\x04\xae", (void(*)(void *))&fexfn_unpack_libGL_glClearNamedFramebufferfi}, // libGL:glClearNamedFramebufferfi
  {(uint8_t*)"\xcc\x48\x58\x60\xcb\x4a\xab\xda\x1d\x69\x41\xa6\xc0\xfa\x10\x89\xd5\xaa\x88\x0b\x0d\xcb\x5f\x8e\x33\xd2\x62\x79\x46\xc2\x38\xd1", (void(*)(void *))&fexfn_unpack_libGL_glClearNamedFramebufferfv}, // libGL:glClearNamedFramebufferfv
  {(uint8_t*)"\x71\x83\x69\x39\xb3\x8e\xd3\x8c\x5d\xba\xae\xe1\xd2\xeb\x6f\xf7\xc3\x9b\x11\x01\x68\x0d\x03\xe8\xce\xb7\xd3\x96\xf9\x2f\x9a\x4c", (void(*)(void *))&fexfn_unpack_libGL_glClearNamedFramebufferiv}, // libGL:glClearNamedFramebufferiv
  {(uint8_t*)"\xd9\x13\xa9\xbe\x6a\xad\x75\x5d\x96\x77\x5e\x8c\x0c\xaf\x2b\xdd\x16\xa5\xf9\xa7\xa6\x69\x91\x53\x29\xce\x1b\x34\xf4\xc5\xd5\x0c", (void(*)(void *))&fexfn_unpack_libGL_glClearNamedFramebufferuiv}, // libGL:glClearNamedFramebufferuiv
  {(uint8_t*)"\x9f\x82\x62\x41\xae\x37\xf6\xa0\x14\xed\x9b\xc5\x7a\x0e\x1b\xde\x03\xcf\x8a\x2b\x3d\x6b\xed\xa8\x99\x5c\xd5\xe9\x46\x0b\x8f\x07", (void(*)(void *))&fexfn_unpack_libGL_glClearStencil}, // libGL:glClearStencil
  {(uint8_t*)"\x93\x6c\x06\x91\x21\x5a\x0f\x1f\x43\x8f\x2e\xc6\x8f\x9e\x5b\x4e\xc5\x22\xdd\x3f\x40\x71\xc1\xf4\x03\xf3\x62\xda\x91\xf9\x13\x6c", (void(*)(void *))&fexfn_unpack_libGL_glClearTexImage}, // libGL:glClearTexImage
  {(uint8_t*)"\xca\xfc\xfa\x93\x5d\x8a\xe7\xfc\x3c\x52\xca\x13\x28\x06\x06\x0d\xd3\x35\x9e\x9a\x7d\x1f\xb0\x45\x12\xbe\xdf\x91\xf1\x25\x9f\x90", (void(*)(void *))&fexfn_unpack_libGL_glClearTexSubImage}, // libGL:glClearTexSubImage
  {(uint8_t*)"\x99\x0f\xce\xaf\x61\x84\xfe\x6e\x89\x48\xa7\x8f\x2a\xfd\xc2\x04\x80\xd2\x6b\x2b\xb1\x5c\x02\x4a\xfd\x64\xb7\x5a\x8a\xa6\xad\x71", (void(*)(void *))&fexfn_unpack_libGL_glClientActiveTextureARB}, // libGL:glClientActiveTextureARB
  {(uint8_t*)"\x2d\xf7\x8d\xdc\xc9\x5e\xb2\xe8\xee\x26\x45\x2c\x84\x55\x2b\x5f\xc0\xa8\x42\xc5\x76\x26\x65\x54\x5f\x07\xae\x07\x00\x34\x76\xcd", (void(*)(void *))&fexfn_unpack_libGL_glClientActiveTexture}, // libGL:glClientActiveTexture
  {(uint8_t*)"\xe8\xeb\xd4\x29\xeb\x06\x8c\x63\x01\xc6\x80\xd2\x57\x59\xdf\xc1\x00\x2e\x48\x41\x84\x6a\x88\x97\x2b\x60\x3d\x0b\xd2\xaf\x6f\x8b", (void(*)(void *))&fexfn_unpack_libGL_glClientActiveVertexStreamATI}, // libGL:glClientActiveVertexStreamATI
  {(uint8_t*)"\x99\xfd\x46\xc1\xb2\xef\xaf\x85\x04\xca\xa1\x83\x32\xc4\xca\x0a\x5e\x60\xcb\xe7\x84\xb7\x59\x71\x58\x99\x85\x3d\x98\x56\xab\xae", (void(*)(void *))&fexfn_unpack_libGL_glClientAttribDefaultEXT}, // libGL:glClientAttribDefaultEXT
  {(uint8_t*)"\xda\x81\xf2\x0c\x4b\x67\xf5\xd8\xe4\xa1\x4e\x51\xd8\x85\x76\x2f\x76\x36\x58\xdf\xe2\xed\x84\x59\x94\x64\xe4\xcf\xbc\x76\x63\x0e", (void(*)(void *))&fexfn_unpack_libGL_glClientWaitSemaphoreui64NVX}, // libGL:glClientWaitSemaphoreui64NVX
  {(uint8_t*)"\x46\x24\x56\x1a\xed\xad\x8c\x11\x73\x32\x86\x84\x14\x5d\xe8\x2f\xde\xf7\x66\x39\x41\x38\xad\x45\x9b\xcb\x8a\xf0\x35\xd4\xec\xa0", (void(*)(void *))&fexfn_unpack_libGL_glClipControl}, // libGL:glClipControl
  {(uint8_t*)"\x52\xc6\xac\xe9\x25\x54\x3d\x9d\x56\x93\xeb\x6c\x02\x35\x17\x0f\x5a\x6c\x87\x7d\xc4\xc0\x99\x30\xa4\x1f\x8e\xe2\x6d\x36\x2c\xdc", (void(*)(void *))&fexfn_unpack_libGL_glClipPlanefOES}, // libGL:glClipPlanefOES
  {(uint8_t*)"\x15\x22\xc9\xd2\xd0\x99\x6b\xf2\xb9\x9d\x7c\x2d\x45\x04\xbf\x61\x11\x14\xa1\x59\xbe\x4d\x0d\x9e\xc3\x05\x84\x64\xfd\x63\xa4\xea", (void(*)(void *))&fexfn_unpack_libGL_glClipPlane}, // libGL:glClipPlane
  {(uint8_t*)"\x64\x32\x05\xae\xd8\x60\x06\xca\x6e\xdf\x05\xbf\xd3\xcc\x22\xe9\xee\x3a\x29\xfd\x41\x1a\xef\x23\x43\x75\xbb\x69\x1b\x47\x7e\x43", (void(*)(void *))&fexfn_unpack_libGL_glClipPlanexOES}, // libGL:glClipPlanexOES
  {(uint8_t*)"\xf9\x1c\x90\xfe\xf5\x66\x07\xa6\x96\x60\x06\x93\x5e\xe4\xa1\xb7\xb0\xe4\xf8\xe8\x68\x1d\xf9\x0a\x63\xc7\x3d\xa5\xd5\x2c\x48\x62", (void(*)(void *))&fexfn_unpack_libGL_glColor3b}, // libGL:glColor3b
  {(uint8_t*)"\x5f\xda\xdd\x15\xb8\x5a\x7a\xfa\x31\x0d\xfb\x1a\xbb\xb2\x2b\x74\x3e\x76\x43\xd9\x5b\xdd\x84\xfe\x76\xd2\xf2\x86\x09\xb5\x32\x8d", (void(*)(void *))&fexfn_unpack_libGL_glColor3bv}, // libGL:glColor3bv
  {(uint8_t*)"\xe2\x84\x3b\xa4\xfa\x93\x37\x47\xfb\x0b\xac\x61\x87\x65\x37\xc9\xa7\xa1\xce\xd4\x44\x05\x5b\x77\x57\x42\xca\xf5\xc3\x4e\x28\x02", (void(*)(void *))&fexfn_unpack_libGL_glColor3d}, // libGL:glColor3d
  {(uint8_t*)"\xb2\x40\xc9\x0b\x19\x5d\xc2\xf9\xd5\xfd\x28\x63\x8e\x69\x22\x55\xa9\x93\xb3\xa3\xc3\xa8\x22\xed\x4f\x3b\x7f\xbd\xa9\x51\x3a\xf3", (void(*)(void *))&fexfn_unpack_libGL_glColor3dv}, // libGL:glColor3dv
  {(uint8_t*)"\x2a\x9f\xe9\x06\x1d\xc5\x4e\xc4\x3d\xcb\x43\x81\x78\xb5\x6f\x1a\x16\x55\x55\x78\x8f\xbb\x3a\x5d\xe8\xc9\x23\x5c\xe2\x83\x21\x99", (void(*)(void *))&fexfn_unpack_libGL_glColor3f}, // libGL:glColor3f
  {(uint8_t*)"\xd2\xaa\xd6\x57\x23\xc9\x3a\x8e\x80\xf2\x0a\xca\x10\xf4\x9b\xfa\x5b\x3e\xf7\x0b\x8d\x48\xf8\x12\x5b\xd8\x7f\x47\xab\x74\x6d\x30", (void(*)(void *))&fexfn_unpack_libGL_glColor3fv}, // libGL:glColor3fv
  {(uint8_t*)"\x98\x42\xdb\xf3\x4b\x7c\x5f\x6f\xb4\x71\x7f\x07\xa1\x01\xc5\xb8\x68\xbe\x3c\x99\xb3\xe5\x97\xdb\x27\xdd\x84\xfa\xe3\x55\x69\xbe", (void(*)(void *))&fexfn_unpack_libGL_glColor3fVertex3fSUN}, // libGL:glColor3fVertex3fSUN
  {(uint8_t*)"\x82\x3c\xfc\x75\x40\x3b\x43\x82\x60\x72\x9a\x85\xdb\x1b\x9b\xed\x1b\x07\xa8\x90\x0a\x6d\xa2\xc0\x87\xec\x4c\x9e\xa4\xde\xab\xb3", (void(*)(void *))&fexfn_unpack_libGL_glColor3fVertex3fvSUN}, // libGL:glColor3fVertex3fvSUN
  {(uint8_t*)"\xff\x8a\xb2\x23\xd1\xea\xed\x32\xcb\xbd\x42\x67\xf7\x04\x11\xf4\x33\x1e\xa7\xae\x18\x8c\x6f\x87\xbc\xf1\xb5\x09\x45\xf6\xac\x37", (void(*)(void *))&fexfn_unpack_libGL_glColor3hNV}, // libGL:glColor3hNV
  {(uint8_t*)"\xfa\xa5\xc2\x45\xef\x1e\x92\xee\xfe\xf2\xfd\x1c\x03\xbe\xdc\x09\x7b\xac\x6a\x7b\x4f\x1e\x8d\x2e\xf7\x31\xaa\x88\xe3\x02\x94\x1a", (void(*)(void *))&fexfn_unpack_libGL_glColor3hvNV}, // libGL:glColor3hvNV
  {(uint8_t*)"\x90\xb9\x55\xb7\x7a\x02\x19\x35\xd6\x4d\xe1\x39\xfb\x90\x35\x06\xb9\xa8\x09\x96\x04\x0a\xed\xdf\xde\x2c\x67\x64\xb7\x38\x0f\x51", (void(*)(void *))&fexfn_unpack_libGL_glColor3i}, // libGL:glColor3i
  {(uint8_t*)"\x57\x6d\x38\x1d\x62\xf4\x5c\xed\x08\xf9\x16\x37\x52\xd1\xf1\x20\x0d\xfb\x11\x3a\x15\xe8\xcb\x93\xd9\x11\x22\xfa\x17\xcd\x79\xab", (void(*)(void *))&fexfn_unpack_libGL_glColor3iv}, // libGL:glColor3iv
  {(uint8_t*)"\xd8\xf9\xf2\xec\xdd\x9a\x30\x6a\x3f\x0d\xeb\x52\xab\x0f\x8a\xb0\x60\x14\x12\x69\x56\x6f\xea\xb6\x45\x77\x42\x64\x51\x84\x18\xd5", (void(*)(void *))&fexfn_unpack_libGL_glColor3s}, // libGL:glColor3s
  {(uint8_t*)"\x99\x22\xb7\x99\x52\x02\x6d\xba\x1d\xdd\xbe\xba\xf5\x9b\x1d\x8f\xf7\x4d\x24\x2f\x62\x8f\x63\xd6\xa3\x5d\xbe\xf8\x69\x2a\xa6\x2d", (void(*)(void *))&fexfn_unpack_libGL_glColor3sv}, // libGL:glColor3sv
  {(uint8_t*)"\x6f\x55\xa1\x76\xaa\x78\x34\x7e\xeb\xa0\x39\x65\x3f\x68\x0c\x1b\x81\xd5\xf4\x80\x64\x22\xdd\x5d\x30\x55\xc6\x7a\x2a\xbd\xc2\xf8", (void(*)(void *))&fexfn_unpack_libGL_glColor3ub}, // libGL:glColor3ub
  {(uint8_t*)"\xe5\xf6\xe6\x56\xe8\xb7\x80\x64\x77\x04\x95\xed\x81\x3f\xea\x50\x22\xac\x4c\xb0\x18\xb2\xa7\x25\x8a\xc1\x69\x56\x86\x01\xe4\xc0", (void(*)(void *))&fexfn_unpack_libGL_glColor3ubv}, // libGL:glColor3ubv
  {(uint8_t*)"\x91\x17\x93\x28\xb8\x12\x65\xa3\xb6\x05\x16\x5a\x0e\xae\xbb\x60\xcd\x9d\x30\x1f\xe8\x62\xa0\x46\xc8\x16\xcf\x71\x99\x0c\x61\x5c", (void(*)(void *))&fexfn_unpack_libGL_glColor3ui}, // libGL:glColor3ui
  {(uint8_t*)"\x09\xc4\xb7\x12\x27\xa1\x0c\x9d\x02\x64\x3b\x33\x00\x98\x45\xa5\xe3\x08\x6e\x57\xda\x2f\x85\x62\xd7\xdf\x05\xf1\x4a\x1e\x8c\x3b", (void(*)(void *))&fexfn_unpack_libGL_glColor3uiv}, // libGL:glColor3uiv
  {(uint8_t*)"\x7e\xbe\x4b\x8a\xc3\x2f\x47\x75\xba\x5e\xee\x58\x80\xda\x65\x04\xcf\x3b\x8a\xed\xe9\xc5\x19\xec\xdc\x45\x23\xb7\xe7\x27\xa6\x0b", (void(*)(void *))&fexfn_unpack_libGL_glColor3us}, // libGL:glColor3us
  {(uint8_t*)"\x7d\xb3\x4a\x20\x88\xae\x9e\xaa\xa7\x96\xe6\x04\x28\x12\x0b\x14\xfe\x77\x58\x44\xb9\xbe\x08\x6c\xf0\x00\x89\x6a\x5c\x07\x71\x41", (void(*)(void *))&fexfn_unpack_libGL_glColor3usv}, // libGL:glColor3usv
  {(uint8_t*)"\xc6\xc0\xe7\x72\x1b\xf2\xfc\x98\xd4\x8a\x41\xd5\xaf\x8f\x79\x8f\x47\x48\xf8\x73\x08\xff\xb0\xcf\x8a\x53\x9e\x2a\x5f\x39\xa3\x88", (void(*)(void *))&fexfn_unpack_libGL_glColor3xOES}, // libGL:glColor3xOES
  {(uint8_t*)"\x33\x84\x3e\x37\x4b\x91\xca\x45\xb7\x55\xc1\x37\xb5\x2c\x54\xf3\x2a\x6b\x51\x1d\x55\x16\xa9\xbb\x81\x2e\xc8\x25\x9f\x53\x72\x35", (void(*)(void *))&fexfn_unpack_libGL_glColor3xvOES}, // libGL:glColor3xvOES
  {(uint8_t*)"\xf7\x46\x11\xde\xaa\x7a\x1d\xbb\x2b\xa4\x48\xf7\x4b\x50\x3b\x98\x97\x65\x06\x98\x1a\x18\x54\x84\xa9\x7f\xc5\xf8\x91\xba\xa9\x63", (void(*)(void *))&fexfn_unpack_libGL_glColor4b}, // libGL:glColor4b
  {(uint8_t*)"\x45\x0a\xd4\x10\x0f\x59\x55\x96\x46\xdc\x26\x1e\xd5\xaf\x9f\x57\x3a\xf3\x81\x18\x6e\x5c\x3b\xb7\x98\xb9\x28\xe9\x18\xcd\xeb\x38", (void(*)(void *))&fexfn_unpack_libGL_glColor4bv}, // libGL:glColor4bv
  {(uint8_t*)"\xeb\xf4\xb8\xe2\x4c\x92\x78\x52\xea\x1c\x02\x68\x69\x52\x0b\x83\x65\xf6\x38\x75\x95\x95\xbd\x35\x93\xcd\x74\x4e\xa1\x26\xec\xde", (void(*)(void *))&fexfn_unpack_libGL_glColor4d}, // libGL:glColor4d
  {(uint8_t*)"\xab\xa4\x2f\x32\x4f\x99\x54\x9c\x7b\x05\x47\xbf\xd8\x07\x51\xcc\xc5\xae\x1f\x06\x6e\x6c\xc9\x60\x0c\x16\x6b\x4f\xcd\x22\xe2\xee", (void(*)(void *))&fexfn_unpack_libGL_glColor4dv}, // libGL:glColor4dv
  {(uint8_t*)"\x91\xc7\x62\xbb\xae\xb6\x64\x79\xdd\x75\xfd\x36\xb8\xa7\xe8\xfd\x94\x32\xce\xda\x5c\x48\x1b\x76\x59\xae\xd7\xf7\xee\x54\x9b\x6d", (void(*)(void *))&fexfn_unpack_libGL_glColor4f}, // libGL:glColor4f
  {(uint8_t*)"\xb8\x4e\x1a\x7d\xab\x6c\x06\x02\xc2\x4b\xab\x6a\x0b\xef\xef\x58\x4c\xe8\xcb\x1a\x98\xf1\xb3\x43\xd8\xaf\x19\x53\xa7\xb8\x3d\xef", (void(*)(void *))&fexfn_unpack_libGL_glColor4fNormal3fVertex3fSUN}, // libGL:glColor4fNormal3fVertex3fSUN
  {(uint8_t*)"\xff\xf0\xe7\xb7\x43\xf9\xb6\x62\x61\x3e\xd4\x23\x05\xe2\xe3\xdb\x82\xf4\x2a\x80\xee\x2a\xc4\x6f\xb4\xb8\x82\x54\x59\x82\x0a\x60", (void(*)(void *))&fexfn_unpack_libGL_glColor4fNormal3fVertex3fvSUN}, // libGL:glColor4fNormal3fVertex3fvSUN
  {(uint8_t*)"\x1e\xc3\xe9\x25\xea\x3e\x72\x92\x04\xda\x25\x01\xec\x0d\xb2\xa4\xd5\xb0\x8d\x44\x4b\x90\x2a\x5f\x02\x47\x76\x8a\x2d\x18\xa6\x65", (void(*)(void *))&fexfn_unpack_libGL_glColor4fv}, // libGL:glColor4fv
  {(uint8_t*)"\xbd\x41\x6b\xdc\x1f\xd0\xec\x7e\x32\x0e\x37\x65\x67\xd6\x52\xbb\xea\xbb\xb9\x51\x8e\x26\xfb\x94\xd9\x01\x68\xb0\xd0\x1a\x8e\xd2", (void(*)(void *))&fexfn_unpack_libGL_glColor4hNV}, // libGL:glColor4hNV
  {(uint8_t*)"\x73\x8a\x28\x83\x7f\xe4\xc7\xb7\xfb\xd1\xe1\x01\xe4\xe9\x53\x21\x51\x05\x07\x3d\x67\x73\x18\xa3\x8a\x45\x94\x4c\xc3\x37\xaa\xa1", (void(*)(void *))&fexfn_unpack_libGL_glColor4hvNV}, // libGL:glColor4hvNV
  {(uint8_t*)"\x4d\x7d\x86\xcc\x6a\x65\x25\x06\x4a\x0b\x17\x5d\xf8\x43\x5e\xf7\xd7\xb2\xf5\x4e\x4e\x7c\x55\xe1\x8a\x35\x76\xd7\xfa\x05\xbf\xba", (void(*)(void *))&fexfn_unpack_libGL_glColor4i}, // libGL:glColor4i
  {(uint8_t*)"\x07\x13\x59\xbb\x61\xdb\xb2\x9a\x82\x20\x45\xab\x3a\x1a\x34\x9d\x41\x44\xfa\x04\x8e\x39\x07\x17\x47\x7a\x0d\xf3\x32\x7d\x13\x11", (void(*)(void *))&fexfn_unpack_libGL_glColor4iv}, // libGL:glColor4iv
  {(uint8_t*)"\x44\xf7\xe4\xca\x92\x08\xa7\xc9\xf0\x42\xf0\x03\x72\x08\x6f\x3c\x74\x3b\xcd\x6f\xc4\xdd\x50\xc4\xec\x77\x7e\x7e\x6d\xac\xe4\x09", (void(*)(void *))&fexfn_unpack_libGL_glColor4s}, // libGL:glColor4s
  {(uint8_t*)"\x02\x1a\xd1\x87\x86\x2c\x44\x18\xfc\xcd\xa1\xdf\x5e\x38\x50\x21\x1e\x82\x6e\xea\xdb\xb6\x2b\x7f\x75\x80\x2e\x44\x9c\x0d\xa3\x62", (void(*)(void *))&fexfn_unpack_libGL_glColor4sv}, // libGL:glColor4sv
  {(uint8_t*)"\x61\x37\xb0\xc1\x0f\xa5\x56\xe6\xeb\xf6\x92\x0c\x2b\x2b\xdb\x01\xef\x2e\xaf\x5d\x18\xcd\x27\x32\x8f\x0c\x51\x6c\x39\x48\xbd\x55", (void(*)(void *))&fexfn_unpack_libGL_glColor4ub}, // libGL:glColor4ub
  {(uint8_t*)"\x09\xe7\x48\xd7\xca\x3f\x48\xdd\xea\x5a\x3c\xc3\x7c\xea\x5f\x2d\xb2\x6a\x22\xd0\x5a\xff\x05\x20\xe9\x83\xd7\xbf\x67\xd0\x16\x42", (void(*)(void *))&fexfn_unpack_libGL_glColor4ubv}, // libGL:glColor4ubv
  {(uint8_t*)"\xd5\xfd\xa3\x12\x6e\x9e\xfe\x94\x22\xc0\xfe\xd7\x86\xa5\xf5\xf0\x74\x77\x36\xf4\x3c\x27\xa5\x3d\x15\x9f\xef\x30\xf3\x02\x34\x7b", (void(*)(void *))&fexfn_unpack_libGL_glColor4ubVertex2fSUN}, // libGL:glColor4ubVertex2fSUN
  {(uint8_t*)"\x35\xcf\xbc\x01\x9b\x6c\x8f\x83\x51\x56\x6a\x39\xa6\x52\x0a\x4b\xa5\xfd\x4d\x3e\xe9\xf6\x04\x8f\x35\xd4\x7c\x28\xff\x3f\x74\xe3", (void(*)(void *))&fexfn_unpack_libGL_glColor4ubVertex2fvSUN}, // libGL:glColor4ubVertex2fvSUN
  {(uint8_t*)"\x6a\x0f\x66\x5c\xa4\xa1\x0b\x11\x5b\x9a\x1c\xd1\x0e\x66\x04\x1c\xc9\x53\xaf\x85\x6a\xe4\xbd\x10\xb6\x58\xa9\x48\xb9\xa3\x7a\xef", (void(*)(void *))&fexfn_unpack_libGL_glColor4ubVertex3fSUN}, // libGL:glColor4ubVertex3fSUN
  {(uint8_t*)"\x41\x8c\x11\xec\x62\xd9\x14\x06\x99\xcb\x06\xbe\x24\x82\xd2\xdc\x7a\xb0\x22\x0c\xb3\xe0\xe8\xed\xd6\xc0\xe0\x62\xdb\x86\x5a\x72", (void(*)(void *))&fexfn_unpack_libGL_glColor4ubVertex3fvSUN}, // libGL:glColor4ubVertex3fvSUN
  {(uint8_t*)"\xb2\x9b\x54\xfb\x42\x3a\x38\x81\xc1\xc5\x25\x54\x4b\x89\xe6\xca\xad\xc3\xfb\x97\xba\xa2\xcb\xb1\x4b\x12\x9f\xae\x30\x33\x8b\x55", (void(*)(void *))&fexfn_unpack_libGL_glColor4ui}, // libGL:glColor4ui
  {(uint8_t*)"\x30\x7b\xea\x79\x32\x24\xc5\x8c\xdf\x0f\x61\x64\x8c\x8b\x89\x1b\x19\x4d\xe8\x0f\xa4\x6b\xd5\xd9\xe8\x6c\xc6\x7b\xd7\x8d\x68\xf7", (void(*)(void *))&fexfn_unpack_libGL_glColor4uiv}, // libGL:glColor4uiv
  {(uint8_t*)"\xe1\x57\x59\x4d\x44\x6d\x87\x0b\xfb\x5c\x9d\xa5\x65\xce\xb6\x45\x0d\x11\x65\x6a\xb8\x92\x7c\x40\xbf\xa1\xd8\xa6\x39\x8e\xf6\xb8", (void(*)(void *))&fexfn_unpack_libGL_glColor4us}, // libGL:glColor4us
  {(uint8_t*)"\xa4\x48\xc9\x27\xa4\x88\x27\xed\x93\x97\x44\xdf\x12\x5c\x1a\x85\x2d\x53\xab\x7e\xe8\x8a\xc9\xba\x43\xcd\x21\x52\x88\xa5\xda\x1a", (void(*)(void *))&fexfn_unpack_libGL_glColor4usv}, // libGL:glColor4usv
  {(uint8_t*)"\x09\x9f\x5f\x93\x1b\x04\x03\xf3\x2f\x37\xec\x9f\x0b\x14\x89\x54\x10\x17\xcf\xa3\x59\x85\x77\x47\x5e\x22\xd7\xeb\xc0\x62\xd8\x36", (void(*)(void *))&fexfn_unpack_libGL_glColor4xOES}, // libGL:glColor4xOES
  {(uint8_t*)"\x2f\xc5\xb9\xb0\xd9\x68\x10\x77\xe2\xf7\x12\x29\xa8\xdf\x6d\x83\x5e\x48\x03\x19\xb7\x4c\xe0\x72\xb9\xd7\xca\xb5\xff\x16\xae\x6b", (void(*)(void *))&fexfn_unpack_libGL_glColor4xvOES}, // libGL:glColor4xvOES
  {(uint8_t*)"\xa4\xf3\xa7\x62\xad\x91\x53\xec\xf6\x76\xcd\x9d\xb6\x08\x55\x3b\x88\x4f\x20\x82\x48\xe7\x74\x5f\x44\x95\xd6\x6c\x1b\x30\x9d\x1f", (void(*)(void *))&fexfn_unpack_libGL_glColorFormatNV}, // libGL:glColorFormatNV
  {(uint8_t*)"\xbf\xf3\xe8\x50\x89\x49\x82\x94\x22\x06\x14\x0e\x96\x5c\x96\x74\x1d\xad\x09\x74\xda\x56\x38\x34\x01\x41\x4e\x2c\xb6\x5c\x49\x8c", (void(*)(void *))&fexfn_unpack_libGL_glColorFragmentOp1ATI}, // libGL:glColorFragmentOp1ATI
  {(uint8_t*)"\x06\x5d\xd4\x59\xeb\x96\xc5\xbd\x52\x2e\x10\x62\xa5\x5a\x3e\xcd\xc0\xd2\xc7\xd2\xd2\x56\x82\x56\x14\x9a\x23\xbe\x76\x78\xcc\x87", (void(*)(void *))&fexfn_unpack_libGL_glColorFragmentOp2ATI}, // libGL:glColorFragmentOp2ATI
  {(uint8_t*)"\x32\x76\xb4\xc9\xc1\xc9\x98\xe1\x0f\x5a\x1b\x2f\xc1\x18\x64\x4b\xa8\x51\xf0\x4e\xee\xe6\x9d\x96\x85\x63\xdd\x1d\xb5\x7e\xd5\x3a", (void(*)(void *))&fexfn_unpack_libGL_glColorFragmentOp3ATI}, // libGL:glColorFragmentOp3ATI
  {(uint8_t*)"\x34\x5f\x32\x45\x5d\xb2\x68\x9a\xd0\xa2\x1e\xa0\x91\x4a\x4b\x10\x8e\x17\x82\xfa\x0f\xb6\x53\x7e\x9c\xd6\x5c\x09\xed\x00\xac\xd2", (void(*)(void *))&fexfn_unpack_libGL_glColorMask}, // libGL:glColorMask
  {(uint8_t*)"\x06\xeb\xf4\xf0\x05\xe2\xbe\x85\xe8\xf9\x42\xb3\x0b\x50\x9d\x5b\xd9\x67\x9c\xea\xb2\x28\x0b\x49\xb6\xbe\xd1\xe6\x33\xcc\x42\x30", (void(*)(void *))&fexfn_unpack_libGL_glColorMaski}, // libGL:glColorMaski
  {(uint8_t*)"\xfc\x88\xc0\x20\x11\xb6\x9a\x9f\x91\x5c\x8d\x98\xe7\x7a\x3c\x29\xa2\xdc\x37\xdb\x36\x63\xb0\x2d\x94\xf1\xf0\x9e\xc4\x93\x0a\xa4", (void(*)(void *))&fexfn_unpack_libGL_glColorMaskIndexedEXT}, // libGL:glColorMaskIndexedEXT
  {(uint8_t*)"\x6b\xb5\x3c\x84\x5a\x8d\x4f\x54\xf5\xc1\xf6\x5d\x36\xaf\x27\x98\x89\xfe\x52\x20\x95\x2b\x0a\x81\xf2\xf9\xea\x4c\xcc\xe9\x95\x55", (void(*)(void *))&fexfn_unpack_libGL_glColorMaterial}, // libGL:glColorMaterial
  {(uint8_t*)"\x92\xbf\x31\xd9\x31\xbd\xcf\xd6\x48\xed\x1e\xf4\x4e\xac\xc8\x7c\x5d\x97\x50\xa5\x10\x2c\x93\xff\xaa\xf5\xec\x7b\x09\xa9\xf3\x5d", (void(*)(void *))&fexfn_unpack_libGL_glColorPointerEXT}, // libGL:glColorPointerEXT
  {(uint8_t*)"\x11\xdd\xe9\xf9\xb0\xff\x7f\xa8\x9e\xbc\x6e\x40\x93\xbf\xf2\xbd\x62\xad\x56\x52\xf0\x7f\x45\x96\x05\x3c\x97\xe4\x0d\xb7\x32\x24", (void(*)(void *))&fexfn_unpack_libGL_glColorPointer}, // libGL:glColorPointer
  {(uint8_t*)"\x23\x9c\x22\xc2\xbe\xf7\x2d\x1b\x4c\x40\x2c\xfe\x39\x10\x88\xc0\x03\xe8\x8a\x71\x8e\xcd\x93\x58\xf9\x93\xa1\xc8\xb1\x73\x64\x2a", (void(*)(void *))&fexfn_unpack_libGL_glColorPointerListIBM}, // libGL:glColorPointerListIBM
  {(uint8_t*)"\x43\xa7\x26\x6e\x11\x93\xb3\x68\x70\x5b\xb6\x57\x97\x56\xa6\x85\x67\xa8\x11\x82\xde\xc7\x58\xbf\x9f\x86\x0d\x2a\x05\xaa\x26\x35", (void(*)(void *))&fexfn_unpack_libGL_glColorPointervINTEL}, // libGL:glColorPointervINTEL
  {(uint8_t*)"\x9b\xfe\x6c\x76\xe1\x45\xb5\xc2\xf3\xdd\x3d\x87\x2c\x0f\x8b\x9b\x2b\x02\x75\xc0\x5b\xe6\x31\x26\x4b\xa7\x95\xd3\x51\x05\x54\x97", (void(*)(void *))&fexfn_unpack_libGL_glColorSubTableEXT}, // libGL:glColorSubTableEXT
  {(uint8_t*)"\x13\x41\x95\x61\x8a\xb2\x70\xd0\x78\x24\x95\x1c\x50\x7f\xf8\x54\x9c\x63\x5b\xb5\xf1\xe6\x0a\x54\x32\x28\x5d\x09\xf0\x59\x70\x12", (void(*)(void *))&fexfn_unpack_libGL_glColorSubTable}, // libGL:glColorSubTable
  {(uint8_t*)"\x16\xb5\xa6\xbf\x57\xc8\xe2\xaa\xb1\xfa\xe0\xcd\x16\xa2\xdb\x49\xd7\x80\x45\x39\xb4\xc2\xb8\x43\xf2\x2f\xd8\xff\xed\x90\xcf\xc5", (void(*)(void *))&fexfn_unpack_libGL_glColorTableEXT}, // libGL:glColorTableEXT
  {(uint8_t*)"\xc5\xdd\xb7\xa0\xbc\xbe\xf4\x4e\x98\xbf\xd0\x67\x66\x7c\x4f\x98\xed\x2f\x9a\xd3\xa6\x04\x50\x14\x23\xd2\x8b\xe5\x58\x26\x7a\x0a", (void(*)(void *))&fexfn_unpack_libGL_glColorTable}, // libGL:glColorTable
  {(uint8_t*)"\xdc\x37\xe2\xaa\xf9\xdf\xc6\x6b\x86\x77\xc8\xea\x88\x90\x2b\xc4\xdd\x66\x5e\x8b\x4b\x9d\x49\xd2\x1d\xad\x0a\x45\xf1\xd3\xa6\xdc", (void(*)(void *))&fexfn_unpack_libGL_glColorTableParameterfv}, // libGL:glColorTableParameterfv
  {(uint8_t*)"\x5a\x4c\x98\xba\xbf\x3b\x98\xc8\x94\xaf\x99\xf9\x23\xe0\x9e\x47\x03\xe6\x62\xbc\xd5\x4f\x20\x2d\x26\xf9\xe8\x01\x54\xee\xdf\x18", (void(*)(void *))&fexfn_unpack_libGL_glColorTableParameterfvSGI}, // libGL:glColorTableParameterfvSGI
  {(uint8_t*)"\x04\x54\x4d\x63\x20\xf1\x86\x3b\xcc\x17\x57\x87\xe2\x97\x5d\x82\xe1\x14\x21\xd6\xe6\x43\x15\x07\x8c\x2f\x0e\x6b\x0d\x84\x2d\x3a", (void(*)(void *))&fexfn_unpack_libGL_glColorTableParameteriv}, // libGL:glColorTableParameteriv
  {(uint8_t*)"\x0a\xf4\xee\x81\x70\x56\x06\x15\xe5\x45\xdd\x11\x5d\x99\x63\x02\xfb\x73\xec\x7d\xf2\x38\x86\x56\x60\xd4\x25\x93\x3c\x74\x86\x97", (void(*)(void *))&fexfn_unpack_libGL_glColorTableParameterivSGI}, // libGL:glColorTableParameterivSGI
  {(uint8_t*)"\x31\x3a\xaa\xaf\xf3\x68\x51\x5e\xac\xb6\x7f\x10\x6b\x61\x7d\xcb\xee\x35\xa9\xcd\x95\x7f\x1e\x33\x16\xbf\x3f\x6e\xcc\x25\x1a\x05", (void(*)(void *))&fexfn_unpack_libGL_glColorTableSGI}, // libGL:glColorTableSGI
  {(uint8_t*)"\x05\x26\x53\x65\xe2\x65\xb3\x51\xa8\x2c\x65\x76\x0b\x57\xf3\x9f\x84\xa5\x39\x21\x28\x0d\xb1\x65\xd9\x9f\x88\xeb\x1b\xc7\xfd\x26", (void(*)(void *))&fexfn_unpack_libGL_glCombinerInputNV}, // libGL:glCombinerInputNV
  {(uint8_t*)"\x65\xbf\xf4\xd9\xf4\x45\xdd\xec\x80\x8a\xae\x2e\x0a\xb7\x13\xbf\xe6\x6c\x62\xd5\xd2\x21\x40\xdc\x49\x9c\x78\x4f\x90\x95\x27\x02", (void(*)(void *))&fexfn_unpack_libGL_glCombinerOutputNV}, // libGL:glCombinerOutputNV
  {(uint8_t*)"\x35\xbc\x45\x4f\xfb\xce\x1d\x8f\x90\x9d\xe6\x8a\x9f\xab\xf7\xbc\x7e\x17\xf6\xef\xb0\xf0\x19\xdb\x3e\x2d\xb9\x22\xe8\x64\x77\x2a", (void(*)(void *))&fexfn_unpack_libGL_glCombinerParameterfNV}, // libGL:glCombinerParameterfNV
  {(uint8_t*)"\x19\xc2\xd2\x18\x4b\xf6\x05\x38\x68\x92\xd4\xb2\xe3\x34\xbb\xc5\xe6\x47\x07\xf5\x2b\xf8\x80\x99\x1d\x93\xd5\xd7\xde\x25\xbd\x48", (void(*)(void *))&fexfn_unpack_libGL_glCombinerParameterfvNV}, // libGL:glCombinerParameterfvNV
  {(uint8_t*)"\xf1\xc9\x9e\x8b\x86\x33\x2c\x7f\xec\xe2\x5c\x19\x6e\x1e\x7b\xc2\x38\xa4\xb4\x6f\xb5\x9e\x48\xc1\xb8\x44\x79\x7e\x0b\xcc\xa8\x9d", (void(*)(void *))&fexfn_unpack_libGL_glCombinerParameteriNV}, // libGL:glCombinerParameteriNV
  {(uint8_t*)"\x71\x19\x41\x48\x52\x5a\xda\xc6\x37\x65\x0a\x6d\x9d\xf8\x11\xd0\xdb\xd9\xa3\x40\x3a\x60\x53\xff\x31\xde\xb6\x20\xbf\xa4\x6a\x41", (void(*)(void *))&fexfn_unpack_libGL_glCombinerParameterivNV}, // libGL:glCombinerParameterivNV
  {(uint8_t*)"\xc7\xd2\x7b\x11\xc2\x2d\xf2\xc6\x24\x53\x00\x0d\x1c\xc8\x49\x1e\xcc\x2d\x88\x43\x90\x4c\x1d\x28\x04\x22\x3d\x49\x22\xbd\x44\x99", (void(*)(void *))&fexfn_unpack_libGL_glCombinerStageParameterfvNV}, // libGL:glCombinerStageParameterfvNV
  {(uint8_t*)"\xb5\xd3\x7f\xb1\xd9\xb1\xba\x2b\x8e\xe5\x60\x4b\x9c\x73\x4c\x15\x73\x0e\xd2\xcf\x0d\x92\x29\x80\x77\xf1\x1f\x40\xea\xc2\x2c\xbe", (void(*)(void *))&fexfn_unpack_libGL_glCommandListSegmentsNV}, // libGL:glCommandListSegmentsNV
  {(uint8_t*)"\x17\xcd\x22\xa5\x1e\xd8\xab\xa6\x0f\x67\x8f\xa5\x30\x99\xf1\xa6\x9b\x37\x98\x4f\xb0\x74\x7d\x1a\x36\x02\x30\x41\x78\x3e\xa4\x61", (void(*)(void *))&fexfn_unpack_libGL_glCompileCommandListNV}, // libGL:glCompileCommandListNV
  {(uint8_t*)"\xc8\xd4\xa5\x46\xf9\x16\x4d\xd6\xd7\x1f\x69\x97\xcc\xe7\x3a\xfd\x63\x46\x90\xde\xeb\x9a\x3b\x38\x81\x10\x7d\xe4\x69\xe9\x94\xee", (void(*)(void *))&fexfn_unpack_libGL_glCompileShaderARB}, // libGL:glCompileShaderARB
  {(uint8_t*)"\xfd\x52\x7a\x57\x4d\xa6\xee\x17\xdf\x6e\x25\x2c\x74\xac\xff\x99\x17\x8f\x15\xf6\x48\xe1\x41\x21\x38\x2a\xad\xee\x81\x25\xb0\x31", (void(*)(void *))&fexfn_unpack_libGL_glCompileShader}, // libGL:glCompileShader
  {(uint8_t*)"\xb1\x0b\x59\x1d\xab\x4a\x45\x3b\x20\x92\x3b\xc4\x99\x3c\x2d\xc4\x76\x4d\xa6\xcf\x3a\x2c\x7a\x29\xf3\xcf\x7f\xfb\x1d\x21\xab\x3d", (void(*)(void *))&fexfn_unpack_libGL_glCompileShaderIncludeARB}, // libGL:glCompileShaderIncludeARB
  {(uint8_t*)"\x74\xdd\xc6\x1e\xba\xf2\xcb\x02\x44\x4e\xc4\x42\x15\xa1\x78\x3d\x5e\x7d\x62\xe4\xb8\xf3\x94\x64\x3b\x8e\xaa\x04\x1d\x3e\x7b\xf1", (void(*)(void *))&fexfn_unpack_libGL_glCompressedMultiTexImage1DEXT}, // libGL:glCompressedMultiTexImage1DEXT
  {(uint8_t*)"\x75\xd0\x8a\xea\x1f\x1f\x7f\x73\x4a\x77\x6c\xa1\x91\x0d\xe1\x3e\xb7\xbf\x0f\xa7\xe5\xb7\x7d\x64\x0e\x8b\x18\xd5\x20\x8f\x89\x89", (void(*)(void *))&fexfn_unpack_libGL_glCompressedMultiTexImage2DEXT}, // libGL:glCompressedMultiTexImage2DEXT
  {(uint8_t*)"\xb7\x18\x6b\xcc\xa0\x72\x5e\xec\x61\xa2\x7d\x2b\x54\x22\x1d\xcd\xb9\xa1\xed\x6d\xb8\x1c\x4f\xdf\xd9\x08\x93\x18\xbc\xe7\x2c\x5a", (void(*)(void *))&fexfn_unpack_libGL_glCompressedMultiTexImage3DEXT}, // libGL:glCompressedMultiTexImage3DEXT
  {(uint8_t*)"\xb7\xdc\x5d\x99\x39\x65\x04\xb6\xc8\x13\x0a\x26\x00\x40\x2c\x8a\xa6\x86\x8c\xe5\xe0\x38\xbc\x62\xb5\xea\x54\x26\xd6\x6c\xdc\xdf", (void(*)(void *))&fexfn_unpack_libGL_glCompressedMultiTexSubImage1DEXT}, // libGL:glCompressedMultiTexSubImage1DEXT
  {(uint8_t*)"\xeb\x60\x67\x40\x21\xbd\x24\xe0\xab\x1f\x0d\x59\x2f\x00\x71\x8e\x6d\x33\xe4\x99\x23\xb3\x6a\x83\xf5\x79\x00\x7b\xb0\x36\x5a\xd9", (void(*)(void *))&fexfn_unpack_libGL_glCompressedMultiTexSubImage2DEXT}, // libGL:glCompressedMultiTexSubImage2DEXT
  {(uint8_t*)"\x8c\xa6\xa0\xae\xbb\x44\xa6\xaa\x30\x3e\x65\x01\x32\x78\xc5\xfc\xad\x79\x93\x40\x8f\x27\xa9\x3b\xc1\x40\x4c\x53\x46\x9e\xd9\x85", (void(*)(void *))&fexfn_unpack_libGL_glCompressedMultiTexSubImage3DEXT}, // libGL:glCompressedMultiTexSubImage3DEXT
  {(uint8_t*)"\x4e\x64\x91\x1d\xed\xbb\xd9\xee\xf8\x82\x6f\x4e\xf0\xbb\x04\x0a\xcf\xdb\xe9\xe9\xc8\x83\x87\x8e\xf5\x92\x82\x65\xd8\x02\xe3\x9d", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexImage1DARB}, // libGL:glCompressedTexImage1DARB
  {(uint8_t*)"\xb0\x66\x77\xfd\x4a\xbe\xda\x87\x6d\x20\xc8\x23\x06\xad\x96\xfa\xcc\x4a\x2b\x17\x5e\x68\x71\x12\xf4\xb3\xa5\xaf\x3a\x6f\x27\x30", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexImage1D}, // libGL:glCompressedTexImage1D
  {(uint8_t*)"\x70\x57\xc2\x83\x80\xde\x9d\x9b\xf0\x64\x2c\x0a\x5e\x9a\xfb\x5b\x35\xc5\x9e\x1d\x8b\x6a\x53\x33\x38\x2d\x5c\x0b\x5e\x97\x34\x72", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexImage2DARB}, // libGL:glCompressedTexImage2DARB
  {(uint8_t*)"\xf3\xbc\x5e\x41\x0c\x14\x7f\x3e\xc6\x3f\x22\x26\x03\x6b\xf5\xa9\xf8\x99\xb2\x0c\x5a\xd6\x1e\xdd\x19\x62\x42\x05\x6b\x69\xf0\xd2", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexImage2D}, // libGL:glCompressedTexImage2D
  {(uint8_t*)"\x9d\x75\x53\x54\x2d\x5e\xc2\xaf\x1a\xd8\x75\xb1\x77\x4d\x0e\x73\x97\x3b\x68\x79\xd9\xc6\x32\xdc\xb2\x79\xdb\x63\x95\xed\x57\x04", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexImage3DARB}, // libGL:glCompressedTexImage3DARB
  {(uint8_t*)"\xfb\xb2\x5b\x69\x9a\x1d\x1a\x78\xe6\xc8\x5b\x24\x0f\xe0\x85\x9a\x0f\x4e\x03\x9d\x64\xd7\xeb\x08\x8a\xd7\x88\x76\x50\x7b\x3f\x3f", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexImage3D}, // libGL:glCompressedTexImage3D
  {(uint8_t*)"\xf7\x72\xf5\xcf\x79\x65\xcd\x6e\x21\x97\x99\xd6\x65\x5d\x65\xdf\x85\xd5\xc8\xd2\x32\xed\xdb\xb0\x5f\x7f\x99\xdc\x65\x73\x98\xee", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexSubImage1DARB}, // libGL:glCompressedTexSubImage1DARB
  {(uint8_t*)"\x3a\xb9\x1a\x13\xae\x42\x23\x92\xd1\x54\xf4\xb0\x13\xcd\x1d\x29\x84\xc7\x1b\x8e\xfb\x74\x79\xee\xf0\xd1\x36\x04\x84\xa2\x67\x6e", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexSubImage1D}, // libGL:glCompressedTexSubImage1D
  {(uint8_t*)"\x0d\x98\x66\xda\xd2\x6a\x3f\x39\xd4\xab\xbc\x7a\x17\xa7\xc1\xca\x60\xa4\xc0\xa7\xfc\xf5\xd3\x1c\x78\x0c\xe8\xb6\x79\x89\x12\x83", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexSubImage2DARB}, // libGL:glCompressedTexSubImage2DARB
  {(uint8_t*)"\x1b\x8f\xbf\x1a\xeb\xe2\xa1\xc8\xe9\x41\xa8\x8b\x17\x66\x93\x78\x40\x97\x4a\xe4\x7a\xbf\x34\xbb\x61\x5d\xa1\x18\x4f\x09\x0c\x76", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexSubImage2D}, // libGL:glCompressedTexSubImage2D
  {(uint8_t*)"\x11\x89\x7c\x76\xc3\xd0\x82\x8b\x68\x91\x70\xfc\xce\xc7\x93\x32\x12\xc8\x63\xc0\x75\xe8\x23\x7a\x39\x8f\x57\x1a\x83\xaf\x3a\x69", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexSubImage3DARB}, // libGL:glCompressedTexSubImage3DARB
  {(uint8_t*)"\xdc\x90\xec\xd5\xbf\xf3\xb3\x93\x06\xe0\x8e\x58\x16\xf3\xb2\xef\xab\x96\xa0\x5c\x92\xa7\xdb\xbb\xa4\x39\xf9\xa5\x4d\x73\xfa\x39", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTexSubImage3D}, // libGL:glCompressedTexSubImage3D
  {(uint8_t*)"\x52\x48\xdb\x2c\x3e\x33\xec\xad\x07\xbb\xab\x21\x4a\x0b\x3d\xbc\xc5\x8d\xc3\x99\x2c\x96\x42\x3a\xbb\x80\xfb\x83\x37\x81\xa4\x5f", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTextureImage1DEXT}, // libGL:glCompressedTextureImage1DEXT
  {(uint8_t*)"\x7b\xe8\x39\x73\xa1\x33\x55\x08\xeb\x90\x3d\x0e\x9d\x1c\x4a\x1b\x5f\xf8\x37\xac\xed\x3a\x15\xf6\xa6\x40\xc9\x1b\x49\xc2\x9c\x97", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTextureImage2DEXT}, // libGL:glCompressedTextureImage2DEXT
  {(uint8_t*)"\x9d\xcd\x3f\xcd\xdd\x6d\xba\xa7\xd9\xdf\x62\x48\xd7\x38\xc0\x21\x8d\x83\x29\x1a\xe5\x9b\xc4\x56\x5b\x77\x8c\x3e\xa3\xd5\xb2\x2c", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTextureImage3DEXT}, // libGL:glCompressedTextureImage3DEXT
  {(uint8_t*)"\xf6\xd8\x4a\x38\x01\x94\x09\x70\xb8\x69\xdc\x7a\x20\x03\xff\xf3\xc4\xc5\xbc\x5b\x78\xde\x75\xa8\xfc\x31\x5b\x9d\xa9\xac\x7f\xf7", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTextureSubImage1DEXT}, // libGL:glCompressedTextureSubImage1DEXT
  {(uint8_t*)"\x59\x5a\x11\xe4\xd0\xe4\x00\xb7\xbe\xed\xd7\x5b\xa6\x1f\xdd\x79\xb2\xfb\x89\xbc\x04\x0e\x81\x4e\xa3\x8e\xfc\x96\x35\x17\xf4\xb7", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTextureSubImage1D}, // libGL:glCompressedTextureSubImage1D
  {(uint8_t*)"\xb0\x97\x76\x3a\x61\x54\x57\x0e\x2d\x8b\x9a\x4b\xfb\x89\xb4\xaf\xdb\x0a\x4b\x98\xf7\x5b\x12\x09\x09\x69\x2d\xee\x87\xf1\x77\xd4", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTextureSubImage2DEXT}, // libGL:glCompressedTextureSubImage2DEXT
  {(uint8_t*)"\x4e\x77\x66\x06\xfe\xaf\x3f\xdb\xa2\x4b\x63\x13\xe5\xaa\x54\x91\x86\x8d\x13\xd2\xb6\x08\x47\x23\xf7\x63\x26\xed\x3d\x5e\xba\xe9", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTextureSubImage2D}, // libGL:glCompressedTextureSubImage2D
  {(uint8_t*)"\xd2\x22\x64\x42\x31\x84\xda\x0b\x4c\x9f\x3e\x10\xd5\xb7\x8f\xe5\x40\x33\xfc\x0f\x35\x58\x7a\x9a\xfc\x94\xaf\x15\x65\x17\x56\xf8", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTextureSubImage3DEXT}, // libGL:glCompressedTextureSubImage3DEXT
  {(uint8_t*)"\xa2\x22\x71\x38\x7e\x51\x9a\xe3\x53\x5b\x22\x4c\x3c\x0d\x05\xaf\x35\xfa\xe2\x3b\x0c\x09\xc9\xef\xa7\x7d\x79\xce\x1b\x8d\x97\xa8", (void(*)(void *))&fexfn_unpack_libGL_glCompressedTextureSubImage3D}, // libGL:glCompressedTextureSubImage3D
  {(uint8_t*)"\x1d\x23\x4a\x91\x44\xd1\xfe\xa5\x54\x3b\x4a\xa4\xa6\xe7\xfe\x54\x6a\xf8\x14\x74\x30\x1b\xd7\x77\x81\x1b\x8e\x97\x94\x85\xad\x4b", (void(*)(void *))&fexfn_unpack_libGL_glConservativeRasterParameterfNV}, // libGL:glConservativeRasterParameterfNV
  {(uint8_t*)"\x5d\xfb\x96\x4d\x05\xf0\x04\x92\xda\xd5\x85\x63\xb2\xcf\x94\x5f\xb6\x55\xf9\x09\xa4\x7a\x8f\xec\x55\x5f\x41\xab\x48\xf8\x28\xe1", (void(*)(void *))&fexfn_unpack_libGL_glConservativeRasterParameteriNV}, // libGL:glConservativeRasterParameteriNV
  {(uint8_t*)"\x9f\x1c\x24\x9d\x88\xb7\x19\x89\xd7\x42\x72\x8c\xad\x9f\xa7\xd7\x45\x25\xd5\xec\x52\x29\x05\xc9\xe8\xaa\x30\x0f\x26\xab\x3b\x15", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionFilter1DEXT}, // libGL:glConvolutionFilter1DEXT
  {(uint8_t*)"\x6b\x21\x84\xc4\x4e\x78\x3b\x53\x17\x12\x37\x97\xd3\x42\x0f\x28\x94\xd5\x10\x56\x11\x4a\xa3\x79\x50\x7b\x71\xd6\xae\x5a\xf4\x74", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionFilter1D}, // libGL:glConvolutionFilter1D
  {(uint8_t*)"\xf8\x92\xff\x56\x3d\xf0\x72\x5e\xfd\x76\xe8\x12\xa4\xbe\x6e\x1a\x1d\x3c\xaa\xa0\x77\xe4\x71\x77\xed\x7d\x14\xb3\x96\x2b\x61\x93", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionFilter2DEXT}, // libGL:glConvolutionFilter2DEXT
  {(uint8_t*)"\x9a\xd4\xab\x04\xb0\x72\x50\xa0\xe5\x31\xd7\x0d\xe2\xc2\xb3\x6b\x3f\x33\xaa\xc1\xfc\x99\x36\x49\x41\x35\xb0\x92\x9a\xc6\xa9\xa2", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionFilter2D}, // libGL:glConvolutionFilter2D
  {(uint8_t*)"\x5c\xfc\x4f\x20\x20\xf7\x9d\x98\xfe\xbb\xf0\x23\xcc\x2c\xf7\x53\x76\xb7\x56\x23\x68\x0f\xb0\x7f\x7b\x12\x89\x11\xaf\xad\xa1\x23", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionParameterfEXT}, // libGL:glConvolutionParameterfEXT
  {(uint8_t*)"\xcb\xb7\x84\x76\x11\x73\x49\x2c\x98\x98\x91\x3e\x78\x58\x9a\x3e\xb8\x42\x29\x78\x54\x3a\xfb\x49\x88\x2b\x2a\xee\x2a\xcf\xe7\xe0", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionParameterf}, // libGL:glConvolutionParameterf
  {(uint8_t*)"\x26\xaf\xe1\x35\x91\xbd\x52\x10\xe4\xc1\xb1\xe9\xcc\x5b\xdc\xbd\xda\x68\x3b\x6c\xbc\x9e\xd2\x23\xf2\xa0\xe8\x41\x07\x5d\x1e\xe1", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionParameterfvEXT}, // libGL:glConvolutionParameterfvEXT
  {(uint8_t*)"\x00\xa6\x1e\xa5\x7f\xae\xfd\xe2\x40\xc1\x71\xba\x5f\xa4\x3d\xf6\xf6\x23\xfc\x47\x9b\xa3\x9c\x0f\x94\xbb\x6a\xbc\x4c\x1d\x17\x91", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionParameterfv}, // libGL:glConvolutionParameterfv
  {(uint8_t*)"\xae\xca\x76\xa7\xde\xa2\x4b\x1d\xbc\x30\x75\x50\x68\x3a\xaa\xc0\x20\xb7\xaa\xc1\xe2\x14\xe2\xa6\xbf\x4f\x1f\x66\x2a\x7b\xfc\xff", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionParameteriEXT}, // libGL:glConvolutionParameteriEXT
  {(uint8_t*)"\x72\x9b\x0a\x52\x9b\xe1\xe7\xf2\x16\xc2\xae\x7c\x43\xe5\x25\x9b\xd8\x10\xa4\x1b\x9e\x8f\x64\x32\x29\x75\x35\xf0\x9e\xff\xd5\xfd", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionParameteri}, // libGL:glConvolutionParameteri
  {(uint8_t*)"\x7d\x31\x39\xa0\xf6\x0e\xaf\x5c\x90\x04\xcd\x2e\x45\xf2\x45\x11\x7d\xea\x76\x58\xaf\x54\x7a\x13\x3c\xc4\xfc\x15\x1c\x31\x98\x61", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionParameterivEXT}, // libGL:glConvolutionParameterivEXT
  {(uint8_t*)"\x94\xcc\xb8\x73\x33\x4c\x51\x1a\xf2\x35\x87\xf4\xf6\x6f\x44\x7c\x4b\x8f\x4a\x43\x23\x3e\x97\x96\x9b\x97\x2f\xb8\xa8\x73\x8d\x84", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionParameteriv}, // libGL:glConvolutionParameteriv
  {(uint8_t*)"\x08\x04\x7a\xde\x42\xe2\x7e\x3b\x86\xdf\x78\x00\x2a\x6e\xb0\xff\x78\x0f\x52\xd1\xd4\x16\xc7\xc3\xa4\x52\xb3\x3a\x99\xda\xa2\x55", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionParameterxOES}, // libGL:glConvolutionParameterxOES
  {(uint8_t*)"\xed\x93\x41\xa8\x41\xa2\xed\x2c\x86\x20\x78\xc6\x78\x98\x09\xc2\xe8\x1b\x48\xb8\x41\xba\x06\x86\xaa\xd9\x64\x24\x47\x26\x02\xf5", (void(*)(void *))&fexfn_unpack_libGL_glConvolutionParameterxvOES}, // libGL:glConvolutionParameterxvOES
  {(uint8_t*)"\xf0\x2f\x26\x26\x84\x23\x7b\x4c\xe5\xb8\xee\x82\x21\x49\x86\xdd\xdf\xe9\x9c\xff\x34\x10\xb3\x36\x30\xcb\x80\x10\xe5\x3d\x1b\x60", (void(*)(void *))&fexfn_unpack_libGL_glCopyBufferSubData}, // libGL:glCopyBufferSubData
  {(uint8_t*)"\x0a\x06\xf7\x71\x33\x40\x4e\xcd\x24\xc9\x95\x3e\xc4\xb4\x51\x0b\xf0\xae\x35\x3c\xa3\x4c\x8f\xdb\x53\xad\x8c\x54\xec\x55\x0d\xba", (void(*)(void *))&fexfn_unpack_libGL_glCopyColorSubTableEXT}, // libGL:glCopyColorSubTableEXT
  {(uint8_t*)"\xa0\x9b\x28\xc4\x52\x6b\xdc\xee\x02\x0e\xc7\x82\x64\xdf\x21\x44\x35\x10\x02\x5f\x07\x8f\xdc\x2a\x89\xf8\x5c\xd5\xa1\xec\x5f\x14", (void(*)(void *))&fexfn_unpack_libGL_glCopyColorSubTable}, // libGL:glCopyColorSubTable
  {(uint8_t*)"\x61\x84\x07\xe0\x37\x67\x1b\xae\xf0\x7f\xd4\xd6\xef\x63\x66\x0a\xc2\xb4\x85\x52\x5f\xa8\x9d\x5c\x45\x4f\x53\x7a\x4e\x0f\xf7\xfa", (void(*)(void *))&fexfn_unpack_libGL_glCopyColorTable}, // libGL:glCopyColorTable
  {(uint8_t*)"\xa0\x4c\x0a\x85\xc1\x5d\x40\xa8\x8e\xb4\x59\x5c\x16\xe3\xd5\xc2\x27\xa4\x78\x3f\x0b\x90\x76\x4a\xaa\x57\x5c\xe7\x3e\x16\x0a\x59", (void(*)(void *))&fexfn_unpack_libGL_glCopyColorTableSGI}, // libGL:glCopyColorTableSGI
  {(uint8_t*)"\x2d\x8b\xab\xaa\xa4\x1f\x73\x3f\x3e\x8b\xc1\xcd\xbc\x06\xd8\xab\x69\xbc\x95\xa7\x82\x5d\xc8\x4c\x79\xc6\xd8\x73\xb8\x95\x12\x18", (void(*)(void *))&fexfn_unpack_libGL_glCopyConvolutionFilter1DEXT}, // libGL:glCopyConvolutionFilter1DEXT
  {(uint8_t*)"\x58\x11\x36\xea\x7b\x78\x9e\x23\xd0\x2e\x65\x82\x60\x73\x35\x73\x41\x4e\xa4\xde\x3b\x27\x3f\xc5\x6e\x85\x26\x89\xe9\x50\x8f\x71", (void(*)(void *))&fexfn_unpack_libGL_glCopyConvolutionFilter1D}, // libGL:glCopyConvolutionFilter1D
  {(uint8_t*)"\x64\x6b\x81\x3c\xac\x2d\xd0\x3e\x7d\xf2\x97\xc6\x57\x9a\xc6\xec\x90\x22\xe1\xb3\x4d\xec\xbe\x8f\x19\x03\x17\x19\x23\x2d\x9f\xb6", (void(*)(void *))&fexfn_unpack_libGL_glCopyConvolutionFilter2DEXT}, // libGL:glCopyConvolutionFilter2DEXT
  {(uint8_t*)"\x6a\x60\x7c\x6c\x17\xa6\xd2\x20\x0c\x03\xf1\xc7\xf3\x7b\xe6\x4a\x17\xc4\x5a\x59\x56\x02\x96\x7b\xf4\x24\x0a\xde\xd3\xd7\x0a\xbe", (void(*)(void *))&fexfn_unpack_libGL_glCopyConvolutionFilter2D}, // libGL:glCopyConvolutionFilter2D
  {(uint8_t*)"\x0f\x23\x94\x12\x0e\x3f\xb2\x38\xba\x12\x74\x1a\x0c\xba\x52\x2c\x7a\xf3\xef\x80\x8d\x81\x5a\x1a\x30\x05\xe0\x40\xb1\xf7\xd8\x4f", (void(*)(void *))&fexfn_unpack_libGL_glCopyImageSubData}, // libGL:glCopyImageSubData
  {(uint8_t*)"\xe3\x35\x1d\x3c\xa9\xed\xdc\x01\xd3\xbd\xec\x23\x7a\xfe\xbe\x9b\x4f\x12\x01\xd6\x95\xc0\xc2\x51\xd1\xfd\x84\x78\xb8\x1f\xc6\xce", (void(*)(void *))&fexfn_unpack_libGL_glCopyImageSubDataNV}, // libGL:glCopyImageSubDataNV
  {(uint8_t*)"\x2d\x9c\x8b\x73\x5b\x5d\xe3\xf8\x53\x96\x0e\xb3\xa3\xf2\x44\x9c\x9c\xf7\xc7\xc0\xb3\xc5\x75\x62\x55\x09\xfb\xc7\xc5\x1f\x1b\xe7", (void(*)(void *))&fexfn_unpack_libGL_glCopyMultiTexImage1DEXT}, // libGL:glCopyMultiTexImage1DEXT
  {(uint8_t*)"\x47\xc7\xfe\x09\xa0\x3e\x25\x8c\xef\x87\xf1\x0d\xa3\x79\xc2\x2f\x84\xc2\xb1\x97\x54\xc0\xb9\x64\xd8\xbc\x2e\xd8\x6f\xb5\x59\x6d", (void(*)(void *))&fexfn_unpack_libGL_glCopyMultiTexImage2DEXT}, // libGL:glCopyMultiTexImage2DEXT
  {(uint8_t*)"\xdb\x37\x47\x7b\x83\x5d\xb0\x52\x56\xc8\xd2\x7d\x3e\x9c\x31\x2b\xd9\xfd\x7d\xb6\xf2\xcf\x88\x4a\x46\xa8\x99\xd4\x77\x92\x0e\x9b", (void(*)(void *))&fexfn_unpack_libGL_glCopyMultiTexSubImage1DEXT}, // libGL:glCopyMultiTexSubImage1DEXT
  {(uint8_t*)"\x9e\x9a\xf0\x57\x3d\x63\x03\x81\xa7\xaa\x6c\xc1\x9a\xf0\xe9\x2e\x1a\x41\x89\x0f\x6c\x3b\xd5\x4e\x10\x43\xdc\x14\x4b\x12\x56\xfb", (void(*)(void *))&fexfn_unpack_libGL_glCopyMultiTexSubImage2DEXT}, // libGL:glCopyMultiTexSubImage2DEXT
  {(uint8_t*)"\xd6\xec\xcf\x5e\x96\xea\x90\x21\xfa\xea\x74\xd1\x2b\xe6\x33\x03\x79\x08\x5f\xf1\xef\x2a\xb3\x7f\xf5\x09\x3c\x51\xf7\x51\x02\x96", (void(*)(void *))&fexfn_unpack_libGL_glCopyMultiTexSubImage3DEXT}, // libGL:glCopyMultiTexSubImage3DEXT
  {(uint8_t*)"\x4c\x52\x65\xd7\xaf\x4a\xd7\xb1\x65\x1f\x29\x21\x1c\x14\x8e\x59\x32\xb8\x8a\x9d\xd8\x51\xc0\x5a\xae\x24\xed\xdb\x44\x00\xac\xe6", (void(*)(void *))&fexfn_unpack_libGL_glCopyNamedBufferSubData}, // libGL:glCopyNamedBufferSubData
  {(uint8_t*)"\x8f\x5c\x4d\x70\x25\x9e\xeb\x2e\x59\x89\xa6\x03\xb0\x6a\xa5\x3f\xee\x88\xac\x0d\x20\x60\x32\x06\xaf\xcd\xb7\x79\xdf\x26\xe2\x8b", (void(*)(void *))&fexfn_unpack_libGL_glCopyPathNV}, // libGL:glCopyPathNV
  {(uint8_t*)"\xa5\xaf\x2a\x2a\x3b\x5b\x74\x7c\xda\xb5\xe2\x9f\xf0\x35\xfe\xce\xe4\xa2\xa4\x85\x48\x2d\x13\x96\x6a\x78\xef\xd1\xa6\xe5\xec\x96", (void(*)(void *))&fexfn_unpack_libGL_glCopyPixels}, // libGL:glCopyPixels
  {(uint8_t*)"\x90\x99\xc8\x90\x2a\xd6\x1d\xd4\xce\xee\x61\x5d\x6d\x30\x61\xd9\x8d\xcd\x48\x54\x6f\x6e\x39\xef\x85\x9b\x1e\x29\x58\x67\xe5\x94", (void(*)(void *))&fexfn_unpack_libGL_glCopyTexImage1DEXT}, // libGL:glCopyTexImage1DEXT
  {(uint8_t*)"\x88\x59\xe1\xa4\x48\xff\xae\xde\xb2\x31\x10\x0a\xa1\x59\xbb\x23\x72\xbc\x5a\xfd\x2a\x06\x63\x5a\x4d\xb7\x5c\x1f\x12\xe6\x41\xe2", (void(*)(void *))&fexfn_unpack_libGL_glCopyTexImage1D}, // libGL:glCopyTexImage1D
  {(uint8_t*)"\x75\x41\xff\x9e\x9b\x9d\x76\x83\x50\x6e\xb6\x12\x63\xc7\x70\x92\x43\x15\x6f\xfb\x85\x79\x6f\x32\xd5\x50\x4d\x8b\x13\x9c\x97\x31", (void(*)(void *))&fexfn_unpack_libGL_glCopyTexImage2DEXT}, // libGL:glCopyTexImage2DEXT
  {(uint8_t*)"\xfb\x97\x27\x14\xf6\x23\x24\x52\x74\x0d\x0d\xd6\x99\x5e\xaf\x15\x0c\x04\x50\x07\xd5\x01\x7d\xaa\x01\x4c\x53\x78\x43\x3b\xc2\xc9", (void(*)(void *))&fexfn_unpack_libGL_glCopyTexImage2D}, // libGL:glCopyTexImage2D
  {(uint8_t*)"\x43\xca\xce\x24\x86\x8d\xc3\x93\xa8\x6b\xd1\x00\xf5\xbd\xeb\x11\xdb\xb3\xf1\xa4\x71\x63\xaf\x42\xdb\x85\xfb\x9c\xbe\x5b\xaa\xf4", (void(*)(void *))&fexfn_unpack_libGL_glCopyTexSubImage1DEXT}, // libGL:glCopyTexSubImage1DEXT
  {(uint8_t*)"\xb0\x71\xaa\x9f\x17\x5a\x4c\x9d\xce\xb8\xc9\xa9\x7b\x92\x4e\xe0\x25\x0d\xea\x91\x5c\xc4\x1f\x01\x97\xc4\x24\x30\x15\x28\xa8\x07", (void(*)(void *))&fexfn_unpack_libGL_glCopyTexSubImage1D}, // libGL:glCopyTexSubImage1D
  {(uint8_t*)"\xc4\x0b\x4a\x78\x26\xd3\x68\x18\x8f\x41\x80\xa0\xfa\x6d\x28\x0f\x46\x2b\x2e\x53\x48\xb4\x17\x39\xab\x66\x8a\xbb\x96\xa2\x36\xa3", (void(*)(void *))&fexfn_unpack_libGL_glCopyTexSubImage2DEXT}, // libGL:glCopyTexSubImage2DEXT
  {(uint8_t*)"\xd6\x81\x5f\xb1\x26\x2c\xf2\x9b\x46\x16\x3c\x74\x76\x9d\x25\x22\x32\x4b\x60\x00\xae\x63\x53\x72\x08\x35\x53\x06\x96\x22\x58\x7a", (void(*)(void *))&fexfn_unpack_libGL_glCopyTexSubImage2D}, // libGL:glCopyTexSubImage2D
  {(uint8_t*)"\xb4\x6a\x19\xc2\x85\xe9\xe6\xb5\xf6\x00\x2a\xf0\xf0\xdd\x35\x3e\xca\x26\xe2\x7a\x2f\x2b\x40\x23\xf8\xb1\x8e\xcd\xd2\x79\x6d\x00", (void(*)(void *))&fexfn_unpack_libGL_glCopyTexSubImage3DEXT}, // libGL:glCopyTexSubImage3DEXT
  {(uint8_t*)"\x3b\xf2\xa9\x0a\xad\x5a\x6e\xc5\x8f\x9e\xee\xe9\xd5\xa8\x27\x1f\xdf\x8b\x90\xfa\x67\x5f\xa1\x00\xc7\x34\x72\xec\x6b\xfd\x04\x09", (void(*)(void *))&fexfn_unpack_libGL_glCopyTexSubImage3D}, // libGL:glCopyTexSubImage3D
  {(uint8_t*)"\x2c\x20\xeb\xa7\xb9\xfa\xfa\x8e\x44\xba\x23\x35\xea\x62\xaf\x22\x6f\x7d\xdc\xce\xd7\x5d\xef\xb1\x9d\xf8\xec\x44\x1c\xf6\xcb\xd6", (void(*)(void *))&fexfn_unpack_libGL_glCopyTextureImage1DEXT}, // libGL:glCopyTextureImage1DEXT
  {(uint8_t*)"\xc6\x76\xc5\xd1\xe3\x71\x85\x7f\x95\x14\x1b\x3c\x96\x9a\x1f\xb5\xdf\xf5\x2f\xb8\x52\x25\x4b\x2d\xff\xb1\x36\x79\x1d\x1b\x0d\x3a", (void(*)(void *))&fexfn_unpack_libGL_glCopyTextureImage2DEXT}, // libGL:glCopyTextureImage2DEXT
  {(uint8_t*)"\x09\x40\x1c\x3a\x56\xf3\xe8\x44\x5b\x92\x05\x73\x77\xaf\xc5\x04\xb2\x29\xb2\x93\x5a\x6e\x7c\x74\xdb\xa8\x69\x3f\xd1\x51\x04\x82", (void(*)(void *))&fexfn_unpack_libGL_glCopyTextureSubImage1DEXT}, // libGL:glCopyTextureSubImage1DEXT
  {(uint8_t*)"\x0e\x75\x1b\xaa\xcd\xed\xe3\xd9\xdc\x7c\xa7\x3c\x1b\x1c\xc9\xd5\x03\xbc\xcc\x4b\xf0\xb4\xb8\x96\x31\x90\xef\x1c\x83\x1f\x77\xd1", (void(*)(void *))&fexfn_unpack_libGL_glCopyTextureSubImage1D}, // libGL:glCopyTextureSubImage1D
  {(uint8_t*)"\xe4\x53\x4f\x43\x2b\xb6\xd2\xaa\xf1\x29\xb8\xa5\x02\x6d\x8b\x1b\xe3\x4b\xc1\xef\xef\x49\xa3\x9a\x2d\xeb\x15\x73\x42\x33\x5e\x52", (void(*)(void *))&fexfn_unpack_libGL_glCopyTextureSubImage2DEXT}, // libGL:glCopyTextureSubImage2DEXT
  {(uint8_t*)"\x24\x8d\x28\x55\x6c\xee\x59\xa7\xe8\x9c\x0a\xfe\x4c\x23\xe4\x3e\x18\xc5\x59\x80\x37\xeb\x53\xf3\x49\xb7\x1b\xef\x75\xd9\x39\x4f", (void(*)(void *))&fexfn_unpack_libGL_glCopyTextureSubImage2D}, // libGL:glCopyTextureSubImage2D
  {(uint8_t*)"\xbf\xec\xd4\xea\x93\xe9\xb5\xfa\x51\x1c\x84\xe6\xf1\x43\xb4\x98\x2c\x6d\x74\xca\x7d\xc0\x78\x5d\x6b\x7c\x2a\x35\x65\xfd\x23\x4e", (void(*)(void *))&fexfn_unpack_libGL_glCopyTextureSubImage3DEXT}, // libGL:glCopyTextureSubImage3DEXT
  {(uint8_t*)"\x9f\xf1\x31\x98\xf9\x66\x5a\x16\x4d\x6e\xd5\x9b\xd5\x5c\xaf\x36\x48\xde\x77\x68\x17\x5d\x97\x1a\x58\xb0\x4f\xe3\xcd\x2a\xce\xd4", (void(*)(void *))&fexfn_unpack_libGL_glCopyTextureSubImage3D}, // libGL:glCopyTextureSubImage3D
  {(uint8_t*)"\xe9\x5a\x81\x92\x4f\xff\xe6\x7d\x0e\xa9\x59\x4e\x6e\xe8\x74\x78\xc7\x9e\xc6\x8c\x0a\x1a\x07\x4a\x9b\x64\x90\x47\x58\x7f\x92\x7a", (void(*)(void *))&fexfn_unpack_libGL_glCoverageModulationNV}, // libGL:glCoverageModulationNV
  {(uint8_t*)"\x97\x39\x3b\xdf\x6c\x9d\x95\x87\x48\xa7\x9c\x2a\xbb\x6e\x3d\x7b\x1e\x48\x1b\x7d\xe1\x4e\x84\x44\x3a\x22\x36\x2d\x49\x68\xbb\xbc", (void(*)(void *))&fexfn_unpack_libGL_glCoverageModulationTableNV}, // libGL:glCoverageModulationTableNV
  {(uint8_t*)"\x5b\x2d\x13\xae\x36\x4c\xd2\xf5\x10\xe5\xb6\xfd\xaa\x23\xaa\x1d\x04\x90\x3a\xdb\xfe\x43\xc1\x17\x62\xa0\xfd\x1b\x5d\x57\x37\xba", (void(*)(void *))&fexfn_unpack_libGL_glCoverFillPathInstancedNV}, // libGL:glCoverFillPathInstancedNV
  {(uint8_t*)"\x77\x2d\xdd\x4b\xaa\x5a\xce\x74\x50\x00\xde\x40\xc3\x2d\x1f\x17\x17\xd0\x65\xb1\x50\xa9\x2d\xa5\x2b\x0d\x5b\xe0\xc0\xde\xbc\xc2", (void(*)(void *))&fexfn_unpack_libGL_glCoverFillPathNV}, // libGL:glCoverFillPathNV
  {(uint8_t*)"\x3d\xe6\xdb\xc8\xce\xb6\x58\x00\x29\xdb\xdc\xaf\x94\xda\x8a\x3f\x3c\x9d\x21\x35\x04\x4e\x6d\x4b\x14\xfb\xca\xe2\x52\xf6\x28\x42", (void(*)(void *))&fexfn_unpack_libGL_glCoverStrokePathInstancedNV}, // libGL:glCoverStrokePathInstancedNV
  {(uint8_t*)"\x77\x94\x27\x3d\xac\x1f\x50\xa8\x95\xca\x67\x04\x2c\x69\xe1\xd1\x0e\x16\x57\xb5\x40\x6a\x40\x6f\xd7\x19\x6c\xa9\xeb\xb1\xc6\x68", (void(*)(void *))&fexfn_unpack_libGL_glCoverStrokePathNV}, // libGL:glCoverStrokePathNV
  {(uint8_t*)"\x9a\x7d\x0b\xa6\xce\x81\x67\xe8\x25\xca\xaf\xa1\xa5\xe7\xd6\xb7\xee\xb9\xc4\x57\x57\x8e\xf5\xf2\x19\xe9\xe5\x38\x60\x26\x0d\xbf", (void(*)(void *))&fexfn_unpack_libGL_glCreateBuffers}, // libGL:glCreateBuffers
  {(uint8_t*)"\x94\x46\x34\x99\x83\x49\x76\x12\x6b\x7e\xe9\xde\x3b\xd9\x1a\x2e\xb9\xed\x28\x27\x02\xb0\x7f\x2f\x12\x1a\x8b\x23\x71\xf6\x8b\x71", (void(*)(void *))&fexfn_unpack_libGL_glCreateCommandListsNV}, // libGL:glCreateCommandListsNV
  {(uint8_t*)"\x27\xa9\xa7\x8a\xba\xbb\x1a\x34\x5b\xbf\xf8\x0e\xa6\x9c\xe3\x8c\xb5\xfb\x9a\xcd\xfe\xe3\x95\xda\x42\xfe\x5e\xe6\x8e\x19\x82\x08", (void(*)(void *))&fexfn_unpack_libGL_glCreateFramebuffers}, // libGL:glCreateFramebuffers
  {(uint8_t*)"\xfb\x3d\x9c\x09\x16\x26\xe7\x3f\xb3\xb3\xd5\xb0\x6b\xa2\x25\x81\xb0\x96\x3f\x61\x30\x16\x52\xb5\x8f\xf5\x54\xda\x93\x29\x07\x17", (void(*)(void *))&fexfn_unpack_libGL_glCreateMemoryObjectsEXT}, // libGL:glCreateMemoryObjectsEXT
  {(uint8_t*)"\x1f\xf5\xe7\xa3\xc3\xb8\xfd\xed\x9a\xa8\x1b\x08\x65\x1f\xdf\x25\x7d\xfa\xd4\xef\x6e\x7e\xf1\x76\x0c\x53\x34\x80\xc5\x35\xb3\x33", (void(*)(void *))&fexfn_unpack_libGL_glCreatePerfQueryINTEL}, // libGL:glCreatePerfQueryINTEL
  {(uint8_t*)"\xa8\xcb\xae\x73\xcb\x6f\x3e\x9e\xc2\x97\x2c\xce\xfe\xda\x89\xc9\x4c\x5c\xd1\xdd\x45\x4c\x58\x64\x0f\x57\xe1\xe1\xb3\x5a\x62\x80", (void(*)(void *))&fexfn_unpack_libGL_glCreateProgramPipelines}, // libGL:glCreateProgramPipelines
  {(uint8_t*)"\x46\x17\x90\x0d\xf8\xc6\xda\xd7\x69\x99\x27\x75\x8d\xa9\xb4\x96\x0d\x45\x98\xe5\x7a\xaa\x53\x52\x7d\x5f\x43\x4d\x92\x30\x84\xff", (void(*)(void *))&fexfn_unpack_libGL_glCreateQueries}, // libGL:glCreateQueries
  {(uint8_t*)"\x0d\x94\xf4\xee\x0b\x76\x42\x03\xa9\x1f\x1b\x7e\xcf\xd2\x1c\x61\x27\x69\x54\x6c\xe6\x04\xc7\x71\xce\x65\x73\xcc\x81\x3a\x97\x94", (void(*)(void *))&fexfn_unpack_libGL_glCreateRenderbuffers}, // libGL:glCreateRenderbuffers
  {(uint8_t*)"\x8f\x4e\x41\xb4\xc5\xff\xf7\x44\xbf\xa2\x6b\x7f\xf9\xac\x6c\x19\xd8\x69\x55\x4f\xe5\x7e\x29\xed\xb9\x1c\xe6\x1b\xe5\xfd\x1a\x6d", (void(*)(void *))&fexfn_unpack_libGL_glCreateSamplers}, // libGL:glCreateSamplers
  {(uint8_t*)"\x24\xfa\x9c\x3b\x96\x34\x2e\x4c\x14\x00\xcd\xe6\x63\xf2\x4e\x4e\x60\x30\xa9\x4d\x5c\x5b\xe8\xec\x31\xe9\xa0\x0f\xfb\x92\x38\x28", (void(*)(void *))&fexfn_unpack_libGL_glCreateStatesNV}, // libGL:glCreateStatesNV
  {(uint8_t*)"\x43\x99\xf7\x20\xc3\x99\xfb\xf9\x8d\x22\x55\xe0\xd9\x18\x24\xb7\xfb\xb1\xaa\xd5\x92\x09\x7a\x06\x9f\xac\x59\x40\x1e\xad\x3d\x7f", (void(*)(void *))&fexfn_unpack_libGL_glCreateTextures}, // libGL:glCreateTextures
  {(uint8_t*)"\xec\xf9\x44\x6b\xa0\x79\x94\xd6\x5c\x59\xd7\x5d\x0a\xa9\x46\x51\xba\xb6\x8b\x8d\xfa\x29\x88\x6d\xb1\xf8\x83\x2e\x0f\xe3\xaf\xf8", (void(*)(void *))&fexfn_unpack_libGL_glCreateTransformFeedbacks}, // libGL:glCreateTransformFeedbacks
  {(uint8_t*)"\xc3\xad\x3e\x2a\x91\x89\x5b\xd6\xee\xb3\xf3\x6f\xef\x6c\x2f\xf2\x46\xa9\x09\x2e\xa8\x34\xb3\xfc\xa3\x06\x09\x74\x41\x5c\xcb\x04", (void(*)(void *))&fexfn_unpack_libGL_glCreateVertexArrays}, // libGL:glCreateVertexArrays
  {(uint8_t*)"\x8d\x71\x16\x55\x87\x5c\xa8\xe0\xc2\xc1\xe3\x66\x69\x78\x53\x8b\x24\xa2\xe0\x9d\xaf\x80\x58\xf4\x1f\xb5\x75\x48\x55\x11\x2c\x3c", (void(*)(void *))&fexfn_unpack_libGL_glCullFace}, // libGL:glCullFace
  {(uint8_t*)"\x6d\x60\x84\x83\xae\x0a\x1c\xc8\x18\xa4\x73\xd2\x41\x37\x8e\x18\xeb\x4d\x7a\xf2\xef\x5c\xeb\x7e\x4f\x30\x7e\x87\x19\xcf\x79\x59", (void(*)(void *))&fexfn_unpack_libGL_glCullParameterdvEXT}, // libGL:glCullParameterdvEXT
  {(uint8_t*)"\xf3\xf9\xeb\xba\xcc\x16\x77\xee\x6e\xd0\xc3\x17\x7a\x0e\x12\x68\x74\x01\xd9\xe5\x88\xcb\x1a\xa2\x4d\xcd\x29\x5f\x85\xdd\x0b\x12", (void(*)(void *))&fexfn_unpack_libGL_glCullParameterfvEXT}, // libGL:glCullParameterfvEXT
  {(uint8_t*)"\x71\xe0\x0a\x5f\xb2\xe9\xe8\xd1\x67\x80\x51\xba\x2c\xb3\x12\xf4\x9a\x2d\x6a\xdb\xe3\x3b\x2a\xfe\x3c\x38\x7f\xaf\x0f\xb0\xcd\x24", (void(*)(void *))&fexfn_unpack_libGL_glCurrentPaletteMatrixARB}, // libGL:glCurrentPaletteMatrixARB
  {(uint8_t*)"\x42\x41\xb1\xd6\xe3\x0b\x1f\xa7\xbb\x40\x92\xea\x3f\x95\x2f\x96\x92\x15\x46\x0b\x76\x9a\x8d\x14\x71\x81\xc7\xa7\x20\x9d\x46\x04", (void(*)(void *))&fexfn_unpack_libGL_glDebugMessageCallbackAMD}, // libGL:glDebugMessageCallbackAMD
  {(uint8_t*)"\xd6\x96\xd5\x9d\x9b\x87\xb4\xbd\x5d\x74\x84\xe1\x7d\x01\xf9\x49\x82\x1a\x46\x25\x08\x90\x9f\x21\x53\xc1\x47\xb4\xc5\xdd\x69\x1a", (void(*)(void *))&fexfn_unpack_libGL_glDebugMessageCallbackARB}, // libGL:glDebugMessageCallbackARB
  {(uint8_t*)"\x70\x20\x1a\x9c\x2e\x3f\x61\xd8\xe3\x0c\xee\x05\x58\x29\x35\xbc\xd6\x6d\x64\x9b\x82\xea\xec\xc1\xc2\xac\x39\xf0\x1b\x20\x40\xec", (void(*)(void *))&fexfn_unpack_libGL_glDebugMessageCallback}, // libGL:glDebugMessageCallback
  {(uint8_t*)"\x3f\x31\xbc\x2b\xf2\xbd\xab\x30\x19\xbd\x51\x7d\xa1\xf1\x60\x06\x5b\xec\xde\x72\x3d\xb3\x89\x4f\x6e\x9f\x68\x02\x9c\x72\xf0\x49", (void(*)(void *))&fexfn_unpack_libGL_glDebugMessageControlARB}, // libGL:glDebugMessageControlARB
  {(uint8_t*)"\xa5\x40\x9d\xc7\xa3\x19\xa7\x4c\x3d\xbe\x07\x3c\x4b\xc0\x48\x98\xc8\xb4\x0f\x26\xe8\xcc\x1f\xdd\xf2\xfb\xd0\x9d\x3b\x05\xbf\xa5", (void(*)(void *))&fexfn_unpack_libGL_glDebugMessageControl}, // libGL:glDebugMessageControl
  {(uint8_t*)"\x09\xbf\xec\x2e\x08\x69\xa5\xc4\x95\xb7\xd1\xcd\x1b\xf3\x98\xab\x66\x82\x5e\x62\xd4\xbb\x8b\xd2\x81\xc4\x6b\x69\x75\x26\xf7\x98", (void(*)(void *))&fexfn_unpack_libGL_glDebugMessageEnableAMD}, // libGL:glDebugMessageEnableAMD
  {(uint8_t*)"\x64\x94\x4a\xa4\x5c\x1a\xd7\x7a\x22\x49\xef\xa3\xe5\xa1\xc3\xba\x35\x71\x6a\x79\x2e\x9d\xe1\x31\x41\x40\x6c\xec\x22\x65\x5f\x6a", (void(*)(void *))&fexfn_unpack_libGL_glDebugMessageInsertAMD}, // libGL:glDebugMessageInsertAMD
  {(uint8_t*)"\x2f\x53\xcb\xd9\x9d\x49\x81\xdf\xad\xbd\xb9\x42\x15\x5a\x1c\xd7\x05\xce\xc7\xb4\x77\xa2\x42\x0c\x0b\xba\x42\xf2\xb8\x98\x47\xb5", (void(*)(void *))&fexfn_unpack_libGL_glDebugMessageInsertARB}, // libGL:glDebugMessageInsertARB
  {(uint8_t*)"\x74\x95\xa3\xe0\xa6\x37\x70\xe4\x94\xa0\xcc\x49\x9c\x14\xa0\x75\x8b\xf6\xed\x70\xf2\x38\x29\xf9\x16\x76\x6c\x0c\xfb\x52\x07\xdf", (void(*)(void *))&fexfn_unpack_libGL_glDebugMessageInsert}, // libGL:glDebugMessageInsert
  {(uint8_t*)"\x5e\xd9\xde\xce\x8d\x5a\xd7\xef\x72\xdc\x63\x06\x4e\xb2\x40\x6d\x17\xf5\xb8\x0d\x54\x5f\xd1\xfe\x51\x29\xc5\x30\x93\xda\x49\x88", (void(*)(void *))&fexfn_unpack_libGL_glDeformationMap3dSGIX}, // libGL:glDeformationMap3dSGIX
  {(uint8_t*)"\xb8\xa3\x41\xef\x25\x4a\xae\xe7\xb7\xd8\x63\x97\xe0\x18\x36\x20\x96\x59\xc9\x7b\x0d\xd3\x16\xbc\x96\x6b\x2e\xe5\x6e\x30\xe0\xd4", (void(*)(void *))&fexfn_unpack_libGL_glDeformationMap3fSGIX}, // libGL:glDeformationMap3fSGIX
  {(uint8_t*)"\x8c\x8e\x2f\x7b\xc8\x9f\x98\x61\xf0\xfd\x7f\x75\xd4\x0f\x87\x61\xcb\x80\x61\xc9\x28\x36\xaf\x0f\x7b\xa0\x8e\x68\xe7\x15\x26\xea", (void(*)(void *))&fexfn_unpack_libGL_glDeformSGIX}, // libGL:glDeformSGIX
  {(uint8_t*)"\x33\xd8\x29\x3b\x5c\xe0\x24\x34\x29\x89\xb6\x31\xc0\x26\x39\x9a\x77\xe5\xf9\xe0\xa8\xea\xcf\x34\x37\x0a\x57\x5a\x37\xb0\x9d\x17", (void(*)(void *))&fexfn_unpack_libGL_glDeleteAsyncMarkersSGIX}, // libGL:glDeleteAsyncMarkersSGIX
  {(uint8_t*)"\x5b\xa2\x8f\xe1\x66\x8e\xaf\xf9\x0d\x23\x9d\xa1\x4e\xd3\x56\x5e\xad\xd8\xa2\x76\xec\xc7\x1c\xc2\xb5\x32\xb2\xbf\x14\x23\xf1\x93", (void(*)(void *))&fexfn_unpack_libGL_glDeleteBuffersARB}, // libGL:glDeleteBuffersARB
  {(uint8_t*)"\xd1\x98\xac\x1e\xf9\xac\xc7\x77\xb7\xd7\x9d\xae\x59\xe7\x7e\xd9\x45\x54\x50\x47\xc7\xb6\x90\x6c\xa1\xed\xc7\xf8\x9b\x96\xe5\xd1", (void(*)(void *))&fexfn_unpack_libGL_glDeleteBuffers}, // libGL:glDeleteBuffers
  {(uint8_t*)"\xec\xd4\x27\x24\xf4\x97\x9a\x36\x37\x95\x19\xae\x67\xd0\x7e\xdb\xaa\x8a\x54\x14\x89\xba\xaa\x66\xda\xe6\x72\xd8\x4f\xe9\x3c\x40", (void(*)(void *))&fexfn_unpack_libGL_glDeleteCommandListsNV}, // libGL:glDeleteCommandListsNV
  {(uint8_t*)"\x1b\xb8\xa3\x91\x2f\x42\xb2\xff\xdf\x54\xfd\x7f\x28\x21\xd1\x12\x3f\xa7\xaa\x73\xfa\x97\x12\x31\xf2\x0c\x85\xa5\x98\x6c\xda\x82", (void(*)(void *))&fexfn_unpack_libGL_glDeleteFencesAPPLE}, // libGL:glDeleteFencesAPPLE
  {(uint8_t*)"\x3e\x63\xf8\xa6\x9c\xc8\xbe\xb0\xda\x68\x61\xd9\xfc\x60\x22\x1d\xeb\xa3\x1a\x90\xcd\xd7\x56\x16\x10\x1e\x41\xbb\x89\xed\x30\xea", (void(*)(void *))&fexfn_unpack_libGL_glDeleteFencesNV}, // libGL:glDeleteFencesNV
  {(uint8_t*)"\xd0\x64\x2c\xfa\x7e\x2e\x6b\x38\xe0\x54\xf6\x8d\x70\x8b\x2c\x90\x48\xa8\x16\x96\x66\x9e\x90\x25\x0a\x37\x4d\x07\xaa\xe4\x4f\x41", (void(*)(void *))&fexfn_unpack_libGL_glDeleteFragmentShaderATI}, // libGL:glDeleteFragmentShaderATI
  {(uint8_t*)"\xb9\x14\x01\x67\xe7\xf4\x94\x12\xc3\xbe\xda\x8a\xba\x34\x2a\xc3\xc6\x7c\x19\x36\x69\x8d\x81\x22\x12\x8c\x44\x16\x4d\xa0\x57\x96", (void(*)(void *))&fexfn_unpack_libGL_glDeleteFramebuffersEXT}, // libGL:glDeleteFramebuffersEXT
  {(uint8_t*)"\xd3\x6d\xe0\x9c\xa5\x42\x87\x08\x70\x25\x75\x84\xc9\x61\x61\xc0\x8c\x88\x69\x96\xf5\x72\x65\xc7\xce\xd2\xa7\x96\xa2\x1d\x3f\x9b", (void(*)(void *))&fexfn_unpack_libGL_glDeleteFramebuffers}, // libGL:glDeleteFramebuffers
  {(uint8_t*)"\xaa\xb4\xb3\xa3\xfb\x3a\xa0\xfc\xd2\x31\x28\x8a\xd5\x00\xb3\xfd\x1e\xdb\x87\xe2\x64\x2d\x29\x0e\xe6\x5e\xde\xc8\x0a\x07\xe7\xe0", (void(*)(void *))&fexfn_unpack_libGL_glDeleteLists}, // libGL:glDeleteLists
  {(uint8_t*)"\x51\x5e\xc5\xa6\x3a\x17\x30\xae\xc4\x02\x42\x45\x96\x6e\x9c\xb4\xb5\xd1\xe6\x50\xf4\x0e\x14\xfa\x99\x08\xf3\x0a\x92\xb0\x71\x8c", (void(*)(void *))&fexfn_unpack_libGL_glDeleteMemoryObjectsEXT}, // libGL:glDeleteMemoryObjectsEXT
  {(uint8_t*)"\x79\x0d\x1d\xf8\xfa\x6f\x51\x98\x9a\x87\xb4\x14\x6a\xe5\xcc\x9d\x1f\x02\x62\x62\x9d\xb5\x49\x71\x9c\x39\xc4\xb8\x0c\x69\x3d\xe2", (void(*)(void *))&fexfn_unpack_libGL_glDeleteNamedStringARB}, // libGL:glDeleteNamedStringARB
  {(uint8_t*)"\x5d\x6e\x1c\x4a\xfe\xe9\x62\xbd\xe3\x5a\xa1\x94\x57\xfd\x44\x84\x59\xb8\xed\xda\x50\xa7\x45\x4f\x89\xa0\x74\xee\x7d\x02\x88\x48", (void(*)(void *))&fexfn_unpack_libGL_glDeleteNamesAMD}, // libGL:glDeleteNamesAMD
  {(uint8_t*)"\x8b\x40\x13\x59\x0d\x3a\x3d\xa9\x99\x9f\x83\x72\xe1\x25\x20\x68\xdb\x40\x82\x87\xef\xda\xe8\x71\xcc\x04\x7f\x9e\xc2\x98\xf0\xdf", (void(*)(void *))&fexfn_unpack_libGL_glDeleteObjectARB}, // libGL:glDeleteObjectARB
  {(uint8_t*)"\x7c\x2a\x2f\x0c\x1e\xb4\x43\xa3\x27\xcf\x92\x63\x2b\x0f\xd4\x16\x9b\xa1\xd4\xc9\xc6\xa3\x81\x59\xcc\xf8\xde\x02\xac\x5d\x1d\x7f", (void(*)(void *))&fexfn_unpack_libGL_glDeleteOcclusionQueriesNV}, // libGL:glDeleteOcclusionQueriesNV
  {(uint8_t*)"\xef\xe4\x99\xcb\x9d\xc9\x17\xc5\x9f\xd1\x22\xf5\xed\x78\xee\x4d\x24\xac\xa4\x70\xbb\x58\x6a\x01\x11\x84\xad\xd9\x40\xe2\x62\x2c", (void(*)(void *))&fexfn_unpack_libGL_glDeletePathsNV}, // libGL:glDeletePathsNV
  {(uint8_t*)"\xc6\x8c\x76\x41\x68\xdb\xf6\x0e\x05\x53\xda\x98\x68\xe7\x20\xa0\x3b\x67\x0c\xd3\xf8\xa8\x26\x26\x36\x34\x8d\xf4\xbb\x71\xc8\x5a", (void(*)(void *))&fexfn_unpack_libGL_glDeletePerfMonitorsAMD}, // libGL:glDeletePerfMonitorsAMD
  {(uint8_t*)"\x51\xf0\x24\x3a\x27\x61\x19\xec\xba\xad\x33\x69\x62\x3a\x50\xed\x5b\x03\xe8\xc3\xd9\x98\x06\xe9\xe3\xce\x05\x85\x57\x54\x01\x1b", (void(*)(void *))&fexfn_unpack_libGL_glDeletePerfQueryINTEL}, // libGL:glDeletePerfQueryINTEL
  {(uint8_t*)"\xae\x2e\x16\x2e\x7c\xeb\xf7\x9b\x97\xf9\x9b\xe0\x61\x4a\x4f\xcb\xf9\x58\xa9\x52\x04\x91\xf4\xc3\x6e\xff\xd5\x62\xb5\x7d\xa1\x6f", (void(*)(void *))&fexfn_unpack_libGL_glDeleteProgram}, // libGL:glDeleteProgram
  {(uint8_t*)"\xe1\xcd\x0f\xc9\xe6\x83\xac\xea\x3c\xb3\xde\x86\x54\x46\x8e\x8b\x57\x21\xe8\xb3\xa3\x0f\x5e\xf3\x62\x3f\x22\x81\x75\x20\x0b\xcd", (void(*)(void *))&fexfn_unpack_libGL_glDeleteProgramPipelines}, // libGL:glDeleteProgramPipelines
  {(uint8_t*)"\x82\x92\x1a\x06\x52\xe1\x62\x62\x68\xbf\x59\x0d\xb5\x87\x11\xfe\x61\x4c\x83\xc8\xc0\xdd\xaf\x2c\xad\x03\x86\x10\xad\xf4\xcc\xae", (void(*)(void *))&fexfn_unpack_libGL_glDeleteProgramsARB}, // libGL:glDeleteProgramsARB
  {(uint8_t*)"\xf9\x58\x02\x5c\x89\xea\x29\x4a\xd2\x49\x29\x3e\xd2\xa2\xe8\x20\xe3\xaf\x37\x27\x9f\xf1\xa4\xac\x58\xcc\x3b\xd1\xa8\xf0\x39\x59", (void(*)(void *))&fexfn_unpack_libGL_glDeleteProgramsNV}, // libGL:glDeleteProgramsNV
  {(uint8_t*)"\xd2\x14\x00\x5e\x02\x74\x9f\x96\x33\x2d\x5b\x43\x95\xd5\xbb\xdd\xa4\xee\xa8\x60\x56\x07\xdc\xc2\xb2\xf1\x8d\x55\x1c\xbe\x8e\xa8", (void(*)(void *))&fexfn_unpack_libGL_glDeleteQueriesARB}, // libGL:glDeleteQueriesARB
  {(uint8_t*)"\xc1\x3b\x3b\x96\x2a\x02\x5e\xd4\xe6\xee\xc2\x8b\x33\xb7\xf7\x78\xe8\x71\x02\x61\xf4\xe5\xac\x7b\x11\x83\xc3\xa5\xf9\xfa\x8d\xd0", (void(*)(void *))&fexfn_unpack_libGL_glDeleteQueries}, // libGL:glDeleteQueries
  {(uint8_t*)"\x05\x58\x7c\xa8\xfa\x2a\xf0\x9a\x83\x1a\x14\xbc\x21\x7d\xc4\xc8\x71\x6d\x9a\x12\xb3\x96\x30\xaa\xce\x0a\x49\x9a\x60\x54\x6b\xc2", (void(*)(void *))&fexfn_unpack_libGL_glDeleteQueryResourceTagNV}, // libGL:glDeleteQueryResourceTagNV
  {(uint8_t*)"\x88\x55\x93\x85\x6a\x24\x88\xc8\xae\x92\xf8\xb1\xcf\x5d\xb2\x56\x45\xe5\xab\x98\x80\xba\x30\x64\x8d\xfa\x79\xae\xbb\x82\x63\xd8", (void(*)(void *))&fexfn_unpack_libGL_glDeleteRenderbuffersEXT}, // libGL:glDeleteRenderbuffersEXT
  {(uint8_t*)"\x17\x71\x53\xd3\x8e\xdf\xd7\x34\x6e\x8d\xc5\xb4\x2c\x3f\x9b\x01\x6b\x7f\x55\x77\x56\xd9\x15\x61\x30\x18\xaa\x6f\xe7\x27\x49\x52", (void(*)(void *))&fexfn_unpack_libGL_glDeleteRenderbuffers}, // libGL:glDeleteRenderbuffers
  {(uint8_t*)"\xf3\x39\xdc\xba\x55\xb5\x7f\x7b\x3a\xeb\x27\xdb\x95\xfb\x9f\x75\x59\x9d\xe1\x5d\xe5\xb6\x6b\xb0\x30\xa6\x6d\xf5\x6d\x12\xb8\x20", (void(*)(void *))&fexfn_unpack_libGL_glDeleteSamplers}, // libGL:glDeleteSamplers
  {(uint8_t*)"\x01\x95\x37\xe5\x05\x50\xde\xec\x97\x46\xc1\x8e\x2a\x42\x64\xed\x7c\x7e\xa2\xc8\x3a\x3d\xd2\xba\x83\x0c\xf8\x16\xea\xc6\x3a\x2d", (void(*)(void *))&fexfn_unpack_libGL_glDeleteSemaphoresEXT}, // libGL:glDeleteSemaphoresEXT
  {(uint8_t*)"\xad\xf4\xcd\x34\xba\x6f\xa1\x53\x90\xda\x54\x57\x52\x58\x13\xeb\x7c\x40\x85\x45\x7e\xe7\xcb\xe3\xec\x68\x99\x66\x4c\xc3\x7a\x06", (void(*)(void *))&fexfn_unpack_libGL_glDeleteShader}, // libGL:glDeleteShader
  {(uint8_t*)"\x01\x91\x8c\x8b\x1d\x75\x7e\xc8\x43\x1b\x58\x49\xf2\x09\x2d\xbd\x12\x56\x5b\x64\x7e\xaf\x6e\x10\xb1\x37\x43\xad\x3e\x2a\x4c\xae", (void(*)(void *))&fexfn_unpack_libGL_glDeleteStatesNV}, // libGL:glDeleteStatesNV
  {(uint8_t*)"\x3f\xbb\xb2\x46\x48\x18\x4b\x9b\x68\xf0\x5f\x95\x80\x8a\x5c\x83\x2d\x99\x24\xe3\x57\x05\x05\x72\x87\xbc\x88\x5e\xc9\xaa\xcc\x4e", (void(*)(void *))&fexfn_unpack_libGL_glDeleteSync}, // libGL:glDeleteSync
  {(uint8_t*)"\xe6\xe6\xd9\xaf\x28\x93\xbc\xaf\x5b\x17\x68\xae\x35\x20\x9e\x9c\x63\x8e\xbe\xd5\x11\x59\x4d\x66\xc9\x55\x6c\x12\x58\xe6\x74\xba", (void(*)(void *))&fexfn_unpack_libGL_glDeleteTexturesEXT}, // libGL:glDeleteTexturesEXT
  {(uint8_t*)"\xe2\xff\x63\x55\x05\x13\xe3\x5a\xc2\x3d\xb4\x9c\xb0\x36\xdc\xfd\x3e\x9c\xeb\xf0\xea\xa5\x12\xc6\x28\x30\xc4\xca\x44\x11\x56\x01", (void(*)(void *))&fexfn_unpack_libGL_glDeleteTextures}, // libGL:glDeleteTextures
  {(uint8_t*)"\x25\xb1\x2d\xac\xe3\x38\x04\x61\x53\x43\xd9\xfb\xdf\x2d\xe0\xa8\x43\xc1\x3d\xa6\xb5\x23\x92\xb2\xf2\xd7\xe3\x14\xc0\x06\x60\xbd", (void(*)(void *))&fexfn_unpack_libGL_glDeleteTransformFeedbacks}, // libGL:glDeleteTransformFeedbacks
  {(uint8_t*)"\x81\x83\x6b\xba\xe0\xae\x9c\x6e\xa2\xfb\xf2\xf1\xc5\x5b\x24\x5e\x94\xc0\x94\x7c\xcc\xaa\x3e\xef\x90\xde\xe0\xdf\x4b\xdc\xc1\xad", (void(*)(void *))&fexfn_unpack_libGL_glDeleteTransformFeedbacksNV}, // libGL:glDeleteTransformFeedbacksNV
  {(uint8_t*)"\x2b\x8b\xe6\xcb\x8e\xfc\x58\x3d\x1b\x64\x93\x4f\x55\x9f\xd9\x22\x13\x98\x54\x62\x5a\xf6\xb0\xa1\xca\x6b\xe3\x56\xac\xcf\x7f\xc0", (void(*)(void *))&fexfn_unpack_libGL_glDeleteVertexArraysAPPLE}, // libGL:glDeleteVertexArraysAPPLE
  {(uint8_t*)"\x0b\x63\x29\xf1\x06\x3b\x2d\x17\xc0\xd0\xf7\x4d\xbe\x10\xc4\xc4\xdd\x75\x08\x57\x2f\xf2\xdb\xb3\x5e\xaf\x44\xbf\xe3\x98\xbc\x00", (void(*)(void *))&fexfn_unpack_libGL_glDeleteVertexArrays}, // libGL:glDeleteVertexArrays
  {(uint8_t*)"\x17\xaa\x32\x95\x96\xc3\x0c\xc7\x12\x1e\xfe\x7f\x8c\x29\xbd\x50\xc1\x41\x79\x33\x4f\xec\x54\xb3\xe4\x8b\x4c\xf2\x66\xf7\x17\xfe", (void(*)(void *))&fexfn_unpack_libGL_glDeleteVertexShaderEXT}, // libGL:glDeleteVertexShaderEXT
  {(uint8_t*)"\x01\xa4\x25\x75\x31\xc5\x34\x56\xaf\x7f\x92\x5f\x33\xde\x36\x49\xfe\xe9\x3c\x15\x2f\xdf\xec\xcb\x57\x17\xc6\x35\xd5\xaa\x89\x9e", (void(*)(void *))&fexfn_unpack_libGL_glDepthBoundsdNV}, // libGL:glDepthBoundsdNV
  {(uint8_t*)"\x54\x1d\x20\x22\x5a\x91\xd7\xbf\xdb\xd2\x47\x81\x1b\xc7\x4e\xc0\x6b\x2b\x08\x35\x0d\xbc\x9b\x57\x13\x2b\x32\x6c\xde\x35\xd7\xff", (void(*)(void *))&fexfn_unpack_libGL_glDepthBoundsEXT}, // libGL:glDepthBoundsEXT
  {(uint8_t*)"\xed\x34\x09\xbd\x4b\xec\x96\x97\x89\xd0\x01\xcf\xf9\x78\x0b\xbc\xf3\x7a\xfc\x42\x46\x5f\x92\x2d\xb9\x71\xd4\x0b\x2c\xff\x57\x65", (void(*)(void *))&fexfn_unpack_libGL_glDepthFunc}, // libGL:glDepthFunc
  {(uint8_t*)"\x4f\xcd\xa2\x93\x9a\x73\xf4\x39\x7c\xe0\x97\x7e\x46\xb2\x1b\xc9\x32\x3e\xba\x41\x32\x13\x51\xbd\x38\xb4\x3c\xf5\x62\xd9\x9b\x05", (void(*)(void *))&fexfn_unpack_libGL_glDepthMask}, // libGL:glDepthMask
  {(uint8_t*)"\x64\x25\xf6\x4d\x73\x28\x6c\xa1\x17\x80\xd5\x52\x07\x4c\xe9\xa6\x0f\x30\x85\xec\x3f\x5f\xd1\xb4\x83\xa1\x21\x8a\x3a\x00\x77\xfc", (void(*)(void *))&fexfn_unpack_libGL_glDepthRangeArraydvNV}, // libGL:glDepthRangeArraydvNV
  {(uint8_t*)"\x46\x71\x2b\x21\xdd\xad\xf6\x9a\x13\x1c\x14\x43\x51\x71\xd3\xaa\xe5\x43\x80\x4c\x99\x8a\xca\x05\xf1\x9f\x8f\x6a\xa6\xd9\x04\x9c", (void(*)(void *))&fexfn_unpack_libGL_glDepthRangeArrayv}, // libGL:glDepthRangeArrayv
  {(uint8_t*)"\x34\xa2\x47\x38\xc4\xad\x23\x58\x84\xe2\x4a\x62\xd0\x9d\x9c\x02\xce\x71\x3a\xa9\x92\x7b\x47\x8d\x65\x3b\xae\xd5\xce\xa1\xa5\x09", (void(*)(void *))&fexfn_unpack_libGL_glDepthRangedNV}, // libGL:glDepthRangedNV
  {(uint8_t*)"\xbd\x69\x69\x33\x77\x63\x92\xef\x3d\x10\x6a\x8a\x68\x57\x9b\x6b\x52\xee\x40\x65\x5f\x33\x9b\x3b\x4e\x22\x66\x91\x6a\x10\xc0\x07", (void(*)(void *))&fexfn_unpack_libGL_glDepthRangef}, // libGL:glDepthRangef
  {(uint8_t*)"\x11\x2c\x95\x23\x31\xb2\x32\x75\xec\x8b\x48\x24\xf5\x84\xc6\x6f\x33\xa0\x11\xd7\xa8\xdd\x9e\xdd\x7f\xa7\x3f\xb0\xff\x75\x30\x47", (void(*)(void *))&fexfn_unpack_libGL_glDepthRangefOES}, // libGL:glDepthRangefOES
  {(uint8_t*)"\xc4\x56\x58\x84\xe5\x40\xd5\x0e\x2d\xc1\x09\x86\x91\x62\xf0\x9e\xf6\xa6\x68\x75\x42\x8c\xba\xba\x9c\x5f\xea\x45\xf0\xcd\x7f\xe7", (void(*)(void *))&fexfn_unpack_libGL_glDepthRange}, // libGL:glDepthRange
  {(uint8_t*)"\xe2\x3e\x4d\xa2\xab\x48\x90\x60\xed\xc1\x2c\xd1\xd8\x7f\x55\x27\x6a\xd0\x27\x29\x58\x8c\x4c\x70\x98\x42\x58\x5a\x27\xee\x6d\x9f", (void(*)(void *))&fexfn_unpack_libGL_glDepthRangeIndexeddNV}, // libGL:glDepthRangeIndexeddNV
  {(uint8_t*)"\xf9\x76\x3a\xf3\xf7\xdd\xeb\x50\xd0\x6e\x5f\xb3\x21\x59\x1b\xf2\x0d\xb0\x85\x5e\xcd\xc7\xed\x92\x94\x46\xea\x4e\x5c\x40\xdc\x50", (void(*)(void *))&fexfn_unpack_libGL_glDepthRangeIndexed}, // libGL:glDepthRangeIndexed
  {(uint8_t*)"\x14\xbe\x1c\x0e\x35\xfb\x05\xe0\x1f\xb2\x6f\xff\x8c\xeb\xf2\x8c\x48\x1b\x0f\xbc\x1b\xdd\x7d\x69\x77\x35\xac\xd5\x67\xe1\xba\x65", (void(*)(void *))&fexfn_unpack_libGL_glDepthRangexOES}, // libGL:glDepthRangexOES
  {(uint8_t*)"\x98\x24\xec\x48\xee\x69\xff\x7b\x0a\x5d\xdc\x54\x26\xa5\x52\x9c\xba\x40\x0c\xc4\x6e\x24\xb8\xc0\x01\x39\x93\x25\x57\x4d\x9c\xb9", (void(*)(void *))&fexfn_unpack_libGL_glDetachObjectARB}, // libGL:glDetachObjectARB
  {(uint8_t*)"\x88\xf1\xcf\xc6\xf0\x70\xf3\x61\xf0\x57\x8e\x99\xef\x88\x46\x88\x16\x6b\xd5\x9b\xad\x5d\xe1\x93\x59\xd2\x31\xfe\x4d\x3f\xd8\x0d", (void(*)(void *))&fexfn_unpack_libGL_glDetachShader}, // libGL:glDetachShader
  {(uint8_t*)"\x03\xa1\x7b\x43\x42\xc9\x28\xe1\x65\x09\x45\x6e\xc0\x26\x3b\x10\x9e\xd4\x57\x0f\x8e\x01\xa3\x80\x25\x4f\x64\x10\xac\x4d\x76\x03", (void(*)(void *))&fexfn_unpack_libGL_glDetailTexFuncSGIS}, // libGL:glDetailTexFuncSGIS
  {(uint8_t*)"\xe7\x63\x48\x96\xe2\x3d\x1b\x3c\xe9\xb7\xb4\x6b\xb2\xba\xae\x98\x7e\x6a\xbd\xfb\x23\x58\x66\xe7\x08\xd6\x25\x4b\xf6\x04\x61\x9b", (void(*)(void *))&fexfn_unpack_libGL_glDisableClientState}, // libGL:glDisableClientState
  {(uint8_t*)"\x84\x08\x18\x7b\x4b\x06\x2a\xeb\x18\xdc\x6f\xbb\x79\x24\xd0\x90\xfc\x5b\xe1\xb2\xfd\x19\xd7\xdf\x9a\x02\x27\x97\x0f\xda\xcf\xab", (void(*)(void *))&fexfn_unpack_libGL_glDisableClientStateiEXT}, // libGL:glDisableClientStateiEXT
  {(uint8_t*)"\x51\xed\x44\x0f\x2f\x51\xe7\xf3\x11\xc3\xf5\x2e\xe5\x13\x0d\x9a\x6a\x5c\xef\xfe\xf3\x0b\x65\x7f\x27\x84\xb9\xc2\x6f\xfe\xbc\x39", (void(*)(void *))&fexfn_unpack_libGL_glDisableClientStateIndexedEXT}, // libGL:glDisableClientStateIndexedEXT
  {(uint8_t*)"\x24\xdc\x8a\x16\x4a\x16\x0c\xcb\xd7\x76\xaa\x44\x54\x08\x38\x03\x78\xd1\x0a\x4c\xe9\x31\x86\x30\xe0\x54\xa5\x7b\xfd\xf3\x39\x99", (void(*)(void *))&fexfn_unpack_libGL_glDisable}, // libGL:glDisable
  {(uint8_t*)"\x0c\x2a\x38\x04\xac\x54\x14\xac\x01\x8d\x07\x74\x5e\x58\x57\x83\xd7\x0c\x87\xf1\xab\x34\x93\xa4\x2e\xf4\x24\x67\x56\xcb\x5b\x55", (void(*)(void *))&fexfn_unpack_libGL_glDisablei}, // libGL:glDisablei
  {(uint8_t*)"\x36\x73\x96\x0e\x06\x30\xe8\xa1\x1e\xac\xd1\xed\x88\x36\x75\xd2\x74\x49\x57\x4b\xe2\xd4\x90\x26\x94\x7b\x6d\x18\xbf\x17\x6d\x6c", (void(*)(void *))&fexfn_unpack_libGL_glDisableIndexedEXT}, // libGL:glDisableIndexedEXT
  {(uint8_t*)"\xcc\xe2\xb4\xdb\x4e\x22\xb0\x08\x88\x32\xa5\x37\x1b\xc6\x58\xe3\x81\xc4\xfb\x07\x7f\x79\x5c\x8d\xcc\x30\x58\x48\x20\x52\xcf\x44", (void(*)(void *))&fexfn_unpack_libGL_glDisableVariantClientStateEXT}, // libGL:glDisableVariantClientStateEXT
  {(uint8_t*)"\xce\x07\x55\x8b\xda\x87\xcc\xa5\xea\x29\x41\x74\x33\x68\x79\x95\x57\xcc\xb9\x86\xd0\x6a\x91\xca\x35\x31\x48\x2c\x1e\x5a\x50\x62", (void(*)(void *))&fexfn_unpack_libGL_glDisableVertexArrayAttribEXT}, // libGL:glDisableVertexArrayAttribEXT
  {(uint8_t*)"\x7d\x09\xcb\xee\x5b\x9e\x51\x60\x92\x60\x0f\xb5\xc2\x0f\xd9\xab\x2b\x01\x8e\x73\x3a\x53\x2b\x2f\xbd\x85\xd5\x88\x48\xf6\xa3\xf2", (void(*)(void *))&fexfn_unpack_libGL_glDisableVertexArrayAttrib}, // libGL:glDisableVertexArrayAttrib
  {(uint8_t*)"\xd9\xd9\x28\xe2\x01\x27\x3c\x78\x12\x02\xfe\x52\xac\x0f\x01\xa4\xc8\xa5\x6c\x6c\x4d\xd8\xed\x97\x28\x88\x0a\xa7\xfa\xac\x82\x03", (void(*)(void *))&fexfn_unpack_libGL_glDisableVertexArrayEXT}, // libGL:glDisableVertexArrayEXT
  {(uint8_t*)"\x45\x2b\x0b\xea\xcb\x0f\x02\x3f\x89\x85\x48\x4c\x01\x32\xfe\xab\xad\x36\x48\x7f\xb2\xdd\xe1\x6a\x16\x95\xaa\xce\xb3\x14\x84\xa8", (void(*)(void *))&fexfn_unpack_libGL_glDisableVertexAttribAPPLE}, // libGL:glDisableVertexAttribAPPLE
  {(uint8_t*)"\x55\x30\xb3\xc0\x81\xa9\xc8\x0e\x3e\x62\x13\xb8\x83\x08\x6d\x7d\xfe\x01\xde\xf1\x68\x66\x41\x1a\x97\x46\x8a\xe2\xd0\xc9\x67\xba", (void(*)(void *))&fexfn_unpack_libGL_glDisableVertexAttribArrayARB}, // libGL:glDisableVertexAttribArrayARB
  {(uint8_t*)"\xc0\xbd\xcb\x48\xf5\x48\x77\x5a\x0b\x14\x61\x90\x3e\x21\xa9\x8f\x57\x34\x20\x66\xb6\x95\xea\x67\xff\x88\x60\x16\xf9\xd0\x5c\x87", (void(*)(void *))&fexfn_unpack_libGL_glDisableVertexAttribArray}, // libGL:glDisableVertexAttribArray
  {(uint8_t*)"\xbe\x6b\xa6\x33\x13\x2f\x2c\xb0\x2a\xc7\x45\xa3\xcd\xf6\xcd\xf0\x93\x3a\x32\xee\xd4\xcb\x72\xdd\x3c\x0d\xb7\x88\x23\xf0\xcb\x61", (void(*)(void *))&fexfn_unpack_libGL_glDispatchCompute}, // libGL:glDispatchCompute
  {(uint8_t*)"\x10\xae\xc8\xac\xac\xb1\x59\x11\x48\xf7\xbf\xa8\xc8\x74\xbe\x84\xbb\x51\x8e\x52\x25\x0b\xc0\xb2\x60\x83\x61\xcb\x69\xec\x6d\x0e", (void(*)(void *))&fexfn_unpack_libGL_glDispatchComputeGroupSizeARB}, // libGL:glDispatchComputeGroupSizeARB
  {(uint8_t*)"\x34\xad\x31\xbf\xfb\x1b\xdf\x8b\xe6\x3c\x1f\xe7\x2f\xc4\xf5\xf6\x7a\xf7\x33\x6e\xd6\x4a\xb7\xd4\xc3\xa5\xea\x4b\x70\xd8\x4d\x2c", (void(*)(void *))&fexfn_unpack_libGL_glDispatchComputeIndirect}, // libGL:glDispatchComputeIndirect
  {(uint8_t*)"\x32\x3c\x46\x34\x82\x57\x42\xd8\x50\xed\xe3\xbc\x25\x63\x84\x47\x1b\x67\x04\x87\x2e\x89\x00\x55\x9d\xbc\x61\x0f\xb0\x9d\x6a\x8b", (void(*)(void *))&fexfn_unpack_libGL_glDrawArraysEXT}, // libGL:glDrawArraysEXT
  {(uint8_t*)"\xb8\x00\x7a\xef\xa2\xa7\x1b\x26\x0f\x66\xea\xd6\xcf\x5a\xc2\xea\x38\x1c\x9d\xb4\xd5\x83\xbc\x09\x16\xe1\xbe\x6c\xa9\x13\x1c\x3b", (void(*)(void *))&fexfn_unpack_libGL_glDrawArrays}, // libGL:glDrawArrays
  {(uint8_t*)"\x96\x72\x34\x4e\x02\x6e\x71\x46\x56\x99\xe3\x0f\xe0\xca\xc1\x54\xf0\xd5\xe9\xad\x50\xd0\xf0\x39\x9b\xa9\x38\x0c\x6a\x1f\x84\x80", (void(*)(void *))&fexfn_unpack_libGL_glDrawArraysIndirect}, // libGL:glDrawArraysIndirect
  {(uint8_t*)"\x3d\x76\x0d\x45\x0a\xea\xdb\x2d\x6f\x7f\xe3\xad\x16\xc2\xc0\x28\x97\x68\x8e\x62\x60\x49\x22\x5d\x0c\xe2\x29\x8f\x07\xd5\x88\x3c", (void(*)(void *))&fexfn_unpack_libGL_glDrawArraysInstancedARB}, // libGL:glDrawArraysInstancedARB
  {(uint8_t*)"\x8b\x44\x7d\x4a\x44\x0b\x8d\xc0\x45\x35\xdb\x61\x96\x67\xf5\x94\x3f\x04\x2a\x48\xcb\x5a\xc0\xda\x06\x4e\xfc\xa9\x31\x00\x10\x08", (void(*)(void *))&fexfn_unpack_libGL_glDrawArraysInstancedBaseInstance}, // libGL:glDrawArraysInstancedBaseInstance
  {(uint8_t*)"\x92\xf5\xb8\x70\x35\x4c\xa3\x93\x87\xd1\xfc\x95\x98\xb1\xb5\xdc\x30\x85\xe9\x92\xec\x92\x55\x2d\x9d\x71\x1f\x65\x27\xdc\xb5\x01", (void(*)(void *))&fexfn_unpack_libGL_glDrawArraysInstancedEXT}, // libGL:glDrawArraysInstancedEXT
  {(uint8_t*)"\x1f\x5e\x5d\x90\x96\xe3\x42\xec\x88\x35\xe6\x2d\x54\x84\x10\xa9\x45\xd1\x83\x9e\x81\xbd\xcb\xae\x7c\x52\x16\xd3\x98\x78\x55\xac", (void(*)(void *))&fexfn_unpack_libGL_glDrawArraysInstanced}, // libGL:glDrawArraysInstanced
  {(uint8_t*)"\x81\xdb\x2d\xc8\xd2\xc6\x98\xfb\x42\x2e\x78\x57\x32\xf0\x8a\x3e\x6b\xc0\xbf\x4a\x86\xbd\x55\x51\xb5\xdb\x6c\xbc\xf6\xa8\xb8\x67", (void(*)(void *))&fexfn_unpack_libGL_glDrawBuffer}, // libGL:glDrawBuffer
  {(uint8_t*)"\x52\x1d\xa6\x36\xe7\x53\xdf\xce\x5d\x4a\x3a\x50\xf2\x7d\x29\x1f\x2b\xf2\xa7\x4f\xf7\x33\x25\x85\x3c\x7d\xcc\x89\x2f\xda\x4c\x15", (void(*)(void *))&fexfn_unpack_libGL_glDrawBuffersARB}, // libGL:glDrawBuffersARB
  {(uint8_t*)"\x24\xfa\x43\x50\x7d\x09\x5a\xe0\xdf\x3f\x65\xd7\xe9\xe7\x1f\xc1\x58\xbb\xf4\x6a\x4f\x81\x94\x8c\xec\x53\x91\xe9\xba\x64\x65\x0c", (void(*)(void *))&fexfn_unpack_libGL_glDrawBuffersATI}, // libGL:glDrawBuffersATI
  {(uint8_t*)"\x14\x16\x32\xbd\x2c\x0f\x5f\xdf\x34\xf2\x64\x7c\x84\xae\x64\x42\x1c\xba\x48\x84\x21\xcc\x27\xcc\x1b\x9b\xde\xf6\x43\xa2\xde\x96", (void(*)(void *))&fexfn_unpack_libGL_glDrawBuffers}, // libGL:glDrawBuffers
  {(uint8_t*)"\x58\xeb\x53\x87\x6d\xf4\xdb\xfd\x37\xdd\x8b\x55\x24\x2b\x32\x3c\x4a\x4d\x78\x54\x41\xec\x52\x51\xbb\x0c\x1e\xd6\xde\x3b\xf8\xdf", (void(*)(void *))&fexfn_unpack_libGL_glDrawCommandsAddressNV}, // libGL:glDrawCommandsAddressNV
  {(uint8_t*)"\x68\x8f\x48\x3a\x6f\x20\xe0\x12\x6b\x50\x41\x6a\x26\x95\xf1\x39\x1d\xa6\xd4\x8e\x81\x02\x8c\x9e\xe5\xc5\xc3\x4d\x73\x4c\x23\x1b", (void(*)(void *))&fexfn_unpack_libGL_glDrawCommandsNV}, // libGL:glDrawCommandsNV
  {(uint8_t*)"\x32\x8c\x0f\xbd\x36\xc9\x83\x10\xcb\x37\x00\x56\xed\x05\x9d\x37\xba\x3a\x52\x75\xb7\x71\x99\x92\x3c\x6c\x85\xbb\x31\x20\x48\xc8", (void(*)(void *))&fexfn_unpack_libGL_glDrawCommandsStatesAddressNV}, // libGL:glDrawCommandsStatesAddressNV
  {(uint8_t*)"\x4c\x15\x84\xa9\x4c\xae\xaa\x4d\xef\xf4\x05\xce\x36\xb6\xad\x9d\x27\x5b\xa8\xdb\x2e\x96\x33\x96\xd0\x52\x0a\xa1\xaf\x32\x48\xa9", (void(*)(void *))&fexfn_unpack_libGL_glDrawCommandsStatesNV}, // libGL:glDrawCommandsStatesNV
  {(uint8_t*)"\xb8\x65\xfa\x4e\xe0\x65\x3a\xe7\x66\xd8\x4c\xea\xf0\x6a\xc9\x39\x1d\x02\x84\x0a\x34\x2e\xa6\x59\x29\xaf\xbf\x35\x26\x5f\x0c\xcc", (void(*)(void *))&fexfn_unpack_libGL_glDrawElementArrayAPPLE}, // libGL:glDrawElementArrayAPPLE
  {(uint8_t*)"\xea\x95\xf6\x14\x54\x51\x46\x18\x44\xb3\x3f\x17\xfc\x63\x7f\x2b\xb7\xca\x0c\xc4\x2b\x98\x51\xfa\x26\x02\x87\x66\x57\x0f\x51\xf8", (void(*)(void *))&fexfn_unpack_libGL_glDrawElementArrayATI}, // libGL:glDrawElementArrayATI
  {(uint8_t*)"\x0f\xed\x7a\xf8\x6a\x11\xef\xb7\x1a\xa6\x1a\x19\x42\x70\x02\x79\x2e\xa6\x88\x84\xa0\x2e\xc5\xe6\x64\xd5\x97\x09\x24\x0d\x07\xf6", (void(*)(void *))&fexfn_unpack_libGL_glDrawElementsBaseVertex}, // libGL:glDrawElementsBaseVertex
  {(uint8_t*)"\x1e\xd5\x21\xfe\xc3\x53\xed\x23\x54\x84\x08\xec\xbd\xa6\xa7\xb4\x6f\xc9\x27\x50\x54\x2a\x59\xe9\xb8\x1e\x51\x46\x89\x49\x8d\x52", (void(*)(void *))&fexfn_unpack_libGL_glDrawElements}, // libGL:glDrawElements
  {(uint8_t*)"\x12\x0a\x03\x22\xc8\xfe\xc1\x45\xad\xd4\xaf\xd6\xbf\x59\x3f\x25\xd8\x4b\x73\x8d\x34\x70\x78\x0e\xb2\x8b\x12\xba\x4c\x6a\x70\x39", (void(*)(void *))&fexfn_unpack_libGL_glDrawElementsIndirect}, // libGL:glDrawElementsIndirect
  {(uint8_t*)"\xfd\x57\x65\x58\x58\x76\x06\xe1\x2c\x94\xa4\x2c\x4b\x7d\x7b\x31\x14\xd7\x8e\xde\x61\xd3\xe8\xdc\xb2\x35\x3e\x22\xb3\x2f\xaf\x18", (void(*)(void *))&fexfn_unpack_libGL_glDrawElementsInstancedARB}, // libGL:glDrawElementsInstancedARB
  {(uint8_t*)"\xe4\x84\x08\xd1\x87\xe7\x9e\xc3\x75\xe2\x4d\xc4\xca\x77\x62\x3e\x19\x02\x3a\xe1\xd5\x8a\xd7\xa9\xdd\xb8\x1b\x92\xac\xdb\x92\x12", (void(*)(void *))&fexfn_unpack_libGL_glDrawElementsInstancedBaseInstance}, // libGL:glDrawElementsInstancedBaseInstance
  {(uint8_t*)"\x51\xad\x7b\x5e\x95\xd3\xec\x4d\x7a\x0b\x8d\x33\xed\xa1\x90\xab\x5f\xf7\x3f\xa3\x7a\x90\x01\x90\x3f\xa6\x7d\x60\xee\xfb\xfb\x8f", (void(*)(void *))&fexfn_unpack_libGL_glDrawElementsInstancedBaseVertexBaseInstance}, // libGL:glDrawElementsInstancedBaseVertexBaseInstance
  {(uint8_t*)"\x9b\x77\x60\xe2\x92\xd9\xf0\xe5\x67\x32\x9f\xc6\xcb\xcb\x41\x28\xb9\xf3\xec\x67\xd9\x5b\x39\x68\x16\x0d\x63\xf0\xf9\x8a\x67\xcf", (void(*)(void *))&fexfn_unpack_libGL_glDrawElementsInstancedBaseVertex}, // libGL:glDrawElementsInstancedBaseVertex
  {(uint8_t*)"\x29\x51\x4e\x54\x66\x69\x11\xe9\xd9\x80\xda\x0b\x68\x04\x18\x67\x59\x46\x00\x06\xe1\xe9\x31\x75\x85\xfd\x08\x7b\xe5\x17\xf9\x35", (void(*)(void *))&fexfn_unpack_libGL_glDrawElementsInstancedEXT}, // libGL:glDrawElementsInstancedEXT
  {(uint8_t*)"\xb9\xc4\x4c\xce\xf5\xd8\x6c\x75\x04\x26\x28\x03\xc0\x94\x68\x0b\xab\x51\xfd\x5b\xc0\x66\xad\x15\x6e\x27\xd7\x2b\x81\x62\x98\xe7", (void(*)(void *))&fexfn_unpack_libGL_glDrawElementsInstanced}, // libGL:glDrawElementsInstanced
  {(uint8_t*)"\xab\x15\x2b\xbb\x57\xbd\x57\x51\x41\x15\x0d\xa3\xbd\x66\xfd\xc7\x31\xe5\xf0\xf0\x83\xae\x9a\x35\x17\x93\x18\xe9\x38\x7f\x87\x9e", (void(*)(void *))&fexfn_unpack_libGL_glDrawMeshArraysSUN}, // libGL:glDrawMeshArraysSUN
  {(uint8_t*)"\x33\x7c\x36\x22\x05\x74\x5f\x9f\x8d\x60\x8e\xd0\x3c\x9a\xd6\x7f\x48\x63\xaa\x17\xde\x8a\xcb\x8e\xb6\xb9\xd4\x01\xc6\x04\x83\x16", (void(*)(void *))&fexfn_unpack_libGL_glDrawMeshTasksIndirectNV}, // libGL:glDrawMeshTasksIndirectNV
  {(uint8_t*)"\x97\x8e\xa8\x72\xf0\xe7\xbf\x64\x99\x0a\x81\x17\x27\x34\xcc\x92\xde\xc7\x05\xec\x23\x5b\x50\x1f\x68\xac\xa0\x6c\xfa\xac\xa1\x5b", (void(*)(void *))&fexfn_unpack_libGL_glDrawMeshTasksNV}, // libGL:glDrawMeshTasksNV
  {(uint8_t*)"\xfc\xd8\x3c\x44\x57\x7a\xaf\x49\x08\x06\xbe\xe5\x69\xfe\x3b\x96\xdd\xc5\x38\x66\xd6\x6d\x44\x6a\xb3\x33\xd4\x49\x75\x7d\x95\x32", (void(*)(void *))&fexfn_unpack_libGL_glDrawPixels}, // libGL:glDrawPixels
  {(uint8_t*)"\xbe\xd4\x18\x80\xca\x0f\x5a\xb0\x45\xb8\xac\x84\x23\xdb\x0a\xac\x39\xe3\x72\xdf\x46\x68\x9c\x72\xb3\x1c\xa7\x98\x08\x3c\xac\x14", (void(*)(void *))&fexfn_unpack_libGL_glDrawRangeElementArrayAPPLE}, // libGL:glDrawRangeElementArrayAPPLE
  {(uint8_t*)"\xcf\xd4\xda\x52\x50\x76\xac\xcf\x25\xe6\xec\x1e\x3f\x10\xfd\xd2\xe9\xe7\x6f\x54\x88\x92\x40\xfb\x3b\x6a\x3c\x8a\x56\x26\x34\x93", (void(*)(void *))&fexfn_unpack_libGL_glDrawRangeElementArrayATI}, // libGL:glDrawRangeElementArrayATI
  {(uint8_t*)"\x77\xe5\x36\x4b\x9c\x6b\xb0\x51\x0b\x01\xea\xbe\xd9\x4e\x34\xd2\xdd\xd4\x83\x20\x4e\x5c\x33\x3e\x11\x22\x2a\xb1\x9a\x7d\xcc\xda", (void(*)(void *))&fexfn_unpack_libGL_glDrawRangeElementsBaseVertex}, // libGL:glDrawRangeElementsBaseVertex
  {(uint8_t*)"\x39\x29\x8b\x78\xbd\xa8\xaf\x86\x91\x0a\x24\xb1\x73\x11\x33\x52\x18\xa2\x6c\x0a\xa2\x95\x54\x67\x60\xbd\x76\x22\xaa\x19\x53\x2e", (void(*)(void *))&fexfn_unpack_libGL_glDrawRangeElementsEXT}, // libGL:glDrawRangeElementsEXT
  {(uint8_t*)"\x85\xbb\xd5\x9d\x1a\xfb\x99\xab\x52\x14\x79\x5e\x36\xf3\x3d\xa7\x21\xf2\xdf\x37\x02\xa1\x90\x8c\x49\xac\x30\x0d\x05\x49\xe4\xa4", (void(*)(void *))&fexfn_unpack_libGL_glDrawRangeElements}, // libGL:glDrawRangeElements
  {(uint8_t*)"\x4c\x40\xae\xb7\xde\x0d\x8d\xab\x57\x0f\x8e\x5b\x7e\xea\x72\x09\xf4\xe8\x23\x5f\x0c\xf5\x23\x29\xc6\x3a\x55\xc4\x54\x72\x11\xd4", (void(*)(void *))&fexfn_unpack_libGL_glDrawTextureNV}, // libGL:glDrawTextureNV
  {(uint8_t*)"\x5c\x94\x5b\xf6\x71\x2c\xc5\xb0\x47\x28\x08\xbf\x87\x6d\x6d\xc4\x0d\xa5\x2e\xfa\xcb\x46\x25\x02\x10\xe0\x1b\x09\xf8\x61\x84\x02", (void(*)(void *))&fexfn_unpack_libGL_glDrawTransformFeedback}, // libGL:glDrawTransformFeedback
  {(uint8_t*)"\xe0\x7b\xe3\x54\x7b\x7f\xbf\x5f\x53\x3c\xb1\x03\xdb\xef\x9e\x5e\xa9\xf8\xa8\x2e\xc9\x4b\xec\x4d\x1e\xf5\xb2\x1c\xf1\x78\xfd\xa8", (void(*)(void *))&fexfn_unpack_libGL_glDrawTransformFeedbackInstanced}, // libGL:glDrawTransformFeedbackInstanced
  {(uint8_t*)"\x1f\x75\x6c\x9f\x82\xa6\x0e\x43\xf1\x94\x0e\x0d\xf3\x9b\xb4\x90\xb3\x02\xb9\x8a\x28\x98\x40\x9c\x55\xc5\x05\x90\xfc\xc8\x16\x62", (void(*)(void *))&fexfn_unpack_libGL_glDrawTransformFeedbackNV}, // libGL:glDrawTransformFeedbackNV
  {(uint8_t*)"\x75\x0e\x67\x3d\x9f\x7e\x2d\x67\xe8\x32\x99\xb1\xbd\xb5\x00\x48\x49\x06\xa1\x7e\x90\x50\x87\xfc\x85\xb8\x1c\xe0\x67\x0a\x6c\xac", (void(*)(void *))&fexfn_unpack_libGL_glDrawTransformFeedbackStream}, // libGL:glDrawTransformFeedbackStream
  {(uint8_t*)"\xa3\x02\x3e\x1c\x5a\x0c\x12\x4e\xa0\x54\x14\x85\xf9\x7c\x16\xe3\xe0\xdc\x31\x73\xa0\xf4\x95\xb4\x6a\xc1\x3b\x97\xe0\xc7\x0d\xcf", (void(*)(void *))&fexfn_unpack_libGL_glDrawTransformFeedbackStreamInstanced}, // libGL:glDrawTransformFeedbackStreamInstanced
  {(uint8_t*)"\x6a\x09\x2f\x88\x8e\xe7\x4c\xac\x73\x78\xcc\xfe\xb7\x62\x7b\x72\x92\x0d\x77\xfe\x3b\xf9\x50\xc6\x30\xf6\xeb\x3a\x87\x13\x7d\x04", (void(*)(void *))&fexfn_unpack_libGL_glDrawVkImageNV}, // libGL:glDrawVkImageNV
  {(uint8_t*)"\x19\xfd\x06\xd8\x7d\x8f\xd4\x85\xba\x3b\x0f\xeb\x1c\x37\x0c\x40\xb9\x50\x32\xed\xf1\x14\x54\xeb\x92\xf1\x81\x1d\x99\x03\x62\xad", (void(*)(void *))&fexfn_unpack_libGL_glEdgeFlagFormatNV}, // libGL:glEdgeFlagFormatNV
  {(uint8_t*)"\xa1\xc5\xa9\x76\x32\x71\x77\x99\xdb\x7a\x0e\x7c\x10\x83\x30\x51\x26\x00\x56\x3e\xe4\xbb\xea\x45\xb1\x38\x12\xf9\xb8\x8a\x91\x90", (void(*)(void *))&fexfn_unpack_libGL_glEdgeFlag}, // libGL:glEdgeFlag
  {(uint8_t*)"\x2a\xbf\x69\x44\x25\xc2\x03\xc2\x72\xfc\x36\x6a\xc8\x86\xb4\x05\x8b\xb3\xe6\x8d\xb2\x86\x5d\xa3\x61\x48\x57\xef\xf6\xa2\x72\x2e", (void(*)(void *))&fexfn_unpack_libGL_glEdgeFlagPointerEXT}, // libGL:glEdgeFlagPointerEXT
  {(uint8_t*)"\x9a\x6a\xd9\xcf\xda\x89\x4d\xea\xe2\xb3\x35\xb6\xd2\xdf\xe1\x6f\xf6\x4f\xd1\x53\xd9\xe8\xec\x8a\xe7\x78\xd5\x8f\x1c\x49\xde\xb8", (void(*)(void *))&fexfn_unpack_libGL_glEdgeFlagPointer}, // libGL:glEdgeFlagPointer
  {(uint8_t*)"\xb6\x63\xe7\x43\x4a\xd8\x6e\xf8\x86\xe1\xed\x8b\xcc\x2b\x0f\x7f\x5f\x55\x9d\x08\x86\x8c\xec\x3c\x26\xdf\xa4\x47\xf7\x4c\x87\x70", (void(*)(void *))&fexfn_unpack_libGL_glEdgeFlagPointerListIBM}, // libGL:glEdgeFlagPointerListIBM
  {(uint8_t*)"\x7b\x29\xc3\xd2\xbd\xc4\xb8\x99\x49\xb5\xfd\x82\x1d\x63\x58\x1a\x94\x35\x19\xb8\xdc\x17\x64\xbe\x46\x5e\x25\xc6\x35\xf0\x61\x4f", (void(*)(void *))&fexfn_unpack_libGL_glEdgeFlagv}, // libGL:glEdgeFlagv
  {(uint8_t*)"\xd1\xc4\x8d\x77\x70\x5c\x2a\xd2\x8b\x39\xb3\x8b\x14\xc0\x93\xbb\x6c\xdc\xb2\x36\x1b\xf1\x7b\x8b\xbc\x58\x38\x87\x1a\x3b\x3b\x29", (void(*)(void *))&fexfn_unpack_libGL_glEGLImageTargetRenderbufferStorageOES}, // libGL:glEGLImageTargetRenderbufferStorageOES
  {(uint8_t*)"\x73\x08\x0d\x1b\x34\xd7\x77\xeb\x53\xeb\xc5\xa0\xb0\x97\xb7\xd5\x9a\xa1\x8a\x11\x34\x72\x92\xf7\x1e\xa1\x8b\xea\x9b\xa2\x44\x92", (void(*)(void *))&fexfn_unpack_libGL_glEGLImageTargetTexStorageEXT}, // libGL:glEGLImageTargetTexStorageEXT
  {(uint8_t*)"\x5a\xb8\x38\x97\xf5\xdd\xd0\x4f\xfc\x7e\x72\x3a\x86\x59\xb1\x58\x60\x35\xf9\xf0\x01\xb2\xb4\x4a\xe4\x36\x59\x7d\xc6\xf9\x60\xf8", (void(*)(void *))&fexfn_unpack_libGL_glEGLImageTargetTexture2DOES}, // libGL:glEGLImageTargetTexture2DOES
  {(uint8_t*)"\x0e\x99\xfc\x6c\xd5\xaa\x43\x0f\x6b\x2a\x87\x29\xbb\xc2\xe8\xa7\xf0\x64\xc6\x5a\x07\x69\x1e\xcc\x8d\x32\xd0\x5b\x68\xb6\x2d\x7d", (void(*)(void *))&fexfn_unpack_libGL_glEGLImageTargetTextureStorageEXT}, // libGL:glEGLImageTargetTextureStorageEXT
  {(uint8_t*)"\x28\x54\xc3\xb1\x60\x52\x7e\x69\x5d\x34\x50\xd2\x11\xf2\x85\xa6\xb5\xa7\x08\xaa\x94\x61\x30\xd7\x87\xf2\xd1\xf5\x35\x17\xc6\x75", (void(*)(void *))&fexfn_unpack_libGL_glElementPointerAPPLE}, // libGL:glElementPointerAPPLE
  {(uint8_t*)"\xc8\xbd\x27\x79\xe8\x1c\x98\xfa\xbb\x73\x61\x04\x4e\xd8\x89\xf8\x75\xd8\x20\xe2\xef\xc8\x1b\x7f\xa5\xb3\x8e\xeb\x54\xf4\xfa\xed", (void(*)(void *))&fexfn_unpack_libGL_glElementPointerATI}, // libGL:glElementPointerATI
  {(uint8_t*)"\xa6\xb3\x87\x20\x10\xc6\x4f\x49\x69\x39\xc9\xbf\xb2\xb3\xae\x75\x47\xc5\xf8\x1e\x4a\x0a\xc2\xe1\x54\x8e\xd9\xa9\xa8\xd0\xb3\x52", (void(*)(void *))&fexfn_unpack_libGL_glEnableClientState}, // libGL:glEnableClientState
  {(uint8_t*)"\x2c\xe2\x82\xda\x47\x92\xb9\xdf\xe1\x8a\x77\xd3\x55\xc3\x44\x04\x28\x1f\x9a\x95\x78\xd5\xee\x53\x11\xfa\x55\x54\x91\x7b\xcf\xa5", (void(*)(void *))&fexfn_unpack_libGL_glEnableClientStateiEXT}, // libGL:glEnableClientStateiEXT
  {(uint8_t*)"\x0d\xa4\xb6\x84\x38\x62\xd4\x43\x35\x1f\x64\x79\xbb\xb6\xea\x15\xc1\xed\xc2\x0d\x6c\x1e\x12\xf7\xa7\xaf\x71\x6d\x95\x8b\xca\x78", (void(*)(void *))&fexfn_unpack_libGL_glEnableClientStateIndexedEXT}, // libGL:glEnableClientStateIndexedEXT
  {(uint8_t*)"\x2f\x48\x58\x52\xfe\x41\x9d\xc0\x06\x0d\x9c\xbd\xa2\x2e\xca\xd9\x73\xcf\xfc\xae\xe7\x28\x1d\xd8\xa2\xa4\x92\xf8\xda\x5e\xba\x24", (void(*)(void *))&fexfn_unpack_libGL_glEnable}, // libGL:glEnable
  {(uint8_t*)"\xaa\xcd\xb0\x69\x17\xdd\x1d\x92\xdb\x4f\x3a\xd1\xae\xcc\xda\xb1\xf9\x6a\x23\x73\xfb\x24\x0e\xce\xbf\xc6\x08\xf6\x40\x35\x5a\x2a", (void(*)(void *))&fexfn_unpack_libGL_glEnablei}, // libGL:glEnablei
  {(uint8_t*)"\x1b\x86\x5d\x70\x41\x4c\x82\xde\x84\xa6\x59\xb4\xc5\x93\x11\x62\x68\x13\x57\xe9\xe3\x18\x1a\xb2\x98\xd5\xcf\x0d\x2e\x93\x4a\xc3", (void(*)(void *))&fexfn_unpack_libGL_glEnableIndexedEXT}, // libGL:glEnableIndexedEXT
  {(uint8_t*)"\xf9\xdc\xda\x06\x41\xa6\x07\x0c\x8d\x52\x3d\xc4\x83\xb9\xde\x6c\xa9\x7f\xf3\xa4\xd1\xc1\x3f\xd6\x1e\x95\x3d\xe2\xff\x0b\xb2\x04", (void(*)(void *))&fexfn_unpack_libGL_glEnableVariantClientStateEXT}, // libGL:glEnableVariantClientStateEXT
  {(uint8_t*)"\xf0\x33\xcb\x9f\x7f\xa1\x0c\x36\xe9\xeb\x7f\x09\xd1\xd9\xbc\x84\x3b\x63\x66\x89\x64\xd9\x28\x4e\x89\xc2\x02\x01\xe8\x85\xda\xa1", (void(*)(void *))&fexfn_unpack_libGL_glEnableVertexArrayAttribEXT}, // libGL:glEnableVertexArrayAttribEXT
  {(uint8_t*)"\x34\x83\x28\x69\x90\x5a\x94\x34\x5d\x9d\xcd\xab\x6c\xee\x73\xfd\xd3\xa8\x35\x29\x9a\xa5\xf2\x68\x1e\x19\xb7\x81\x57\x8f\x0f\x8b", (void(*)(void *))&fexfn_unpack_libGL_glEnableVertexArrayAttrib}, // libGL:glEnableVertexArrayAttrib
  {(uint8_t*)"\x90\x04\xba\x00\xe6\xc9\x5e\xdc\xbb\xbb\x80\x6a\x7f\xdf\xb6\x06\x18\xb0\x90\xbb\x9b\x7d\xb1\x07\x20\x0e\x51\xcd\x65\x78\x97\x93", (void(*)(void *))&fexfn_unpack_libGL_glEnableVertexArrayEXT}, // libGL:glEnableVertexArrayEXT
  {(uint8_t*)"\x3f\x25\x00\x42\x0a\x26\x27\xe5\xe7\x06\xc9\x18\xb6\x35\x33\xf9\x60\x04\x78\x3c\x20\xf7\xf4\xf8\x1b\x4f\x46\xb2\x10\x58\xfa\xb2", (void(*)(void *))&fexfn_unpack_libGL_glEnableVertexAttribAPPLE}, // libGL:glEnableVertexAttribAPPLE
  {(uint8_t*)"\x21\x71\x6e\x36\x1b\x42\x8f\x42\x46\x7f\x51\x22\x2a\xd6\x4b\x44\x30\x12\xc9\xb1\xb1\x91\x3a\xd1\xce\x51\xb0\xcd\xb9\x10\x4d\x1b", (void(*)(void *))&fexfn_unpack_libGL_glEnableVertexAttribArrayARB}, // libGL:glEnableVertexAttribArrayARB
  {(uint8_t*)"\x42\xd9\xda\xf8\xbe\x4f\x63\xbe\x8d\xda\xd5\x8f\xff\xf6\x10\x7f\x68\x01\x42\x9e\xbc\x9a\xe8\xb0\x11\x68\x04\x36\x59\x30\x2b\x01", (void(*)(void *))&fexfn_unpack_libGL_glEnableVertexAttribArray}, // libGL:glEnableVertexAttribArray
  {(uint8_t*)"\x9f\x9e\x10\x65\x03\x18\x56\xc1\x9e\x44\x61\x89\x2e\xdd\xd8\x12\x4e\xec\x38\x89\x6a\x4c\xc8\xeb\x9b\x2a\x85\x05\xcc\x88\x67\x19", (void(*)(void *))&fexfn_unpack_libGL_glEnd}, // libGL:glEnd
  {(uint8_t*)"\x8d\x8f\x68\x64\x6e\x96\x16\x14\x6d\xc7\x1d\x95\xb1\x2c\xe8\xc6\x4c\x8e\x58\x3d\x3d\xc8\x24\xc1\xcc\x9e\x58\x73\x54\xe2\xb0\x6b", (void(*)(void *))&fexfn_unpack_libGL_glEndConditionalRender}, // libGL:glEndConditionalRender
  {(uint8_t*)"\x22\x2b\xcb\x62\x12\x46\xe0\xa7\x22\xea\x58\x44\x5a\xd1\x49\xcf\x7f\xb9\x0c\x30\x08\x03\x70\x98\x00\x1f\xf8\x76\xbc\x83\xfc\x78", (void(*)(void *))&fexfn_unpack_libGL_glEndConditionalRenderNV}, // libGL:glEndConditionalRenderNV
  {(uint8_t*)"\xb7\xa3\x8b\x57\xb7\xaa\xcf\x8a\x4c\x58\x7f\xc7\x4b\xeb\xb8\xf1\x97\xcd\xac\x7d\x81\x88\x80\xdf\x4a\x5e\x61\xc7\x08\x52\x48\xe4", (void(*)(void *))&fexfn_unpack_libGL_glEndConditionalRenderNVX}, // libGL:glEndConditionalRenderNVX
  {(uint8_t*)"\x49\xa9\x1e\xe7\x23\xfb\x60\x85\x0d\x47\x6e\xa8\x8f\xb6\xd8\xd9\x24\x1d\xe4\x59\x85\x86\x3b\x83\x48\xf7\xc9\x12\x27\x08\x61\xad", (void(*)(void *))&fexfn_unpack_libGL_glEndFragmentShaderATI}, // libGL:glEndFragmentShaderATI
  {(uint8_t*)"\xa0\xc6\x4f\xce\xd5\xb2\x78\x5c\x18\x65\xa7\x13\xd9\x6c\xfa\x91\x3d\x45\x64\xc6\x66\xce\x4e\x15\x06\xab\xf7\x7d\xe2\x5c\xa7\x46", (void(*)(void *))&fexfn_unpack_libGL_glEndList}, // libGL:glEndList
  {(uint8_t*)"\x52\x56\x80\xae\xfe\xcb\xd5\x0d\x6f\x48\x94\xac\x54\x1f\xf6\x9e\xd4\xc7\x80\x40\x55\x35\x26\x75\x7e\xbb\x1f\x49\x93\xa6\x95\xe8", (void(*)(void *))&fexfn_unpack_libGL_glEndOcclusionQueryNV}, // libGL:glEndOcclusionQueryNV
  {(uint8_t*)"\xf5\x95\x97\x65\x9a\xbf\x83\x6b\x54\x65\x22\x22\xb0\xbc\x95\x39\x2a\xc3\x0e\xf8\x00\xc2\x16\x61\x03\x77\xac\x47\x8c\x3b\x08\x49", (void(*)(void *))&fexfn_unpack_libGL_glEndPerfMonitorAMD}, // libGL:glEndPerfMonitorAMD
  {(uint8_t*)"\x59\x00\x7c\x32\xd7\x96\xaf\x6c\xa1\x12\x9e\xed\x95\x2c\x57\x64\x24\x53\x64\x08\xa0\x99\x74\xfa\x82\x78\x9b\x51\xdd\x5c\x41\x58", (void(*)(void *))&fexfn_unpack_libGL_glEndPerfQueryINTEL}, // libGL:glEndPerfQueryINTEL
  {(uint8_t*)"\x94\xea\xaa\xe2\x53\xa7\xb0\x2c\xf5\x57\xe4\x74\xf9\x5b\x0a\xf4\xae\xe6\x6d\x39\x32\xe1\x6f\x62\xfd\x40\xf6\xa7\x8f\x18\xf4\x4d", (void(*)(void *))&fexfn_unpack_libGL_glEndQueryARB}, // libGL:glEndQueryARB
  {(uint8_t*)"\x21\xee\x03\x88\xed\x11\x24\xc1\x69\x46\x59\x20\xb6\x3f\x10\xae\xc1\x40\xbc\xca\xc1\x6b\x8d\x4a\x29\xc4\xba\x59\x1b\x03\x71\x89", (void(*)(void *))&fexfn_unpack_libGL_glEndQuery}, // libGL:glEndQuery
  {(uint8_t*)"\xc1\xb2\x35\xd5\x6d\x9d\xe9\x3b\x89\x6e\x76\x3d\x22\x3b\x15\x09\xc6\x27\xec\xa5\xed\xb2\xcf\x75\x11\x3c\x5c\xe3\x0e\xf5\x64\x7c", (void(*)(void *))&fexfn_unpack_libGL_glEndQueryIndexed}, // libGL:glEndQueryIndexed
  {(uint8_t*)"\x8e\x2c\xd9\xf0\x0b\x1d\x3b\xb5\x4e\x54\xfc\x75\x97\x5c\x9c\xbb\x91\x19\xc8\xc3\x94\x62\x54\xbc\x10\x8a\x59\x63\x49\x37\x92\x93", (void(*)(void *))&fexfn_unpack_libGL_glEndTransformFeedback}, // libGL:glEndTransformFeedback
  {(uint8_t*)"\xad\xd1\x21\x9b\xed\xfb\x16\x25\xee\x80\x45\x11\x0a\x49\x27\x93\x24\xf8\xa2\x95\x64\x60\xdc\xb0\xa7\x9c\xc9\x38\xb3\x11\x06\x5d", (void(*)(void *))&fexfn_unpack_libGL_glEndTransformFeedbackEXT}, // libGL:glEndTransformFeedbackEXT
  {(uint8_t*)"\x6e\xe8\xe2\xf7\x49\xdc\xa3\x5f\x8e\x87\xc6\x47\x06\x4b\x23\xcb\xb8\xf9\xdb\x7e\x4b\xa4\x55\xb6\x00\x70\xb9\x56\x7f\x3d\x7f\x34", (void(*)(void *))&fexfn_unpack_libGL_glEndTransformFeedbackNV}, // libGL:glEndTransformFeedbackNV
  {(uint8_t*)"\xdc\x1b\x6a\x18\xc7\x4f\x34\xa3\xd0\xd3\xbb\x0c\xca\x75\xcf\x28\x80\x8a\xc6\xe5\xd0\x1d\xd2\xd0\x96\x39\x68\x52\xdf\xfe\xe7\x46", (void(*)(void *))&fexfn_unpack_libGL_glEndVertexShaderEXT}, // libGL:glEndVertexShaderEXT
  {(uint8_t*)"\x37\xa0\x3b\x07\xc2\xd7\xfc\xe2\xe5\x68\x9b\x46\xea\xa7\x44\x46\xae\xac\x48\xba\xe3\xc6\xc0\x8b\x2f\x05\xe3\x33\x17\x56\x18\xcd", (void(*)(void *))&fexfn_unpack_libGL_glEndVideoCaptureNV}, // libGL:glEndVideoCaptureNV
  {(uint8_t*)"\x93\x76\xbd\x3b\x75\x67\x8f\x9f\xe2\xf8\xc0\x73\x10\x78\xbe\xcc\x66\x96\x0c\xd6\x05\x2b\xa8\xcd\x0e\x2b\x9c\xd4\x0e\x85\x8b\xea", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord1d}, // libGL:glEvalCoord1d
  {(uint8_t*)"\x67\x33\x5c\x1d\xcf\xd4\x03\xec\x07\x55\x42\x76\xa3\x2b\x9f\xab\xfe\x79\xd4\x13\xba\x70\x80\x3b\xb1\x29\xe0\x85\xf3\xa0\x29\x86", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord1dv}, // libGL:glEvalCoord1dv
  {(uint8_t*)"\x6b\x47\x5b\xe5\x68\xd5\x4d\x5b\x1f\x09\x23\x6c\x61\x16\x25\x96\x4f\x52\x32\x53\xfd\x50\x3a\xa1\x78\x3a\x6a\xdb\x8f\x5d\x41\x08", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord1f}, // libGL:glEvalCoord1f
  {(uint8_t*)"\xd1\x85\x90\xd6\x5d\x42\xd4\x24\x1f\xbe\x29\xfb\xc3\x7f\x07\xdd\xf3\xf5\xb0\xde\xe3\xe0\x7f\x45\xcf\xbb\x95\x46\x53\xf7\x90\x63", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord1fv}, // libGL:glEvalCoord1fv
  {(uint8_t*)"\xa9\x42\xc8\xce\x32\x28\xfe\xdf\x1c\x8f\x35\x45\xab\xa7\xf7\xe6\xa9\x33\x8b\x27\x74\xbd\x84\x83\x01\x5d\xb3\x0e\xe3\xbe\x07\x5d", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord1xOES}, // libGL:glEvalCoord1xOES
  {(uint8_t*)"\x7a\x92\x54\xf2\x9c\x58\xad\x26\x31\x0e\x60\xc3\x26\x99\x32\x4f\xfb\x6d\x5b\x95\x59\x7f\x1f\x46\xed\x97\x8b\x8c\x22\x3f\xdc\x7c", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord1xvOES}, // libGL:glEvalCoord1xvOES
  {(uint8_t*)"\x02\x18\xf7\x9c\x6b\x23\x8e\xa8\x43\x6a\xea\x5b\x4a\xaf\x9f\x4e\xf3\x79\x6c\xc2\x6f\x55\xa3\xb5\x8d\x32\xae\xbb\x73\xd7\x64\xa5", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord2d}, // libGL:glEvalCoord2d
  {(uint8_t*)"\xee\xd7\xe8\xe8\xf0\x80\xe7\xe2\x9d\x6a\xa9\xf6\x54\xba\x26\xac\xc6\x57\x4c\xdb\x15\xe3\x8d\xc0\xea\x86\xa5\x4e\x75\x00\xe3\xa1", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord2dv}, // libGL:glEvalCoord2dv
  {(uint8_t*)"\xc1\xdc\x98\x7a\x77\xef\x5d\xcf\xad\xec\xbc\x38\x1e\xb7\xc8\xf6\x0e\x12\x2c\x03\xd6\x50\xe0\x22\xc1\x42\x1a\xaf\x58\x11\x56\xc2", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord2f}, // libGL:glEvalCoord2f
  {(uint8_t*)"\x92\x42\x13\x03\x8b\x05\xd3\xb2\xff\xb9\x5f\xce\x7b\xbe\x94\xb1\x94\x39\xe3\xe8\xd8\x73\xc2\xc5\x08\xe0\x33\x78\x76\x91\xb6\xc1", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord2fv}, // libGL:glEvalCoord2fv
  {(uint8_t*)"\xfa\xe3\x62\x53\xda\xa6\x33\xda\xb0\xc8\x85\x69\xfa\xc2\xf2\xcc\xe2\x2a\x0b\x45\xe7\x62\x1a\x01\x0c\x16\xb7\x32\xaa\x00\xea\x06", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord2xOES}, // libGL:glEvalCoord2xOES
  {(uint8_t*)"\x5e\xa9\x61\x74\xae\xb5\xfe\x29\xe2\xfa\x73\xd0\x1a\x32\x9a\xea\x09\x7a\x98\xcb\x1d\x92\xf3\xef\xe5\x08\x29\x36\xd7\x0d\x12\x23", (void(*)(void *))&fexfn_unpack_libGL_glEvalCoord2xvOES}, // libGL:glEvalCoord2xvOES
  {(uint8_t*)"\xd2\x92\xb7\x6a\x16\x0e\xe5\x86\x0f\x4e\x7c\x2e\x5e\x35\xb3\x54\x3c\xb1\xe5\x35\xf1\xa9\x4d\xc6\x1b\x13\x3d\x93\x19\xaa\x21\xea", (void(*)(void *))&fexfn_unpack_libGL_glEvalMapsNV}, // libGL:glEvalMapsNV
  {(uint8_t*)"\xcd\xff\xb2\x4b\x6f\x0e\xfe\x52\xef\x37\xae\x6b\xde\xcf\x51\xa4\xc0\xdd\x4b\x9a\x1d\x5f\x10\x79\x98\xd3\xdb\xd9\x77\x4a\x44\xf6", (void(*)(void *))&fexfn_unpack_libGL_glEvalMesh1}, // libGL:glEvalMesh1
  {(uint8_t*)"\x22\x74\x8d\x3c\x4c\x51\x3c\x2e\xbd\xf0\xe3\x38\xa5\xfd\xf0\xb1\x2d\x02\x48\xa6\x22\xc3\x53\x0c\x39\xf4\x87\x2b\x76\x67\x74\x87", (void(*)(void *))&fexfn_unpack_libGL_glEvalMesh2}, // libGL:glEvalMesh2
  {(uint8_t*)"\x1b\x7b\x87\x02\xa2\xf5\xfc\x08\xf6\x1b\xe5\x7f\x14\x00\x2c\x95\xb0\x4c\x13\x25\x88\x27\x71\x1b\x41\xd2\x0e\x9d\x27\x8e\xd2\xa0", (void(*)(void *))&fexfn_unpack_libGL_glEvalPoint1}, // libGL:glEvalPoint1
  {(uint8_t*)"\x37\x89\x07\x13\xe0\x11\xb7\x84\xde\xfd\xd1\xe3\xb7\x2f\x9e\x1c\x56\xc0\x86\xb5\x09\x56\xd6\x90\xf0\xf5\xd7\xcb\x7f\xfd\x09\x23", (void(*)(void *))&fexfn_unpack_libGL_glEvalPoint2}, // libGL:glEvalPoint2
  {(uint8_t*)"\x21\x65\xc6\xd8\x9d\x09\x5c\x25\x48\xf9\xc0\xdf\x36\x42\x82\x5e\x3e\x7f\x36\xa2\x0e\x84\xf9\xfd\x8d\xea\xf6\xdf\x6a\x6c\x73\x22", (void(*)(void *))&fexfn_unpack_libGL_glEvaluateDepthValuesARB}, // libGL:glEvaluateDepthValuesARB
  {(uint8_t*)"\x60\x53\x96\xf9\xab\xb2\x13\x0e\x2d\x8f\x5a\x28\x46\x5c\x3f\xdc\xc0\x9b\x41\x6b\xf0\x99\xd6\xc6\xb4\x42\x93\xc0\x29\xfa\x80\xf8", (void(*)(void *))&fexfn_unpack_libGL_glExecuteProgramNV}, // libGL:glExecuteProgramNV
  {(uint8_t*)"\x40\xbc\x58\x79\x81\xd5\x7e\xfe\x11\x61\xf6\xe0\x24\x1d\xca\x13\xc8\x9f\x91\xc4\x5d\x1e\x59\xf2\x74\xb1\x90\xde\x41\xfa\xea\x72", (void(*)(void *))&fexfn_unpack_libGL_glExtractComponentEXT}, // libGL:glExtractComponentEXT
  {(uint8_t*)"\xbb\x24\xd4\x29\x4d\xaa\x18\xd6\xd3\x57\x2c\xa2\xd4\x1c\xe3\xb3\x38\x6a\x76\x58\x0b\x20\x9e\x39\x51\x0d\x5f\x13\xb1\x8d\xc2\xa9", (void(*)(void *))&fexfn_unpack_libGL_glFeedbackBuffer}, // libGL:glFeedbackBuffer
  {(uint8_t*)"\x80\x1a\xff\x44\x64\x0a\x25\xb3\xe1\x6a\xb5\x4d\xc2\xed\x31\x82\xf1\xc2\xf6\x6d\x7d\x05\xe0\x5b\x7c\x26\xb3\x55\xbb\x46\xd9\x27", (void(*)(void *))&fexfn_unpack_libGL_glFeedbackBufferxOES}, // libGL:glFeedbackBufferxOES
  {(uint8_t*)"\xf3\xed\xc4\xe6\x0d\x7a\x1e\x58\x6a\xad\xd3\x5d\xee\xdc\x8b\x4f\xea\x72\x4e\xac\xdc\xe7\x26\x1e\x4f\x32\x84\x37\xf7\xe9\xd9\xb8", (void(*)(void *))&fexfn_unpack_libGL_glFinalCombinerInputNV}, // libGL:glFinalCombinerInputNV
  {(uint8_t*)"\xc4\xd6\x04\x20\x53\x13\x80\x87\x83\xbc\x85\x4d\x29\xaf\xde\xdf\xa2\x3f\x19\xaa\x79\xdc\x04\xda\xaf\x7d\x76\x7f\x69\x61\x10\x98", (void(*)(void *))&fexfn_unpack_libGL_glFinish}, // libGL:glFinish
  {(uint8_t*)"\xad\x92\x36\x16\x95\x0f\x10\xc1\xfa\x23\x3d\x52\x8c\xb5\x5b\xb4\xe0\x8e\x6c\xe5\x5d\x70\xf9\xa0\xf6\x64\xec\x9c\x42\x44\x82\xfe", (void(*)(void *))&fexfn_unpack_libGL_glFinishFenceAPPLE}, // libGL:glFinishFenceAPPLE
  {(uint8_t*)"\xe2\x22\x0a\xc6\xcd\xf0\x49\x13\xb0\x54\x09\x92\x52\x0c\x7c\xd3\x26\x64\x9b\xe5\x98\xa9\x7c\x82\xa1\xff\xc1\xe9\x49\xfa\xff\x67", (void(*)(void *))&fexfn_unpack_libGL_glFinishFenceNV}, // libGL:glFinishFenceNV
  {(uint8_t*)"\xfe\x20\x9d\x26\x85\xec\x28\xe6\x68\x48\xc3\xd9\xfd\x25\x99\x0c\x07\xae\x99\x02\x48\xea\x2c\x4e\x89\x4e\xf9\x99\x3b\x1d\x55\x84", (void(*)(void *))&fexfn_unpack_libGL_glFinishObjectAPPLE}, // libGL:glFinishObjectAPPLE
  {(uint8_t*)"\x84\x10\xae\x56\x8a\x89\xc7\x77\xac\x1d\x94\x17\x5b\xc5\x6e\xf5\x23\x59\xba\x16\xb6\xf4\x0f\x9f\xa4\x06\x4e\x8b\x7d\x48\x5c\xe5", (void(*)(void *))&fexfn_unpack_libGL_glFinishTextureSUNX}, // libGL:glFinishTextureSUNX
  {(uint8_t*)"\x48\xca\x6f\x0c\x65\x01\xe9\x98\x2c\x14\x14\x45\x1f\xee\x9a\x72\x60\x60\xd3\x3a\x77\x3e\xc4\x28\x23\x64\x40\x10\xf6\xe7\x82\xb8", (void(*)(void *))&fexfn_unpack_libGL_glFlush}, // libGL:glFlush
  {(uint8_t*)"\x05\xfe\xfe\x33\xf1\x17\xa8\x1b\x21\xf8\x0d\xba\x76\x0a\x1f\x88\x44\xd8\xbd\xfb\xf2\x05\x96\x66\xa7\x86\xaf\xdf\x84\x65\x94\xa9", (void(*)(void *))&fexfn_unpack_libGL_glFlushMappedBufferRangeAPPLE}, // libGL:glFlushMappedBufferRangeAPPLE
  {(uint8_t*)"\x25\x81\x75\x39\xe5\x22\x56\x27\x3c\x87\xd3\x46\x72\xd0\x96\xbe\x6e\x12\x9d\x99\xea\x36\xeb\x57\x5e\x93\x6a\xc0\xbb\xb2\x85\xa7", (void(*)(void *))&fexfn_unpack_libGL_glFlushMappedBufferRange}, // libGL:glFlushMappedBufferRange
  {(uint8_t*)"\x63\x88\x3e\xeb\xc6\xe8\xa7\xe1\x8a\xa5\x43\xa2\x11\x97\x95\x5c\x11\x1e\x0f\x8d\x75\x84\xc7\x1c\xe8\x2b\x6a\xc9\x96\x9b\x2e\x73", (void(*)(void *))&fexfn_unpack_libGL_glFlushMappedNamedBufferRangeEXT}, // libGL:glFlushMappedNamedBufferRangeEXT
  {(uint8_t*)"\xbc\x7c\x8f\x9c\xa5\xd7\xca\xb4\x73\x03\xca\x16\xf1\xe7\x3d\xe5\x06\xe9\xf7\xd4\xb5\xe7\x52\xbc\xe1\x0c\x39\x85\xc6\x36\xe5\x2d", (void(*)(void *))&fexfn_unpack_libGL_glFlushMappedNamedBufferRange}, // libGL:glFlushMappedNamedBufferRange
  {(uint8_t*)"\x02\x21\xf7\x85\xab\x93\x6e\x9e\x8e\xab\x9d\xea\xc2\xd0\x0b\x17\x15\x68\x5f\xf9\x14\xaf\x38\xa8\x49\x36\xed\x64\x6f\xf2\x05\x98", (void(*)(void *))&fexfn_unpack_libGL_glFlushPixelDataRangeNV}, // libGL:glFlushPixelDataRangeNV
  {(uint8_t*)"\x56\xc8\xb8\xc7\x3b\xa9\x04\x92\x8a\xb9\x85\x2e\xf4\xa4\xa6\x68\xb8\xcd\xd0\xec\xd2\xfb\xe6\x5f\x07\xc4\xa1\x75\x49\xaa\xeb\x0e", (void(*)(void *))&fexfn_unpack_libGL_glFlushRasterSGIX}, // libGL:glFlushRasterSGIX
  {(uint8_t*)"\xe5\xd5\x6d\x13\x7c\x4c\xaa\x1c\x8d\x87\xf8\xad\x08\xbf\x15\x9b\xe8\x6d\xe7\x66\x11\x44\x38\x78\x1d\x1f\xbf\x58\x3c\xcd\x48\x9b", (void(*)(void *))&fexfn_unpack_libGL_glFlushStaticDataIBM}, // libGL:glFlushStaticDataIBM
  {(uint8_t*)"\x37\x68\x06\x1d\xb6\x4a\x31\xc9\x1e\xe7\x37\x1c\xd0\x34\x87\x28\x82\xd4\x3e\xe9\x35\x0a\x69\x8e\x73\x43\xe7\x02\x5e\xa1\xc8\x92", (void(*)(void *))&fexfn_unpack_libGL_glFlushVertexArrayRangeAPPLE}, // libGL:glFlushVertexArrayRangeAPPLE
  {(uint8_t*)"\x74\x72\xac\xaa\x23\xc0\x0b\xc2\x61\xdd\x28\xdc\x25\xe2\xfc\x70\x87\x5b\x60\x26\x57\xa9\x68\x49\xf5\x75\xf6\x02\x35\xc2\x29\xa1", (void(*)(void *))&fexfn_unpack_libGL_glFlushVertexArrayRangeNV}, // libGL:glFlushVertexArrayRangeNV
  {(uint8_t*)"\x68\x4c\x58\x11\x58\x04\x49\x21\xaf\x28\x1c\x6e\x39\x14\x4d\xa6\x27\xb0\xe1\x72\x29\x50\x34\x27\x53\x4e\xe7\xde\x01\xc2\x76\x9b", (void(*)(void *))&fexfn_unpack_libGL_glFogCoorddEXT}, // libGL:glFogCoorddEXT
  {(uint8_t*)"\xac\xc6\x86\x42\xf0\x05\xea\xe5\x24\x19\x97\xc1\x22\x55\x15\x4c\xce\xfd\x07\x7b\x95\xaa\x73\xed\x6e\x02\xc7\xda\x7d\x39\xd1\xdb", (void(*)(void *))&fexfn_unpack_libGL_glFogCoorddvEXT}, // libGL:glFogCoorddvEXT
  {(uint8_t*)"\xe8\x25\x09\x94\x45\xb0\xce\x62\xe6\xb3\xe6\x2e\xc2\xba\xeb\x1b\x97\x25\x03\x5d\x42\x8c\x29\x7d\x66\x96\x8e\x38\x1a\x14\xd7\xa1", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordfEXT}, // libGL:glFogCoordfEXT
  {(uint8_t*)"\x5f\x16\x9b\xc6\xa8\x0d\x8f\x9b\xbd\x0c\x31\x74\xd4\x38\x68\x2d\x94\xde\x28\x65\xe3\xe6\xcf\x6f\x9b\xfe\x59\x5e\x6b\x57\xfc\x12", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordFormatNV}, // libGL:glFogCoordFormatNV
  {(uint8_t*)"\xc4\x97\x5e\xd5\x0e\xb2\x36\x23\x99\x9a\x76\x8b\xdc\x61\x13\xd0\x47\x83\x83\x45\x8f\xde\xe2\x82\x20\x1a\x12\x76\xac\x1e\xcf\x72", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordfvEXT}, // libGL:glFogCoordfvEXT
  {(uint8_t*)"\xf0\xd2\x5f\x27\xf7\x62\x3b\x4e\x5d\xca\xb0\xb0\x6a\x6c\x55\xf6\x54\xfa\x6e\x9b\x47\x1e\x45\xfb\x6e\x05\x8e\x74\x86\x7d\x74\xa9", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordhNV}, // libGL:glFogCoordhNV
  {(uint8_t*)"\x52\xcc\x91\x22\x58\x83\x6b\x32\x01\x34\x36\xb9\x55\xf0\x47\x35\x66\xbd\x73\x3d\x03\x7a\x0a\xdf\xce\x79\x72\x85\x9e\x86\xc6\xca", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordhvNV}, // libGL:glFogCoordhvNV
  {(uint8_t*)"\xc6\x8f\xad\x2a\xc9\xdc\x9d\x61\xb8\x97\x43\xa1\xbf\xae\x12\xc9\x21\x90\x74\xea\x8f\x82\x2e\xfe\x91\xb8\x31\x3e\xae\x17\x85\xae", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordPointerEXT}, // libGL:glFogCoordPointerEXT
  {(uint8_t*)"\x73\x89\x81\x26\xd3\x8a\x9a\x9d\x34\xe4\x83\x55\x15\x7e\xb8\x04\xda\x88\x54\x7e\x7a\x9b\x8d\xf6\xd1\xa3\x52\x3e\x7b\x9f\xe8\xdb", (void(*)(void *))&fexfn_unpack_libGL_glFogCoordPointerListIBM}, // libGL:glFogCoordPointerListIBM
  {(uint8_t*)"\xe5\x3a\xad\x30\x98\x4d\x62\xd0\xa2\x00\x8a\x25\xad\xbe\x1d\xa1\x79\x02\x7b\x89\x12\x4d\xc6\x36\x29\x53\xc3\x02\xaf\x66\x17\x20", (void(*)(void *))&fexfn_unpack_libGL_glFogf}, // libGL:glFogf
  {(uint8_t*)"\x06\x32\xd3\x48\x1c\xde\x42\x13\xa7\x6d\x06\x14\x8a\x0a\x09\xca\x1a\xba\x03\x7d\x97\x57\x39\xfa\x4e\xe3\xcd\x4d\x6e\xcf\x1d\x5a", (void(*)(void *))&fexfn_unpack_libGL_glFogFuncSGIS}, // libGL:glFogFuncSGIS
  {(uint8_t*)"\x1e\x73\x44\x56\x2b\x86\xa4\x58\xc0\x58\x0d\x3b\xe9\xc0\xf0\x7b\xc1\x79\x2e\x90\x9b\xee\x11\xb8\x18\x41\x8a\xe3\x57\xad\x3d\x07", (void(*)(void *))&fexfn_unpack_libGL_glFogfv}, // libGL:glFogfv
  {(uint8_t*)"\x46\xb3\x8a\x8f\x16\xb8\x6e\xea\x9d\xc2\x9b\x13\x50\xdb\xf7\x5c\xf2\x1f\xa3\x01\x5a\x2c\x0f\x3b\xb5\x56\xc5\x80\x5a\x7f\x76\x8a", (void(*)(void *))&fexfn_unpack_libGL_glFogi}, // libGL:glFogi
  {(uint8_t*)"\xe2\x15\xd3\x81\xd4\xd2\x1d\x39\xc8\xfb\xe5\x26\xe9\x1c\xcb\xc6\x76\x5b\xe2\xd2\x23\x95\xe7\x0a\x19\x21\x00\x0f\xed\xbb\x86\xe4", (void(*)(void *))&fexfn_unpack_libGL_glFogiv}, // libGL:glFogiv
  {(uint8_t*)"\xac\x97\xc0\x38\x8d\xf3\xa0\x03\x09\x7a\xe2\x08\x25\x23\x99\x78\xd8\x67\x02\xef\xe9\x98\xfd\x01\x2f\xfa\xdc\xcb\x20\x4c\xa0\xe2", (void(*)(void *))&fexfn_unpack_libGL_glFogxOES}, // libGL:glFogxOES
  {(uint8_t*)"\x65\xc3\xbe\xd1\x99\xe7\xba\xad\xc2\xe4\x8c\x32\x7d\x48\x80\x83\xac\x1e\x1a\x74\x4d\x42\x9f\xc8\x79\x1b\x70\x99\xb8\x52\xa2\x8c", (void(*)(void *))&fexfn_unpack_libGL_glFogxvOES}, // libGL:glFogxvOES
  {(uint8_t*)"\x13\x1b\xe8\xec\xb6\x11\xdc\xb8\x33\x8d\x08\x6b\x84\x69\xd2\x61\xcd\x85\xe1\x05\x1f\x8d\xbd\x22\x33\x9d\x69\x59\xe7\x0f\x77\xe0", (void(*)(void *))&fexfn_unpack_libGL_glFragmentColorMaterialSGIX}, // libGL:glFragmentColorMaterialSGIX
  {(uint8_t*)"\x2e\xf6\x40\x60\xca\xa3\xd5\xa8\xb0\xa1\x18\x8c\x90\x51\x30\x6b\x32\xb0\xd9\x90\x3f\x19\x28\x07\xa1\xf6\x80\x43\x31\x96\xf4\xce", (void(*)(void *))&fexfn_unpack_libGL_glFragmentCoverageColorNV}, // libGL:glFragmentCoverageColorNV
  {(uint8_t*)"\x5c\x85\xa1\x0a\x16\x74\xa2\x1d\x83\xbf\x9e\xde\xff\x50\x25\xa7\x64\x35\xd4\xe9\xd1\x4b\xc6\x15\xcd\x2c\xe2\xe7\xad\x01\xa1\xdd", (void(*)(void *))&fexfn_unpack_libGL_glFragmentLightfSGIX}, // libGL:glFragmentLightfSGIX
  {(uint8_t*)"\x1c\x9a\xdb\xb0\x90\x37\xc0\xd9\x92\xf1\x57\x71\xb5\x00\x40\x0f\x89\x32\xf2\xf8\x60\x8d\xfc\xbb\xd8\xd6\xfe\x3e\x14\x68\x1a\x01", (void(*)(void *))&fexfn_unpack_libGL_glFragmentLightfvSGIX}, // libGL:glFragmentLightfvSGIX
  {(uint8_t*)"\xe5\xf6\x12\x9d\x80\x4a\xfc\x2b\x83\x55\x20\x3f\xda\xc4\x65\x09\xc7\x49\x25\x85\xfa\x2f\x5c\x36\x79\xdd\x20\x63\xd3\x46\x2e\x0d", (void(*)(void *))&fexfn_unpack_libGL_glFragmentLightiSGIX}, // libGL:glFragmentLightiSGIX
  {(uint8_t*)"\xfa\xdc\x06\x6e\xfd\x4d\x60\xa1\xfd\x09\x94\x8f\xe7\x4c\xbe\xf0\x0a\x68\x05\x72\x82\x74\x17\x5a\x76\x19\x72\x67\x86\x25\xe2\xbf", (void(*)(void *))&fexfn_unpack_libGL_glFragmentLightivSGIX}, // libGL:glFragmentLightivSGIX
  {(uint8_t*)"\x03\x32\x47\xf4\x97\xdf\xf7\xb2\x9f\xdf\x08\xb2\xfa\x05\xd7\xa4\x36\x95\xa8\x1f\xcd\x06\xba\x4c\x7b\x18\x17\xba\x2d\x9c\x28\xfa", (void(*)(void *))&fexfn_unpack_libGL_glFragmentLightModelfSGIX}, // libGL:glFragmentLightModelfSGIX
  {(uint8_t*)"\x22\x16\xa7\xb4\x11\x96\x7f\x12\xf3\xe2\x9b\x38\xba\xaf\xf1\x92\x8f\x61\x43\xd5\x0f\x25\x9c\xac\xc2\xc2\x8f\x34\x2b\x0c\x47\xc0", (void(*)(void *))&fexfn_unpack_libGL_glFragmentLightModelfvSGIX}, // libGL:glFragmentLightModelfvSGIX
  {(uint8_t*)"\x84\x92\x93\x8c\x04\x7e\x9b\x5a\x1c\x3f\x93\xd6\x81\x1c\x2b\xa2\x54\x2f\xf0\x9c\x90\x5d\x9b\x9a\x00\x3f\x2f\x9d\x5a\x32\x4e\x26", (void(*)(void *))&fexfn_unpack_libGL_glFragmentLightModeliSGIX}, // libGL:glFragmentLightModeliSGIX
  {(uint8_t*)"\x36\x8d\x15\x95\xb8\xe6\x7c\xff\x82\x0a\x0a\x7f\x74\xbf\x77\x1e\x85\xa2\x6e\xbf\x09\x21\x4a\x19\x77\xa6\xc9\x65\xeb\x33\x1b\x73", (void(*)(void *))&fexfn_unpack_libGL_glFragmentLightModelivSGIX}, // libGL:glFragmentLightModelivSGIX
  {(uint8_t*)"\xb7\xee\xc5\x2a\xb1\x3f\x3b\x25\xce\x33\x2e\x6b\x26\x4b\xbe\x85\x54\x5b\xcc\x30\xe8\x82\xbf\x80\x97\x32\xde\x3a\x82\x1f\x90\x1d", (void(*)(void *))&fexfn_unpack_libGL_glFragmentMaterialfSGIX}, // libGL:glFragmentMaterialfSGIX
  {(uint8_t*)"\x28\xcd\x43\x76\xc4\xef\x82\x0a\x2d\xcb\x94\xc9\x26\x2a\x0e\x2b\x86\x1c\xe2\x28\x9c\x3c\x88\x06\x60\xa4\x09\x94\xad\x92\x1c\x23", (void(*)(void *))&fexfn_unpack_libGL_glFragmentMaterialfvSGIX}, // libGL:glFragmentMaterialfvSGIX
  {(uint8_t*)"\xd9\xe8\x36\x0f\xe8\x59\x2c\xf6\x50\x0a\x6e\x4f\x0d\xf4\x33\xfd\x95\x61\x0a\xae\xfc\xa6\xe5\x6f\xdd\x02\x85\x2a\xc5\x6f\x74\x72", (void(*)(void *))&fexfn_unpack_libGL_glFragmentMaterialiSGIX}, // libGL:glFragmentMaterialiSGIX
  {(uint8_t*)"\xc9\x5e\xbc\x81\xfd\x21\x07\xbe\x08\x3a\xeb\x30\x38\xe3\xee\x69\x27\xcb\x3c\xe1\xd7\xc6\xfc\xaa\x2f\x65\x20\x49\x08\xdb\x7b\x28", (void(*)(void *))&fexfn_unpack_libGL_glFragmentMaterialivSGIX}, // libGL:glFragmentMaterialivSGIX
  {(uint8_t*)"\x47\x1c\x32\x94\xb5\x25\x22\x76\x43\x01\x5f\x1d\xad\x48\x27\x00\x67\xd8\x02\x6d\x3f\x0f\x9c\xb4\x28\xaa\xbc\xed\x38\x74\x5f\x45", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferDrawBufferEXT}, // libGL:glFramebufferDrawBufferEXT
  {(uint8_t*)"\x62\x80\xe1\x8e\xc9\x41\xa4\x6a\xf2\x57\x81\x23\x8e\x58\x3a\x14\x71\x62\xc4\xac\xbf\xf0\x1c\xd7\x7b\x2f\x9c\x89\x7b\x1b\x5c\x8f", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferDrawBuffersEXT}, // libGL:glFramebufferDrawBuffersEXT
  {(uint8_t*)"\x54\x7c\x00\xb5\x95\x90\x43\x97\x52\x9f\xdf\x0d\x04\xc5\xe4\x43\x47\xdf\x0c\x75\x04\x6c\xf5\x56\x75\xf6\x1a\x5f\x41\x47\xc7\xa8", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferFetchBarrierEXT}, // libGL:glFramebufferFetchBarrierEXT
  {(uint8_t*)"\xde\xce\x49\xb3\x23\x6b\x94\x1d\x93\xd9\x06\x22\xfc\x1f\xc4\xe4\x38\xef\xe5\x48\xd8\x7a\x5b\x7e\x74\x6a\x8b\x22\x0e\xf9\x37\x84", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferParameteri}, // libGL:glFramebufferParameteri
  {(uint8_t*)"\x97\x6b\xa4\x45\x41\xd7\xd4\xbd\x67\x52\xd2\xd8\xe3\xe7\x85\x4f\xe1\x3b\xe8\xba\x05\x25\x0f\x0b\xd0\x44\x64\x49\x70\xbb\x55\x43", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferParameteriMESA}, // libGL:glFramebufferParameteriMESA
  {(uint8_t*)"\x68\x55\xd4\x03\x08\xb6\xb4\xe6\xe3\xfa\x3b\x9a\x9e\x74\x4d\xfd\xfb\xf2\xc8\x87\xb2\x9c\x4e\x9a\x66\x55\x0a\xc9\x32\xd7\x2b\xf5", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferReadBufferEXT}, // libGL:glFramebufferReadBufferEXT
  {(uint8_t*)"\x3d\xda\xaf\x5d\x4d\x6f\x5b\x93\xaf\x91\xac\x23\xa5\x57\x61\xa6\xb9\xb6\x3e\xb6\x3d\x98\xde\xfe\x89\x01\x94\x38\xa0\x99\x2b\xf3", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferRenderbufferEXT}, // libGL:glFramebufferRenderbufferEXT
  {(uint8_t*)"\x2d\x88\x42\xfb\x61\xa5\x20\xb1\xbd\x23\xc7\x85\xdd\xe8\x4b\x8e\x87\xa1\xd2\x5c\xf2\xeb\x48\xbb\xc6\x32\x3e\xe4\xa6\x85\x67\x72", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferRenderbuffer}, // libGL:glFramebufferRenderbuffer
  {(uint8_t*)"\x99\x78\x15\xcc\xfa\xee\x20\x92\x22\x45\xfc\x29\xc4\x38\xdb\xb7\x13\x99\x99\xa8\x8b\xef\x44\xc7\x1e\x39\x6a\x58\x49\x0c\xcd\x39", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferSampleLocationsfvARB}, // libGL:glFramebufferSampleLocationsfvARB
  {(uint8_t*)"\x60\xb9\x31\x58\x5f\x58\xc1\x53\xe4\xa4\x79\x6b\xca\xe5\xe0\xcf\x82\x61\x4f\xb3\x57\x06\x26\xa6\x59\x37\xc8\x06\x48\x28\xc4\xc4", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferSampleLocationsfvNV}, // libGL:glFramebufferSampleLocationsfvNV
  {(uint8_t*)"\x0e\x87\x8f\x5c\x5d\x4a\xaa\x6d\xb2\x54\xd0\x54\x13\x22\x99\x6b\x71\x50\xc3\xdc\xfd\xbb\x2f\x25\x9f\xe8\x19\x14\x47\x38\x0e\x56", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferSamplePositionsfvAMD}, // libGL:glFramebufferSamplePositionsfvAMD
  {(uint8_t*)"\x70\x19\xc1\xe9\x81\xed\x3c\xb2\x88\x08\x62\xb7\x5f\x11\x20\xd1\xfd\x0b\x9b\x9e\xaf\xd7\x25\x04\x59\xaf\x8e\x4e\x58\x35\xf3\x0e", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTexture1DEXT}, // libGL:glFramebufferTexture1DEXT
  {(uint8_t*)"\xf0\x68\x45\x34\xba\x95\x0a\x73\xce\x87\x78\x9f\xb5\x9b\x2a\x4b\x4d\x37\xfa\x59\x3f\x24\x3c\x28\x38\xb3\xe8\xfb\xfa\x2e\x3f\x5e", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTexture1D}, // libGL:glFramebufferTexture1D
  {(uint8_t*)"\xe4\x80\xab\xa3\xd0\x67\x08\x55\x26\x80\x78\x73\x51\x29\x40\xcc\x22\x80\xb0\x64\x07\xcf\x8a\x3a\x59\xfb\x91\xf6\x19\xcf\x83\xdc", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTexture2DEXT}, // libGL:glFramebufferTexture2DEXT
  {(uint8_t*)"\x95\xc7\x96\xcf\xd1\x2a\x39\x51\x6e\x9d\x86\xcb\xf2\xe8\x4d\x54\x0b\xa5\xcd\xc6\x06\xac\xc2\x1d\xdc\xbd\xa4\x65\x88\x11\x44\xac", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTexture2D}, // libGL:glFramebufferTexture2D
  {(uint8_t*)"\x9f\x53\x91\xe1\x99\xa8\x0f\x06\xe9\x98\x6f\xbb\x81\x11\x48\x62\x80\x8c\xe0\x64\x87\xe7\x71\x59\x38\x39\x7b\x58\x3f\xd1\xf7\x8e", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTexture3DEXT}, // libGL:glFramebufferTexture3DEXT
  {(uint8_t*)"\x57\xee\xff\x61\x25\x0c\xf3\xa7\x06\x46\xf0\x40\x80\x54\x6d\x74\x4c\x60\xa2\x50\xd8\x9f\x6e\x1d\x8f\x2a\x8c\xb9\x60\xde\x4b\x1d", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTexture3D}, // libGL:glFramebufferTexture3D
  {(uint8_t*)"\x6c\x31\xc0\xa8\x41\xcb\x90\xca\x37\xb2\x9d\x81\x35\xe2\x65\xda\x63\x79\x79\xec\xc9\x11\x7a\x09\xb9\xe6\x1d\x77\x81\x0b\xfd\x3b", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTextureARB}, // libGL:glFramebufferTextureARB
  {(uint8_t*)"\xab\x83\x1c\x69\xdb\xc0\x6f\x42\xcd\xcc\xf1\x98\xd5\xb3\x87\x46\x27\x68\x31\x09\x7d\x96\xd9\x26\x57\xc2\xa8\xda\xc2\xe8\xd1\x3d", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTextureEXT}, // libGL:glFramebufferTextureEXT
  {(uint8_t*)"\x7e\x4a\xc9\xaf\x85\x76\x92\xfe\x81\xff\x3d\x6c\xc4\x46\x10\x8b\x92\x16\x6a\xfd\xcd\xcb\xc5\xfd\x6f\xad\x74\x71\x66\xd7\xec\xd7", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTextureFaceARB}, // libGL:glFramebufferTextureFaceARB
  {(uint8_t*)"\xa1\xdc\xa6\x84\x28\x18\xf9\x18\x83\x46\x20\x11\xa9\x38\x3d\x0d\x0f\xb2\xd0\x5b\xf4\x5c\xd3\x84\xdb\xf3\xd3\x8b\x5e\xe7\xb4\x81", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTextureFaceEXT}, // libGL:glFramebufferTextureFaceEXT
  {(uint8_t*)"\xae\xbf\xc2\x30\x58\x14\x50\x25\x37\xc4\x13\x5a\x4d\xd2\xb3\x19\xfc\xdd\x66\xc9\x74\x76\x30\xf0\x22\x75\x4d\x45\xc8\x5c\x83\x5e", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTexture}, // libGL:glFramebufferTexture
  {(uint8_t*)"\xca\xb3\x31\x9a\x4f\x95\x44\x2f\x66\x41\x63\x19\x37\xdb\x8f\xcc\xac\x4a\x6a\xe7\x5d\xc5\x2f\x16\x98\x47\x9c\x43\x4f\xbb\x19\x3f", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTextureLayerARB}, // libGL:glFramebufferTextureLayerARB
  {(uint8_t*)"\xba\x88\xe7\x07\x83\x3e\x2d\xac\x56\xd7\x8e\x73\x55\x5d\xc6\xb3\x58\xe7\x1a\x27\x47\x3b\x2a\x36\xaf\x2d\x16\x4a\x99\xd0\xfd\x1f", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTextureLayerEXT}, // libGL:glFramebufferTextureLayerEXT
  {(uint8_t*)"\x8c\xf4\x03\x33\x91\x34\x7e\xa5\x72\x6e\x6e\xd3\x5d\x6f\xe7\xd1\xd9\x4b\x66\x75\xef\x1b\x82\x65\x43\x66\x4c\x56\x64\x41\x0e\xb6", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTextureLayer}, // libGL:glFramebufferTextureLayer
  {(uint8_t*)"\x82\x09\xdc\x8c\x98\x06\x90\x40\x09\x86\x9f\x72\xbf\xe1\x3c\x9b\xb0\x31\xf8\xe5\x5f\x4b\xea\x45\x28\x0d\x77\xf2\x4b\xba\x67\xe3", (void(*)(void *))&fexfn_unpack_libGL_glFramebufferTextureMultiviewOVR}, // libGL:glFramebufferTextureMultiviewOVR
  {(uint8_t*)"\x59\x67\x57\x44\xb5\x51\x82\x68\x1d\xae\x77\x5e\x26\x7a\xb6\xe1\x53\x93\x0b\x52\x2a\xf8\x33\x29\x2d\x5e\x32\x3d\x2f\xdb\x54\xbc", (void(*)(void *))&fexfn_unpack_libGL_glFrameTerminatorGREMEDY}, // libGL:glFrameTerminatorGREMEDY
  {(uint8_t*)"\xc2\xf6\x4f\x33\x0b\xc5\x8c\x98\xec\x00\x79\x49\xc3\x11\x3e\xcc\xd7\xc6\xa2\x22\x07\x12\x75\xdd\xb0\x41\x74\xaa\xfa\x3d\xb2\xe8", (void(*)(void *))&fexfn_unpack_libGL_glFrameZoomSGIX}, // libGL:glFrameZoomSGIX
  {(uint8_t*)"\xbc\xb4\x12\xb6\x89\x3a\x15\x20\x58\xfe\x86\x33\x77\x27\x50\x87\xcb\xdf\xc3\x5e\x74\x5a\x9e\x37\x9b\x18\x46\x8f\x6e\x8f\x8b\x65", (void(*)(void *))&fexfn_unpack_libGL_glFreeObjectBufferATI}, // libGL:glFreeObjectBufferATI
  {(uint8_t*)"\x94\xf9\x02\x76\x69\xa9\xa5\xa7\x99\xeb\x00\x28\xc3\xe8\xd5\xf8\xbf\xdb\x66\x55\x7b\x97\xde\x0b\x44\x02\x39\x96\xac\x85\xf0\xa0", (void(*)(void *))&fexfn_unpack_libGL_glFrontFace}, // libGL:glFrontFace
  {(uint8_t*)"\xe8\xf3\xd1\x34\x45\x72\x5e\x20\x04\x29\xf6\xcc\xf3\xab\xb6\x7a\x8c\xf1\xf9\x82\xed\xa1\xaa\x21\x82\x86\xcb\xee\x77\xdd\xe3\x20", (void(*)(void *))&fexfn_unpack_libGL_glFrustumfOES}, // libGL:glFrustumfOES
  {(uint8_t*)"\xeb\x84\x0b\x59\xf4\x9f\x36\xd9\x0c\x5e\xf5\x48\xf5\xa7\xdb\x4e\xbf\x57\x9e\xa6\x80\x50\x54\x7b\x0e\x01\x79\x03\xde\xe8\xdb\x6c", (void(*)(void *))&fexfn_unpack_libGL_glFrustum}, // libGL:glFrustum
  {(uint8_t*)"\x2b\x0e\x5d\xfd\xf8\x34\xc6\xe9\x2d\xeb\x81\xc8\x44\x3b\x77\xde\xc9\x05\x4a\x8d\x6b\x27\xa9\x85\xf8\x8c\xba\xfd\x22\x6a\x6e\xcd", (void(*)(void *))&fexfn_unpack_libGL_glFrustumxOES}, // libGL:glFrustumxOES
  {(uint8_t*)"\xa2\x33\x8d\x99\x14\xdc\x57\xef\x5b\xeb\x97\xd5\xcb\x48\x01\x78\x22\x4e\x7b\xe2\x9e\x46\x75\x8a\x9c\xe2\x69\x04\xcd\x54\x12\x4a", (void(*)(void *))&fexfn_unpack_libGL_glGenBuffersARB}, // libGL:glGenBuffersARB
  {(uint8_t*)"\xae\x9c\x93\xd0\xa2\x60\x56\xa3\x72\xb8\x1a\x06\xc5\x88\x0d\x1b\xd2\x67\x49\x1b\xc0\x22\xe4\x92\xfe\xfb\x84\xbf\xc0\xf3\x7d\xa2", (void(*)(void *))&fexfn_unpack_libGL_glGenBuffers}, // libGL:glGenBuffers
  {(uint8_t*)"\xd3\xf0\xb6\x3f\x18\xcc\x16\xb6\x1b\xf4\xfb\x47\x99\xea\xb2\xcb\x87\x92\x77\xc5\x81\xae\x4b\x76\xc0\x56\x2f\x6b\x9e\xb8\x58\x78", (void(*)(void *))&fexfn_unpack_libGL_glGenerateMipmapEXT}, // libGL:glGenerateMipmapEXT
  {(uint8_t*)"\x0b\x0c\xe9\xf0\x00\x7b\xf9\x69\x31\xe7\x23\xe1\x6d\x09\x4f\xfe\xea\x9b\x77\xf3\x5d\xd9\x9b\xff\x30\x49\xb9\x3c\xef\xfd\xf3\xc3", (void(*)(void *))&fexfn_unpack_libGL_glGenerateMipmap}, // libGL:glGenerateMipmap
  {(uint8_t*)"\x4f\x0b\x5f\x7c\xcf\xab\x0f\x73\x48\x45\x1f\xca\x61\x37\xf1\xc6\x12\xd4\xdd\x3b\xb1\xf8\xb5\x5e\xcc\x61\x93\xe4\xaf\x1f\x7e\xc0", (void(*)(void *))&fexfn_unpack_libGL_glGenerateMultiTexMipmapEXT}, // libGL:glGenerateMultiTexMipmapEXT
  {(uint8_t*)"\x43\x8e\x91\x61\x18\xda\x6d\x4a\x3d\x5c\x9a\x6f\xb4\x7f\x2e\x62\xd0\xc9\x0f\x6b\x00\x9f\x6c\x07\xb2\xad\x81\x22\x95\xee\xe4\x24", (void(*)(void *))&fexfn_unpack_libGL_glGenerateTextureMipmapEXT}, // libGL:glGenerateTextureMipmapEXT
  {(uint8_t*)"\xc2\x01\x76\x8f\x9f\xa7\xe2\x9f\x41\xa2\x75\x56\xd2\x69\x52\xcb\x19\xf4\x4b\x8a\x78\x4c\x74\x0e\x5e\xa2\x74\x16\xb2\xf0\x23\xf4", (void(*)(void *))&fexfn_unpack_libGL_glGenerateTextureMipmap}, // libGL:glGenerateTextureMipmap
  {(uint8_t*)"\x40\x81\xed\x85\x43\x90\xb1\xa3\xbc\xe5\xaa\x28\x4a\xbd\x4b\xbc\x58\xbd\xcb\x67\xba\x6e\x6e\x4b\x81\xa9\xb9\xab\x78\xb5\x4c\x61", (void(*)(void *))&fexfn_unpack_libGL_glGenFencesAPPLE}, // libGL:glGenFencesAPPLE
  {(uint8_t*)"\x08\x66\xf4\x4a\xaf\xf9\x32\x93\x37\x5d\xc7\x85\x50\xc0\x93\x26\xe7\xf6\x12\xbc\x57\x17\x28\x9b\x2a\xd8\x59\xc8\x36\x44\xab\x59", (void(*)(void *))&fexfn_unpack_libGL_glGenFencesNV}, // libGL:glGenFencesNV
  {(uint8_t*)"\xf4\xe4\xba\xb1\xc7\x06\x9a\x1e\xc5\x2c\xbf\x96\xe7\x6b\xc8\xc7\xec\x9e\x39\x4b\x56\xa6\x6d\x3b\xec\x67\x4c\x1d\xbc\xa0\xc7\x5b", (void(*)(void *))&fexfn_unpack_libGL_glGenFramebuffersEXT}, // libGL:glGenFramebuffersEXT
  {(uint8_t*)"\x5b\xaf\x50\x3f\x7a\x83\xc9\x69\xda\x05\xa4\x1d\x91\xbc\xea\x45\x6a\xc9\x1b\xce\x99\xff\x66\x68\xd4\x3b\xc8\x07\x5d\xc2\x32\xa3", (void(*)(void *))&fexfn_unpack_libGL_glGenFramebuffers}, // libGL:glGenFramebuffers
  {(uint8_t*)"\x09\x5e\x0f\x26\x0c\x2d\x94\xbf\xd1\x9d\x31\x00\xc9\xe4\xbf\x9d\x21\x7b\x77\xc7\x83\x0f\x81\x59\xc5\x5c\xf5\x94\x5e\x43\x7f\x69", (void(*)(void *))&fexfn_unpack_libGL_glGenNamesAMD}, // libGL:glGenNamesAMD
  {(uint8_t*)"\x77\xb6\xd0\xea\x38\x7f\xbd\x96\x3f\xea\xfb\xe0\x28\xd4\x53\x8b\x2f\xc9\x4c\x62\x60\x85\x1d\x73\x37\xab\x7b\x06\x07\xa5\x3e\x8c", (void(*)(void *))&fexfn_unpack_libGL_glGenOcclusionQueriesNV}, // libGL:glGenOcclusionQueriesNV
  {(uint8_t*)"\x79\x86\xf8\x69\xbb\xc0\x8f\x2d\xbb\x33\xa2\x82\xfe\xf1\x2e\x2d\x2a\x5a\xe6\x2a\x76\x1d\xd1\x7c\x63\x86\x5c\x11\xd3\xa7\x20\xce", (void(*)(void *))&fexfn_unpack_libGL_glGenPerfMonitorsAMD}, // libGL:glGenPerfMonitorsAMD
  {(uint8_t*)"\x4f\xc3\x2e\x10\xe2\x2f\x95\xc6\x71\x13\x52\x24\x53\xfd\xb1\x07\xd6\x94\x6b\xd1\x9f\x6c\x67\x22\x42\x20\x95\xbc\x4d\xc6\x3b\x37", (void(*)(void *))&fexfn_unpack_libGL_glGenProgramPipelines}, // libGL:glGenProgramPipelines
  {(uint8_t*)"\x2a\xb7\x81\x79\xf2\x63\x94\x1e\x77\x60\xac\xa2\xab\x1e\x2f\x6a\xc7\x61\xd2\x3b\x15\x96\xc5\x61\xc1\xac\x2d\xd2\x88\xb7\x53\x49", (void(*)(void *))&fexfn_unpack_libGL_glGenProgramsARB}, // libGL:glGenProgramsARB
  {(uint8_t*)"\x9e\x06\x70\x98\xc6\x3e\x6e\x17\x47\x79\xca\x58\x78\x72\xce\x6f\xd4\x6e\x1b\x7d\x73\x06\x89\xd0\x34\x3a\x25\xbd\x83\xe1\x61\x74", (void(*)(void *))&fexfn_unpack_libGL_glGenProgramsNV}, // libGL:glGenProgramsNV
  {(uint8_t*)"\x9d\x0a\xef\xaf\x6f\x7a\xe4\xef\x87\x44\x35\xa2\x4b\x9f\xdf\x63\x5d\xbf\xc2\xa6\x86\x58\xf3\x4f\xe1\xa5\x05\x69\xec\xc8\x53\x35", (void(*)(void *))&fexfn_unpack_libGL_glGenQueriesARB}, // libGL:glGenQueriesARB
  {(uint8_t*)"\xc5\xe5\x29\x6b\x35\x28\x9f\xe6\x9d\x44\xbb\x10\x73\x7d\x4f\x39\x38\x74\x46\x35\x4f\xbe\x33\x67\xc3\x25\x7f\x01\x2c\xaf\xb6\x4d", (void(*)(void *))&fexfn_unpack_libGL_glGenQueries}, // libGL:glGenQueries
  {(uint8_t*)"\x90\x3e\x03\x97\x33\xe9\x06\xb2\x20\x6f\x12\xad\xc7\xa5\x00\x7b\xdf\xb5\x13\x75\xb4\x38\x5a\x9a\xc4\x15\x99\x6e\x99\x06\x83\x8b", (void(*)(void *))&fexfn_unpack_libGL_glGenQueryResourceTagNV}, // libGL:glGenQueryResourceTagNV
  {(uint8_t*)"\x72\xfb\x5e\x7b\x4c\x07\xab\x05\x76\x01\x23\x33\xc9\xfb\x96\xab\xc9\x41\xda\x02\x89\xde\x53\x17\x19\x50\xbf\x24\xad\x00\x6c\x89", (void(*)(void *))&fexfn_unpack_libGL_glGenRenderbuffersEXT}, // libGL:glGenRenderbuffersEXT
  {(uint8_t*)"\x99\xa1\x18\xb0\x42\x99\xa8\x9f\x69\x2b\xd8\xcd\x08\x4a\x48\xf1\xdb\xe5\xc1\x10\x52\x75\x20\x0a\xa6\x9a\x11\x9a\x6b\xb7\xc1\x60", (void(*)(void *))&fexfn_unpack_libGL_glGenRenderbuffers}, // libGL:glGenRenderbuffers
  {(uint8_t*)"\xba\x6d\x05\xc5\xdf\xda\x6a\xe7\x99\xc7\x89\x21\x16\x12\x53\xf2\x8d\xd7\x49\x82\x8f\xe6\x26\x36\x9e\x10\x0c\x6c\x88\xa5\x49\x21", (void(*)(void *))&fexfn_unpack_libGL_glGenSamplers}, // libGL:glGenSamplers
  {(uint8_t*)"\x6c\x72\x39\xf6\x2e\xf6\x56\xc0\x2f\x49\x5c\x5e\x8a\x6f\x03\x88\x30\xda\x48\x81\xd3\x49\x14\xe4\xb5\xd5\xf9\x36\x61\x81\xc6\xe0", (void(*)(void *))&fexfn_unpack_libGL_glGenSemaphoresEXT}, // libGL:glGenSemaphoresEXT
  {(uint8_t*)"\x53\xef\x08\xf7\x4d\x15\x4c\xcf\xfe\x8c\x9a\x69\x9e\x8c\x15\x3d\xde\x56\x82\x3d\x0e\xb3\x38\x36\xda\xca\xf9\xa1\xda\x8f\x33\xd7", (void(*)(void *))&fexfn_unpack_libGL_glGenTexturesEXT}, // libGL:glGenTexturesEXT
  {(uint8_t*)"\xd4\xd2\x59\x8f\x7c\xc0\x60\x23\xf6\x7b\xe0\xc9\x84\xc5\xda\x83\x03\xd7\xdc\xce\x6f\x4d\xa1\x55\x3a\xf6\x59\x4b\x81\x0d\x7c\x18", (void(*)(void *))&fexfn_unpack_libGL_glGenTextures}, // libGL:glGenTextures
  {(uint8_t*)"\x41\xa7\x40\x50\x54\x76\x32\x47\x2c\x8b\xb3\x5d\x42\x37\xed\xb8\xa0\x74\xc4\xc9\xe1\x3f\x07\xf6\x52\xd4\x6c\x9a\x83\x9e\x13\x87", (void(*)(void *))&fexfn_unpack_libGL_glGenTransformFeedbacks}, // libGL:glGenTransformFeedbacks
  {(uint8_t*)"\x9c\x44\xd5\xcf\xbd\xbf\xa0\x65\xe0\xd4\xd3\xaa\x40\x07\xcf\x90\xa0\xe2\xcc\xdb\xc8\x78\x66\xb8\x5e\xb0\x5c\x60\x9a\x0c\x66\x3f", (void(*)(void *))&fexfn_unpack_libGL_glGenTransformFeedbacksNV}, // libGL:glGenTransformFeedbacksNV
  {(uint8_t*)"\x15\xc2\x6a\x09\xde\xa0\x10\xe5\x97\x96\x4a\x36\xf3\x27\x6e\xd7\x41\xde\x32\xa9\x9c\x97\x7a\x96\xb2\xf3\x98\xd3\xa3\x03\xe3\x21", (void(*)(void *))&fexfn_unpack_libGL_glGenVertexArraysAPPLE}, // libGL:glGenVertexArraysAPPLE
  {(uint8_t*)"\xaf\xcf\xe7\xcf\xb1\x53\xbf\x2e\xc9\x6c\x47\xcf\x5f\xb1\x8a\xd3\x39\xa5\x71\x7d\xe2\x60\xc0\x9c\x5d\xbe\x49\x33\xcf\x1e\x8f\xb8", (void(*)(void *))&fexfn_unpack_libGL_glGenVertexArrays}, // libGL:glGenVertexArrays
  {(uint8_t*)"\x97\xb9\xc3\x23\xf2\xe1\x6b\xc5\xfe\xc4\x5b\x57\x53\xda\x72\x4b\xe8\x45\x93\x8c\x34\x11\x04\x15\xca\x35\x42\xe0\x1b\xb2\x5d\x3a", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveAtomicCounterBufferiv}, // libGL:glGetActiveAtomicCounterBufferiv
  {(uint8_t*)"\xb1\xc2\xa2\xeb\x35\x6e\x20\x51\xaf\x65\x49\xe4\x06\x21\x06\x83\x04\x43\x1a\x32\x14\x7d\x2b\x3d\xdc\x2e\x46\x67\x14\xca\xc6\x21", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveAttribARB}, // libGL:glGetActiveAttribARB
  {(uint8_t*)"\xb0\xf7\xfe\xa3\x5d\x96\x91\x40\xf2\xc4\x88\xd0\xdb\xd6\xc3\x84\x1c\xa4\xf9\x60\x48\xaf\xcd\x09\xa2\xcd\xb0\x1b\xbd\xab\x27\x69", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveAttrib}, // libGL:glGetActiveAttrib
  {(uint8_t*)"\xfb\x21\x91\x08\x5c\x81\xe1\x51\xe8\x68\xe2\xdb\xec\x36\xc2\xc2\x52\x02\xc7\xbe\x2a\xd6\x45\x6f\xe0\x98\x15\xf8\xaa\x4d\x1f\xc6", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveSubroutineName}, // libGL:glGetActiveSubroutineName
  {(uint8_t*)"\xdf\x5f\xa2\x68\xf7\x57\x43\x86\xd6\xa6\x03\xee\x1b\xcf\xc3\x20\xa5\x95\x99\x98\x91\xf4\x8f\x4b\x16\x98\x7a\x37\x20\xd2\x18\xa3", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveSubroutineUniformiv}, // libGL:glGetActiveSubroutineUniformiv
  {(uint8_t*)"\xee\x09\x7b\x02\xef\x74\x22\xd7\x0c\x2a\x2b\xbc\xc6\xed\x3b\xd6\x12\xb9\x49\xb0\x0f\x88\x22\x10\x42\xa1\x71\xbc\xac\xa8\x89\x05", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveSubroutineUniformName}, // libGL:glGetActiveSubroutineUniformName
  {(uint8_t*)"\x40\x58\x9a\xbb\x14\xf1\x1a\x9c\x2f\xaf\x52\xe6\xee\x84\x94\xcd\x69\x22\xec\xf6\xd7\x7b\x63\x2b\x2f\x31\xeb\xc1\x30\x00\xf4\xf6", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveUniformARB}, // libGL:glGetActiveUniformARB
  {(uint8_t*)"\x5e\x6c\xe4\x75\x3a\x3d\x92\x2c\x2d\x01\x8b\x46\x83\x81\xa0\x61\xc9\xe6\xb2\x2b\xc1\x69\x18\x50\x9c\x23\x24\x77\x81\x90\x51\x72", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveUniformBlockiv}, // libGL:glGetActiveUniformBlockiv
  {(uint8_t*)"\xcc\x62\x4d\x9f\x62\x31\x68\xd0\x29\xa1\x9f\xa7\x0e\x7a\xff\xcd\x94\xc4\x8f\xd6\x98\x38\x29\x96\xa0\x04\xcb\x2c\x08\x39\xef\x42", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveUniformBlockName}, // libGL:glGetActiveUniformBlockName
  {(uint8_t*)"\x7a\x0f\x95\x45\x09\x2b\x38\x02\x76\x70\x1b\x95\x1a\x2e\xc3\xef\xb3\x0b\xbb\xfe\x56\xbf\x90\xd6\xa1\x17\xf6\x81\x5a\xd8\xaa\xfa", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveUniform}, // libGL:glGetActiveUniform
  {(uint8_t*)"\xfc\xd3\xea\xfc\x0a\x9d\xd1\xe8\x4c\x6a\x50\x4b\xfa\xe9\x58\x46\xb0\xd2\xb2\xb7\xff\x52\x96\x34\x8a\xc4\x06\xc6\x5d\xdc\x73\xd2", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveUniformName}, // libGL:glGetActiveUniformName
  {(uint8_t*)"\x48\xe6\x3a\xc5\x53\x4d\x51\x68\x97\x77\x69\xfe\x52\x05\x2d\xc1\x50\x8f\x4b\xda\x0e\x1a\xac\xa2\xc8\xee\x92\xb3\xc8\x2b\x3f\xb7", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveUniformsiv}, // libGL:glGetActiveUniformsiv
  {(uint8_t*)"\xda\xe5\x7d\xf2\xb8\xc4\xb3\x71\x07\x5c\x0b\x5c\xac\x3b\x9f\x3f\x5e\x0a\xd1\x22\x34\x80\x21\x88\xb1\x34\x49\xf8\x1f\xff\xd4\x75", (void(*)(void *))&fexfn_unpack_libGL_glGetActiveVaryingNV}, // libGL:glGetActiveVaryingNV
  {(uint8_t*)"\x99\x1e\xb9\x32\x11\x7f\xc9\xc1\x70\xcb\x23\xed\x04\x22\x40\x0d\xb4\x15\x8e\xb5\x90\x00\x67\x7f\xde\xdf\x39\xc5\xa2\x4f\xba\x5e", (void(*)(void *))&fexfn_unpack_libGL_glGetArrayObjectfvATI}, // libGL:glGetArrayObjectfvATI
  {(uint8_t*)"\x89\x5c\x4c\x43\x8e\xda\x1c\xc6\x7f\xb1\x83\x96\xdb\xd2\x22\xc9\xe4\x42\xbe\x14\xef\x01\x21\x48\x05\xf4\x2e\xbd\x8b\xc1\xdb\x1b", (void(*)(void *))&fexfn_unpack_libGL_glGetArrayObjectivATI}, // libGL:glGetArrayObjectivATI
  {(uint8_t*)"\xd5\xef\x1a\xa3\x04\x97\xa2\xe0\x57\xad\x5d\x34\x7f\x58\x24\x1a\x59\xaa\x6b\x29\x45\x1c\x50\xec\x32\x0f\x85\x31\xc7\x8a\xc8\xc9", (void(*)(void *))&fexfn_unpack_libGL_glGetAttachedObjectsARB}, // libGL:glGetAttachedObjectsARB
  {(uint8_t*)"\xbe\x99\x54\x89\xf5\x4a\xeb\x2c\x52\xd6\x5f\xb1\xca\x43\x9b\x01\x33\xb1\x56\xd6\x8c\x61\xbf\x80\xff\x38\x52\xb5\x9d\xa0\x47\x39", (void(*)(void *))&fexfn_unpack_libGL_glGetAttachedShaders}, // libGL:glGetAttachedShaders
  {(uint8_t*)"\x3d\x61\xae\xe9\x27\x86\x04\x26\xc4\x0c\xe7\x8c\x9d\x26\xe9\x3f\x0d\x17\x55\x3d\xa5\xc6\x6e\xb6\x38\x92\x76\xe6\x70\x06\x97\x62", (void(*)(void *))&fexfn_unpack_libGL_glGetBooleanIndexedvEXT}, // libGL:glGetBooleanIndexedvEXT
  {(uint8_t*)"\xd7\x01\x69\x70\x7d\x96\xd8\xf9\xc9\x30\x93\xe8\x49\x90\x58\x50\x9e\x97\x2d\xc1\xcd\x18\xe5\xa1\x1c\xd3\x5c\x3d\xbf\xa1\x2e\x83", (void(*)(void *))&fexfn_unpack_libGL_glGetBooleani_v}, // libGL:glGetBooleani_v
  {(uint8_t*)"\xc6\x2b\xab\x7d\x2f\x2a\x1b\x7f\x50\x47\xad\xb8\xdd\x4f\x30\xeb\x94\x24\x20\xe1\x12\x0e\xe3\xde\x31\xb9\x1f\x48\x11\x33\x8b\x48", (void(*)(void *))&fexfn_unpack_libGL_glGetBooleanv}, // libGL:glGetBooleanv
  {(uint8_t*)"\xff\x62\xa4\x09\x56\x9b\x88\x5e\xbc\xc7\xea\x04\x65\xcd\x84\x66\xd9\x61\x85\xac\x42\x63\x24\xb0\x06\x13\x16\x89\x9b\xfa\x79\x83", (void(*)(void *))&fexfn_unpack_libGL_glGetBufferParameteri64v}, // libGL:glGetBufferParameteri64v
  {(uint8_t*)"\xea\xb0\xc4\xd5\x65\x02\x8e\x51\xa2\x52\x9f\x8a\x66\xb8\x6f\xf8\xa4\x92\x67\x5d\x68\x7e\x3e\xf7\x83\xed\x16\x88\x31\xc7\x8b\x0d", (void(*)(void *))&fexfn_unpack_libGL_glGetBufferParameterivARB}, // libGL:glGetBufferParameterivARB
  {(uint8_t*)"\x74\x17\x49\xbe\xbc\x4c\x88\xd7\x2a\x6b\x93\x24\xa4\xe1\x56\x5f\x09\x34\x1b\x13\x00\xf1\x63\x68\x58\x27\x1f\xfe\xa1\x66\xb6\x4e", (void(*)(void *))&fexfn_unpack_libGL_glGetBufferParameteriv}, // libGL:glGetBufferParameteriv
  {(uint8_t*)"\x86\xf4\xe4\xc7\xce\xf3\xc8\x47\x5e\xb8\x9a\x5d\x83\xa9\x72\xed\xf1\xb7\xc7\x7a\x47\x19\xe2\x43\xb1\x41\x1c\x1a\x34\x4f\xe1\x73", (void(*)(void *))&fexfn_unpack_libGL_glGetBufferParameterui64vNV}, // libGL:glGetBufferParameterui64vNV
  {(uint8_t*)"\x5a\x8d\x2f\x25\x81\x5f\x38\x08\x56\x4a\x4e\x31\xe7\xd1\xa7\xf4\x35\x28\x89\xb1\x41\xc2\xb7\x9a\xf2\x35\x30\x14\xba\x6b\x4e\xdb", (void(*)(void *))&fexfn_unpack_libGL_glGetBufferPointerv}, // libGL:glGetBufferPointerv
  {(uint8_t*)"\x2a\x5d\xb7\x19\x54\x97\xeb\x34\x89\x0e\xaf\x6f\x15\xf0\x31\x3f\xd8\x4c\x2e\x77\x44\x2c\x3c\x83\xc8\xdb\x2a\xfe\xc6\x14\xbf\x8b", (void(*)(void *))&fexfn_unpack_libGL_glGetBufferPointervARB}, // libGL:glGetBufferPointervARB
  {(uint8_t*)"\x3f\xb1\x60\x17\xc3\xc5\x59\x98\xe0\x20\x46\xcc\xff\x22\x2e\x51\x26\xb1\x69\x6a\x7d\xde\x66\xc7\x2d\xbd\x81\x6f\x75\xfa\xe5\x21", (void(*)(void *))&fexfn_unpack_libGL_glGetBufferSubDataARB}, // libGL:glGetBufferSubDataARB
  {(uint8_t*)"\x6b\xf7\xf4\xca\xda\xee\x27\x3b\xdc\x08\x18\xa8\xe6\x3f\x9d\xac\xd5\x48\x30\x31\x4c\xe2\xf3\x1e\x49\xd0\x4f\xf5\x82\xe6\x47\xf9", (void(*)(void *))&fexfn_unpack_libGL_glGetBufferSubData}, // libGL:glGetBufferSubData
  {(uint8_t*)"\x6f\x0b\xa3\x65\x4b\x7c\x31\x0e\x7e\x74\x64\x9f\x9c\xb6\x75\x42\x24\x33\xf5\xf5\x05\x0c\xb8\x05\x93\x7a\x31\x5c\xd5\xb9\x2f\x49", (void(*)(void *))&fexfn_unpack_libGL_glGetClipPlanefOES}, // libGL:glGetClipPlanefOES
  {(uint8_t*)"\xde\xba\x6c\xb4\x7c\xdd\x4c\xd1\x3b\x70\x3b\xd2\x58\x11\xd6\x53\x1d\xa7\x40\x9f\xb1\x56\x39\x9d\x55\xcb\xc8\x2b\x03\xcc\x6b\xd3", (void(*)(void *))&fexfn_unpack_libGL_glGetClipPlane}, // libGL:glGetClipPlane
  {(uint8_t*)"\x1b\x3e\xb5\x8e\xe6\xc0\xb1\xe7\xad\xbf\x5c\xac\x0c\x96\xda\x82\x2b\x10\x10\x45\x3b\x9f\x60\x20\x8c\xb9\x5b\x71\xe3\x3e\xd0\x13", (void(*)(void *))&fexfn_unpack_libGL_glGetClipPlanexOES}, // libGL:glGetClipPlanexOES
  {(uint8_t*)"\xa6\xb5\x3f\x65\xbd\x3e\x8e\x16\x48\xff\x20\xf0\x56\x11\xd1\x78\x91\xfa\x36\xe2\x39\xee\x18\xbe\xaf\x47\x28\x95\x9a\x3c\x9b\xbf", (void(*)(void *))&fexfn_unpack_libGL_glGetColorTableEXT}, // libGL:glGetColorTableEXT
  {(uint8_t*)"\xdf\x53\x3d\x09\x45\x3e\x2f\x8c\xa8\x29\x44\xf4\x51\x92\xb6\x16\xda\xbc\xd5\xe8\xf1\x55\x12\x83\x36\xae\x41\x6a\xd4\x81\xfa\x16", (void(*)(void *))&fexfn_unpack_libGL_glGetColorTable}, // libGL:glGetColorTable
  {(uint8_t*)"\xb2\x32\x73\xe3\xe9\x97\x3a\xa4\x65\xb6\xd7\xf2\xb6\xba\x42\xbc\x18\x51\x77\x03\x7b\x4f\xc4\x91\xfc\x1d\xd1\x5a\xa6\x9f\xf2\x25", (void(*)(void *))&fexfn_unpack_libGL_glGetColorTableParameterfvEXT}, // libGL:glGetColorTableParameterfvEXT
  {(uint8_t*)"\xc7\x3f\x76\x61\x31\x89\xac\x1a\x22\xe2\xa2\xf1\x2a\x16\x62\xd8\x6e\x30\x95\x00\x32\x56\x1c\xd2\x79\x38\x49\xc5\xc3\x63\xd1\xb9", (void(*)(void *))&fexfn_unpack_libGL_glGetColorTableParameterfv}, // libGL:glGetColorTableParameterfv
  {(uint8_t*)"\x62\xf2\xab\x76\xca\x01\xbe\x8e\xa8\xf2\x0f\xd7\x3e\xe2\xf7\xf7\x44\x2c\x45\x6f\xe2\xe7\x78\xe3\xcb\x7f\x8d\x49\x15\xa5\xdc\x42", (void(*)(void *))&fexfn_unpack_libGL_glGetColorTableParameterfvSGI}, // libGL:glGetColorTableParameterfvSGI
  {(uint8_t*)"\xa1\x44\x1b\xbc\xff\x85\xf6\x10\x5b\x25\xef\x82\xff\xcc\x1e\xb8\xbe\x69\x5a\xa9\xf7\x7f\x04\x1b\xfa\xa9\x6c\xdc\xd1\x84\xb2\x59", (void(*)(void *))&fexfn_unpack_libGL_glGetColorTableParameterivEXT}, // libGL:glGetColorTableParameterivEXT
  {(uint8_t*)"\x63\xb9\x11\xea\x4f\x48\x67\xa5\xce\x3c\x82\xd3\x11\x3f\x2b\x66\xd2\x14\x3e\x67\xac\x21\xfe\xf6\x34\xfa\x3c\x03\x02\xfe\x52\x5a", (void(*)(void *))&fexfn_unpack_libGL_glGetColorTableParameteriv}, // libGL:glGetColorTableParameteriv
  {(uint8_t*)"\x01\x8b\x4a\xb8\x06\xa9\x8d\x44\xe0\xba\xe1\x47\xa5\x67\x17\xd4\x3b\xe2\xa4\x10\x72\x5b\x55\x18\xf5\x67\xba\xad\xc5\x7a\x83\x69", (void(*)(void *))&fexfn_unpack_libGL_glGetColorTableParameterivSGI}, // libGL:glGetColorTableParameterivSGI
  {(uint8_t*)"\x47\xc3\xc5\x2a\x33\x07\xfb\xd5\x62\x89\x8b\xc9\x5a\x13\x2c\x6c\x26\x12\x4b\x41\x35\x89\x69\x6c\x57\x1b\xa0\x10\x99\x11\xf3\x07", (void(*)(void *))&fexfn_unpack_libGL_glGetColorTableSGI}, // libGL:glGetColorTableSGI
  {(uint8_t*)"\x61\x2f\x79\xfa\x9e\x7a\xe6\x20\xd7\x5b\x83\xe4\xe8\x75\x17\xe0\x93\x8e\xc7\xa2\xbd\x06\xaa\x3d\x24\xc0\x67\x7b\x1c\xa9\xb2\xaf", (void(*)(void *))&fexfn_unpack_libGL_glGetCombinerInputParameterfvNV}, // libGL:glGetCombinerInputParameterfvNV
  {(uint8_t*)"\x5a\x9f\xc6\x4f\xf8\xea\x6d\x85\xde\x22\x38\x67\x34\x37\x46\xa2\xfa\x9e\xb0\x46\xdd\xaa\x49\x82\x21\x5b\x8b\x49\x10\x99\xca\xbe", (void(*)(void *))&fexfn_unpack_libGL_glGetCombinerInputParameterivNV}, // libGL:glGetCombinerInputParameterivNV
  {(uint8_t*)"\x4b\x8f\xb1\x2c\x18\x99\xba\xf8\xaf\x88\x34\xa6\x5f\xe7\xdf\x61\x71\x0a\x41\xcb\xf7\x5e\x3b\x29\xf2\x01\x35\x7c\x38\x1a\x16\x8d", (void(*)(void *))&fexfn_unpack_libGL_glGetCombinerOutputParameterfvNV}, // libGL:glGetCombinerOutputParameterfvNV
  {(uint8_t*)"\xc6\xed\xba\x76\x13\x47\xa6\x63\xd8\x3c\x03\xfb\x88\x73\xe2\x55\x50\x74\x84\x29\x6d\x1b\xf5\xc2\x80\x2a\x8c\x70\xef\xcf\x60\xb4", (void(*)(void *))&fexfn_unpack_libGL_glGetCombinerOutputParameterivNV}, // libGL:glGetCombinerOutputParameterivNV
  {(uint8_t*)"\x7d\x91\x79\x22\x83\x7e\xf3\x9a\x67\x47\x16\xe1\x5b\xd5\xb0\x9e\xe8\x74\x5e\x43\x12\x83\x06\xf8\xc9\x34\x21\xe0\x75\xe5\x59\x05", (void(*)(void *))&fexfn_unpack_libGL_glGetCombinerStageParameterfvNV}, // libGL:glGetCombinerStageParameterfvNV
  {(uint8_t*)"\xce\x73\x77\x10\xa7\x54\xae\xd2\xdc\x43\xed\x9f\x27\xaf\x33\x92\x6a\x12\x56\xe6\xf9\x12\x27\xa7\xe5\x66\xaa\x22\xa8\x4a\x90\x7a", (void(*)(void *))&fexfn_unpack_libGL_glGetCompressedMultiTexImageEXT}, // libGL:glGetCompressedMultiTexImageEXT
  {(uint8_t*)"\xee\x86\xa7\xfe\x0f\x6d\xff\x16\x92\x1e\x75\x07\xc2\x1c\x9b\x86\x9f\xb0\xe1\x8c\x14\xa4\xae\x5c\x7e\x38\x6c\xc2\x55\xa6\x91\x31", (void(*)(void *))&fexfn_unpack_libGL_glGetCompressedTexImageARB}, // libGL:glGetCompressedTexImageARB
  {(uint8_t*)"\x55\x35\x05\x1d\x91\xe8\x19\x6b\x9d\x53\xbe\xd0\x14\xb5\xf4\x6d\xfa\x59\x19\x62\x01\x84\x48\xa9\x99\x15\x9e\x10\xda\xf9\xbb\x74", (void(*)(void *))&fexfn_unpack_libGL_glGetCompressedTexImage}, // libGL:glGetCompressedTexImage
  {(uint8_t*)"\x5a\x05\x01\xc5\xa5\xee\x80\x56\xf9\x7f\xa8\x58\x15\x9d\xa2\x3c\x6a\xe9\x2c\x4a\x69\xca\x6d\xe8\x10\xfb\xd9\xe9\x74\x26\xce\x2c", (void(*)(void *))&fexfn_unpack_libGL_glGetCompressedTextureImageEXT}, // libGL:glGetCompressedTextureImageEXT
  {(uint8_t*)"\x89\xa5\x5b\xf1\x2c\xbf\xcd\xad\x8c\x24\xaf\x3f\x5c\xf3\x4c\xd0\x90\x0a\x9c\xe5\xf4\xf0\xbe\xd5\x9a\x95\xd5\x02\xce\x4e\xa7\x08", (void(*)(void *))&fexfn_unpack_libGL_glGetCompressedTextureImage}, // libGL:glGetCompressedTextureImage
  {(uint8_t*)"\x43\xba\xec\x72\x8b\x96\x8f\x6d\x79\x31\xc5\xfb\x3d\xd6\x19\x72\x73\xa4\x51\x0e\x48\x82\xdd\x81\x7e\x95\x90\x16\x93\x01\xd8\x87", (void(*)(void *))&fexfn_unpack_libGL_glGetCompressedTextureSubImage}, // libGL:glGetCompressedTextureSubImage
  {(uint8_t*)"\x77\x47\x64\xcb\x95\x9e\xfd\x0e\x68\x4d\xcf\x8f\x3b\xf0\xc3\xed\x87\x88\x03\xa5\x10\x2b\x78\x3c\x83\xf0\x40\xed\xf3\xb6\xb8\x1b", (void(*)(void *))&fexfn_unpack_libGL_glGetConvolutionFilterEXT}, // libGL:glGetConvolutionFilterEXT
  {(uint8_t*)"\x17\x76\x54\x9d\x6e\x1d\x8b\xc2\xf5\x62\xd0\xcd\xb8\x73\x78\x84\x59\x8b\xd6\x44\xe7\x2b\x5f\x30\x0a\x63\x87\xa2\x0d\x75\xf2\xe5", (void(*)(void *))&fexfn_unpack_libGL_glGetConvolutionFilter}, // libGL:glGetConvolutionFilter
  {(uint8_t*)"\xcc\x8d\x9f\x10\x7b\x2c\xfc\x83\x47\xd4\x7a\xcb\xc6\xdc\x4c\xce\x45\xc9\x7c\x77\xee\x38\x8b\xa4\x4e\xeb\x20\x7a\x1a\x6d\xd4\x57", (void(*)(void *))&fexfn_unpack_libGL_glGetConvolutionParameterfvEXT}, // libGL:glGetConvolutionParameterfvEXT
  {(uint8_t*)"\xc3\x5a\x2f\x31\x2a\x5d\x35\x6a\x42\x06\xb1\x10\x2b\x23\xf4\xd4\x6d\x42\x3c\xb7\xd2\x06\x53\x72\x66\xad\xb3\x40\x27\x85\xf6\x2c", (void(*)(void *))&fexfn_unpack_libGL_glGetConvolutionParameterfv}, // libGL:glGetConvolutionParameterfv
  {(uint8_t*)"\xf8\x50\x67\xbc\x8f\xa4\x91\xd7\x83\xe3\x01\xac\xad\x48\xda\x32\xc4\xed\x76\x4a\x03\x9d\xaf\x0a\x93\xd5\x2a\xfe\x89\x1f\xb9\xc0", (void(*)(void *))&fexfn_unpack_libGL_glGetConvolutionParameterivEXT}, // libGL:glGetConvolutionParameterivEXT
  {(uint8_t*)"\x54\xf0\xaa\x7d\x7f\x0a\x2b\x92\x84\x64\x16\x2c\xd6\xda\xd8\xc9\xb7\x8c\x6b\xd7\x94\xeb\x07\x60\xd0\x73\x9c\x20\x69\xac\x0f\xb7", (void(*)(void *))&fexfn_unpack_libGL_glGetConvolutionParameteriv}, // libGL:glGetConvolutionParameteriv
  {(uint8_t*)"\x7d\x6d\x84\x0e\xef\xc7\xf6\x0f\x79\x0d\x7e\x99\x25\x7e\x1b\x0c\xdd\x94\x4e\x43\x8a\x3a\xbd\x00\x86\x01\xa7\x4d\x1c\x7e\x99\x04", (void(*)(void *))&fexfn_unpack_libGL_glGetConvolutionParameterxvOES}, // libGL:glGetConvolutionParameterxvOES
  {(uint8_t*)"\x93\x8b\x57\x58\xd3\x91\x53\xb2\xcb\x3e\x25\xc8\x80\x5b\x5b\x21\x5d\x4b\x6f\x5e\x24\x2e\x73\x77\x24\x43\x6c\xda\xe2\x81\xe1\x75", (void(*)(void *))&fexfn_unpack_libGL_glGetCoverageModulationTableNV}, // libGL:glGetCoverageModulationTableNV
  {(uint8_t*)"\xf4\xca\x9d\x2d\xfd\x75\x92\xa6\x1f\xf4\xcc\x3b\x50\x00\x66\x26\x21\x07\x88\xf5\x6b\xd7\x76\xa4\x4f\x9a\x09\x04\xef\xb2\xfe\x26", (void(*)(void *))&fexfn_unpack_libGL_glGetDetailTexFuncSGIS}, // libGL:glGetDetailTexFuncSGIS
  {(uint8_t*)"\x76\x07\x14\x87\x13\x03\xb4\x1c\xc7\x7b\x40\x4d\x95\x4a\xae\x21\xde\x81\x52\x69\xc9\x68\xb8\x0e\x50\x14\xf6\x54\xfc\x3f\x29\x65", (void(*)(void *))&fexfn_unpack_libGL_glGetDoubleIndexedvEXT}, // libGL:glGetDoubleIndexedvEXT
  {(uint8_t*)"\x86\x91\xed\x7a\xfa\xe1\x64\xfb\x98\x34\x32\xa1\xd9\x9f\x07\x39\x11\xb2\x14\xf7\x91\x4f\x1e\x26\x8d\x55\x2a\x4e\x81\xc6\x61\xdb", (void(*)(void *))&fexfn_unpack_libGL_glGetDoublei_vEXT}, // libGL:glGetDoublei_vEXT
  {(uint8_t*)"\x47\xfe\xda\xa4\xab\x77\x55\x1a\xcf\x7c\xd2\xa7\x1f\x34\x4b\x9a\x51\x16\x16\xfb\x5e\xfb\x74\xdf\xe5\x30\x2b\xdb\xce\x61\x50\x04", (void(*)(void *))&fexfn_unpack_libGL_glGetDoublei_v}, // libGL:glGetDoublei_v
  {(uint8_t*)"\xf6\x28\x32\x3e\x4d\x67\x7a\xd3\xb0\xe5\xed\x5d\x95\x94\xb9\x39\x7c\xbe\xaf\xfd\x93\x04\x75\x75\x18\x7a\x9f\x88\xbd\x19\x1f\x8f", (void(*)(void *))&fexfn_unpack_libGL_glGetDoublev}, // libGL:glGetDoublev
  {(uint8_t*)"\x01\x1c\xb1\x69\x07\xe8\xd1\xd6\xcc\x63\x29\xea\x14\x56\x70\xe4\xb4\x99\x0b\xca\xc2\x75\xb3\x50\x62\xb9\x42\xab\xa0\x88\x70\x86", (void(*)(void *))&fexfn_unpack_libGL_glGetFenceivNV}, // libGL:glGetFenceivNV
  {(uint8_t*)"\xa4\xcf\xe0\xb8\x91\xeb\xcb\x4f\xd9\x0c\x5d\x35\xcf\x41\x54\xbf\xc2\x25\x9d\x93\x0f\x18\x8c\x1e\x61\xd3\xa7\x98\x76\x7a\x80\x91", (void(*)(void *))&fexfn_unpack_libGL_glGetFinalCombinerInputParameterfvNV}, // libGL:glGetFinalCombinerInputParameterfvNV
  {(uint8_t*)"\x75\x9c\xdb\xbe\xd7\x1d\x80\x54\x8b\xd4\x40\x90\xf2\xc8\x89\xc9\xe0\x74\x3b\x56\x2b\xfc\x0b\x30\x9d\x29\xd4\xa6\xfb\x8f\x02\xd2", (void(*)(void *))&fexfn_unpack_libGL_glGetFinalCombinerInputParameterivNV}, // libGL:glGetFinalCombinerInputParameterivNV
  {(uint8_t*)"\xdc\x20\x26\x05\x05\x3f\x37\xe5\xae\xd9\xce\xa2\xbf\x60\x24\x0a\xfd\xc5\x9c\x88\x53\x7d\xfd\xe5\x8b\x3c\xb1\x8d\x4b\x55\x96\x82", (void(*)(void *))&fexfn_unpack_libGL_glGetFirstPerfQueryIdINTEL}, // libGL:glGetFirstPerfQueryIdINTEL
  {(uint8_t*)"\xd3\xcb\x12\x16\xd7\x0a\x4e\xa9\xf5\x37\xdf\x68\x4c\x5b\x4a\xa2\x8f\xe5\x4f\xcc\x28\x3b\x7b\x7a\x81\x14\x84\xc4\x1d\xf6\xff\xd2", (void(*)(void *))&fexfn_unpack_libGL_glGetFixedvOES}, // libGL:glGetFixedvOES
  {(uint8_t*)"\x79\x2b\xaf\x4a\x0a\x91\xb0\xe5\x96\xb0\xf5\xbc\x98\x74\x10\x8a\x8f\x81\x72\x7e\x8b\xc6\xd9\x4e\xae\xf9\xa9\xd5\x84\x64\x31\x9c", (void(*)(void *))&fexfn_unpack_libGL_glGetFloatIndexedvEXT}, // libGL:glGetFloatIndexedvEXT
  {(uint8_t*)"\x8b\x72\x22\x29\x42\x86\x6c\xc7\x75\xfe\x42\x19\x8b\xa8\x86\xc1\xf1\x73\x85\xac\xf6\xa2\xaa\xa2\x10\xe7\xdb\x90\x3f\x7c\x34\xe9", (void(*)(void *))&fexfn_unpack_libGL_glGetFloati_vEXT}, // libGL:glGetFloati_vEXT
  {(uint8_t*)"\x42\xbb\x39\x4a\xe5\x3e\x7a\x7e\x3f\x89\x4a\xff\x7e\x02\x32\x3c\xd2\x19\x9f\xfd\x30\x95\x0b\x94\x42\xee\x52\xe9\xc6\x1b\x9e\x7a", (void(*)(void *))&fexfn_unpack_libGL_glGetFloati_v}, // libGL:glGetFloati_v
  {(uint8_t*)"\x22\x4d\xac\x0d\x6f\x07\x1c\x46\xbe\xe4\x54\x40\x8a\x30\x03\xbf\x6b\x21\x9a\xd9\xff\x84\x73\xab\x0f\xdd\xfb\x12\x71\x54\x24\x48", (void(*)(void *))&fexfn_unpack_libGL_glGetFloatv}, // libGL:glGetFloatv
  {(uint8_t*)"\x5d\x33\xf5\x93\xd8\xf9\xc9\x80\x15\x8d\xb0\xc6\x8d\x25\x16\xf9\x2d\xab\x5a\x61\xc5\x19\x8f\xd6\x63\xb8\xc4\x82\x5f\x62\x57\xf7", (void(*)(void *))&fexfn_unpack_libGL_glGetFogFuncSGIS}, // libGL:glGetFogFuncSGIS
  {(uint8_t*)"\x68\xdd\x60\xb6\xff\xc0\xb2\xb1\x75\x73\x4d\x68\x4a\xd1\x91\x02\xf5\x0e\x22\xb4\x13\xc3\x51\xbc\x05\x99\xed\x81\x2a\x99\xea\x52", (void(*)(void *))&fexfn_unpack_libGL_glGetFragmentLightfvSGIX}, // libGL:glGetFragmentLightfvSGIX
  {(uint8_t*)"\xdf\x02\x40\x8f\xde\x3c\xf3\x52\x56\x36\x62\x15\xae\xf1\x21\x50\xf9\x3e\xbe\x2e\x82\x7f\x30\x40\xab\x67\x14\x08\xf3\x0e\x61\xb7", (void(*)(void *))&fexfn_unpack_libGL_glGetFragmentLightivSGIX}, // libGL:glGetFragmentLightivSGIX
  {(uint8_t*)"\x03\x83\x75\x05\xe7\xef\x0c\x86\x2f\xbd\x83\x10\x6f\x3f\x3c\xfe\x10\x5d\xa0\xfd\xa2\x1d\xb4\x05\x15\x1e\x05\xc7\xdf\xc5\x57\xce", (void(*)(void *))&fexfn_unpack_libGL_glGetFragmentMaterialfvSGIX}, // libGL:glGetFragmentMaterialfvSGIX
  {(uint8_t*)"\x52\x01\x5c\xd1\x82\x8d\x4c\x65\x77\x92\xdc\xcd\xff\xf4\xfd\xaf\x94\x10\x14\xe0\xa8\x5e\xbe\xf5\x97\x81\xed\xa9\xe1\xb0\x6c\xc7", (void(*)(void *))&fexfn_unpack_libGL_glGetFragmentMaterialivSGIX}, // libGL:glGetFragmentMaterialivSGIX
  {(uint8_t*)"\x17\x78\x53\x95\xe2\x5e\x32\x10\x85\xcc\x27\x3f\x95\x0b\xc1\x16\x47\x6f\xee\xf6\x5b\xea\xe2\xe9\x5c\x42\xf7\xc8\xd2\x55\xae\x0a", (void(*)(void *))&fexfn_unpack_libGL_glGetFramebufferAttachmentParameterivEXT}, // libGL:glGetFramebufferAttachmentParameterivEXT
  {(uint8_t*)"\x41\xa7\x67\x10\x20\xb2\x61\xcf\x00\xbb\x01\xfe\xfa\xb2\xe7\xdf\x00\xdc\xc4\xdb\xaf\x52\x48\x56\x76\x69\xdd\x10\x3b\xbb\x22\x96", (void(*)(void *))&fexfn_unpack_libGL_glGetFramebufferAttachmentParameteriv}, // libGL:glGetFramebufferAttachmentParameteriv
  {(uint8_t*)"\xdb\xb1\x08\xbd\xe3\x00\x35\x74\x29\xf8\x0a\x73\x61\x82\x5b\x3c\xc7\x3b\x44\x4e\xe9\x97\x21\x2c\x86\x10\x6b\x8f\xeb\x32\xea\x25", (void(*)(void *))&fexfn_unpack_libGL_glGetFramebufferParameterfvAMD}, // libGL:glGetFramebufferParameterfvAMD
  {(uint8_t*)"\x6b\x0e\x50\x37\xab\x0d\x93\x64\xde\x2f\x51\x92\x9a\x89\x98\xc1\x28\x6f\x11\xb1\x34\x3d\xb1\xe3\x16\xfd\x1b\x75\x79\x7a\xae\xca", (void(*)(void *))&fexfn_unpack_libGL_glGetFramebufferParameterivEXT}, // libGL:glGetFramebufferParameterivEXT
  {(uint8_t*)"\x21\xa3\x7c\xb2\x4e\x1c\x84\x86\x60\xe3\x2b\xd6\x39\x5d\x5f\x57\x69\x4c\x6b\x7b\x52\xf8\xf6\x47\x25\x5e\x89\x1b\xa1\x5b\x8e\xa4", (void(*)(void *))&fexfn_unpack_libGL_glGetFramebufferParameteriv}, // libGL:glGetFramebufferParameteriv
  {(uint8_t*)"\x1d\x4b\xd7\xad\xc8\x74\x4d\x29\x86\x1c\xa2\x61\xfe\x5f\xda\xe7\x09\xf8\x14\x19\x8d\xaf\x62\x69\x9c\x56\xde\x17\x47\x55\xd1\xa1", (void(*)(void *))&fexfn_unpack_libGL_glGetFramebufferParameterivMESA}, // libGL:glGetFramebufferParameterivMESA
  {(uint8_t*)"\x35\x05\x55\x98\x18\x34\xfb\xad\x03\x45\x2e\xcf\x3c\xc9\xae\xde\x01\x0b\x6a\x8b\xf0\xe3\xf5\x8f\x08\xb9\x74\x6b\xf5\xb1\x90\x9b", (void(*)(void *))&fexfn_unpack_libGL_glGetHistogramEXT}, // libGL:glGetHistogramEXT
  {(uint8_t*)"\x14\x17\x8c\x99\x9c\x3a\x3e\x3d\x15\x36\xe4\x44\x4a\x22\xe1\x38\x84\xd9\xea\x7a\x43\x34\xae\xa4\xd9\x9e\x5d\x50\xc2\x25\x45\xe7", (void(*)(void *))&fexfn_unpack_libGL_glGetHistogram}, // libGL:glGetHistogram
  {(uint8_t*)"\x71\xa2\xb1\xf2\xe8\xef\x60\x99\x8c\x73\x77\x8c\x97\x3b\x5b\x1f\xed\xbc\x36\x56\x1d\x84\xb9\xfb\xeb\x54\x47\x70\x30\x98\x1e\x11", (void(*)(void *))&fexfn_unpack_libGL_glGetHistogramParameterfvEXT}, // libGL:glGetHistogramParameterfvEXT
  {(uint8_t*)"\xc3\xea\xde\xae\xf1\xe9\xc1\xd6\x71\x41\x03\x70\xc1\xa6\x3f\x64\x53\x03\x82\x0e\x04\xfe\x7d\x32\x09\x62\x56\x5a\x53\xbd\xd8\xb4", (void(*)(void *))&fexfn_unpack_libGL_glGetHistogramParameterfv}, // libGL:glGetHistogramParameterfv
  {(uint8_t*)"\xea\xf2\x2d\xe2\x70\xe3\x87\x47\xd2\x58\xeb\xc9\xa6\xe6\x27\xef\xa6\x61\x3c\x93\xf7\x21\xa4\x89\x51\xa6\x53\x35\x8f\xa0\x54\x8f", (void(*)(void *))&fexfn_unpack_libGL_glGetHistogramParameterivEXT}, // libGL:glGetHistogramParameterivEXT
  {(uint8_t*)"\x36\xcd\xe5\xc6\x4b\x5f\x1b\x8f\x5a\x22\x1a\x35\x1e\x20\x99\x4c\xda\x67\x7e\x84\x9c\x6c\x43\x35\xba\x62\x28\x9b\x50\x13\x0d\x54", (void(*)(void *))&fexfn_unpack_libGL_glGetHistogramParameteriv}, // libGL:glGetHistogramParameteriv
  {(uint8_t*)"\x73\xb1\x30\x9d\xc5\x00\xef\xa9\xaa\xea\x9f\x9d\x10\x02\x95\xf9\x39\x1e\x05\x4b\x8b\x71\x94\x60\x09\x6f\x3e\x01\x91\x6f\x41\xd4", (void(*)(void *))&fexfn_unpack_libGL_glGetHistogramParameterxvOES}, // libGL:glGetHistogramParameterxvOES
  {(uint8_t*)"\x8b\x3c\x26\xe7\x48\x09\xe0\xd2\xaa\xdc\xd2\x61\xc2\x0c\xfa\xa3\x03\xb9\x3f\xfb\xf1\xef\x49\x8d\x9f\x4a\x2a\xed\x5b\x61\xa4\xfd", (void(*)(void *))&fexfn_unpack_libGL_glGetImageTransformParameterfvHP}, // libGL:glGetImageTransformParameterfvHP
  {(uint8_t*)"\xc5\x4b\x24\x68\x70\x1f\x24\x8d\xb1\x12\x57\xeb\xef\x6e\xe1\x78\xea\x9f\x0e\x40\x69\x61\x3a\x49\x02\x45\xcc\x5b\x93\x15\x05\x76", (void(*)(void *))&fexfn_unpack_libGL_glGetImageTransformParameterivHP}, // libGL:glGetImageTransformParameterivHP
  {(uint8_t*)"\x76\x23\xe9\x71\xe2\xcb\xdb\x8e\xc2\xfb\x87\x43\x3f\x3a\x30\xf3\x34\x7f\xc2\x18\xa7\xc3\x9b\x8b\x8b\x94\x33\x1e\x15\xf3\x59\x19", (void(*)(void *))&fexfn_unpack_libGL_glGetInfoLogARB}, // libGL:glGetInfoLogARB
  {(uint8_t*)"\xe1\xfb\xd6\x61\xd5\xcb\xa2\xb6\x39\x8f\xa0\xa0\xaa\x1a\xc2\x77\xc0\x2b\x54\xd3\x87\x78\xae\xa6\xd5\xcb\x76\x98\x2a\xa6\xed\xd3", (void(*)(void *))&fexfn_unpack_libGL_glGetInteger64i_v}, // libGL:glGetInteger64i_v
  {(uint8_t*)"\x71\x8b\x33\x3e\x01\x73\x39\x49\xc8\x82\x01\x4b\x04\xff\xd9\x2d\x07\x0e\x90\x66\x12\xaa\x5b\x8b\xe6\x67\x29\xfe\xa2\x98\xf5\x0a", (void(*)(void *))&fexfn_unpack_libGL_glGetInteger64v}, // libGL:glGetInteger64v
  {(uint8_t*)"\xb3\xa5\x89\x8c\xf2\xd3\xfa\xf5\xf1\xca\x4c\x88\x5a\xea\xe8\xad\x33\x22\xb7\x4d\x6e\x71\xdc\x99\xa5\x6f\x9b\x16\x86\x3b\x50\x4b", (void(*)(void *))&fexfn_unpack_libGL_glGetIntegerIndexedvEXT}, // libGL:glGetIntegerIndexedvEXT
  {(uint8_t*)"\x1a\x78\x71\x07\x2d\x74\x71\x82\xdd\x35\x29\x56\xed\xd0\xef\x29\xb5\x22\x85\xdf\xd2\xd4\xac\x67\x11\x6f\x3e\x5f\x92\x6e\xae\x95", (void(*)(void *))&fexfn_unpack_libGL_glGetIntegeri_v}, // libGL:glGetIntegeri_v
  {(uint8_t*)"\x10\x68\xf6\xbd\x82\x62\xdf\x9c\x4f\x8b\x8a\x48\x7e\x93\x5e\x3c\x8a\xea\xd7\xfd\x17\x64\x90\x4d\x1f\x58\xc0\xe3\x5c\x23\x6a\xbb", (void(*)(void *))&fexfn_unpack_libGL_glGetIntegerui64i_vNV}, // libGL:glGetIntegerui64i_vNV
  {(uint8_t*)"\xa4\x01\x33\x77\x02\x92\x84\xe8\xe4\x44\xcc\x89\xc8\xea\x54\x78\x82\x2a\x56\x27\x44\x7e\x53\x3f\x0a\x9e\xdc\xfc\x22\xa7\xd2\xd9", (void(*)(void *))&fexfn_unpack_libGL_glGetIntegerui64vNV}, // libGL:glGetIntegerui64vNV
  {(uint8_t*)"\xba\x1f\xb8\xc6\xa1\x35\xf5\xf3\xc7\x06\x03\x02\xd8\x37\x52\xbc\x37\xe7\x46\x95\x6d\x55\x02\x2c\x3a\x2c\x7b\xe0\x72\x9b\x41\xb4", (void(*)(void *))&fexfn_unpack_libGL_glGetIntegerv}, // libGL:glGetIntegerv
  {(uint8_t*)"\xbe\x3a\x26\x99\x0b\x2d\x13\x4e\xad\xbf\x9c\x9e\x5c\xeb\x18\x35\x8d\x3d\xef\xd9\x16\x3b\x68\x41\xff\xf5\xbc\x4c\xe2\x7b\x2c\x41", (void(*)(void *))&fexfn_unpack_libGL_glGetInternalformati64v}, // libGL:glGetInternalformati64v
  {(uint8_t*)"\xc2\x20\x74\xad\x88\xc4\xf9\x37\xe4\xc6\x74\xab\x91\x37\x7f\xe6\x8d\x92\xb2\x6d\x64\x0f\x7f\xa6\x22\xf6\x5d\x7a\x58\xa1\xdc\x0b", (void(*)(void *))&fexfn_unpack_libGL_glGetInternalformativ}, // libGL:glGetInternalformativ
  {(uint8_t*)"\xab\x58\x78\x7b\xd1\x43\x58\x25\xf5\x69\x08\x22\x9f\xb4\x95\xe8\x32\x7d\xf9\x35\x43\xfa\x8c\x29\xb5\xfc\x99\x3e\xbb\xbc\xe7\xe0", (void(*)(void *))&fexfn_unpack_libGL_glGetInternalformatSampleivNV}, // libGL:glGetInternalformatSampleivNV
  {(uint8_t*)"\x5c\x89\x69\xa2\xd2\x6c\x75\xf8\xa1\x8a\xa0\x88\x4b\xeb\x93\x1a\x13\x7f\x6a\x60\x1c\x6d\x01\x18\x07\xe0\xd3\x29\x84\x2c\x88\x0c", (void(*)(void *))&fexfn_unpack_libGL_glGetInvariantBooleanvEXT}, // libGL:glGetInvariantBooleanvEXT
  {(uint8_t*)"\xde\x3d\x27\xa8\x9b\xa8\x44\xe3\xdf\x02\x45\xa9\x0f\xed\xda\x39\x1a\xd7\x30\xeb\xd7\x5a\x4e\x65\x5e\x1b\xc3\x2e\x15\x57\x4a\xa1", (void(*)(void *))&fexfn_unpack_libGL_glGetInvariantFloatvEXT}, // libGL:glGetInvariantFloatvEXT
  {(uint8_t*)"\xbf\x8f\xc5\xc4\x07\x00\x9d\x6b\x11\xa6\x13\x01\x95\xe3\x2b\x8c\xf5\x3e\x10\x8c\xd8\x86\xcb\x68\xd5\xdf\x7a\x62\xd0\xac\x44\xec", (void(*)(void *))&fexfn_unpack_libGL_glGetInvariantIntegervEXT}, // libGL:glGetInvariantIntegervEXT
  {(uint8_t*)"\xc6\xc7\xce\x79\x42\x82\x57\x12\x10\x42\xb8\xe4\x24\x24\x02\x6e\x6d\x6d\xd1\x11\x54\xa2\x49\xa2\x4c\x82\x65\xd6\xe9\x1d\x58\x63", (void(*)(void *))&fexfn_unpack_libGL_glGetLightfv}, // libGL:glGetLightfv
  {(uint8_t*)"\x41\x73\xac\xf7\xeb\x8b\xd8\xf3\x95\x67\xd7\xc3\xfc\x02\xa7\x44\x3a\x4e\x96\x58\x55\x1c\x9d\xfe\xb8\xbc\x5a\x9a\xc7\x02\x20\x7c", (void(*)(void *))&fexfn_unpack_libGL_glGetLightiv}, // libGL:glGetLightiv
  {(uint8_t*)"\x1e\x61\x69\x52\xda\x68\xc2\x87\x3a\x84\x9a\x93\x01\xf4\xca\x04\xec\x2f\x60\xc8\xe1\x94\x16\x1e\x62\x81\x41\x61\xe2\xb3\x53\x18", (void(*)(void *))&fexfn_unpack_libGL_glGetLightxOES}, // libGL:glGetLightxOES
  {(uint8_t*)"\x53\xd9\xac\xee\xaa\xe8\xb7\xd4\x90\x4d\x97\x20\x36\xd8\x8d\x54\x4b\x06\xc1\x26\xfb\x71\x15\x9f\x70\xb9\x1e\x39\x7c\x21\x18\xc1", (void(*)(void *))&fexfn_unpack_libGL_glGetListParameterfvSGIX}, // libGL:glGetListParameterfvSGIX
  {(uint8_t*)"\xd6\xca\x7e\x83\x73\xe0\x74\x83\x05\x6c\xb4\x16\xa3\x4d\xf6\xfa\xb8\x28\xa9\x30\xad\xa1\xab\xd9\x8b\xcf\x5d\xaa\x4f\x82\xb2\x6f", (void(*)(void *))&fexfn_unpack_libGL_glGetListParameterivSGIX}, // libGL:glGetListParameterivSGIX
  {(uint8_t*)"\xf0\xc1\xa5\x6f\x8b\x17\x35\x87\xed\x84\xe1\xcc\x2f\xc4\xf3\xba\x9d\xa6\x02\xe0\x35\x7e\x9b\x1f\x9d\x82\x10\xae\xac\xd0\xf1\x9a", (void(*)(void *))&fexfn_unpack_libGL_glGetLocalConstantBooleanvEXT}, // libGL:glGetLocalConstantBooleanvEXT
  {(uint8_t*)"\xc6\x8b\x38\xa6\xdb\x10\xd4\x31\xfb\x17\x7a\xdc\x7f\xdb\x84\xd0\xc7\x3b\x3d\xba\x38\x7b\xbc\xff\x5a\x0c\x3e\x13\xba\xc5\x75\x91", (void(*)(void *))&fexfn_unpack_libGL_glGetLocalConstantFloatvEXT}, // libGL:glGetLocalConstantFloatvEXT
  {(uint8_t*)"\x34\x24\xb7\x8d\x8e\x15\x4b\xf0\x70\x7b\x7d\x57\xf5\xd9\x25\xcf\x01\x69\xb8\x51\x85\x4c\xa7\xbd\xbd\xd2\x72\xf5\xb8\x73\x40\xe1", (void(*)(void *))&fexfn_unpack_libGL_glGetLocalConstantIntegervEXT}, // libGL:glGetLocalConstantIntegervEXT
  {(uint8_t*)"\x5f\xf2\xcf\xc6\x87\x26\x8c\xe2\x63\x27\xd6\x3c\x3a\xbd\xb6\xcc\x88\x85\xde\x7f\xf5\x0f\xe1\xff\x32\x6b\xd1\x3c\xf9\x66\xa0\x9a", (void(*)(void *))&fexfn_unpack_libGL_glGetMapAttribParameterfvNV}, // libGL:glGetMapAttribParameterfvNV
  {(uint8_t*)"\x19\xb6\x83\xf8\x9f\xc0\xba\x22\x33\x48\x95\xa2\x98\x0a\x4f\x41\xb3\x75\xe0\x78\xf3\x11\x72\xdd\x56\xec\x68\xc7\x2c\xa6\x25\xa9", (void(*)(void *))&fexfn_unpack_libGL_glGetMapAttribParameterivNV}, // libGL:glGetMapAttribParameterivNV
  {(uint8_t*)"\x81\xba\x58\xaf\x93\xc2\x7c\x8c\xba\x47\x2c\x78\x90\xcb\xa0\x4f\x8f\x8f\xb5\x08\x2a\x60\x54\x5e\xa5\xfd\x0b\xbe\xe9\x72\x98\x2d", (void(*)(void *))&fexfn_unpack_libGL_glGetMapControlPointsNV}, // libGL:glGetMapControlPointsNV
  {(uint8_t*)"\xbc\x03\x6a\x6d\xd2\x36\xda\x2e\x7c\x32\xab\x93\x4f\x0b\x76\x3b\xe6\x31\x4e\x3c\xdb\x93\x8a\xb6\xd3\x9f\x39\x39\xaf\x25\x7b\xec", (void(*)(void *))&fexfn_unpack_libGL_glGetMapdv}, // libGL:glGetMapdv
  {(uint8_t*)"\x6a\xbe\x1e\xa9\x23\xe0\xad\x43\xe5\x45\x9e\xb8\x6d\xf1\x8a\xb6\xbd\x30\x99\x17\x70\x06\x35\x7d\xd6\x2e\x24\xd3\xab\x0d\x56\xac", (void(*)(void *))&fexfn_unpack_libGL_glGetMapfv}, // libGL:glGetMapfv
  {(uint8_t*)"\x19\x9a\x22\xc0\x7a\x8a\x18\x84\x19\x79\xeb\x7e\x7a\x77\x5a\x1a\x13\xa9\xa5\x72\x33\xbf\x32\x10\x73\x71\x7b\x9d\x06\x77\xbc\x85", (void(*)(void *))&fexfn_unpack_libGL_glGetMapiv}, // libGL:glGetMapiv
  {(uint8_t*)"\xc0\x2f\xc2\x5e\xe7\x6e\x53\xa9\x22\x8a\x48\x10\x1e\x52\x05\xbd\x3f\x79\xf9\x24\x49\x5b\xfb\x04\x17\x1e\x7b\xd8\xc5\xc9\x66\x86", (void(*)(void *))&fexfn_unpack_libGL_glGetMapParameterfvNV}, // libGL:glGetMapParameterfvNV
  {(uint8_t*)"\x0b\xf2\xe2\x3b\x2a\xd1\xc9\x9e\x67\x1c\xf3\xa7\x0f\xc3\xb0\x4f\xce\xef\x1d\x98\xce\xb2\xb3\x7f\x36\xbd\x38\x50\x0e\xe5\xf9\x0d", (void(*)(void *))&fexfn_unpack_libGL_glGetMapParameterivNV}, // libGL:glGetMapParameterivNV
  {(uint8_t*)"\xb5\x48\xf9\xb8\x00\xbd\x16\xb0\x5a\xb0\x60\x12\xa3\xf9\x0e\x84\x12\xce\x4f\xa9\xfc\xb2\x27\x27\x51\x46\xf8\x31\x60\x3e\xc2\x03", (void(*)(void *))&fexfn_unpack_libGL_glGetMapxvOES}, // libGL:glGetMapxvOES
  {(uint8_t*)"\x64\x18\xcd\xec\xd2\x95\x5d\x9a\xc1\x99\x23\x35\x3c\x48\xa0\xa0\x1d\x39\xd9\x7d\x9f\xcf\xe7\x31\x46\xba\xe3\x68\x1c\x84\x09\x70", (void(*)(void *))&fexfn_unpack_libGL_glGetMaterialfv}, // libGL:glGetMaterialfv
  {(uint8_t*)"\x67\x1f\xdd\x42\x1d\x35\x94\x5b\xfe\x82\x77\x35\x82\xce\xb5\xbe\x64\xe9\xf4\x98\x71\xe9\x77\x2d\x32\xde\x48\xe1\xba\xd5\xd7\x84", (void(*)(void *))&fexfn_unpack_libGL_glGetMaterialiv}, // libGL:glGetMaterialiv
  {(uint8_t*)"\x06\x11\x78\x16\x75\xdd\x2f\x69\xfe\x8e\xfe\x49\xf0\xfc\x8a\x7b\xfd\x8d\x0b\x3a\xbf\x91\x4b\x23\x55\xe2\xaf\x29\x64\xe9\xf1\x0a", (void(*)(void *))&fexfn_unpack_libGL_glGetMaterialxOES}, // libGL:glGetMaterialxOES
  {(uint8_t*)"\x2b\x2b\x83\x2e\xa4\x9d\x9f\x1e\x70\x27\xc5\xcd\x7d\x7d\xaf\x66\xc9\x3f\xae\xa4\xd3\xbd\x87\x0a\x3f\xca\x7e\x08\xb2\x33\x4b\xfe", (void(*)(void *))&fexfn_unpack_libGL_glGetMemoryObjectDetachedResourcesuivNV}, // libGL:glGetMemoryObjectDetachedResourcesuivNV
  {(uint8_t*)"\x20\x36\xe8\x82\xbb\xf2\x04\xb6\xec\xf2\x5e\x4a\x55\x05\x75\x97\xe3\xe9\x28\xd3\xf0\x26\x6c\xd5\x85\x4e\x97\x20\x0b\x57\xd2\x70", (void(*)(void *))&fexfn_unpack_libGL_glGetMemoryObjectParameterivEXT}, // libGL:glGetMemoryObjectParameterivEXT
  {(uint8_t*)"\x3e\x02\x18\xc3\x78\x28\x56\xc4\x9c\x2f\x61\x9a\x71\xb1\xa8\xa8\xfd\xcd\xeb\xd3\x60\x49\x7e\x78\x03\x5c\x5a\x0c\x61\x14\xa7\x3c", (void(*)(void *))&fexfn_unpack_libGL_glGetMinmaxEXT}, // libGL:glGetMinmaxEXT
  {(uint8_t*)"\x3e\x43\xc5\x32\xf4\xd2\x77\xd8\xcc\x85\xab\xe9\xfd\x62\xee\x71\x00\xbf\xaa\x2f\xc9\x77\x4d\x70\x9c\x2f\x78\x6f\xf3\x59\xcd\x22", (void(*)(void *))&fexfn_unpack_libGL_glGetMinmax}, // libGL:glGetMinmax
  {(uint8_t*)"\xda\x82\x8c\x82\x03\xb4\x40\x84\xc5\xf8\xc2\x65\xfd\x63\xdb\xd8\x87\x2f\x6a\x21\xd1\xce\x23\x96\xdf\xc6\x9f\xbd\x2d\x51\xe1\x1d", (void(*)(void *))&fexfn_unpack_libGL_glGetMinmaxParameterfvEXT}, // libGL:glGetMinmaxParameterfvEXT
  {(uint8_t*)"\xfa\xee\xf7\x4e\x93\x91\xe8\x2d\x50\xe1\xa3\x51\xdb\x57\x4a\x43\x16\x27\xe7\xaf\xb9\x48\x5e\x38\x9a\x9c\x98\x43\xaa\xae\xd5\x17", (void(*)(void *))&fexfn_unpack_libGL_glGetMinmaxParameterfv}, // libGL:glGetMinmaxParameterfv
  {(uint8_t*)"\xc0\x2b\xee\xcf\x5c\xe9\xc4\x11\x67\xff\xb1\x41\x96\x2e\xc6\x3b\xde\x46\x69\xbb\xb7\x27\x60\xe7\xb8\x5b\x93\x94\xad\x18\x2f\xc7", (void(*)(void *))&fexfn_unpack_libGL_glGetMinmaxParameterivEXT}, // libGL:glGetMinmaxParameterivEXT
  {(uint8_t*)"\xc0\x79\xd3\xb5\xe8\x6f\x89\xec\x65\x6a\x61\xaa\xf7\x36\x33\x60\xd7\x95\x9d\x2d\x85\x05\xf3\xec\x24\xfd\xbc\xfa\x17\xd7\xd5\x6b", (void(*)(void *))&fexfn_unpack_libGL_glGetMinmaxParameteriv}, // libGL:glGetMinmaxParameteriv
  {(uint8_t*)"\x8c\x31\x8c\xff\x3e\xab\xa1\xb9\xe0\x95\x1e\xc6\x4e\xa4\x50\x1e\x0b\xa9\x76\x7c\x50\x48\xa6\xca\xd3\xc0\xb6\x15\x1d\x5a\x13\x9f", (void(*)(void *))&fexfn_unpack_libGL_glGetMultisamplefv}, // libGL:glGetMultisamplefv
  {(uint8_t*)"\x4b\x60\xad\xce\x76\xd6\xa0\x82\x97\x47\x2b\x04\x78\x79\xaf\x01\x55\x93\xb6\x10\x19\xde\xed\x7f\xeb\x90\x53\x19\xd2\xdd\x3c\xe9", (void(*)(void *))&fexfn_unpack_libGL_glGetMultisamplefvNV}, // libGL:glGetMultisamplefvNV
  {(uint8_t*)"\x44\x8a\x24\x74\x57\x87\xfa\xcc\xcf\x1c\x77\x87\x05\xb9\x09\xd3\x39\x9a\xb9\x17\x1b\x06\x52\xf7\x02\x4f\xd1\x9f\x92\xf9\xe7\x95", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexEnvfvEXT}, // libGL:glGetMultiTexEnvfvEXT
  {(uint8_t*)"\x20\x1c\xff\xdf\x56\x31\x63\x55\x7d\x6b\xd2\x35\x3c\x38\xee\x05\x54\x23\xe5\x43\xbf\x05\x97\x09\x84\x49\x5e\xe0\x2f\x18\x7a\xfb", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexEnvivEXT}, // libGL:glGetMultiTexEnvivEXT
  {(uint8_t*)"\x8d\x26\xf0\xf2\x8c\xc1\x77\x49\x69\x94\xd6\x89\xf7\xb8\x0e\xf2\xd4\x9f\x3b\x5f\x9e\x18\xf2\x58\xe7\x72\xe2\xf9\xe6\x72\x16\x4a", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexGendvEXT}, // libGL:glGetMultiTexGendvEXT
  {(uint8_t*)"\x95\x03\x31\xdc\x00\x4a\xfb\x57\xcd\x9e\xc9\x18\x4f\x47\xc4\xc1\x7a\xc7\x39\xcf\x38\x79\xa8\xc9\xbe\xb3\xe5\xe6\xa1\x06\xb9\xb1", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexGenfvEXT}, // libGL:glGetMultiTexGenfvEXT
  {(uint8_t*)"\x4f\xb3\xbd\x3d\xaa\xd3\xd5\xa7\xa2\xc3\x7d\x22\x0e\x36\xd8\x06\xfc\xed\x68\x0b\xfe\xca\x4a\x08\x4a\x2a\x8a\xa4\x8d\x27\x6f\x0f", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexGenivEXT}, // libGL:glGetMultiTexGenivEXT
  {(uint8_t*)"\xe0\x4d\x12\x99\x3b\x84\xf4\xee\xcf\xd9\x6d\x9d\xec\x17\x49\x67\xa3\xf9\xbb\xac\x10\xc5\x00\x7b\x78\x02\x0d\xff\x78\x37\x20\x74", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexImageEXT}, // libGL:glGetMultiTexImageEXT
  {(uint8_t*)"\x34\x38\x7d\xc1\x25\xc1\x82\x69\x91\x19\x28\x02\xb9\xad\x70\x5a\x40\xdb\xa2\xf0\xa9\x4d\xbe\x3d\xf2\x31\x9b\x90\x7b\x68\xc4\xf7", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexLevelParameterfvEXT}, // libGL:glGetMultiTexLevelParameterfvEXT
  {(uint8_t*)"\x97\x53\x9d\xcd\x58\x58\x5c\x23\x03\x01\x98\x2a\x58\xcd\x01\x26\x58\x1a\x01\xc2\x11\x15\xa3\x66\x51\x17\x4a\x25\x66\xc8\x73\xa4", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexLevelParameterivEXT}, // libGL:glGetMultiTexLevelParameterivEXT
  {(uint8_t*)"\xda\xf9\x55\x02\xc3\xe8\x25\x66\x02\x45\x63\x13\x28\xf7\xa7\x7f\xf9\xf2\xbc\x75\x44\x64\xc7\x01\x17\x42\x3e\x98\x37\xcb\xfb\x5c", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexParameterfvEXT}, // libGL:glGetMultiTexParameterfvEXT
  {(uint8_t*)"\x6c\x76\x18\xde\x08\x05\x4b\x17\xe2\xcb\x83\xc6\xb2\x0e\x48\xd4\x5c\x32\xd2\x25\x65\x15\x9e\xea\x98\xfb\x82\x5f\x0a\x51\x26\xb3", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexParameterIivEXT}, // libGL:glGetMultiTexParameterIivEXT
  {(uint8_t*)"\x4d\x20\x1b\xbc\x58\x40\xe7\x0d\x71\x5a\x21\xaf\xdd\xba\x5b\x8a\x01\xe8\x25\x6d\x17\x7a\xe1\x37\x54\xf9\x7b\x3f\x47\xdb\x7a\x92", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexParameterIuivEXT}, // libGL:glGetMultiTexParameterIuivEXT
  {(uint8_t*)"\x71\xbd\x9b\x09\xda\xcb\xf1\xf4\xed\x4a\x16\x74\x23\x39\x5d\x6b\x68\x25\x0f\xf4\x51\x5f\x71\x14\x20\x4b\x6b\x2b\xdf\xb5\x81\xde", (void(*)(void *))&fexfn_unpack_libGL_glGetMultiTexParameterivEXT}, // libGL:glGetMultiTexParameterivEXT
  {(uint8_t*)"\x2a\x20\x24\x56\xf4\x71\x6d\xea\xd0\xb6\xae\x86\x73\x28\x56\x81\xf4\xb0\x91\x90\x67\x88\x9d\x51\x92\xd8\x8e\x8a\xa6\xb0\x33\xc4", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedBufferParameteri64v}, // libGL:glGetNamedBufferParameteri64v
  {(uint8_t*)"\x68\x92\x26\x3b\x2e\x4a\x5f\x93\x97\xc1\xaa\xa8\xe6\x16\x54\x9a\x3c\x61\xee\x67\xaa\xc0\x27\xa7\x74\x6e\x68\x05\x8d\xdf\xd2\x1f", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedBufferParameterivEXT}, // libGL:glGetNamedBufferParameterivEXT
  {(uint8_t*)"\x10\x02\xee\xa2\x34\xb4\xf5\xa5\x82\x94\x97\xc0\xb4\x66\x87\xc2\xc8\xc2\xa2\x6f\xa3\x94\x97\x49\x8e\x55\xdc\x63\xe1\xa1\x95\x61", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedBufferParameteriv}, // libGL:glGetNamedBufferParameteriv
  {(uint8_t*)"\xf8\x0e\x0b\x18\x4a\xd8\x0f\xa0\xf6\xb6\xc5\xb2\x58\xf1\x75\xdb\xca\x7b\x5f\x95\x11\xdc\xa9\xed\x5f\x0b\xe1\x61\xa3\x32\x30\xec", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedBufferParameterui64vNV}, // libGL:glGetNamedBufferParameterui64vNV
  {(uint8_t*)"\xe3\xfc\x9e\xfa\x3b\xa7\xa8\xa0\x86\x9c\x66\xf8\x57\xd1\x1e\x21\x8d\x06\x6d\xc3\x4f\xd8\x33\x3e\x6b\xe5\x9a\xb1\x56\xc3\xf8\x72", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedBufferPointerv}, // libGL:glGetNamedBufferPointerv
  {(uint8_t*)"\x7a\xc9\xd8\x56\x2c\x30\x6d\xbc\xf9\x47\xff\x8d\x4f\x3f\x88\x94\x01\x82\xbe\x19\x47\xfe\xf0\xf5\xb5\xae\x7a\x04\x1c\x09\x97\xbc", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedBufferPointervEXT}, // libGL:glGetNamedBufferPointervEXT
  {(uint8_t*)"\x2e\x5c\x55\xdf\x32\x34\xdc\xed\x39\xaa\x43\xaa\x9e\xf3\x9d\xea\xc8\xf2\x0f\x67\xa8\x29\x88\xbb\x47\x62\x61\x8f\x82\x88\x36\x88", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedBufferSubDataEXT}, // libGL:glGetNamedBufferSubDataEXT
  {(uint8_t*)"\xb1\x82\x6d\x75\xa8\x57\x9b\x4e\x48\x47\x7f\xc2\x6b\x3d\x79\x4b\x9f\xb1\x93\xaa\x02\xbb\x1c\x16\xd8\x9a\xca\x18\x1d\xb1\x0f\x93", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedBufferSubData}, // libGL:glGetNamedBufferSubData
  {(uint8_t*)"\xe1\x0d\xe1\x9e\x29\xf1\xd8\xb7\x46\x0e\xc2\x83\x61\x6f\x3e\x58\xde\x0a\xd4\xf7\xc3\x61\xb6\x81\xe0\x58\x8e\xdb\x50\xf8\x7b\x4a", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedFramebufferAttachmentParameterivEXT}, // libGL:glGetNamedFramebufferAttachmentParameterivEXT
  {(uint8_t*)"\x28\x59\x29\x8c\x67\x5e\x5b\xe5\x4a\xf7\xc5\xea\x2b\xb4\x29\xf9\x82\x9f\xda\xf1\xe5\x40\xa6\x59\x7d\x53\x80\xa2\xa7\x53\x04\xaf", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedFramebufferAttachmentParameteriv}, // libGL:glGetNamedFramebufferAttachmentParameteriv
  {(uint8_t*)"\xc2\x63\x20\x1f\xed\xc7\x81\xa8\x50\x0a\x96\xf4\xa9\x32\x6d\x12\x1a\x7c\x1e\x61\x29\xa9\x74\x5c\x16\x81\x62\xa9\xc9\xd9\xf2\xb9", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedFramebufferParameterfvAMD}, // libGL:glGetNamedFramebufferParameterfvAMD
  {(uint8_t*)"\xc8\xcc\xb5\x27\xd3\x2e\x66\x1c\xef\xf8\x0b\xfd\xd1\xf8\x9b\x3d\x77\x3a\x38\xfc\xce\x09\xff\xb3\xc5\x38\x9a\x2b\x53\x68\x6e\x35", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedFramebufferParameterivEXT}, // libGL:glGetNamedFramebufferParameterivEXT
  {(uint8_t*)"\x88\xee\x71\xf6\xc5\x3a\x0c\xac\x4e\x27\x32\x44\x1e\x62\xa2\x3f\xbe\xf3\xe7\x7e\x24\x1f\x00\x62\x68\x93\xe7\x09\x73\x54\x10\x12", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedFramebufferParameteriv}, // libGL:glGetNamedFramebufferParameteriv
  {(uint8_t*)"\x04\xb0\x27\xd7\x82\x7d\x15\x20\xb5\x80\x3a\x06\xad\xce\xd9\xfb\x52\x3e\x35\x3f\x4f\x4b\x21\xdb\x3c\x9c\x24\xcd\xc7\x01\x53\xf3", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedProgramivEXT}, // libGL:glGetNamedProgramivEXT
  {(uint8_t*)"\xac\xfc\xff\xe0\xca\xcc\x66\xf9\x73\x09\x01\x22\xf9\xca\x6a\xd0\xe8\x99\x09\x54\x94\x67\x26\x58\x18\xa7\x9a\x64\x38\xa6\x6f\xe4", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedProgramLocalParameterdvEXT}, // libGL:glGetNamedProgramLocalParameterdvEXT
  {(uint8_t*)"\xb6\x94\xe1\xb9\x07\x7b\xd9\x86\xd0\x25\x9c\x6b\x02\x7a\x48\x6c\x59\xb8\x18\x69\x25\xb1\x8f\x85\x62\x8f\xa9\x25\x92\x35\x4d\xe0", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedProgramLocalParameterfvEXT}, // libGL:glGetNamedProgramLocalParameterfvEXT
  {(uint8_t*)"\x11\x1f\x3a\xf7\xe9\xa8\x66\x4b\x48\x6f\x80\x2b\x3d\x3c\x69\xec\xd0\xa4\xa1\x04\x17\x3b\xd1\xda\x5a\x21\x89\x37\xab\x4e\x95\x94", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedProgramLocalParameterIivEXT}, // libGL:glGetNamedProgramLocalParameterIivEXT
  {(uint8_t*)"\x19\x02\x7e\xb5\x23\xb6\x23\x7d\xdc\x0e\x41\x2b\xd2\x8f\xba\xbc\xd0\xcc\xf6\x0f\xf6\xe7\xfe\xba\xab\x0e\x4a\x7f\x6a\xf8\x72\x95", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedProgramLocalParameterIuivEXT}, // libGL:glGetNamedProgramLocalParameterIuivEXT
  {(uint8_t*)"\xc7\x5a\x25\x36\x60\xe1\x35\xc6\x9c\x11\xed\xd2\xdc\x06\x8c\x8f\x72\x3e\xad\xc1\xff\xd2\x4e\xd0\x11\x57\x69\x44\x37\x2d\x5b\x51", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedProgramStringEXT}, // libGL:glGetNamedProgramStringEXT
  {(uint8_t*)"\xe8\x5a\xe1\x59\xa1\xaf\xa3\xd5\xad\xb1\x57\xc3\x98\x4b\xd9\x22\xec\xd2\x26\x81\xcc\x63\x6d\xba\x72\x6e\x00\x9a\xf2\x8c\x63\x31", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedRenderbufferParameterivEXT}, // libGL:glGetNamedRenderbufferParameterivEXT
  {(uint8_t*)"\xf2\x90\x6c\x21\xaf\x81\xd6\xea\x71\x67\x46\x72\x14\x29\xed\xd6\x5c\x4b\x55\xc2\x8e\xef\x67\x03\x24\x15\xdc\xaf\xb8\xa3\x00\xa6", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedRenderbufferParameteriv}, // libGL:glGetNamedRenderbufferParameteriv
  {(uint8_t*)"\xe4\xc1\x59\xbd\x42\x3e\x48\x67\xb7\x28\x5d\x84\x09\x2c\xa7\x6c\x05\x82\x09\xbb\x05\x8c\x50\x11\x39\xe9\xbd\x67\x95\x0a\x16\x37", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedStringARB}, // libGL:glGetNamedStringARB
  {(uint8_t*)"\x4b\x78\xcb\xa6\x6e\xbf\xfe\x9d\x26\x82\xc3\x6a\x00\x48\xf1\xcd\xc8\xf4\x4e\xa9\x41\x42\x49\x81\xb0\xeb\x76\x74\x38\x2c\x7b\xd1", (void(*)(void *))&fexfn_unpack_libGL_glGetNamedStringivARB}, // libGL:glGetNamedStringivARB
  {(uint8_t*)"\x48\x5e\x20\xce\xbb\x33\x98\x64\xd6\x6e\xa0\x4c\x7c\x97\xc7\xb2\x87\x67\x41\xf6\xcf\x7c\x60\x90\xa6\xe0\x41\x6c\xcf\x42\xbc\x62", (void(*)(void *))&fexfn_unpack_libGL_glGetnCompressedTexImageARB}, // libGL:glGetnCompressedTexImageARB
  {(uint8_t*)"\x23\x64\x25\x50\xfa\x52\xc8\xad\xec\xf7\x8a\x92\x18\xe9\xca\xf8\xd7\xaa\xa9\xf6\x56\x20\x4a\xa3\xfc\x80\x72\xb8\x5d\xe0\x39\xc2", (void(*)(void *))&fexfn_unpack_libGL_glGetnCompressedTexImage}, // libGL:glGetnCompressedTexImage
  {(uint8_t*)"\x93\xb7\x63\x13\xf9\x12\xae\x7e\x63\xb3\xd5\x51\x7b\xf9\xe3\x1b\x47\x23\xae\x90\xf9\x7d\x56\xbd\xaf\xec\x5d\xc5\x5e\x6f\x78\x20", (void(*)(void *))&fexfn_unpack_libGL_glGetNextPerfQueryIdINTEL}, // libGL:glGetNextPerfQueryIdINTEL
  {(uint8_t*)"\xa5\xff\xf1\x52\x7c\xd8\x78\xea\xb0\xce\x7c\x3b\x0b\x7c\x51\x91\x17\x2a\x65\x94\x45\x47\xee\xf0\x69\x43\x69\xdf\x11\xbf\x9e\x3d", (void(*)(void *))&fexfn_unpack_libGL_glGetnTexImageARB}, // libGL:glGetnTexImageARB
  {(uint8_t*)"\x7e\x9e\x02\x75\x17\xe0\xbb\x48\x2b\x68\x78\xf3\xfe\x25\x98\x02\x15\xee\xed\x5e\x19\x8f\x44\x95\xd2\xce\x05\x52\xc0\xc9\x86\x70", (void(*)(void *))&fexfn_unpack_libGL_glGetnTexImage}, // libGL:glGetnTexImage
  {(uint8_t*)"\x56\x8c\x08\x84\xaa\xd0\x9d\x57\x6e\x0a\xe0\xac\x43\x3e\x78\x27\xb5\x93\x5f\x6f\x79\x62\xe7\xab\xe6\x19\xef\x22\x76\xbd\xb2\x7a", (void(*)(void *))&fexfn_unpack_libGL_glGetnUniformdvARB}, // libGL:glGetnUniformdvARB
  {(uint8_t*)"\x70\x93\x3a\x96\x95\x28\x88\xbb\x16\x05\x39\xae\x84\xbb\x10\xc7\x1f\xaf\xd4\xfa\x9d\x33\x64\x33\x28\xfc\xaa\x15\x65\x82\xe7\x1d", (void(*)(void *))&fexfn_unpack_libGL_glGetnUniformdv}, // libGL:glGetnUniformdv
  {(uint8_t*)"\x5c\xc4\x7c\x57\x3b\x2b\x0f\x46\xc1\x27\xf6\xbf\xcf\x5e\x94\x4d\x51\x38\x46\x7d\xd6\x0d\x14\xd8\x94\x9a\xa5\x4e\xc1\xc7\x6a\x83", (void(*)(void *))&fexfn_unpack_libGL_glGetnUniformfvARB}, // libGL:glGetnUniformfvARB
  {(uint8_t*)"\x74\x69\xa3\xc6\xdc\xfa\x03\x07\x32\x2b\x72\xa3\xde\x7a\x6d\x61\xcc\xa3\xa4\xe3\x92\x91\xfb\xdb\x86\x8b\x38\x0a\xe3\xfc\x4a\x64", (void(*)(void *))&fexfn_unpack_libGL_glGetnUniformfv}, // libGL:glGetnUniformfv
  {(uint8_t*)"\xaa\xa4\xea\x2d\xff\x85\x2a\x29\xde\xd2\xf0\x8b\x17\x39\x81\x1d\x08\xa3\x39\xe9\xc3\x67\x76\x92\x26\x36\x24\xa6\x86\x0d\x6f\x98", (void(*)(void *))&fexfn_unpack_libGL_glGetnUniformi64vARB}, // libGL:glGetnUniformi64vARB
  {(uint8_t*)"\xe1\x63\xb6\x76\x38\xce\x92\xb8\x1f\xca\xc2\x87\x88\xf4\x79\xb9\x02\xb2\x1b\x01\x14\x4a\x6b\xdd\xf4\xd3\x91\x07\xaa\x90\x7d\x0a", (void(*)(void *))&fexfn_unpack_libGL_glGetnUniformivARB}, // libGL:glGetnUniformivARB
  {(uint8_t*)"\xe0\x9c\x7f\x9b\x90\xdf\x79\xb5\x69\x9b\xe6\x47\x1b\x0e\x4c\xbe\x73\x00\x0f\xbc\xf7\x25\xf3\xe4\x64\x1b\x06\x03\x59\x0f\xb8\xc3", (void(*)(void *))&fexfn_unpack_libGL_glGetnUniformiv}, // libGL:glGetnUniformiv
  {(uint8_t*)"\x1c\xda\xb5\x6c\xbd\x9b\x70\x5e\x67\x5c\xd7\xfb\xa2\xfa\x27\x2d\xb9\x47\xe3\x21\x6c\x51\x3c\x55\xc7\x68\x1c\x1b\xb5\xe5\x79\x7b", (void(*)(void *))&fexfn_unpack_libGL_glGetnUniformui64vARB}, // libGL:glGetnUniformui64vARB
  {(uint8_t*)"\xbb\x85\xb6\x5c\xdd\x8d\xc8\x57\xf1\x44\xa8\x1b\x40\xb3\x05\x1c\x8e\xb8\x28\x3b\xc4\x49\x74\x84\xb1\x7a\x34\xc8\xf0\xa4\x65\xca", (void(*)(void *))&fexfn_unpack_libGL_glGetnUniformuivARB}, // libGL:glGetnUniformuivARB
  {(uint8_t*)"\x90\xc8\xfd\x32\x04\x68\xa0\x89\xf9\x53\x88\x6f\xaa\x00\x50\x9d\xe5\xea\x81\x6a\xe7\xcf\xa4\xf1\x77\x5d\xf8\x5b\x16\xda\x99\x01", (void(*)(void *))&fexfn_unpack_libGL_glGetnUniformuiv}, // libGL:glGetnUniformuiv
  {(uint8_t*)"\xed\xe6\x37\x26\x62\x08\x6e\x45\x8b\xe9\x39\x56\x49\x83\xda\x3f\xf5\x96\x6c\x7a\xcd\xa9\x94\x7a\x48\x7b\x2b\xa2\x23\xc4\xd5\xf1", (void(*)(void *))&fexfn_unpack_libGL_glGetObjectBufferfvATI}, // libGL:glGetObjectBufferfvATI
  {(uint8_t*)"\x4e\x15\xd9\xb5\x52\x46\x12\xfd\xad\x02\x23\xc0\xe0\x5a\xf6\x65\x80\x08\xa9\x95\x1c\x9a\xb9\xe8\x2b\x35\x87\x87\x01\xd7\xb6\x25", (void(*)(void *))&fexfn_unpack_libGL_glGetObjectBufferivATI}, // libGL:glGetObjectBufferivATI
  {(uint8_t*)"\x1b\xc1\x10\xfd\x1b\x6d\xba\x49\x09\x4c\x9b\x1b\x48\xd8\x50\x77\x90\x5d\xf1\x6d\xb0\x58\x45\xf9\xf4\x41\x08\x4f\x1c\x54\xe4\xaa", (void(*)(void *))&fexfn_unpack_libGL_glGetObjectLabelEXT}, // libGL:glGetObjectLabelEXT
  {(uint8_t*)"\x94\x91\xf1\xea\x16\x90\xc1\x5c\x4d\xcd\x53\x14\x23\x0d\x69\xd6\x5b\x58\x55\x6f\x31\xed\xd9\xf6\x4c\x18\xdc\x2f\xe9\x84\x44\x1e", (void(*)(void *))&fexfn_unpack_libGL_glGetObjectLabel}, // libGL:glGetObjectLabel
  {(uint8_t*)"\x14\xd0\xb6\xae\x10\x16\xef\x06\xc0\xd9\x50\x5f\x7b\x27\x5b\xb3\x52\xae\x5c\x5b\xcb\x47\xb7\x8c\x87\x15\x13\x1a\x1d\x0d\xd5\x1b", (void(*)(void *))&fexfn_unpack_libGL_glGetObjectParameterfvARB}, // libGL:glGetObjectParameterfvARB
  {(uint8_t*)"\xe1\x25\xa3\xf8\x60\x6c\x2a\x26\xfd\xcc\x1a\xd2\xd0\x70\x8d\xd9\x8f\xa3\xab\x1e\x42\xbd\xfa\xf2\xf9\x58\x1b\x7d\x09\x07\xe7\x90", (void(*)(void *))&fexfn_unpack_libGL_glGetObjectParameterivAPPLE}, // libGL:glGetObjectParameterivAPPLE
  {(uint8_t*)"\x9e\xab\xd5\x07\xef\x9c\x27\x48\x60\x39\x44\x42\x4c\xd1\x14\x66\x03\xe7\xcf\x59\x3d\xcd\x82\x5b\xc6\x18\xb0\xc4\xb3\x84\x53\x86", (void(*)(void *))&fexfn_unpack_libGL_glGetObjectParameterivARB}, // libGL:glGetObjectParameterivARB
  {(uint8_t*)"\x13\x85\x16\x33\x80\xc1\x25\xcc\x9f\xde\xa9\xc1\xa6\x2c\xc4\xe6\x06\x58\xf7\x4b\x44\x35\x88\x31\x84\x20\xb7\x61\x09\x84\xdf\xaa", (void(*)(void *))&fexfn_unpack_libGL_glGetObjectPtrLabel}, // libGL:glGetObjectPtrLabel
  {(uint8_t*)"\xde\x73\xd4\xc7\x99\x6a\x92\x2d\x8e\xe8\x2a\x98\x8f\xe0\xdd\x55\x41\xca\x39\x65\x7e\x1a\x29\x64\x26\xda\xd2\xfb\xfa\x79\xff\x9b", (void(*)(void *))&fexfn_unpack_libGL_glGetOcclusionQueryivNV}, // libGL:glGetOcclusionQueryivNV
  {(uint8_t*)"\x00\x74\x84\x43\xd8\x6f\x58\x56\xf7\x5a\xd2\x9d\x96\xab\xb5\x29\xe2\xc5\xac\x91\x2d\x18\x97\xc1\x97\xf4\x81\xd9\x88\xc2\xf1\x44", (void(*)(void *))&fexfn_unpack_libGL_glGetOcclusionQueryuivNV}, // libGL:glGetOcclusionQueryuivNV
  {(uint8_t*)"\x27\x2a\xb7\xde\x96\x27\x9e\x65\x86\x50\x89\xbe\xf8\xd1\x26\x98\xc7\xde\x89\xfc\x5e\x89\xf7\x36\xa8\x2f\x7b\xae\x2c\xac\xf3\x96", (void(*)(void *))&fexfn_unpack_libGL_glGetPathCommandsNV}, // libGL:glGetPathCommandsNV
  {(uint8_t*)"\x93\x48\x70\xf6\x59\x0c\x39\xf0\xb1\x17\xee\xb9\xd7\x34\xbe\x5e\x66\xe6\x56\x0f\xc2\xcd\xf7\xe2\x7c\x01\xa1\xa3\xaa\x05\x08\x41", (void(*)(void *))&fexfn_unpack_libGL_glGetPathCoordsNV}, // libGL:glGetPathCoordsNV
  {(uint8_t*)"\x15\xad\x7d\xd6\x3c\xda\x48\x28\x51\xb9\x1e\x15\x74\xd4\x3d\xee\x58\x5d\x5c\xa1\x17\x49\x1d\x6c\x50\x57\xad\x92\xd8\x94\x89\x36", (void(*)(void *))&fexfn_unpack_libGL_glGetPathDashArrayNV}, // libGL:glGetPathDashArrayNV
  {(uint8_t*)"\x27\x2d\xab\x98\x8d\xe4\x5e\xef\x90\xac\xb5\xd8\x0b\xd5\x5c\x95\x98\xe2\x4d\x8d\xbf\x69\x5d\x92\x62\xf6\xad\xd3\xa2\x55\x98\x18", (void(*)(void *))&fexfn_unpack_libGL_glGetPathMetricRangeNV}, // libGL:glGetPathMetricRangeNV
  {(uint8_t*)"\x3d\x35\x6d\x4f\x68\xcf\x48\x37\x6f\xcf\xb3\x8a\x79\x1c\x49\x7f\x1e\xfb\x62\x72\x6e\x87\x43\xf8\xc3\x44\x63\x16\x4e\x2b\x97\x9f", (void(*)(void *))&fexfn_unpack_libGL_glGetPathMetricsNV}, // libGL:glGetPathMetricsNV
  {(uint8_t*)"\x67\xee\x04\xfc\xdf\xd1\x64\x8a\x04\x0e\xe3\x8f\x7c\x8f\x4e\x83\xbe\x86\xd2\xd9\xb8\x94\x37\xdc\x71\xaa\xfc\xa5\xd5\xe8\x59\x16", (void(*)(void *))&fexfn_unpack_libGL_glGetPathParameterfvNV}, // libGL:glGetPathParameterfvNV
  {(uint8_t*)"\xb4\x1a\x79\x8b\x7e\x67\x72\xa7\xa4\x99\x41\x63\x72\xa8\x39\xba\x62\xbf\xaf\xc6\xe8\x26\xa2\xdc\x63\x43\x84\x47\xe2\x15\x2a\x4b", (void(*)(void *))&fexfn_unpack_libGL_glGetPathParameterivNV}, // libGL:glGetPathParameterivNV
  {(uint8_t*)"\xe9\x82\xe4\xd9\x94\xe8\xce\xae\x51\x87\xc0\xe4\x39\x79\x79\xc8\x9d\x6c\xb4\x7d\xc6\xbc\x9a\xb0\xe0\xc5\x34\x8d\x2e\xf8\x86\x45", (void(*)(void *))&fexfn_unpack_libGL_glGetPathSpacingNV}, // libGL:glGetPathSpacingNV
  {(uint8_t*)"\x01\x80\xb9\xd7\x48\xb9\xea\x3d\xee\xa8\xa8\x04\xfa\x6a\x6e\x08\x93\x1e\xd3\xb5\x38\xca\xf3\x75\x38\x5c\xf7\xd4\xc0\x54\xfd\xbe", (void(*)(void *))&fexfn_unpack_libGL_glGetPerfCounterInfoINTEL}, // libGL:glGetPerfCounterInfoINTEL
  {(uint8_t*)"\xb6\xeb\xea\xac\x21\x43\x29\xbb\x9e\xa4\xbb\x91\xae\x51\x55\xb0\x75\x8b\xe5\x08\x35\x1a\xff\xe3\x8c\x52\x97\x83\x4e\xa7\x5b\xef", (void(*)(void *))&fexfn_unpack_libGL_glGetPerfMonitorCounterDataAMD}, // libGL:glGetPerfMonitorCounterDataAMD
  {(uint8_t*)"\x2b\xb6\x70\x65\x67\x30\x8c\xf9\xb9\x93\x0c\xf3\xdd\xa4\xd4\xea\xa0\x36\x0c\x00\x61\x20\x2e\x69\xa4\x08\x04\xa7\xb4\x0c\x24\xe5", (void(*)(void *))&fexfn_unpack_libGL_glGetPerfMonitorCounterInfoAMD}, // libGL:glGetPerfMonitorCounterInfoAMD
  {(uint8_t*)"\x6e\xd5\xaf\xf4\x51\xd9\x99\x5c\x61\x0f\xf9\xdc\x5d\xd7\x81\x03\xc0\x99\xc2\x37\xc7\xd6\x0b\x5a\x97\x2c\xca\xa0\xae\xa9\xd0\xd7", (void(*)(void *))&fexfn_unpack_libGL_glGetPerfMonitorCountersAMD}, // libGL:glGetPerfMonitorCountersAMD
  {(uint8_t*)"\xa7\xcb\x66\x83\xae\x16\x3e\xa1\x70\x86\x4c\x90\x37\xb2\xa3\x6c\xf9\xb9\x01\xcf\xc0\xda\xd0\x81\x4e\xcd\x30\x06\x3f\xf8\x08\x1d", (void(*)(void *))&fexfn_unpack_libGL_glGetPerfMonitorCounterStringAMD}, // libGL:glGetPerfMonitorCounterStringAMD
  {(uint8_t*)"\x43\x10\x3f\x35\x1a\x7a\x3a\x08\xe0\x43\x8e\x2b\x3c\x08\xa0\x4a\x60\x2d\x2e\x93\x6c\xaf\x2a\xe8\xe3\x85\xd5\xd4\xc0\x83\xf6\xec", (void(*)(void *))&fexfn_unpack_libGL_glGetPerfMonitorGroupsAMD}, // libGL:glGetPerfMonitorGroupsAMD
  {(uint8_t*)"\x4e\x23\x83\xdf\x7e\xac\x7c\x96\x75\x74\xee\xe3\xf4\xd2\xeb\x41\x57\x66\xd4\x94\x56\xbf\xbd\x86\xba\x3b\x76\xf0\xe5\x04\xc5\x31", (void(*)(void *))&fexfn_unpack_libGL_glGetPerfMonitorGroupStringAMD}, // libGL:glGetPerfMonitorGroupStringAMD
  {(uint8_t*)"\xc7\xf2\xe9\x2d\xbf\xfb\x31\xf4\xeb\x71\x21\x7c\x07\xdb\x24\x48\x93\x50\x96\x2a\xee\xce\x76\x1b\xe8\xbb\x24\x52\xbb\x34\xb3\x90", (void(*)(void *))&fexfn_unpack_libGL_glGetPerfQueryDataINTEL}, // libGL:glGetPerfQueryDataINTEL
  {(uint8_t*)"\xe5\x0e\x29\xd9\xb1\x04\x3c\xd1\x6a\x8c\xf2\xeb\xd9\x36\x3a\x79\xe7\xef\x31\x7f\xb5\xd8\x81\x2c\x90\x96\x41\x2a\x5b\xc5\x14\x4f", (void(*)(void *))&fexfn_unpack_libGL_glGetPerfQueryIdByNameINTEL}, // libGL:glGetPerfQueryIdByNameINTEL
  {(uint8_t*)"\xf0\xcd\x46\x07\x6b\x6b\x89\xaf\xcd\x34\xf5\x99\x03\x39\x6f\x0a\x52\xa9\xed\x0b\xaf\x85\x6b\x3a\x7d\x8b\xcf\x02\xd2\x27\xe6\xe4", (void(*)(void *))&fexfn_unpack_libGL_glGetPerfQueryInfoINTEL}, // libGL:glGetPerfQueryInfoINTEL
  {(uint8_t*)"\x3b\x49\x88\xd2\xdb\x83\xa0\x3b\x5f\x85\x2a\x38\x89\x2f\x3f\xea\x14\x63\x9e\x53\xb3\x26\xfe\x41\xd5\xf8\xe3\x0e\x05\xaf\x5c\xe2", (void(*)(void *))&fexfn_unpack_libGL_glGetPixelMapfv}, // libGL:glGetPixelMapfv
  {(uint8_t*)"\x6c\xb6\x81\x78\xa1\xa4\xcb\xb9\x81\x25\xa9\xca\x78\xf6\x78\xc3\xcb\xb4\x9b\xcf\x66\xf3\xdc\x16\xd1\x40\x1f\xc6\x98\xc8\x12\x85", (void(*)(void *))&fexfn_unpack_libGL_glGetPixelMapuiv}, // libGL:glGetPixelMapuiv
  {(uint8_t*)"\x2c\xb2\xdf\x71\xe9\x92\xb6\x2f\xf5\x23\xdd\x90\xe2\xc5\x06\xcd\xff\x06\xaf\x0c\x38\xdd\x2b\x0c\x5e\xe8\xc2\x0a\x9e\x91\x36\x64", (void(*)(void *))&fexfn_unpack_libGL_glGetPixelMapusv}, // libGL:glGetPixelMapusv
  {(uint8_t*)"\xe0\xbd\x45\x3e\x2f\xa5\x07\xd6\x23\x0e\x79\x99\x9c\xba\xa9\xd5\xb3\x02\xc7\xe1\x60\xae\xde\x87\x7f\xb5\x89\xc3\x21\x07\x69\x30", (void(*)(void *))&fexfn_unpack_libGL_glGetPixelMapxv}, // libGL:glGetPixelMapxv
  {(uint8_t*)"\x60\xaa\x39\x52\xac\x4b\xb0\x2a\x87\x72\x2b\xf1\x35\xce\xf3\x94\x1d\x25\x2f\x26\x9c\x0a\xe9\x2b\xf8\xaa\xed\x48\xa9\xd6\x90\xa9", (void(*)(void *))&fexfn_unpack_libGL_glGetPixelTexGenParameterfvSGIS}, // libGL:glGetPixelTexGenParameterfvSGIS
  {(uint8_t*)"\xf2\x90\x66\x73\x75\x47\x48\xd8\xbf\x40\x45\xe9\x13\xab\xe6\x91\x34\x68\x00\x52\xa3\x27\x4a\xb2\x03\x35\xab\xa9\x65\xa0\xeb\xaf", (void(*)(void *))&fexfn_unpack_libGL_glGetPixelTexGenParameterivSGIS}, // libGL:glGetPixelTexGenParameterivSGIS
  {(uint8_t*)"\x66\x36\x10\x74\xaf\xe1\x1a\x39\xf1\xea\x6f\x94\xd0\x25\x50\xd7\xdc\x49\xb0\x6c\x75\x94\x46\x75\xee\x05\xba\x35\xf3\xc5\x8e\xa1", (void(*)(void *))&fexfn_unpack_libGL_glGetPixelTransformParameterfvEXT}, // libGL:glGetPixelTransformParameterfvEXT
  {(uint8_t*)"\xe1\xff\x58\xbc\xbd\x35\x59\x2f\xfa\x42\x7f\x71\x74\x40\x78\x56\x7b\xb0\xc3\xe5\x25\x19\x0e\x42\x8d\xf4\xe8\xa5\xc0\x61\xa8\x4e", (void(*)(void *))&fexfn_unpack_libGL_glGetPixelTransformParameterivEXT}, // libGL:glGetPixelTransformParameterivEXT
  {(uint8_t*)"\x84\xd3\xff\x0e\x33\xce\x6b\xbe\x42\x79\xfd\xcc\xfe\x93\xa9\x89\x53\x73\x7c\xac\xe5\xaa\x37\x1c\xa6\xb8\xce\x97\xb2\xb6\x6d\x96", (void(*)(void *))&fexfn_unpack_libGL_glGetPointerv}, // libGL:glGetPointerv
  {(uint8_t*)"\x4c\x58\xc3\xe1\x19\xff\x80\x73\x42\x80\xfa\x6e\x8d\xdf\xe0\x6f\x21\x91\xc1\x90\x50\x83\x41\x3e\x11\x51\x41\x6d\xa0\xff\x9f\x53", (void(*)(void *))&fexfn_unpack_libGL_glGetPointervEXT}, // libGL:glGetPointervEXT
  {(uint8_t*)"\xa7\xe7\x80\x26\x02\xa2\x3d\xe0\x5c\xd0\x04\xb1\xcf\x47\xa6\xf9\xaa\x74\x4a\xbb\x65\x26\xe5\x7f\xad\xe4\x49\xda\xc8\x7a\x99\xc2", (void(*)(void *))&fexfn_unpack_libGL_glGetPointeri_vEXT}, // libGL:glGetPointeri_vEXT
  {(uint8_t*)"\x04\x84\xf9\x27\x0b\xa7\xd6\x1a\x04\x36\x7a\xda\x6e\x6e\x8a\x2c\x38\x5e\xc9\x5b\x82\x17\x25\x62\xa4\x98\xc0\x5d\xaf\xe9\xe1\x5e", (void(*)(void *))&fexfn_unpack_libGL_glGetPointerIndexedvEXT}, // libGL:glGetPointerIndexedvEXT
  {(uint8_t*)"\x33\x29\x25\x19\xa8\xe5\xf2\xb3\xde\x12\x06\x4b\xb6\x0a\xc8\x98\xa7\x8d\xa8\x2f\x50\x22\xc8\x20\x3b\xb7\xfa\xdf\xb0\x6a\x21\xc2", (void(*)(void *))&fexfn_unpack_libGL_glGetPolygonStipple}, // libGL:glGetPolygonStipple
  {(uint8_t*)"\x75\xf7\x7f\x99\x72\xd8\x6a\xd0\xa3\x1e\x89\x67\xe6\xa4\xb6\xa8\x25\xc7\xa5\xf0\x3e\xeb\x15\x5a\xfd\x30\x4d\x46\xd9\xf8\x2f\xed", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramBinary}, // libGL:glGetProgramBinary
  {(uint8_t*)"\x5c\x59\xb4\x84\x47\x29\x9b\xab\x4a\xf5\xc4\x94\x35\x23\x7e\x9d\x87\x60\xb0\x9e\x8b\xac\x3d\xd1\xc3\x4f\xe7\xf9\xac\x0f\xb3\x25", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramEnvParameterdvARB}, // libGL:glGetProgramEnvParameterdvARB
  {(uint8_t*)"\x6b\xa1\x30\xa4\xef\xf5\x11\x9b\xff\x99\x1f\xd3\x8d\xcb\x63\x9e\x95\x35\x63\xba\xd1\x1e\xcf\x10\xf9\xd7\xe1\x66\xd8\x03\xf5\x92", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramEnvParameterfvARB}, // libGL:glGetProgramEnvParameterfvARB
  {(uint8_t*)"\xeb\xdd\x8b\xf6\x6d\x4b\x34\x12\x26\xfe\xf2\xf1\x75\x29\xfd\x3b\xc2\xe8\x38\x1c\x32\x6d\xf0\x95\x57\x04\x67\x10\x57\x53\xf1\x5e", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramEnvParameterIivNV}, // libGL:glGetProgramEnvParameterIivNV
  {(uint8_t*)"\x2e\x8c\xd3\x80\x7a\x1b\x64\x86\xc5\x15\xa8\x00\x0c\x88\x31\xbe\x39\xd9\xea\x7b\xbb\x22\xa3\xb1\x71\x06\xb3\x58\x03\xe5\x7b\xf2", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramEnvParameterIuivNV}, // libGL:glGetProgramEnvParameterIuivNV
  {(uint8_t*)"\xa8\xdb\xb4\xc2\x16\x35\xb3\x6f\x04\xa8\x34\x13\x53\x7b\x38\x4b\xac\xbc\x51\x2e\xa1\xa9\x08\x01\x34\x71\xf2\x28\x0e\x28\xb4\xde", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramInfoLog}, // libGL:glGetProgramInfoLog
  {(uint8_t*)"\x01\xa4\x50\xd0\xe8\x71\xf9\x7c\xe7\x92\x32\xeb\x09\x85\x6e\x8f\xd0\x39\x90\x69\x15\xae\x9b\xee\x07\xd1\x42\x20\x49\x6a\x5e\x7a", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramInterfaceiv}, // libGL:glGetProgramInterfaceiv
  {(uint8_t*)"\x59\x02\x12\xb7\xcd\xda\x62\x23\x48\x76\x6b\x32\x8e\x9b\xcb\xa4\x14\x14\x5e\x11\x34\x3d\xbd\x8c\x6d\xe6\x28\xc6\xc0\x09\xbc\x30", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramivARB}, // libGL:glGetProgramivARB
  {(uint8_t*)"\x5e\x17\xf0\xcf\x01\x93\xa5\x05\x3b\x83\xe2\x4a\xe1\x40\x2c\xe6\x16\x28\x8e\x8a\x42\x2a\xbb\xb6\xed\x61\x97\x1d\xe3\x63\x6d\xf1", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramiv}, // libGL:glGetProgramiv
  {(uint8_t*)"\x1b\x80\x51\xb6\x41\x26\x3d\xda\x5b\xf2\x20\xe0\xa8\xa0\x83\xd9\x3a\x47\x7d\x69\xd9\xa6\x18\xfd\xd7\x2a\xcb\x83\x01\x47\x0c\x1e", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramivNV}, // libGL:glGetProgramivNV
  {(uint8_t*)"\x30\x9d\x4c\xbd\xc8\x00\x63\xd6\xf6\xa1\x5a\x9a\x8c\x37\xb2\x95\xe2\xa8\x5b\x30\x0b\x9d\xf0\x3b\x4a\xd9\x40\x01\x55\x92\x40\x62", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramLocalParameterdvARB}, // libGL:glGetProgramLocalParameterdvARB
  {(uint8_t*)"\xbd\x8b\x70\xed\x80\x29\xc1\x18\x6e\x6b\xb8\xa2\xb8\xda\xbb\xc4\xc3\x7d\xf6\xdd\x77\x8e\x40\x40\xab\x3d\xf0\xdf\x2a\xf0\xd2\x33", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramLocalParameterfvARB}, // libGL:glGetProgramLocalParameterfvARB
  {(uint8_t*)"\x73\xbb\x25\x56\xef\xbe\x03\x6a\x14\xf8\x22\xf4\x7a\xfb\x11\x93\x72\xd7\xa0\xb6\xfb\xdc\x1a\x22\x11\x85\x9c\x29\x52\x4d\xff\x12", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramLocalParameterIivNV}, // libGL:glGetProgramLocalParameterIivNV
  {(uint8_t*)"\x98\x1b\xde\x24\xab\x55\xec\x50\x89\xd1\x02\x60\x12\xff\x36\x02\x0c\x8b\x1f\x3d\xac\xed\x6a\x37\x17\x24\xb2\x2f\xd0\x8b\x95\xf2", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramLocalParameterIuivNV}, // libGL:glGetProgramLocalParameterIuivNV
  {(uint8_t*)"\xcc\x4a\xc4\x8e\x86\x3d\xa0\x6e\x46\xa8\xb9\xae\x6d\x01\x60\x57\x70\x2e\x6f\x02\x45\x15\xba\xd5\x5a\x03\x50\x29\x98\xa4\x6e\x54", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramNamedParameterdvNV}, // libGL:glGetProgramNamedParameterdvNV
  {(uint8_t*)"\x16\x2c\xe5\x85\x7e\x71\x2e\x88\xc6\xe9\x2c\x72\x04\x3a\x9b\x52\x74\xe0\x88\x59\x9d\x1f\x66\x34\xda\x27\xce\xf9\x66\xd3\xad\x42", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramNamedParameterfvNV}, // libGL:glGetProgramNamedParameterfvNV
  {(uint8_t*)"\xc1\xcf\xd5\xff\xdf\xd8\x8c\x20\x6c\x80\x19\x6c\x04\xab\xa4\x35\x8d\x10\xfc\xb7\xb5\x20\x68\x36\xdc\x25\x68\x55\xa4\x5d\x69\x2c", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramParameterdvNV}, // libGL:glGetProgramParameterdvNV
  {(uint8_t*)"\x51\x5d\xc2\x43\x1a\x40\x92\xe4\x7d\x36\xee\xce\x04\x53\x96\xb0\x6a\x77\xd9\x30\xc1\x98\xc9\xd2\x57\x93\x56\xab\x30\x65\x06\xf4", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramParameterfvNV}, // libGL:glGetProgramParameterfvNV
  {(uint8_t*)"\x50\x27\x7e\x32\xfe\xf5\xca\x6d\x84\x80\xe5\x83\x9b\x6d\x9c\x79\x0e\x24\x1a\xb9\x18\xfc\x37\x6a\x04\x8f\xd1\x45\x31\x11\x9d\x6f", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramPipelineInfoLog}, // libGL:glGetProgramPipelineInfoLog
  {(uint8_t*)"\xee\xb5\xe6\x79\x32\x1c\x68\x5e\xf0\xac\x13\x7f\x94\xf5\x69\x24\x59\xe8\xb5\x8a\xf0\xcb\xaa\x07\x89\x61\x38\x18\xe5\xd5\x78\x80", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramPipelineiv}, // libGL:glGetProgramPipelineiv
  {(uint8_t*)"\xdc\xa1\x10\xa2\xca\xf1\x54\x8d\x62\x42\xd3\xbe\xd4\x49\xd7\xe6\x6d\x44\xdc\xb9\x4a\xc2\x00\xb5\x8d\x99\xe7\x6e\x7e\xb3\x12\xc6", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramResourcefvNV}, // libGL:glGetProgramResourcefvNV
  {(uint8_t*)"\xae\x30\xda\xd4\x2a\xf0\x4c\x57\x5c\x16\x1f\xe4\xa8\x5f\x20\x95\x00\xcc\x49\xee\x3f\xe3\x10\x08\x2f\x2e\x31\xd4\x32\x97\x40\xf3", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramResourceiv}, // libGL:glGetProgramResourceiv
  {(uint8_t*)"\x51\xd9\x68\x83\x24\xe6\x06\x1b\x08\x04\x88\x14\xba\xaf\x37\xfe\xa8\xdf\x0f\xd7\xda\xca\x2a\x46\xc1\xd7\x75\x22\x9b\x91\xdc\x16", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramResourceName}, // libGL:glGetProgramResourceName
  {(uint8_t*)"\x03\xd1\xfc\xda\xb5\xd8\xa4\xca\x7f\x15\x36\xb5\x3a\xf0\xcb\x86\x51\xd2\x5f\x13\x1b\xd9\x3a\x0d\x49\x7c\x76\x64\x25\x03\xec\x1a", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramStageiv}, // libGL:glGetProgramStageiv
  {(uint8_t*)"\xc9\xdc\x7e\xb4\xcd\x45\x36\x08\xba\x3e\x70\x71\x6a\x58\xfd\xfc\x64\xce\xf2\xf1\x5e\x21\xfa\x82\xb0\xbf\xa9\x79\x35\x0e\x65\x1d", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramStringARB}, // libGL:glGetProgramStringARB
  {(uint8_t*)"\xd5\x8a\xbf\x73\x9c\x97\x58\x33\xf5\xed\x1f\x13\xca\x1a\x6a\x04\x7f\x84\x91\x36\x56\x5b\xfc\x00\xf6\xd0\x03\xaf\x46\xa4\x23\xbf", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramStringNV}, // libGL:glGetProgramStringNV
  {(uint8_t*)"\xad\xe9\x3d\xef\x07\xd6\xf6\xd2\xad\xf1\xe7\xec\x42\x0d\x0f\x22\x4e\x6b\x3a\x15\x0b\xa3\xfb\xb3\xf7\x23\x98\x43\xd7\xd9\xac\xc4", (void(*)(void *))&fexfn_unpack_libGL_glGetProgramSubroutineParameteruivNV}, // libGL:glGetProgramSubroutineParameteruivNV
  {(uint8_t*)"\x08\x2a\xe1\x1b\xbc\x55\xc5\x13\xfd\x95\x6e\xf1\xb2\xa5\x0b\xe9\x51\x99\x2e\x54\xda\x90\x52\x26\xcd\x68\xff\x9c\x46\x8c\xc4\x65", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryBufferObjecti64v}, // libGL:glGetQueryBufferObjecti64v
  {(uint8_t*)"\x99\x2f\xa2\xfc\xd4\xa6\x8b\x3f\x60\x15\xcd\x38\x38\x5f\x3d\xd0\x98\xa8\xdb\x57\x2c\xa1\x80\x46\x59\xfc\x19\xce\xf1\xaf\x0f\x3d", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryBufferObjectiv}, // libGL:glGetQueryBufferObjectiv
  {(uint8_t*)"\x7b\xaf\x0f\xa9\xde\x5e\xdf\xdb\x61\xb9\x41\x36\xe6\x8b\x2a\x72\x6f\xb4\x29\x9d\xba\x78\xac\x24\x08\xc4\x21\xaf\xe4\x0c\x42\x84", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryBufferObjectui64v}, // libGL:glGetQueryBufferObjectui64v
  {(uint8_t*)"\xa9\xe3\xf5\xf8\xb0\xb4\x61\x85\x14\xde\x04\xf5\x78\xe7\x48\x0e\xec\x27\xed\xfb\xec\x56\x88\x8c\xb2\x3e\x1b\x0d\xe1\xb0\x5e\x6f", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryBufferObjectuiv}, // libGL:glGetQueryBufferObjectuiv
  {(uint8_t*)"\x42\xf1\xb8\xfd\xbd\x2b\x06\x40\x00\x87\x37\xe5\x04\xac\x3e\x2a\xd2\x7b\x42\xf5\x15\x6d\xdf\x64\xb0\xfa\x43\x1f\x37\x1f\xec\x56", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryIndexediv}, // libGL:glGetQueryIndexediv
  {(uint8_t*)"\x17\x98\x4c\x03\x48\x42\xba\xc3\xc2\x95\x25\xc3\x57\x44\x3e\x0c\xe4\xf2\xea\x26\x57\x4d\xb1\x85\x65\xf5\x89\xc5\xf1\x10\xf2\xce", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryivARB}, // libGL:glGetQueryivARB
  {(uint8_t*)"\x35\x4f\xad\x88\x34\x18\x99\xc7\x59\x8b\xba\x1e\xc2\xe2\xb9\x3e\x76\x78\xd3\xec\xd6\x5c\x28\xc2\xb5\xd6\x9a\xcd\x25\x2d\xa1\x1f", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryiv}, // libGL:glGetQueryiv
  {(uint8_t*)"\x76\xe0\x5f\x2d\x74\xcf\xfe\x6d\x05\x53\x4c\xc6\xc6\x69\xa8\xb2\xd0\xc0\x7f\x36\x5a\x9a\x98\xd3\x7e\x48\x88\x0e\xa9\x4a\x60\x73", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryObjecti64vEXT}, // libGL:glGetQueryObjecti64vEXT
  {(uint8_t*)"\x1c\xc4\x49\xbd\x36\xd3\xa8\xa9\xd2\x2f\xbd\xc7\x29\x33\x2e\xa3\x35\x9d\x1a\x0c\x2a\xed\x25\x5e\xc8\x39\x67\x59\x9a\x49\x38\xc2", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryObjecti64v}, // libGL:glGetQueryObjecti64v
  {(uint8_t*)"\xac\xa9\xe5\x7f\x48\x3b\xbf\xc6\xa0\x36\xb1\x34\x3b\x83\x44\x70\xdb\x71\x4a\x1d\x2e\xe3\x67\xc5\xab\x78\xbe\x12\xa3\x85\xe6\x49", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryObjectivARB}, // libGL:glGetQueryObjectivARB
  {(uint8_t*)"\x62\xd1\x8b\x2b\xae\x80\x49\x6c\x64\xd9\x5f\xe1\x8f\x67\x37\x8f\xe7\x70\x3c\x1e\x75\xf1\x37\x95\x1c\x3c\x4f\x3a\x23\x78\x66\x39", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryObjectiv}, // libGL:glGetQueryObjectiv
  {(uint8_t*)"\x67\xfb\xc5\xd4\x08\x0d\x84\x64\x54\x4a\xdc\xbb\xf1\x17\x36\x93\x86\x8a\xfe\x30\x75\xf5\x98\xb0\x20\x47\x3e\x04\x0d\x7d\x47\xff", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryObjectui64vEXT}, // libGL:glGetQueryObjectui64vEXT
  {(uint8_t*)"\xf0\xa9\x8f\x88\x99\xd0\x04\xc1\x3b\xf1\xeb\xd1\x10\xe0\xa9\xab\x69\x0c\x93\xb8\xd6\x85\x51\x06\x81\xec\x34\x7b\x22\x91\x7b\xa3", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryObjectui64v}, // libGL:glGetQueryObjectui64v
  {(uint8_t*)"\xeb\x2f\x58\xd1\xc6\x20\xc8\x90\x9e\x8e\x6a\x20\x3a\xf6\x96\x37\x9f\xf0\xdf\x2d\x72\xbd\xac\x75\xfa\x9b\xdb\x6b\x6a\xa7\x04\xe2", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryObjectuivARB}, // libGL:glGetQueryObjectuivARB
  {(uint8_t*)"\xac\xd8\x28\xcd\xc2\xf7\xb1\x6f\x0e\xd0\x87\x03\x01\x69\x04\xfe\x72\x9a\xb2\x6e\x43\x81\xeb\x47\xee\x5d\xb3\xfd\x23\x53\x97\x64", (void(*)(void *))&fexfn_unpack_libGL_glGetQueryObjectuiv}, // libGL:glGetQueryObjectuiv
  {(uint8_t*)"\xb9\x01\x36\xb7\x00\xa2\x48\xdf\x87\x73\x9f\x17\x76\x09\x54\x27\xfc\x6b\x97\xea\x8b\x33\x4c\xb0\x8a\x21\x35\x69\xdb\xae\xb4\x64", (void(*)(void *))&fexfn_unpack_libGL_glGetRenderbufferParameterivEXT}, // libGL:glGetRenderbufferParameterivEXT
  {(uint8_t*)"\xbf\x52\x0c\xad\xe3\xe8\x65\x89\xd6\x8d\x9d\xe9\x8a\xf8\x37\x7b\x60\x7e\x6f\x9b\x94\x2c\x80\x23\x9d\x1a\x4c\xa5\x9a\xd3\x40\xcd", (void(*)(void *))&fexfn_unpack_libGL_glGetRenderbufferParameteriv}, // libGL:glGetRenderbufferParameteriv
  {(uint8_t*)"\xbd\xd8\xb0\xfd\x4f\xeb\xf1\xe9\x3b\x03\xb2\x18\x2e\x34\xb4\x26\x7f\x7e\x5d\x04\x2e\xb6\xec\xc2\xdf\xea\xc2\xb4\x65\xec\x96\x06", (void(*)(void *))&fexfn_unpack_libGL_glGetSamplerParameterfv}, // libGL:glGetSamplerParameterfv
  {(uint8_t*)"\x52\x81\x86\xa2\xcc\x43\x49\x2f\xfe\x0d\xff\xfe\x3b\x0b\xd1\x8d\x4e\xf2\xfd\x73\xaa\x41\xb1\xfc\xba\x7e\xe2\xe2\xf8\x36\x6d\x46", (void(*)(void *))&fexfn_unpack_libGL_glGetSamplerParameterIiv}, // libGL:glGetSamplerParameterIiv
  {(uint8_t*)"\x61\x4f\xe8\xfe\xc7\xaf\x50\x91\x4a\xd3\xc7\x13\x38\x25\xed\xf9\x69\x38\x9c\x1d\x71\x21\x5d\x16\x29\x70\xb5\xc8\xf6\x75\x8b\x73", (void(*)(void *))&fexfn_unpack_libGL_glGetSamplerParameterIuiv}, // libGL:glGetSamplerParameterIuiv
  {(uint8_t*)"\x66\xc2\xf2\x78\xbd\x7e\xb7\x3f\x56\x41\xc9\xf6\x35\x18\x77\xfc\xa7\x3e\x70\x5e\x8f\xd2\x17\xfd\xec\x00\xde\x6b\x32\x40\xfb\x1d", (void(*)(void *))&fexfn_unpack_libGL_glGetSamplerParameteriv}, // libGL:glGetSamplerParameteriv
  {(uint8_t*)"\xb3\x98\x7f\xac\x87\x63\x29\x2d\x9d\x1d\x3b\xf8\x4d\xf7\xaa\xa2\x4b\xca\xf1\x02\x99\x57\xf8\x34\xf3\xd0\xa5\xc0\x80\x7e\x31\xa6", (void(*)(void *))&fexfn_unpack_libGL_glGetSemaphoreParameterui64vEXT}, // libGL:glGetSemaphoreParameterui64vEXT
  {(uint8_t*)"\xed\x5e\x5a\x29\x1d\xe6\x66\x0b\x72\x1e\x17\xdb\xd8\x27\xe8\x32\xbc\xef\x1e\x18\x58\x7b\xa2\x5a\x45\x6a\x16\x41\x3f\x03\xd2\x79", (void(*)(void *))&fexfn_unpack_libGL_glGetSeparableFilterEXT}, // libGL:glGetSeparableFilterEXT
  {(uint8_t*)"\xb5\x8a\x26\x6e\xe7\xa7\x0a\x8e\x70\x31\x31\xfa\x40\x84\x52\x54\xde\xe0\x39\xcf\x34\x7b\x6b\x42\xc4\x34\x9f\xfa\xa5\xdc\x7e\x70", (void(*)(void *))&fexfn_unpack_libGL_glGetSeparableFilter}, // libGL:glGetSeparableFilter
  {(uint8_t*)"\xaa\x2c\x8a\xd6\x32\x95\xfe\xc3\x85\xcd\xb2\x00\xff\xea\xe5\xdc\x2d\x7e\x1a\x68\x95\xa8\xc0\x90\x20\x5f\x6c\x1e\x98\x97\x53\x5e", (void(*)(void *))&fexfn_unpack_libGL_glGetShaderInfoLog}, // libGL:glGetShaderInfoLog
  {(uint8_t*)"\x0d\x88\x33\xca\x53\x7b\x15\xd9\x74\x5f\x90\x5d\x24\x25\x47\x45\xa4\x58\xa1\x85\x3a\xd2\x93\x31\x87\xe3\x3a\x79\x5f\xaf\x62\x7c", (void(*)(void *))&fexfn_unpack_libGL_glGetShaderiv}, // libGL:glGetShaderiv
  {(uint8_t*)"\x9d\xf4\x09\x3b\x6d\xdd\x08\xf5\xce\xf0\x2a\x70\x8e\x29\x48\x30\x1e\x20\xb5\x1e\x20\x35\xe8\xf1\xaa\x43\x76\xa6\xc0\xc2\x30\x15", (void(*)(void *))&fexfn_unpack_libGL_glGetShaderPrecisionFormat}, // libGL:glGetShaderPrecisionFormat
  {(uint8_t*)"\xc8\x0a\x0a\x98\xd3\xe9\x2a\x5f\xed\xc3\xc2\xb9\x20\xb3\x7d\x47\x70\x7a\x61\xbf\xde\xa8\xfd\x21\x64\x9d\xe2\x82\x63\xac\x96\xf1", (void(*)(void *))&fexfn_unpack_libGL_glGetShaderSourceARB}, // libGL:glGetShaderSourceARB
  {(uint8_t*)"\xb3\x20\x9a\x70\xb5\x46\xd7\x07\xf2\xd0\xc3\x27\xea\xce\xf3\x08\xb2\xde\x0c\xdf\xd0\x53\xc1\x44\xf0\xf5\x3b\xb2\xe2\x10\x2c\x2c", (void(*)(void *))&fexfn_unpack_libGL_glGetShaderSource}, // libGL:glGetShaderSource
  {(uint8_t*)"\x06\xea\x34\x3b\x05\xfd\x13\x55\x46\xa2\xff\x1c\xb5\x12\x55\xd1\xc5\x98\x90\x68\xf5\x19\x3c\x0d\x0e\x84\x52\x7a\x63\xa1\x92\xec", (void(*)(void *))&fexfn_unpack_libGL_glGetShadingRateImagePaletteNV}, // libGL:glGetShadingRateImagePaletteNV
  {(uint8_t*)"\xcd\x6e\xed\x32\xd1\x8c\x5a\x5c\x42\x60\x79\xe8\x88\x29\x43\x25\xe3\x2c\xbe\x49\x5c\x2b\xb3\x45\x04\x6d\x20\x70\x20\xc5\x96\x6f", (void(*)(void *))&fexfn_unpack_libGL_glGetShadingRateSampleLocationivNV}, // libGL:glGetShadingRateSampleLocationivNV
  {(uint8_t*)"\x67\x76\x26\xc2\x91\xb3\xb1\xbb\xdf\xbe\x1b\x1e\x83\xbf\xb1\xd7\x75\x73\xc2\x4f\xd0\x5f\x00\xf5\x37\x05\x10\xbf\x21\xd5\xb4\xca", (void(*)(void *))&fexfn_unpack_libGL_glGetSharpenTexFuncSGIS}, // libGL:glGetSharpenTexFuncSGIS
  {(uint8_t*)"\x6f\xe3\xb6\xa2\xf0\x54\x62\x41\x6c\xeb\x93\x4c\x1d\x68\xb9\x12\x57\xb4\xb3\xc7\xfd\xda\x15\x09\x5f\xd2\x87\xaa\x16\x9d\x7d\xcd", (void(*)(void *))&fexfn_unpack_libGL_glGetSynciv}, // libGL:glGetSynciv
  {(uint8_t*)"\xa8\x77\x6d\x63\xb4\x6e\x37\xc6\xb5\x97\x63\xfc\x80\x51\x51\x19\x51\x71\x72\x80\xa1\x2f\x02\x7a\x91\x69\x7b\x42\x37\x5e\xd5\xa4", (void(*)(void *))&fexfn_unpack_libGL_glGetTexBumpParameterfvATI}, // libGL:glGetTexBumpParameterfvATI
  {(uint8_t*)"\x8b\x96\xbe\x25\x51\x10\x16\xb6\xe2\x93\x7b\x0c\x17\x63\x23\xc8\xe4\x64\x03\xea\x4a\x07\xe6\x5d\x3d\xc2\xd8\xff\x68\xc0\xc0\x9d", (void(*)(void *))&fexfn_unpack_libGL_glGetTexBumpParameterivATI}, // libGL:glGetTexBumpParameterivATI
  {(uint8_t*)"\xfe\x11\x51\xf4\x99\xa5\x13\xbd\x71\x5f\x2a\xc0\xd7\x7e\xe1\x4e\x89\xc4\x0d\xe4\x88\x53\xcc\xa2\xd7\xf8\x74\x30\xdb\x8b\xa2\xa5", (void(*)(void *))&fexfn_unpack_libGL_glGetTexEnvfv}, // libGL:glGetTexEnvfv
  {(uint8_t*)"\xff\xfe\xef\x43\xde\xbb\xb0\x57\x95\x80\x05\xe8\xe6\x47\xed\xfa\x99\x7e\x00\x9a\xdd\xfe\xaf\x78\xac\x32\x97\xed\x58\xa2\x3c\x26", (void(*)(void *))&fexfn_unpack_libGL_glGetTexEnviv}, // libGL:glGetTexEnviv
  {(uint8_t*)"\xed\x6f\xb8\xa6\x3e\x41\x71\xbd\xa5\x2e\xd8\xe7\xb7\x5c\x75\x4e\x70\x8b\x1e\xd2\xcc\x83\x96\x00\x9d\x06\x61\x6b\x5a\xd4\xd9\x7e", (void(*)(void *))&fexfn_unpack_libGL_glGetTexEnvxvOES}, // libGL:glGetTexEnvxvOES
  {(uint8_t*)"\xe8\x04\x61\x43\x11\xff\xbc\xb5\x0a\xe3\xd8\x52\x29\x6b\xa9\x17\x71\x21\x65\x66\xc7\xfa\x31\xbf\xb9\x49\x50\xf4\xee\x7d\x6b\x71", (void(*)(void *))&fexfn_unpack_libGL_glGetTexFilterFuncSGIS}, // libGL:glGetTexFilterFuncSGIS
  {(uint8_t*)"\x1d\x06\x4e\x07\xee\xb4\x97\x5c\x13\x64\x88\x85\xd7\x1f\xa3\x0f\x23\x4f\xc1\x71\x87\xe0\x50\x41\x5c\x85\xd3\xf2\x1c\x5c\xb6\xbc", (void(*)(void *))&fexfn_unpack_libGL_glGetTexGendv}, // libGL:glGetTexGendv
  {(uint8_t*)"\x05\x9b\xa8\xcb\xee\x40\x86\x6d\x98\x05\x1e\x9a\x05\xc7\xdb\xf9\x83\xe2\x9e\xa5\x4d\xcb\x01\xfc\x02\x5f\x95\x20\xfc\x99\xc4\x37", (void(*)(void *))&fexfn_unpack_libGL_glGetTexGenfv}, // libGL:glGetTexGenfv
  {(uint8_t*)"\x72\x09\x56\x13\xbb\x6e\xf2\xe6\x0e\xfb\xfc\x3e\xe8\x08\x81\xdf\xaf\x52\x02\x16\xc9\x8b\x28\x7d\x6c\x1a\x3b\x1b\xcd\xee\xf5\x56", (void(*)(void *))&fexfn_unpack_libGL_glGetTexGeniv}, // libGL:glGetTexGeniv
  {(uint8_t*)"\x82\x88\xce\x35\x62\x74\x96\xbe\x4e\xa3\x57\x6f\xf4\x98\xab\xd6\x7d\x38\x67\x21\x09\x26\x9b\x8c\x62\x8c\x3c\xe8\x85\xa2\xa1\x01", (void(*)(void *))&fexfn_unpack_libGL_glGetTexGenxvOES}, // libGL:glGetTexGenxvOES
  {(uint8_t*)"\x38\x9f\xaf\xde\xd0\x5b\xd3\x42\x76\xd5\xc8\x8f\x2e\xd2\xaa\xd6\x07\x61\x31\xcd\x50\xcb\x1c\xb0\x61\x09\xd9\x44\xeb\x84\x96\x58", (void(*)(void *))&fexfn_unpack_libGL_glGetTexImage}, // libGL:glGetTexImage
  {(uint8_t*)"\x64\x16\xcd\x2b\x9b\x48\x79\xea\xfd\xfc\xf8\xb8\x37\x21\x80\x52\x2c\x91\x00\x00\x6c\x47\x2c\x98\x0d\x42\x39\x1c\x27\x5e\x2a\x8f", (void(*)(void *))&fexfn_unpack_libGL_glGetTexLevelParameterfv}, // libGL:glGetTexLevelParameterfv
  {(uint8_t*)"\xfd\x1b\xa2\xca\x60\xc7\xf2\x2e\xb5\x4f\x89\x20\x02\x09\x78\x3b\xa6\xda\x06\x3a\x4a\xd6\x36\x78\xbc\xd1\xfa\x0b\x4b\x16\x13\xb7", (void(*)(void *))&fexfn_unpack_libGL_glGetTexLevelParameteriv}, // libGL:glGetTexLevelParameteriv
  {(uint8_t*)"\xc6\x86\xc8\x89\x8b\xcb\xae\xef\xa5\xbd\x89\x96\xce\x86\xcb\x8f\x36\xbd\x90\xf6\xb4\xbc\x79\xea\x25\x7e\xbb\x4d\x5e\x21\x34\x5e", (void(*)(void *))&fexfn_unpack_libGL_glGetTexLevelParameterxvOES}, // libGL:glGetTexLevelParameterxvOES
  {(uint8_t*)"\x45\x61\x52\x18\x3b\xe5\x58\xba\x6b\x4a\x94\xec\xbe\x42\xac\x69\xfe\x10\xc7\xcb\xd5\xc8\x9f\xf1\x95\x07\x9a\x43\xfb\x66\x64\xa1", (void(*)(void *))&fexfn_unpack_libGL_glGetTexParameterfv}, // libGL:glGetTexParameterfv
  {(uint8_t*)"\x47\x62\x32\x6c\xd2\x14\x6c\x4d\x1f\x3e\xaa\xcb\xc0\xe5\x19\x1b\xac\xec\x1e\xd9\x73\xc0\xdc\xfe\x96\x11\x8d\x40\x5a\x75\xe9\x0f", (void(*)(void *))&fexfn_unpack_libGL_glGetTexParameterIivEXT}, // libGL:glGetTexParameterIivEXT
  {(uint8_t*)"\x99\x8e\x8c\x4a\xeb\x65\x3e\x10\x9f\x09\xc8\xfe\x2d\x65\x9d\xf6\xfb\x97\xbf\xfc\x79\xb2\x0c\xc6\x2e\xaf\x62\x5f\xc5\x4b\xdf\x6e", (void(*)(void *))&fexfn_unpack_libGL_glGetTexParameterIiv}, // libGL:glGetTexParameterIiv
  {(uint8_t*)"\x86\x6e\xad\xef\xd4\x38\xc6\xdc\x10\x41\xaf\xf0\x09\xd7\x13\x9e\x5a\x51\x7f\x8c\x96\x8d\xd0\x85\x04\x5c\x06\xd8\x73\xbd\x1f\x2b", (void(*)(void *))&fexfn_unpack_libGL_glGetTexParameterIuivEXT}, // libGL:glGetTexParameterIuivEXT
  {(uint8_t*)"\x76\xf5\x32\x42\x2f\xbd\x37\xe9\x16\xd8\xb4\x1f\x19\xa8\xb3\x76\x37\xea\xa8\xa5\xa0\x54\xff\x07\xda\x21\xba\x2e\x81\x69\xd9\xf5", (void(*)(void *))&fexfn_unpack_libGL_glGetTexParameterIuiv}, // libGL:glGetTexParameterIuiv
  {(uint8_t*)"\xdb\x5f\xf3\x7b\xa9\x57\x71\xc4\xfc\x8b\x67\x76\x4f\xb4\xe4\x3d\x46\xf6\xbe\x83\xe7\xdc\x07\xfb\x17\x64\xe4\xf8\x5a\x39\x91\x25", (void(*)(void *))&fexfn_unpack_libGL_glGetTexParameteriv}, // libGL:glGetTexParameteriv
  {(uint8_t*)"\x3c\x0b\xa1\x8a\x89\x5e\x4c\xf6\x71\xab\xf8\x29\x60\x25\x08\xcc\x4f\xe6\x79\x06\x7b\xe8\xdd\x52\x91\x2f\xb2\x36\x1c\x6a\xb3\xb1", (void(*)(void *))&fexfn_unpack_libGL_glGetTexParameterPointervAPPLE}, // libGL:glGetTexParameterPointervAPPLE
  {(uint8_t*)"\x31\x8f\x45\xeb\x27\xab\xbb\x52\xe8\x8a\x01\xf9\x5a\x7b\xcc\x89\x28\x35\x3b\xfb\x04\x18\xc9\x1e\x21\x6b\x95\x28\x67\x03\xa1\xdf", (void(*)(void *))&fexfn_unpack_libGL_glGetTexParameterxvOES}, // libGL:glGetTexParameterxvOES
  {(uint8_t*)"\x51\xb9\x52\x78\x39\xb4\x04\x10\x57\x53\x9a\xd6\x86\x32\xa3\x71\xc0\xe7\x23\xf9\x68\x9e\x83\x2a\xf9\xb2\xa9\x52\x23\xa5\x01\xd0", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureImageEXT}, // libGL:glGetTextureImageEXT
  {(uint8_t*)"\xb7\x59\xb7\xae\x29\x97\x06\x63\x15\xda\x11\x68\xc8\x13\x03\x1a\x25\x00\xdb\xb6\x77\xec\xe0\xa3\x80\x7a\x30\xd4\x8f\x4d\x0c\xa5", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureImage}, // libGL:glGetTextureImage
  {(uint8_t*)"\x0a\x47\xc5\xeb\x16\x35\x46\xe7\x3e\xb0\x22\x83\x40\x50\x07\xf2\x25\x1a\x1d\x06\xc9\x2a\x1a\xaa\xb8\xeb\x84\xe2\xca\xe9\xe6\xae", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureLevelParameterfvEXT}, // libGL:glGetTextureLevelParameterfvEXT
  {(uint8_t*)"\x7d\x26\xeb\x14\xcf\x1e\x4e\xdc\x09\xd8\xd7\xfe\x11\x31\x20\x99\xad\x90\x1d\x47\x0c\x43\x5c\xc2\x50\x01\x1c\x61\x46\xc4\xba\x67", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureLevelParameterfv}, // libGL:glGetTextureLevelParameterfv
  {(uint8_t*)"\x67\x1d\x2b\x79\x3e\xe7\x79\xc9\x71\xae\x39\xa1\x90\x41\x31\xcd\xe7\xbf\x10\xe8\x4e\xbe\x88\xe1\x58\xf9\xc7\x2f\x75\x70\xcd\x72", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureLevelParameterivEXT}, // libGL:glGetTextureLevelParameterivEXT
  {(uint8_t*)"\xaa\x65\x83\x32\x87\xa4\x20\xbd\x57\x8c\x35\x37\x70\xff\x9c\x5f\xd3\x5d\xb3\x73\x6c\xd9\x83\x32\x18\xe1\x74\xfd\xcc\x35\x66\xe8", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureLevelParameteriv}, // libGL:glGetTextureLevelParameteriv
  {(uint8_t*)"\x18\x3f\xdf\x54\xf6\x93\xdc\x82\xc1\x9d\x58\xcc\x0b\x7e\x6f\x61\x57\x23\x6e\xbe\xfd\xc4\x78\xf4\x79\x2f\x82\x07\x9c\x40\x3d\x4b", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureParameterfvEXT}, // libGL:glGetTextureParameterfvEXT
  {(uint8_t*)"\x0f\xc9\x6d\x7a\x59\xe6\x03\x3e\xa5\xa5\xac\xce\x3b\x46\xbf\x71\xa5\xc4\x57\x9a\xdb\xf7\x99\x74\xc5\x4c\x95\x46\x9b\xaa\x41\xc9", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureParameterfv}, // libGL:glGetTextureParameterfv
  {(uint8_t*)"\x9e\xf6\x36\xdc\x75\x41\xe1\xc4\xf8\x21\x7f\xca\x8d\x2f\x5c\x6d\x92\x32\x95\xc6\x59\xd0\x59\xd3\xcf\x13\x88\x82\x44\x57\x91\xbf", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureParameterIivEXT}, // libGL:glGetTextureParameterIivEXT
  {(uint8_t*)"\xb8\x07\x42\x78\x9e\x99\xc0\x76\xd4\xc9\xb8\x2d\x60\x90\x0b\x31\xb6\xac\xab\xee\x61\x32\x6e\x2d\xc5\x9c\xc2\xf1\xa4\x73\xe3\x8d", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureParameterIiv}, // libGL:glGetTextureParameterIiv
  {(uint8_t*)"\x38\x49\xb2\xe3\x6f\xdd\x3c\xaf\x52\x3b\xb6\x95\x94\x27\xb9\x4a\x68\x3f\xc1\xe5\x41\x1a\xb4\x9c\xd5\xdf\x4e\xb0\x1a\x32\x6a\x68", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureParameterIuivEXT}, // libGL:glGetTextureParameterIuivEXT
  {(uint8_t*)"\x81\x0c\xf5\xaa\x16\xfc\x4c\xa9\x18\xd1\x54\x08\xd4\xdd\x4d\x47\xd0\x44\xcf\x3b\x83\xe1\x1a\x27\x79\x15\x8f\x7e\xad\xf1\x99\x5b", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureParameterIuiv}, // libGL:glGetTextureParameterIuiv
  {(uint8_t*)"\xd8\xe2\x02\xe9\xbb\xcc\x92\x2e\xd9\xc2\xbd\x81\x23\x66\x86\x10\xa2\x12\x7f\x89\xf7\x70\xdc\xaf\xab\x7f\x2b\x99\x83\xd0\x29\xa8", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureParameterivEXT}, // libGL:glGetTextureParameterivEXT
  {(uint8_t*)"\x12\x98\xd3\xc9\x40\x10\x54\xf3\x70\xe9\x38\xc5\x9e\x5b\xe3\xe1\x5d\xed\x3d\xd7\xf2\x13\x82\xaa\x23\x5f\x61\x11\xfa\x76\xb9\x9d", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureParameteriv}, // libGL:glGetTextureParameteriv
  {(uint8_t*)"\x5e\x62\x77\x01\x4e\xb3\x7b\x9b\x08\x32\x25\x3a\xf6\xf1\x9b\x5e\x74\xf6\xf3\x23\xa4\x4d\x0d\x1c\xa7\xc9\x67\xc9\x5e\xbd\xe7\x4f", (void(*)(void *))&fexfn_unpack_libGL_glGetTextureSubImage}, // libGL:glGetTextureSubImage
  {(uint8_t*)"\xfc\x07\x34\xbc\x0a\xf2\xce\xe4\x0f\xee\xc1\x88\x07\xbf\x81\x57\x97\x26\xb5\x03\x6b\x93\x67\x64\x0e\x43\xb1\x4a\x75\xa3\x32\x91", (void(*)(void *))&fexfn_unpack_libGL_glGetTrackMatrixivNV}, // libGL:glGetTrackMatrixivNV
  {(uint8_t*)"\xa9\x05\xd6\xf3\x6c\xb8\x2c\xf3\xd4\x4c\xb0\x25\xe2\x0f\xa4\x75\x36\x28\xdb\x3c\xe1\x9b\xeb\xe2\xfb\x5a\x77\x0f\xdd\xf7\x48\x33", (void(*)(void *))&fexfn_unpack_libGL_glGetTransformFeedbacki64_v}, // libGL:glGetTransformFeedbacki64_v
  {(uint8_t*)"\xf2\x6a\xb0\x93\xff\x94\x75\xde\x66\x27\x06\x6d\x6c\x38\xd2\x78\x5f\xc0\xf0\x44\xd0\xdf\x11\xc2\x4e\x61\xd0\x4e\x3b\x94\x87\x5a", (void(*)(void *))&fexfn_unpack_libGL_glGetTransformFeedbackiv}, // libGL:glGetTransformFeedbackiv
  {(uint8_t*)"\x0b\x27\xf5\xaa\x57\x31\x4d\x81\x98\xba\xf0\x92\x7e\xaa\x14\x51\xa0\x51\xa2\xef\x40\x2a\x9e\xd4\x49\x8d\xec\x6c\x6e\x25\x44\x3b", (void(*)(void *))&fexfn_unpack_libGL_glGetTransformFeedbacki_v}, // libGL:glGetTransformFeedbacki_v
  {(uint8_t*)"\x42\xe1\xab\x0b\x4f\x31\x5f\x9e\x16\xf9\x07\x41\xa8\x3f\x22\xd9\x2f\xd6\x59\xfb\xe2\x9a\xbf\x7c\xf5\x78\x0d\x80\x4a\xd4\xdb\xd0", (void(*)(void *))&fexfn_unpack_libGL_glGetTransformFeedbackVaryingEXT}, // libGL:glGetTransformFeedbackVaryingEXT
  {(uint8_t*)"\x34\xb7\xbd\x88\x8d\x8e\x5a\x5b\xf0\xe7\x10\x79\xc3\xe6\x93\xd9\xe8\x90\x3a\x2d\x40\x92\x5f\x21\x83\x5c\x69\xc8\x28\x61\x1c\x0a", (void(*)(void *))&fexfn_unpack_libGL_glGetTransformFeedbackVarying}, // libGL:glGetTransformFeedbackVarying
  {(uint8_t*)"\x70\xbe\x30\x19\xe6\xed\x7a\x3a\xf9\xe7\x17\x5a\x7e\xfd\x61\x3c\x39\x21\xae\xa9\x44\xfd\xa6\x0d\x0a\x05\x58\xf5\x24\x8e\x07\xb0", (void(*)(void *))&fexfn_unpack_libGL_glGetTransformFeedbackVaryingNV}, // libGL:glGetTransformFeedbackVaryingNV
  {(uint8_t*)"\x9c\xf5\xf8\xf5\x13\x81\x33\x85\xa3\x9c\x60\xe8\xb1\xef\x5e\x22\xc4\x88\x9c\xc8\x94\x1b\x68\xfc\xba\xa8\x35\xa9\x4d\x20\x75\x54", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformdv}, // libGL:glGetUniformdv
  {(uint8_t*)"\xa1\x86\x32\x0e\x42\xe0\xf8\x63\x21\xe3\xcf\xca\xe1\xd3\x0d\x13\xa5\x9a\xa3\x7b\x52\xf7\x34\x26\xcf\xb8\x43\xd1\x92\xed\x30\x45", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformfvARB}, // libGL:glGetUniformfvARB
  {(uint8_t*)"\x65\x8c\xe9\xb6\x9a\x4d\x6a\xff\x7d\x13\x32\xc2\xad\xff\x70\xe9\xc0\x41\x0a\xc7\xbd\x17\xf9\x87\xe5\x51\x2c\xea\x15\xed\xb0\xb8", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformfv}, // libGL:glGetUniformfv
  {(uint8_t*)"\x74\x7d\x04\xa1\x29\x53\x5b\x0a\xa3\xa0\x2c\xa3\x8f\xd3\x83\x63\xd7\x27\x9d\x12\xeb\x44\xfa\xea\xa9\x21\xa3\xe3\xae\x34\x0b\x64", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformi64vARB}, // libGL:glGetUniformi64vARB
  {(uint8_t*)"\xda\x7f\x71\x60\x2b\xd3\x1b\xca\x30\x39\x17\x45\x5a\x5c\x3e\x30\xe0\x7a\xe8\x0e\x8c\x0d\x14\xe0\xb3\xd0\x08\xff\x79\xd1\x41\x5f", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformi64vNV}, // libGL:glGetUniformi64vNV
  {(uint8_t*)"\x87\x7e\xae\x02\xe8\xed\x53\xc4\x8e\x0a\xfa\xb6\xc8\x4c\x0f\x9b\xca\xbe\x46\x73\x64\x88\x8d\xb8\xfa\xf4\xdf\x18\x06\x0d\xf3\x23", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformIndices}, // libGL:glGetUniformIndices
  {(uint8_t*)"\xdc\x29\xe4\x6f\x81\x5e\x1a\x42\x67\x15\xe5\xcb\x55\xcb\x8c\x16\xb1\x83\x79\x7f\x91\x76\xda\x14\xfa\x10\x77\xcc\x15\xc9\x73\x2f", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformivARB}, // libGL:glGetUniformivARB
  {(uint8_t*)"\x2e\x44\x52\x65\xbf\x09\x30\xf5\xf3\x0c\xa0\xd2\xd7\x6f\xd7\x34\x95\x9a\x5a\xaf\x82\xfa\x30\x86\x3f\x87\xc7\x1a\x55\x0c\x57\x9b", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformiv}, // libGL:glGetUniformiv
  {(uint8_t*)"\x1b\xf0\x0b\x52\x16\x4d\x2d\xa5\x21\x1c\x6b\xb4\xd1\xf9\x01\xa5\xd0\xd6\x6e\x92\x90\x52\x65\xff\x1f\x88\x0b\xbd\x1d\x65\x5c\xfd", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformSubroutineuiv}, // libGL:glGetUniformSubroutineuiv
  {(uint8_t*)"\x55\xfe\x11\xf4\xf2\x26\x57\x72\x56\x39\x8b\x7d\xbc\x43\x8d\xee\x3c\x85\x2c\xda\xf2\xf7\xf8\x92\xe0\x39\x9c\x15\xd8\x63\x72\x09", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformui64vARB}, // libGL:glGetUniformui64vARB
  {(uint8_t*)"\x73\x25\x31\xc6\x4d\xa6\x97\xd4\xb7\xad\xf8\xa0\x6c\x03\x3d\xf8\xb3\xfb\x11\x6d\x30\x95\x8c\x66\x8f\x88\x22\x7a\x46\x46\xe7\xaf", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformui64vNV}, // libGL:glGetUniformui64vNV
  {(uint8_t*)"\x10\xd1\x2b\xac\x53\x23\xff\xc6\x27\xfc\x59\xce\x52\x5c\xa3\xb4\x87\x90\xd1\x04\x31\x74\x14\xf8\x2f\x2f\xc5\xec\xd3\x90\x13\x4b", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformuivEXT}, // libGL:glGetUniformuivEXT
  {(uint8_t*)"\x1d\x4e\xe5\x2c\xe4\xa0\x22\xc3\xc6\x49\x5b\x6f\x51\xda\xc8\x74\x8b\x34\x46\x00\xd9\x4b\xd0\xf3\x16\x29\x32\xed\x06\xc4\x90\x5a", (void(*)(void *))&fexfn_unpack_libGL_glGetUniformuiv}, // libGL:glGetUniformuiv
  {(uint8_t*)"\x2d\x3f\x12\xd6\x79\xb3\x17\xb3\x30\xef\x96\xd6\x5c\x7b\xc4\xa5\xa0\x95\x72\x12\xc6\xd1\xaf\x10\x89\x7a\x85\xb1\xfb\x3c\xf8\x6a", (void(*)(void *))&fexfn_unpack_libGL_glGetUnsignedBytei_vEXT}, // libGL:glGetUnsignedBytei_vEXT
  {(uint8_t*)"\x88\xed\xd9\x48\x3b\xbe\x38\x22\x4c\x3d\xe5\x9d\xb3\x56\x08\x6a\xb2\xe0\x6f\x23\x9c\x60\xa3\x0b\x81\x7b\xcd\x93\x06\x2e\xae\xcf", (void(*)(void *))&fexfn_unpack_libGL_glGetUnsignedBytevEXT}, // libGL:glGetUnsignedBytevEXT
  {(uint8_t*)"\xd3\x0e\x30\xa4\x95\xba\x7a\xc0\x57\x88\xbb\x89\x94\xb8\xc3\x01\x0b\xd7\x09\xec\xf6\x7c\x63\x3a\x6b\xe9\xdc\x28\xa7\xe1\xde\x22", (void(*)(void *))&fexfn_unpack_libGL_glGetVariantArrayObjectfvATI}, // libGL:glGetVariantArrayObjectfvATI
  {(uint8_t*)"\x43\x76\x9a\xda\x35\x29\x5a\x68\xa1\x42\x9d\xaf\x27\x3f\xc2\xb4\x94\xf8\x34\x15\x43\xcd\x30\xa1\x24\xa8\x94\xec\xcd\x10\x14\x71", (void(*)(void *))&fexfn_unpack_libGL_glGetVariantArrayObjectivATI}, // libGL:glGetVariantArrayObjectivATI
  {(uint8_t*)"\x9a\xc0\x22\x2c\x71\x73\x33\xdb\xe3\x2c\xf3\x6c\x26\x37\x8c\x1e\x64\xb4\xa9\x12\x93\x8f\x14\xb5\x0b\x94\xf6\x51\x77\x0d\x29\x1d", (void(*)(void *))&fexfn_unpack_libGL_glGetVariantBooleanvEXT}, // libGL:glGetVariantBooleanvEXT
  {(uint8_t*)"\x1d\x61\x4f\xb0\xe3\x04\x9f\x5f\xec\xae\xec\xb8\xba\x93\xcc\xf0\x75\x1d\x1c\xd0\x88\x50\x03\x4e\x79\x11\xdf\x5a\x5a\x5b\xbf\x17", (void(*)(void *))&fexfn_unpack_libGL_glGetVariantFloatvEXT}, // libGL:glGetVariantFloatvEXT
  {(uint8_t*)"\xd9\xec\x57\x4e\x4c\x52\xff\x3a\x6b\x25\x86\xcc\x64\xda\xbc\xa4\x46\x5e\x12\x81\x50\xfd\xf0\x75\x1d\x8e\x01\xff\x9f\xad\x12\x67", (void(*)(void *))&fexfn_unpack_libGL_glGetVariantIntegervEXT}, // libGL:glGetVariantIntegervEXT
  {(uint8_t*)"\x25\x87\x7e\x1c\x5f\x59\xa2\xcf\x32\x48\x01\xeb\xb0\x05\xd4\x05\xe2\x1e\xae\xec\x7d\xa5\x45\x90\xdd\xc0\xb3\xdd\xfa\x88\x59\xa4", (void(*)(void *))&fexfn_unpack_libGL_glGetVariantPointervEXT}, // libGL:glGetVariantPointervEXT
  {(uint8_t*)"\x47\x81\xca\xa0\x51\xeb\x80\x62\xfb\xac\x85\x8c\x0d\x05\x98\x15\x13\x50\xb0\x37\xcd\x30\xef\xeb\xcd\x36\x2b\x60\xd9\x18\x2a\x8a", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexArrayIndexed64iv}, // libGL:glGetVertexArrayIndexed64iv
  {(uint8_t*)"\xbe\x59\xce\x85\x55\x55\xfa\x09\x43\xed\x11\xb7\x39\x48\x07\x71\xcd\x4d\x31\x30\x31\x6c\x3f\x9d\x26\xf9\xd0\xaa\x9b\x97\x8f\x9e", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexArrayIndexediv}, // libGL:glGetVertexArrayIndexediv
  {(uint8_t*)"\x83\x67\xea\xc3\xd6\x44\x07\x4b\x70\xef\x19\x27\x56\xe5\xfc\x89\x64\x09\x79\xf7\x25\x32\xe8\xdd\xe2\xb6\x04\xf7\xe9\x40\x69\xc0", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexArrayIntegeri_vEXT}, // libGL:glGetVertexArrayIntegeri_vEXT
  {(uint8_t*)"\x52\x54\xe0\x16\x51\xf8\x40\x86\xfb\xce\x50\x6f\x07\xb0\xa0\xc4\xef\x45\x4a\x2a\x06\x90\xf4\x58\xe8\x8f\x7a\xd9\x69\x2c\xec\x44", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexArrayIntegervEXT}, // libGL:glGetVertexArrayIntegervEXT
  {(uint8_t*)"\xbc\x96\x91\x6d\x4b\x55\x42\x7e\x72\x39\x4b\xe1\x8b\x8d\x6a\x12\xa2\x82\x75\x0a\x74\xb5\x1a\xe5\xb3\x10\xd4\xf2\x02\x72\xe0\x74", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexArrayiv}, // libGL:glGetVertexArrayiv
  {(uint8_t*)"\x34\x1a\x25\xf4\xa9\xd3\x7e\x4c\x1e\xd0\x8b\x38\xba\xda\x72\x95\xf3\xd8\xf0\x33\xa8\x97\x40\x6c\x72\x5d\x49\x89\x16\xa1\xe0\x1e", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexArrayPointeri_vEXT}, // libGL:glGetVertexArrayPointeri_vEXT
  {(uint8_t*)"\x71\x3b\x3b\x0c\x2b\xee\x8e\xb4\x13\xa2\xaf\x52\xfa\x54\x4c\xcf\xeb\xd5\x6e\xb4\x94\x3b\x21\x25\xc1\x34\x96\x59\x63\xc5\x46\x72", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexArrayPointervEXT}, // libGL:glGetVertexArrayPointervEXT
  {(uint8_t*)"\xb8\x65\x65\x00\x94\x82\xea\xe4\x5f\x8e\x68\x95\x18\xf0\x9c\xc1\x3b\x00\x2d\x33\x86\x8c\x02\x59\x67\x81\x25\x18\x58\x48\xcb\xa3", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribArrayObjectfvATI}, // libGL:glGetVertexAttribArrayObjectfvATI
  {(uint8_t*)"\x69\xb4\x07\xee\xb8\x2d\xdd\x9a\x75\xf7\x64\xe6\xdf\x3b\x87\x72\xda\x77\x45\x8a\x93\xe8\x47\x5e\x51\x5c\x9b\x6f\xaf\xf6\x0b\x43", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribArrayObjectivATI}, // libGL:glGetVertexAttribArrayObjectivATI
  {(uint8_t*)"\x5c\x30\x81\x25\x56\x4c\x2e\x2f\xbe\x3f\xa6\x96\xab\xfd\x52\x89\x1b\xfc\x42\x51\xe7\x73\xef\xf4\xdc\xf1\x93\x40\x5a\x01\x7c\x3c", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribdvARB}, // libGL:glGetVertexAttribdvARB
  {(uint8_t*)"\xd5\x29\x0c\x0b\x8d\x2d\xfb\x49\x9e\x3b\x22\xc2\x53\x72\x0d\x31\x3a\x40\x10\xc7\xdd\x65\xa7\x40\xc0\x42\xea\xdd\xe4\x11\x0b\xdb", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribdv}, // libGL:glGetVertexAttribdv
  {(uint8_t*)"\x07\x06\x23\xd9\x22\x7e\xad\x5c\xcd\xbb\x16\x6b\xde\xb6\x0a\x7d\x3d\xc0\x74\x94\xaa\x6a\x9d\x89\xda\x22\x26\xb6\xc5\xf5\x5b\x66", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribdvNV}, // libGL:glGetVertexAttribdvNV
  {(uint8_t*)"\xdf\x89\x95\x74\x59\x45\x7d\x2c\x52\xf5\x2d\x07\xa8\xc5\xad\x3a\x25\xec\x6d\x40\x31\xe5\xc2\x7a\xda\xd1\x41\xe6\x8b\x72\x0b\x1c", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribfvARB}, // libGL:glGetVertexAttribfvARB
  {(uint8_t*)"\xe8\xa8\x01\x0e\xf4\xff\x04\x9f\x02\x28\xad\x05\xa3\x5c\xdc\x87\x85\xa1\xce\x24\x1a\x7d\xff\x42\x8d\xe8\x3f\xb5\xfd\xa8\x09\xb7", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribfv}, // libGL:glGetVertexAttribfv
  {(uint8_t*)"\x59\x0f\x5c\x69\x40\x11\x42\x6a\x41\xc3\xf3\x4c\x64\x37\x04\xa2\x3a\x32\xb9\xa7\x00\xdc\x31\x51\xb2\xd9\xe8\x1f\x6d\x66\xcb\x08", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribfvNV}, // libGL:glGetVertexAttribfvNV
  {(uint8_t*)"\x5b\xaf\x60\x5e\x67\x4f\x99\x54\x47\x66\xac\xdc\x49\xd9\x2d\x00\xcd\x96\x8d\xd9\xaf\x2b\x91\xbc\xd8\x7f\x73\x4d\xad\xd1\x34\x0c", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribIivEXT}, // libGL:glGetVertexAttribIivEXT
  {(uint8_t*)"\x96\xd3\x82\xba\xff\x0e\x31\x6c\x4b\xfb\x06\x41\x9a\xe5\x46\xe3\x42\x68\x41\xf3\x3d\x8e\x41\xde\x7e\x1b\xbd\xd2\x17\x39\x77\xe9", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribIiv}, // libGL:glGetVertexAttribIiv
  {(uint8_t*)"\x4d\x49\x25\xf4\x38\x3e\xf3\x9d\x10\xf3\x40\xc0\xd2\x0a\x61\xb1\x08\xf4\xf1\x5e\x36\x25\xf2\x31\xab\xd8\x38\xe3\x62\xb5\x19\x3b", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribIuivEXT}, // libGL:glGetVertexAttribIuivEXT
  {(uint8_t*)"\x32\x12\x8c\x57\x59\xd8\x75\xc0\x43\x62\xa5\x11\xe0\x31\xb6\x0c\x47\x1e\xee\x3f\xb3\x9c\x04\xe6\xff\x09\x2d\x93\xd3\x20\x14\x8a", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribIuiv}, // libGL:glGetVertexAttribIuiv
  {(uint8_t*)"\xd1\x42\x3e\x2f\xcb\x98\x9f\xf0\x1d\x3d\x98\x1e\x22\x8d\x36\xa1\x14\x3c\xbd\x82\x0d\x94\x2e\x30\xd8\x51\x39\xaa\x05\xdb\x91\x6a", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribivARB}, // libGL:glGetVertexAttribivARB
  {(uint8_t*)"\x19\x5b\x96\x05\x3b\xfc\x0b\xab\xe9\xb2\x2e\x85\x5c\xea\x22\x4c\x3d\x31\xdb\x4f\x39\xae\x83\x96\x58\xb5\x1d\x6d\x74\x9d\x72\xec", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribiv}, // libGL:glGetVertexAttribiv
  {(uint8_t*)"\xb4\xfd\x19\xad\x2f\x10\x72\x29\xc4\xb6\x32\x6f\x84\x65\x7f\xed\x5f\x43\x29\xad\x1f\x10\xa7\x93\xdc\xe0\x6e\x89\xa4\xed\xed\x15", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribivNV}, // libGL:glGetVertexAttribivNV
  {(uint8_t*)"\x54\xa7\xaa\xe1\xc6\x72\x50\xab\xd2\x87\xd7\xac\x8e\x4d\xf2\x44\xf2\xb1\x4b\x79\xbc\xc9\xf4\x7c\x22\xb5\xf2\xe3\x3e\xef\xf4\x73", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribLdvEXT}, // libGL:glGetVertexAttribLdvEXT
  {(uint8_t*)"\xfb\x97\xd7\x9a\xeb\xa5\xf5\xd3\x8a\xea\x34\x7d\x1a\x75\xe0\x97\xfc\x7b\x46\x6a\x81\xdc\xf7\x6d\x49\x8d\xc9\x74\xa9\xf7\x22\xc6", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribLdv}, // libGL:glGetVertexAttribLdv
  {(uint8_t*)"\x67\x00\x16\x37\x00\xf0\x7a\xa9\xe0\x40\x6c\xb4\x6f\x6d\xb6\x35\xf9\x16\x12\x6d\x05\x5f\xdc\x36\x92\x0a\xa8\xb2\x42\xd2\xb2\xd0", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribLi64vNV}, // libGL:glGetVertexAttribLi64vNV
  {(uint8_t*)"\x0a\x1d\x9a\x8c\x4b\xfa\xd4\xc2\x25\x03\xdc\xe4\x2a\xef\x9a\xef\xa5\x4f\x03\x35\x8f\x02\xb9\x57\xaa\xa8\xea\xb3\xaa\xf0\x53\x13", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribLui64vARB}, // libGL:glGetVertexAttribLui64vARB
  {(uint8_t*)"\x1b\x0c\xc5\xeb\x22\xc2\xbd\xc6\xf0\x0d\x6a\xf6\xe9\x7b\x55\x28\xae\xc8\x99\x5c\x75\xdd\xfa\xcf\xd4\x68\x65\x4a\xa4\xcf\x11\x18", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribLui64vNV}, // libGL:glGetVertexAttribLui64vNV
  {(uint8_t*)"\xd3\xb6\x18\x89\xdc\xb2\x72\xce\x0c\x13\xcf\xb6\xf2\x6c\x6b\xbe\x9a\x22\x8a\x93\x4b\xd1\xb8\x4b\xcd\x40\x4e\x9f\xb1\xe4\xe7\x7e", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribPointervARB}, // libGL:glGetVertexAttribPointervARB
  {(uint8_t*)"\x45\x2b\xdf\x18\x06\xc1\x30\x27\x15\x3b\x39\x65\xbf\x5d\x03\xde\x89\x23\x5d\x11\x19\x7f\x19\x81\xed\x26\xe3\xf5\xaf\x76\xb8\x3d", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribPointerv}, // libGL:glGetVertexAttribPointerv
  {(uint8_t*)"\xe8\x1f\x32\x04\x8b\xd7\xa9\x9a\x8f\xfd\xe9\xb0\x58\x8d\xc7\xe0\x54\x15\xc1\xa6\x23\x8e\x15\x1d\x28\xa2\x30\x43\xd7\x55\x9a\x3a", (void(*)(void *))&fexfn_unpack_libGL_glGetVertexAttribPointervNV}, // libGL:glGetVertexAttribPointervNV
  {(uint8_t*)"\x2d\xf9\x17\x4d\x60\x95\xac\x4f\x31\xc2\xd6\x99\x20\x04\x51\x9a\x07\x8d\xf3\x98\x01\x59\x25\xa5\xfa\x46\xc3\x36\x62\xac\xc5\x28", (void(*)(void *))&fexfn_unpack_libGL_glGetVideoCaptureivNV}, // libGL:glGetVideoCaptureivNV
  {(uint8_t*)"\x87\xac\xcb\x27\x70\x49\x13\xf0\x2c\x3f\x72\x61\xb6\x15\xc3\x5e\xda\x0c\x2d\x48\xcb\x22\x5a\x5f\x0b\x39\x55\x5b\xb9\x8a\xcc\x45", (void(*)(void *))&fexfn_unpack_libGL_glGetVideoCaptureStreamdvNV}, // libGL:glGetVideoCaptureStreamdvNV
  {(uint8_t*)"\x36\xbc\x70\x7f\xe5\x43\xea\xd3\x51\x1c\x6f\x13\xee\x24\x00\x0f\xfd\x5c\x59\x64\xfb\x19\x1e\x3c\xb3\xab\x68\xc6\x24\xa1\xa2\xcc", (void(*)(void *))&fexfn_unpack_libGL_glGetVideoCaptureStreamfvNV}, // libGL:glGetVideoCaptureStreamfvNV
  {(uint8_t*)"\x87\x50\x2f\x23\xe5\x05\x32\x1f\x8c\x4e\xa3\x79\x11\xf8\xcb\x61\xd6\x7b\x5e\xe0\xa5\x72\xdd\xde\xf2\x65\xd8\xf0\x25\xc4\x16\x8d", (void(*)(void *))&fexfn_unpack_libGL_glGetVideoCaptureStreamivNV}, // libGL:glGetVideoCaptureStreamivNV
  {(uint8_t*)"\x67\x83\xad\xfe\x3a\xc0\x56\x0c\x3c\x52\x83\x65\x75\x4e\x58\x82\xf0\x4d\xbe\x04\x84\x00\x80\x42\x4b\xf2\x84\xbf\x46\x28\x67\xea", (void(*)(void *))&fexfn_unpack_libGL_glGetVideoi64vNV}, // libGL:glGetVideoi64vNV
  {(uint8_t*)"\xd6\xdc\x60\x0b\xfd\x08\x4b\x25\xb1\xdb\x54\x4e\xf5\x81\xb5\x7d\xbf\xb6\xb3\xc7\x0e\xc8\xa7\x4c\x8c\x87\xff\x1b\x13\x43\xd9\xfe", (void(*)(void *))&fexfn_unpack_libGL_glGetVideoivNV}, // libGL:glGetVideoivNV
  {(uint8_t*)"\x64\xe9\xb4\x93\x21\x33\x6b\x0d\x0a\xdc\x98\x25\x50\x3d\xf6\x01\xa0\xf6\x10\x72\xc2\xdc\xc9\x93\x18\xf7\xc1\x38\xd2\x48\xe2\x5b", (void(*)(void *))&fexfn_unpack_libGL_glGetVideoui64vNV}, // libGL:glGetVideoui64vNV
  {(uint8_t*)"\xce\x74\xb4\x43\xf0\xb6\x92\xff\x46\x1b\x7c\x48\xb0\x27\xb2\x4e\xef\x4c\x67\x32\xe8\x23\xfe\x17\x56\x83\x2d\xf8\xfd\x4d\xb8\x4c", (void(*)(void *))&fexfn_unpack_libGL_glGetVideouivNV}, // libGL:glGetVideouivNV
  {(uint8_t*)"\x6a\xf0\x27\xa2\x71\x39\xfe\x43\x0f\x60\x99\x72\x7e\x57\x06\xef\x88\x16\x7f\x26\x3f\x85\xa5\xd0\xc9\x25\x8f\x6c\xd9\x7d\x3b\x08", (void(*)(void *))&fexfn_unpack_libGL_glGlobalAlphaFactorbSUN}, // libGL:glGlobalAlphaFactorbSUN
  {(uint8_t*)"\x81\xd5\xe4\x37\x2d\x47\x7e\xf3\xac\x96\x8b\x25\x9b\x2a\x29\xe5\x9d\xd5\xbd\x2c\xd6\x24\x1d\x0d\xc0\xb2\x9b\xd9\x8c\xb3\xa8\x60", (void(*)(void *))&fexfn_unpack_libGL_glGlobalAlphaFactordSUN}, // libGL:glGlobalAlphaFactordSUN
  {(uint8_t*)"\x17\x13\x45\x0a\x1a\x26\xe9\x65\x59\x69\xec\x12\xe6\x69\x61\x91\xb2\x94\x44\xac\x1b\x03\xec\xa5\x3f\xb0\xf8\xb7\x9c\x04\x4f\xd3", (void(*)(void *))&fexfn_unpack_libGL_glGlobalAlphaFactorfSUN}, // libGL:glGlobalAlphaFactorfSUN
  {(uint8_t*)"\x2d\x76\xb9\xfe\x70\xfa\x7d\xe9\x62\xf7\xdc\x46\x40\xc4\x89\x57\x2f\x91\x30\x3c\x7f\xf2\x90\x4e\x80\x2e\x73\x9a\x8d\x0b\x5b\x6d", (void(*)(void *))&fexfn_unpack_libGL_glGlobalAlphaFactoriSUN}, // libGL:glGlobalAlphaFactoriSUN
  {(uint8_t*)"\x2c\xdc\x17\xa7\x19\x99\x89\x24\x51\xb3\xbb\x44\x2e\xfb\xcd\x65\x0f\x34\x6d\xc6\x3f\x01\xb8\x86\x01\x65\x08\x89\x41\x9e\x5b\x2e", (void(*)(void *))&fexfn_unpack_libGL_glGlobalAlphaFactorsSUN}, // libGL:glGlobalAlphaFactorsSUN
  {(uint8_t*)"\x7c\x65\x88\x85\x97\x3e\x68\xab\x81\xcb\xd6\xb9\xba\xb5\xae\x50\x20\xbf\x9c\xf7\xf4\x12\xa9\x8a\x26\xad\x33\xad\x41\x6c\x3c\x3e", (void(*)(void *))&fexfn_unpack_libGL_glGlobalAlphaFactorubSUN}, // libGL:glGlobalAlphaFactorubSUN
  {(uint8_t*)"\xb2\xcd\x6c\x22\xe3\x7a\xb3\x6a\xf5\xa6\xfe\x96\x06\x5a\x5a\x53\xd7\x95\x14\x84\x4f\x97\xdb\x83\x71\xda\xe6\xb1\xbb\x04\x23\x31", (void(*)(void *))&fexfn_unpack_libGL_glGlobalAlphaFactoruiSUN}, // libGL:glGlobalAlphaFactoruiSUN
  {(uint8_t*)"\x6d\x6b\x48\x1a\x82\xfc\x29\x79\x54\x62\x03\x5b\xe9\x04\x53\x38\xb9\x92\x9e\x50\x1e\x71\x5b\x3c\x6d\x6f\xff\x24\x93\x4f\x27\x54", (void(*)(void *))&fexfn_unpack_libGL_glGlobalAlphaFactorusSUN}, // libGL:glGlobalAlphaFactorusSUN
  {(uint8_t*)"\x63\x8c\x78\xa0\x53\x06\x9d\x59\x1d\xa2\xce\xed\x81\x3c\x8b\xf5\x4b\xaf\xc5\x66\x0c\x8f\x1a\x8d\x49\x82\xfb\x03\xa1\xe8\xbf\xab", (void(*)(void *))&fexfn_unpack_libGL_glHint}, // libGL:glHint
  {(uint8_t*)"\x1c\x29\x73\x62\xeb\x01\xb1\x6c\x1e\x21\x90\xc4\xed\x5a\x28\xdc\x75\x58\xf0\xb7\xd3\xc0\xa8\x81\x60\xc7\x6f\x3c\xaa\xcf\xa5\xc2", (void(*)(void *))&fexfn_unpack_libGL_glHintPGI}, // libGL:glHintPGI
  {(uint8_t*)"\x90\x75\x26\x78\x0b\x6d\x12\x5a\x83\x98\x77\x3a\xfe\x7f\xc5\x53\xb7\x6d\xb2\x6e\x93\x08\x4b\x02\xc1\xca\x4f\x44\x01\x68\x0f\xd8", (void(*)(void *))&fexfn_unpack_libGL_glHistogramEXT}, // libGL:glHistogramEXT
  {(uint8_t*)"\x10\xa1\x9f\x05\x50\xb7\x5f\x80\x33\x41\x9d\xb5\x67\x6e\xc5\x4b\x52\xbd\x9e\x5c\xc5\x16\x6c\x45\x7d\xbf\xb6\x25\xcc\xad\xcf\x74", (void(*)(void *))&fexfn_unpack_libGL_glHistogram}, // libGL:glHistogram
  {(uint8_t*)"\x87\x25\xcd\xaf\x1e\x80\x11\xe9\x4d\x3a\xd0\x8c\x45\x7b\x57\x76\x80\x89\x0e\x2d\x9e\x33\xff\x04\x40\x7a\xb5\x35\x40\xf3\x8e\x8b", (void(*)(void *))&fexfn_unpack_libGL_glIglooInterfaceSGIX}, // libGL:glIglooInterfaceSGIX
  {(uint8_t*)"\x88\x8c\x2e\xc9\x2b\x3d\x2b\x8a\xd8\x14\xf5\xc9\x7e\x95\x30\x29\x38\xaf\xd3\xde\x5a\x11\x6a\x9a\xa6\x08\x93\x9c\xe8\x2b\x01\x7e", (void(*)(void *))&fexfn_unpack_libGL_glImageTransformParameterfHP}, // libGL:glImageTransformParameterfHP
  {(uint8_t*)"\xf3\x92\x3a\x5d\x70\x6f\x6b\xc9\x4c\x95\xfa\xd3\xb5\x98\x0f\xe9\x35\xf5\x93\x95\x5e\x04\x8a\x25\xf2\x22\x64\xca\x07\x36\x3e\x32", (void(*)(void *))&fexfn_unpack_libGL_glImageTransformParameterfvHP}, // libGL:glImageTransformParameterfvHP
  {(uint8_t*)"\xe5\xce\x5a\xe6\x0d\x3c\x25\xc0\x55\x0f\xfd\x43\xd1\x28\x45\x1a\x37\x88\x34\xf6\x47\x57\x30\x31\x45\xa7\xd3\x5e\x94\x6d\xdd\xc2", (void(*)(void *))&fexfn_unpack_libGL_glImageTransformParameteriHP}, // libGL:glImageTransformParameteriHP
  {(uint8_t*)"\x20\x3f\x04\x42\x1f\xa3\xaa\x21\x78\x02\x4b\x52\x13\x63\x5c\xd8\xf6\x87\xd7\x8e\x0e\x6e\x96\x73\x3c\x08\x1b\x46\x08\x4c\x28\x05", (void(*)(void *))&fexfn_unpack_libGL_glImageTransformParameterivHP}, // libGL:glImageTransformParameterivHP
  {(uint8_t*)"\x6b\x5f\x21\xf7\x73\xb6\x26\x46\x38\x6b\x67\xda\x2f\xb5\x30\x06\x0f\x97\x99\xfe\x99\x16\xcf\x4b\xa3\xd3\x20\xa4\x69\x09\xbf\x7e", (void(*)(void *))&fexfn_unpack_libGL_glImportMemoryFdEXT}, // libGL:glImportMemoryFdEXT
  {(uint8_t*)"\x2c\xb9\xd3\xdc\xa3\x61\xc7\x43\x6b\xfa\x02\x7d\x90\x69\xdc\xb0\xcb\xe2\x2b\x54\x2f\x02\xa9\x7e\x1c\x7e\xfc\x7d\x65\x8b\xbf\xa3", (void(*)(void *))&fexfn_unpack_libGL_glImportMemoryWin32HandleEXT}, // libGL:glImportMemoryWin32HandleEXT
  {(uint8_t*)"\x33\xc7\xee\xb2\xb5\xc0\x7a\x04\xf6\x40\x5b\x8e\x53\x0e\x04\xcd\x04\xa2\x4a\xb9\xeb\x03\x43\x28\x43\x10\x4d\xf8\x3e\xac\xd3\x85", (void(*)(void *))&fexfn_unpack_libGL_glImportMemoryWin32NameEXT}, // libGL:glImportMemoryWin32NameEXT
  {(uint8_t*)"\xb5\x6a\xf3\xed\x85\x55\x2c\x00\xc6\x33\x48\x10\xb3\x56\x40\xd0\x2b\x51\xb3\x31\xce\x39\x62\xe6\xec\x90\x1d\xa2\x43\x6c\x56\xa6", (void(*)(void *))&fexfn_unpack_libGL_glImportSemaphoreFdEXT}, // libGL:glImportSemaphoreFdEXT
  {(uint8_t*)"\xd3\x39\xdc\xc4\xca\x77\xe7\xbc\xf6\x0d\x6c\xf9\x1f\x06\x78\x6b\xba\x47\x85\xf7\x5f\x04\x97\x37\x31\x2f\x2f\x23\x48\xe4\xa3\x38", (void(*)(void *))&fexfn_unpack_libGL_glImportSemaphoreWin32HandleEXT}, // libGL:glImportSemaphoreWin32HandleEXT
  {(uint8_t*)"\x35\xc2\x84\x9f\x49\x58\x3a\xff\xcc\xaa\x2a\xb4\xf6\xaa\xda\xfe\x24\x42\xb9\xd2\x9c\xfd\x8e\xc4\x77\x77\x2c\x67\xd7\x33\x7a\xd0", (void(*)(void *))&fexfn_unpack_libGL_glImportSemaphoreWin32NameEXT}, // libGL:glImportSemaphoreWin32NameEXT
  {(uint8_t*)"\x25\x29\xb3\x6f\x56\x4c\x49\x05\xf6\xfb\x8c\x3f\x7a\x83\x6a\x90\x6e\xa2\x63\x0d\x88\xf7\xef\xfa\x81\x4d\x38\x15\xa0\x89\xc2\xe4", (void(*)(void *))&fexfn_unpack_libGL_glIndexd}, // libGL:glIndexd
  {(uint8_t*)"\x58\xda\xea\x2a\xe8\xae\x31\x03\xf3\x14\x50\x9f\x8f\x91\x2f\x5a\x97\x99\x9b\x65\xd6\xe7\xc0\x08\xa5\x85\x82\xdb\x96\x3d\xba\x9f", (void(*)(void *))&fexfn_unpack_libGL_glIndexdv}, // libGL:glIndexdv
  {(uint8_t*)"\xd7\x00\x05\xae\x3f\xd5\x6f\x31\x7e\x1d\x04\xe5\x66\x74\x03\xdc\x27\x33\x6a\x0b\xb5\x21\xe7\x9a\x63\xb2\xca\xb0\xfc\x64\x25\x66", (void(*)(void *))&fexfn_unpack_libGL_glIndexf}, // libGL:glIndexf
  {(uint8_t*)"\xb0\xcc\x19\x51\xb8\x9b\x27\x72\xff\x94\x3a\x8d\x3e\x0b\x9b\xee\x6c\x83\x7a\xd1\x3a\x03\x76\x17\x9c\x5d\x12\x85\xc2\x46\xdc\xd9", (void(*)(void *))&fexfn_unpack_libGL_glIndexFormatNV}, // libGL:glIndexFormatNV
  {(uint8_t*)"\x4e\xf2\x09\x55\x16\x77\x9d\x7a\xa4\x14\xc5\x9e\x09\xf4\xbd\xeb\xc8\x71\x9b\xcb\xbe\x60\x00\xc3\xc6\xc3\xac\xf0\x51\xa8\xac\x82", (void(*)(void *))&fexfn_unpack_libGL_glIndexFuncEXT}, // libGL:glIndexFuncEXT
  {(uint8_t*)"\xb3\xec\xfb\x30\xc4\xd4\x76\x1a\x69\x72\x43\x09\x84\x60\xb3\x90\xed\x54\xec\x88\x17\x97\x7a\x45\x2f\xf4\xe4\x87\xd8\x92\x82\xae", (void(*)(void *))&fexfn_unpack_libGL_glIndexfv}, // libGL:glIndexfv
  {(uint8_t*)"\xcd\x53\x08\x85\xb5\xbc\x57\xc5\x97\x42\xb9\x5f\x44\x1e\x2a\xe3\xf4\x0e\x94\x80\x58\x69\xa1\x52\x5f\x1e\xac\x80\xfa\x84\xa6\x79", (void(*)(void *))&fexfn_unpack_libGL_glIndexi}, // libGL:glIndexi
  {(uint8_t*)"\xa7\xcb\xc7\x19\x7a\x9c\x1b\x74\xc9\xcd\x7a\x9e\x55\x26\x3b\x6c\xac\xfa\x6b\xe4\x79\xed\x9d\xf3\xa9\xde\xcd\xc8\xf8\x49\xc7\x77", (void(*)(void *))&fexfn_unpack_libGL_glIndexiv}, // libGL:glIndexiv
  {(uint8_t*)"\xe2\x8a\xc7\x2b\x80\x4f\x8a\x99\xee\x2d\xb6\x17\x3b\xcd\x6c\xf1\xb8\xbd\xa5\xb1\x5e\x8c\x57\x5c\xe1\xe3\x8c\xab\xe4\x4b\x81\xff", (void(*)(void *))&fexfn_unpack_libGL_glIndexMask}, // libGL:glIndexMask
  {(uint8_t*)"\x0b\x71\x36\xa6\x76\x53\x7d\x20\xbb\x8e\x5f\x7a\x9a\x97\x57\x22\xbb\x72\x7d\x03\x96\xd4\x6a\xff\x68\x95\x89\x47\x8b\x70\x52\xc7", (void(*)(void *))&fexfn_unpack_libGL_glIndexMaterialEXT}, // libGL:glIndexMaterialEXT
  {(uint8_t*)"\xcf\x11\x85\x69\xc6\x9e\x08\x9d\xa2\xf0\x05\x76\xc4\x9b\x4e\xf9\xc6\xb7\x25\x3b\xe6\x5a\xe1\x96\x4b\x27\x10\x8f\x7c\xea\x53\x0f", (void(*)(void *))&fexfn_unpack_libGL_glIndexPointerEXT}, // libGL:glIndexPointerEXT
  {(uint8_t*)"\x1b\x8d\x17\x47\xe8\xe8\x93\xb7\x5e\x27\xbe\x29\xfc\x62\xf1\x90\xd5\x35\x17\x9b\xec\xdd\xfb\xf6\xea\x17\x27\xc4\xcc\x39\xde\x2b", (void(*)(void *))&fexfn_unpack_libGL_glIndexPointer}, // libGL:glIndexPointer
  {(uint8_t*)"\x31\x3c\x04\x25\x53\xdb\xc6\xc0\x99\xa6\x06\x19\x39\xaf\x80\x10\x27\xe0\x89\x04\xbb\xeb\xbf\xb3\x2e\xa0\x35\x82\xce\x05\xba\x37", (void(*)(void *))&fexfn_unpack_libGL_glIndexPointerListIBM}, // libGL:glIndexPointerListIBM
  {(uint8_t*)"\xaa\x36\x80\xc5\x31\x13\x83\x35\x9c\x45\x12\xbb\xb3\xfc\xa5\xbc\x74\x81\xd3\xce\xb0\x0a\x86\x8c\x75\x56\xa1\x20\x1c\xd4\x10\x1f", (void(*)(void *))&fexfn_unpack_libGL_glIndexs}, // libGL:glIndexs
  {(uint8_t*)"\x3e\xb8\x97\x8b\x0b\x69\xef\xc8\xa8\xae\x8d\x91\xaf\xd8\xdf\xd4\xb5\x4e\xd9\x52\xdb\x44\x01\xbd\x8d\x77\x45\xf9\x74\xfa\x72\x45", (void(*)(void *))&fexfn_unpack_libGL_glIndexsv}, // libGL:glIndexsv
  {(uint8_t*)"\x72\x10\xfb\xd7\x50\x77\x46\x17\x6b\x5d\x34\x3d\x02\x1b\x76\xbe\x33\x17\x6e\x7c\xe3\x3b\x83\x8d\x9d\x00\x22\xf0\x23\xca\x29\x5e", (void(*)(void *))&fexfn_unpack_libGL_glIndexub}, // libGL:glIndexub
  {(uint8_t*)"\xfd\xe1\xbd\x61\xd6\x57\xfd\xc7\xa0\x0b\x1e\xe0\x6b\x36\x49\x65\xb8\x83\xd3\xaa\x59\xbd\x3b\x53\x94\x41\xc3\xb8\x00\xa1\x6f\x0f", (void(*)(void *))&fexfn_unpack_libGL_glIndexubv}, // libGL:glIndexubv
  {(uint8_t*)"\x39\xf1\x08\x01\x4a\xd4\x13\xc1\x87\xe0\x6b\x6c\x82\x82\x64\x80\x13\x40\xfd\x37\xd4\xf7\x06\x51\xa8\x95\x29\x9c\x95\x9a\x87\xa0", (void(*)(void *))&fexfn_unpack_libGL_glIndexxOES}, // libGL:glIndexxOES
  {(uint8_t*)"\xc5\x75\x94\x61\x6d\x13\xa2\xe5\xdb\xf4\xa7\xda\x7f\x87\xa5\xbf\x94\xc0\x5f\x69\x8c\x99\x2f\xa7\x5e\xbe\x25\xbc\xea\xb6\x62\xf1", (void(*)(void *))&fexfn_unpack_libGL_glIndexxvOES}, // libGL:glIndexxvOES
  {(uint8_t*)"\xe1\x63\x11\xde\x1b\xff\x89\x67\x5a\xe9\xc7\x2f\xfe\x76\x83\xf4\xb6\x1c\x5d\x5f\x00\xcd\x77\x37\x38\x94\x2a\x7a\x82\xf9\x3d\xac", (void(*)(void *))&fexfn_unpack_libGL_glInitNames}, // libGL:glInitNames
  {(uint8_t*)"\x6f\x8a\xde\x5d\x5c\x7f\x70\x04\x26\x09\x1d\x5c\x5c\xaf\x18\xca\x85\xb9\xe3\x6f\x48\xf9\x35\xb9\xb6\xfe\xd1\xa8\x6e\x74\xf0\xa8", (void(*)(void *))&fexfn_unpack_libGL_glInsertComponentEXT}, // libGL:glInsertComponentEXT
  {(uint8_t*)"\x68\x0a\x57\x62\x40\x38\xcb\xcd\x59\xbd\x08\x41\x69\xac\xea\x99\xba\xb6\xbf\x31\xc3\x10\xbb\x7e\x0e\x15\x7a\xea\xfa\xd2\xa0\xfb", (void(*)(void *))&fexfn_unpack_libGL_glInsertEventMarkerEXT}, // libGL:glInsertEventMarkerEXT
  {(uint8_t*)"\x25\xbf\xfb\xb2\x76\xb3\x5b\x5b\xe1\x17\xbd\xfc\x56\x4b\x95\x5e\x84\x9a\x79\x79\x5d\xd4\x3b\xb2\x37\xfe\x37\xee\xae\xe6\xd3\x06", (void(*)(void *))&fexfn_unpack_libGL_glInstrumentsBufferSGIX}, // libGL:glInstrumentsBufferSGIX
  {(uint8_t*)"\x97\x1f\x7f\x9d\x2f\xda\x27\xe6\x62\xd0\xc0\xc9\x5c\x74\x38\x29\x6e\x50\xd7\x8b\xa8\x18\x72\x6a\x67\xbc\xb5\x63\xab\xb6\x4c\xb6", (void(*)(void *))&fexfn_unpack_libGL_glInterleavedArrays}, // libGL:glInterleavedArrays
  {(uint8_t*)"\xfa\x67\x33\x8d\x26\x01\xb7\xcf\x9f\xb6\x34\xe4\x02\xf4\x26\x96\xc6\x92\x63\x90\xb4\x6c\xbb\xc3\x9c\x6e\x6f\xfb\x61\xe3\x6b\xa5", (void(*)(void *))&fexfn_unpack_libGL_glInterpolatePathsNV}, // libGL:glInterpolatePathsNV
  {(uint8_t*)"\x29\xb5\x38\x8b\xdc\xaf\x2c\xc2\xc1\xfb\xa6\xd5\xd6\x44\xf5\xbd\x3d\x84\xba\x39\xab\x73\x89\x0d\x3b\xa1\x1c\xab\x9a\x4c\x19\x8a", (void(*)(void *))&fexfn_unpack_libGL_glInvalidateBufferData}, // libGL:glInvalidateBufferData
  {(uint8_t*)"\x55\x63\x6d\xba\x3e\xc7\xf7\xc9\x28\xbb\x1b\xaa\xb5\xd5\x65\x9e\x97\xde\x65\x15\x04\xe9\x22\x83\xe2\x54\x90\xd3\x6b\x34\x7a\x91", (void(*)(void *))&fexfn_unpack_libGL_glInvalidateBufferSubData}, // libGL:glInvalidateBufferSubData
  {(uint8_t*)"\xca\xb1\xd9\xe6\xcd\x88\x75\x5b\x55\x62\x2e\xb4\x28\xee\xc5\x4c\xd0\x80\x1d\xdf\x61\xeb\x7e\x63\x01\x8e\x2e\x84\x12\x0a\xf7\xd3", (void(*)(void *))&fexfn_unpack_libGL_glInvalidateFramebuffer}, // libGL:glInvalidateFramebuffer
  {(uint8_t*)"\x8e\xf3\xb8\xbf\xaa\xd1\xcd\xa3\xbc\xe1\x62\x52\x4e\x1a\x6d\x54\xc0\x63\x99\x6a\xe2\x82\xa7\x84\x89\xa4\x15\x08\x61\x6e\x8e\xdb", (void(*)(void *))&fexfn_unpack_libGL_glInvalidateNamedFramebufferData}, // libGL:glInvalidateNamedFramebufferData
  {(uint8_t*)"\x19\x9d\x65\x6f\x58\x50\x2a\x24\x6d\x8e\x73\xf6\xde\x19\xb8\xc2\x2f\x78\x08\xd2\x0f\x15\x61\xf2\x41\xf8\x02\x4d\xcc\x64\x6f\x7e", (void(*)(void *))&fexfn_unpack_libGL_glInvalidateNamedFramebufferSubData}, // libGL:glInvalidateNamedFramebufferSubData
  {(uint8_t*)"\x92\x2a\x64\x3e\x12\x30\x44\x4a\x0c\x42\x25\xab\x50\x86\x5e\xb1\xab\x06\x62\x1b\xa6\xf7\x83\x72\x9e\xe3\x15\x91\xe9\x96\xb3\xb2", (void(*)(void *))&fexfn_unpack_libGL_glInvalidateSubFramebuffer}, // libGL:glInvalidateSubFramebuffer
  {(uint8_t*)"\xef\x89\x83\x7e\xf8\x85\x84\xf0\x14\x8f\xbd\x15\xe7\x79\xb5\x4d\x8c\x5b\x60\xba\x2c\xb7\xd3\x18\x2f\x8e\x99\x85\x5c\xa5\x5f\xf3", (void(*)(void *))&fexfn_unpack_libGL_glInvalidateTexImage}, // libGL:glInvalidateTexImage
  {(uint8_t*)"\x6e\x76\x2c\x0f\x12\xb1\xcc\xf6\xe8\x0d\x04\xd6\x5e\x86\x00\x85\x77\x10\xf6\x8f\xf7\x84\x12\x84\x64\x68\xfc\xc0\x98\x0d\x79\xa2", (void(*)(void *))&fexfn_unpack_libGL_glInvalidateTexSubImage}, // libGL:glInvalidateTexSubImage
  {(uint8_t*)"\xdb\x79\x4d\x32\x93\x74\x2a\xb5\x97\x86\x7f\xd5\x09\x67\x4e\xdf\x64\x9f\xbd\x8b\x57\x1f\x4b\x7e\x34\x37\xe2\xa5\xdf\x7e\xfe\x9e", (void(*)(void *))&fexfn_unpack_libGL_glLabelObjectEXT}, // libGL:glLabelObjectEXT
  {(uint8_t*)"\x67\xb5\x26\x39\xd1\x8a\xd8\x17\x70\xd9\xea\x6c\x25\x45\xc3\xb1\x12\x8d\x16\x27\xb4\xd2\x30\xff\xc5\xb9\x7a\x7f\xbe\x62\xd3\x6a", (void(*)(void *))&fexfn_unpack_libGL_glLGPUCopyImageSubDataNVX}, // libGL:glLGPUCopyImageSubDataNVX
  {(uint8_t*)"\x11\xee\x37\x34\x2f\x26\x22\x67\xc4\x26\x6b\x5a\xd6\xde\xe4\x1e\xe7\x05\xa2\x58\xb9\x44\x31\x6e\xb7\x9b\x9b\x82\x74\x3f\x3b\x2a", (void(*)(void *))&fexfn_unpack_libGL_glLGPUInterlockNVX}, // libGL:glLGPUInterlockNVX
  {(uint8_t*)"\xad\x09\x1d\x4a\x93\x9f\xea\xb0\x8d\x09\xf6\x29\x0f\x86\x57\x8a\x78\x63\x08\x95\x2d\x29\x12\x37\x5c\x5a\xed\x4c\xb8\xb7\xf3\x1d", (void(*)(void *))&fexfn_unpack_libGL_glLGPUNamedBufferSubDataNVX}, // libGL:glLGPUNamedBufferSubDataNVX
  {(uint8_t*)"\x86\x15\x6a\x66\xbc\x57\x4c\x7b\x32\x83\xc2\xa0\xce\x4f\xdc\xb4\x6d\xc9\x04\x18\xd3\xcd\x44\x25\xcf\xbf\xb3\x34\xc1\x80\xae\x16", (void(*)(void *))&fexfn_unpack_libGL_glLightEnviSGIX}, // libGL:glLightEnviSGIX
  {(uint8_t*)"\xe0\x57\x30\x5b\x9f\x00\x7d\x40\x37\x22\xef\xdd\xad\x54\xea\x9d\xed\xef\x77\x2d\x12\x17\x45\x54\x05\xcc\xbb\x2a\x1d\x22\xe3\x3b", (void(*)(void *))&fexfn_unpack_libGL_glLightf}, // libGL:glLightf
  {(uint8_t*)"\xb7\xa3\x97\x95\x5a\x99\x3b\xa6\x63\x68\x26\x39\x43\x58\x68\xa0\xf1\x19\x1a\xa3\x04\x23\xd9\x4d\x77\x4a\x89\xd2\x6d\xe0\x18\xa0", (void(*)(void *))&fexfn_unpack_libGL_glLightfv}, // libGL:glLightfv
  {(uint8_t*)"\xab\x08\x89\xa5\x7f\x1a\xd2\xfd\xbe\xa0\xcb\xfb\x5e\x79\x2a\xb8\x22\x31\x7d\x80\xc9\x74\x9f\xb1\x12\x87\x55\x96\xfa\xb9\x2d\x38", (void(*)(void *))&fexfn_unpack_libGL_glLighti}, // libGL:glLighti
  {(uint8_t*)"\x7e\xbf\xbd\x1f\xa0\x86\x63\x3e\x7e\xab\xbb\xed\x6f\x99\xe4\xdc\xea\xdd\x6c\xcd\x12\xa3\x70\xeb\xc2\xca\xfe\xcb\xa0\xa6\x43\xbe", (void(*)(void *))&fexfn_unpack_libGL_glLightiv}, // libGL:glLightiv
  {(uint8_t*)"\x88\x8b\xdc\x35\x5e\x96\x53\xa7\x51\x0c\x4a\x37\x11\x2d\x64\xaf\x5b\xae\xa4\x36\x24\x72\x96\xc6\xce\x44\x8b\x6d\x38\xa3\xbf\xe6", (void(*)(void *))&fexfn_unpack_libGL_glLightModelf}, // libGL:glLightModelf
  {(uint8_t*)"\xcc\x76\x7e\x75\x0d\xb5\xca\xbf\xd6\x47\xe5\x8f\x9a\x43\xfc\x09\x66\x4f\x31\x96\x4d\xe4\x32\x8f\x63\xf6\x47\xb4\x21\xd0\x66\x0a", (void(*)(void *))&fexfn_unpack_libGL_glLightModelfv}, // libGL:glLightModelfv
  {(uint8_t*)"\x61\xc4\x8b\xe7\xd7\x75\x2b\x50\x97\xc7\x9a\x04\x41\x7f\x2d\xd7\x6f\x59\xf8\x23\x8c\x31\x25\xa8\xac\xf8\xcd\x63\x79\x62\x72\xba", (void(*)(void *))&fexfn_unpack_libGL_glLightModeli}, // libGL:glLightModeli
  {(uint8_t*)"\x31\x3f\xce\xba\x8d\xc5\x26\xac\x97\x5b\x13\xe7\xf1\xd6\xaa\x58\x0b\x11\xe6\x43\x2b\x86\xcc\x72\x1d\x3b\x2c\xb3\x7e\x11\x93\x60", (void(*)(void *))&fexfn_unpack_libGL_glLightModeliv}, // libGL:glLightModeliv
  {(uint8_t*)"\x11\x3e\x8d\x03\x26\x6a\x49\x14\x52\xfc\xd0\xea\x41\xf3\x87\xd5\xf8\xc0\x34\x7f\x62\xfa\xaf\xd8\xb7\x2d\x80\x38\xff\xa6\x3f\x9d", (void(*)(void *))&fexfn_unpack_libGL_glLightModelxOES}, // libGL:glLightModelxOES
  {(uint8_t*)"\x17\x1a\x7d\xb8\xef\x89\xf2\x29\xd2\x29\xdd\x20\xfc\x33\x6a\x15\x75\x86\xcf\x5e\xa0\x3d\x4e\x31\x86\xae\x69\x79\x1d\x8d\xf5\xfc", (void(*)(void *))&fexfn_unpack_libGL_glLightModelxvOES}, // libGL:glLightModelxvOES
  {(uint8_t*)"\x40\xf4\xf8\x5b\xa6\x51\xa0\xb6\xbc\x6e\x2e\x64\x4e\xf4\x73\xa2\xd8\xdd\x46\x27\x0d\x17\x14\xda\x4d\x8c\x3f\xec\x46\x99\xf2\x23", (void(*)(void *))&fexfn_unpack_libGL_glLightxOES}, // libGL:glLightxOES
  {(uint8_t*)"\x5c\x1f\x8d\x73\xe6\xd2\x28\x9a\x71\xdf\x5f\x76\x4b\xa7\xbf\x75\x48\x39\xed\x8f\x04\xfe\x34\x37\xfa\x67\x1a\xcd\xca\x90\x15\x47", (void(*)(void *))&fexfn_unpack_libGL_glLightxvOES}, // libGL:glLightxvOES
  {(uint8_t*)"\x2c\xcc\xdb\xfb\x5e\xb5\x0a\x40\x64\xf5\xc4\x05\x97\x22\x80\x6d\x04\x6e\x57\x99\xea\xa8\x2c\xad\x37\x70\x1f\x71\xde\x7d\x2e\x09", (void(*)(void *))&fexfn_unpack_libGL_glLineStipple}, // libGL:glLineStipple
  {(uint8_t*)"\x34\x48\x7c\x57\x10\x66\x16\xf7\x81\x84\x76\x61\x16\x14\xd2\x2f\x4a\x28\x47\xa2\xa7\x1a\x08\x4d\x25\xff\xb4\x22\xbf\x99\x97\x20", (void(*)(void *))&fexfn_unpack_libGL_glLineWidth}, // libGL:glLineWidth
  {(uint8_t*)"\x1e\x14\x08\x5c\xaa\x29\x37\x88\xd4\x7a\xe4\xd4\xb6\x5b\xea\x44\x32\x0b\xc4\xb7\x18\x93\x49\xd2\xea\xfc\xf5\x6d\x61\x15\xa6\xaa", (void(*)(void *))&fexfn_unpack_libGL_glLineWidthxOES}, // libGL:glLineWidthxOES
  {(uint8_t*)"\x92\x58\xbc\x7a\xc3\x90\x72\x38\xe0\x8d\x8d\xa4\xc7\x1a\x31\x36\x04\xa0\x58\x64\x84\x86\xde\x5a\xe1\xd1\x54\x46\x07\xb5\x80\x81", (void(*)(void *))&fexfn_unpack_libGL_glLinkProgramARB}, // libGL:glLinkProgramARB
  {(uint8_t*)"\x65\x5b\xd7\x55\x65\xf4\xa8\x42\xde\xd4\x3e\x75\x22\xcc\xd3\x2b\x74\xf6\x59\x94\xb3\x29\xa5\x50\xef\x3f\x0c\xad\x68\xf3\xb9\xae", (void(*)(void *))&fexfn_unpack_libGL_glLinkProgram}, // libGL:glLinkProgram
  {(uint8_t*)"\x2a\x23\x86\xa3\xde\x37\x2d\x84\xfe\x0f\x28\x90\xf7\x96\xd1\xab\xf7\xa2\xf5\x3d\x4c\x8f\x83\x60\x97\x5d\x95\xb2\xd5\x6b\x4a\xa1", (void(*)(void *))&fexfn_unpack_libGL_glListBase}, // libGL:glListBase
  {(uint8_t*)"\x93\x14\x97\x9d\xdc\x30\xf9\xc5\x8f\x17\x7f\xe7\xd4\xe2\x52\xbe\xd6\xfe\x7a\x62\xba\xaf\x51\x35\x80\x4c\x69\x76\xd9\xc7\x1b\xc4", (void(*)(void *))&fexfn_unpack_libGL_glListDrawCommandsStatesClientNV}, // libGL:glListDrawCommandsStatesClientNV
  {(uint8_t*)"\xa6\x00\x05\x4a\x61\xe3\x58\xa7\x0f\xc8\x30\x25\x25\x7d\x2a\xac\x1d\x73\x82\x91\x88\x97\x49\xc7\xce\x3f\xad\xda\x6a\xa1\x62\x8c", (void(*)(void *))&fexfn_unpack_libGL_glListParameterfSGIX}, // libGL:glListParameterfSGIX
  {(uint8_t*)"\x94\x58\x38\xfb\x65\x01\x10\x2b\x87\x3e\xb2\xa3\x0f\x32\x89\x02\xf4\x1e\x2c\x41\x82\x04\x65\x03\x2f\x0a\xa2\xf1\x1e\xc7\xa2\xdb", (void(*)(void *))&fexfn_unpack_libGL_glListParameterfvSGIX}, // libGL:glListParameterfvSGIX
  {(uint8_t*)"\xd8\x21\x3d\x06\x88\xea\x50\xe1\x06\x62\x11\x81\x12\x9d\x8d\xe8\xc4\x44\x5a\x50\xb3\xcb\xc4\x5d\x1d\x80\x5f\x81\x56\x40\xe1\xcc", (void(*)(void *))&fexfn_unpack_libGL_glListParameteriSGIX}, // libGL:glListParameteriSGIX
  {(uint8_t*)"\x3d\xa3\x33\xb4\xfc\x92\xe5\x89\x16\x1b\x07\x6d\x30\x1e\xeb\x55\x5f\x96\x1b\x58\x2b\xae\x88\x24\xca\x16\x7b\x30\xbd\xde\x8e\x96", (void(*)(void *))&fexfn_unpack_libGL_glListParameterivSGIX}, // libGL:glListParameterivSGIX
  {(uint8_t*)"\xd7\x3d\x3a\x8b\xe3\x63\xe7\x7d\x9d\xd3\x02\x82\x94\x78\xc9\x54\x6a\x9b\x5a\xc3\x8a\x3b\x17\xe6\x32\xfb\x3c\x0c\x0c\x6b\x8e\x84", (void(*)(void *))&fexfn_unpack_libGL_glLoadIdentity}, // libGL:glLoadIdentity
  {(uint8_t*)"\xa4\x04\x64\x0e\xc8\xb8\x7e\x8e\xae\x9b\x10\x6e\xf7\xb5\x95\x54\xfb\xa4\x90\x90\x4e\xbe\xa0\xe4\x83\x4e\xed\x63\x76\xa3\x13\xa8", (void(*)(void *))&fexfn_unpack_libGL_glLoadIdentityDeformationMapSGIX}, // libGL:glLoadIdentityDeformationMapSGIX
  {(uint8_t*)"\xe9\x4b\xdd\x86\xaa\x76\x85\x38\xa0\xba\x9a\xc6\xcc\xb9\x45\x80\x24\x69\x3f\xf0\xaf\x9e\xa6\x74\x27\x3f\xa0\x0d\xb6\xa7\x8f\x25", (void(*)(void *))&fexfn_unpack_libGL_glLoadMatrixd}, // libGL:glLoadMatrixd
  {(uint8_t*)"\x21\xe5\x22\x42\xb4\x7d\xb9\x4c\xbc\x25\xfd\x96\x28\xb1\x18\x82\xa8\x87\x1b\xdc\xbe\xec\x7a\xb1\x78\x7e\x9a\xe3\xfa\xb4\x56\x15", (void(*)(void *))&fexfn_unpack_libGL_glLoadMatrixf}, // libGL:glLoadMatrixf
  {(uint8_t*)"\xf0\x2b\xe2\x9f\xd3\xdb\xd1\x1d\xed\xa9\xed\x67\x6f\x06\x9f\xa1\x12\xee\xb5\xd2\x64\x2f\x33\x41\x69\x9e\x88\x06\x7b\x6a\xdb\x8c", (void(*)(void *))&fexfn_unpack_libGL_glLoadMatrixxOES}, // libGL:glLoadMatrixxOES
  {(uint8_t*)"\x38\x4b\x10\xd3\x99\x0d\xe5\xca\xfa\x49\xf2\x50\x28\xb3\xf8\x16\x95\x52\x21\xb4\x3a\x5e\x46\x2a\x7d\x03\x66\x0b\xa4\x6a\x6c\x37", (void(*)(void *))&fexfn_unpack_libGL_glLoadName}, // libGL:glLoadName
  {(uint8_t*)"\xac\x9b\x41\x3d\x40\xee\x2f\xb3\x39\xd6\x8c\x44\x60\x95\xa5\x9c\xe8\x9c\xc7\x77\x8c\x83\xe7\x84\x76\xfb\x35\x6a\xdc\xec\xbf\x4b", (void(*)(void *))&fexfn_unpack_libGL_glLoadProgramNV}, // libGL:glLoadProgramNV
  {(uint8_t*)"\x1d\x7c\xf0\x9c\x73\xee\xd6\x2d\x1a\x97\x39\x87\xa3\x47\x92\x43\x8b\x09\x81\xe4\x5d\xf7\x6c\xda\x72\x76\xb4\x64\xfb\x60\xdd\xf3", (void(*)(void *))&fexfn_unpack_libGL_glLoadTransposeMatrixdARB}, // libGL:glLoadTransposeMatrixdARB
  {(uint8_t*)"\xba\xc4\x89\x83\x0e\xdd\xb6\x95\x0a\x84\x52\x1f\x0a\x26\xc8\x11\xb4\x7a\x2b\x74\x21\xe6\xd9\x34\x7d\x51\x41\x7a\xe4\x60\x5d\xc3", (void(*)(void *))&fexfn_unpack_libGL_glLoadTransposeMatrixd}, // libGL:glLoadTransposeMatrixd
  {(uint8_t*)"\x34\x94\x83\x93\x54\x63\xce\xf0\x63\x70\x07\x3e\x50\x8f\x4c\xba\x29\x77\xe4\x44\xc1\xd2\x1b\xa2\xb0\xa6\x72\xd9\x7c\x0d\x5e\x17", (void(*)(void *))&fexfn_unpack_libGL_glLoadTransposeMatrixfARB}, // libGL:glLoadTransposeMatrixfARB
  {(uint8_t*)"\x63\xf6\xef\x80\xd3\xe3\x20\xfa\x89\x9c\x2c\x1a\xdc\xf7\x12\xa7\x8a\x59\xca\x44\x18\x20\x37\x28\x7f\x24\x85\xe4\x6e\x1b\x8d\xba", (void(*)(void *))&fexfn_unpack_libGL_glLoadTransposeMatrixf}, // libGL:glLoadTransposeMatrixf
  {(uint8_t*)"\x16\x74\x63\x4b\xc1\x8c\x2f\x48\x90\x52\xf0\x9b\x3a\xe4\xae\x2a\x65\xaa\x2e\x39\x63\xe1\xe9\x9a\x56\x6f\x40\xb1\xfe\x4e\x52\xcc", (void(*)(void *))&fexfn_unpack_libGL_glLoadTransposeMatrixxOES}, // libGL:glLoadTransposeMatrixxOES
  {(uint8_t*)"\xb5\x58\xde\xfd\xf9\xa8\x47\x44\x84\x60\x93\x68\x35\x7f\x6f\x35\xf0\x8e\x05\x08\xee\xf3\xd9\x7c\x83\x6e\xb2\x9b\x07\x37\x1d\x22", (void(*)(void *))&fexfn_unpack_libGL_glLockArraysEXT}, // libGL:glLockArraysEXT
  {(uint8_t*)"\x59\x76\xd3\x3d\x37\x89\x38\x16\xa5\xfd\xc7\xc3\xe3\xa6\xda\x79\x91\x16\x6a\x79\xc4\xa9\x0f\x43\x2d\xd7\x6f\x88\x49\x07\xd8\x4b", (void(*)(void *))&fexfn_unpack_libGL_glLogicOp}, // libGL:glLogicOp
  {(uint8_t*)"\x38\x49\x29\xd2\xe9\x30\x66\x59\xb9\x7f\xb0\x60\x12\x4e\xdb\x52\x06\x3a\x0c\xfc\x3e\xbe\x37\xd5\x58\xa9\x6b\x1e\xd8\xcf\xd6\x3b", (void(*)(void *))&fexfn_unpack_libGL_glMakeBufferNonResidentNV}, // libGL:glMakeBufferNonResidentNV
  {(uint8_t*)"\x81\x2b\x16\x6f\xcd\x9b\x2d\x1f\x3f\x4e\xdf\xd5\x4c\xc1\x5d\x3a\x41\x86\xf3\x14\xf4\x4e\xd2\xa8\xb6\x25\xe4\x5f\x1a\x47\xdc\x85", (void(*)(void *))&fexfn_unpack_libGL_glMakeBufferResidentNV}, // libGL:glMakeBufferResidentNV
  {(uint8_t*)"\x04\x49\xde\x99\xf3\x0f\x93\xf1\x89\x09\x3b\x2b\xe5\xe4\x2d\x13\xd2\xd9\xee\x27\xaf\xf1\x40\x95\x72\x87\x38\xa7\xda\xce\xbd\xa0", (void(*)(void *))&fexfn_unpack_libGL_glMakeImageHandleNonResidentARB}, // libGL:glMakeImageHandleNonResidentARB
  {(uint8_t*)"\x81\x95\x2e\x4e\xd2\x49\x29\x20\x1d\x50\x0b\x0f\xae\x97\xb5\x70\x7f\xb2\x56\xbb\x8d\xb1\x34\xa0\x5a\x53\x9a\x0e\xb2\x9a\x79\x26", (void(*)(void *))&fexfn_unpack_libGL_glMakeImageHandleNonResidentNV}, // libGL:glMakeImageHandleNonResidentNV
  {(uint8_t*)"\xa3\x9d\x73\x4a\x64\x49\x2d\x8a\x54\xfe\xbd\xa4\x25\x1e\x7a\x91\x43\x97\xb1\xcc\xa7\x17\x86\x7a\x3a\xd8\xd8\x15\xf5\xf9\xd9\x56", (void(*)(void *))&fexfn_unpack_libGL_glMakeImageHandleResidentARB}, // libGL:glMakeImageHandleResidentARB
  {(uint8_t*)"\xc0\xc9\x9c\x6f\x47\x65\x56\xd9\x46\xed\x07\xfd\x2b\x7c\x48\x02\x18\x27\xc7\x37\x77\xcb\x22\xc3\x9f\x5b\x4f\xac\x1b\xcb\x77\xe9", (void(*)(void *))&fexfn_unpack_libGL_glMakeImageHandleResidentNV}, // libGL:glMakeImageHandleResidentNV
  {(uint8_t*)"\x54\xef\x0a\x84\x5f\xe4\x5d\x36\xa5\x02\x61\x1d\x6f\xb4\xe7\x5e\x0b\x2c\xba\xe7\x4c\x38\x79\x6f\xd2\x72\x2d\x72\xb5\xe1\x64\x6e", (void(*)(void *))&fexfn_unpack_libGL_glMakeNamedBufferNonResidentNV}, // libGL:glMakeNamedBufferNonResidentNV
  {(uint8_t*)"\x3a\x1a\x01\xce\xe3\xae\xce\x09\xa0\x2c\x02\xdf\x59\x95\x0e\x38\xd9\x83\xf6\x34\xbc\x08\xdb\x32\x10\xaf\xdc\x00\xe8\x0a\xa9\x21", (void(*)(void *))&fexfn_unpack_libGL_glMakeNamedBufferResidentNV}, // libGL:glMakeNamedBufferResidentNV
  {(uint8_t*)"\x12\x26\xd2\x4d\xc4\x6f\x53\x64\xd6\x45\x00\xb4\x24\xdf\xe4\xc2\xc1\x66\x13\xc3\x0a\xde\x4b\x7d\x8d\x62\x35\xc7\xfa\x3a\x94\x2f", (void(*)(void *))&fexfn_unpack_libGL_glMakeTextureHandleNonResidentARB}, // libGL:glMakeTextureHandleNonResidentARB
  {(uint8_t*)"\x57\x81\xec\x70\x2a\x0a\x83\xe8\xe7\x9d\x1c\xd4\xca\x37\x83\x6c\xc7\x82\x86\x28\xd5\x81\x52\x2b\x02\xe8\x17\xf8\xb7\x4a\xc1\x37", (void(*)(void *))&fexfn_unpack_libGL_glMakeTextureHandleNonResidentNV}, // libGL:glMakeTextureHandleNonResidentNV
  {(uint8_t*)"\xfb\x23\xaa\xd6\xb4\x35\xf1\x04\xc3\x9d\x6b\x38\x3e\x8c\x9c\x63\x71\x3b\xa1\x9f\x8b\xc9\x06\x6a\x24\xf1\x61\x2d\x1e\x90\xa1\x47", (void(*)(void *))&fexfn_unpack_libGL_glMakeTextureHandleResidentARB}, // libGL:glMakeTextureHandleResidentARB
  {(uint8_t*)"\x02\x5d\x55\xcb\xb0\x39\xed\x32\xe7\xa9\x9b\xeb\x38\xf4\xa8\xed\x75\x49\xfc\x61\x42\x0e\x97\x9d\x5d\x65\x89\x56\x43\x7f\xba\x06", (void(*)(void *))&fexfn_unpack_libGL_glMakeTextureHandleResidentNV}, // libGL:glMakeTextureHandleResidentNV
  {(uint8_t*)"\x75\x23\x7c\xd4\xf7\x5f\x0a\x2f\x16\x51\x15\xf3\x63\x7b\x49\xd4\x8a\xe7\xb3\xac\x55\xd3\x3b\x39\xbf\x93\xb0\x0c\x53\x64\xcd\xd3", (void(*)(void *))&fexfn_unpack_libGL_glMap1d}, // libGL:glMap1d
  {(uint8_t*)"\x95\x5b\xc3\xa2\xac\x06\x8a\xe2\xa3\xeb\x16\x10\x8b\x5b\xf0\x3e\x4e\x78\x0b\x5c\xf3\xe5\x05\xbe\xaa\x4b\x0c\xbd\xe0\x79\x72\xd4", (void(*)(void *))&fexfn_unpack_libGL_glMap1f}, // libGL:glMap1f
  {(uint8_t*)"\xc5\x48\x2c\x0d\x5b\xab\x2f\x46\x6c\x1f\x04\x94\x32\x7d\x66\x35\x01\xdf\xc4\x68\x49\x6a\x1a\x6b\x8f\x3c\xf4\x4b\x6d\x96\x8e\xc9", (void(*)(void *))&fexfn_unpack_libGL_glMap1xOES}, // libGL:glMap1xOES
  {(uint8_t*)"\xc8\xc4\x48\xd2\xb7\x99\x98\x33\xad\x61\xb5\x04\xb7\x9a\x45\xbd\x43\x77\x47\x7d\x93\x05\x2f\x91\x7b\x77\x56\x50\xb2\xf3\x46\x35", (void(*)(void *))&fexfn_unpack_libGL_glMap2d}, // libGL:glMap2d
  {(uint8_t*)"\x59\x2f\x00\xf9\x95\x98\xea\x2f\x95\xec\xe8\x35\x5f\x99\xe3\x86\xb1\x9a\xa9\xdb\x0f\x9d\x0a\xfb\xbd\xa5\x97\x45\x01\x0a\x4c\x43", (void(*)(void *))&fexfn_unpack_libGL_glMap2f}, // libGL:glMap2f
  {(uint8_t*)"\xf6\x71\xb6\x95\xca\xf7\xb9\x1e\x71\xda\xe4\x07\xbb\x0e\xf6\x2c\x21\xdf\xf9\x5e\x77\xed\x34\xd0\xf5\xe5\xca\x1c\x35\x82\x89\x12", (void(*)(void *))&fexfn_unpack_libGL_glMap2xOES}, // libGL:glMap2xOES
  {(uint8_t*)"\xe1\x01\xfa\x67\x3f\x03\xf8\x20\x6e\xcb\x8b\xcf\x5e\xcc\x0a\xb8\xf2\xcd\x52\x3d\xaf\xfc\x8d\x43\xce\xae\xcd\x13\x4d\x2c\x68\x96", (void(*)(void *))&fexfn_unpack_libGL_glMapBufferARB}, // libGL:glMapBufferARB
  {(uint8_t*)"\x06\x3b\xa4\xfe\x8e\x2a\x56\xa2\x6e\x09\xfc\x9d\xe5\xdb\x94\x19\x43\x45\x4e\xfd\x7e\x3e\xc9\x1b\x74\xa8\x32\x72\x1b\xcc\xa8\xb3", (void(*)(void *))&fexfn_unpack_libGL_glMapBuffer}, // libGL:glMapBuffer
  {(uint8_t*)"\xce\xc2\x7f\xba\x92\x36\x9a\x9c\xae\xd6\x1b\xb0\x6a\xc7\xef\x8f\x7b\x31\x60\x56\x12\xbb\x70\xb1\x9d\x6d\x0c\x69\xe5\xac\x06\x2d", (void(*)(void *))&fexfn_unpack_libGL_glMapBufferRange}, // libGL:glMapBufferRange
  {(uint8_t*)"\x44\xb5\x64\xff\x38\x4f\x68\x60\x02\x0d\x9e\x8f\xa9\xd9\xcc\xfd\xd5\x95\xa2\x76\x4c\x0b\x60\x3c\x1c\x82\x6f\xc0\x39\x1c\x28\x34", (void(*)(void *))&fexfn_unpack_libGL_glMapControlPointsNV}, // libGL:glMapControlPointsNV
  {(uint8_t*)"\x61\x46\x23\x9d\xc1\xab\x3c\x32\xfb\x8d\x6d\xea\xa6\x03\x29\x1f\x09\xf7\x12\x8c\x7a\xec\x31\x5f\x7e\xf0\xbf\xbb\x5a\xad\x39\xee", (void(*)(void *))&fexfn_unpack_libGL_glMapGrid1d}, // libGL:glMapGrid1d
  {(uint8_t*)"\x9a\xf1\xa4\x7b\x9c\x5a\x39\x6b\x2d\x36\xac\xbd\x6b\x7c\xa4\x1c\x19\x9d\xf0\x4c\xd5\xf6\x2b\x33\xe3\xef\x8e\xda\xed\x26\xc0\x58", (void(*)(void *))&fexfn_unpack_libGL_glMapGrid1f}, // libGL:glMapGrid1f
  {(uint8_t*)"\x2e\x96\x7f\xe1\x65\xc9\xea\x34\x40\x87\x83\x86\x08\xd0\x4e\x61\x32\xfc\x22\xc9\xd1\xcc\x63\x85\xe4\x3d\x7a\x42\x6b\x7b\xb7\x61", (void(*)(void *))&fexfn_unpack_libGL_glMapGrid1xOES}, // libGL:glMapGrid1xOES
  {(uint8_t*)"\x71\xc8\x9a\x85\x00\xa0\x59\xfe\x2e\xfe\xd0\xc1\xb3\xa6\x5f\x7d\x21\xf7\x18\x23\xb5\x12\x10\x92\x80\x88\xad\x63\x12\x39\x5d\xa8", (void(*)(void *))&fexfn_unpack_libGL_glMapGrid2d}, // libGL:glMapGrid2d
  {(uint8_t*)"\xd9\x54\xb6\x66\x53\xa4\x3a\x9f\x70\x9e\x3e\x28\x4f\xbc\xcc\x73\x4b\xa2\xa8\x74\x17\x94\x7c\xf3\x7c\x74\x7a\x46\x70\x9c\xd8\x62", (void(*)(void *))&fexfn_unpack_libGL_glMapGrid2f}, // libGL:glMapGrid2f
  {(uint8_t*)"\xbe\x80\x62\x47\xd6\x74\x02\x89\xa2\xef\x52\xce\xd3\x89\xf0\x4e\xc0\x8c\x21\x8a\x84\x3d\xa8\xe5\xb8\x13\x13\x75\x07\x88\x47\xf1", (void(*)(void *))&fexfn_unpack_libGL_glMapGrid2xOES}, // libGL:glMapGrid2xOES
  {(uint8_t*)"\x2f\xef\x86\x86\x0f\xe2\xa5\x90\x03\xfb\xdb\x44\x02\xb9\x06\x42\x2b\xb6\xf6\xb6\xc6\x12\x45\xa3\x04\x8e\x45\x52\x00\xa6\x31\x6e", (void(*)(void *))&fexfn_unpack_libGL_glMapNamedBufferEXT}, // libGL:glMapNamedBufferEXT
  {(uint8_t*)"\x39\x72\xee\x00\xce\xd1\xe6\xae\x9a\x9e\x65\x3c\xb9\x79\xa9\x11\xec\x61\xbf\xb6\x93\xf8\x70\x53\x54\x6e\xc8\x42\x5e\xfd\x8b\xa1", (void(*)(void *))&fexfn_unpack_libGL_glMapNamedBuffer}, // libGL:glMapNamedBuffer
  {(uint8_t*)"\x21\xb8\x21\x2e\xd1\x0e\x2d\x1e\x7c\xd0\xeb\x2b\xe1\xa8\x65\x5f\xe6\x0d\x42\x7c\x3e\xda\xa4\x42\xce\xf6\xd1\x5b\x8b\xdc\x08\xc7", (void(*)(void *))&fexfn_unpack_libGL_glMapNamedBufferRangeEXT}, // libGL:glMapNamedBufferRangeEXT
  {(uint8_t*)"\xb1\xe1\xaf\x0a\x2d\x7e\x43\xd4\x16\x08\xb2\x53\x34\xf7\x17\x24\x72\x74\x81\xc3\x92\xd0\xc7\x24\x0f\x26\x96\x23\xad\xd9\x5f\x55", (void(*)(void *))&fexfn_unpack_libGL_glMapNamedBufferRange}, // libGL:glMapNamedBufferRange
  {(uint8_t*)"\x8e\xbb\x92\x47\x35\xef\xe5\x5f\x49\xd8\x7e\x19\xff\xe2\x47\x25\x3c\x36\x18\x0c\xd6\x6b\x86\x71\x99\x10\x48\x68\x73\xba\x4f\x95", (void(*)(void *))&fexfn_unpack_libGL_glMapObjectBufferATI}, // libGL:glMapObjectBufferATI
  {(uint8_t*)"\x6a\xaf\x25\x95\xe9\x76\x2b\x79\x50\x54\x62\x0a\xb2\xf9\xce\x0d\x5f\xd4\x55\x51\x57\x38\xdb\xf5\x9a\xa9\x0e\xed\x89\x1f\xd6\xbb", (void(*)(void *))&fexfn_unpack_libGL_glMapParameterfvNV}, // libGL:glMapParameterfvNV
  {(uint8_t*)"\x53\xe8\x34\x7c\xf9\x8a\x6d\x6e\xc9\x77\xd1\x0b\x48\x0f\xa1\xf5\x59\x16\x7c\xcd\x3d\xf9\x2d\xfa\x7c\xf9\x58\x20\xa2\x95\x80\x5d", (void(*)(void *))&fexfn_unpack_libGL_glMapParameterivNV}, // libGL:glMapParameterivNV
  {(uint8_t*)"\x99\x59\x44\x89\xbe\x38\x4f\x30\x12\xd3\x3d\x32\x5f\xdc\x66\x06\xbf\x4a\xe1\x54\x98\x54\xa6\xc1\x70\x34\xcd\xfa\xa9\x1b\xd7\x3c", (void(*)(void *))&fexfn_unpack_libGL_glMapTexture2DINTEL}, // libGL:glMapTexture2DINTEL
  {(uint8_t*)"\xf2\xe5\x92\xdc\x19\xfb\x34\x37\x79\x87\xf0\xbf\x56\x49\xc8\x28\x4f\xf5\x1a\x18\xb9\xfb\x7f\x57\xa0\x59\x09\xc8\x2a\x03\x06\xf8", (void(*)(void *))&fexfn_unpack_libGL_glMapVertexAttrib1dAPPLE}, // libGL:glMapVertexAttrib1dAPPLE
  {(uint8_t*)"\xfe\x99\xbf\xff\x0c\x4c\x0b\x3e\x1f\x65\x4a\x11\xae\xa8\xb0\x3f\xc2\x5e\x61\xde\xe1\x2a\x19\x7b\x84\x45\x8f\x42\xb9\xf5\x52\xb4", (void(*)(void *))&fexfn_unpack_libGL_glMapVertexAttrib1fAPPLE}, // libGL:glMapVertexAttrib1fAPPLE
  {(uint8_t*)"\x2f\x4b\x53\xdf\x93\x57\xe9\xb8\x7b\xe4\x44\xa6\x2a\x1d\x67\x86\xb1\x13\xc1\xcd\xa9\x9f\xef\x6b\x6f\xf4\x87\xd0\x5f\x4d\xbb\xa1", (void(*)(void *))&fexfn_unpack_libGL_glMapVertexAttrib2dAPPLE}, // libGL:glMapVertexAttrib2dAPPLE
  {(uint8_t*)"\xd9\xc4\xda\x90\x69\xec\xb2\x45\x66\xff\x31\x5c\x72\x8d\x8f\xed\x37\xaf\x91\xce\x9d\x3a\xb5\xd5\x81\xfa\xa6\x48\xe5\x97\xb6\xa2", (void(*)(void *))&fexfn_unpack_libGL_glMapVertexAttrib2fAPPLE}, // libGL:glMapVertexAttrib2fAPPLE
  {(uint8_t*)"\xba\x0e\x2e\x56\x99\x63\xa6\xe4\x9f\x53\x45\x8b\x22\x6c\x09\x95\x89\xfd\xa9\x99\xd9\x88\xa4\xd6\x4b\x39\xef\x46\xf4\xa2\x12\x33", (void(*)(void *))&fexfn_unpack_libGL_glMaterialf}, // libGL:glMaterialf
  {(uint8_t*)"\x39\x9e\x02\xad\xa6\x3c\x7a\xf5\xb5\xf9\x27\x3a\x40\x4c\x0b\xa3\x33\x57\xd6\x0e\x9d\x67\xd2\x88\xfd\x9c\xf2\x73\x20\x7b\x07\x45", (void(*)(void *))&fexfn_unpack_libGL_glMaterialfv}, // libGL:glMaterialfv
  {(uint8_t*)"\xb7\x66\x26\x39\xcf\x21\xe4\x7a\x63\x52\xf1\x8d\xf5\xe0\xba\x57\x4b\x4e\x66\x76\xde\xd3\x61\x38\x0e\xed\x58\x3d\x3f\x7e\xed\x26", (void(*)(void *))&fexfn_unpack_libGL_glMateriali}, // libGL:glMateriali
  {(uint8_t*)"\x04\x4b\x79\x9b\x43\xcd\x4d\xd9\x69\xce\x4f\xee\x30\x34\x83\xd8\x1f\xd7\xc8\xe4\xcf\xa7\x35\x98\xa7\x44\x00\x21\xbd\xf0\x89\xd7", (void(*)(void *))&fexfn_unpack_libGL_glMaterialiv}, // libGL:glMaterialiv
  {(uint8_t*)"\x46\x48\xe9\x34\x0b\x33\x60\xee\x6b\x00\x56\xac\xc8\x61\xd4\xfc\xc1\x3b\x66\xc1\xf5\x82\xad\x2a\x57\x16\x74\xe0\x0d\xb3\xe3\x55", (void(*)(void *))&fexfn_unpack_libGL_glMaterialxOES}, // libGL:glMaterialxOES
  {(uint8_t*)"\xd3\xfb\x7d\xea\x49\x11\xc7\xd7\x1b\xcb\x57\x11\x05\xda\x00\xaf\x6f\x63\x58\x1e\xb3\x12\xc7\x09\x10\xd8\xd3\x3e\x6e\x51\x2c\x44", (void(*)(void *))&fexfn_unpack_libGL_glMaterialxvOES}, // libGL:glMaterialxvOES
  {(uint8_t*)"\xb5\x8b\x14\xab\x4c\x97\x2c\xfb\xd2\xe8\x55\x22\xb7\xf4\x70\x21\xc5\x61\x72\x7e\x4d\x55\x1c\x24\x93\xa6\x67\x56\x37\x93\x6a\x5a", (void(*)(void *))&fexfn_unpack_libGL_glMatrixFrustumEXT}, // libGL:glMatrixFrustumEXT
  {(uint8_t*)"\xaf\x93\xa4\x49\xe4\x5a\x54\xa3\x20\x44\xa2\x9b\x10\xda\xbb\xe6\xcb\xae\xdd\xf6\x91\xa2\x78\x04\x7e\xe7\xe0\x7f\xd1\x1a\x62\xf0", (void(*)(void *))&fexfn_unpack_libGL_glMatrixIndexPointerARB}, // libGL:glMatrixIndexPointerARB
  {(uint8_t*)"\xb9\x9e\x98\x78\x49\xc2\x9e\xa6\x85\x3e\x24\xdf\xe5\x57\xd0\xd1\x66\x6d\xe2\x5f\x31\x0e\x8f\xa4\x2d\xcf\x10\x30\x2f\x8f\x13\x43", (void(*)(void *))&fexfn_unpack_libGL_glMatrixIndexubvARB}, // libGL:glMatrixIndexubvARB
  {(uint8_t*)"\xc4\x45\xc9\x36\x9b\xcc\x84\x62\x95\xa1\x4a\x70\x2e\x1b\x92\x76\xc7\xd1\x2b\xd5\x73\xc8\x8c\xe2\x4a\xb3\x53\x48\x58\x96\x22\x1d", (void(*)(void *))&fexfn_unpack_libGL_glMatrixIndexuivARB}, // libGL:glMatrixIndexuivARB
  {(uint8_t*)"\x5f\x04\xa9\x1b\xea\xbb\x7d\x51\x94\x0b\x71\x4b\x95\x06\x81\xf4\x93\x74\x26\xd1\x63\xdc\xe9\x85\x8a\x2a\xa9\x48\x6b\xda\x23\x4b", (void(*)(void *))&fexfn_unpack_libGL_glMatrixIndexusvARB}, // libGL:glMatrixIndexusvARB
  {(uint8_t*)"\xc8\x9f\x70\x94\x72\x4d\xff\xac\x37\x7f\x79\xbb\x5d\x05\xc6\x7d\x5b\x2f\xff\xa8\x22\x1d\xeb\xab\xbf\x33\x27\xbc\xa5\x99\x46\x3e", (void(*)(void *))&fexfn_unpack_libGL_glMatrixLoad3x2fNV}, // libGL:glMatrixLoad3x2fNV
  {(uint8_t*)"\x73\xe1\xc3\xa5\xed\x7e\xa0\x8e\xd0\x97\x21\x60\xdd\x87\x30\xa2\x50\x46\x1c\x16\xed\xad\x54\x17\xc2\xee\xd6\xb4\x64\xbd\xb7\xbb", (void(*)(void *))&fexfn_unpack_libGL_glMatrixLoad3x3fNV}, // libGL:glMatrixLoad3x3fNV
  {(uint8_t*)"\xa3\x09\x7f\x15\x68\xb7\x10\x36\x90\x8b\x5d\x0d\x1f\xde\x09\x43\x1e\xcb\x45\x58\x4e\xfe\xb1\xa5\x16\x80\x19\x72\xd2\xbf\x76\x9d", (void(*)(void *))&fexfn_unpack_libGL_glMatrixLoaddEXT}, // libGL:glMatrixLoaddEXT
  {(uint8_t*)"\xf5\x1f\x05\x20\xcf\x80\xf9\xf9\x3a\xd5\x27\x9c\x4d\x6a\xff\x62\xf7\x41\x20\x56\xc0\x28\x2c\x1f\xf7\x56\xfa\x6d\x2d\xfe\xf9\x47", (void(*)(void *))&fexfn_unpack_libGL_glMatrixLoadfEXT}, // libGL:glMatrixLoadfEXT
  {(uint8_t*)"\x54\x37\x8f\x0c\x9d\x69\x6d\x3d\x35\x40\x35\xfc\x8a\x92\x62\xb7\x10\x12\xfb\xf1\x0c\xa5\xe7\x75\x75\x2d\xe8\x5a\x7a\xe1\x05\xa3", (void(*)(void *))&fexfn_unpack_libGL_glMatrixLoadIdentityEXT}, // libGL:glMatrixLoadIdentityEXT
  {(uint8_t*)"\xce\x1a\x63\xa8\xb8\x24\xb9\x69\xc1\x70\x55\x52\xa8\xa6\x0e\x0e\x6a\xcf\xfc\xc2\x86\x20\x43\xf1\xe6\x89\xa1\x7c\xff\xaa\x9d\xa1", (void(*)(void *))&fexfn_unpack_libGL_glMatrixLoadTranspose3x3fNV}, // libGL:glMatrixLoadTranspose3x3fNV
  {(uint8_t*)"\x11\xf7\xcb\x2b\xd9\x60\x73\x3c\x80\xcf\x36\x5c\x76\x26\xba\x60\x2d\xb9\x97\x8d\x0a\xb0\x0e\x9e\x20\xbf\x8c\xe7\xc9\x3e\xb2\x44", (void(*)(void *))&fexfn_unpack_libGL_glMatrixLoadTransposedEXT}, // libGL:glMatrixLoadTransposedEXT
  {(uint8_t*)"\x8c\xb8\xbd\x4f\x86\x69\x2f\x5d\x9b\xb4\x03\x5a\x79\x7f\x3f\x0f\x4b\x76\x65\x45\xdb\xc3\x16\x05\x12\x06\xe3\x54\x49\x97\x7e\xa1", (void(*)(void *))&fexfn_unpack_libGL_glMatrixLoadTransposefEXT}, // libGL:glMatrixLoadTransposefEXT
  {(uint8_t*)"\x89\x48\x7e\xd3\x67\x99\x6d\xc4\x91\x84\xe7\xc8\xce\xa9\x3e\x48\xbd\xfd\x7a\xc8\xc4\x99\xed\x39\x25\x7a\xa0\x59\x42\xa7\x09\xb0", (void(*)(void *))&fexfn_unpack_libGL_glMatrixMode}, // libGL:glMatrixMode
  {(uint8_t*)"\x9f\x9b\xd8\x7d\x8d\x15\xfa\x30\x28\x08\x19\xd2\x4d\x6a\x45\x3c\x49\xca\xd7\x50\x09\xfc\xc3\x4f\xa7\x9b\xb0\x81\x7f\x36\xa4\x30", (void(*)(void *))&fexfn_unpack_libGL_glMatrixMult3x2fNV}, // libGL:glMatrixMult3x2fNV
  {(uint8_t*)"\x0c\x9a\xc8\xa3\x12\xc5\x68\x9b\xe6\x19\x5d\xd7\x12\x4a\x3e\xa8\x3d\x6b\x82\x0e\xa1\x20\x95\xa6\x63\xba\x59\x9e\xdf\x65\xfa\x46", (void(*)(void *))&fexfn_unpack_libGL_glMatrixMult3x3fNV}, // libGL:glMatrixMult3x3fNV
  {(uint8_t*)"\x67\x6c\x1d\x69\xd2\x29\xbf\xb0\x56\x9c\x31\x7a\x26\x6f\x6e\xd4\x4d\xe3\xa5\x35\x1c\x34\x44\xf2\x01\x37\x51\x93\x4a\xd4\xbe\x39", (void(*)(void *))&fexfn_unpack_libGL_glMatrixMultdEXT}, // libGL:glMatrixMultdEXT
  {(uint8_t*)"\x85\xa6\x70\xe8\xcd\xac\x8a\x19\x6e\xba\xc4\x4d\x96\xff\x64\x6d\x28\x76\x8c\x24\x45\xf0\xad\xc7\x0a\xa5\xa8\xe8\xec\x2f\xb1\x3c", (void(*)(void *))&fexfn_unpack_libGL_glMatrixMultfEXT}, // libGL:glMatrixMultfEXT
  {(uint8_t*)"\x11\xf0\xd4\x39\x77\x2b\xa0\x8b\x22\x33\xa4\x24\xab\x86\xe4\x6e\xed\xde\x40\xd6\xcf\xc6\x33\x17\x6f\x65\x6a\xd1\x23\x0f\xd6\x12", (void(*)(void *))&fexfn_unpack_libGL_glMatrixMultTranspose3x3fNV}, // libGL:glMatrixMultTranspose3x3fNV
  {(uint8_t*)"\x50\xc1\x0c\xb2\x15\x35\x1e\x9a\xf8\x2c\x6b\x40\x7f\xe8\xe8\x46\xf0\xf9\xa3\x37\x37\x4b\x57\x5b\x41\x7e\x18\x70\x32\xfa\xbe\xf7", (void(*)(void *))&fexfn_unpack_libGL_glMatrixMultTransposedEXT}, // libGL:glMatrixMultTransposedEXT
  {(uint8_t*)"\x3b\x9e\xfc\x93\x4d\x83\x65\x39\xfa\x3c\xe1\xca\xb1\xec\xb3\x57\x04\xa5\xf2\x8b\x6d\xe7\x28\xfe\x9b\x34\x50\x0b\x59\x2d\xd2\x2e", (void(*)(void *))&fexfn_unpack_libGL_glMatrixMultTransposefEXT}, // libGL:glMatrixMultTransposefEXT
  {(uint8_t*)"\xb2\x20\xb8\xdd\xc5\x0a\x41\x9e\x7f\xd2\x88\x87\x24\x17\x84\x84\x63\x19\xe2\xcb\x74\x79\x27\x7d\xd0\x2d\x47\xfd\x7c\x69\xc3\xb1", (void(*)(void *))&fexfn_unpack_libGL_glMatrixOrthoEXT}, // libGL:glMatrixOrthoEXT
  {(uint8_t*)"\x26\xd2\x38\x96\xd8\x5e\xbc\x0b\x03\x90\x24\xeb\x0d\x3e\xf9\xfa\xc3\x6d\xe2\xec\x96\x04\xec\x5a\xea\x83\xdf\x24\x3d\x4b\xf2\x89", (void(*)(void *))&fexfn_unpack_libGL_glMatrixPopEXT}, // libGL:glMatrixPopEXT
  {(uint8_t*)"\xad\x1b\x45\xcb\x2f\x4c\xf8\x00\x4b\xf2\xbc\x6b\x84\x5c\x56\x17\x4b\x6d\x8e\x30\x06\x68\x1e\xe0\x78\x34\xa8\x86\xed\xf9\x30\x28", (void(*)(void *))&fexfn_unpack_libGL_glMatrixPushEXT}, // libGL:glMatrixPushEXT
  {(uint8_t*)"\xb0\x06\x08\xd7\x3e\xa0\xf5\x60\x62\x8d\x65\x88\x11\xb6\xb3\xf0\xe7\xcd\x89\xad\xdd\xd2\xe9\xcf\x3b\xc5\x98\x5e\x3b\x1e\x39\x47", (void(*)(void *))&fexfn_unpack_libGL_glMatrixRotatedEXT}, // libGL:glMatrixRotatedEXT
  {(uint8_t*)"\x7b\xe4\x08\x74\x93\xcd\xc0\x77\x35\xb3\xe9\x92\x1d\xd0\xc2\xa3\x80\x42\x20\x5b\xf8\x1d\xfe\x94\xdd\xb8\x75\x1e\x47\xb1\xb2\x9a", (void(*)(void *))&fexfn_unpack_libGL_glMatrixRotatefEXT}, // libGL:glMatrixRotatefEXT
  {(uint8_t*)"\xaa\x26\x43\x9f\xcc\xa1\xa6\x72\xf2\x73\xb2\xa7\x63\xb0\x47\x0c\x40\x5f\x14\x22\xac\x52\x37\x90\xe4\x9f\x65\x65\x1b\x78\x22\xe4", (void(*)(void *))&fexfn_unpack_libGL_glMatrixScaledEXT}, // libGL:glMatrixScaledEXT
  {(uint8_t*)"\x29\xd9\x6f\x49\x41\x95\x6c\x32\x39\x73\x48\x98\xee\x86\xb1\x6d\x84\xee\x5a\x2d\x24\xdc\x6f\x18\x2f\x56\xd6\x5c\x5b\x20\xc7\x09", (void(*)(void *))&fexfn_unpack_libGL_glMatrixScalefEXT}, // libGL:glMatrixScalefEXT
  {(uint8_t*)"\x1a\x9b\x92\x1b\x52\x0a\x85\xf1\x49\x97\x60\xd3\x03\x3b\x8a\xa1\x65\x71\x47\x18\x56\x78\x08\x74\xbe\xcf\xa8\x08\xaa\xf3\x30\xcd", (void(*)(void *))&fexfn_unpack_libGL_glMatrixTranslatedEXT}, // libGL:glMatrixTranslatedEXT
  {(uint8_t*)"\x56\x72\x9d\xc6\x17\x4b\x11\xcb\x88\xd0\x16\xcd\xef\x82\xb2\xda\x7b\xc7\xb4\xb4\x36\x4d\x76\xa6\x99\x68\x88\x5d\x79\x51\x3f\xd1", (void(*)(void *))&fexfn_unpack_libGL_glMatrixTranslatefEXT}, // libGL:glMatrixTranslatefEXT
  {(uint8_t*)"\xd1\x9e\xd1\x70\xfe\x5b\xaa\x60\xe5\xea\x38\xc1\x5d\x96\xb6\xc3\x72\xcd\xe1\xd6\x61\xa9\x41\xf2\x93\x3b\xc0\xef\x6c\xa9\x50\xe8", (void(*)(void *))&fexfn_unpack_libGL_glMaxShaderCompilerThreadsARB}, // libGL:glMaxShaderCompilerThreadsARB
  {(uint8_t*)"\x44\x5e\x03\x7d\x84\xb1\x2c\xff\xac\x0a\x7b\x4f\x7c\xd9\x9d\xcf\x52\xbc\x99\xf7\x94\x00\xf3\xc1\x9b\x4b\xf6\x63\x8b\x49\x31\x77", (void(*)(void *))&fexfn_unpack_libGL_glMaxShaderCompilerThreadsKHR}, // libGL:glMaxShaderCompilerThreadsKHR
  {(uint8_t*)"\xe2\x44\x76\x8a\x13\xa2\x0a\x23\x36\x7b\x99\x4f\xe5\xb8\x45\x79\x8d\x77\xa5\xac\x65\x94\xfd\x7a\x1c\x8c\xb5\x9c\x8b\x76\xb0\xb4", (void(*)(void *))&fexfn_unpack_libGL_glMemoryBarrierByRegion}, // libGL:glMemoryBarrierByRegion
  {(uint8_t*)"\xb1\x89\x92\x1d\xae\x29\x91\x31\xe4\x66\x61\x22\x13\x16\xa3\xbc\xa5\x92\x26\xb2\xc8\x58\xfc\x13\x63\x81\x07\x8c\x8c\x46\xcb\xad", (void(*)(void *))&fexfn_unpack_libGL_glMemoryBarrierEXT}, // libGL:glMemoryBarrierEXT
  {(uint8_t*)"\x59\x8d\x09\x87\xb0\x94\x01\x5f\x81\x77\x0b\xce\xa1\xf3\x1c\xf3\xcc\xab\x8a\xb0\xcf\xa1\xc9\x9d\x5e\x17\x43\x3e\x6e\x14\xb7\xf8", (void(*)(void *))&fexfn_unpack_libGL_glMemoryBarrier}, // libGL:glMemoryBarrier
  {(uint8_t*)"\xf1\x2e\x67\x83\x01\x47\x74\x33\xc9\x15\x70\x99\xce\xd0\x71\xb2\x9a\x21\x6e\x9b\x84\x69\x09\xf1\x22\x3f\xae\x18\xa0\xd3\xdf\x12", (void(*)(void *))&fexfn_unpack_libGL_glMemoryObjectParameterivEXT}, // libGL:glMemoryObjectParameterivEXT
  {(uint8_t*)"\x16\x4f\x57\xd0\xae\xd1\x19\xa5\x0a\x5a\xf9\x8a\xf7\x3b\x7f\x21\x2f\x10\xbd\xd1\x07\xee\x79\xf0\xce\x47\x17\x46\x1f\xcb\xc9\x01", (void(*)(void *))&fexfn_unpack_libGL_glMinmaxEXT}, // libGL:glMinmaxEXT
  {(uint8_t*)"\xd2\x99\x5b\x57\x82\x6d\x7d\x21\xb8\xb8\x27\x54\x7f\xa9\xc9\x56\x15\x92\xc6\x6f\x77\x06\x13\x4e\x19\x33\xee\xc5\x67\xbd\xec\x4e", (void(*)(void *))&fexfn_unpack_libGL_glMinmax}, // libGL:glMinmax
  {(uint8_t*)"\x45\x5a\xa3\x3a\x32\xbe\xf1\x69\x46\xa5\xe7\x80\xd0\xee\x8e\xd6\x82\x7a\xba\x00\x41\xa0\xe9\x44\xb8\xed\xaf\x81\x1c\x9d\xbf\x7b", (void(*)(void *))&fexfn_unpack_libGL_glMinSampleShadingARB}, // libGL:glMinSampleShadingARB
  {(uint8_t*)"\x46\xb3\x39\x18\xaf\x85\xd1\x90\x25\xfd\x30\x2c\x43\x73\x5e\x8c\xa3\x36\xc5\xe5\xad\xc6\x80\xf3\x56\x4d\x5f\xf3\x27\xed\x16\x32", (void(*)(void *))&fexfn_unpack_libGL_glMinSampleShading}, // libGL:glMinSampleShading
  {(uint8_t*)"\x49\x47\x04\xea\xcb\x43\x55\xb5\xdc\x8a\xf9\x16\x4f\x56\x17\x8b\x02\x0c\x0b\xfd\x28\x87\xb2\xbb\x53\xb5\xd3\x71\xd2\x03\x53\x8d", (void(*)(void *))&fexfn_unpack_libGL_glMulticastBarrierNV}, // libGL:glMulticastBarrierNV
  {(uint8_t*)"\xbd\x19\x84\x5d\xd3\xa2\xc3\xf0\x54\x2a\xd3\x7c\x52\xee\x97\xdb\xcb\x60\x63\x60\xe6\x7e\xbe\xd3\xec\x2c\x2c\x9f\xfb\xab\x8f\x08", (void(*)(void *))&fexfn_unpack_libGL_glMulticastBlitFramebufferNV}, // libGL:glMulticastBlitFramebufferNV
  {(uint8_t*)"\x50\x6f\x03\xb6\x26\x4a\x5a\x78\x88\xf1\x03\x56\x20\x8b\x14\x21\xd6\xc5\x17\x43\xb8\x72\xb0\xc2\xfc\x83\x2e\x3d\x75\x88\x44\xd4", (void(*)(void *))&fexfn_unpack_libGL_glMulticastBufferSubDataNV}, // libGL:glMulticastBufferSubDataNV
  {(uint8_t*)"\x01\x6f\x0c\xbe\x9b\x4f\x0d\x5b\xc3\x43\x06\x46\x8c\xc9\xc3\x60\x38\x59\xcf\xef\x6b\x8d\x11\x7f\x82\x73\x5e\x34\xd9\x5c\xfa\x66", (void(*)(void *))&fexfn_unpack_libGL_glMulticastCopyBufferSubDataNV}, // libGL:glMulticastCopyBufferSubDataNV
  {(uint8_t*)"\xbf\x5f\x3e\x2d\xf8\xb4\x9f\x19\x6a\x6b\x62\x09\x3f\x98\x2f\xb8\x29\x3f\x12\x08\xbd\x55\xec\x4e\x84\x55\xa3\xc5\x07\x0a\x3b\xab", (void(*)(void *))&fexfn_unpack_libGL_glMulticastCopyImageSubDataNV}, // libGL:glMulticastCopyImageSubDataNV
  {(uint8_t*)"\x22\x3e\xc7\x11\x6e\xd5\x89\xb5\xd2\x94\xb7\x4f\x1f\x76\xba\x8c\x7a\xa6\xf6\xdc\x14\x50\xb5\xd3\xc8\xe3\x18\x80\x60\x1a\x3f\xe6", (void(*)(void *))&fexfn_unpack_libGL_glMulticastFramebufferSampleLocationsfvNV}, // libGL:glMulticastFramebufferSampleLocationsfvNV
  {(uint8_t*)"\x8c\x79\xd8\x07\xb6\x8e\x1e\xb3\x9a\x33\xe7\x4c\x80\xff\x3c\xd6\x37\x6f\x38\x0b\x2f\xcc\xdd\xf8\xf2\xea\xdf\x34\x34\xef\x91\x24", (void(*)(void *))&fexfn_unpack_libGL_glMulticastGetQueryObjecti64vNV}, // libGL:glMulticastGetQueryObjecti64vNV
  {(uint8_t*)"\x16\xf8\x2b\x61\xee\xa3\xd1\xc0\xaf\x5b\x26\xb4\xfd\x60\x7b\x78\x45\xb1\xfc\x11\x66\x23\xb1\xd5\xfe\xc2\x40\x2f\xc8\xe2\x8f\xce", (void(*)(void *))&fexfn_unpack_libGL_glMulticastGetQueryObjectivNV}, // libGL:glMulticastGetQueryObjectivNV
  {(uint8_t*)"\xbf\xdc\x35\x2a\x69\x85\xcd\xb9\x72\x1e\x3a\xaa\x41\xa4\x91\xbf\x1d\x7c\x7c\x3d\x2e\x99\x04\x83\x0c\xe3\x72\xeb\x9c\xff\x6a\xf7", (void(*)(void *))&fexfn_unpack_libGL_glMulticastGetQueryObjectui64vNV}, // libGL:glMulticastGetQueryObjectui64vNV
  {(uint8_t*)"\xfd\x2b\x7f\x8b\x5a\x05\xff\x6e\xfe\xd0\xd6\x2a\xa1\x61\x49\x36\x8c\xd6\xae\x6b\x69\x22\xb0\x3c\x8b\xca\x40\xea\x5e\x3c\xdc\xc1", (void(*)(void *))&fexfn_unpack_libGL_glMulticastGetQueryObjectuivNV}, // libGL:glMulticastGetQueryObjectuivNV
  {(uint8_t*)"\x24\x04\xa1\x09\x00\xd1\xd4\x56\xa6\x2b\xf6\x04\xf7\xb8\x8f\xa8\xf9\x30\xc3\x11\x78\xbc\x7a\x55\xfc\xbd\x8c\xf2\xe1\x08\xef\xf8", (void(*)(void *))&fexfn_unpack_libGL_glMulticastScissorArrayvNVX}, // libGL:glMulticastScissorArrayvNVX
  {(uint8_t*)"\x12\xa8\xfe\x45\x9f\xed\x96\x4c\x9b\xf2\x0a\xa4\x3f\x4c\xc7\xaf\xc8\x4a\x86\x82\x07\x70\xcb\x8a\x5f\xce\xb2\x85\x9c\x3b\xff\x4e", (void(*)(void *))&fexfn_unpack_libGL_glMulticastViewportArrayvNVX}, // libGL:glMulticastViewportArrayvNVX
  {(uint8_t*)"\xfa\x28\xdb\x76\x23\xa8\x56\x68\xe2\x5e\x45\x08\x3f\x20\x85\x48\x2f\x16\x28\xb3\x49\x57\xc9\x83\x44\xa3\xef\x2d\xbe\xe6\x5f\xc9", (void(*)(void *))&fexfn_unpack_libGL_glMulticastViewportPositionWScaleNVX}, // libGL:glMulticastViewportPositionWScaleNVX
  {(uint8_t*)"\x05\xe2\x43\xdc\x5b\xd5\xef\x04\xf7\x94\xb9\x64\x98\xa6\xd0\x1a\x91\xdb\x7f\x65\xf8\x88\x33\x4a\xb6\x11\x0f\x15\xc1\x79\x48\xa3", (void(*)(void *))&fexfn_unpack_libGL_glMulticastWaitSyncNV}, // libGL:glMulticastWaitSyncNV
  {(uint8_t*)"\xbf\x30\x74\x1f\xc4\xee\x60\xb5\x2e\x1a\x6c\x02\x84\xf6\x9e\x2a\xf5\xea\xcd\xa8\x5d\xb8\x94\x44\x44\xd2\xa2\xc2\xc2\x17\x2a\x18", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawArraysEXT}, // libGL:glMultiDrawArraysEXT
  {(uint8_t*)"\x31\x8d\x47\xd7\x2c\xfb\xa8\xb9\xee\x7b\x3e\x3f\x64\x38\xaf\x1a\x66\x7d\x8e\xe5\xbc\x4a\x4e\x90\x88\xf1\xca\x06\xda\xbd\xaa\x64", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawArrays}, // libGL:glMultiDrawArrays
  {(uint8_t*)"\x23\xf3\xd4\xea\x20\x82\xd3\xa5\x38\xdf\x56\xf6\x2e\x9a\x1d\xee\xf9\x2e\xa5\x9a\x63\x1c\x01\xe2\x92\x98\x59\xb7\x8e\xe0\x95\x45", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawArraysIndirectAMD}, // libGL:glMultiDrawArraysIndirectAMD
  {(uint8_t*)"\xe9\x4b\x41\x2a\x71\x1d\xa9\x09\x37\x04\xa4\xe2\x32\x57\x34\x02\x51\x45\x76\x50\x42\xc0\x6d\x34\xa9\xa3\xe8\x87\x4b\x24\x7c\xe8", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawArraysIndirectBindlessCountNV}, // libGL:glMultiDrawArraysIndirectBindlessCountNV
  {(uint8_t*)"\x82\xca\x3e\x16\x81\x12\x71\x0e\x07\x5f\x9c\x37\x5e\xba\x4d\xcf\x66\x4a\xee\x96\x2c\xd5\xc6\x75\x08\xbb\xe1\xa1\x58\x9f\x94\xf5", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawArraysIndirectBindlessNV}, // libGL:glMultiDrawArraysIndirectBindlessNV
  {(uint8_t*)"\x5f\xc1\xdf\x28\x0d\xf5\x04\xff\x46\x7d\x66\x78\x00\x19\xce\x92\x98\xd6\xfc\x11\x6c\xb8\xa3\x21\x4b\x93\x4c\x31\xe3\xfc\x7b\x68", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawArraysIndirectCountARB}, // libGL:glMultiDrawArraysIndirectCountARB
  {(uint8_t*)"\x20\xaf\x7c\x90\x87\x07\xa2\x58\x6b\x42\x21\x51\x39\x6c\x6a\x1f\x9b\x75\xe5\x27\xe2\xf1\x11\x1f\x9b\xf4\xea\x6b\x42\x37\x9b\x56", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawArraysIndirectCount}, // libGL:glMultiDrawArraysIndirectCount
  {(uint8_t*)"\x22\x40\xba\x3d\x3e\x69\x8c\x7c\x1e\xea\x1b\x27\x63\xe2\xab\xc7\x1f\x7d\x4f\x37\x75\x1d\xb9\x3c\x13\xcf\x2b\xc6\xc5\x2b\x88\xcb", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawArraysIndirect}, // libGL:glMultiDrawArraysIndirect
  {(uint8_t*)"\x4b\xb7\xc9\x50\x18\x11\x42\xf4\x4b\xd1\x16\xef\xca\x5e\x5e\x2b\x9c\xee\x19\x7c\x1a\x3d\xe3\x71\xbc\xcd\x6d\x24\xb9\xfe\x0d\xe6", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawElementArrayAPPLE}, // libGL:glMultiDrawElementArrayAPPLE
  {(uint8_t*)"\xe6\xeb\xac\xb2\xaf\x97\xbc\x22\x4b\xf9\x54\x93\xcb\xb9\xfe\x8e\xc7\x45\x3c\x4b\xbb\x9b\x4e\xee\x52\x5a\x31\x46\x01\xd6\x91\xcc", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawElementsBaseVertex}, // libGL:glMultiDrawElementsBaseVertex
  {(uint8_t*)"\x29\x64\xb9\xa4\xb3\xc1\x94\x16\x97\xca\x53\x7b\x69\xfb\xc1\xd5\xda\xaf\x88\x76\xfb\xb9\x49\xad\x38\xac\x85\x4d\xf2\xd5\xdf\xd5", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawElementsEXT}, // libGL:glMultiDrawElementsEXT
  {(uint8_t*)"\x26\xbb\x8e\xf7\xaa\xb0\x85\x06\x06\x5f\x0d\xfb\xf1\xfe\xdb\x6c\x43\x2c\x81\xeb\x43\xc5\xf2\x4d\xb0\x11\x51\xe4\x7c\xed\x8d\xe6", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawElements}, // libGL:glMultiDrawElements
  {(uint8_t*)"\x7c\xf8\x89\x71\x2c\x72\x08\xbf\x20\x69\x9a\x19\x43\xf2\xb5\x55\xa2\x89\xde\x2f\x42\xaf\xd7\x4b\x8f\xbd\xeb\xb0\x58\x69\xef\xda", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawElementsIndirectAMD}, // libGL:glMultiDrawElementsIndirectAMD
  {(uint8_t*)"\x29\x97\x92\x2b\x89\x56\xe4\x75\x72\x9c\x35\x0b\x55\x73\x50\xeb\x0b\x15\xca\x7f\x2d\xc0\xde\x77\x0c\x90\x23\xbc\xf0\x3d\x5a\x4a", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawElementsIndirectBindlessCountNV}, // libGL:glMultiDrawElementsIndirectBindlessCountNV
  {(uint8_t*)"\x3b\x6c\xcf\xf4\x75\x68\x31\xb8\x6a\x26\x9a\x27\x26\x1a\x4f\x5b\x0a\xc3\x51\x70\xb0\x23\x0b\x99\x19\x7b\x8d\xce\x7e\xe4\xa3\x87", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawElementsIndirectBindlessNV}, // libGL:glMultiDrawElementsIndirectBindlessNV
  {(uint8_t*)"\xe3\x1d\xa6\xac\xeb\xa7\xa6\x52\xe8\xf6\x5f\x51\x2c\x19\xdc\xef\x5a\xea\xc2\xf7\xed\x34\x9a\xef\xfa\x2f\x3c\x39\x8b\x17\x12\xe2", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawElementsIndirectCountARB}, // libGL:glMultiDrawElementsIndirectCountARB
  {(uint8_t*)"\x94\xa6\x63\xb4\x2c\xc5\x09\xdb\x1f\x18\xd4\xbb\x24\x4e\x21\x40\x73\x59\x59\xa6\x30\xbe\x1f\xeb\x1f\xbd\x14\xe1\xd2\x5b\xac\x9a", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawElementsIndirectCount}, // libGL:glMultiDrawElementsIndirectCount
  {(uint8_t*)"\xbe\x86\xde\x0e\x12\x56\xe0\xc3\x69\x1a\xa0\xb5\xdd\x1c\xf2\xa2\x26\x2c\x29\x4b\x0f\xc1\xd4\x5d\xcb\xbb\xc3\xb2\xa9\x3e\x76\x49", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawElementsIndirect}, // libGL:glMultiDrawElementsIndirect
  {(uint8_t*)"\x6e\xde\x7d\x16\x49\x8e\xc0\x11\xfd\x49\xc0\x97\x4c\xde\xbc\x2d\x80\x8f\x89\x32\x13\x07\x03\xe7\xd5\x02\x57\x17\x8c\xd9\xa9\x83", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawMeshTasksIndirectCountNV}, // libGL:glMultiDrawMeshTasksIndirectCountNV
  {(uint8_t*)"\xf3\xf9\xb8\xaf\x35\x27\xfe\xd0\xac\x84\xed\x51\x79\x95\x68\xbf\x1c\x37\x82\x64\x1b\xf9\xbd\xd3\x16\xf0\xf5\x7e\xa8\x82\x33\x77", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawMeshTasksIndirectNV}, // libGL:glMultiDrawMeshTasksIndirectNV
  {(uint8_t*)"\x8b\x2f\x0e\x81\xf7\x58\xcd\x4e\x5b\x4a\x8d\x37\x0c\x90\xde\xb0\x84\x59\xef\xb7\xf0\xfc\xf7\x6c\xbc\x34\x47\xfb\x2a\xe1\x62\xdf", (void(*)(void *))&fexfn_unpack_libGL_glMultiDrawRangeElementArrayAPPLE}, // libGL:glMultiDrawRangeElementArrayAPPLE
  {(uint8_t*)"\xb3\x67\x07\x72\x69\xeb\xdf\xf9\x1d\x45\xc9\x46\xf9\x66\x29\xb9\xf8\x01\x98\xbf\xa6\x86\x65\xfa\xac\x6c\x76\x72\x60\x1c\x45\xe8", (void(*)(void *))&fexfn_unpack_libGL_glMultiModeDrawArraysIBM}, // libGL:glMultiModeDrawArraysIBM
  {(uint8_t*)"\xf9\x43\x0a\xab\xc5\x11\x3e\x75\xb3\xe2\xf5\xf7\xca\xa1\x9e\x79\xf9\xa5\xcf\x5f\x8b\x19\x2b\xd8\xe6\x20\x1e\xe8\xca\xfd\xda\x39", (void(*)(void *))&fexfn_unpack_libGL_glMultiModeDrawElementsIBM}, // libGL:glMultiModeDrawElementsIBM
  {(uint8_t*)"\x58\xe6\xa6\x0e\xa6\xdf\xf4\x7a\x98\xde\x5d\xc4\x55\x99\x42\xb0\x52\x41\x23\x52\x82\x87\x9b\x73\x3b\xe2\xfc\x45\x3e\xcf\xbd\x69", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexBufferEXT}, // libGL:glMultiTexBufferEXT
  {(uint8_t*)"\xae\x9e\x4c\xe6\xb3\xde\x30\xa6\xf2\x19\x48\x1c\x99\x79\xca\xce\x94\xeb\x20\x97\x18\xee\x39\x7c\x9f\x25\xf5\x6d\x3d\x23\x7f\xf5", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1bOES}, // libGL:glMultiTexCoord1bOES
  {(uint8_t*)"\xa5\x6d\x8f\xbd\xc9\x5e\x6d\x9d\xdc\xb0\x48\x46\x88\x8e\x51\xdc\xcc\xec\x8c\x44\x69\x4c\xf8\x3f\x3f\xef\x95\xb8\x89\x27\x55\x49", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1bvOES}, // libGL:glMultiTexCoord1bvOES
  {(uint8_t*)"\x31\x6d\xf8\x04\xc9\x4b\xce\x08\xce\x52\xb0\xe5\x00\xe7\x22\x87\xba\xbd\xa0\x94\x17\x5e\x48\x3d\x78\x2a\x88\x38\x98\x21\x0d\x38", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1dARB}, // libGL:glMultiTexCoord1dARB
  {(uint8_t*)"\x18\x49\x32\xaf\x31\x9a\xcd\x5b\xbf\xaa\x81\x69\x12\xd1\x26\x15\xaa\x01\x9d\x1c\x94\xf0\x44\x5f\x8a\x45\xef\x92\x69\xae\x9a\x23", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1d}, // libGL:glMultiTexCoord1d
  {(uint8_t*)"\xf1\xd7\xba\x76\xdb\xfc\x72\x5b\x8c\x95\x6c\x33\x78\xbc\x1b\xc3\x14\x3d\x6b\xc7\x7d\x56\x14\xb7\x55\xf5\x34\xb7\xb8\x12\x55\x95", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1dvARB}, // libGL:glMultiTexCoord1dvARB
  {(uint8_t*)"\x36\x1e\x81\x01\xac\xed\x23\x45\xe9\xdc\x4a\x30\x82\xa0\xe8\x4b\x83\x93\xa9\x4c\x47\x75\x69\xc0\x82\xc1\xb4\x85\xb1\xae\xbd\xa2", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1dv}, // libGL:glMultiTexCoord1dv
  {(uint8_t*)"\x48\x1e\x1a\x8b\x53\xaf\xa5\xa4\xab\x33\xde\x16\xf8\x9f\x15\xb7\x6e\x4a\x0c\xac\x56\x7d\x67\x78\xba\x43\xb5\xd7\xef\xfd\x7d\xff", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1fARB}, // libGL:glMultiTexCoord1fARB
  {(uint8_t*)"\x2f\xf9\xf5\x8b\x67\xac\x1c\x6b\x94\x73\xd4\x82\x5e\xc3\x1a\x73\x18\x7d\xa2\x0e\xb7\xf1\x90\x39\x30\xaa\x35\xb6\x81\x2a\x90\x50", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1f}, // libGL:glMultiTexCoord1f
  {(uint8_t*)"\x54\x6e\x1f\xc4\x52\x69\x2d\x8f\xa8\x2a\xfb\x0e\x12\x60\x8d\xfc\xe1\x72\xe3\xd1\xda\x23\x95\x20\xee\x8f\xe4\x92\x65\xab\x4f\xb4", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1fvARB}, // libGL:glMultiTexCoord1fvARB
  {(uint8_t*)"\xf0\xe1\x4b\x1e\x7d\x32\x04\x85\x4b\x13\x7b\x31\x73\x26\xf4\xd3\xdd\x66\xfb\xae\x8b\xed\x60\x04\x48\xb4\x90\x8e\xdd\x9e\x1e\x2a", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1fv}, // libGL:glMultiTexCoord1fv
  {(uint8_t*)"\xc1\xed\xc1\x01\x15\xf5\xe5\x12\xae\x1c\x20\xbb\x44\x36\x84\xbc\xd3\x1f\x1c\x0d\x1a\x82\xaa\x19\x5b\xc7\x90\x3d\x3d\xe4\xd1\x6d", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1hNV}, // libGL:glMultiTexCoord1hNV
  {(uint8_t*)"\xa9\x06\x9a\xd9\x19\xd8\x7d\x57\x3f\x0b\xb0\xdd\x80\x7f\x80\x0b\x16\x86\x54\x1c\x52\xfd\x79\xb7\x4c\x75\xb7\x4a\x7e\x5a\xda\x4c", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1hvNV}, // libGL:glMultiTexCoord1hvNV
  {(uint8_t*)"\x0d\x90\x66\x22\x24\xf5\xdc\xd1\x6e\x62\x12\x16\x79\x76\xa5\x0a\xe4\x39\x51\x38\x1f\x16\x3a\x94\x94\xe9\x38\x8c\xcc\x23\xcc\x09", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1iARB}, // libGL:glMultiTexCoord1iARB
  {(uint8_t*)"\x5f\x42\x50\x2a\x9c\xfe\x83\x92\xa4\xe5\x58\x37\x66\x79\x1f\x53\x33\xcf\xb7\x05\x2f\x28\x1d\xe3\x04\x31\x52\x11\xfd\xd1\x1c\x87", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1i}, // libGL:glMultiTexCoord1i
  {(uint8_t*)"\x14\x3a\x33\x37\x81\xd4\x2c\x65\x2b\xa1\xb3\x75\x60\x8a\xd9\x29\xd4\x46\x7d\xc1\x1d\xdb\x52\x91\x41\xd1\x18\x0f\xd8\x22\x47\x57", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1ivARB}, // libGL:glMultiTexCoord1ivARB
  {(uint8_t*)"\x23\xc4\xc6\x7a\xa1\x1c\x5d\x0f\xd3\x73\x30\x11\x2d\x62\x54\x6f\x39\x1f\x1b\x51\xfd\xe3\x6a\x90\xf0\x84\x8d\xc4\xfe\xcc\x4e\xf8", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1iv}, // libGL:glMultiTexCoord1iv
  {(uint8_t*)"\x5f\x78\x02\xcd\xdb\xaf\xaa\x00\xff\xe3\xf3\xc3\x96\x89\x2a\x9c\xda\x91\xf7\x6c\xe4\x7e\xdc\x80\xac\xc4\xbe\xb9\xa9\x84\x66\x17", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1sARB}, // libGL:glMultiTexCoord1sARB
  {(uint8_t*)"\x6c\x27\xa2\x43\x66\xf7\x8d\x0e\xea\x6a\xd3\x95\xef\xc5\x95\xe3\x2d\xfa\xb7\x15\x6c\xe6\x48\x32\x17\x44\x73\x9a\x99\x26\x3a\x90", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1s}, // libGL:glMultiTexCoord1s
  {(uint8_t*)"\x72\x99\x75\xa3\xa3\x2a\x80\xf6\xbb\xd3\x7c\x09\xde\xd5\x91\xde\x1e\xc3\x70\x55\xfd\x6b\xbd\xc8\xe6\xcb\x3c\x7c\x51\xa4\xee\x64", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1svARB}, // libGL:glMultiTexCoord1svARB
  {(uint8_t*)"\x72\xc6\xe4\x7e\xeb\x19\x14\x40\x52\xe6\x56\xd9\x6a\xcb\x02\xcc\xdf\xeb\x3f\xb9\x8f\x14\x06\xe8\xe4\x55\x2b\x2f\x47\x8e\xc6\x0a", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1sv}, // libGL:glMultiTexCoord1sv
  {(uint8_t*)"\xd5\x5e\x31\x41\x17\xa0\xcf\xce\xc0\x47\x43\x66\x02\x7a\xf7\xdb\x64\x44\x88\xbe\xf5\x6f\xec\xff\x54\x48\x92\x4e\x8b\x87\x99\x4f", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1xOES}, // libGL:glMultiTexCoord1xOES
  {(uint8_t*)"\x64\x30\x35\xa7\x26\x15\xb8\xfe\x86\xcc\xe8\x92\xe7\x97\x58\x6c\x8d\x66\x0f\x09\x50\x5a\x93\xb9\xff\x8a\x0e\xee\x9c\x2d\x19\x5c", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord1xvOES}, // libGL:glMultiTexCoord1xvOES
  {(uint8_t*)"\xce\x5e\xc2\xee\x26\x4a\x86\xb8\x55\xa6\x67\xd4\xca\x6d\x1e\x06\xd7\x6a\x65\xf9\xc2\xac\x98\x22\x69\xf2\x77\x2c\x92\xdb\x67\xcd", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2bOES}, // libGL:glMultiTexCoord2bOES
  {(uint8_t*)"\xea\x7e\xc0\xb7\x55\x79\x54\xa8\x1c\x4e\xb6\x4d\x7e\x90\xee\x10\x96\x89\x0f\xfd\x1b\x8b\xb0\x10\x02\x2e\xe1\x22\x88\x04\x79\x43", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2bvOES}, // libGL:glMultiTexCoord2bvOES
  {(uint8_t*)"\xa9\x4d\x66\x08\x8d\x8b\x3d\xbe\x98\x2c\x08\xd2\xfd\xaf\x99\xb7\x6b\x4d\xdd\x78\xd3\x18\x31\x36\x26\x2c\x55\xb1\x1b\x62\x12\xc3", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2dARB}, // libGL:glMultiTexCoord2dARB
  {(uint8_t*)"\xf7\xd1\xa5\x89\xc6\xc8\x8d\xaa\xe9\x1e\x49\xca\x57\x57\xc0\x1e\xaf\x0b\xd4\xf0\x86\x79\xf1\x33\x5b\x3e\x6e\x93\xec\x00\x9d\x2b", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2d}, // libGL:glMultiTexCoord2d
  {(uint8_t*)"\x76\xd3\x97\xc9\xac\x13\xa2\x51\xda\xc3\xce\xe2\x04\x84\xf7\xee\x13\x9f\x63\x0d\x08\x2f\x65\x37\xf7\x5c\xba\x26\xcf\xfb\xda\x82", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2dvARB}, // libGL:glMultiTexCoord2dvARB
  {(uint8_t*)"\xb6\xed\x53\xe5\x9b\xe0\x85\xa4\x91\x96\x4e\x2f\x88\xcb\x62\x5d\x1d\x24\x1f\xf0\x5c\x75\x6e\x76\x18\x64\xac\x75\xe0\x63\xc1\x01", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2dv}, // libGL:glMultiTexCoord2dv
  {(uint8_t*)"\x8d\x96\x4f\xc4\x77\x15\x82\xcd\x37\x3c\xed\x9a\xb7\xa7\x00\x98\xc9\xa0\x18\x7b\x5f\x7c\xdf\xcc\x29\x3e\x0a\xbc\xed\x88\xe9\x8e", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2fARB}, // libGL:glMultiTexCoord2fARB
  {(uint8_t*)"\x93\xd2\x63\x94\x26\xfe\x5e\x0e\x4e\xa3\x9a\xe1\x5d\xb4\xbb\x73\xd1\x80\x17\x76\x7e\x7b\x17\xa8\xde\x7c\xee\xf5\x29\xed\x09\x84", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2f}, // libGL:glMultiTexCoord2f
  {(uint8_t*)"\x9a\xd7\x7d\x88\xe4\x97\xe1\xb4\x1a\x0e\xb7\x9d\x71\x03\x8e\xf1\x97\x56\xa1\x4d\xde\xae\xea\x88\xc0\xf8\x72\xd2\x0b\x20\xbf\x6b", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2fvARB}, // libGL:glMultiTexCoord2fvARB
  {(uint8_t*)"\x22\x62\x72\x13\xde\xa3\xdd\x80\x5c\xaf\xc2\xf6\x58\xfb\x96\xad\x17\x29\xe1\x00\x70\x6d\x58\xb1\xb8\x12\x83\x4a\x4e\xe4\x80\x21", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2fv}, // libGL:glMultiTexCoord2fv
  {(uint8_t*)"\xfe\x74\xbd\xb6\x9e\x5d\x5c\xf7\x1b\x1d\x26\xbc\x30\x22\x55\x72\x8c\x4d\xec\xed\xe0\x76\x13\xcd\xb1\xf3\x80\xf0\x2a\x38\x7e\xe8", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2hNV}, // libGL:glMultiTexCoord2hNV
  {(uint8_t*)"\x8f\x7b\xa5\xed\x48\x61\xa0\x30\x33\xc9\x8c\xc7\x48\x40\x15\xad\x00\xb0\x57\x36\xe2\x65\x31\xfb\x75\x5a\x26\xb9\x99\xa0\x56\x56", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2hvNV}, // libGL:glMultiTexCoord2hvNV
  {(uint8_t*)"\xff\x7d\xca\x27\xab\x11\x80\xd7\x39\xfe\xeb\x23\xba\x95\xd4\x0c\xfc\x72\xb6\xdf\x79\x14\xb5\x98\xc2\x57\x24\x14\xe7\xd6\x8d\x53", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2iARB}, // libGL:glMultiTexCoord2iARB
  {(uint8_t*)"\x1a\xe4\x87\x40\x89\xb8\xb4\xf2\x45\xf8\x5f\x94\x41\x67\x2d\xfb\xc8\xff\x01\xb9\x81\x16\x66\xf1\x94\xb9\xa4\xc2\x29\x4a\xb9\xfa", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2i}, // libGL:glMultiTexCoord2i
  {(uint8_t*)"\xe4\x8a\xf4\xf1\x8c\x52\x52\x79\xfc\xc2\xcf\xea\x06\x5e\xaa\x37\x30\x0f\xd1\xb0\x8e\x3e\x6d\xf8\x92\x30\x4a\x34\x3c\x83\xe3\x5d", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2ivARB}, // libGL:glMultiTexCoord2ivARB
  {(uint8_t*)"\xfb\x53\x22\x66\xe8\x93\x1f\x14\xb0\x9d\x14\x70\xd0\x70\xe1\x69\xd2\x6c\x52\x05\x55\x76\x93\x59\xf4\x38\x27\x23\xe8\x0a\xe5\x52", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2iv}, // libGL:glMultiTexCoord2iv
  {(uint8_t*)"\x40\x72\xbc\x5b\x39\xbe\xb3\x7b\xb4\xe6\xe8\x1b\xf1\xdf\x08\xbe\xef\x98\xca\x8b\x75\x2b\xdf\x98\x9a\x54\x3e\xa1\x24\x8f\xae\x73", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2sARB}, // libGL:glMultiTexCoord2sARB
  {(uint8_t*)"\xef\xc7\x93\x5d\xa6\xb0\xa2\x1d\x9c\xa6\xb7\x37\x63\x68\x07\x85\xd2\xd4\x89\x10\xfc\xd3\x83\x19\x0d\x61\xb4\x7c\x6c\x80\x2c\x5b", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2s}, // libGL:glMultiTexCoord2s
  {(uint8_t*)"\x8d\xdc\xb8\x80\xd2\x40\xd7\xb3\x7f\xc5\x49\xef\xca\x17\x92\x9a\x68\x63\x88\x81\x1a\x6e\x61\x23\x77\xde\x2e\x93\x10\x8c\x19\x39", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2svARB}, // libGL:glMultiTexCoord2svARB
  {(uint8_t*)"\xec\xa2\x06\x67\xff\x3b\x25\xb2\xa2\x07\x19\x50\x6e\x20\x77\x6f\x2b\x0b\x3a\x84\x90\xaf\x06\x07\xe9\xac\x99\xe8\x9b\x35\xc2\x03", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2sv}, // libGL:glMultiTexCoord2sv
  {(uint8_t*)"\x06\x23\x1f\x5b\x81\x43\x7e\x0c\x1d\xe0\x21\x93\x17\x3c\x7c\xa2\x51\x5f\x8c\x6f\x5c\x02\xe2\x29\xcb\xfc\x20\xcf\xe0\x27\x29\xd6", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2xOES}, // libGL:glMultiTexCoord2xOES
  {(uint8_t*)"\xe6\x5b\xda\x95\x88\x7e\x37\xf9\x30\x06\x61\x7e\xca\x04\x69\xbb\x38\x05\x71\xbe\xe7\x01\x94\x00\xa1\xac\xec\x30\x3e\xf1\x5b\x16", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord2xvOES}, // libGL:glMultiTexCoord2xvOES
  {(uint8_t*)"\x28\x58\xf6\x73\xb0\x6e\x1c\x1b\x97\xa4\x93\x55\xcf\xa7\xf9\xbf\x35\xf6\x2c\xa9\x16\xa3\x4d\x32\x31\xd7\x98\x0c\xa6\x97\x7f\x5a", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3bOES}, // libGL:glMultiTexCoord3bOES
  {(uint8_t*)"\xe2\x8d\x28\x75\xf2\xae\x0a\x75\x47\x35\x59\xcd\xab\xf0\x3a\xec\x57\xa7\xbf\x02\x23\xea\x96\x09\x01\x46\x32\x67\xc7\xa6\x45\x2a", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3bvOES}, // libGL:glMultiTexCoord3bvOES
  {(uint8_t*)"\x25\xac\xd6\xe4\x56\xe1\x11\x43\xd1\x37\xe6\xa6\xc7\x3b\xf8\xed\x6b\xb0\x4b\x73\x0f\x0b\xfb\x37\xe8\x7e\xa0\x9a\x38\x87\x1a\x31", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3dARB}, // libGL:glMultiTexCoord3dARB
  {(uint8_t*)"\x65\xa5\xb1\x0c\x62\xf3\x2f\xee\x96\xdc\x6b\x9b\x16\x54\xfe\xfd\x29\x23\x77\x0f\xd3\xc9\x03\xce\xaf\xd9\xa3\xc3\x13\xf3\x39\x9b", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3d}, // libGL:glMultiTexCoord3d
  {(uint8_t*)"\x1c\xf8\x0a\x36\xde\x4d\xb9\x96\x3d\xf2\xbb\xba\x32\xa1\xbb\x27\x71\xe2\xde\x64\xf0\x5b\x47\x75\xc6\x52\xe5\x1c\x9f\xfc\x57\x52", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3dvARB}, // libGL:glMultiTexCoord3dvARB
  {(uint8_t*)"\x89\x38\xc7\xaf\x7e\xe7\x99\xcf\x9f\x9d\x82\x87\x2d\x24\xf9\xd9\xa6\x8c\x5c\x1c\x94\xf1\xaf\x66\x69\x26\xdc\x6d\x2e\x49\xf3\xb7", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3dv}, // libGL:glMultiTexCoord3dv
  {(uint8_t*)"\x4e\x40\x0d\x72\xa8\xea\xa5\x03\x18\xcb\xd4\x12\x13\x85\x9c\x26\x8f\xc3\x6d\xb9\xe9\x2d\xd7\x30\x62\x06\xdc\x4b\xe3\xb5\x5c\x3f", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3fARB}, // libGL:glMultiTexCoord3fARB
  {(uint8_t*)"\xcb\xe8\x3c\xce\x96\x4d\x11\x97\xc9\x03\xc4\xeb\x61\x7c\x51\x6f\x72\xfc\x45\xcc\x5a\xfb\xcf\xaa\x34\xf1\x87\x69\x04\xe6\xe4\xf8", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3f}, // libGL:glMultiTexCoord3f
  {(uint8_t*)"\x43\xbd\xda\x70\x34\x3f\xbb\xbd\x1e\x20\xb2\x7b\x28\xde\x0f\x2b\x88\xf0\xc1\xad\xec\x9d\x56\xe8\x47\x3a\xf8\xcd\x84\x36\xe8\xb4", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3fvARB}, // libGL:glMultiTexCoord3fvARB
  {(uint8_t*)"\xe5\xc2\x10\x3b\xc0\x44\xd9\xc7\x83\x80\xf0\x38\xd6\xf1\xed\xd3\xf1\xf3\xc2\x93\x61\x2b\x02\x17\xc4\x86\x8c\x1d\x6c\xbc\x66\xb8", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3fv}, // libGL:glMultiTexCoord3fv
  {(uint8_t*)"\xf2\xa8\xc5\xc2\xac\x04\x3d\x33\x7f\xa2\x72\x8d\xd2\x19\xcb\xec\x3c\x5c\x01\xa6\x56\x54\x20\x97\x80\xb5\xd6\x0b\x07\x1a\x20\x5c", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3hNV}, // libGL:glMultiTexCoord3hNV
  {(uint8_t*)"\x22\x16\x7f\x93\xec\xea\x6d\xed\xdf\x09\xe8\x4c\x7a\xc7\xf3\x98\xf0\xd0\x41\xfb\xd1\x5a\xac\xb1\x4e\xd9\xfe\xb1\x90\x4b\x47\x54", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3hvNV}, // libGL:glMultiTexCoord3hvNV
  {(uint8_t*)"\x0e\x78\x5b\xf9\x8a\x50\xe7\x19\xa4\x51\x87\x11\xc4\xdd\x64\x78\x9f\x29\xf9\xeb\x8d\x0c\x0b\x1a\x8f\xac\x99\x73\xf0\x01\x75\x0b", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3iARB}, // libGL:glMultiTexCoord3iARB
  {(uint8_t*)"\x76\x0a\x2e\xd9\xa3\x30\x28\xbe\x3e\x4c\xd0\x5a\xe7\xec\x90\x60\x5d\xbe\x5c\x29\x51\x4b\x9c\xaf\xf9\xb3\x4b\x9a\x9d\x28\xbc\xce", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3i}, // libGL:glMultiTexCoord3i
  {(uint8_t*)"\x93\xc6\xaf\xfe\xc1\xfa\x18\xa3\x5d\xfc\xf0\x29\x98\x7d\xd3\x48\x66\xad\x73\xe4\x85\xab\x63\x73\xaf\x64\x3b\x72\x1b\xfe\x3c\x8d", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3ivARB}, // libGL:glMultiTexCoord3ivARB
  {(uint8_t*)"\x16\x80\xed\xbb\xe0\xdb\x8c\x7f\x90\x14\x36\xf2\xa5\x1f\xc7\x54\x0e\x1d\x3d\x8b\xa2\xbd\xb2\x6d\xb6\xde\x34\xb1\x71\x7d\x0f\xce", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3iv}, // libGL:glMultiTexCoord3iv
  {(uint8_t*)"\x44\x3a\x9d\xbb\xc8\xd0\xb3\xf6\x21\x93\x45\x19\x9a\x00\xae\x61\xdf\xf7\x74\x3c\x68\x98\xfd\x0f\x3a\xa8\xdf\x26\x72\xb4\xf9\x83", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3sARB}, // libGL:glMultiTexCoord3sARB
  {(uint8_t*)"\x15\xc3\xf5\xb0\x5d\x74\xc4\x77\x73\x13\xe5\xd7\xad\x20\xb8\x4c\x1d\xf2\x8d\xe4\x62\x67\xff\xb3\x92\x60\x29\x03\x34\x28\x7e\x1a", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3s}, // libGL:glMultiTexCoord3s
  {(uint8_t*)"\xe9\xf9\x8a\xd1\x70\x92\xa9\x26\xdd\x80\xfe\x05\xba\x61\x4a\x19\x69\x70\xbf\x67\xfa\x2e\xb8\xc7\x99\x42\x5d\x6b\x8b\xe1\x75\xb7", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3svARB}, // libGL:glMultiTexCoord3svARB
  {(uint8_t*)"\x11\x7a\x59\x06\x66\x03\x68\x48\xf8\xaa\xb6\x27\x33\xb9\x22\x23\x5a\x4c\xdc\xfb\x43\xdb\x42\xab\x9b\x32\x9f\x7a\x0c\x87\xfd\x71", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3sv}, // libGL:glMultiTexCoord3sv
  {(uint8_t*)"\x71\xcd\xc9\xd5\x05\xed\x84\x87\xb4\x29\x8c\x1f\x07\xda\x8d\xb2\xc8\x06\xc5\x1d\x19\xe6\x8a\xc6\x0c\x6c\x69\xe4\xdc\x8e\xa4\x63", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3xOES}, // libGL:glMultiTexCoord3xOES
  {(uint8_t*)"\x30\x73\xa0\xda\x8f\x4b\x49\x07\x10\x70\xf9\xae\x30\xad\x10\x7a\x2e\xe5\x46\xe7\x6d\x20\xcd\xbf\x9e\x28\x50\x83\xd1\x2a\x7e\x47", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord3xvOES}, // libGL:glMultiTexCoord3xvOES
  {(uint8_t*)"\x70\xb7\xfe\x44\xd9\x34\x6f\xbf\x2b\xa2\x3f\xfb\xb4\x39\x27\x4e\x65\x1b\x9b\xf1\x2f\xdd\x8b\x05\x26\x64\x73\x2c\x0a\x6f\xb6\xcc", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4bOES}, // libGL:glMultiTexCoord4bOES
  {(uint8_t*)"\x25\x52\x71\x2a\x34\x84\x4d\x26\x15\xf2\x81\x7e\x04\x5c\x64\xde\x9d\xe0\xfe\xdc\x9b\x34\xa4\x03\x55\xde\x68\xab\x95\x08\xd6\xc3", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4bvOES}, // libGL:glMultiTexCoord4bvOES
  {(uint8_t*)"\xec\x84\xd4\x47\xb4\x23\x94\xae\x0b\x7c\x0c\x79\x1a\x0f\xc0\x6e\x50\x5f\x84\xeb\x96\x92\xe6\x06\x60\xe1\xd6\x2d\xe4\xaf\xb9\x70", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4dARB}, // libGL:glMultiTexCoord4dARB
  {(uint8_t*)"\x91\x0b\x84\x47\x6b\x75\xf2\x71\xdd\xe3\x6f\xab\xbb\xe8\xe7\x84\xef\x9b\xbf\x85\xcd\xd8\x51\xaa\x12\x1d\x22\x33\xc1\x56\xf1\x36", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4d}, // libGL:glMultiTexCoord4d
  {(uint8_t*)"\x45\x67\x4e\xf5\x24\x3e\xd0\x38\x37\x63\xdf\x62\xb5\xe4\xd9\x84\x52\x17\xc6\x55\x1c\x3c\x97\x07\x23\x91\x9c\x9b\xf2\x40\x41\xbd", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4dvARB}, // libGL:glMultiTexCoord4dvARB
  {(uint8_t*)"\xb4\x8d\xfa\xe8\x50\x38\x97\x54\xb8\xcd\x6c\x25\x77\x7f\x20\x89\x69\x40\x7a\x81\xd5\xd2\x98\x9a\xa2\x3e\xac\x34\x8a\x5f\xde\xac", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4dv}, // libGL:glMultiTexCoord4dv
  {(uint8_t*)"\xbf\x3e\x22\xd8\x5f\x54\x01\x51\xad\x58\xe1\xe4\xa7\xf4\x36\x51\x1d\x42\x68\x6c\x89\xd7\xdf\x03\x61\xa6\xed\xdf\x30\x0b\xe2\x98", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4fARB}, // libGL:glMultiTexCoord4fARB
  {(uint8_t*)"\x5a\x69\x55\xfc\xf4\xba\xbc\x3f\x76\x38\x7e\xee\x51\x36\x81\x11\xdf\xb4\x97\x2c\xe0\xcf\xa2\x03\xe0\x75\x2a\xeb\xdb\xe3\x41\x42", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4f}, // libGL:glMultiTexCoord4f
  {(uint8_t*)"\x5f\x7d\x73\xe5\x9d\x6d\x14\xc7\xca\x12\xd6\x36\x7c\x5c\xf1\xba\xd8\x89\xc4\xc8\xb8\xa7\xe1\xd2\xb9\x84\x54\x4e\x48\xe4\x6b\xbe", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4fvARB}, // libGL:glMultiTexCoord4fvARB
  {(uint8_t*)"\xf9\xae\x76\x6f\xb2\xba\x88\xd6\x84\xae\x21\x55\x9e\x6e\x6a\x52\x7a\x12\x4c\x2a\xcd\x0b\x33\x31\xcb\xd4\x9f\x56\xa8\x39\xf9\xd4", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4fv}, // libGL:glMultiTexCoord4fv
  {(uint8_t*)"\xec\x2b\xa9\xc4\xd2\x37\x13\x36\xd8\x42\x0a\x90\x28\xe2\x6f\x98\xa5\x85\xbf\x4b\x4e\xb2\xee\xd0\x7f\xff\x27\x29\x6e\x44\xbc\x4f", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4hNV}, // libGL:glMultiTexCoord4hNV
  {(uint8_t*)"\x0d\x01\x48\x74\xec\xa2\x97\x81\x86\x63\x2f\x86\x35\x3c\xe2\x0f\xed\xec\xc8\x2c\x9d\x8b\xf7\xf8\xe0\xb4\x42\x30\x95\xff\x70\xb4", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4hvNV}, // libGL:glMultiTexCoord4hvNV
  {(uint8_t*)"\xf6\x14\x13\x5f\x17\xa2\x98\xd8\x53\x5d\xd5\x55\x6d\xb9\xdd\x37\x2c\xc7\x4c\xe1\xcb\xc1\x5f\x0a\x0f\xdc\x17\x2e\xb3\x83\xd9\xae", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4iARB}, // libGL:glMultiTexCoord4iARB
  {(uint8_t*)"\xdc\xa8\x3f\xa5\xb8\xb4\xe4\x18\x46\x97\x21\x96\x26\x39\x28\x27\x42\xf1\x40\x19\x43\x24\x68\x0b\xc4\xc4\xa1\x64\xb2\x44\xcb\xc4", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4i}, // libGL:glMultiTexCoord4i
  {(uint8_t*)"\xd1\xa1\x20\xc5\xf0\x29\x24\xb5\xc7\x3a\x4f\x28\xab\xe5\x79\x26\xf3\x66\xa5\x3a\x5a\x16\x4f\x46\x21\x57\x79\x43\x16\x35\xf2\x8a", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4ivARB}, // libGL:glMultiTexCoord4ivARB
  {(uint8_t*)"\xcb\xba\xd1\x19\x02\x15\xa6\x63\x9a\x02\xad\x29\x22\xb9\xdd\x09\x85\x07\x49\x18\x39\x0b\xa2\xf0\x83\x9d\x61\x06\xb9\x18\x9d\xf5", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4iv}, // libGL:glMultiTexCoord4iv
  {(uint8_t*)"\x25\x93\xba\x8a\xaf\x42\x1e\x7c\x0f\x97\xc4\x4f\x13\x27\x88\xea\x20\xdc\x68\x71\xfc\xdb\xb5\xea\x1c\x31\xff\xcb\x42\x42\x8d\x3d", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4sARB}, // libGL:glMultiTexCoord4sARB
  {(uint8_t*)"\x76\x22\xc4\xba\x8e\x0c\x41\xd8\x08\x72\x38\x9e\x72\x26\x3f\x1a\xd9\xfe\xdd\xd1\x93\x0a\xf5\x18\xde\x3e\xa1\x16\xe1\x38\x01\x8d", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4s}, // libGL:glMultiTexCoord4s
  {(uint8_t*)"\x0c\xdc\xc0\xc6\x9d\xb6\xb5\x57\x68\x37\xbd\x6a\x95\x65\x7c\x2a\xc1\x7f\xb9\x09\xf4\x39\xb5\xda\x5a\x77\xf7\xf2\x42\xa3\x4d\x75", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4svARB}, // libGL:glMultiTexCoord4svARB
  {(uint8_t*)"\xd8\x7f\xf6\x24\x77\xa5\xec\xa0\xb0\xc2\xad\x90\xf8\x24\x81\xfe\xd6\x2b\xdc\xa3\x48\x78\xbe\xd0\x19\xc6\x1f\x1b\xa1\x65\x9b\xa4", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4sv}, // libGL:glMultiTexCoord4sv
  {(uint8_t*)"\xcd\x30\x85\x5a\xa1\x78\x05\x76\x4d\xc4\xc1\xac\xc9\x82\x2b\x44\x8f\x37\xd9\xfe\x5b\xc6\x3f\xb7\xa4\xc3\x16\x8e\xad\xc8\x93\x82", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4xOES}, // libGL:glMultiTexCoord4xOES
  {(uint8_t*)"\xa3\x9c\xb7\x29\x3c\x2c\xce\xc3\x7c\xc0\x02\x79\x8e\xfe\xdc\x45\x40\x7a\x21\xbc\x5f\xef\x82\xd1\xe9\xf4\x0e\xa9\x35\x76\xf0\x2d", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoord4xvOES}, // libGL:glMultiTexCoord4xvOES
  {(uint8_t*)"\x05\x97\x70\xba\x39\xa3\x39\x9a\xfa\x78\x7d\xed\x2e\x76\xcc\xba\x05\x8e\x46\xff\x2e\x07\x7a\xbb\x40\xdc\x5d\x68\x94\x20\x90\xed", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexCoordPointerEXT}, // libGL:glMultiTexCoordPointerEXT
  {(uint8_t*)"\xb3\x56\x5b\x75\x24\xe3\x3a\x75\x5f\x82\xe3\xfe\x34\x67\x05\xd5\x53\x00\x6a\x43\xcc\xbf\x14\xe6\x43\xb4\x6d\x27\xaa\x05\x71\x26", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexEnvfEXT}, // libGL:glMultiTexEnvfEXT
  {(uint8_t*)"\xc4\x78\x36\x2d\x9c\x1c\xcb\xfe\x0c\xc4\xda\x2c\x97\xf0\xc6\xd4\xf1\x36\xa5\xcf\x7d\xe5\xc5\xc5\x9e\x99\x28\x24\xe3\x8e\x7b\x14", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexEnvfvEXT}, // libGL:glMultiTexEnvfvEXT
  {(uint8_t*)"\x9c\x9a\xcf\x71\x30\xae\xad\x84\xe0\x25\x7b\x2a\xe7\x0d\x2a\x62\x3e\xbe\x86\xce\xd4\x53\xf6\xe3\xa7\x3d\xce\x55\x9e\xa9\x99\xa6", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexEnviEXT}, // libGL:glMultiTexEnviEXT
  {(uint8_t*)"\x70\x48\xd6\x03\x1b\x36\xa6\xe0\x99\xd8\x27\xba\x71\x4c\x8c\xd7\xe6\x4b\x5e\xc7\x2e\x37\x30\x31\xfa\xba\x2c\x45\x6b\xc2\xb1\x2c", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexEnvivEXT}, // libGL:glMultiTexEnvivEXT
  {(uint8_t*)"\xf2\x10\x2c\x95\xf4\xf2\x40\xb9\x7f\x18\xe4\x6d\xe8\x64\x39\xec\x6b\x03\x53\x22\xfb\xe9\x52\x41\x26\x0c\x29\x10\x24\xa6\x85\x41", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexGendEXT}, // libGL:glMultiTexGendEXT
  {(uint8_t*)"\xef\xe6\x10\x10\xf4\x03\x40\x7e\x22\x33\xaf\x14\x8e\x5f\xb4\x14\x6b\x2c\x98\x73\xd7\x66\xad\x96\x76\xb4\xda\xcd\x0c\x53\xc5\x2a", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexGendvEXT}, // libGL:glMultiTexGendvEXT
  {(uint8_t*)"\x7a\x75\x5f\x37\x75\xa8\x21\xfc\xa2\x38\xc1\xff\x01\x09\x4a\xb9\xc8\x58\xc3\xc9\xb3\x17\x45\xbd\xba\xaf\x15\x9b\xc7\xc7\x41\xd9", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexGenfEXT}, // libGL:glMultiTexGenfEXT
  {(uint8_t*)"\xbb\xb0\xfe\x41\xa6\xb3\x7d\x3e\x92\xb3\xef\x49\x85\x21\x89\x34\x8b\x3f\xe0\x91\xc0\x26\xa9\x53\xa9\x04\xf8\x3d\xd6\xc9\x35\x96", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexGenfvEXT}, // libGL:glMultiTexGenfvEXT
  {(uint8_t*)"\x88\x2f\x5c\xd6\x89\x5a\xa7\x22\x9c\xcd\x29\xe6\x01\xbf\x0f\xe9\xc2\x66\xa8\x1e\x55\x01\x0b\x73\x0e\xf2\xef\xa5\x1b\x9c\x6a\x9b", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexGeniEXT}, // libGL:glMultiTexGeniEXT
  {(uint8_t*)"\xb1\x5e\xee\x69\xdd\xe4\xee\xa8\x8d\x89\x69\xd0\x4d\x1b\x47\x44\x54\x65\x37\x3a\x25\x8f\x4c\x78\xa6\x58\xd9\x7d\xe4\x98\x35\xb8", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexGenivEXT}, // libGL:glMultiTexGenivEXT
  {(uint8_t*)"\xc6\x05\xb9\x44\x2b\xe1\x63\xa9\x7d\x35\x7d\xde\x58\x01\x36\xdc\x69\x14\xe5\xd2\x2f\xa4\x94\x55\x75\x8a\x79\xae\xb3\xf3\xe5\x88", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexImage1DEXT}, // libGL:glMultiTexImage1DEXT
  {(uint8_t*)"\xbc\x6a\x17\xde\xa5\x7e\xaf\x16\x82\x1f\xcc\xe7\xe2\x20\x58\xa5\x53\xd8\x0d\x13\xe8\x7d\x37\x41\x15\x21\x0e\xd2\x50\x7d\x24\x44", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexImage2DEXT}, // libGL:glMultiTexImage2DEXT
  {(uint8_t*)"\x7e\x7a\x1a\x66\x60\x97\x74\x6f\xbc\x7a\x73\xea\x21\xdb\x27\x31\xf4\x33\xde\x50\x9d\x5a\x0a\xff\x03\xa1\x23\x19\x4f\x6a\xf1\xf5", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexImage3DEXT}, // libGL:glMultiTexImage3DEXT
  {(uint8_t*)"\x87\x68\x74\x0f\xd3\x58\x33\x02\xe7\x2a\x19\xd6\x95\xd1\x1e\x33\x49\x60\x23\x74\x5b\x16\xb0\x34\xdf\x1d\x23\x84\xe8\xc1\x7a\x8f", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexParameterfEXT}, // libGL:glMultiTexParameterfEXT
  {(uint8_t*)"\xf7\x42\xdc\xfb\xae\x4b\x5f\x22\x19\x0e\x16\x3f\xb2\xdc\x43\x02\x07\x63\x5b\x6b\x84\xfe\xda\xcc\x91\xa6\x7a\x35\x1f\x40\xd9\xef", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexParameterfvEXT}, // libGL:glMultiTexParameterfvEXT
  {(uint8_t*)"\x8a\x39\x0c\x21\x53\x0b\x21\xb1\x4c\x1d\x4b\x61\x2e\xab\x3b\xbf\xed\xeb\xdc\x84\x0e\x8e\xd4\x15\x43\x28\x22\xab\x0f\x19\xa1\xc8", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexParameteriEXT}, // libGL:glMultiTexParameteriEXT
  {(uint8_t*)"\xca\x55\xc9\x23\xdc\x8c\x1a\x9b\x41\x9e\x13\xd0\x38\x18\x6d\x0e\x53\xa6\x09\x14\xd7\x74\x19\xc1\xfd\xa9\xf0\xd0\x3c\xe4\x39\xa1", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexParameterIivEXT}, // libGL:glMultiTexParameterIivEXT
  {(uint8_t*)"\x2a\xfc\x63\x26\x07\xb6\xdf\x8d\xa9\x7d\xd0\xb8\x93\xce\x40\xda\x89\x75\x83\x87\xf7\x6e\x24\x96\x64\xbf\xbb\xa1\x60\x48\xff\x06", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexParameterIuivEXT}, // libGL:glMultiTexParameterIuivEXT
  {(uint8_t*)"\xe8\xd8\x3a\x36\xc9\xb9\x2f\xca\x55\x82\xc8\xf1\xdb\x10\xb0\xce\x4b\xbc\xa1\x6f\x10\x39\x8d\x1c\x40\x49\xff\x42\xaf\x72\x5c\x0e", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexParameterivEXT}, // libGL:glMultiTexParameterivEXT
  {(uint8_t*)"\x9f\xd9\x54\xd1\xeb\x36\xb0\x80\x5e\x91\x17\xee\x7e\x1b\x98\x4f\x38\xa9\xf3\x1a\x83\x2e\xb8\x9c\x66\xe8\xd3\xe0\x24\x0d\x44\xde", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexRenderbufferEXT}, // libGL:glMultiTexRenderbufferEXT
  {(uint8_t*)"\x8c\x7d\xe0\x71\x36\x44\x47\x88\xf3\x48\x90\x0b\xc6\xb4\x7c\x9e\x15\x14\x29\x62\xe2\xba\x2a\x34\xb6\xf1\x2e\xaa\xc6\xad\x9b\x9e", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexSubImage1DEXT}, // libGL:glMultiTexSubImage1DEXT
  {(uint8_t*)"\x7d\x66\x87\x7b\xb6\x4d\x66\xb7\x71\xda\xc1\x67\x0d\x23\x0d\xe8\x48\x0d\x3d\x6e\xb9\x5c\x12\xd8\x26\x5c\x69\x30\x79\x32\x22\x85", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexSubImage2DEXT}, // libGL:glMultiTexSubImage2DEXT
  {(uint8_t*)"\xf6\x49\xfa\x84\xef\xb2\xee\xf4\x06\x22\x94\x44\x72\x08\x90\xb1\x3a\x7d\xb1\x5c\xac\x63\xe7\xcf\x0d\x7b\x4d\x84\x17\x2b\x64\xc7", (void(*)(void *))&fexfn_unpack_libGL_glMultiTexSubImage3DEXT}, // libGL:glMultiTexSubImage3DEXT
  {(uint8_t*)"\xc5\x7b\xed\xfe\xa0\x51\xb7\x5d\x1f\x6d\x6d\x77\xe8\xe8\x9d\xcb\x20\x99\x31\xf3\x20\x12\xbc\x49\xe5\xdf\xd9\x3f\x9b\xeb\x1b\x64", (void(*)(void *))&fexfn_unpack_libGL_glMultMatrixd}, // libGL:glMultMatrixd
  {(uint8_t*)"\xeb\xa4\x1e\xe7\xd6\x10\xc3\x65\x49\x97\xb3\xd7\xe1\xbe\x94\xde\x83\xae\x51\x41\x8d\xe2\xe5\x02\x41\x4a\x50\xe4\xd5\x85\x26\xca", (void(*)(void *))&fexfn_unpack_libGL_glMultMatrixf}, // libGL:glMultMatrixf
  {(uint8_t*)"\x78\xf9\x41\x04\x40\x9e\xc9\xff\x02\xfd\xd4\x12\x50\x6f\x69\xa7\x61\x8e\x56\x60\x1e\x9b\x04\xe7\xc9\x48\x42\x45\x4d\x67\xdd\x50", (void(*)(void *))&fexfn_unpack_libGL_glMultMatrixxOES}, // libGL:glMultMatrixxOES
  {(uint8_t*)"\xd4\xc4\xb2\x63\xeb\xd3\xcd\x27\x9f\x41\x62\xb7\x6a\x52\x2c\x5a\xc5\x7d\xa4\xde\x89\x07\x8d\x71\xcc\xce\xdb\xc5\xb8\xc9\x8e\x39", (void(*)(void *))&fexfn_unpack_libGL_glMultTransposeMatrixdARB}, // libGL:glMultTransposeMatrixdARB
  {(uint8_t*)"\x71\xb5\x62\x08\xd9\xd6\x00\xd5\x77\x5d\x89\x12\xf0\x53\xe3\xd9\x0e\xbd\x51\x1a\xbb\xa9\x30\xc0\x20\xa7\x94\x8d\x6a\x44\x74\x20", (void(*)(void *))&fexfn_unpack_libGL_glMultTransposeMatrixd}, // libGL:glMultTransposeMatrixd
  {(uint8_t*)"\x5d\x0f\x2a\x7c\xe0\x49\x11\xec\xaa\x0d\x1a\x3f\xb9\xd5\x11\x0c\x31\xe9\x07\x94\xd5\x4a\x23\xd7\x6e\x52\x16\x1f\x57\x3f\x9d\x1d", (void(*)(void *))&fexfn_unpack_libGL_glMultTransposeMatrixfARB}, // libGL:glMultTransposeMatrixfARB
  {(uint8_t*)"\x61\x24\x7b\x58\x7f\x9c\x0b\x2c\x10\xe9\x06\x4d\x35\x9f\x60\x6a\xe8\x24\x02\x56\x1a\x6b\x02\x41\x74\xc5\x17\x4e\xfd\x27\xae\xfd", (void(*)(void *))&fexfn_unpack_libGL_glMultTransposeMatrixf}, // libGL:glMultTransposeMatrixf
  {(uint8_t*)"\x75\x03\x64\x6a\x66\xc3\x71\x9d\x4f\x3c\xa3\x0d\xd2\x47\x6e\x76\x00\x44\xc5\xa9\x51\xa6\xb2\x42\x5d\x12\xa0\x3b\xbc\x10\x23\x31", (void(*)(void *))&fexfn_unpack_libGL_glMultTransposeMatrixxOES}, // libGL:glMultTransposeMatrixxOES
  {(uint8_t*)"\x7c\xfe\x12\xea\xe7\x81\xd1\x18\x1a\xd8\x29\x31\xc1\xee\x45\x1c\x80\x49\x8a\x44\xd0\xc3\xca\xba\x77\x3d\xb7\x07\x95\xbf\xf1\xc5", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferAttachMemoryNV}, // libGL:glNamedBufferAttachMemoryNV
  {(uint8_t*)"\x1e\x30\xe8\x3d\xea\xb6\x60\xfd\x3e\x26\xfb\xa3\x57\x78\x0a\x7d\x2f\x67\x7d\xff\x6a\x4d\xd9\x9c\x20\xcc\x4b\x99\x80\xbc\xdb\x0f", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferDataEXT}, // libGL:glNamedBufferDataEXT
  {(uint8_t*)"\xac\x1d\x72\x28\x58\x2d\x93\xd5\x06\xe1\x14\x3a\x15\xb6\x7e\x20\xbf\x34\xa7\x53\xce\x60\x98\x2e\x3f\x2f\x87\x9c\x26\xeb\xf4\xc9", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferData}, // libGL:glNamedBufferData
  {(uint8_t*)"\x61\x41\x89\x9d\x9d\xb1\x3d\xc0\x5b\x08\xba\x01\x90\x14\xbf\x44\x39\x6e\x31\x57\xa8\x54\x10\xfb\x4a\xa3\xb3\xe4\x7c\x68\x31\x5c", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferPageCommitmentARB}, // libGL:glNamedBufferPageCommitmentARB
  {(uint8_t*)"\x63\x70\x51\x7d\x60\x3a\x51\xd3\x1e\x91\xbb\x17\x08\xd7\xe5\x5c\xdb\x3f\xdd\x82\x2a\x46\x10\x3f\xb0\x6e\x52\x59\x5f\xd0\xb1\x47", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferPageCommitmentEXT}, // libGL:glNamedBufferPageCommitmentEXT
  {(uint8_t*)"\x2d\x72\x4c\x90\x18\xf3\x5b\x21\xfc\x10\x24\x33\xfb\x74\xde\xb0\x88\x44\x22\xf5\xfa\xc0\x7b\x58\xd6\x21\x35\xb4\x4f\x85\xc5\x3e", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferStorageExternalEXT}, // libGL:glNamedBufferStorageExternalEXT
  {(uint8_t*)"\xd4\x16\x0e\xbb\xdd\xc3\x92\xe1\xef\xa7\xca\xdf\xe9\x0f\x13\x2d\x2e\xb8\x6c\xcf\x22\x23\x07\x89\x96\x29\x21\xa8\x6e\x35\x9b\x5e", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferStorageEXT}, // libGL:glNamedBufferStorageEXT
  {(uint8_t*)"\xdb\xca\x1b\x0f\xf7\x96\x02\x6a\xdd\xed\x5b\xcd\xde\xde\xbf\xa6\x42\x05\x79\x2b\x51\x52\x04\x25\x8e\x8f\x3b\xa6\xe9\xd7\x32\xae", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferStorage}, // libGL:glNamedBufferStorage
  {(uint8_t*)"\x35\xe5\x3a\xc7\x21\x8c\x31\x14\x2c\xa7\x96\x1c\x01\xdc\x56\xd0\x44\x11\xbd\x54\x2c\xe4\x21\x10\xfe\xd8\x15\x1a\x23\xfa\xec\xe5", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferStorageMemEXT}, // libGL:glNamedBufferStorageMemEXT
  {(uint8_t*)"\x3d\x5a\x24\x35\x4e\xaf\xf5\xec\x8e\xa9\x96\x04\x68\x5f\x3f\x0f\x69\xaf\x79\xdc\xbb\x5f\x19\x35\x7b\xbb\x36\x14\x36\x7c\x81\x49", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferSubDataEXT}, // libGL:glNamedBufferSubDataEXT
  {(uint8_t*)"\xce\x0f\xa2\x62\xf0\xea\xbc\xb6\x9a\xa8\xf9\xce\x4e\x8d\xae\x9b\xd9\xf6\xe0\x8e\xf4\xa4\x04\xe7\xe7\x06\x50\xac\x2d\xc8\x0f\xca", (void(*)(void *))&fexfn_unpack_libGL_glNamedBufferSubData}, // libGL:glNamedBufferSubData
  {(uint8_t*)"\x78\xc6\x43\xf7\x5d\xe7\x1d\x73\x3b\x5e\x85\x94\x97\x49\xc3\x6f\xfb\xb8\x60\x1e\x5e\xad\x78\x62\x6b\x55\xd0\xe1\x41\x22\x2e\x62", (void(*)(void *))&fexfn_unpack_libGL_glNamedCopyBufferSubDataEXT}, // libGL:glNamedCopyBufferSubDataEXT
  {(uint8_t*)"\x8f\x28\x35\xe2\xd6\xfe\xb9\xea\xdc\x6e\x8b\x53\xba\x1d\xc8\xd1\x0d\x55\x0e\xa9\x2d\x8d\x84\xa5\x16\x63\x43\x2b\x44\x85\xcb\x31", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferDrawBuffer}, // libGL:glNamedFramebufferDrawBuffer
  {(uint8_t*)"\x97\x7c\x32\x93\x7c\xeb\x8e\xd7\x0d\x2e\x74\x9d\x53\x12\xc6\xad\xd9\x58\x58\x6e\xe6\xfb\xf5\x76\xa0\x32\x37\xfc\xf3\x01\x05\xde", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferDrawBuffers}, // libGL:glNamedFramebufferDrawBuffers
  {(uint8_t*)"\xb0\x13\x16\x8a\xcd\x06\x5c\x40\x9e\x60\x04\x26\x9b\xe4\x3d\x2b\xa7\x43\x83\x70\xd8\x19\x84\xbf\x94\x55\x41\x5c\x6f\x3d\x38\x1f", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferParameteriEXT}, // libGL:glNamedFramebufferParameteriEXT
  {(uint8_t*)"\x11\x44\x4d\x96\xc4\x74\xfb\x36\x3b\xbe\xa4\x03\xbf\x14\xa8\xa2\xd1\xfb\xd8\xd2\x5f\x71\x45\x15\x08\xc1\x94\xc8\x5f\xc1\x87\xbd", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferParameteri}, // libGL:glNamedFramebufferParameteri
  {(uint8_t*)"\x0c\xad\xf4\x25\x78\xb0\x11\xb2\xc2\xe7\xf1\xfa\x0c\xa5\xa9\x13\xed\x46\xa9\x61\x11\xb7\xce\x4b\xc3\x2e\x59\x2b\x64\x43\xf0\x42", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferReadBuffer}, // libGL:glNamedFramebufferReadBuffer
  {(uint8_t*)"\x76\xb9\xc1\xe2\x90\x9b\x9e\xb5\x54\x6d\xb3\x28\x13\xe1\x43\xf7\xd2\x1c\x5e\xc8\x31\xb5\x13\xd6\xae\xd6\x13\x4c\xda\xc4\x9c\x92", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferRenderbufferEXT}, // libGL:glNamedFramebufferRenderbufferEXT
  {(uint8_t*)"\xf7\x72\x27\xef\x6d\x08\x94\xf2\x96\xdb\x0d\x26\x33\xae\x0a\x5b\x52\x82\xfa\x5d\x90\x6e\x11\xf1\xc9\x90\x75\xcf\x1e\xd7\xa4\x6e", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferRenderbuffer}, // libGL:glNamedFramebufferRenderbuffer
  {(uint8_t*)"\xb5\xc1\xbd\x61\xd5\x49\x93\x72\xcb\xfd\x0d\x5f\x39\xc6\xff\x3d\x48\x14\x46\x31\x02\x66\xbb\x08\x36\x81\x3e\x20\x1b\x85\xc7\x0f", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferSampleLocationsfvARB}, // libGL:glNamedFramebufferSampleLocationsfvARB
  {(uint8_t*)"\x81\x2c\xa1\x36\x47\xa8\x63\xd1\x58\x17\xfe\xfc\x2d\xb6\x28\x1a\x1a\x35\xd5\x47\x47\x4b\x2a\x82\x1a\xd8\x8a\x93\x6d\x43\x8a\x35", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferSampleLocationsfvNV}, // libGL:glNamedFramebufferSampleLocationsfvNV
  {(uint8_t*)"\xa8\x26\xe5\x65\x45\xbb\x33\xaa\x03\x7b\x8f\x3a\xe5\xb1\xff\x35\xc5\xbb\x67\xa9\x66\x9a\x9d\x4f\x31\xbb\x6d\x5e\xf3\x0b\x57\x2c", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferSamplePositionsfvAMD}, // libGL:glNamedFramebufferSamplePositionsfvAMD
  {(uint8_t*)"\x01\x17\xd0\x17\xca\xad\x06\x73\xf3\x00\xca\x0b\x24\xd8\x93\xa9\x80\x0f\xe4\xee\xc4\x95\xf2\x18\xe7\x9d\xb5\x7b\x95\x0e\x43\x82", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferTexture1DEXT}, // libGL:glNamedFramebufferTexture1DEXT
  {(uint8_t*)"\xff\xd9\x71\x10\x95\x0a\xeb\xc1\x7c\xbd\x6f\xfb\x45\xab\xba\x6c\x28\xb7\xad\x99\x08\xe7\x4e\xb8\x5f\x4f\xc1\xd0\x3b\xf2\x36\x92", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferTexture2DEXT}, // libGL:glNamedFramebufferTexture2DEXT
  {(uint8_t*)"\x2a\xf9\x0a\xe2\x07\x07\xa3\x80\xe9\x46\x1e\xb4\x44\xfa\xcc\x5f\xad\x71\xfe\xfd\x96\x7b\x94\x80\x88\xb0\x26\x8c\xa6\xda\x3f\xd1", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferTexture3DEXT}, // libGL:glNamedFramebufferTexture3DEXT
  {(uint8_t*)"\x49\x15\xb6\xca\x0f\x85\x4b\xe8\x52\xbc\x60\xb1\x40\x87\x5b\x26\xcb\x3f\x81\xa1\x86\xe3\xa9\x17\x9f\x2b\x50\x27\x3e\x75\xf5\xc0", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferTextureEXT}, // libGL:glNamedFramebufferTextureEXT
  {(uint8_t*)"\x3e\xc4\x56\x3e\x4c\x85\x89\x0f\xc1\x8f\x29\xb7\xdd\xe0\xcb\xde\xe5\x08\xae\xc4\x6d\xe1\xdf\x35\x7a\x59\xd6\x10\x15\x45\x5d\xbe", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferTextureFaceEXT}, // libGL:glNamedFramebufferTextureFaceEXT
  {(uint8_t*)"\x10\x6f\x93\xf5\x01\xac\xfd\x8f\x5e\xc7\xcb\xbd\xca\x14\x4d\xc7\x7b\xf1\xf6\x6c\xb6\xa4\x56\xe8\x47\xe4\x3e\xf1\xe2\x4e\x66\x9c", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferTexture}, // libGL:glNamedFramebufferTexture
  {(uint8_t*)"\xbd\xb1\xcb\x56\xf6\x2d\xac\xd9\x64\xfd\x54\xd0\x91\xb1\x1e\x15\x6a\x64\x6f\xc2\xa6\xf0\x59\x13\x36\xc8\x42\xb9\xcd\xa3\x81\xa8", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferTextureLayerEXT}, // libGL:glNamedFramebufferTextureLayerEXT
  {(uint8_t*)"\x4f\xb1\x80\x81\x96\xc3\xc5\xa7\x02\xf1\x2b\x2e\x1a\xa2\xfe\x91\x3a\x04\x8a\x3c\xad\x19\xc2\xec\xea\xae\x15\xd2\xbf\x3f\x8d\x87", (void(*)(void *))&fexfn_unpack_libGL_glNamedFramebufferTextureLayer}, // libGL:glNamedFramebufferTextureLayer
  {(uint8_t*)"\x2b\x8f\xb5\x1b\xa6\x18\x53\xbd\xcb\xd8\xeb\x4f\xd9\x1e\xf1\x4d\xea\xda\x9a\xb5\x05\xcb\xa2\xf6\xff\x64\xef\x27\x5a\x99\x3e\x86", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParameter4dEXT}, // libGL:glNamedProgramLocalParameter4dEXT
  {(uint8_t*)"\xc2\x76\x98\xbb\x25\xee\x09\x99\x8a\x70\xd8\xd0\x4c\x86\xd4\x48\xb7\x71\xa4\xcf\x39\x4b\x10\x7b\x3c\xee\x55\xdb\x08\x74\x32\x3a", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParameter4dvEXT}, // libGL:glNamedProgramLocalParameter4dvEXT
  {(uint8_t*)"\xe6\x0f\x48\x6b\x67\x61\x3d\x23\xe1\xc5\x35\x7b\xdd\x8b\x9c\xc6\xc6\xc9\x2c\x09\xe8\xb3\xe9\x5f\xe2\x7e\xb7\xa6\x70\x23\xb7\x2f", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParameter4fEXT}, // libGL:glNamedProgramLocalParameter4fEXT
  {(uint8_t*)"\x76\x1a\xc9\xf9\xb8\x36\xcb\xd6\xef\x3e\x82\x14\x70\xb9\x1b\xea\xa2\x78\x12\x45\xf1\xf7\xe2\xfd\x7b\x6b\x51\xb3\xe7\x8a\xf6\x5b", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParameter4fvEXT}, // libGL:glNamedProgramLocalParameter4fvEXT
  {(uint8_t*)"\x1f\x4f\x9d\x20\x35\xdf\x53\x8f\xe6\x46\x46\xad\x37\xa1\x83\xa2\x60\xde\x17\x42\x45\x4b\x53\x3e\xb7\xf0\x9b\x50\x0a\x4e\x04\xa2", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParameterI4iEXT}, // libGL:glNamedProgramLocalParameterI4iEXT
  {(uint8_t*)"\xf2\x19\x1b\x1b\xc4\xcb\x98\x33\xa6\x08\x55\x45\x0f\x81\x86\x70\x6a\x1f\x91\x6b\xb3\x4f\x64\xe0\xcb\x9d\x35\xb6\x22\x5e\x00\xf1", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParameterI4ivEXT}, // libGL:glNamedProgramLocalParameterI4ivEXT
  {(uint8_t*)"\x6b\x1c\x35\x98\xf1\x4f\xe8\x2a\xa0\xd3\x85\xba\x66\xa8\x9f\xe8\x35\xee\x6e\x43\x29\x3a\x07\x8b\x4e\x68\xcd\xcf\xb9\x06\x5f\x42", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParameterI4uiEXT}, // libGL:glNamedProgramLocalParameterI4uiEXT
  {(uint8_t*)"\xd6\x8d\x40\x59\x92\x0b\x06\x0b\x42\x41\x4d\xf0\x75\x74\x0a\x20\xbc\x6c\x48\xe4\xb4\x83\xb4\x77\x5e\x85\x3a\x26\xb1\xe6\xbb\xb1", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParameterI4uivEXT}, // libGL:glNamedProgramLocalParameterI4uivEXT
  {(uint8_t*)"\xbe\x62\xeb\x73\x22\xf7\x64\x5f\x97\x4f\xa9\x96\x97\x99\x6a\x4b\x4e\xa1\xc0\x88\x07\xe4\x68\xd4\xff\x91\x47\xb2\x24\x62\xe1\x53", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParameters4fvEXT}, // libGL:glNamedProgramLocalParameters4fvEXT
  {(uint8_t*)"\x5e\x7b\x13\xcd\xf8\x5f\xe1\x49\x97\xc4\x6b\x03\xf7\xb3\x6c\xce\x29\x82\x58\x71\x73\x99\x30\xb5\x35\x5a\xdf\x92\x52\xe9\x31\xd5", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParametersI4ivEXT}, // libGL:glNamedProgramLocalParametersI4ivEXT
  {(uint8_t*)"\x2e\x9e\xec\x82\xff\xf4\x58\x44\x11\x24\xe1\x1c\x79\xa6\x98\xe8\xf9\xa3\xe8\x34\x9a\x56\xd8\x8c\x3a\xc2\xfd\xca\x59\xbd\x7c\x52", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramLocalParametersI4uivEXT}, // libGL:glNamedProgramLocalParametersI4uivEXT
  {(uint8_t*)"\xce\x3d\x71\x1f\x66\x16\xf6\x96\x32\xb8\x7c\x4b\xd2\x04\x20\x6e\xe9\x63\x3b\x01\x84\xa2\xa4\xa0\x43\x3e\x3c\x94\x46\xbb\x86\x24", (void(*)(void *))&fexfn_unpack_libGL_glNamedProgramStringEXT}, // libGL:glNamedProgramStringEXT
  {(uint8_t*)"\xd9\x14\x43\xac\x26\x3b\x50\x34\xdd\x00\x61\x8a\xfa\x78\x71\x58\x8c\xdb\xb1\x87\xc8\x79\xec\xdd\x32\x0d\xed\xcb\xba\xba\xfe\x5c", (void(*)(void *))&fexfn_unpack_libGL_glNamedRenderbufferStorageEXT}, // libGL:glNamedRenderbufferStorageEXT
  {(uint8_t*)"\x99\x21\xf4\x07\xf3\xf6\x5b\x68\x52\x42\x1d\x85\xbd\x7b\x3e\xc0\x22\x00\x96\xfe\x23\xca\xfe\xbc\x3e\x54\xf7\x8c\x2d\x8b\x6a\x3e", (void(*)(void *))&fexfn_unpack_libGL_glNamedRenderbufferStorage}, // libGL:glNamedRenderbufferStorage
  {(uint8_t*)"\x0e\x51\xd9\x21\x44\x49\x81\x54\x12\x65\x70\x4d\xfd\x16\x37\xdb\xe8\xe8\x8e\xdc\xbf\x9d\x4d\x40\x5b\xf1\x98\x97\x98\xb3\x7d\xd9", (void(*)(void *))&fexfn_unpack_libGL_glNamedRenderbufferStorageMultisampleAdvancedAMD}, // libGL:glNamedRenderbufferStorageMultisampleAdvancedAMD
  {(uint8_t*)"\x1b\xf5\x69\xc6\xa3\x89\xaf\xde\xc5\x27\xe7\xca\xbe\x09\xf3\xaa\x63\x72\x00\xb0\x57\x25\x07\xe5\x4f\xdf\x3b\x0c\x36\x3a\x5d\x79", (void(*)(void *))&fexfn_unpack_libGL_glNamedRenderbufferStorageMultisampleCoverageEXT}, // libGL:glNamedRenderbufferStorageMultisampleCoverageEXT
  {(uint8_t*)"\x91\xfe\x3f\xc6\x30\x4d\x12\xb6\x48\x9c\x0d\x29\x05\x87\x6b\x93\xb4\x07\x45\xc2\x4e\x44\x3b\xd2\xa1\x70\xc2\xfb\xd5\x50\x57\x29", (void(*)(void *))&fexfn_unpack_libGL_glNamedRenderbufferStorageMultisampleEXT}, // libGL:glNamedRenderbufferStorageMultisampleEXT
  {(uint8_t*)"\x11\x11\x54\xfc\xa2\x23\xe8\xcd\xe2\xe9\x53\x49\x46\xde\x33\x3b\x10\x50\x8c\x49\xf9\x56\xe8\xa3\x2a\xe3\xf3\x9b\xdd\x58\x30\xe0", (void(*)(void *))&fexfn_unpack_libGL_glNamedRenderbufferStorageMultisample}, // libGL:glNamedRenderbufferStorageMultisample
  {(uint8_t*)"\x5a\x41\xd1\x0f\x55\x2e\x64\x5d\x6e\x23\xe6\xf0\xf4\xa7\x5f\xf3\x03\xec\x8f\x4e\x3f\x9d\x3d\x55\xde\xf5\xcf\xa0\xf5\x0d\x85\x51", (void(*)(void *))&fexfn_unpack_libGL_glNamedStringARB}, // libGL:glNamedStringARB
  {(uint8_t*)"\x0c\x4f\xb0\x9f\x44\x69\xc4\x3d\xa1\x9f\xe8\x74\xaf\x89\x43\xdc\x17\x26\xcc\xe7\xf1\x72\x66\x4b\x26\x5c\xa8\x22\xfb\x09\x1c\x2b", (void(*)(void *))&fexfn_unpack_libGL_glNewList}, // libGL:glNewList
  {(uint8_t*)"\x30\x44\x20\x27\x05\x46\xf5\xa1\xf1\x96\x38\x78\x3f\xbd\x65\xda\x05\x2e\x38\x03\xc5\xde\xc1\xcd\xfe\x08\x09\x85\xcb\x7b\xe8\x61", (void(*)(void *))&fexfn_unpack_libGL_glNormal3b}, // libGL:glNormal3b
  {(uint8_t*)"\xc8\x1d\xf3\x2a\x4d\x5d\xd7\x37\xd9\x99\x97\x52\x3d\x9b\x74\x88\xb1\xc1\x78\x77\xdf\x0d\x2d\x6a\x8b\xd7\xae\x30\x41\x85\x37\x95", (void(*)(void *))&fexfn_unpack_libGL_glNormal3bv}, // libGL:glNormal3bv
  {(uint8_t*)"\x76\x45\x63\xea\xdb\xd4\x64\x35\x30\x61\xd1\x4c\x17\xaa\x3b\xf8\x6a\xcc\x6d\x72\x42\x89\x78\x64\x90\x8d\xdc\x9d\x4c\x54\x96\xa4", (void(*)(void *))&fexfn_unpack_libGL_glNormal3d}, // libGL:glNormal3d
  {(uint8_t*)"\xf4\xe7\x65\xc6\x4f\x63\xdc\x81\x7c\xb7\x63\xb2\x74\x0d\xde\x9a\xfb\x26\xbe\xb6\xa4\xae\x80\xf2\x68\xe1\xec\x95\x04\xb4\x5b\x50", (void(*)(void *))&fexfn_unpack_libGL_glNormal3dv}, // libGL:glNormal3dv
  {(uint8_t*)"\x3e\x3d\x94\xe4\x81\x73\x94\x13\x8a\x53\xf7\x2a\x4c\x83\x60\x28\xd7\xb9\xe6\x46\x92\x1d\x5a\x05\x94\x17\x60\x9a\xc7\x2e\x03\xe4", (void(*)(void *))&fexfn_unpack_libGL_glNormal3f}, // libGL:glNormal3f
  {(uint8_t*)"\x29\x6d\x06\x44\x49\xa6\xd1\x01\x58\x41\x8c\xca\xed\x89\xfa\x57\x77\x71\x2a\x0d\xf7\xd3\xe0\xd9\x72\x99\x1c\xb3\x54\x6f\x8d\x58", (void(*)(void *))&fexfn_unpack_libGL_glNormal3fv}, // libGL:glNormal3fv
  {(uint8_t*)"\xf1\x83\x70\x0c\x3e\x6d\xf4\x94\xd8\x29\x87\xdf\x69\x82\x8e\xf4\x4c\xde\x5a\x64\x01\xcc\x0c\x97\xcd\x9a\xd3\x30\x43\x22\xf5\xca", (void(*)(void *))&fexfn_unpack_libGL_glNormal3fVertex3fSUN}, // libGL:glNormal3fVertex3fSUN
  {(uint8_t*)"\xc7\x33\xe0\x8f\xd3\x8e\x22\x0f\x88\x04\x48\x3b\xc9\xc2\x31\xe5\x15\x5d\x9d\xca\xb1\xcf\x16\x69\xe5\x47\x81\x68\x8e\xfb\x9e\x75", (void(*)(void *))&fexfn_unpack_libGL_glNormal3fVertex3fvSUN}, // libGL:glNormal3fVertex3fvSUN
  {(uint8_t*)"\x83\xbd\xe6\x3e\xcc\xb8\x6d\x17\x99\x5e\xe3\xda\x51\x7c\x7a\x7c\x61\x7d\xbd\xd2\xc9\x98\x91\x17\x81\x16\x00\x01\xcd\x40\xf5\x15", (void(*)(void *))&fexfn_unpack_libGL_glNormal3hNV}, // libGL:glNormal3hNV
  {(uint8_t*)"\x53\x5e\x9a\x27\xe0\x54\xe1\x77\xdc\x3d\xad\x32\x56\xd1\xf5\xee\x87\xfc\xd1\xe1\xc4\x6d\xd8\xd1\x89\xfd\x67\x8f\xad\xac\x80\x83", (void(*)(void *))&fexfn_unpack_libGL_glNormal3hvNV}, // libGL:glNormal3hvNV
  {(uint8_t*)"\xb6\x41\xaf\x8c\xa2\x37\xa1\x79\x55\xc3\xde\x9a\x87\x75\xc5\xa2\xbf\xdf\x32\x88\xec\xc6\xdb\x8a\x57\xae\xd5\x7a\x98\x82\x08\x3d", (void(*)(void *))&fexfn_unpack_libGL_glNormal3i}, // libGL:glNormal3i
  {(uint8_t*)"\x2d\xf6\xf4\xa6\xa7\x38\xc4\xe6\x32\x78\xf1\xd9\x4d\x9c\x9e\x2f\x88\xd8\x25\x05\xbc\x65\x76\x61\xe9\x1f\x02\xc9\xf9\xd9\xdd\x18", (void(*)(void *))&fexfn_unpack_libGL_glNormal3iv}, // libGL:glNormal3iv
  {(uint8_t*)"\xf6\xe6\x96\xee\x75\xe3\x52\x42\xfd\xcb\x41\xc2\x06\xd2\x85\x88\x1b\x10\x78\x89\x14\xf7\x64\x3e\xb5\xb0\xa3\xec\xb0\xe7\xca\xfc", (void(*)(void *))&fexfn_unpack_libGL_glNormal3s}, // libGL:glNormal3s
  {(uint8_t*)"\x72\x74\xf6\x5c\xc4\x2a\x64\xd5\x1f\x4e\x6a\x07\x08\xfe\x7b\x65\xc6\x99\x14\x69\x61\xc4\xbe\x2e\xd9\x40\xf1\x7e\x0c\x36\xfa\x15", (void(*)(void *))&fexfn_unpack_libGL_glNormal3sv}, // libGL:glNormal3sv
  {(uint8_t*)"\xa4\x71\x95\x27\x82\x2f\x7f\xae\x13\xd8\x03\xe9\x08\xe5\x61\x56\xe0\x3e\x53\x99\x48\xed\xa8\xc4\x52\xbf\x63\x53\x3b\x0c\xff\xcf", (void(*)(void *))&fexfn_unpack_libGL_glNormal3xOES}, // libGL:glNormal3xOES
  {(uint8_t*)"\xd4\x3b\x4d\x64\x8c\x93\xc9\xba\xad\x0e\xe3\xd9\xc5\x3f\x60\x1c\xc3\xde\xa9\x40\xcf\x38\x9e\xbe\xcf\x37\x4d\x61\xb9\x20\x4f\xdc", (void(*)(void *))&fexfn_unpack_libGL_glNormal3xvOES}, // libGL:glNormal3xvOES
  {(uint8_t*)"\x8c\x2c\x08\x47\x46\x54\xdb\x07\x24\xd6\x98\xae\xc5\x51\x3d\xeb\xd2\xfa\x65\x25\xf1\xa6\x52\x82\xc3\xb6\x80\x2b\xd5\x75\x05\xc1", (void(*)(void *))&fexfn_unpack_libGL_glNormalFormatNV}, // libGL:glNormalFormatNV
  {(uint8_t*)"\xd0\x64\x77\xc4\x78\xad\xf9\xbc\x46\x68\xc9\xc1\x20\x13\x61\xe2\x65\xe3\x4a\x1d\x27\x22\xda\x3a\x18\xcd\x9e\x21\x46\x02\x9f\xad", (void(*)(void *))&fexfn_unpack_libGL_glNormalPointerEXT}, // libGL:glNormalPointerEXT
  {(uint8_t*)"\x9a\xbc\xdf\x4d\xcd\x33\xd4\x8d\x57\x18\x3d\x90\xa1\xdc\x5e\xe1\x38\xe4\x4f\xac\xda\x1c\x98\x81\xfc\x6b\x7c\x4b\xca\x66\xf9\x9c", (void(*)(void *))&fexfn_unpack_libGL_glNormalPointer}, // libGL:glNormalPointer
  {(uint8_t*)"\x74\x50\x99\xa6\x2d\x86\x76\x63\x86\x13\x15\x63\x16\xd2\x3b\xe1\xcd\x88\x94\x7e\xc0\x44\xfa\xe1\x9f\xf6\xba\xe9\xa3\x32\xba\x5e", (void(*)(void *))&fexfn_unpack_libGL_glNormalPointerListIBM}, // libGL:glNormalPointerListIBM
  {(uint8_t*)"\x9c\x22\xe8\x28\xa8\x19\x9b\xe3\x75\x93\x6b\x51\x8a\x30\xfa\xb2\x3f\x8e\x04\x5e\x3d\xfc\xc5\xf5\x43\x87\xed\x9a\x91\x02\xe5\xf8", (void(*)(void *))&fexfn_unpack_libGL_glNormalPointervINTEL}, // libGL:glNormalPointervINTEL
  {(uint8_t*)"\x1c\x93\x25\x43\x82\xd3\x25\x22\x97\xff\x15\x20\x31\x47\x9f\xa4\x01\x52\xd5\x25\xf0\x35\xf7\x94\xd5\x86\x5f\xc9\xc9\x03\x70\xcd", (void(*)(void *))&fexfn_unpack_libGL_glNormalStream3bATI}, // libGL:glNormalStream3bATI
  {(uint8_t*)"\x25\x78\xc7\x7b\x88\x56\x36\x59\xfb\xb6\x4e\x80\x58\x56\xd1\x79\xcd\xce\x7b\x62\x89\xa6\x9f\xf1\xf6\x05\xff\xff\xde\x63\x57\x6f", (void(*)(void *))&fexfn_unpack_libGL_glNormalStream3bvATI}, // libGL:glNormalStream3bvATI
  {(uint8_t*)"\xd4\x20\x6e\x41\x51\x90\xd2\x3f\x74\xd5\x27\x18\x42\x24\x72\xa8\x1b\xac\x80\xbd\x76\xd1\xb4\x46\xe5\xbf\x26\xe6\x32\xf3\xd3\xc1", (void(*)(void *))&fexfn_unpack_libGL_glNormalStream3dATI}, // libGL:glNormalStream3dATI
  {(uint8_t*)"\x03\xa3\xb1\x56\xa0\xf8\xc9\xc0\xba\xed\x94\x1a\x20\xb5\x37\xbe\x62\x46\x71\xcb\x5b\x29\x37\xc3\xaf\xd8\x37\xeb\xfc\x34\xb5\xec", (void(*)(void *))&fexfn_unpack_libGL_glNormalStream3dvATI}, // libGL:glNormalStream3dvATI
  {(uint8_t*)"\xf9\x18\x57\xba\xf4\x4a\xb0\xf0\x0e\xbd\x16\x4f\x17\x33\x51\x1b\xe9\x7f\x59\x13\xf7\xb9\x02\xc3\x79\x35\x11\x88\x8c\x31\x57\x1e", (void(*)(void *))&fexfn_unpack_libGL_glNormalStream3fATI}, // libGL:glNormalStream3fATI
  {(uint8_t*)"\xa8\xb6\x83\x33\x7c\xee\x93\x83\x4f\x09\xd4\x88\x25\x09\xe2\xff\x2b\x35\xcc\x3f\x03\x99\x71\x71\x0c\x0c\xf8\x97\x2e\xf9\x62\xc8", (void(*)(void *))&fexfn_unpack_libGL_glNormalStream3fvATI}, // libGL:glNormalStream3fvATI
  {(uint8_t*)"\x88\x49\x49\xcb\xd1\xb6\xfa\x3c\x39\x19\x9c\xa4\x92\xdd\xb9\x13\xde\x33\x53\x65\xbc\x71\xac\x32\xff\x2a\x8b\xeb\x46\x82\x82\xe0", (void(*)(void *))&fexfn_unpack_libGL_glNormalStream3iATI}, // libGL:glNormalStream3iATI
  {(uint8_t*)"\x84\x33\xa6\x64\x9e\x90\xf6\x73\x1d\xa7\xf9\xb5\x17\x5a\xa5\x65\x50\x79\x31\xd3\xa4\x95\x87\x8e\xa9\xd2\x70\xfd\xfb\xf9\x5e\x17", (void(*)(void *))&fexfn_unpack_libGL_glNormalStream3ivATI}, // libGL:glNormalStream3ivATI
  {(uint8_t*)"\x5a\x4f\x31\xd3\x4c\x2a\x93\x68\x87\x9c\x67\x18\xde\xf1\xe7\x71\x26\xfb\x07\xdd\x71\x9a\x94\x52\x27\xd5\xfb\x66\xc3\x69\x3c\x34", (void(*)(void *))&fexfn_unpack_libGL_glNormalStream3sATI}, // libGL:glNormalStream3sATI
  {(uint8_t*)"\xad\xa7\xae\x14\xea\xfc\xe3\x9c\x08\xd7\x58\x5e\x8f\xfa\xc6\x4b\x6d\xb0\x7b\xa8\x2a\xf5\x10\xfb\xec\x1c\xa8\x1f\x6e\xe2\x7d\x33", (void(*)(void *))&fexfn_unpack_libGL_glNormalStream3svATI}, // libGL:glNormalStream3svATI
  {(uint8_t*)"\x17\xa4\x84\x39\x54\x7a\x52\xd9\x8e\x4f\x93\xd7\xd5\x07\x31\xbd\xfa\x6a\x19\x42\xec\xe6\xd9\x37\x64\x51\x38\x89\x62\x41\x47\x43", (void(*)(void *))&fexfn_unpack_libGL_glObjectLabel}, // libGL:glObjectLabel
  {(uint8_t*)"\x3a\x72\xf8\xee\x35\xd5\x1c\x29\xb1\xf1\xc6\x2c\x05\xd4\x46\x9b\x79\xd7\xfe\xb9\x65\x5f\x95\x60\x79\xcb\x3b\x10\x56\x9a\x35\x21", (void(*)(void *))&fexfn_unpack_libGL_glObjectPtrLabel}, // libGL:glObjectPtrLabel
  {(uint8_t*)"\x37\xb7\xe2\x1c\x13\x3e\xa1\x7a\xa7\xc1\x4f\x74\x53\xd3\x15\xc5\x4d\x74\x80\x54\x51\x07\xc5\x73\x0b\xdd\x96\xac\xe0\xbe\xe8\xc0", (void(*)(void *))&fexfn_unpack_libGL_glOrthofOES}, // libGL:glOrthofOES
  {(uint8_t*)"\x4f\xed\xd0\x60\xf9\x58\xbc\x98\xaf\x2f\xf1\xd3\x62\x26\x2d\x4a\xdd\x11\x8d\x17\x75\x6f\x33\x8a\x59\xbd\x4c\xf4\xb0\x97\x34\x53", (void(*)(void *))&fexfn_unpack_libGL_glOrtho}, // libGL:glOrtho
  {(uint8_t*)"\x10\x92\x27\xea\x6a\x22\x09\xfa\xcc\x2e\xe8\xb1\x97\x33\x70\x8f\xfa\x03\x3e\x5e\x29\x83\x0c\x5a\x8c\x3e\xb6\x3e\x0c\xfa\x5a\x73", (void(*)(void *))&fexfn_unpack_libGL_glOrthoxOES}, // libGL:glOrthoxOES
  {(uint8_t*)"\xbf\x43\xd8\xd0\x43\x11\x99\xb2\xdc\x99\x20\x9b\x8f\x15\x55\x70\x77\xb3\xd9\xd5\x0b\x95\x47\x37\x82\x52\xea\xee\x17\x54\x4d\xc5", (void(*)(void *))&fexfn_unpack_libGL_glPassTexCoordATI}, // libGL:glPassTexCoordATI
  {(uint8_t*)"\xd6\xcf\x86\x08\x55\x6b\x62\x94\x23\xd3\x85\x14\x0e\xe3\x21\x76\x9a\xee\xc5\xe9\xef\xf0\x9c\x35\x34\xa9\xe0\xb4\x21\xf5\xb7\xc7", (void(*)(void *))&fexfn_unpack_libGL_glPassThrough}, // libGL:glPassThrough
  {(uint8_t*)"\xbf\x0e\x06\x7d\x22\x01\x8f\x6d\xc2\x51\x73\xce\xfc\xa9\xfa\xb4\x2c\x4e\x99\xbc\x0f\x20\x4b\x40\x30\x41\x60\xd2\x04\x1e\xe4\xea", (void(*)(void *))&fexfn_unpack_libGL_glPassThroughxOES}, // libGL:glPassThroughxOES
  {(uint8_t*)"\x51\x30\x58\x67\xf5\x2b\xd2\x19\xe9\xc9\x55\xcb\xbd\xca\xd2\x3a\x45\x85\x01\xa2\x13\xaa\xb2\x41\x78\x96\x85\x68\x39\x33\xd3\x54", (void(*)(void *))&fexfn_unpack_libGL_glPatchParameterfv}, // libGL:glPatchParameterfv
  {(uint8_t*)"\x44\x60\xc0\x3c\x24\x2f\x0a\x2b\x8c\x67\x16\x5d\xce\xc4\x9c\x78\xb3\x55\xd7\x18\x06\x71\xaf\x30\xbe\xe4\x96\x9e\xa1\x2a\xb1\x58", (void(*)(void *))&fexfn_unpack_libGL_glPatchParameteri}, // libGL:glPatchParameteri
  {(uint8_t*)"\x80\x9f\xa1\xd6\x48\x84\x30\x08\x7f\x6b\xbb\xf1\x64\xbb\x3c\x5d\x92\xc2\xa7\x3d\x9d\x69\xc5\xde\x0d\x3b\x32\xc4\xda\x13\xed\x81", (void(*)(void *))&fexfn_unpack_libGL_glPathCommandsNV}, // libGL:glPathCommandsNV
  {(uint8_t*)"\x37\xb2\x33\x62\x85\xf9\x3b\x0c\xee\x30\x82\x0a\x50\x41\xd7\x63\x6b\xf6\x7b\x90\xed\x50\x8b\x91\x99\x9a\x0a\xc7\x4e\x4a\x14\x69", (void(*)(void *))&fexfn_unpack_libGL_glPathCoordsNV}, // libGL:glPathCoordsNV
  {(uint8_t*)"\x0c\xc2\x36\x29\xe3\xd5\xdd\x30\x1b\xb3\xb5\x72\x72\x18\xbf\xd6\xbc\x97\x14\x63\x7c\x8b\xb2\x5d\xf8\x47\x53\x54\x5d\x4c\x9a\xe1", (void(*)(void *))&fexfn_unpack_libGL_glPathCoverDepthFuncNV}, // libGL:glPathCoverDepthFuncNV
  {(uint8_t*)"\xed\xc8\x6c\x2b\xc7\xa4\xae\xc1\xe6\xf1\xdd\x30\x18\x73\x7f\xcf\xef\x88\xf7\xef\x8d\x17\x74\x6c\x1e\xd8\x3b\xd5\x12\x0f\xce\x92", (void(*)(void *))&fexfn_unpack_libGL_glPathDashArrayNV}, // libGL:glPathDashArrayNV
  {(uint8_t*)"\x38\xdb\x3c\x0d\x7c\xe1\xd4\xc2\xfb\xdf\x11\xf0\x8f\xcf\xdf\x8b\x12\xfa\xc4\x97\xb2\x81\x01\x3c\xd1\x24\x08\xd2\x5e\x66\x3c\x6e", (void(*)(void *))&fexfn_unpack_libGL_glPathGlyphRangeNV}, // libGL:glPathGlyphRangeNV
  {(uint8_t*)"\xce\x71\x64\xd6\x11\x2a\xfe\xdf\x00\xb0\x5d\xbb\x37\xad\xde\xf0\x1e\x70\x1c\xbb\x9b\x9c\x3a\x4c\x01\x28\x6f\x91\x35\xf7\xf4\x86", (void(*)(void *))&fexfn_unpack_libGL_glPathGlyphsNV}, // libGL:glPathGlyphsNV
  {(uint8_t*)"\xfa\x22\x26\xee\x92\x22\x9e\x84\xb1\xed\x26\x5c\x95\xdf\x13\xcc\x75\x16\x77\x21\xc8\xfd\xda\x1f\xbc\x8f\x13\xec\xac\xb2\x8e\xbd", (void(*)(void *))&fexfn_unpack_libGL_glPathParameterfNV}, // libGL:glPathParameterfNV
  {(uint8_t*)"\x79\x72\xfb\x4e\x3c\xd1\x31\xce\xe9\xcb\x8d\xdb\xa6\xf6\xbd\xc5\x9d\x78\x41\x32\xb1\x83\x04\x3c\xbf\xa3\x59\xe9\x90\xdf\x42\x57", (void(*)(void *))&fexfn_unpack_libGL_glPathParameterfvNV}, // libGL:glPathParameterfvNV
  {(uint8_t*)"\x83\x2c\xce\x97\x79\x61\x52\xab\xe1\xfe\x0c\x06\xf6\x1f\x56\x4a\xe0\x01\x30\xf7\xfa\x7a\x87\xbe\xcd\x04\xd8\x40\x7d\xec\x1f\xc8", (void(*)(void *))&fexfn_unpack_libGL_glPathParameteriNV}, // libGL:glPathParameteriNV
  {(uint8_t*)"\x01\xe8\x68\x80\x79\x6d\xe2\x88\xff\xa2\xac\x04\x57\xfa\x9c\xf9\x0e\x18\x72\x5c\x79\xaa\x02\x3a\x43\x7c\xb8\x99\x2f\xca\xcc\x2c", (void(*)(void *))&fexfn_unpack_libGL_glPathParameterivNV}, // libGL:glPathParameterivNV
  {(uint8_t*)"\xb6\x79\xec\x46\x9b\x14\x64\x72\x30\xa1\x34\x22\x26\x00\xc1\x13\xaa\xd6\xe2\x52\xa4\xcc\x85\x21\xf8\xa8\xec\xbe\xa7\xd7\xcd\x82", (void(*)(void *))&fexfn_unpack_libGL_glPathStencilDepthOffsetNV}, // libGL:glPathStencilDepthOffsetNV
  {(uint8_t*)"\x9c\x5d\xe8\x50\x6d\x3a\xea\xe2\x10\x48\x0f\xd7\x13\xe1\x66\x69\xb0\x5d\x5f\x28\xa9\x08\x74\x51\xc7\x3f\x16\x13\xe1\xb2\x69\x4c", (void(*)(void *))&fexfn_unpack_libGL_glPathStencilFuncNV}, // libGL:glPathStencilFuncNV
  {(uint8_t*)"\x9f\x84\x97\x39\x7d\x95\x22\x51\x36\x00\xe6\xd5\x89\x27\x0b\x8b\xfa\x92\xea\xbb\xef\xaa\xa3\x2d\x94\x89\xc7\x11\x06\x87\x5f\x81", (void(*)(void *))&fexfn_unpack_libGL_glPathStringNV}, // libGL:glPathStringNV
  {(uint8_t*)"\x10\xc5\x50\x2d\x8b\xc3\xdd\xc7\x4e\xe2\x7d\x97\x86\x1d\xc9\xde\x0f\xbb\x53\x41\xab\x56\x7f\x2b\xdd\xf4\x75\x1c\x8d\x27\x6d\x55", (void(*)(void *))&fexfn_unpack_libGL_glPathSubCommandsNV}, // libGL:glPathSubCommandsNV
  {(uint8_t*)"\xae\xcb\x87\x52\x20\x59\x3b\xd8\x90\x99\x46\x7c\x1d\xd9\xd2\xd5\xc5\x47\x98\x88\x68\x04\x22\x00\xcd\xd0\x2e\xf2\x49\x7a\xa8\x91", (void(*)(void *))&fexfn_unpack_libGL_glPathSubCoordsNV}, // libGL:glPathSubCoordsNV
  {(uint8_t*)"\xc4\x68\x02\x44\xd0\x5e\x9d\x41\x0a\x3e\xe7\x20\x59\x02\x70\xc1\x5a\xf8\xdb\x1d\x85\x5e\x64\x45\xcc\x18\x98\x55\x94\x58\x6a\xce", (void(*)(void *))&fexfn_unpack_libGL_glPauseTransformFeedback}, // libGL:glPauseTransformFeedback
  {(uint8_t*)"\xee\xfa\x23\xbf\x94\xc3\x40\x28\x59\xe4\xe3\xbd\x4c\x43\x89\xa7\x89\x30\x0c\x96\xda\x25\x91\xef\xdc\x5a\xbc\xfc\xfb\x8f\x28\x1e", (void(*)(void *))&fexfn_unpack_libGL_glPauseTransformFeedbackNV}, // libGL:glPauseTransformFeedbackNV
  {(uint8_t*)"\xa8\x99\x4b\xed\xf8\x9e\xe1\xc5\x9f\xee\xfe\xc8\x65\xf6\x10\xda\xf8\xcb\xdd\xd5\xa0\x0d\x49\xe4\xae\x3c\x2a\x16\x96\x32\xe9\x3f", (void(*)(void *))&fexfn_unpack_libGL_glPixelDataRangeNV}, // libGL:glPixelDataRangeNV
  {(uint8_t*)"\x26\xeb\xf4\x45\x96\xce\x89\x30\xae\x69\x16\xbd\x06\x82\xc8\x85\x4b\x24\x58\xc7\xa8\x27\x44\x9e\xce\x88\xaf\xda\x23\xff\x17\x6a", (void(*)(void *))&fexfn_unpack_libGL_glPixelMapfv}, // libGL:glPixelMapfv
  {(uint8_t*)"\x07\x4c\xb0\x05\x2e\xec\x76\xa6\x95\x2d\x24\xd7\xbc\x99\x12\x3a\x89\xfc\xa6\x55\x69\xc6\x0a\xa9\xd5\x10\x05\x8e\x02\x79\x74\xa5", (void(*)(void *))&fexfn_unpack_libGL_glPixelMapuiv}, // libGL:glPixelMapuiv
  {(uint8_t*)"\xc7\xb0\x7f\x69\x0d\x8e\x16\xa1\x63\x11\x26\xb9\x85\xdb\xc8\x33\x70\xd8\xa7\x60\x3d\xea\x02\x25\x9c\xcc\xdd\x98\x09\x40\xc0\x77", (void(*)(void *))&fexfn_unpack_libGL_glPixelMapusv}, // libGL:glPixelMapusv
  {(uint8_t*)"\x38\xdb\x24\x58\xb5\x69\xe2\xa5\x64\xf2\x6e\xf9\x23\x5f\x30\x7a\xc7\x41\xdf\xda\x0e\xf4\x03\xa4\x48\x0a\x0b\x09\x82\xd2\x48\x9e", (void(*)(void *))&fexfn_unpack_libGL_glPixelMapx}, // libGL:glPixelMapx
  {(uint8_t*)"\xdf\xdc\x9e\x24\x47\xb7\x52\xa3\xd2\x49\xf3\x3a\xb5\xdc\x71\x00\x97\xe5\x26\x43\xa1\xf9\x02\xa3\x4b\xf9\x43\x52\xaf\x11\x72\x0f", (void(*)(void *))&fexfn_unpack_libGL_glPixelStoref}, // libGL:glPixelStoref
  {(uint8_t*)"\x28\xec\xc3\x11\x0f\x86\x44\xa1\x2e\xd2\x1d\x67\x48\x18\x56\x73\xe0\xcd\xe3\x09\xde\xd2\xeb\x3b\x36\x70\xcb\x13\xf7\x61\x0f\x1c", (void(*)(void *))&fexfn_unpack_libGL_glPixelStorei}, // libGL:glPixelStorei
  {(uint8_t*)"\x19\x20\x6a\x59\x79\x4e\xba\x00\xe2\x6a\xf8\xad\xe8\x07\x94\xe8\xc9\x47\xf5\x0b\x17\x0f\x91\xa6\x7c\x13\xaf\xaf\x45\x21\xb3\x3f", (void(*)(void *))&fexfn_unpack_libGL_glPixelStorex}, // libGL:glPixelStorex
  {(uint8_t*)"\xb4\x43\xe7\x36\x3a\xe6\x9d\x15\x98\xa2\xac\xf6\x44\x55\x82\x66\xe0\x5b\x95\x31\xd2\x2b\x02\x6d\x10\x24\x0f\x7d\x11\x7b\xbe\x35", (void(*)(void *))&fexfn_unpack_libGL_glPixelTexGenParameterfSGIS}, // libGL:glPixelTexGenParameterfSGIS
  {(uint8_t*)"\xc2\x46\xff\xe9\x83\x03\x6d\x79\x5e\x77\x18\x69\xab\x9c\x14\xe0\x05\x78\xb3\xfb\x5f\xab\x78\xaf\xbd\xde\x06\x2a\x52\x9e\x5c\x9e", (void(*)(void *))&fexfn_unpack_libGL_glPixelTexGenParameterfvSGIS}, // libGL:glPixelTexGenParameterfvSGIS
  {(uint8_t*)"\x42\x7a\x13\x1f\xfd\x6e\x18\x54\x63\x45\xee\x2b\x52\x11\xf5\x34\xfc\xa5\xd1\xd3\x8e\x44\xbc\xcc\x5d\xdd\xac\x19\x7a\x25\x6c\xb6", (void(*)(void *))&fexfn_unpack_libGL_glPixelTexGenParameteriSGIS}, // libGL:glPixelTexGenParameteriSGIS
  {(uint8_t*)"\x76\x16\xc2\x12\x07\x90\xb7\xaa\xb9\x46\x4f\xde\x81\x38\x57\xb9\x2e\x09\x6b\xf1\xa4\xc7\x9d\xbe\xff\x80\x50\x73\x24\x5e\x16\xa7", (void(*)(void *))&fexfn_unpack_libGL_glPixelTexGenParameterivSGIS}, // libGL:glPixelTexGenParameterivSGIS
  {(uint8_t*)"\xa0\x4c\x8f\xc2\x03\x2a\xa0\x06\x5b\xc7\x50\xbc\x29\x53\xde\xca\x7d\x65\x0a\x2b\xe4\x82\x85\x63\x7a\xe2\x28\xb9\x12\xb0\x3d\x29", (void(*)(void *))&fexfn_unpack_libGL_glPixelTexGenSGIX}, // libGL:glPixelTexGenSGIX
  {(uint8_t*)"\xb8\xe8\x6b\x82\xfe\xad\x24\x95\x72\xa7\x3d\xd2\x37\x1a\x00\x6a\x2b\x9f\x06\x2e\x03\x30\xae\x28\x4c\xbd\x6f\x74\xb1\x58\xdc\x94", (void(*)(void *))&fexfn_unpack_libGL_glPixelTransferf}, // libGL:glPixelTransferf
  {(uint8_t*)"\x4c\x7f\x65\x06\x56\xc4\xdb\x21\xf3\xd9\x65\x95\x10\x6e\xb7\x5a\x99\xc8\xab\x5c\xee\x9c\x4b\xea\xaa\x4b\x3b\xa1\x26\xcb\x81\xbd", (void(*)(void *))&fexfn_unpack_libGL_glPixelTransferi}, // libGL:glPixelTransferi
  {(uint8_t*)"\xb4\x7e\x27\x33\xfc\x55\x66\xc3\x4b\x57\x4e\xf8\xfd\x48\xae\x89\x53\x3b\x91\xe6\xce\x4c\x6d\x8f\x57\xbb\x63\xf5\xaf\xe7\xa6\x19", (void(*)(void *))&fexfn_unpack_libGL_glPixelTransferxOES}, // libGL:glPixelTransferxOES
  {(uint8_t*)"\x60\x3f\xbc\xc9\x10\x1d\xb1\xad\x87\xba\x50\x8a\x16\x23\x73\x72\xcc\x07\xdf\xe6\xb0\x45\x75\xa2\xbf\x32\xea\x70\xe4\xb4\x35\xd2", (void(*)(void *))&fexfn_unpack_libGL_glPixelTransformParameterfEXT}, // libGL:glPixelTransformParameterfEXT
  {(uint8_t*)"\xbc\x70\xe5\x84\xbd\xf5\xa7\x0e\x6d\x93\xe3\x43\xf2\x32\xb5\x5a\x51\x4e\x40\xb5\x03\xdf\xce\x92\x38\x95\x45\x92\xc3\x28\x4d\x2f", (void(*)(void *))&fexfn_unpack_libGL_glPixelTransformParameterfvEXT}, // libGL:glPixelTransformParameterfvEXT
  {(uint8_t*)"\xde\xab\xb3\xfe\xa8\xe5\xb9\xca\xdf\x51\x42\x0f\x67\xac\x9f\x82\xf6\xa1\x1b\x47\x2e\x75\x10\x0b\xa1\x5a\x2b\x52\x99\xab\xf3\xc5", (void(*)(void *))&fexfn_unpack_libGL_glPixelTransformParameteriEXT}, // libGL:glPixelTransformParameteriEXT
  {(uint8_t*)"\xd4\x87\xf4\x0e\xe1\x3a\xc3\x9b\x4d\x41\x09\x39\x59\x6f\xab\x45\x89\xcb\x6d\x51\x79\x02\x72\x05\xde\xa7\xc0\xc9\xdc\x73\x7c\xf9", (void(*)(void *))&fexfn_unpack_libGL_glPixelTransformParameterivEXT}, // libGL:glPixelTransformParameterivEXT
  {(uint8_t*)"\x3a\x9c\xee\xe0\x2e\x55\xea\x6a\xc4\x77\x6e\xc7\x16\x53\x8a\x26\x5a\x5a\x40\x70\x75\xb3\x38\x46\x65\xfb\x1a\xde\xf1\xc7\x2f\x10", (void(*)(void *))&fexfn_unpack_libGL_glPixelZoom}, // libGL:glPixelZoom
  {(uint8_t*)"\x13\x14\x51\x4d\xa4\x3e\xaa\x57\x7a\x11\x1d\x38\x80\xf2\xb6\xba\x5b\x4a\xc3\x14\xf7\xe4\xf7\xdc\x6c\x0d\x21\xc4\x27\x30\x68\xa2", (void(*)(void *))&fexfn_unpack_libGL_glPixelZoomxOES}, // libGL:glPixelZoomxOES
  {(uint8_t*)"\x0f\x4c\x43\xac\xf4\xd1\x4c\xd9\x36\xcb\x4a\x8d\x80\x05\x03\xec\x2f\xdd\x68\xd5\xc7\x44\xa4\xd9\xda\x80\x25\xf2\x1d\xae\x1d\xd4", (void(*)(void *))&fexfn_unpack_libGL_glPNTrianglesfATI}, // libGL:glPNTrianglesfATI
  {(uint8_t*)"\xef\x57\x0b\x23\x93\x7f\x69\x82\xe1\x8d\x3d\x14\xd0\x97\x84\x29\x5e\x0c\x90\x47\x33\x07\x6b\x0a\x2d\x26\x08\xed\xbb\x1d\xa6\xdd", (void(*)(void *))&fexfn_unpack_libGL_glPNTrianglesiATI}, // libGL:glPNTrianglesiATI
  {(uint8_t*)"\xb9\x69\xfd\xdb\xe9\xe4\x08\xd6\x6e\xe5\x48\x66\x09\x09\xfe\x59\xa2\x09\x77\x81\x6f\xc9\xa6\x9f\x8a\x0e\xd0\x0d\x93\xc4\x06\x8e", (void(*)(void *))&fexfn_unpack_libGL_glPointParameterfARB}, // libGL:glPointParameterfARB
  {(uint8_t*)"\x60\xf2\x51\xa1\x44\x8c\xd3\xd7\xb4\x5f\xb4\x1d\x0c\xef\x27\x5b\x2d\xc7\x89\xc7\x30\x1a\xa0\x59\x19\x6b\x1d\x36\xbe\xa5\xe6\xd9", (void(*)(void *))&fexfn_unpack_libGL_glPointParameterfEXT}, // libGL:glPointParameterfEXT
  {(uint8_t*)"\x5d\xdc\xa0\x54\xa6\x2c\xb0\x0f\xb7\x1a\x53\x4e\xce\x63\x28\x03\xe5\x3c\x5d\x5b\xf0\x32\x3e\x22\x5f\x86\xf9\xc4\x8c\x40\xa0\x2b", (void(*)(void *))&fexfn_unpack_libGL_glPointParameterf}, // libGL:glPointParameterf
  {(uint8_t*)"\x22\x6a\xbb\x4e\x93\x24\xf1\xa2\x16\xd3\x62\x83\x70\x19\xf1\x7c\x9f\xfc\xb2\x8a\x97\x55\xe8\xe5\x42\xf9\x96\x26\xee\xee\x44\x8b", (void(*)(void *))&fexfn_unpack_libGL_glPointParameterfSGIS}, // libGL:glPointParameterfSGIS
  {(uint8_t*)"\x16\xd9\x01\x27\xdd\xef\x7c\xc4\x8d\x08\xf5\xe2\xb2\x7a\x3b\x05\xa7\xbe\x39\x83\x14\x73\x3d\xf5\x0d\x2f\x4a\x07\xe5\xb8\x4c\xa1", (void(*)(void *))&fexfn_unpack_libGL_glPointParameterfvARB}, // libGL:glPointParameterfvARB
  {(uint8_t*)"\xed\x83\x23\x5b\x0b\x39\x31\x29\xb3\x7a\x45\xf7\xef\xfa\x63\xb0\x3c\x70\x88\x10\x7a\xf6\x7c\x1e\x74\x2e\xd0\x6f\xd8\x80\x4e\x75", (void(*)(void *))&fexfn_unpack_libGL_glPointParameterfvEXT}, // libGL:glPointParameterfvEXT
  {(uint8_t*)"\xff\x7c\x8a\xa3\xc8\x80\x9b\x0a\x8e\x2f\x4d\x07\xd6\x37\x16\x41\x95\x07\x48\x41\xb4\x35\xa4\xf9\x23\x9d\x0a\xc6\x2d\x0c\x7b\x0e", (void(*)(void *))&fexfn_unpack_libGL_glPointParameterfv}, // libGL:glPointParameterfv
  {(uint8_t*)"\xcd\x81\xf7\x0c\x28\xd8\x55\x5f\xcf\x13\xba\xe8\x77\x68\x98\xbe\x06\xa3\x18\x3b\xfc\x8f\xd8\xf8\x56\x78\xf4\xb9\x77\xb4\x52\x8c", (void(*)(void *))&fexfn_unpack_libGL_glPointParameterfvSGIS}, // libGL:glPointParameterfvSGIS
  {(uint8_t*)"\x17\x3c\x88\x0e\x25\x83\x13\x00\xcc\x06\x52\x28\xd3\xa1\x86\x81\x2d\x59\x05\xdb\x68\x6d\xf3\x56\xa0\x25\xe6\x8c\x90\x8a\x22\xf7", (void(*)(void *))&fexfn_unpack_libGL_glPointParameteri}, // libGL:glPointParameteri
  {(uint8_t*)"\xf9\x52\xd1\x84\x0a\x7f\x1d\x2d\x55\x97\x03\x3e\x47\x9d\x56\xb6\x08\x10\x16\x62\x0c\x08\xc3\xf2\x64\x3c\x3c\xa0\xb1\xa8\xe3\x9c", (void(*)(void *))&fexfn_unpack_libGL_glPointParameteriNV}, // libGL:glPointParameteriNV
  {(uint8_t*)"\x6b\x98\x47\x0a\xf9\x2f\xb8\x68\xa6\x69\x24\xb0\x73\x33\xc2\xc2\xe1\xe5\x30\x37\x39\x5e\x77\x8d\xa9\x37\xff\xa2\xf2\x3d\x86\x88", (void(*)(void *))&fexfn_unpack_libGL_glPointParameteriv}, // libGL:glPointParameteriv
  {(uint8_t*)"\x0c\x32\x89\x77\x73\xe6\x2a\xd3\x8b\xec\xe8\xf1\xd8\xf1\xb0\x7e\xc5\xe8\xf8\xd3\x4e\x7d\xc8\x20\xe4\x5c\xc1\xf9\x68\x8e\x81\x25", (void(*)(void *))&fexfn_unpack_libGL_glPointParameterivNV}, // libGL:glPointParameterivNV
  {(uint8_t*)"\x20\x9c\xc0\x65\x1d\x14\x7a\xe0\x15\x04\x3a\xd8\x34\x38\x4c\x61\xa8\x8a\x91\xfa\x25\x87\xe1\xec\x3a\x5b\x1f\x7f\x79\xce\xd5\x88", (void(*)(void *))&fexfn_unpack_libGL_glPointParameterxvOES}, // libGL:glPointParameterxvOES
  {(uint8_t*)"\x76\x42\x28\x52\xb3\x1c\xa1\x9d\x84\x8a\x35\x43\x70\x8d\x05\x8b\xb5\xe2\xf8\xd1\xef\x17\xe4\xc1\x0b\x34\xae\xde\x1e\x9a\xa1\x99", (void(*)(void *))&fexfn_unpack_libGL_glPointSize}, // libGL:glPointSize
  {(uint8_t*)"\x92\xb2\xa4\x67\x15\x0d\x59\x22\x57\x34\x05\x0f\x23\xac\x06\x22\xdc\x5c\x4a\xc4\x6c\x3b\x4a\x96\x73\xd0\xc7\x48\xc2\x47\x9e\x77", (void(*)(void *))&fexfn_unpack_libGL_glPointSizexOES}, // libGL:glPointSizexOES
  {(uint8_t*)"\x2c\x49\x90\x23\x1a\x08\x32\x7c\xe5\x5c\x9c\x8d\x56\xc8\x2c\x8e\x79\x80\x7a\x8f\x39\x3e\xba\x52\xf8\xfb\xb3\x71\x02\xb5\xa4\x01", (void(*)(void *))&fexfn_unpack_libGL_glPolygonMode}, // libGL:glPolygonMode
  {(uint8_t*)"\x27\x44\x6d\x96\x81\x6d\xb8\xc8\x04\x53\x8e\x22\x8d\x95\xc4\xf2\xf8\x82\x05\x0b\x04\x5e\x1f\xee\xff\xc6\x87\x99\xda\x7b\xf0\x97", (void(*)(void *))&fexfn_unpack_libGL_glPolygonOffsetClampEXT}, // libGL:glPolygonOffsetClampEXT
  {(uint8_t*)"\x3b\x43\x6c\x4f\x36\xae\x0c\x59\xc7\x9e\xa4\x12\xcd\x00\x30\x22\xa9\xd5\xc0\xe8\x1c\x6c\x45\x8b\xe0\x9c\x3c\x79\x48\x31\x4d\x29", (void(*)(void *))&fexfn_unpack_libGL_glPolygonOffsetClamp}, // libGL:glPolygonOffsetClamp
  {(uint8_t*)"\x74\x80\x19\x93\x30\xa1\xd1\x16\x99\x91\x2a\xb3\x3f\x0f\x28\x30\x1c\x4e\x6b\xdf\xb4\xac\xdb\x57\x98\xa3\x62\xc5\x23\xd6\x1e\x51", (void(*)(void *))&fexfn_unpack_libGL_glPolygonOffsetEXT}, // libGL:glPolygonOffsetEXT
  {(uint8_t*)"\x86\xab\xbb\xa1\x74\xde\x58\x20\xcb\x29\x2d\xce\x22\x87\xe4\x9d\xaf\x43\xf2\xea\xe9\xf0\xeb\xbc\x36\xae\xc6\xe7\xf6\xe3\xc4\x23", (void(*)(void *))&fexfn_unpack_libGL_glPolygonOffset}, // libGL:glPolygonOffset
  {(uint8_t*)"\x16\xa6\x63\xce\x28\x76\x3c\x5b\x99\xf5\x19\xbe\xbd\x53\x36\x00\x43\x0b\xe4\x0b\x80\xee\x31\xa8\xaa\x7f\xc3\x25\xd5\x6b\x5f\xb5", (void(*)(void *))&fexfn_unpack_libGL_glPolygonOffsetxOES}, // libGL:glPolygonOffsetxOES
  {(uint8_t*)"\x62\x0a\xed\xa7\x74\x3e\x36\xfc\x09\x5f\xb5\x45\x02\xfe\xc4\x38\xf6\x11\x20\x08\x76\x83\xa9\xc7\x53\x81\x2d\x77\x39\x2c\x2a\x73", (void(*)(void *))&fexfn_unpack_libGL_glPolygonStipple}, // libGL:glPolygonStipple
  {(uint8_t*)"\xa7\x7d\xe9\xf7\xe8\x33\x19\xd9\x60\x56\x45\x06\xd7\x31\x35\x34\x3b\x43\x6f\x8d\x2f\x03\x11\xd1\x96\xb2\xec\xf0\x1f\x35\x65\x14", (void(*)(void *))&fexfn_unpack_libGL_glPopAttrib}, // libGL:glPopAttrib
  {(uint8_t*)"\xa5\xeb\x42\x90\x1d\x43\x3e\xd7\x12\x72\xfe\x88\x36\x39\xd5\x2b\x32\xf1\xcb\xd1\xc4\xf5\xdb\x83\xaf\x40\x36\x45\x39\x03\x0e\x78", (void(*)(void *))&fexfn_unpack_libGL_glPopClientAttrib}, // libGL:glPopClientAttrib
  {(uint8_t*)"\xe8\xa4\xf4\xf5\xb2\xbf\xdf\x31\xf0\xf0\x00\xfa\x2a\xa6\xf7\x97\x94\x5b\x50\xf1\x05\x6d\x13\x76\xfc\xe4\x08\x70\xbb\x3d\x91\x64", (void(*)(void *))&fexfn_unpack_libGL_glPopDebugGroup}, // libGL:glPopDebugGroup
  {(uint8_t*)"\x94\x3a\x7c\xde\xa5\x92\x52\xe1\xcc\xfc\x0e\xed\x32\x63\x76\x50\x18\xfc\xce\x42\x15\x5a\x91\x14\xb7\x51\x1e\x08\x04\x8a\xa4\x42", (void(*)(void *))&fexfn_unpack_libGL_glPopGroupMarkerEXT}, // libGL:glPopGroupMarkerEXT
  {(uint8_t*)"\x06\x68\xfa\xde\x86\x4f\x84\x7a\x21\xa0\x14\xdd\xe2\x20\xed\xcb\xcd\x70\x1b\x12\x7a\x2a\x61\x4f\x28\x7d\x9d\xae\xb3\x11\x88\xdb", (void(*)(void *))&fexfn_unpack_libGL_glPopMatrix}, // libGL:glPopMatrix
  {(uint8_t*)"\xa0\x03\xc8\xfe\x27\x57\xce\xc9\x7b\x5e\xfc\x76\x97\x4d\x9a\x71\x2e\xd3\x3f\x70\xb4\x15\x46\x47\x20\x2c\xf6\x9b\x08\x80\x0e\xb0", (void(*)(void *))&fexfn_unpack_libGL_glPopName}, // libGL:glPopName
  {(uint8_t*)"\x0b\xe3\x40\xd7\x6d\x42\xb9\x20\x02\x01\x11\x2c\x2a\x8a\xd2\x19\x41\x97\x2a\x61\x9c\x82\xf9\x6d\xa1\x92\x8e\xe7\x59\x2e\xf6\xc2", (void(*)(void *))&fexfn_unpack_libGL_glPresentFrameDualFillNV}, // libGL:glPresentFrameDualFillNV
  {(uint8_t*)"\xe1\xa0\xf2\xc7\x79\x4d\x43\x7e\x96\xa7\x1d\xe2\xdc\x9f\xaf\x4c\x09\x5b\x50\x53\xf2\x46\x1c\x86\xdf\xd8\xd5\x45\x99\x08\xd7\x60", (void(*)(void *))&fexfn_unpack_libGL_glPresentFrameKeyedNV}, // libGL:glPresentFrameKeyedNV
  {(uint8_t*)"\x77\xac\xc0\xb1\xd2\x02\x4d\x7b\xf3\x7d\xf2\x22\xaf\x80\x30\x3a\x2d\x5a\x65\x07\x2c\x3e\xad\xba\x02\xcf\x29\xc8\x09\x4e\x2a\xe9", (void(*)(void *))&fexfn_unpack_libGL_glPrimitiveBoundingBoxARB}, // libGL:glPrimitiveBoundingBoxARB
  {(uint8_t*)"\x71\xf5\xcd\x4f\x68\xa2\xef\x90\x46\x01\x36\x3c\xbc\x6f\x26\x80\x65\x34\x70\xa3\x56\xdb\x4c\x6b\x28\xad\x94\xf0\x7a\x28\xd0\x1d", (void(*)(void *))&fexfn_unpack_libGL_glPrimitiveRestartIndex}, // libGL:glPrimitiveRestartIndex
  {(uint8_t*)"\xa3\x20\x63\x40\x99\x24\xf0\xb0\xac\x30\x51\x32\x6b\x9d\x42\xee\x5b\x21\xa3\x43\xf5\x4f\x7f\x4f\x04\xe4\x22\x75\xe0\x32\xb9\x1f", (void(*)(void *))&fexfn_unpack_libGL_glPrimitiveRestartIndexNV}, // libGL:glPrimitiveRestartIndexNV
  {(uint8_t*)"\xd8\x58\x89\xb0\x7d\xd0\x14\x62\xce\xaa\xf4\x0a\xf3\x9c\x95\xf2\xea\xfe\x0b\xfb\x54\x06\x27\x91\x53\x45\x1e\x52\x29\x6d\x44\x50", (void(*)(void *))&fexfn_unpack_libGL_glPrimitiveRestartNV}, // libGL:glPrimitiveRestartNV
  {(uint8_t*)"\x61\xfe\xd8\x0c\x61\x52\x1b\x8b\xfe\x96\xf2\xfc\xa6\xd9\x5c\x24\x9c\x0b\x37\x5d\x0b\x8c\xb7\x78\x9f\x66\xcd\xae\x81\x7e\x1f\xb5", (void(*)(void *))&fexfn_unpack_libGL_glPrioritizeTexturesEXT}, // libGL:glPrioritizeTexturesEXT
  {(uint8_t*)"\x33\x74\x2c\x4d\x96\x59\xe6\xdb\x94\xec\x53\xb5\x19\xd0\x06\xf1\x10\xd5\x2e\xce\xf8\x9d\xc1\x60\x34\x3e\x29\x13\x8b\xe7\x72\x14", (void(*)(void *))&fexfn_unpack_libGL_glPrioritizeTextures}, // libGL:glPrioritizeTextures
  {(uint8_t*)"\x37\x24\x05\x4e\x74\xdf\xbc\x1c\x5e\xbb\x2c\x39\x8c\x94\xd9\xfb\x24\x74\x3b\x25\x26\xdd\x4c\xc7\xd6\x31\xfb\x14\x73\x1b\xe9\xb7", (void(*)(void *))&fexfn_unpack_libGL_glPrioritizeTexturesxOES}, // libGL:glPrioritizeTexturesxOES
  {(uint8_t*)"\x8c\x7d\x83\x7f\xba\x6a\x8a\xba\x05\x82\x4b\x6c\xf1\x02\xa5\xd7\x8a\x7b\x89\x47\x30\x72\x95\xbe\x0c\x63\x63\x55\x34\x93\x4b\xef", (void(*)(void *))&fexfn_unpack_libGL_glProgramBinary}, // libGL:glProgramBinary
  {(uint8_t*)"\x1e\xfb\xf9\x29\x1f\x33\xb2\xf4\x38\x3e\x97\xb1\x1d\x4b\x9a\x86\xb5\x4c\x43\xd0\xc5\xeb\x7a\x88\xa6\x39\xcd\x88\x4c\x62\xd3\x1b", (void(*)(void *))&fexfn_unpack_libGL_glProgramBufferParametersfvNV}, // libGL:glProgramBufferParametersfvNV
  {(uint8_t*)"\x42\xce\xea\x4b\x23\x01\x75\x92\xe9\x93\x9f\x59\x55\x12\xec\xa2\x9b\x33\x0e\xf0\x55\x7f\x25\x41\xea\xe7\x17\x78\x96\xe0\x84\xd3", (void(*)(void *))&fexfn_unpack_libGL_glProgramBufferParametersIivNV}, // libGL:glProgramBufferParametersIivNV
  {(uint8_t*)"\x2f\x0c\xf5\xe2\x28\x2a\x38\x11\xf8\x8c\xf6\x97\xef\x0d\xe5\x6f\xc3\x93\x5f\x58\x3b\xf8\x81\x79\x00\x9b\x16\x88\xa9\xc9\x62\x9f", (void(*)(void *))&fexfn_unpack_libGL_glProgramBufferParametersIuivNV}, // libGL:glProgramBufferParametersIuivNV
  {(uint8_t*)"\x16\x5b\xd1\xc9\x3f\xb8\xd1\xbe\x35\x4f\xfc\x10\xb6\xec\x60\xae\x92\x1c\xa0\x4b\xc2\x02\x8c\x54\x61\xe8\xa2\x2d\xa5\x0a\xa0\x34", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParameter4dARB}, // libGL:glProgramEnvParameter4dARB
  {(uint8_t*)"\xda\x45\xb4\x32\x0a\xf8\x77\x89\x14\x34\x70\x09\x66\x30\x6c\x66\x43\x39\x1d\x73\x78\xea\x8d\xf6\xb8\xa1\xfe\x87\x83\xc1\xfa\xf1", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParameter4dvARB}, // libGL:glProgramEnvParameter4dvARB
  {(uint8_t*)"\x7d\xd5\x44\x53\x40\x83\x46\xf8\x96\xdd\x33\x59\x48\xe6\x54\x79\xa7\xb4\x0f\x9a\x10\x85\xa1\xbb\x43\x13\xb7\x43\x22\x6e\x2c\x03", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParameter4fARB}, // libGL:glProgramEnvParameter4fARB
  {(uint8_t*)"\x44\x4d\x7e\xf6\xc2\x5d\x97\xe3\x52\x0e\xcb\x8f\x70\xb6\x31\xb6\xeb\x2b\x8a\x6c\x13\x20\xba\x4b\x5e\x5f\x47\x0c\x72\xc4\xdb\x07", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParameter4fvARB}, // libGL:glProgramEnvParameter4fvARB
  {(uint8_t*)"\x84\x7b\xf2\xed\x92\x38\x7e\xa1\x09\x96\xe3\x6f\x63\x25\xf7\xb5\x10\x8f\x5e\xc6\xe7\xa9\x51\x93\xbf\x20\xc9\x9a\x3c\x61\x23\x8f", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParameterI4iNV}, // libGL:glProgramEnvParameterI4iNV
  {(uint8_t*)"\x59\x2c\x32\x8c\x43\xa2\x8f\x92\x17\x7f\xca\x36\x2d\x74\x3c\xc3\xe0\x00\x90\x0b\x0c\x6e\x14\x68\x79\xc2\x0c\x07\x9c\x2b\x6c\xf4", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParameterI4ivNV}, // libGL:glProgramEnvParameterI4ivNV
  {(uint8_t*)"\x2a\xc4\x54\x4e\x54\x5a\xa7\x93\x9a\xd8\x42\xbb\xcf\x97\x03\x57\x95\xc2\xd8\x87\xaf\x98\x27\xc4\x41\xc5\xd2\x42\x49\xc7\x91\x38", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParameterI4uiNV}, // libGL:glProgramEnvParameterI4uiNV
  {(uint8_t*)"\xb0\x4e\xe5\x11\x5c\x8a\x89\x08\x17\x17\xfc\x60\xf0\x31\x10\x1f\x49\xc6\x06\x76\xbe\xeb\x04\x73\x30\xf4\x93\x34\x8a\xbd\x01\xc2", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParameterI4uivNV}, // libGL:glProgramEnvParameterI4uivNV
  {(uint8_t*)"\xdb\x31\x1f\x4a\xc0\x82\x41\xc8\x21\x74\x65\xa5\x41\x69\x75\x48\x70\xbf\xc1\xc5\xcb\x32\x85\xed\xa6\x0a\xe7\x59\xc9\x64\x66\x2a", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParameters4fvEXT}, // libGL:glProgramEnvParameters4fvEXT
  {(uint8_t*)"\x86\x76\xf1\x7b\x1d\x76\xf4\xbd\xf4\xd0\xef\x0f\x5d\x39\xb9\x33\x61\x20\xf8\x38\x08\xe0\x06\x56\x8c\x7e\x81\xa8\xad\xf0\x74\x73", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParametersI4ivNV}, // libGL:glProgramEnvParametersI4ivNV
  {(uint8_t*)"\xe5\x70\xa2\x0b\x05\x64\x26\xd0\x74\x5c\xde\xa3\x4b\x5a\x12\x34\x01\xc4\xf6\x20\xa4\x37\x83\x8f\x8b\x3f\x98\xc1\xc7\x2e\x82\xd5", (void(*)(void *))&fexfn_unpack_libGL_glProgramEnvParametersI4uivNV}, // libGL:glProgramEnvParametersI4uivNV
  {(uint8_t*)"\x25\x4c\x93\x9d\xf2\x7b\x17\x3d\xd4\x8a\xe0\x2e\x62\xf7\x36\xae\x2e\x6a\xe3\xf6\xc8\x8e\x03\xaa\x57\x09\xaf\xe8\xbe\x28\x7c\x97", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParameter4dARB}, // libGL:glProgramLocalParameter4dARB
  {(uint8_t*)"\xba\x10\x23\x0c\x08\xe8\x06\x44\xd1\x7e\xb7\x60\x47\x4d\x8a\xa0\xa7\xa5\xf5\x57\x50\x94\x19\xe9\xae\xdb\x17\xdf\x48\x49\x20\xb4", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParameter4dvARB}, // libGL:glProgramLocalParameter4dvARB
  {(uint8_t*)"\x86\x01\x19\x21\x28\xfb\x3d\xf7\x46\x56\x25\x90\xa1\x18\x41\xcb\xc0\xdf\x4f\x04\x36\x6b\x46\xed\x4b\x39\x41\x81\x7d\x0a\x48\x17", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParameter4fARB}, // libGL:glProgramLocalParameter4fARB
  {(uint8_t*)"\x5e\xf8\x6a\x01\x6c\xc4\xa6\x83\x7d\xdf\x5b\x91\x25\xe3\x51\xaf\x72\x34\x82\x02\x97\x41\x0b\xca\xa7\xaf\x8b\x9a\x01\xde\xea\x3b", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParameter4fvARB}, // libGL:glProgramLocalParameter4fvARB
  {(uint8_t*)"\x6a\x39\xfd\x7e\x8d\x66\x76\x10\x69\x07\x65\xc5\xf5\xcc\x94\xa0\x3a\x29\x2f\x26\x9e\x40\x46\xf6\xdc\xec\x96\x53\x4e\x9e\x98\x31", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParameterI4iNV}, // libGL:glProgramLocalParameterI4iNV
  {(uint8_t*)"\xf6\x16\x3b\x26\x64\x6c\xe1\x22\x75\xa6\x7e\xdf\x70\x94\x4b\x54\xe2\x71\xc8\x11\x0a\x96\x71\x4f\xbf\xf0\x56\x2a\x69\xc6\xdf\xe6", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParameterI4ivNV}, // libGL:glProgramLocalParameterI4ivNV
  {(uint8_t*)"\x31\xc9\xfd\xa6\x53\xfe\x9e\x2c\xbe\x2f\x68\x69\xc3\x51\x96\x11\x00\x15\x5b\x6f\xd6\xa4\xef\x79\x5c\x69\x1f\xf4\xa8\x2b\xd7\xf7", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParameterI4uiNV}, // libGL:glProgramLocalParameterI4uiNV
  {(uint8_t*)"\x14\x84\x6f\x3e\x65\x80\x57\xa1\x33\x80\x9b\x31\x5e\x7f\x8d\x32\x11\xde\x05\xd5\xa7\xe7\xd9\x2a\x22\xf2\xff\xfb\xa0\xe2\x7d\xae", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParameterI4uivNV}, // libGL:glProgramLocalParameterI4uivNV
  {(uint8_t*)"\x19\x54\x0c\x20\xec\x32\xa1\x50\xe2\x49\xa9\x9b\xf7\x12\x57\x37\x2e\x91\xa9\x43\xc8\xc7\xe1\x87\x86\x78\x0f\xf5\x2a\xc0\xb6\xa4", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParameters4fvEXT}, // libGL:glProgramLocalParameters4fvEXT
  {(uint8_t*)"\xb3\x63\xa6\x89\xf7\x47\x59\xc8\xf9\xe8\x38\x56\x1c\x69\x45\xea\x65\x29\xfb\x60\x37\x36\x46\xd1\x97\x02\xa5\xf3\x28\xac\x5a\x27", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParametersI4ivNV}, // libGL:glProgramLocalParametersI4ivNV
  {(uint8_t*)"\x06\x26\x4b\x89\x9a\x93\x8d\x2e\x2e\x0d\x0e\x77\xd9\x60\x15\xee\x15\xae\xe7\x57\xb2\x6f\x3c\xc9\x9b\x08\xb8\x2b\x5f\xe5\x0e\xb6", (void(*)(void *))&fexfn_unpack_libGL_glProgramLocalParametersI4uivNV}, // libGL:glProgramLocalParametersI4uivNV
  {(uint8_t*)"\x6d\xce\x36\xad\x84\x85\xe2\x10\x69\xe4\x6e\xb9\xa6\xe1\xbe\x27\x5b\xb9\x32\xba\x8e\x9e\x36\x63\x6f\xe3\x2d\x65\xe6\xb3\x83\x57", (void(*)(void *))&fexfn_unpack_libGL_glProgramNamedParameter4dNV}, // libGL:glProgramNamedParameter4dNV
  {(uint8_t*)"\x85\x06\xf1\x42\x1d\x62\x78\x33\xc0\xf4\x61\xb7\x87\x3f\x71\xee\x48\x02\xba\xf4\x41\x1c\x0c\xb8\xb4\x1b\x37\x5c\xb1\x0c\x0c\x79", (void(*)(void *))&fexfn_unpack_libGL_glProgramNamedParameter4dvNV}, // libGL:glProgramNamedParameter4dvNV
  {(uint8_t*)"\x51\x35\xc0\x7e\x99\x88\xe3\xf9\x8c\xc0\x98\x41\xfa\x11\x22\x2d\xaa\xa2\x85\xa1\x7d\xf6\x19\x3e\xe0\x64\xa7\x7e\x9b\x02\xb9\x71", (void(*)(void *))&fexfn_unpack_libGL_glProgramNamedParameter4fNV}, // libGL:glProgramNamedParameter4fNV
  {(uint8_t*)"\xf8\x91\x82\xaf\x12\x57\x25\xbc\xc6\x12\x07\xf3\xd1\x40\x73\x83\xfd\x35\x39\x97\x89\xc8\x43\x87\xfe\xa4\xc5\x22\xca\x07\x6a\x5a", (void(*)(void *))&fexfn_unpack_libGL_glProgramNamedParameter4fvNV}, // libGL:glProgramNamedParameter4fvNV
  {(uint8_t*)"\x0a\x3f\xc0\xa7\x77\xaf\x52\x5d\x11\x09\x7b\xc3\x81\xdd\x00\x6c\xfa\x5e\xf0\x0f\xc3\xf0\xfe\x1d\x52\xb6\x96\xae\x04\xc1\x8d\x7c", (void(*)(void *))&fexfn_unpack_libGL_glProgramParameter4dNV}, // libGL:glProgramParameter4dNV
  {(uint8_t*)"\x2c\xce\x2b\x0e\x46\x93\x0a\xda\x26\x2a\xe3\xd1\x4b\x28\x5a\x98\x3c\x0f\x81\xd7\x9e\xeb\x20\x21\x69\x60\x9f\x0c\xe3\xbd\x4f\x6a", (void(*)(void *))&fexfn_unpack_libGL_glProgramParameter4dvNV}, // libGL:glProgramParameter4dvNV
  {(uint8_t*)"\xf6\x84\x6d\x60\xfa\xcd\x99\x1b\x0c\xd4\x85\xed\x05\x4f\x8c\xe5\x46\x91\x0d\xda\xbe\x60\x66\xc4\x56\x5e\xdf\xf8\x9f\x90\xc4\x8b", (void(*)(void *))&fexfn_unpack_libGL_glProgramParameter4fNV}, // libGL:glProgramParameter4fNV
  {(uint8_t*)"\xbf\x15\x1b\x10\xf6\x81\xe4\x23\x96\xa7\x3b\xe2\x82\x16\x25\xbb\x6a\x0e\x13\x81\x2a\x8e\xbc\x6d\x4a\xcd\xf9\xe8\xc7\x48\x15\x5d", (void(*)(void *))&fexfn_unpack_libGL_glProgramParameter4fvNV}, // libGL:glProgramParameter4fvNV
  {(uint8_t*)"\xaf\xba\x01\xa7\x38\xea\x8f\x63\x6e\x75\x06\xc7\xda\x97\xd8\xb8\x50\xa4\x12\xe0\x90\x36\xcb\xb0\x3a\x3a\xd1\xe2\xda\xa4\xc7\xc7", (void(*)(void *))&fexfn_unpack_libGL_glProgramParameteriARB}, // libGL:glProgramParameteriARB
  {(uint8_t*)"\x84\xf0\xe4\xaf\x82\x31\x32\xa2\x02\xbe\x13\x6a\xd5\xa0\x8b\xfd\x8f\x05\x9c\xf3\x59\x3b\x6b\x75\x89\x8e\x28\x97\x45\xd8\x2b\xee", (void(*)(void *))&fexfn_unpack_libGL_glProgramParameteriEXT}, // libGL:glProgramParameteriEXT
  {(uint8_t*)"\xd6\x11\x9e\xcb\x67\xf9\x48\xae\xd8\xb0\x15\xfe\x3d\x0a\x9c\x80\x62\xc1\xab\x5a\x5d\x47\x01\xbf\x79\xb1\x29\xff\xc6\xa6\x8f\x3e", (void(*)(void *))&fexfn_unpack_libGL_glProgramParameteri}, // libGL:glProgramParameteri
  {(uint8_t*)"\x16\x1d\x71\x14\x82\xe8\x46\x3d\x75\xeb\x79\x42\x34\x93\x3c\x7f\xc4\x97\xd4\x69\xc8\x4c\xc1\xde\x48\x25\xab\x78\x89\xd4\x33\x95", (void(*)(void *))&fexfn_unpack_libGL_glProgramParameters4dvNV}, // libGL:glProgramParameters4dvNV
  {(uint8_t*)"\x71\x18\xa3\x7c\x57\xd3\xd8\x7b\x8c\x74\x38\xa0\x27\x9e\x02\x8b\x0c\x51\x14\x27\x76\xa5\x2e\x3b\xb0\x58\x6d\x50\x19\xeb\x85\xb1", (void(*)(void *))&fexfn_unpack_libGL_glProgramParameters4fvNV}, // libGL:glProgramParameters4fvNV
  {(uint8_t*)"\xd2\x4b\x4f\x83\x59\x82\x21\xd0\x1d\x4d\x19\x28\x90\xe7\xad\xd0\x55\x24\xf8\xdf\x33\x22\xc7\x6a\x8b\x79\x19\x53\x63\x1b\x25\x7d", (void(*)(void *))&fexfn_unpack_libGL_glProgramPathFragmentInputGenNV}, // libGL:glProgramPathFragmentInputGenNV
  {(uint8_t*)"\xb3\x89\x90\x34\xd5\x8e\x50\x13\x75\x6f\xdb\xa3\x81\xac\x3a\x93\xa8\x92\xaa\x4e\x02\x9b\xa4\x62\x06\xa6\xde\x06\xc1\x5e\xd9\xe3", (void(*)(void *))&fexfn_unpack_libGL_glProgramStringARB}, // libGL:glProgramStringARB
  {(uint8_t*)"\x7c\x49\xe0\x22\xf5\xc7\xa8\xbe\xff\xb2\xd7\xe4\x4d\xb8\x52\x88\x37\x5f\x0b\x1a\x51\xdd\x05\xa9\x11\x03\x46\x87\xa0\x5b\x2c\x6c", (void(*)(void *))&fexfn_unpack_libGL_glProgramSubroutineParametersuivNV}, // libGL:glProgramSubroutineParametersuivNV
  {(uint8_t*)"\x31\x0b\x80\x2b\x3a\xba\xf3\xdd\xdd\x15\xdc\x41\x41\x5c\xaa\xd0\x4d\x74\x91\x6f\xe8\xd5\xc9\x52\xf5\x4e\x33\x60\x3a\xf6\x1e\x00", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1dEXT}, // libGL:glProgramUniform1dEXT
  {(uint8_t*)"\x7e\x26\xde\x22\xea\x0b\x87\x06\x7b\xb0\xaf\x37\x43\x8c\xbb\x52\x67\x6e\x2b\xc5\x39\x06\xfa\x6c\x72\x80\x26\x35\xfa\xde\xe2\xef", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1d}, // libGL:glProgramUniform1d
  {(uint8_t*)"\x1e\x1d\x53\xd2\x8e\x40\x21\xac\x22\xd1\x23\x59\x2a\xd8\x4b\x26\x89\x4d\xf4\xce\x96\x03\x1c\xb6\x8d\x7f\x3f\xac\x39\x1b\x6b\xd8", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1dvEXT}, // libGL:glProgramUniform1dvEXT
  {(uint8_t*)"\xc7\x0b\xc1\x71\x28\x8c\x0e\x5a\xb4\xcc\x8a\x64\xcc\x04\x92\x8f\xd8\x7f\x88\x90\xc8\x28\x41\x4a\xca\xc0\x16\xa2\xe0\x31\x56\x66", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1dv}, // libGL:glProgramUniform1dv
  {(uint8_t*)"\x9e\xae\x4c\x03\x46\xc0\x5d\xbe\xf8\x17\x8a\xc9\x26\x55\x73\x4c\xb9\x99\xfc\x11\x3e\x2b\xa0\x35\x85\x68\xb1\xa6\x59\x2e\x8b\x81", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1fEXT}, // libGL:glProgramUniform1fEXT
  {(uint8_t*)"\x38\x7b\x0b\xc9\x31\x94\x4f\xe6\xcb\x47\x5b\xdc\x2a\x5b\x53\x9b\x2c\xdd\x4b\x66\xf7\xe8\x06\xcf\x2e\xf4\x7b\x72\x58\x83\x67\xf3", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1f}, // libGL:glProgramUniform1f
  {(uint8_t*)"\x16\xae\x60\x2d\x68\x3c\x72\x19\xe9\x77\xd0\xa2\x7c\x0a\xa2\xcb\x43\x53\x0d\xf2\x60\x50\x2b\x92\x26\xe4\x81\xe4\xf7\xa1\x2f\xae", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1fvEXT}, // libGL:glProgramUniform1fvEXT
  {(uint8_t*)"\x15\x84\x07\x91\xfd\x00\xec\x34\x5e\x22\x4f\x33\x08\x0f\xcd\x6f\x0e\xbf\xc6\xd6\xf6\x71\x5f\xcb\x15\x38\x15\x99\x82\x6f\x31\xca", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1fv}, // libGL:glProgramUniform1fv
  {(uint8_t*)"\x8d\x08\x1f\x20\xa8\xca\x8b\x4a\x05\x9f\x21\x34\x1e\x48\xb3\x54\x68\xe6\x13\x0d\x43\x42\x04\x6f\xf4\x70\xae\xf4\x32\x6f\x02\xa1", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1i64ARB}, // libGL:glProgramUniform1i64ARB
  {(uint8_t*)"\x30\xa5\x6c\x53\x13\x75\x4c\xd0\xb0\xaf\x9f\x30\xd0\x15\x9e\xcf\xe7\xb6\x0d\x51\x26\x85\xf7\x3a\x62\x70\x85\x0b\x87\xe2\x67\xd3", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1i64NV}, // libGL:glProgramUniform1i64NV
  {(uint8_t*)"\x34\x6a\x41\xec\xd4\x4a\xaa\x05\x63\x3b\x24\x7b\x34\x76\x8d\xc4\xb5\x9c\xc0\xb7\x5e\x7a\x59\x45\x67\x8e\x5a\x7d\xfb\x19\x49\x4f", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1i64vARB}, // libGL:glProgramUniform1i64vARB
  {(uint8_t*)"\x86\x94\xe8\xf3\x23\xcd\x20\x30\x50\xc6\x68\x83\xc4\x46\x9e\x21\x72\x8e\x1e\x63\xdc\xd4\xcb\xe8\x94\x00\x4c\x78\x23\x4d\xc8\x08", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1i64vNV}, // libGL:glProgramUniform1i64vNV
  {(uint8_t*)"\xf1\x71\xe6\x4e\x08\x1e\x32\xe6\xa4\xff\x1a\xaa\xe4\xc0\x9c\xdf\x98\x5f\x5e\x38\x41\xf9\x20\xe3\x10\x33\x90\xc5\x5d\x71\xea\x3c", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1iEXT}, // libGL:glProgramUniform1iEXT
  {(uint8_t*)"\x3b\x4e\xa2\x5a\x42\x41\x4d\x88\xa3\xf8\x0f\x1b\xc9\x79\xa6\xf8\xf0\x26\x68\xdf\x82\xd5\x8a\x13\xea\x0e\xed\xde\x5c\x7e\x25\x6c", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1i}, // libGL:glProgramUniform1i
  {(uint8_t*)"\x61\xa6\x99\x2c\x67\x97\x3b\xcd\xe8\xc7\x63\xa4\x72\xa7\x46\x5d\x10\x7d\xd3\xde\xd5\x7e\x2e\x79\x50\xc6\xa9\x82\x5c\x27\x87\xd1", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1ivEXT}, // libGL:glProgramUniform1ivEXT
  {(uint8_t*)"\xb4\x2f\x31\x92\xfc\xd0\x38\xa6\x37\x72\x7c\x9f\xa1\xe1\xa3\x25\xb3\xf4\x1a\x7e\xd5\xd0\x05\x6c\xb0\x94\x0e\x2a\x7c\x51\xd0\x07", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1iv}, // libGL:glProgramUniform1iv
  {(uint8_t*)"\x92\xd5\x06\xf3\xb0\xa3\x8f\x1a\xe8\x8c\x60\x60\x27\xf0\xe2\xc3\x3f\x16\x11\x99\x26\xbb\x49\x07\xfd\x64\x05\x53\x50\x97\xca\xf6", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1ui64ARB}, // libGL:glProgramUniform1ui64ARB
  {(uint8_t*)"\xc4\x7f\x7e\x50\x01\x56\x87\x24\x91\x5a\x84\xba\xe7\x1f\xd5\x6c\xd3\x0a\x69\x39\x33\x33\xc8\x16\x8b\xeb\xa5\xae\x69\xae\xd3\x27", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1ui64NV}, // libGL:glProgramUniform1ui64NV
  {(uint8_t*)"\xae\x75\xdd\x5c\xba\x03\xd2\xf2\x21\xeb\x15\x12\x4d\x66\x5f\x8a\xa5\x07\x50\xd4\xaf\x21\xc2\x87\xe5\x26\x5d\xea\xd0\x99\xe4\xad", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1ui64vARB}, // libGL:glProgramUniform1ui64vARB
  {(uint8_t*)"\x2c\x3e\xcb\x21\x4b\xd7\x5d\xa9\x9c\xb3\x24\x97\x29\xdf\xe8\x6b\x7c\x18\x4d\xf5\xc2\x38\xd8\xf4\x0f\xeb\x8f\xf7\x66\x45\x2d\xa7", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1ui64vNV}, // libGL:glProgramUniform1ui64vNV
  {(uint8_t*)"\x6e\x70\x7b\xf7\xd2\x26\xb3\x22\x13\x18\xc7\xed\x36\xd9\xfc\x7a\x34\x46\xa5\x7c\x38\x24\xf4\x11\x07\x1a\x96\x08\x88\xad\x8e\x8e", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1uiEXT}, // libGL:glProgramUniform1uiEXT
  {(uint8_t*)"\xf9\x6f\xc3\xd1\x5f\xe1\xa7\x73\x1d\x57\x76\x99\xb0\xd1\x87\x84\x48\x05\xc0\x79\xc3\xfd\x20\xad\x59\xcb\x4d\x89\x87\x8d\xf5\x40", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1ui}, // libGL:glProgramUniform1ui
  {(uint8_t*)"\x7c\x76\x70\x07\x2a\x98\x8e\xea\x49\x44\xeb\xda\xb3\xea\x66\x6b\x42\x24\x6e\xbe\x54\x1c\xc2\x69\x9c\x2f\x44\x00\x55\x8f\xc6\xc4", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1uivEXT}, // libGL:glProgramUniform1uivEXT
  {(uint8_t*)"\x01\xfb\xed\x6b\x08\x49\x90\x28\xd6\xb5\xa8\x3e\x48\x7d\xf1\xbf\x25\xee\xc0\xc0\x06\x1b\xcc\xd7\x22\xbc\x57\x39\x16\x56\x09\x84", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform1uiv}, // libGL:glProgramUniform1uiv
  {(uint8_t*)"\xaa\x63\x0c\x93\xd9\x35\x64\x2e\xad\xe4\x0c\x6a\xdc\xf3\xdc\x5b\x2b\x2d\xb5\x6a\x53\x50\xf0\x50\x36\x70\xb5\x9d\x0d\xc5\x14\x70", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2dEXT}, // libGL:glProgramUniform2dEXT
  {(uint8_t*)"\x47\xe9\x37\x13\x35\xe0\x14\xd2\x96\x41\x60\x6b\x2d\xd6\xc7\x1d\x24\xec\xeb\x24\xf3\x84\xc7\x48\x29\x93\x74\x3a\xf6\x87\xa2\x38", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2d}, // libGL:glProgramUniform2d
  {(uint8_t*)"\xc1\x38\xfc\xd2\xa5\x78\x2f\x4c\x04\x67\x72\x1e\x01\xf1\x2e\x1b\x67\xe5\xc1\x0b\xc7\x0a\xb2\x20\x1f\xd2\x3f\x25\x78\x63\xc1\x8d", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2dvEXT}, // libGL:glProgramUniform2dvEXT
  {(uint8_t*)"\x54\xa9\xac\x51\xb7\x03\xa9\x36\x3a\xea\x61\x03\xb5\xc1\x35\xcd\x35\xb3\x15\xd0\x29\x3f\x29\xff\xdf\x33\xd8\x11\x92\xcd\x61\x03", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2dv}, // libGL:glProgramUniform2dv
  {(uint8_t*)"\x6a\x60\x41\x4c\x11\x34\x8a\x96\xb1\xe3\x86\x41\x56\xc2\xed\xb6\x78\x87\x20\xe6\xd0\xf8\x34\x93\xba\xb4\xba\x77\xe7\x97\xe4\x3b", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2fEXT}, // libGL:glProgramUniform2fEXT
  {(uint8_t*)"\x3d\x81\xdc\xa0\xf3\xc6\xb3\x56\x20\xd1\xad\x85\xf5\xd7\xe8\x04\x21\xbc\xfd\xf1\x0a\x28\xdd\x75\x26\x49\x8c\x63\x54\x30\x28\xa2", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2f}, // libGL:glProgramUniform2f
  {(uint8_t*)"\xcf\x3b\x7a\xf8\x98\x43\xd1\x35\x44\xc8\x5c\x14\x8b\x6d\xac\xe7\x17\x37\x6b\xb1\x7f\x62\xf3\xc2\xcd\x7a\x10\x54\x59\x50\xf4\xcf", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2fvEXT}, // libGL:glProgramUniform2fvEXT
  {(uint8_t*)"\x99\xb8\x86\x44\x13\x53\xf1\x9d\x53\x1c\x6f\x46\x8a\x5e\x22\x25\xfb\x17\x35\xa4\x78\xc8\xb4\x45\x34\xb5\xef\x4d\x62\x32\x62\x6c", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2fv}, // libGL:glProgramUniform2fv
  {(uint8_t*)"\x3d\x46\x27\xc5\x6f\x31\x6b\x19\x15\xfc\xf8\xab\x6a\x5b\xe5\x47\xb3\x46\x9b\xa1\xb6\x38\x4f\x59\x62\x8e\x41\x45\x53\xab\x03\xab", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2i64ARB}, // libGL:glProgramUniform2i64ARB
  {(uint8_t*)"\xb5\x5a\xf9\xd1\x44\xb9\x31\x3d\x50\x66\x27\xc2\x10\x10\xb9\xc8\xc9\xa4\x0c\x2f\x67\xc3\xca\x7a\x75\x9b\x7f\x20\x57\x01\xa8\x48", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2i64NV}, // libGL:glProgramUniform2i64NV
  {(uint8_t*)"\x2b\xed\xff\xa9\x68\xc3\xa4\x4e\x04\xfa\x89\x7a\xc0\x59\xda\xa7\x59\xbd\x7b\x8c\x60\x80\x1c\x1d\xc2\xef\x8c\x3d\xd2\x57\x26\xe9", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2i64vARB}, // libGL:glProgramUniform2i64vARB
  {(uint8_t*)"\x56\x33\xde\x80\x4b\x02\x73\xe4\xb6\xe8\xda\x9b\x4a\xeb\x5e\xd3\x7d\xf6\x7b\x1f\x4e\x89\x08\x1e\xc8\xc6\xaa\xe1\x1b\x14\xe1\xaf", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2i64vNV}, // libGL:glProgramUniform2i64vNV
  {(uint8_t*)"\xda\x2b\xbb\xcf\xf7\x62\x05\x88\xd4\x69\x03\x09\x0e\xc8\xc4\x94\x70\x04\xe6\xc8\x27\x74\x95\xa9\xae\x1b\xbb\x99\x7e\xb2\x65\x16", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2iEXT}, // libGL:glProgramUniform2iEXT
  {(uint8_t*)"\x4e\x41\x4a\x65\xbb\x8a\xf0\x4c\x38\x87\xf9\x50\xa5\x84\xb3\x76\xe3\xae\xfe\x04\x33\xf4\xfa\xe5\x7d\xa2\xa7\xee\x55\xfd\x15\xcd", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2i}, // libGL:glProgramUniform2i
  {(uint8_t*)"\x88\xf2\x21\xfc\xff\x1a\x92\x53\x10\xa4\xcf\x6e\x76\x98\x2b\xa7\x2c\xeb\xe7\xf9\x5a\x9d\xff\x8e\x43\x05\x02\xd7\x72\x43\x56\xed", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2ivEXT}, // libGL:glProgramUniform2ivEXT
  {(uint8_t*)"\xa2\xda\x2d\xd9\x12\x70\xa6\xfe\x89\xcf\x45\x73\x30\x33\x84\xea\xd0\x1f\x7c\xc5\xe8\xea\xd8\xc1\xd8\x8b\x96\xd8\xe1\x5f\x08\xab", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2iv}, // libGL:glProgramUniform2iv
  {(uint8_t*)"\x9d\x46\x61\x9b\xc9\x56\x13\xbc\x6e\x21\xd0\x4a\xe7\xba\xa0\x92\x2a\x83\x18\xdf\x24\x1c\x2c\x6b\xcf\xa0\x6e\x25\xab\x72\xbb\x09", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2ui64ARB}, // libGL:glProgramUniform2ui64ARB
  {(uint8_t*)"\x60\xd3\xa8\x96\x1e\xe0\xd9\x9f\x87\x01\xfc\x52\x4e\x61\xb9\xe6\xac\xf3\x0e\x9d\x67\xbb\xf5\xb8\xa1\xb6\x96\xc4\x6e\x2f\x41\x3a", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2ui64NV}, // libGL:glProgramUniform2ui64NV
  {(uint8_t*)"\xe3\x20\x78\xc9\xf3\xba\xeb\x3c\xae\xba\x92\x20\xf7\xa5\xab\xf9\x04\xcd\x20\x34\x7c\xd0\x31\x8d\x50\x04\x79\x77\x85\xb9\xc1\x08", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2ui64vARB}, // libGL:glProgramUniform2ui64vARB
  {(uint8_t*)"\x4c\x78\x94\x8a\xcc\x6b\xfd\xd7\x2c\x18\x12\x9b\x4c\x72\xfd\xe4\x7c\xb2\x55\x58\x18\x0f\xce\x7d\xd2\x41\x2b\x6d\x13\x1f\xe0\x48", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2ui64vNV}, // libGL:glProgramUniform2ui64vNV
  {(uint8_t*)"\x45\x4a\xc9\xae\x0a\xa0\x9e\x60\x4a\x66\x15\x91\xb8\xd9\x5f\x41\x1f\xb6\x06\x1a\x09\xb0\x2f\xfa\xb6\x99\x4c\xb8\xa4\x56\x08\xfe", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2uiEXT}, // libGL:glProgramUniform2uiEXT
  {(uint8_t*)"\x51\xa5\x29\x05\x37\x21\x77\x08\xf8\xaf\x2c\x29\xf3\x84\xc8\x4a\x24\xc6\x46\x1a\x1d\xd9\x9c\x09\x95\xb4\x16\xb3\xd8\x84\x27\xf7", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2ui}, // libGL:glProgramUniform2ui
  {(uint8_t*)"\x5d\x65\xdd\xc3\x53\x08\xf7\x2c\xd6\xf0\x21\x83\xed\x0d\x4c\x73\x7a\x9a\x8b\x9f\xb0\xc8\xb4\x3c\xaa\x3c\xf0\xd9\x43\x7e\x59\xfa", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2uivEXT}, // libGL:glProgramUniform2uivEXT
  {(uint8_t*)"\xa0\xc9\x56\xac\xb3\x1b\x6f\x93\xdb\x66\x12\xee\xde\xb7\x30\x7c\x2e\x3a\x26\xff\x6e\xf4\xd7\x48\x39\x14\x3c\x33\x60\xca\xd4\x8d", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform2uiv}, // libGL:glProgramUniform2uiv
  {(uint8_t*)"\xd1\xfd\x98\x9b\x50\x35\x54\x77\xef\x36\xb9\x28\xa0\x56\x7e\xf4\x1d\xc3\xe0\xb9\x73\x46\x02\xac\xac\x71\xb7\x33\x14\x26\x6c\x06", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3dEXT}, // libGL:glProgramUniform3dEXT
  {(uint8_t*)"\x9e\xe2\x0f\xe3\xc4\x93\xc0\xef\xb8\x4f\xef\xe7\x80\x68\xab\xb6\x08\xf9\x09\xb5\x87\x0b\xc3\xd3\x12\x76\xac\x15\x9b\xe5\x07\x98", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3d}, // libGL:glProgramUniform3d
  {(uint8_t*)"\xff\xf3\x94\x59\xdc\x31\x65\x20\x0c\xce\x94\x7d\xbf\xee\xc7\xc5\x30\xc6\xc4\x36\x3b\xac\x05\x3b\x8a\xb6\x04\x38\xc7\xbd\x93\x67", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3dvEXT}, // libGL:glProgramUniform3dvEXT
  {(uint8_t*)"\x35\x05\xc6\x34\x20\xba\xb6\xd1\x57\x2f\x80\x42\x0f\xa7\xb6\x18\x67\xbc\xc3\x2d\x0c\xdf\x2a\xed\xe0\x63\xd0\xfe\xa6\x23\x7c\x06", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3dv}, // libGL:glProgramUniform3dv
  {(uint8_t*)"\x1d\xd1\x9d\xab\xcc\xa4\x5d\x6a\x6f\x6d\xc3\x93\x8e\x12\x51\x1e\xc9\x87\x8f\xf2\xa7\x91\x17\x48\xfa\x50\xcc\x74\x6b\xf1\x7a\xc9", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3fEXT}, // libGL:glProgramUniform3fEXT
  {(uint8_t*)"\xb8\xfd\x8b\xce\x23\xdc\x2d\xce\xc1\xbf\xe6\x6c\x83\x5a\x06\xb6\x6a\x33\x97\xe2\xd6\x89\x82\x65\xe7\xed\x22\x76\x07\x3c\xea\xf8", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3f}, // libGL:glProgramUniform3f
  {(uint8_t*)"\x6a\x69\x4f\x9f\xd8\xb6\xdd\x2c\xd5\x94\x93\x2c\xdd\x04\x56\xbe\x27\x96\xdd\xfd\xcb\xe1\x4c\x1b\xc4\xe7\x94\xa0\x98\xbe\xb4\x59", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3fvEXT}, // libGL:glProgramUniform3fvEXT
  {(uint8_t*)"\xd9\xa5\xef\x51\x80\x23\x3e\x08\xec\xe6\x21\x66\x75\x6f\x01\x43\xf5\x0b\xf2\xe6\xb4\x45\x37\xbe\x5b\x56\x47\x43\xe9\xa6\x30\x6e", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3fv}, // libGL:glProgramUniform3fv
  {(uint8_t*)"\xac\x0c\x56\x91\xb2\x29\x47\xee\x95\x9c\x5f\x17\xf9\xee\x44\xaf\xfe\xcc\x7d\x2b\x31\xa8\x6c\x79\x8b\x3f\x8d\x31\xce\x93\x71\xbd", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3i64ARB}, // libGL:glProgramUniform3i64ARB
  {(uint8_t*)"\xe4\x08\x19\xdf\x1b\x0a\xc8\x55\xa8\x59\x5e\xcc\x64\xaa\xba\xb8\x61\xfc\x6b\x5c\xd2\x5d\x5b\xc3\x5a\x0d\x96\x03\x20\xc1\x97\xa3", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3i64NV}, // libGL:glProgramUniform3i64NV
  {(uint8_t*)"\x03\xe5\xbd\xec\xb0\x8c\xa1\xe6\x96\x4c\xc0\xc3\xa7\x91\x45\x28\x5a\x46\x86\x97\x90\x5a\x0a\xc6\x4c\x80\x4e\x65\xa5\x38\x0b\x0b", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3i64vARB}, // libGL:glProgramUniform3i64vARB
  {(uint8_t*)"\xf8\xef\x07\x91\x5c\x95\x66\xab\xc9\x4d\x5b\x68\xfb\x93\xd5\x75\x96\xbc\x96\x9a\x24\x8c\xd2\xee\x57\xbc\xd6\xa7\x85\x20\xd2\x8c", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3i64vNV}, // libGL:glProgramUniform3i64vNV
  {(uint8_t*)"\xe2\x31\x83\x5c\x6d\x55\x0b\x7a\xeb\xe6\x9e\x55\x93\xac\xb1\x48\x35\x61\xb8\x1f\x86\x60\xda\x86\x94\x38\x81\x8a\xc5\xdd\x0b\xe8", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3iEXT}, // libGL:glProgramUniform3iEXT
  {(uint8_t*)"\xb6\xec\x3a\x79\x42\xb3\x28\xe4\xad\xbb\xf1\xba\x29\xfd\x7d\x69\x69\x87\x9f\xe1\x3e\x68\x32\x32\x2e\x4e\xd0\x00\xa7\x35\xef\xe1", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3i}, // libGL:glProgramUniform3i
  {(uint8_t*)"\x4d\xb6\x1c\xa4\x27\x57\xf1\xfe\xdf\x1a\x13\x09\x33\x4b\x9b\xca\xfb\x35\xe4\xcb\x72\x84\x21\x8d\xfa\xfd\xd3\x8b\x9d\x02\x55\x63", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3ivEXT}, // libGL:glProgramUniform3ivEXT
  {(uint8_t*)"\x4b\x7e\x54\x5d\x24\xdb\xec\x81\x90\x18\xa8\x1f\x7f\x97\xd6\xa0\xc9\xd3\xb2\xa4\xea\x69\x47\xb7\xae\x13\xfc\x70\x68\x1d\x1a\xf5", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3iv}, // libGL:glProgramUniform3iv
  {(uint8_t*)"\x9a\x95\xbb\x98\xbb\x18\x2d\x87\x48\xc6\xb0\xd2\x63\x03\x89\x59\xf6\xe8\x76\x20\x1c\x94\x06\x6b\x23\xe7\x67\x16\xd1\x33\x9a\xfe", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3ui64ARB}, // libGL:glProgramUniform3ui64ARB
  {(uint8_t*)"\xa9\x7d\xf2\x12\x55\x47\x5d\xec\x18\x54\xdc\xe0\x05\xd5\x65\xe8\x28\x23\x91\x34\xc7\x77\x67\xf9\x35\xbd\xc8\x6d\x80\x3f\x98\xfc", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3ui64NV}, // libGL:glProgramUniform3ui64NV
  {(uint8_t*)"\xb8\x15\x5a\x6f\x87\xc9\xf5\xfa\xa3\xf4\xb2\xa9\xa8\xbb\x7a\x4b\x16\x31\x13\x91\xa5\xc3\x19\xa1\x3c\x53\x5d\xa3\xbb\x5b\x7c\xb6", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3ui64vARB}, // libGL:glProgramUniform3ui64vARB
  {(uint8_t*)"\xd3\x43\x34\x4b\x74\xfc\x3a\xfe\x8d\x28\xe9\x63\x86\x27\xe1\x36\xb3\x9a\x1e\x69\xa5\x39\xa6\x79\xa6\x95\xbb\x8c\xea\x57\x78\xaa", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3ui64vNV}, // libGL:glProgramUniform3ui64vNV
  {(uint8_t*)"\xc0\x46\x18\x0b\xe6\xd9\x3e\x0b\x14\xd6\xa1\x37\x6a\x4a\xd8\x03\x54\xd6\xfa\x23\xb2\x8e\xf1\x3e\xe2\x0d\x84\xde\xc6\x53\xd2\x73", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3uiEXT}, // libGL:glProgramUniform3uiEXT
  {(uint8_t*)"\x06\x6c\x7c\x90\x22\xa7\x7f\xef\x7d\xcc\x2a\x44\xfe\x91\x1e\x91\x03\x4d\x89\x93\x91\x99\x89\x61\x2b\x8c\x20\x43\xae\x73\xca\x92", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3ui}, // libGL:glProgramUniform3ui
  {(uint8_t*)"\xde\xb5\x25\xd9\xc6\x05\xb8\x2a\x06\xe8\x71\xd0\xc9\xc7\x6d\x6d\xff\xe5\x43\xf8\x62\xfa\x93\x0f\x05\xcd\x00\x78\x3e\x6b\x86\x73", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3uivEXT}, // libGL:glProgramUniform3uivEXT
  {(uint8_t*)"\x39\xbb\x68\x5d\xa0\x9d\x25\xe6\x4b\x54\x5d\xe1\x93\xad\x56\xf2\xfe\x15\x8f\xaa\x67\x8e\x69\xc9\x68\x23\x84\x47\x8a\x1b\x93\xc7", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform3uiv}, // libGL:glProgramUniform3uiv
  {(uint8_t*)"\xb4\x7c\x0e\xf4\x56\xa6\xf4\x47\x51\x4d\xd6\xef\xeb\xcb\xd8\xa3\x3a\x6f\x07\xfa\xa1\x2e\xe6\x41\xc7\xaa\x5a\x3e\xf7\x50\xe5\x70", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4dEXT}, // libGL:glProgramUniform4dEXT
  {(uint8_t*)"\xf4\x48\x2c\x9a\xb5\x3b\x81\x4b\x0d\x4b\xf4\x87\x11\xb8\xa7\xe0\x46\x6b\xfa\x14\x92\x8e\x71\x6b\x16\xa6\x50\xe6\xbc\x0d\xb6\x30", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4d}, // libGL:glProgramUniform4d
  {(uint8_t*)"\x12\x14\xa2\xd9\xdd\x14\xeb\xe0\x56\xd9\xdf\x37\x6c\x0b\x0e\xb4\x49\xd3\x4f\x97\xf0\x8e\x31\x1e\x61\xc2\x0a\x83\x5a\x7e\x06\xc3", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4dvEXT}, // libGL:glProgramUniform4dvEXT
  {(uint8_t*)"\x4e\x88\x5d\x96\x71\xbb\xf9\xaf\xa7\xd7\x00\x57\x92\x78\x55\x97\x06\xc8\x2a\x79\xf6\x3c\xe9\x8f\x06\x8c\x61\xd2\x61\xb4\x6b\x7e", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4dv}, // libGL:glProgramUniform4dv
  {(uint8_t*)"\x75\xb3\xa7\xf3\x49\x42\x8b\xa6\x3f\x51\x2c\x28\xf1\xed\x22\xdb\x96\x9b\x81\xf7\x2d\x27\xb6\x40\xce\x19\xdb\xce\x67\x9a\xbb\x89", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4fEXT}, // libGL:glProgramUniform4fEXT
  {(uint8_t*)"\x9b\x1e\x32\x07\xce\x23\xbb\x57\x27\x90\xd2\x54\xb6\xf8\x1a\xd2\x56\xd4\x65\x7f\x80\xb5\xa2\x9f\xb3\xab\xf9\x02\xf5\x39\xc4\x3e", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4f}, // libGL:glProgramUniform4f
  {(uint8_t*)"\x47\x52\x85\xdc\x4a\xdd\xec\x44\xba\x98\x66\x68\x51\xe2\xbe\x9f\x58\x6f\x83\xfd\x48\x50\xc1\xd8\xa3\x8e\x1d\x0c\xd0\x4f\xa6\x42", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4fvEXT}, // libGL:glProgramUniform4fvEXT
  {(uint8_t*)"\x65\x74\x05\xf1\x3f\x50\x1b\x36\x32\x22\x70\x67\xd5\x72\x60\xa5\xb4\x69\x61\x38\xc9\xf6\x65\x07\x1d\x54\x43\x17\xde\x16\x9e\x4c", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4fv}, // libGL:glProgramUniform4fv
  {(uint8_t*)"\x69\x37\x74\xb4\x23\x30\x6f\xce\x1e\x17\x92\x3b\xf6\x65\xb9\xc2\x0b\x15\x4a\x1f\x00\xae\xf9\x8b\x4b\x70\xf1\x09\x78\xab\x0b\x43", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4i64ARB}, // libGL:glProgramUniform4i64ARB
  {(uint8_t*)"\x2f\x5f\x52\x60\x76\xfe\xa4\xd6\xdb\xfa\xf0\x38\xc2\x08\x8a\x32\xfe\x50\xa6\xf5\x91\x8b\xd2\x28\x71\xbb\xa8\x45\x6c\x60\x37\xab", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4i64NV}, // libGL:glProgramUniform4i64NV
  {(uint8_t*)"\xca\x90\x29\x4d\xe6\x97\xe3\x66\x67\xcf\x0a\x41\x9b\x69\x11\x8c\x5d\x01\x3c\x9b\xc2\x38\x68\xc0\x68\x78\x3d\x29\x42\x6a\x97\x41", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4i64vARB}, // libGL:glProgramUniform4i64vARB
  {(uint8_t*)"\x00\xea\xab\xdb\x93\xb6\x4a\x3d\x79\xc8\xbe\x34\x55\xe0\xe9\x69\x12\x8b\xb4\x61\x92\x27\x7f\x84\x35\x8d\x9d\xc6\x96\xf8\xd6\x42", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4i64vNV}, // libGL:glProgramUniform4i64vNV
  {(uint8_t*)"\xc6\x5c\x70\xab\x38\x22\xb4\x06\x94\x24\x73\x97\x63\xca\xd3\xfb\x2e\xd8\xa1\xf9\xcc\x6a\x29\x9e\x14\x52\x15\x33\x9c\x56\x27\x21", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4iEXT}, // libGL:glProgramUniform4iEXT
  {(uint8_t*)"\xd0\x2a\x61\xc7\x3a\x76\xf6\xa6\xbd\xe0\xad\x6f\x16\xad\x61\x62\xf3\x9f\xb0\x22\x76\xd3\x8d\x5e\xfa\xd1\xf2\x62\xfc\x69\x53\xa6", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4i}, // libGL:glProgramUniform4i
  {(uint8_t*)"\x74\xc0\x28\x91\x86\xf4\xd2\x89\x72\x69\x56\xbf\xae\x68\x72\xbf\x41\x30\x1d\x8d\xee\x5b\xe0\x90\x30\xba\xf8\x15\xec\x38\x90\x64", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4ivEXT}, // libGL:glProgramUniform4ivEXT
  {(uint8_t*)"\xb0\xf9\xe8\x7f\x71\x97\xf0\x70\xd7\xdf\x59\x21\x10\x6f\x0d\x84\x07\xc0\x0d\x6d\xfc\x35\x4a\xf2\x37\xe1\xa7\x8b\x6f\xf7\x10\xca", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4iv}, // libGL:glProgramUniform4iv
  {(uint8_t*)"\x21\x63\x5b\xfc\xad\x33\x77\x05\x21\x68\x0e\xae\x38\x55\x7e\xf7\x68\x88\x72\x6e\x42\xce\x9a\x1f\xeb\x6e\x5b\xfd\x35\x8c\xbd\xf5", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4ui64ARB}, // libGL:glProgramUniform4ui64ARB
  {(uint8_t*)"\xd7\x27\xc9\x85\xf2\x71\x67\x27\xb1\xe5\x1c\x70\x5e\x18\xf3\x1a\xc9\x5c\x81\xc7\x5d\xe9\x19\x8f\x75\x69\x25\x31\x06\xbf\xac\xdd", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4ui64NV}, // libGL:glProgramUniform4ui64NV
  {(uint8_t*)"\xcb\x0c\xb2\xfd\x32\x35\x79\x81\xba\x0c\x73\x38\x12\x3e\x45\xf1\x8f\x9d\xad\x63\xe4\xd4\xbc\x7f\xb1\x23\x97\xed\x2e\x7c\xea\x2b", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4ui64vARB}, // libGL:glProgramUniform4ui64vARB
  {(uint8_t*)"\xe5\x01\x40\xd8\xbb\xc8\x35\xc8\x2e\x4b\xf2\x20\x8f\x2e\x66\x0d\x2c\x9a\x05\xa8\xa2\x0b\x67\x66\xa5\x90\x2b\xc1\xce\x1b\xfa\x06", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4ui64vNV}, // libGL:glProgramUniform4ui64vNV
  {(uint8_t*)"\xcc\x4f\x5b\x21\x4a\x19\xdf\xc7\xcd\x5c\xf6\x76\x80\xa2\x8d\x2c\x30\x1a\xef\x4c\x6a\x64\xfa\xc7\xa3\xc0\x66\xb6\x66\x1b\x34\xae", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4uiEXT}, // libGL:glProgramUniform4uiEXT
  {(uint8_t*)"\x9d\xd3\xbf\xb2\x40\xae\x76\x2d\x03\x1d\x2f\xbe\xb7\x2b\x35\xc9\x8d\x38\xb2\x4d\xdd\xaa\xd1\x54\xbb\xfa\x3f\x85\x41\x58\x8c\xc7", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4ui}, // libGL:glProgramUniform4ui
  {(uint8_t*)"\x00\xec\x3f\xbb\x9d\x58\x75\x4e\x85\x4b\x05\xa7\x9d\xa5\x37\xf5\x6a\x5c\x38\x93\xf2\x05\x5e\x16\x5f\x8e\xa0\x66\xb3\xbd\x6b\xf1", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4uivEXT}, // libGL:glProgramUniform4uivEXT
  {(uint8_t*)"\xba\x6f\x06\x5d\xf5\xdd\x6e\x6f\x5c\x97\x99\x29\xc5\xf3\xf2\x90\x6d\xd2\x6f\x75\x7a\xce\x7a\x3d\xfd\xd0\x6d\x56\x84\xc3\x72\x42", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniform4uiv}, // libGL:glProgramUniform4uiv
  {(uint8_t*)"\x57\x37\x67\x5b\x82\xb9\x6d\x48\xa5\x11\x4f\x15\x46\x9c\x8f\x7f\x5b\x90\xe0\x60\xce\xa7\x03\xbb\x44\x74\x7d\xed\x9f\xec\xb0\xf5", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformHandleui64ARB}, // libGL:glProgramUniformHandleui64ARB
  {(uint8_t*)"\x85\x53\x24\x09\xae\x48\xbc\x45\x17\xb9\x49\xe4\xd9\x6d\x1d\x17\x4e\xce\x8f\x43\xa1\x0f\x13\x89\xe3\x88\xaa\xf8\x28\x0a\xf2\x0c", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformHandleui64NV}, // libGL:glProgramUniformHandleui64NV
  {(uint8_t*)"\xa2\x33\xc2\x2e\xdf\x0b\xbb\xeb\xf5\xe4\x52\xf1\x39\x59\xf4\x33\x8d\xa1\x30\x3b\xff\x30\xd9\x50\x75\x08\x65\x2d\x50\xf7\x01\xbd", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformHandleui64vARB}, // libGL:glProgramUniformHandleui64vARB
  {(uint8_t*)"\x41\x19\x13\xa5\x19\xf4\x4d\xcd\x9d\xaa\xfa\xf1\x4b\x1c\x06\x27\xf2\x63\xb6\xf4\xdb\x85\x6a\x32\x35\x41\xdb\x5d\x1a\xc5\xfb\x35", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformHandleui64vNV}, // libGL:glProgramUniformHandleui64vNV
  {(uint8_t*)"\x60\xb1\xa9\x32\x32\x45\xdb\xcd\xcd\xbe\xd0\x7c\x3a\x61\x98\x03\x0e\xf3\x55\xf9\xf6\x4c\x4e\x9f\x05\x39\x49\xeb\x7c\xee\xc9\xba", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2dvEXT}, // libGL:glProgramUniformMatrix2dvEXT
  {(uint8_t*)"\xfe\x09\xcf\x17\xba\x15\x7f\xd7\x09\x04\xa5\x89\x89\xf8\x9e\xd9\x94\xa5\x58\xea\xa6\xd3\xf3\xa1\x87\x4c\xfb\xdf\xe4\xde\xb5\xc4", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2dv}, // libGL:glProgramUniformMatrix2dv
  {(uint8_t*)"\x3b\xf7\x33\x97\x19\x26\xfe\x0c\x73\x8c\x7d\xaf\x5c\x4e\x5f\xdf\x82\xc0\xd1\x32\x70\x77\xde\x22\x5c\xb2\xc8\xa8\x1b\x06\x69\xb3", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2fvEXT}, // libGL:glProgramUniformMatrix2fvEXT
  {(uint8_t*)"\x51\x51\x4f\x40\xbd\xfe\x01\x7c\x03\xed\x1e\x09\x61\xda\x7f\x23\x04\x4f\x7c\xbb\x95\xc5\x2d\x8e\x22\xb7\x8e\xfb\x11\xfc\x7e\x6e", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2fv}, // libGL:glProgramUniformMatrix2fv
  {(uint8_t*)"\xc2\x07\x44\xb5\x5a\x97\x53\x72\xfd\x34\xe7\x5d\x03\x80\x24\xed\x0f\x5a\x98\x05\x74\x81\x21\x50\x6e\x83\xaa\x97\xf4\xce\x87\x5a", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2x3dvEXT}, // libGL:glProgramUniformMatrix2x3dvEXT
  {(uint8_t*)"\x77\x09\x8b\x4e\xd9\x7d\x05\xb6\x3e\xf9\x68\xee\xaa\x66\xac\x16\x87\x26\x84\x59\x83\x81\xab\x35\xe0\x0a\x15\x45\x17\xef\xd8\xe4", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2x3dv}, // libGL:glProgramUniformMatrix2x3dv
  {(uint8_t*)"\xb9\x1e\x64\x9f\xf3\xb3\x74\x33\xa6\xb8\x64\xcd\x3b\x51\xd2\xe5\x8f\x1c\x24\x50\x77\xec\xfb\x4b\x3f\xe8\x9c\xd9\xba\xd5\x50\xa8", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2x3fvEXT}, // libGL:glProgramUniformMatrix2x3fvEXT
  {(uint8_t*)"\xc8\xf7\xab\x9c\xdf\x8d\x76\xc9\xe9\xac\xa8\xad\x0b\xaa\x01\xb2\x90\x5e\x94\x5a\x84\x1a\xb1\xcb\xc4\xc4\x70\x59\x26\x6c\x7f\x4d", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2x3fv}, // libGL:glProgramUniformMatrix2x3fv
  {(uint8_t*)"\x9d\x15\x2f\x14\xe4\x2d\x70\x1b\x25\x7a\x78\x16\xd9\x2a\x52\x11\xd0\x5b\x17\xd1\x88\x24\xbb\x37\xda\xfe\xbd\xb4\x5a\xab\x40\x6d", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2x4dvEXT}, // libGL:glProgramUniformMatrix2x4dvEXT
  {(uint8_t*)"\x6b\x20\x15\xf2\xad\xcf\x09\xc6\x47\x4a\x67\x3d\x63\x68\x58\x40\xfb\x72\x84\x55\x2b\xec\x27\x75\xed\x40\xc8\xbd\xdb\x40\x39\xea", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2x4dv}, // libGL:glProgramUniformMatrix2x4dv
  {(uint8_t*)"\x9f\x01\x0c\xb7\x89\x37\x09\xc9\x8e\x5a\x0c\x5e\xd7\xc6\x8d\xb6\x2f\x93\xd5\x2f\x96\x77\x39\xd6\x08\xf6\x5e\x50\x1e\x1d\xc6\x94", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2x4fvEXT}, // libGL:glProgramUniformMatrix2x4fvEXT
  {(uint8_t*)"\xdf\x20\x6b\xd6\x9b\xad\x16\x51\x53\x20\x34\xeb\x3e\x51\x72\xde\x7a\x59\x0d\x72\xff\x97\x8d\x39\xaa\x78\x46\x29\xc5\xd1\xb5\xb9", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix2x4fv}, // libGL:glProgramUniformMatrix2x4fv
  {(uint8_t*)"\x8c\x90\xec\x62\x55\x37\xda\xc9\xd0\x0f\xda\x83\x13\xed\xd1\xeb\xf9\x0e\x0b\xaf\x98\x97\x43\xbf\x15\x79\xee\x77\x00\x8e\x28\xe4", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3dvEXT}, // libGL:glProgramUniformMatrix3dvEXT
  {(uint8_t*)"\x1e\x26\xb0\x11\xa5\x0a\x52\xda\x77\x78\x1a\x01\xb9\x0e\x3e\xc8\x1a\x98\xcb\xca\xc3\x1c\x9b\x6a\x50\xb8\x4d\x92\xf1\x22\x0a\xb8", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3dv}, // libGL:glProgramUniformMatrix3dv
  {(uint8_t*)"\x30\xaa\xbf\xff\xd1\x66\x8c\xfc\x4c\x59\x77\x08\x88\xf9\x57\xa3\xff\x2f\x31\x97\x8b\x6a\x6e\xeb\x88\x0b\x77\x1f\xf7\x00\xb0\x84", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3fvEXT}, // libGL:glProgramUniformMatrix3fvEXT
  {(uint8_t*)"\x43\xe9\xc7\x61\xf8\x34\x04\x6f\xc0\x6c\x97\x98\x4c\x85\x21\xaa\x2c\x72\xf3\x12\xf0\x86\xad\x30\x2b\xa4\x78\x8e\x0a\xbd\xc4\x97", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3fv}, // libGL:glProgramUniformMatrix3fv
  {(uint8_t*)"\xee\x8c\x3b\xb0\x6d\x84\x95\xc9\x46\x37\x1c\x5f\x84\x00\x6e\xb1\x3c\xfe\x89\xcc\xe4\xda\x2a\xaf\x13\x66\x17\x86\xad\xb1\x02\x5b", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3x2dvEXT}, // libGL:glProgramUniformMatrix3x2dvEXT
  {(uint8_t*)"\xf2\xcb\x16\xa3\x96\x1e\x21\xa2\x5d\x75\xfa\xe2\x83\x63\x87\xbd\xcc\x2b\x6a\x23\x6c\x03\xfa\x65\xc9\x91\x76\x7d\x3e\xd1\xdf\x33", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3x2dv}, // libGL:glProgramUniformMatrix3x2dv
  {(uint8_t*)"\xb2\xf9\xe2\xf9\xf4\xe1\xeb\x8e\x50\xde\x2e\xec\x42\x9c\xa3\xf8\xb4\x29\x31\x04\x00\x60\x19\x8f\xc1\x7f\x64\x80\x9f\xcc\x8a\x9a", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3x2fvEXT}, // libGL:glProgramUniformMatrix3x2fvEXT
  {(uint8_t*)"\xfb\xf0\xd2\x35\x70\xaa\xa7\xf7\xa7\x24\xf3\x8c\x06\xce\x82\xf5\xe9\xf8\xd5\x84\x24\x9b\x04\x92\x15\x32\xc9\x4b\xeb\xae\x64\x34", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3x2fv}, // libGL:glProgramUniformMatrix3x2fv
  {(uint8_t*)"\x8a\x64\x29\x2d\xdf\xa4\xe0\x40\xfd\x7f\xec\xfd\x4a\x66\x22\xdb\xd4\xf6\x60\x27\x82\xd4\xd8\xd9\x5d\x33\x99\x7e\x7a\xaa\x65\xe7", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3x4dvEXT}, // libGL:glProgramUniformMatrix3x4dvEXT
  {(uint8_t*)"\xe8\x84\x67\x59\x7a\x82\xb6\xaf\x65\x89\x57\x9b\xa4\x7d\xa4\xae\x9b\x09\x2e\x9f\x80\xac\xec\xd5\xaa\x4d\xcb\xd1\x8b\x04\xae\x74", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3x4dv}, // libGL:glProgramUniformMatrix3x4dv
  {(uint8_t*)"\x52\x68\xf9\x9c\xa1\xf1\x94\x4a\xe3\x9b\xb6\x46\x47\xdb\x7a\x1c\xb7\x4b\x49\xba\x7c\xaf\x58\x22\x7d\xea\xee\x78\x98\xc8\x0d\x51", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3x4fvEXT}, // libGL:glProgramUniformMatrix3x4fvEXT
  {(uint8_t*)"\xef\xe4\xb6\x82\x23\x11\x9b\x8e\xdc\xbf\xa6\x3e\x7e\x28\x1c\xb6\xff\xf4\x9a\x34\x89\xf1\x20\x48\xba\x9c\x27\x43\x88\x65\x52\x59", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix3x4fv}, // libGL:glProgramUniformMatrix3x4fv
  {(uint8_t*)"\x62\xd1\xf2\x1b\xf1\x00\x97\x6e\xee\x63\xb1\xed\x9f\xf7\x61\x0f\x44\x63\xf5\x01\x7a\x6e\xf7\xfe\x2a\x36\xde\x40\x79\x00\x12\x24", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4dvEXT}, // libGL:glProgramUniformMatrix4dvEXT
  {(uint8_t*)"\x43\x91\x8d\xf6\xbe\x81\x5f\xd6\xbd\x40\x01\x44\xb0\xf5\xec\x17\xa2\x9a\x3c\xf5\x48\xb4\x09\xa0\x44\x14\x19\xc9\x70\x94\x10\x19", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4dv}, // libGL:glProgramUniformMatrix4dv
  {(uint8_t*)"\x6a\x59\x99\x4c\x96\xc9\x67\x85\xe1\x2c\xe1\x83\xf4\xb1\xf8\x3c\xfa\x84\x01\xe5\xd9\x63\x12\xdd\x55\x89\x23\xf5\x91\x46\x92\xdf", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4fvEXT}, // libGL:glProgramUniformMatrix4fvEXT
  {(uint8_t*)"\xcb\x35\x9b\xd0\x78\x93\xb2\x27\xb6\x94\xbd\x41\x19\x66\x40\x67\xc9\x71\xb2\x39\x19\x3c\x6b\x21\x5c\x4a\x4a\xf0\x89\x3d\x31\x14", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4fv}, // libGL:glProgramUniformMatrix4fv
  {(uint8_t*)"\xcf\xed\x35\x5d\x33\xd2\x1c\xc3\xa7\x9d\x2f\x1d\x7a\xa8\xed\xd6\xa8\x2d\xfe\xd3\x2c\x34\x00\x74\x2f\xb1\xff\x53\x28\xf4\x56\x91", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4x2dvEXT}, // libGL:glProgramUniformMatrix4x2dvEXT
  {(uint8_t*)"\x7d\x91\xa3\xe3\x35\xbb\xaf\x0c\x4a\x54\x6d\xe9\xfa\x36\x98\xc9\x49\x54\x77\x50\xda\xad\x8a\x61\xec\x91\xa4\xbc\x23\x06\x88\x2a", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4x2dv}, // libGL:glProgramUniformMatrix4x2dv
  {(uint8_t*)"\xfc\xbe\x18\x36\x1a\xa6\xde\xd1\xac\x0f\x08\xa1\x22\x50\x36\x5a\x6a\xe6\x1b\x88\xb6\xe7\xbe\x0e\x81\x98\xef\x64\x89\x44\xd8\x9e", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4x2fvEXT}, // libGL:glProgramUniformMatrix4x2fvEXT
  {(uint8_t*)"\x8a\x02\x7f\xe6\xd0\xdd\x82\x8d\xce\x3f\xd1\x8b\x48\x32\x28\xba\x38\x0b\x5f\x27\x7b\x6e\xc7\x33\xab\x56\xac\x97\x42\xf5\x51\x56", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4x2fv}, // libGL:glProgramUniformMatrix4x2fv
  {(uint8_t*)"\x59\xea\x15\xb2\x88\x53\xe5\xf1\x02\xc5\x53\x90\x68\xb7\x3c\xca\x57\xe8\x31\x84\x09\xa8\xab\x95\xff\x4f\xe4\x41\xb0\x93\x24\xd9", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4x3dvEXT}, // libGL:glProgramUniformMatrix4x3dvEXT
  {(uint8_t*)"\x52\x10\xfc\xcd\xdc\x17\xb0\xe3\x44\x3c\xe2\x59\x53\x18\x88\x64\x4f\x00\x9c\xb0\xed\x40\x27\xce\xd3\x5b\x01\x05\x1f\x20\xa6\x2e", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4x3dv}, // libGL:glProgramUniformMatrix4x3dv
  {(uint8_t*)"\x49\x04\x91\xd5\xc4\xe0\x6b\x12\x57\x2a\x32\xb0\x36\x38\xe0\x9a\xa5\xf4\x54\x78\x61\xee\x5f\xd9\x3b\x3b\x16\x6a\xf8\xe3\x06\x2e", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4x3fvEXT}, // libGL:glProgramUniformMatrix4x3fvEXT
  {(uint8_t*)"\x05\xd5\xc7\x93\xfe\xee\xf7\xbb\x89\xf5\x34\xdd\xb8\xe1\x28\x9a\x19\xf7\xf7\x6c\x6d\x7a\x8b\x2f\x61\x41\xd3\xe6\x3b\x00\xf6\x6d", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformMatrix4x3fv}, // libGL:glProgramUniformMatrix4x3fv
  {(uint8_t*)"\x4c\x58\x8d\x49\x99\x0b\xf9\xaf\xb5\x2b\xd8\xad\x76\xbd\x76\x2b\x8c\x8c\x88\x2d\x20\xf1\x76\xe2\x0f\xa4\x20\xb0\xbe\xfc\x29\xb3", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformui64NV}, // libGL:glProgramUniformui64NV
  {(uint8_t*)"\x74\xc8\x32\x63\x71\xea\x5e\x31\x9d\x24\x1b\x2e\x78\x6f\xe3\x23\x0a\xce\x90\x02\xfc\x36\x69\xf5\xeb\x3b\x51\x76\xd5\x6f\x02\x0c", (void(*)(void *))&fexfn_unpack_libGL_glProgramUniformui64vNV}, // libGL:glProgramUniformui64vNV
  {(uint8_t*)"\xb3\xb6\x85\x33\x1e\xd6\x3d\x3e\xac\xa9\x0c\x2d\x6e\x02\xcf\x0d\xc8\xf2\xfc\x9c\x46\x3d\x1d\xbc\x0c\x3f\x82\x20\x22\x0e\x17\xb0", (void(*)(void *))&fexfn_unpack_libGL_glProgramVertexLimitNV}, // libGL:glProgramVertexLimitNV
  {(uint8_t*)"\xbc\xd6\x7f\x44\x12\x08\x70\x19\xdf\xfd\x2a\x69\x55\x12\xf6\xbf\x4a\x77\x32\x5b\xb0\xdc\x76\x5e\x32\x26\xfe\x94\x4c\x8f\x0b\x8e", (void(*)(void *))&fexfn_unpack_libGL_glProvokingVertexEXT}, // libGL:glProvokingVertexEXT
  {(uint8_t*)"\x2c\xc6\x43\x87\xf8\x1b\x60\x8b\xc8\x6f\x58\xf4\xfc\xcc\x52\x88\x18\x77\x9a\x59\x86\xe8\x67\xb2\xe0\x87\xf8\xbc\x28\x05\x83\x54", (void(*)(void *))&fexfn_unpack_libGL_glProvokingVertex}, // libGL:glProvokingVertex
  {(uint8_t*)"\xb5\xb4\x3c\xdf\x4b\xba\x99\x7c\xfb\xe5\xa6\xab\xd1\x15\xdc\x49\x9d\x47\x85\x10\x5e\x0b\x84\xdb\x0b\xb5\x2b\x9f\x7c\xfd\xc7\x2c", (void(*)(void *))&fexfn_unpack_libGL_glPushAttrib}, // libGL:glPushAttrib
  {(uint8_t*)"\x68\xf4\x41\x9f\x03\x34\x32\xee\xb5\x43\xe9\xc9\x30\xb8\xb1\xdd\xb2\xee\x1a\x81\xbd\x5b\x07\x48\x16\x17\xf5\xdd\x9c\xf3\xb9\x85", (void(*)(void *))&fexfn_unpack_libGL_glPushClientAttribDefaultEXT}, // libGL:glPushClientAttribDefaultEXT
  {(uint8_t*)"\xfe\xd3\xd7\x48\x46\xae\x12\x85\x7f\x7f\x6b\xd9\x95\x97\xe0\x56\xfc\xc4\xbf\x8d\xf9\x51\xa4\xe4\x7b\xc1\xc6\x97\xc3\xac\x91\x16", (void(*)(void *))&fexfn_unpack_libGL_glPushClientAttrib}, // libGL:glPushClientAttrib
  {(uint8_t*)"\x6e\xef\xd8\xa3\x15\x2b\x3d\xa4\x27\x45\x6e\x34\x8c\xfa\x83\x1f\x37\x0b\x0f\xcc\xbe\x8f\xe3\x86\x3c\x04\xfb\x83\x9b\xbe\x54\xd2", (void(*)(void *))&fexfn_unpack_libGL_glPushDebugGroup}, // libGL:glPushDebugGroup
  {(uint8_t*)"\xbc\x4e\x6b\x65\xac\x2c\x70\x42\xcb\xa1\x88\x31\x99\xa1\xc0\xb5\x5f\x67\xc4\xe3\x12\x9d\x33\x22\x11\x84\xfd\xbc\x5a\x87\x90\xdd", (void(*)(void *))&fexfn_unpack_libGL_glPushGroupMarkerEXT}, // libGL:glPushGroupMarkerEXT
  {(uint8_t*)"\x89\x11\x02\x73\xd8\xad\xcc\xcc\x64\xca\xc4\x0e\x4e\xbc\x14\x35\x1f\x11\xcd\x45\x36\xac\x0a\x75\x93\x2c\xf6\x90\x01\x57\x75\x38", (void(*)(void *))&fexfn_unpack_libGL_glPushMatrix}, // libGL:glPushMatrix
  {(uint8_t*)"\x17\x34\x58\x9b\xdd\x27\xcd\xa4\x28\xa2\x85\x17\xcd\x50\xd7\x11\x81\xfc\x8d\x39\xbb\xdc\x7e\x89\xc4\x80\x16\x77\xcb\xa2\x41\xd9", (void(*)(void *))&fexfn_unpack_libGL_glPushName}, // libGL:glPushName
  {(uint8_t*)"\xe2\xfd\x58\x6e\x0d\xd4\x5d\xd0\x31\x06\x50\xf5\x1b\x72\x84\x76\xfd\xc9\xc2\x38\x0b\x88\x7b\x07\x5f\x32\xeb\xc4\x14\x36\x66\x5e", (void(*)(void *))&fexfn_unpack_libGL_glQueryCounter}, // libGL:glQueryCounter
  {(uint8_t*)"\xc5\xe3\x58\x72\x04\x6a\x50\x06\x71\x66\xed\x8f\x91\x32\x9a\x6d\x4f\xd6\x94\x01\xf9\x0f\xae\x7c\x0f\xa0\x91\x36\x56\x13\x3c\x36", (void(*)(void *))&fexfn_unpack_libGL_glQueryObjectParameteruiAMD}, // libGL:glQueryObjectParameteruiAMD
  {(uint8_t*)"\x77\xf1\xfd\x64\x56\x78\x64\xc4\x98\x69\x21\xbe\x8a\x55\xb8\x41\x2c\xc1\xc7\x81\xc1\x5e\x2a\xc2\x33\x43\xe1\xe3\x7b\xe5\x5c\xca", (void(*)(void *))&fexfn_unpack_libGL_glQueryResourceTagNV}, // libGL:glQueryResourceTagNV
  {(uint8_t*)"\x7a\xfa\x4d\x2c\xdd\x4c\x54\xdf\x3d\xcf\xfc\xf2\x02\x89\xb5\x0c\xd3\xd0\xcc\x0d\xf0\x2e\xe8\x6f\x7d\x2b\x98\xea\xac\x54\xc9\xd2", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos2d}, // libGL:glRasterPos2d
  {(uint8_t*)"\xed\x9d\x59\x2f\xd4\x5a\xa7\xd0\x50\x0c\xd5\x4c\xd0\x8b\x54\x30\xe1\xfc\x21\x08\xce\xfc\x7c\x1b\xa0\x8c\xc8\x16\xdc\xdb\x4c\x7d", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos2dv}, // libGL:glRasterPos2dv
  {(uint8_t*)"\x61\x8b\x42\x9f\x6e\xa0\x34\x38\x2d\xe2\x3a\xa2\xbd\xa9\xba\x89\x96\x32\xdb\xd7\x95\xdf\xe5\xc2\xdb\xe0\x6e\x9c\x4e\x80\xed\x2e", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos2f}, // libGL:glRasterPos2f
  {(uint8_t*)"\x10\x8b\xb9\x89\x63\xa7\x2a\x04\x77\xd8\x04\x8a\x28\x98\xb6\x7e\x32\xd3\xf5\x86\x84\x40\x0b\xa8\xad\x88\x1c\x75\xf0\x0b\xca\xbd", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos2fv}, // libGL:glRasterPos2fv
  {(uint8_t*)"\xf4\xea\xa3\x15\x54\xff\x8f\xa1\xff\x2e\x9e\x82\xc2\xa8\x43\xb6\x9e\xf3\x69\xf8\xcc\x0a\xbb\xa5\xab\xa7\x55\x15\x78\xaf\x08\x58", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos2i}, // libGL:glRasterPos2i
  {(uint8_t*)"\x9c\x5b\x5e\x94\x73\x52\x18\xbd\x60\x92\x21\xa3\xc0\x56\x73\x68\x0a\x2f\xcf\x48\xd9\x22\x42\xa3\x1d\x76\xbc\x32\x9c\x33\xaf\x91", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos2iv}, // libGL:glRasterPos2iv
  {(uint8_t*)"\x2e\x0d\xbe\x20\xca\x88\x17\xfd\xb7\xcb\x9a\x16\xab\x00\xc8\xdc\xc8\x18\x5e\x0e\xc3\x1f\x87\xea\xab\xfb\x1a\xdd\x72\xc2\x10\x01", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos2s}, // libGL:glRasterPos2s
  {(uint8_t*)"\xa2\x8b\x7b\xcb\xe3\x38\xb7\x9c\xd0\x26\xc5\x0d\x2d\xd3\xf8\x06\xe6\x23\xbe\x7d\xe0\xc0\x97\x69\x85\x48\x06\x75\x10\x45\x11\x55", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos2sv}, // libGL:glRasterPos2sv
  {(uint8_t*)"\xa2\xae\xb1\x60\x62\x54\xb4\x6a\x27\xc9\x95\xfd\x0a\x03\x1c\x41\xc1\x70\xd4\x4c\x47\x8e\x69\x30\x3f\x12\x08\xc5\xe2\x05\x11\x60", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos2xOES}, // libGL:glRasterPos2xOES
  {(uint8_t*)"\x55\xa7\xc4\xab\x16\x30\xc4\x04\xd3\x58\x6e\xa4\xdb\xeb\x6e\x4f\x4e\xe5\x8f\x94\x91\x5f\xd9\xa4\xe8\xc5\x91\xcd\x3c\x4e\x96\x45", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos2xvOES}, // libGL:glRasterPos2xvOES
  {(uint8_t*)"\xe2\x87\xa3\x46\x60\x43\xec\xbc\xa9\x32\xd4\x4d\xcf\xea\xcf\xf5\x26\x95\x03\x66\xed\xd9\xfc\x98\x39\x57\xd5\x62\x8a\x91\x7d\xd1", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos3d}, // libGL:glRasterPos3d
  {(uint8_t*)"\x87\x6e\xec\x47\x1a\x46\xab\xf5\xc7\x4b\xd5\x1f\xfd\x8c\xee\x83\x6f\x92\x8d\x36\x81\x0b\x7c\x7b\x42\xb2\xa7\xa7\x6a\x65\x2b\x88", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos3dv}, // libGL:glRasterPos3dv
  {(uint8_t*)"\x60\x0c\xf1\x87\xf7\x83\xfe\x5d\x1a\x0d\xd5\x07\x5f\x16\x53\x64\xfd\xe5\x31\x2b\xeb\x12\x17\x49\x45\x65\x10\x91\x9e\x05\x15\x58", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos3f}, // libGL:glRasterPos3f
  {(uint8_t*)"\x76\x6c\xd3\x5d\xf6\x1f\x97\xd7\x1b\xba\x96\x73\x6a\x4e\xbd\x12\x28\x85\xc6\x50\x92\xb6\xc8\xc9\xd5\x68\x88\x23\x79\xb1\x2f\x2c", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos3fv}, // libGL:glRasterPos3fv
  {(uint8_t*)"\xfa\x39\x46\x14\x6d\x7c\x01\x7c\xab\x55\xd0\x63\x7d\x92\x87\x64\x7c\xb4\x6e\x9f\x71\xf8\xea\x9f\x79\xbc\xf0\x76\x00\x5b\xd8\xa4", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos3i}, // libGL:glRasterPos3i
  {(uint8_t*)"\x77\x71\xc6\x15\xab\xb8\x42\xcb\x0b\x91\x80\x04\x31\x1c\xb7\xc6\x04\x86\xee\x62\xab\xc2\x50\xbb\x9b\xdc\x75\x7b\xd0\xaf\x85\xb2", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos3iv}, // libGL:glRasterPos3iv
  {(uint8_t*)"\x24\x88\x92\x1b\x08\x64\x9f\x56\x5d\xf0\x15\x54\xa4\x4f\x77\x4a\x59\x9c\xb5\xb7\xae\x06\x17\xef\x61\xc3\xb5\x07\xab\x6d\xb2\xd5", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos3s}, // libGL:glRasterPos3s
  {(uint8_t*)"\x7d\x65\x34\x7d\x3c\x84\x71\x08\xfa\xc3\x04\x1a\x88\xf5\x70\xf1\x37\x96\xb4\x82\x30\x6f\x48\xdb\x45\x7f\x48\xf0\x27\x86\x19\x62", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos3sv}, // libGL:glRasterPos3sv
  {(uint8_t*)"\xb3\x7d\xe8\x69\x55\x3c\xbc\x53\x17\x49\xde\x9d\x66\xe0\x9d\x32\x59\x82\x0c\x87\xd0\xc4\x14\x82\xde\xef\x9b\x27\x45\xaa\x79\x47", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos3xOES}, // libGL:glRasterPos3xOES
  {(uint8_t*)"\x03\x5a\x9f\x9c\x5e\x02\x83\xcc\xe4\xe7\x22\xe0\x7c\x4b\xf9\x79\xfd\x7c\x5a\x06\x17\x30\xed\x54\x56\xf6\xbb\xde\x28\x51\xba\xfa", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos3xvOES}, // libGL:glRasterPos3xvOES
  {(uint8_t*)"\x3d\x41\xfe\x90\x2d\xf3\xed\x6a\xee\xb5\x52\xeb\x23\x43\x6a\xcc\x8b\x27\xf0\x07\x9f\xa1\x8e\xe2\x69\x88\x5b\x2c\x3e\xbe\x64\xf0", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos4d}, // libGL:glRasterPos4d
  {(uint8_t*)"\xdb\xb9\x74\x25\xeb\xa7\x29\x38\xba\x4e\xb2\x69\xac\xe7\x3f\x11\x74\x2e\xe0\xe0\x65\x38\x1e\x10\x3c\x20\xda\x59\xba\x2e\x37\x78", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos4dv}, // libGL:glRasterPos4dv
  {(uint8_t*)"\xce\xda\xc0\x77\x39\xe4\x96\x0d\x92\x42\x4b\xf8\xe2\xd7\xf6\x6c\x98\x4c\x20\xe9\xc2\x78\x06\xff\x5a\xbe\xb8\xd7\x76\x2b\x45\x43", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos4f}, // libGL:glRasterPos4f
  {(uint8_t*)"\xbf\x33\xbd\x82\xc9\x54\xd6\x4a\xd7\xb0\xce\x86\x70\xd3\xe8\xbf\xe6\x7f\x83\x68\xb7\x7d\x99\x38\x8f\x60\xd3\xa2\xcc\x51\x30\xe5", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos4fv}, // libGL:glRasterPos4fv
  {(uint8_t*)"\xa9\xaa\x10\xf5\x31\xad\xbd\xc3\x28\x3c\xbe\x4b\xb5\x4d\x61\x6e\xfc\xfa\x83\x38\xf9\x23\x21\x5e\xbd\xf8\xa3\xff\x46\xb7\x4c\x5c", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos4i}, // libGL:glRasterPos4i
  {(uint8_t*)"\x73\xbc\x9f\x5b\x80\x04\x36\x86\x63\xdd\xcf\x30\xc3\xc6\x18\xd1\x8f\xf6\x55\x18\xde\xd8\xb7\xe9\xe8\x0a\x60\xa5\x2b\x71\x4f\xaf", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos4iv}, // libGL:glRasterPos4iv
  {(uint8_t*)"\xf4\x0c\xc5\xc2\x30\xf6\x9a\x80\x35\xc4\x79\xe2\x60\xdf\x70\x94\x1c\x69\x9f\xbe\x22\x81\xeb\x0d\x9d\x40\x0c\x32\x80\x74\x0a\xb7", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos4s}, // libGL:glRasterPos4s
  {(uint8_t*)"\x80\xf8\x47\x55\x63\xcc\x56\x07\x53\x7f\xaf\x25\x4f\x35\x73\xd8\xb9\x29\xf4\xa9\xee\xef\xa7\x46\xb2\xbd\xc0\xea\xe6\xb5\xac\x20", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos4sv}, // libGL:glRasterPos4sv
  {(uint8_t*)"\xbe\xde\x32\x06\x9c\x8e\x8a\xfe\xda\xc6\x5b\xad\x22\x78\x64\x97\x88\x3c\x3d\x2b\xa1\xb0\x45\x6d\x27\x6a\xc0\xc7\xd8\xeb\xaa\x43", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos4xOES}, // libGL:glRasterPos4xOES
  {(uint8_t*)"\x71\xef\x60\x00\xc9\x39\xeb\xe3\xb9\x2c\x9f\x2a\xb3\x09\x08\x2a\xf6\x4b\x9b\xb5\x65\x21\x4c\x7b\x76\x7a\x2a\xac\x5a\x02\x74\x99", (void(*)(void *))&fexfn_unpack_libGL_glRasterPos4xvOES}, // libGL:glRasterPos4xvOES
  {(uint8_t*)"\xc6\x8e\x8e\x71\xaa\x37\xcf\xc4\x3a\x18\x58\xa6\x93\x67\xd0\x8e\x4c\xa4\xe6\x21\x01\xd8\xd0\x19\x73\x6f\x83\x7d\x27\xf8\xc6\xa2", (void(*)(void *))&fexfn_unpack_libGL_glRasterSamplesEXT}, // libGL:glRasterSamplesEXT
  {(uint8_t*)"\x7b\x15\xd7\xd2\xdc\xa8\x6f\xbb\xb3\x68\xb8\xea\x11\x63\xf4\x92\x59\xc9\x44\x13\x3c\x19\x83\xa8\x75\x1a\xa4\xf6\x83\x00\x28\x64", (void(*)(void *))&fexfn_unpack_libGL_glReadBuffer}, // libGL:glReadBuffer
  {(uint8_t*)"\x12\xdd\x82\x5a\x56\xf7\x44\x41\x23\x78\x18\x1c\xca\x52\x38\xa3\x90\xd2\x77\x8d\xaa\x24\x4d\xc0\xc1\x35\xcb\x9f\x7d\xf4\x90\x93", (void(*)(void *))&fexfn_unpack_libGL_glReadInstrumentsSGIX}, // libGL:glReadInstrumentsSGIX
  {(uint8_t*)"\x90\x05\x1a\x6c\x86\x21\x26\xc1\xca\xfe\x87\xca\x77\xd3\x34\xad\x50\xa7\xc3\x0a\x0e\x8b\x08\xeb\x05\xd7\x02\x66\xb1\x15\x38\x54", (void(*)(void *))&fexfn_unpack_libGL_glReadnPixelsARB}, // libGL:glReadnPixelsARB
  {(uint8_t*)"\x09\x3c\x6b\x15\xd5\x0d\xba\x58\x1b\x0c\x4d\xd5\xe7\x53\xe8\xc3\xd5\x29\xfe\xd1\x88\x9c\xb6\xb9\x6d\x81\xae\x78\xd5\x16\x8b\xd5", (void(*)(void *))&fexfn_unpack_libGL_glReadnPixels}, // libGL:glReadnPixels
  {(uint8_t*)"\xee\xf9\xc8\x4f\x54\xd3\xf2\x7a\x19\x8c\x73\xf9\xe8\xbc\x20\x99\xa3\xfc\x11\xae\xc5\x5a\x47\xfa\x82\x1a\x08\x98\x6a\x2a\x86\xfa", (void(*)(void *))&fexfn_unpack_libGL_glReadPixels}, // libGL:glReadPixels
  {(uint8_t*)"\x3f\x03\x84\x18\x3a\xb1\x0c\xce\x8d\xef\x4a\xda\xec\x8f\x53\x13\x2e\x9b\x9b\x72\x88\x92\x61\x39\x96\x2a\xa7\xa4\xdc\x64\xe0\x66", (void(*)(void *))&fexfn_unpack_libGL_glRectd}, // libGL:glRectd
  {(uint8_t*)"\x65\x59\xca\xc3\x75\x80\xe7\x30\x75\xe8\xed\x81\xa8\x2b\x96\x9d\x2f\x07\xa2\x72\x32\x81\xf8\xda\xa9\xf4\x9c\x5e\x65\xa4\x45\xde", (void(*)(void *))&fexfn_unpack_libGL_glRectdv}, // libGL:glRectdv
  {(uint8_t*)"\x31\x8b\xc6\xaf\xaf\x52\xe3\xe2\xd6\x4a\xa1\x2b\xee\x81\x76\x7b\x84\x0a\xb6\x96\xed\xa6\x47\x97\x9a\xd6\x52\xff\x95\x18\x3b\xbd", (void(*)(void *))&fexfn_unpack_libGL_glRectf}, // libGL:glRectf
  {(uint8_t*)"\xea\xa4\x54\x1c\xe2\x6f\xb9\x1a\xef\x2e\x75\xcc\x61\x0c\xac\xfc\xb1\x7d\x18\x72\x0e\xda\xdb\x2f\x6f\xab\x33\x0b\x63\xf5\x96\x4b", (void(*)(void *))&fexfn_unpack_libGL_glRectfv}, // libGL:glRectfv
  {(uint8_t*)"\x33\x77\x28\xbe\xcc\x2f\x21\xa1\x52\xb3\xd7\xf6\xe8\x33\x6e\xf8\x26\x1d\xb5\xfa\x6f\x5f\x63\x7c\x23\x8e\xf9\x17\x05\x32\x99\xa9", (void(*)(void *))&fexfn_unpack_libGL_glRecti}, // libGL:glRecti
  {(uint8_t*)"\x98\x0d\x61\x69\xaa\xdd\x55\x93\x57\x31\x37\x15\xe8\xaf\xdd\xed\xa2\x32\xaf\x15\x8d\xcb\x3c\x8d\xfa\x85\x8d\xd0\x58\x6e\x7f\xe7", (void(*)(void *))&fexfn_unpack_libGL_glRectiv}, // libGL:glRectiv
  {(uint8_t*)"\x01\x99\xb9\x1b\xfb\x3e\xcd\x88\x69\xd0\xc6\x7f\x34\x36\x47\x5b\x48\x47\x9d\x3f\xe6\xf6\xdc\x90\xd0\x4f\x2f\xf5\x8b\x68\x00\xb0", (void(*)(void *))&fexfn_unpack_libGL_glRects}, // libGL:glRects
  {(uint8_t*)"\x64\x50\x5d\x15\xcd\xd6\x49\xd9\x03\x79\xb0\x2b\x5f\xb4\x9f\x37\x1f\xa6\xd9\x24\x50\x5c\xe3\x5b\xe1\x76\x18\x4a\xc0\x8a\xfc\x30", (void(*)(void *))&fexfn_unpack_libGL_glRectsv}, // libGL:glRectsv
  {(uint8_t*)"\xdb\x18\x38\x04\xf5\xbc\x0f\x3c\xb5\xd1\x87\xbe\xe2\xf4\xca\x3f\x73\x27\x16\xc7\x65\x07\x7a\x3a\x18\xb1\xa7\x4f\x1b\x45\x6c\x62", (void(*)(void *))&fexfn_unpack_libGL_glRectxOES}, // libGL:glRectxOES
  {(uint8_t*)"\x00\xd2\x6b\xe1\xf5\xd6\x18\xcb\xa2\xd7\x16\x7c\x4a\x7e\xef\x71\x45\xae\xa5\x15\x8f\xa1\x19\x71\x20\x63\xea\xef\xc4\x40\x1b\xe6", (void(*)(void *))&fexfn_unpack_libGL_glRectxvOES}, // libGL:glRectxvOES
  {(uint8_t*)"\x35\x80\xa1\xc4\x17\x2a\xe9\x38\x16\xfb\x0e\x97\xea\x08\x1d\x87\x48\xcc\xd4\x99\xb3\x68\x6e\xe8\x07\x6f\xc6\xb8\x4b\x42\xb4\x6c", (void(*)(void *))&fexfn_unpack_libGL_glReferencePlaneSGIX}, // libGL:glReferencePlaneSGIX
  {(uint8_t*)"\x79\x12\xbe\x71\xaf\xf9\x7d\x3b\x7e\x80\x9a\x61\x48\xfa\x43\x45\x86\xbe\x9f\xc0\xb2\x29\x30\xf0\x9a\x9a\x09\xf3\x02\x14\x1e\xc4", (void(*)(void *))&fexfn_unpack_libGL_glReleaseShaderCompiler}, // libGL:glReleaseShaderCompiler
  {(uint8_t*)"\xa1\x0d\x39\xc5\xae\xfb\x6b\x99\x47\x27\xa2\x4a\xd4\x28\xc5\x3a\x00\xe3\x3b\x7a\x5e\x77\xbe\x58\x73\xa4\xe2\x54\x45\x7a\xf2\xc8", (void(*)(void *))&fexfn_unpack_libGL_glRenderbufferStorageEXT}, // libGL:glRenderbufferStorageEXT
  {(uint8_t*)"\xa0\xce\xb6\xb3\x57\x32\x2d\x36\xd2\xe6\x1d\xf8\x36\x51\x13\x0b\x12\x6c\xab\x16\xf4\x52\x27\x51\x27\x96\x75\x61\x9f\x31\x28\x94", (void(*)(void *))&fexfn_unpack_libGL_glRenderbufferStorage}, // libGL:glRenderbufferStorage
  {(uint8_t*)"\xfc\x27\xaf\xd9\xaf\x39\x53\x25\xca\x0a\xd2\x84\x02\xae\xb4\x28\x30\xa6\x03\xe7\xff\x36\x56\x18\x9f\x98\xbc\x84\xc3\x31\x68\xc0", (void(*)(void *))&fexfn_unpack_libGL_glRenderbufferStorageMultisampleAdvancedAMD}, // libGL:glRenderbufferStorageMultisampleAdvancedAMD
  {(uint8_t*)"\xb7\xbe\xfc\xf6\x57\x07\xf0\x57\x53\xe4\x7f\x94\xaa\x56\x88\xb0\xf1\x1b\x9b\xa0\x4e\x3d\x58\xaf\x9d\x6e\x5c\xc4\xcc\x33\x78\xed", (void(*)(void *))&fexfn_unpack_libGL_glRenderbufferStorageMultisampleCoverageNV}, // libGL:glRenderbufferStorageMultisampleCoverageNV
  {(uint8_t*)"\x65\xec\x8d\x5a\x48\xa6\x60\x5d\xdc\x2d\xa7\xaa\xb7\x51\xd2\x6c\xc3\x17\x0b\xf2\xa8\x85\x30\xe2\xca\xb5\x13\x53\xab\x9a\xc3\xe4", (void(*)(void *))&fexfn_unpack_libGL_glRenderbufferStorageMultisampleEXT}, // libGL:glRenderbufferStorageMultisampleEXT
  {(uint8_t*)"\x8c\x1b\x63\x31\x4c\x78\xd2\x8c\x10\xc9\xbc\xf5\x16\xe0\x96\x93\x08\x1a\xf1\xfc\x8e\x7e\xd6\xef\xac\x21\xf2\x65\x4d\xb7\x37\x25", (void(*)(void *))&fexfn_unpack_libGL_glRenderbufferStorageMultisample}, // libGL:glRenderbufferStorageMultisample
  {(uint8_t*)"\x95\x69\x22\x29\xc8\x64\xdb\x5d\xe0\x70\x65\x3e\x01\x1a\x7c\xd9\x6c\xa4\xd5\x14\xa2\x34\xdb\x74\x37\xc5\x38\x53\x1c\x0e\x11\xc3", (void(*)(void *))&fexfn_unpack_libGL_glRenderGpuMaskNV}, // libGL:glRenderGpuMaskNV
  {(uint8_t*)"\x39\xb2\x11\x4e\xc7\x45\x60\x5a\x67\x1c\x9b\xbb\x4d\xfd\x12\x62\x1a\x72\xcd\xfd\xa7\x36\x79\x68\x02\xa7\x39\x8d\x48\x8c\x88\xf0", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodePointerSUN}, // libGL:glReplacementCodePointerSUN
  {(uint8_t*)"\xa8\x52\x29\x62\x85\xf4\xb8\x33\x32\x76\x5d\x80\x60\xe4\x8a\x0f\x2f\x81\x1f\x60\x56\xd8\x8d\xc8\x08\x99\x3f\xac\x7f\x50\x9b\xb2", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeubSUN}, // libGL:glReplacementCodeubSUN
  {(uint8_t*)"\x64\xc8\xc5\xea\xfa\x09\x6a\xc9\xb1\xf8\xf2\x23\x5c\x96\xb8\x30\x4e\x74\xd1\x98\xbd\xf6\x8b\x02\xfa\xf6\x7e\x93\x95\xf2\x81\xf4", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeubvSUN}, // libGL:glReplacementCodeubvSUN
  {(uint8_t*)"\x8e\x9c\xeb\xeb\x19\xff\x8e\x0b\x73\x2c\x0f\x59\xca\x3a\xad\x18\x0b\xd5\x29\x19\xb0\x61\xfc\x73\x8e\x21\xb2\x81\x70\xc8\xd6\x40", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiColor3fVertex3fSUN}, // libGL:glReplacementCodeuiColor3fVertex3fSUN
  {(uint8_t*)"\x22\x5a\x5d\x68\x3c\x71\x5d\x29\x04\x8a\x1e\x8d\x94\x9a\x0e\xd8\x65\x6b\xcb\x42\x8c\x0e\xf1\x91\x94\x89\x18\x4d\xd4\xbe\x07\x59", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiColor3fVertex3fvSUN}, // libGL:glReplacementCodeuiColor3fVertex3fvSUN
  {(uint8_t*)"\x1e\xd5\x9b\x70\x77\x38\xd5\x65\x1c\xf5\x65\xdc\x1a\xc2\x26\xe2\x31\xe2\xf3\xce\x51\x28\x8a\xcd\xf4\x38\x5a\xb3\x10\xcb\xb0\x9c", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiColor4fNormal3fVertex3fSUN}, // libGL:glReplacementCodeuiColor4fNormal3fVertex3fSUN
  {(uint8_t*)"\x7b\x5a\x80\x0a\x5c\x10\x07\xe0\x03\x85\x3d\x85\x1f\x6d\x4c\x9e\x22\xef\x92\x43\xda\x1c\x95\x02\x95\xc7\x4f\x1a\x2c\x02\xc4\x86", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiColor4fNormal3fVertex3fvSUN}, // libGL:glReplacementCodeuiColor4fNormal3fVertex3fvSUN
  {(uint8_t*)"\x9f\x07\x98\x04\x87\x11\xef\x6a\x3a\xa3\xbb\x4c\xbb\x42\x21\x9a\x50\x99\x11\x48\x05\xf9\xf0\x38\x01\x73\x77\x47\x0c\x10\xb1\x48", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiColor4ubVertex3fSUN}, // libGL:glReplacementCodeuiColor4ubVertex3fSUN
  {(uint8_t*)"\x3c\x57\x8f\xf5\x51\x66\x92\x88\x19\xcc\x4d\xbd\x55\x61\x19\xcb\x50\x10\xff\x5f\x78\x2f\xb7\x5b\x6b\x56\xe4\x1c\x61\x70\x3d\x4f", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiColor4ubVertex3fvSUN}, // libGL:glReplacementCodeuiColor4ubVertex3fvSUN
  {(uint8_t*)"\xbb\x70\xfc\x9a\x73\x49\xdc\x30\xfd\xfe\xe8\x75\x1c\x62\x5e\x0c\x9c\x39\x5f\xd8\xd9\xd5\xe9\xad\x5c\x46\xe2\x14\xb6\x57\x5a\x48", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiNormal3fVertex3fSUN}, // libGL:glReplacementCodeuiNormal3fVertex3fSUN
  {(uint8_t*)"\x43\x3c\xee\xd6\x40\x35\xc7\x03\x79\x95\x20\xc6\x1e\xf6\xd0\x6f\x36\x36\xb7\x3e\x62\xea\x41\xd6\xa2\xa5\x36\xe2\x60\x87\x46\xbc", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiNormal3fVertex3fvSUN}, // libGL:glReplacementCodeuiNormal3fVertex3fvSUN
  {(uint8_t*)"\x47\xa8\xa6\x74\xa9\xe2\x08\x72\x88\xcf\x27\x4e\x98\x1b\x08\xbc\x9b\xc0\x97\x7d\x73\xbc\x49\xfa\xd8\xc1\x8e\x91\xed\x69\x89\x2c", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiSUN}, // libGL:glReplacementCodeuiSUN
  {(uint8_t*)"\xd5\x9b\xb5\x9c\x0c\xad\x5b\x51\x4f\x8a\x33\xf8\x05\x10\xa0\xb5\xf6\x82\x2a\x31\x45\x5a\x02\xb1\xb9\x7f\x1e\x01\xfd\xca\x87\x77", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN}, // libGL:glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN
  {(uint8_t*)"\x5e\x9b\x68\xd0\x3c\x4e\x29\x78\x9b\xc2\x87\x12\x41\xd0\x06\xa7\xf8\x81\x17\x63\x5f\x80\xb4\xcc\x88\xb5\x0c\x64\x04\xe7\x1f\x08", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN}, // libGL:glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN
  {(uint8_t*)"\xf3\x4c\xeb\x5f\x9d\x80\xa0\x04\x70\xfc\x55\xb4\x10\x98\x54\x18\xa7\x42\xb4\x8f\x2f\x2e\x72\xdc\x1c\x87\x32\x68\x81\x39\x5d\x5c", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN}, // libGL:glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN
  {(uint8_t*)"\xad\xae\xec\xed\x78\x6d\x7d\xa7\x12\x11\x37\xb7\xf0\x33\x5e\xc1\x8a\x76\xde\xa6\xd7\xe9\x07\x9d\xae\x9e\xfd\x7a\x1c\xa2\xb1\x58", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN}, // libGL:glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN
  {(uint8_t*)"\xb9\xf9\xdb\x96\x98\x64\x03\xce\x4c\xd1\xa0\x9e\x54\x1d\x23\x4b\x06\x07\xe3\x29\x45\x79\xf6\xcf\x68\xd2\xbb\xcc\xeb\x82\xeb\xac", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fVertex3fSUN}, // libGL:glReplacementCodeuiTexCoord2fVertex3fSUN
  {(uint8_t*)"\xa6\x83\x03\xe1\x96\x4c\xac\x9c\xe6\x5e\xb2\x9e\x9c\xc2\xfa\xde\x5a\x6a\xfd\x1e\xbf\xf2\x26\xed\x0b\x26\x57\xa3\x92\x56\xa3\x8b", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiTexCoord2fVertex3fvSUN}, // libGL:glReplacementCodeuiTexCoord2fVertex3fvSUN
  {(uint8_t*)"\x1c\x51\xab\x59\x8a\xfc\xf6\xb8\xc9\xaa\xa6\x0f\x73\x7d\x12\x8f\xe3\x6b\x60\x6a\xde\x2f\x96\x8b\xf3\xfb\xa1\xe1\x2a\x3d\xe0\xb2", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiVertex3fSUN}, // libGL:glReplacementCodeuiVertex3fSUN
  {(uint8_t*)"\x6d\xff\x4d\x41\x43\xa2\xe8\x18\x6e\xb5\x1a\x72\xb5\xbc\xbf\x04\x78\xf5\xa7\x95\x09\x8d\x23\xfe\x57\xe0\xa4\x83\x75\xe9\x7f\xd9", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuiVertex3fvSUN}, // libGL:glReplacementCodeuiVertex3fvSUN
  {(uint8_t*)"\x01\x32\xeb\x57\x05\x62\xfe\xa3\x00\x40\x77\xd6\xa9\x9c\x14\x31\xa9\x64\xa1\x05\xa5\x70\x30\x5e\x07\x05\xc4\x5a\xdd\x10\x36\x43", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeuivSUN}, // libGL:glReplacementCodeuivSUN
  {(uint8_t*)"\xcb\x88\x4d\xd4\x8d\x6d\xcc\xdc\xb5\x13\x3b\xa8\x86\xbd\x42\x43\xf2\x71\xed\xbd\xf8\xef\x71\xac\x23\x48\x69\x4a\xc0\x11\x3e\xf1", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeusSUN}, // libGL:glReplacementCodeusSUN
  {(uint8_t*)"\x5b\x75\x62\x3f\xa9\x96\xd5\x84\x4e\x30\xab\x9c\x7d\x15\x60\x65\x58\x7f\xa7\x48\x39\xd1\x38\x4b\x13\x9c\xd9\xc9\x47\xdc\xde\xb9", (void(*)(void *))&fexfn_unpack_libGL_glReplacementCodeusvSUN}, // libGL:glReplacementCodeusvSUN
  {(uint8_t*)"\xf5\x98\x9c\xaf\x86\x53\x76\xd5\x6a\x8a\xfa\x9c\x01\x8f\xe8\x38\xa3\xe5\x24\xcc\x0e\xa3\x5f\xff\x56\xbc\x31\x84\xc6\x9b\x4f\xb2", (void(*)(void *))&fexfn_unpack_libGL_glRequestResidentProgramsNV}, // libGL:glRequestResidentProgramsNV
  {(uint8_t*)"\x1b\x8f\xf6\x30\x19\x83\xea\x7c\x06\xc0\x78\xc4\x12\x5c\x4d\x37\x15\x41\x8b\xb4\xf8\x2b\x27\xa0\xfd\xfc\xd3\xee\xd8\x49\x16\x2f", (void(*)(void *))&fexfn_unpack_libGL_glResetHistogramEXT}, // libGL:glResetHistogramEXT
  {(uint8_t*)"\xc6\x3a\xf6\xb6\x08\x26\x74\x2c\x36\x6c\x85\x66\xb4\x20\x71\x9a\x6a\x82\x86\x52\x23\x45\xee\x9a\xc3\x94\x7c\xb6\xf5\x62\xeb\xd1", (void(*)(void *))&fexfn_unpack_libGL_glResetHistogram}, // libGL:glResetHistogram
  {(uint8_t*)"\x56\x8f\x5f\x5a\xfb\xcc\x62\x4e\x2a\xf5\x9d\xdb\x88\x08\x28\x67\xbc\x9c\xde\x2d\x6e\xf6\xaf\xee\x19\xc5\x96\x8d\xde\x16\x2f\x53", (void(*)(void *))&fexfn_unpack_libGL_glResetMemoryObjectParameterNV}, // libGL:glResetMemoryObjectParameterNV
  {(uint8_t*)"\x29\x0d\x9b\xd2\xbe\xa8\x4b\x12\xf3\xdc\x3a\x0b\x09\xff\x8c\xdb\xf9\x9a\xe9\xa2\x96\xee\xdc\x94\x68\x7c\x4a\x27\xe5\xc1\x09\x5a", (void(*)(void *))&fexfn_unpack_libGL_glResetMinmaxEXT}, // libGL:glResetMinmaxEXT
  {(uint8_t*)"\xaa\x9a\x56\x0d\xd6\xe9\x61\xc5\x6b\x58\x0a\xd3\x66\x2d\xa1\x64\x52\x8c\x84\x1c\x2a\x03\xc7\x60\xcf\x00\x05\xb2\x40\xf4\x0f\x76", (void(*)(void *))&fexfn_unpack_libGL_glResetMinmax}, // libGL:glResetMinmax
  {(uint8_t*)"\x9e\xf7\xf5\xf7\x32\xad\xa5\xd8\xbe\xd2\x28\x1f\x72\xfa\x53\xe6\xeb\x5b\x7e\x92\x28\x94\x12\xb6\xc7\x26\x97\x00\xf3\x81\x03\x58", (void(*)(void *))&fexfn_unpack_libGL_glResizeBuffersMESA}, // libGL:glResizeBuffersMESA
  {(uint8_t*)"\x8b\xf7\x55\xd7\xbb\x62\x35\x03\x60\x72\x9c\x79\x02\x1c\xc7\xba\xaa\x74\x3d\xfa\xaf\xca\x3f\xd5\x26\x3e\xa4\xb6\x7b\x2c\x96\x65", (void(*)(void *))&fexfn_unpack_libGL_glResolveDepthValuesNV}, // libGL:glResolveDepthValuesNV
  {(uint8_t*)"\x5a\xa5\x46\x7b\x15\x74\xc7\xce\x72\xfe\x2b\xf3\x43\xfd\xee\x38\xe5\x9c\x78\xc2\x0f\xf0\xff\x76\xe3\x9f\x24\x8c\x88\x89\x7b\xbe", (void(*)(void *))&fexfn_unpack_libGL_glResumeTransformFeedback}, // libGL:glResumeTransformFeedback
  {(uint8_t*)"\x56\x67\x3f\x79\xac\x2c\x8a\xf2\x86\x27\xa4\xbe\x9a\xac\x1b\x7e\x87\xc1\xc6\xb8\x40\x25\x48\x90\x7c\x07\x67\x51\x83\xa9\x89\x83", (void(*)(void *))&fexfn_unpack_libGL_glResumeTransformFeedbackNV}, // libGL:glResumeTransformFeedbackNV
  {(uint8_t*)"\x98\x60\x8d\x16\xd1\x0c\x67\xb3\x9b\x7b\x6f\xee\xe6\x71\xc7\xdf\x16\x4f\x36\x9b\x4b\x03\xae\xbd\xbd\xce\x79\x15\x62\x28\xf2\x21", (void(*)(void *))&fexfn_unpack_libGL_glRotated}, // libGL:glRotated
  {(uint8_t*)"\xd6\xff\x80\x2a\x2f\xce\x78\x82\xb5\x8f\x27\x3f\xdd\x0c\x32\x92\x12\x31\x4f\x68\x89\xdc\x3f\xaf\x2a\x23\xc9\x44\xba\xcb\xab\xc7", (void(*)(void *))&fexfn_unpack_libGL_glRotatef}, // libGL:glRotatef
  {(uint8_t*)"\xfc\x6a\x4d\xdd\xc5\x4e\x3a\x1e\xea\xe0\x3c\x2e\x23\x9e\x36\xc3\xed\xd2\x8d\x44\xfc\x08\x12\xb0\x4f\x04\x56\xeb\x85\xe5\x59\x97", (void(*)(void *))&fexfn_unpack_libGL_glRotatexOES}, // libGL:glRotatexOES
  {(uint8_t*)"\xfb\x94\xec\x90\x3d\xe8\x74\x55\x65\x13\x87\x4d\xaa\x54\x7c\x46\x7b\xfc\x35\xe1\x4a\x82\xbc\x9c\x83\xb4\x46\xb7\xbd\xa5\x7c\x7a", (void(*)(void *))&fexfn_unpack_libGL_glSampleCoverageARB}, // libGL:glSampleCoverageARB
  {(uint8_t*)"\x5e\x02\xd6\x6d\xaf\x0c\x18\xb3\x4a\xf7\xa6\xb6\xc9\xed\x05\xc4\xd2\xdd\xeb\x96\x47\x40\x1a\x97\x0d\x89\x40\x7b\x3c\xa9\x54\xe0", (void(*)(void *))&fexfn_unpack_libGL_glSampleCoverage}, // libGL:glSampleCoverage
  {(uint8_t*)"\x11\x3c\x2b\x41\xab\x62\x8c\xa9\x66\x10\xa5\x54\xa1\x76\x52\xa0\x03\x74\x8a\x09\x90\x0b\x1b\x41\xbc\x59\xc8\xda\xad\xd3\x3f\x87", (void(*)(void *))&fexfn_unpack_libGL_glSampleMapATI}, // libGL:glSampleMapATI
  {(uint8_t*)"\x37\xa8\xf0\x9f\xe5\x69\x64\x59\x12\xa5\x29\xef\x02\x8e\x3b\x95\x19\xf7\xbd\xd6\x6e\xef\xc0\xff\xbc\xae\xe4\x1e\x72\x9c\x81\xe8", (void(*)(void *))&fexfn_unpack_libGL_glSampleMaskEXT}, // libGL:glSampleMaskEXT
  {(uint8_t*)"\x72\xbf\x84\x55\x5a\xa6\xf4\x01\x8c\x90\x73\x2c\x2f\x8e\x61\x23\x33\x2c\xe0\x0d\x9a\xc8\x23\x77\x4c\xda\x5d\xee\x35\xbd\xec\x8b", (void(*)(void *))&fexfn_unpack_libGL_glSampleMaski}, // libGL:glSampleMaski
  {(uint8_t*)"\x7a\xae\xb8\x92\x5b\xd2\x67\xf7\x90\xa1\x07\x93\x6a\x1d\xcb\x75\xe1\xf8\x0a\x8b\x45\x79\xe0\x97\xdc\x12\x97\x0d\xa8\x2b\x73\xd8", (void(*)(void *))&fexfn_unpack_libGL_glSampleMaskIndexedNV}, // libGL:glSampleMaskIndexedNV
  {(uint8_t*)"\x3c\x39\xa9\xeb\xa8\xbd\xea\xc1\x2a\x35\xc9\x00\xaa\x76\x1d\xd3\x76\x97\xa2\x83\xa3\xa3\x07\x9b\x2b\xbd\x07\x2d\x38\xe9\xb5\x9d", (void(*)(void *))&fexfn_unpack_libGL_glSampleMaskSGIS}, // libGL:glSampleMaskSGIS
  {(uint8_t*)"\xae\xa4\xe8\x6f\x77\xa2\x10\xef\xcc\x65\xea\x38\x08\xce\x83\xc5\x7b\xa7\xfc\xe1\x20\x40\xed\xde\x97\x2e\xa6\xf3\xf4\xbf\x77\x38", (void(*)(void *))&fexfn_unpack_libGL_glSamplePatternEXT}, // libGL:glSamplePatternEXT
  {(uint8_t*)"\xd9\x7a\xee\x22\x47\x84\xdb\x15\x75\x76\xe9\x63\xdf\xf5\x91\x39\xeb\xb4\x48\xe7\xbf\x96\x8a\x19\xb4\xf6\x8e\x9e\xad\x2a\xa3\xc2", (void(*)(void *))&fexfn_unpack_libGL_glSamplePatternSGIS}, // libGL:glSamplePatternSGIS
  {(uint8_t*)"\xf2\x16\xa1\xb7\x59\x99\xad\x0e\x72\x57\x1c\x9c\x68\xf1\xbd\xb2\x11\xa4\xe7\x03\x5b\xa0\x93\xf1\x8a\x1c\xd2\x00\xa2\x30\x85\x9d", (void(*)(void *))&fexfn_unpack_libGL_glSamplerParameterf}, // libGL:glSamplerParameterf
  {(uint8_t*)"\xc8\x2a\x95\x94\x9a\x85\x93\x37\x83\x61\x4a\xc7\xbc\x16\xef\xb6\xf5\xab\x42\xe0\xc0\x4c\xaa\x51\x32\x67\x6e\xba\x1d\x50\xdf\x47", (void(*)(void *))&fexfn_unpack_libGL_glSamplerParameterfv}, // libGL:glSamplerParameterfv
  {(uint8_t*)"\xcb\x22\x92\xd1\xdf\x3e\x2c\xf2\x78\x18\x3a\x22\xc2\x65\xc5\x40\x93\x29\xcd\xa5\x38\x80\x50\x47\xb9\xe0\x5e\x44\x03\x04\x02\x76", (void(*)(void *))&fexfn_unpack_libGL_glSamplerParameteri}, // libGL:glSamplerParameteri
  {(uint8_t*)"\x55\x79\x15\x8d\x6f\xaa\xf6\x22\xad\x42\x8d\xde\xaf\x61\x5d\x51\x23\xce\xe2\x3c\xd5\x01\x53\xcc\xb1\xe4\x6b\xa1\x6b\xb7\xe2\x03", (void(*)(void *))&fexfn_unpack_libGL_glSamplerParameterIiv}, // libGL:glSamplerParameterIiv
  {(uint8_t*)"\xd0\xc9\xd4\xe1\x40\xcd\x0c\xc2\xab\x4d\x91\x6a\x0c\x96\xaa\x5f\xfb\xae\x58\x6c\xd2\xff\x43\x30\xbb\x7d\x4e\xae\x64\xcd\xa3\xb9", (void(*)(void *))&fexfn_unpack_libGL_glSamplerParameterIuiv}, // libGL:glSamplerParameterIuiv
  {(uint8_t*)"\xd2\x46\x1e\x5d\x06\x98\xde\x0d\x9d\x1b\x8d\x08\x98\x04\x2a\x7c\x0e\xef\x73\x39\x2c\x04\x5e\xa6\x39\x3c\xef\x4f\xa3\x2c\xc1\x21", (void(*)(void *))&fexfn_unpack_libGL_glSamplerParameteriv}, // libGL:glSamplerParameteriv
  {(uint8_t*)"\x71\xb5\x55\xa1\x9b\xcc\xd0\xf2\xb6\xdc\x65\x59\x9e\x9f\x91\xef\x99\xc2\x6f\x53\x16\x9d\x3e\x5e\x66\x31\x0b\x59\x0a\x33\x1e\xb2", (void(*)(void *))&fexfn_unpack_libGL_glScaled}, // libGL:glScaled
  {(uint8_t*)"\x36\x25\x7f\x8c\x36\xa6\x0d\x33\x5e\x0e\x60\x9c\xe8\x78\x1d\xc1\x0d\x78\xb8\xd2\xcc\x17\x34\x74\x5e\x91\x53\xc0\x93\xe5\xe6\xf9", (void(*)(void *))&fexfn_unpack_libGL_glScalef}, // libGL:glScalef
  {(uint8_t*)"\x13\xa8\xae\x02\x08\x21\xd3\xd0\x45\xe0\xd6\xd2\x45\xfe\x7f\xa2\x9f\xfd\x88\x8c\x91\xe0\x10\x87\x5f\x4c\x82\x2e\x92\xb9\x08\x3c", (void(*)(void *))&fexfn_unpack_libGL_glScalexOES}, // libGL:glScalexOES
  {(uint8_t*)"\x4d\x12\x85\x6e\x1a\x9d\xf7\x5d\x5a\x38\xa0\xdb\x4e\x28\xba\xbf\x60\x91\x74\xb7\x0d\xd0\x69\x1e\xe0\x10\xa4\x16\xfc\x1a\x62\x72", (void(*)(void *))&fexfn_unpack_libGL_glScissorArrayv}, // libGL:glScissorArrayv
  {(uint8_t*)"\xb2\x1f\x44\xfd\x81\x06\x99\x24\x05\x11\x96\xa9\x93\x0e\xde\x8a\x1a\x9f\xe1\xbe\xcb\xba\x38\xdd\x1f\x9a\x96\x9c\xb2\x85\x73\x98", (void(*)(void *))&fexfn_unpack_libGL_glScissorExclusiveArrayvNV}, // libGL:glScissorExclusiveArrayvNV
  {(uint8_t*)"\x5a\x6e\x05\x08\x65\xfc\x2e\x54\x67\xd6\xc3\x9d\xe6\x2a\x86\xc4\x0e\x05\xf2\x29\xcf\x31\x82\x19\x4c\x15\xf5\x79\xbf\x27\xed\x25", (void(*)(void *))&fexfn_unpack_libGL_glScissorExclusiveNV}, // libGL:glScissorExclusiveNV
  {(uint8_t*)"\xeb\xbb\xd6\xb7\x11\x04\x79\x34\x79\x71\x23\xee\xd8\x85\x86\xc7\x8d\x8b\x15\x20\x3f\xa4\x6e\x53\xf1\x4a\x60\xcb\xb5\x94\xd6\x97", (void(*)(void *))&fexfn_unpack_libGL_glScissor}, // libGL:glScissor
  {(uint8_t*)"\xbb\xaa\x36\xca\x0c\xb7\xe0\x4e\x54\x9d\xe5\x37\xd8\xa5\xa5\x96\x98\x18\xb7\xa7\x04\x08\x82\xf7\x89\xcf\x33\x86\xaa\x88\x5a\x56", (void(*)(void *))&fexfn_unpack_libGL_glScissorIndexed}, // libGL:glScissorIndexed
  {(uint8_t*)"\x61\xd3\x42\xf6\xdb\x53\x75\x32\x54\xe9\xad\xa6\xbc\xa2\x7a\xfb\xcb\x91\x5f\x26\x2e\x38\x7c\x5c\x2a\x7f\x85\x0e\xcf\x32\x39\x77", (void(*)(void *))&fexfn_unpack_libGL_glScissorIndexedv}, // libGL:glScissorIndexedv
  {(uint8_t*)"\xd5\x5b\x8e\xc6\x0d\x1f\x70\xd7\x5a\x7c\x85\x47\x14\x82\x82\xe1\x1a\x6b\xe3\x5a\x84\xfb\x96\x33\xf4\x84\x84\x92\xd9\xf9\x75\x05", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3bEXT}, // libGL:glSecondaryColor3bEXT
  {(uint8_t*)"\xef\x56\xa7\x7c\x3a\x3c\x09\x62\xcc\xfd\xcf\x76\xc0\x58\x77\xcb\x5a\xba\x9f\xcd\x85\x4d\x7c\xdc\xc5\xba\xc5\xe8\xe0\xd8\xaa\x94", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3bvEXT}, // libGL:glSecondaryColor3bvEXT
  {(uint8_t*)"\x7c\x8c\x95\x9d\xb4\xc9\x07\x16\x48\xeb\x8c\x0e\x95\x28\x2d\xf7\x8a\x1d\xf8\xaa\xfe\x69\x6f\x7a\x75\x00\x71\x74\x51\x6b\x2b\x71", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3dEXT}, // libGL:glSecondaryColor3dEXT
  {(uint8_t*)"\xe5\x31\x02\xc6\x7b\x57\x2e\x98\xf4\x33\x95\xd9\xa0\x03\x73\xdf\x25\xff\x8c\xd6\xf5\xd0\xc8\x1d\xfe\x07\xda\xd0\xcc\x65\x6e\x86", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3dvEXT}, // libGL:glSecondaryColor3dvEXT
  {(uint8_t*)"\x1d\x23\x4a\xf7\x58\xac\x02\x06\xfb\x2d\xcf\x67\x08\x94\x71\x3a\xda\xae\x67\x4e\x66\xcf\x03\x32\x60\x22\x8b\x2b\xe7\xff\x35\x83", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3fEXT}, // libGL:glSecondaryColor3fEXT
  {(uint8_t*)"\x75\x22\x02\xcb\x6d\xbe\xf2\xf4\xb8\x36\xc3\xf6\xcc\xc0\xf5\xfb\xb7\x04\x66\x44\x06\xc2\xf7\xad\x02\x26\x5c\x48\xe5\x74\xab\xa9", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3fvEXT}, // libGL:glSecondaryColor3fvEXT
  {(uint8_t*)"\xbb\xb8\x6f\x2c\x82\x20\xc4\x12\xdf\xac\xcf\xa1\xf7\xaf\xb9\x1d\x76\x7f\x7f\x7a\x73\x5b\x89\x66\x12\x5f\x6c\x39\x7c\xe9\xc2\xd6", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3hNV}, // libGL:glSecondaryColor3hNV
  {(uint8_t*)"\x8f\x9d\xc4\xec\x8e\x92\xda\x1a\xcd\x42\xb4\xdd\x21\xbc\xf4\xbc\x41\x99\x95\x63\x5e\x4a\x99\x09\x93\x6a\x14\x67\x23\x78\x2b\x88", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3hvNV}, // libGL:glSecondaryColor3hvNV
  {(uint8_t*)"\x0f\x8c\x45\xdc\x86\x4e\xa1\xed\x21\xd7\x85\x3d\x4a\x73\xf3\x87\x0b\x25\x83\x4a\xd0\x09\xe0\x44\xd8\x8d\x36\x16\x25\x38\x6b\x8f", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3iEXT}, // libGL:glSecondaryColor3iEXT
  {(uint8_t*)"\x96\x44\xe7\x7c\xd9\x7f\xd5\xcf\xc8\x40\x35\x68\x92\x5a\x3b\x25\x61\x3e\x59\x9c\x86\x07\x7f\xa2\xef\x24\xf8\xdc\x5e\x6b\xf3\x4a", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3ivEXT}, // libGL:glSecondaryColor3ivEXT
  {(uint8_t*)"\x69\x46\x2e\x40\x26\x34\x3e\xcc\x3b\xe3\x09\x27\x99\xed\xb0\x49\x15\x35\x2c\xd0\xf4\xf3\x01\xb6\xee\x45\x02\x14\x9a\xd4\x24\x72", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3sEXT}, // libGL:glSecondaryColor3sEXT
  {(uint8_t*)"\x39\xc0\x6e\xf5\x42\x4c\x6f\xbe\xaa\x62\x61\xf3\x52\x39\xec\x6d\xf0\x6c\x37\x08\x53\x5b\x96\xea\xf3\x62\x68\xd9\xf1\xa7\x06\x89", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3svEXT}, // libGL:glSecondaryColor3svEXT
  {(uint8_t*)"\x4c\x11\x1a\x0a\xfb\x66\xfe\xeb\x5b\xaa\xd4\xed\x4c\xaf\x89\xe9\x40\xc4\xbe\xaa\x35\xdb\x91\x5c\x43\x18\x15\x7c\xf6\x9a\x23\x25", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3ubEXT}, // libGL:glSecondaryColor3ubEXT
  {(uint8_t*)"\x0c\x6d\xb8\x5c\xb0\xe9\x91\xf6\xc1\xda\x03\xc0\x73\x62\xbc\x90\xd2\xd8\x64\x0f\x8d\xe9\x69\xa2\xf5\xa7\x47\x4e\x4a\xa0\xdb\x54", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3ubvEXT}, // libGL:glSecondaryColor3ubvEXT
  {(uint8_t*)"\xfd\x18\xbd\x78\xf5\x86\x78\x31\xa3\xe2\xd6\x5b\x67\xd0\xb4\x26\x05\xff\x6f\x83\x4f\xae\x85\x85\x23\x69\x47\x84\x7f\xe1\x74\x9f", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3uiEXT}, // libGL:glSecondaryColor3uiEXT
  {(uint8_t*)"\x92\xb6\x00\x8d\x32\x96\x0a\x86\x89\x5e\xd6\x8a\xff\x16\xd9\x53\x91\xf7\x02\x3d\xa4\xa3\x2e\x3c\xee\x26\x8b\xa7\x0b\x4d\x6f\x5b", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3uivEXT}, // libGL:glSecondaryColor3uivEXT
  {(uint8_t*)"\x8c\x05\xa4\x0e\x9d\x15\x39\x00\x07\xbd\x21\x80\x6a\xd8\xf4\x8c\x4d\x38\x63\xc6\x0c\x31\xe0\xbc\x7d\xa9\x64\x20\xfb\x0c\x28\x3c", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3usEXT}, // libGL:glSecondaryColor3usEXT
  {(uint8_t*)"\xf9\x99\xbc\x42\x16\x3c\x49\x21\x7c\x71\x5c\x5b\x4d\xb7\xaf\x14\xab\xd7\x47\xb1\xef\x4d\x18\x5a\x2b\x72\xd0\x76\xff\xb5\x50\xdb", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColor3usvEXT}, // libGL:glSecondaryColor3usvEXT
  {(uint8_t*)"\xf8\x9f\x6c\x18\x87\x24\xbb\x49\xcd\x2c\xa5\xd6\x7b\xaf\x20\x4e\x67\xe4\xb2\x32\x0e\x9b\x1e\xbb\x09\xac\x83\xdc\x05\xb4\xc8\x0d", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColorFormatNV}, // libGL:glSecondaryColorFormatNV
  {(uint8_t*)"\x62\x11\x7c\x50\xcf\xa6\xe1\x6e\x5c\xaf\x8b\x13\xe0\x96\x17\x11\xa6\x1f\xc3\x7e\x5c\x48\x75\x5b\x22\x7a\x97\x01\x99\x53\x93\xdc", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColorPointerEXT}, // libGL:glSecondaryColorPointerEXT
  {(uint8_t*)"\x07\xbe\x57\x9e\x54\x47\xa4\x7a\x36\xfb\x2f\xcb\xd7\x8f\x10\x87\xfa\x1b\x55\xbe\x3f\x78\x11\xb9\xdb\xbf\x8d\x5a\xb4\x1c\x29\xe3", (void(*)(void *))&fexfn_unpack_libGL_glSecondaryColorPointerListIBM}, // libGL:glSecondaryColorPointerListIBM
  {(uint8_t*)"\xb7\xcd\x59\xd2\xb6\x28\x46\x4d\xd8\x1f\x3b\x89\x65\x4e\xde\x74\xff\xe2\xa7\xff\xcb\xff\x1f\x02\xe0\x4e\x76\x53\xea\x72\xf1\xf6", (void(*)(void *))&fexfn_unpack_libGL_glSelectBuffer}, // libGL:glSelectBuffer
  {(uint8_t*)"\x0e\xe3\xba\xa8\x1d\xae\x94\xa2\x46\x08\xf1\x07\x14\xe5\xe2\xc3\x64\xe3\xf0\xed\x73\x9f\xfc\x6d\x7e\xd2\x6f\x01\x82\x30\x05\xd8", (void(*)(void *))&fexfn_unpack_libGL_glSelectPerfMonitorCountersAMD}, // libGL:glSelectPerfMonitorCountersAMD
  {(uint8_t*)"\xaf\x79\x8e\x6d\x67\xc0\x36\x7c\xd3\x0d\x39\xa0\xde\x99\xa4\xfd\x7b\x8b\x4a\x41\x0e\xfe\x07\x52\xe8\xb6\x28\xee\x9e\xd9\x20\x21", (void(*)(void *))&fexfn_unpack_libGL_glSemaphoreParameterui64vEXT}, // libGL:glSemaphoreParameterui64vEXT
  {(uint8_t*)"\x9f\xf3\x3b\x4d\x0d\x80\x87\x49\x71\xe7\xed\xca\x04\x5c\xc8\x83\x1d\x25\xc6\xb3\xc9\x6e\xac\xe3\x2a\xba\x6d\x3b\xe5\xde\xcf\x8d", (void(*)(void *))&fexfn_unpack_libGL_glSeparableFilter2DEXT}, // libGL:glSeparableFilter2DEXT
  {(uint8_t*)"\x2b\xdc\x3f\xf2\xab\x5b\x31\xd2\x8c\x4c\x5e\xf9\x1f\xf2\xd0\xd0\xc7\x2e\xf1\x3a\xc8\xab\x18\xe2\xdc\xb4\xd5\xbb\xc7\x17\xe4\x32", (void(*)(void *))&fexfn_unpack_libGL_glSeparableFilter2D}, // libGL:glSeparableFilter2D
  {(uint8_t*)"\x65\x43\x4c\x2b\x99\x3a\x4e\x86\x9c\xb1\xbc\x34\xa6\x78\xfe\xa7\x20\x92\xfb\x0f\x57\x68\xa1\x35\x3c\x49\xb6\x3b\x9c\xee\x2f\x13", (void(*)(void *))&fexfn_unpack_libGL_glSetFenceAPPLE}, // libGL:glSetFenceAPPLE
  {(uint8_t*)"\x4b\xbd\x3a\xf3\x0e\x71\xa7\xb3\xbe\x53\x88\x14\x42\x22\x36\x13\xc2\xf8\xd3\x84\x55\x7b\xc0\xdf\xa3\x1c\x01\x6c\x21\xe4\x56\x3a", (void(*)(void *))&fexfn_unpack_libGL_glSetFenceNV}, // libGL:glSetFenceNV
  {(uint8_t*)"\x7c\xec\x3d\x71\xd8\x3c\xc1\x32\xe1\xc6\xa6\xa5\x89\x12\x6e\xda\xfa\x09\x1b\x0b\xf4\xab\x25\xeb\x3c\x7e\xb0\x9c\x44\xa1\xae\x39", (void(*)(void *))&fexfn_unpack_libGL_glSetFragmentShaderConstantATI}, // libGL:glSetFragmentShaderConstantATI
  {(uint8_t*)"\xcb\x57\x7b\x53\x3d\x46\x05\xe6\xf6\xfa\x09\x11\x8b\xdf\x5e\x5a\xc0\x70\x1f\x26\xe7\x9c\xfe\xfb\xe7\x96\xaf\xc4\x34\xc6\xe4\x1d", (void(*)(void *))&fexfn_unpack_libGL_glSetInvariantEXT}, // libGL:glSetInvariantEXT
  {(uint8_t*)"\x33\x81\x3b\xef\x25\x50\xe5\xe6\x84\x82\x50\x3c\x2a\xf2\xce\x9a\x53\xdf\x0e\xb0\x56\xe9\x85\xcd\xe0\x79\xb5\xfa\x6a\x8f\xeb\x57", (void(*)(void *))&fexfn_unpack_libGL_glSetLocalConstantEXT}, // libGL:glSetLocalConstantEXT
  {(uint8_t*)"\x63\xfe\xce\x0e\x87\xe0\x0f\x1f\xf9\xdd\xec\x21\xf2\x48\x8a\xa2\xd3\x8e\x8b\x07\xe2\xcc\x61\xe5\x46\x7d\x45\x80\xf2\xe7\x64\xd1", (void(*)(void *))&fexfn_unpack_libGL_glSetMultisamplefvAMD}, // libGL:glSetMultisamplefvAMD
  {(uint8_t*)"\x77\xbf\x28\xec\xe0\x02\x7a\x71\xc1\xa7\x89\x3c\x4d\x19\x5e\xaa\x5e\x4c\x83\x81\x9d\x51\xcb\x14\x13\xc5\xb6\x2c\x7d\x33\x11\x6b", (void(*)(void *))&fexfn_unpack_libGL_glShadeModel}, // libGL:glShadeModel
  {(uint8_t*)"\x63\x47\x05\x47\x56\xec\xce\x2d\x9b\x7a\xce\x83\xfc\x67\x2e\x2b\xc3\xea\x31\x00\x0b\x33\xec\x6a\xd2\x40\xf2\xe2\x09\x92\xff\x97", (void(*)(void *))&fexfn_unpack_libGL_glShaderBinary}, // libGL:glShaderBinary
  {(uint8_t*)"\x06\x09\x8b\x4b\xe6\xe3\x4c\xcf\x81\x1b\x2b\x06\x68\xb0\x5a\x9b\x46\xe3\xf1\xea\xa6\xd5\x20\xb7\x52\x61\xfa\x0e\x67\x26\x5d\x35", (void(*)(void *))&fexfn_unpack_libGL_glShaderOp1EXT}, // libGL:glShaderOp1EXT
  {(uint8_t*)"\xd9\x1c\x9b\xc4\x1a\xa0\x46\x68\xae\x93\x3c\x83\x38\x05\xd9\x64\x35\x01\x7a\x3b\x76\x5b\x18\x54\xe1\x04\x18\x79\xfb\xac\xc7\x4b", (void(*)(void *))&fexfn_unpack_libGL_glShaderOp2EXT}, // libGL:glShaderOp2EXT
  {(uint8_t*)"\x09\xb9\x69\x64\x97\x1e\xcf\x9a\x11\x57\x8e\x81\x4b\x43\xd5\x3c\xc6\xfa\xbf\xc4\x7f\x44\x36\x05\xf6\xf6\x2d\x1b\x63\x01\x2c\x28", (void(*)(void *))&fexfn_unpack_libGL_glShaderOp3EXT}, // libGL:glShaderOp3EXT
  {(uint8_t*)"\xc8\x5c\x48\x21\x00\x98\x21\x4b\xab\x79\xf2\xef\xc4\xad\x22\x37\x2e\x55\x79\x12\x5b\x2e\x36\x93\xfa\x6d\x7d\x58\x65\xc6\xe6\xbf", (void(*)(void *))&fexfn_unpack_libGL_glShaderSource}, // libGL:glShaderSource
  {(uint8_t*)"\xd0\x7f\x79\xa2\x7b\x88\x12\xe8\x3e\xfb\xec\x54\x0c\x26\x07\x29\x39\xda\x2d\xd3\x03\x08\x73\x7b\xc6\xfa\x9d\xf1\x24\x39\x4a\x70", (void(*)(void *))&fexfn_unpack_libGL_glShaderSourceARB}, // libGL:glShaderSourceARB
  {(uint8_t*)"\xff\x51\xac\x20\xf3\x8c\x83\xdc\x85\x89\x7c\x65\x85\x43\xbf\xea\x00\x09\x6b\x92\x16\x9e\xaf\x5d\x83\xca\xcc\xcf\xc1\x4e\x8d\x23", (void(*)(void *))&fexfn_unpack_libGL_glShaderStorageBlockBinding}, // libGL:glShaderStorageBlockBinding
  {(uint8_t*)"\x11\xf8\x34\xd7\x2d\x49\x34\x14\xfa\x4c\x24\xac\x7c\xdf\x68\x16\x5f\x13\xf7\xa1\x94\x77\x81\xeb\x7c\x00\xfa\xf7\x3a\x69\x16\x48", (void(*)(void *))&fexfn_unpack_libGL_glShadingRateImageBarrierNV}, // libGL:glShadingRateImageBarrierNV
  {(uint8_t*)"\xd7\x25\xfa\xdf\xf3\x43\x22\x47\x9d\x29\x41\x52\xe2\xbb\xa1\xd7\x63\x98\x61\x5e\x33\x00\x31\x9e\x18\x21\xb7\xb4\x32\x60\x46\xbd", (void(*)(void *))&fexfn_unpack_libGL_glShadingRateImagePaletteNV}, // libGL:glShadingRateImagePaletteNV
  {(uint8_t*)"\xbd\x64\x51\xd6\xdb\xc2\xcb\xcd\xa7\xa5\x53\xea\xf8\x8f\xc1\x3b\x57\xf3\x08\xcb\x97\x20\x57\x79\x9e\x01\xa5\x6b\xa4\x44\x9a\x7f", (void(*)(void *))&fexfn_unpack_libGL_glShadingRateSampleOrderCustomNV}, // libGL:glShadingRateSampleOrderCustomNV
  {(uint8_t*)"\xbc\x8b\x03\xdd\x00\xd6\xbc\xf3\xc5\xa7\xb4\xfe\x64\xad\x83\x90\x42\x53\xed\x55\x1a\x4d\x5e\xf8\x60\xf0\x67\x46\x8e\xa5\x5c\x2a", (void(*)(void *))&fexfn_unpack_libGL_glShadingRateSampleOrderNV}, // libGL:glShadingRateSampleOrderNV
  {(uint8_t*)"\xff\x61\x65\xe0\x77\x5b\x15\x53\x8f\x88\xb3\xd5\x86\x8c\xe5\x2e\xd9\x25\xb3\x0c\xf8\xeb\x0a\x04\x7d\x7c\x0b\xaf\x10\x81\x78\xbd", (void(*)(void *))&fexfn_unpack_libGL_glSharpenTexFuncSGIS}, // libGL:glSharpenTexFuncSGIS
  {(uint8_t*)"\xcb\xb0\x1d\x30\xc3\x4d\xe9\x62\xe7\x19\x7f\x11\x1e\xc3\x9a\xa6\x60\x94\xe5\x24\xfc\xf9\x0a\x0c\xa4\xb9\x08\xfa\x99\xda\xd1\x7a", (void(*)(void *))&fexfn_unpack_libGL_glSignalSemaphoreEXT}, // libGL:glSignalSemaphoreEXT
  {(uint8_t*)"\x09\xf0\xc1\x65\xfa\x9d\xce\x46\x54\x19\xed\x52\xa8\x0a\xfa\xe4\x0a\xa4\x40\x9e\x67\x0b\x61\xdd\xd9\xb8\x94\x95\xac\x2f\xea\x14", (void(*)(void *))&fexfn_unpack_libGL_glSignalSemaphoreui64NVX}, // libGL:glSignalSemaphoreui64NVX
  {(uint8_t*)"\xa3\xa1\x30\x79\xed\x94\xd3\x0c\xb5\xb8\x3e\xaa\x88\x85\xf3\x70\x4a\xbe\x2b\x35\x2a\x5c\x3f\xc5\xe0\x5a\x1a\xd0\x03\xf3\x4b\x75", (void(*)(void *))&fexfn_unpack_libGL_glSignalVkFenceNV}, // libGL:glSignalVkFenceNV
  {(uint8_t*)"\x0c\x18\x8e\x21\xc6\x4c\xe7\x5d\xc3\x01\xe2\x04\x52\x5f\x35\xae\xfc\xeb\x7d\x5e\x32\xc4\xb7\xd5\x4c\xb2\x87\xdf\x76\xc8\x0a\x09", (void(*)(void *))&fexfn_unpack_libGL_glSignalVkSemaphoreNV}, // libGL:glSignalVkSemaphoreNV
  {(uint8_t*)"\xb8\x03\x5f\xb7\xf9\xae\xb9\xf1\xbd\x20\x5f\xc1\x96\x30\x27\x63\xd2\x21\xb3\x7c\xbd\xcd\xc2\x8e\x88\xb4\x52\x52\x00\xf8\x45\x48", (void(*)(void *))&fexfn_unpack_libGL_glSpecializeShaderARB}, // libGL:glSpecializeShaderARB
  {(uint8_t*)"\x2e\x31\x69\x19\x02\xb8\x07\xa4\x76\x08\xc3\xec\x0a\x4a\xf5\x40\x7a\x49\x0f\x36\x6c\xf1\x3b\x45\x3b\xe2\x9e\xe6\x2e\x28\x38\x43", (void(*)(void *))&fexfn_unpack_libGL_glSpecializeShader}, // libGL:glSpecializeShader
  {(uint8_t*)"\x9d\x41\x4b\x8f\xd2\x88\x77\x8d\x1e\xbc\x44\xb7\x38\x65\xfa\x2c\x78\x34\xa9\xe2\xb1\xc5\xb5\xca\x78\x8e\xce\x1f\xc4\x70\x2d\xd8", (void(*)(void *))&fexfn_unpack_libGL_glSpriteParameterfSGIX}, // libGL:glSpriteParameterfSGIX
  {(uint8_t*)"\xd6\x68\xbf\x1e\xa9\x9c\x14\x7b\x6a\x91\xb5\xe5\x64\xbb\x1a\x7d\x8b\x55\x16\xb0\x6a\x70\xb6\xe6\xd2\x76\x7a\xcf\x2c\x77\xf2\xa8", (void(*)(void *))&fexfn_unpack_libGL_glSpriteParameterfvSGIX}, // libGL:glSpriteParameterfvSGIX
  {(uint8_t*)"\x83\x10\xe7\xf2\x8f\x20\x57\x51\xf7\x5c\xbb\x29\x7c\x3d\x76\x5c\x33\x34\xcc\x0d\x0e\xeb\x76\x49\x67\xf8\x5f\x2c\x80\x54\x94\xfb", (void(*)(void *))&fexfn_unpack_libGL_glSpriteParameteriSGIX}, // libGL:glSpriteParameteriSGIX
  {(uint8_t*)"\x09\x97\xf3\xd6\x8b\x15\xc4\x72\xc6\x9e\xb5\x3b\x36\x20\x66\x71\x79\x65\x81\x86\xe7\x92\x44\xab\x24\x81\xc1\x98\x3d\x7f\x32\xe2", (void(*)(void *))&fexfn_unpack_libGL_glSpriteParameterivSGIX}, // libGL:glSpriteParameterivSGIX
  {(uint8_t*)"\x97\x4d\xb4\x55\x6e\x2b\x88\x78\x2d\x53\x56\x4f\x04\x3f\xb5\x37\x0b\x84\xbb\xa4\x73\xca\x46\x95\xc9\xc2\x18\xd5\x8e\xb8\x34\x51", (void(*)(void *))&fexfn_unpack_libGL_glStartInstrumentsSGIX}, // libGL:glStartInstrumentsSGIX
  {(uint8_t*)"\xa5\x46\x49\x86\x91\xc9\x8f\xa1\x68\xea\x07\x8a\xc2\x18\x53\xc5\x9b\x92\xb5\xe5\x65\x60\x70\x49\x49\xd4\x03\xce\xde\xad\x8a\x82", (void(*)(void *))&fexfn_unpack_libGL_glStateCaptureNV}, // libGL:glStateCaptureNV
  {(uint8_t*)"\xea\x56\xbb\x83\xa6\xa7\x29\xb7\xc2\x3f\xbc\xa3\x91\xb7\xfb\xc2\x79\xf7\x34\x84\x99\x83\x38\x72\x55\x65\x70\x5b\xda\x78\xc6\x71", (void(*)(void *))&fexfn_unpack_libGL_glStencilClearTagEXT}, // libGL:glStencilClearTagEXT
  {(uint8_t*)"\x11\x7d\xb9\xc3\xaf\xfe\xe2\xc3\x49\x65\x0d\x31\xe8\x86\x3f\x1d\x6c\x3a\xf1\x95\x44\xae\x2d\x7e\xa5\x1d\xe0\x49\x45\xa1\x62\x92", (void(*)(void *))&fexfn_unpack_libGL_glStencilFillPathInstancedNV}, // libGL:glStencilFillPathInstancedNV
  {(uint8_t*)"\xb3\x51\x33\x4a\xca\x07\x7b\x50\x71\x35\x02\x9a\xd9\xa6\x47\xe5\x9d\x31\x19\x5a\xd8\xd3\x96\x63\xc8\x75\xbb\xbb\xb4\xaa\x62\x1b", (void(*)(void *))&fexfn_unpack_libGL_glStencilFillPathNV}, // libGL:glStencilFillPathNV
  {(uint8_t*)"\x3e\xf2\x7a\x27\xc6\x39\x3b\x7c\xf0\x12\x14\x52\x1e\xe8\xdb\xf5\x90\x25\x57\xaf\xf7\xf7\x3c\xb9\xcb\xe9\x9e\xef\x90\xc9\x46\xb2", (void(*)(void *))&fexfn_unpack_libGL_glStencilFunc}, // libGL:glStencilFunc
  {(uint8_t*)"\x99\x1f\x9f\x8e\xdc\x7d\x5a\x45\xb0\x71\xdf\x95\xd7\xf9\x4a\xe5\xf8\xb0\xc9\x0a\x47\x9f\x82\x35\x0f\x86\x5f\x6a\x6e\xf0\xf1\x61", (void(*)(void *))&fexfn_unpack_libGL_glStencilFuncSeparateATI}, // libGL:glStencilFuncSeparateATI
  {(uint8_t*)"\xfe\x8c\x59\x24\xc9\x82\xa2\xd0\xbd\x03\x69\xf2\xa9\x1c\xa8\x51\x49\xe6\xf6\xef\x80\xd6\x85\x09\xd3\xa7\x10\xb4\x06\xf3\xb4\xbe", (void(*)(void *))&fexfn_unpack_libGL_glStencilFuncSeparate}, // libGL:glStencilFuncSeparate
  {(uint8_t*)"\xb2\xd9\xcc\xd7\x4e\x5b\x33\x6a\x4a\x9c\xd3\xd8\x7a\x5f\xa8\xce\x9f\x4e\x45\xe6\xe4\x32\xaa\xa3\xdc\x16\x61\x78\x3c\xdc\xfa\x0e", (void(*)(void *))&fexfn_unpack_libGL_glStencilMask}, // libGL:glStencilMask
  {(uint8_t*)"\x7f\x96\xcb\x7f\x7d\x50\x4d\xa2\x99\xb0\x80\xff\xf4\xa6\x3a\x0e\x88\xa1\x8b\xf2\x88\xeb\x99\x94\x5b\xd9\xe7\x5e\xe7\x37\x76\xd5", (void(*)(void *))&fexfn_unpack_libGL_glStencilMaskSeparate}, // libGL:glStencilMaskSeparate
  {(uint8_t*)"\xb5\x2e\xd2\x75\x68\x6e\xf2\x04\x4d\x58\xdf\x87\xa8\x34\x28\x79\x9c\xa5\xc3\xa1\x3f\xdf\xf6\x2f\x40\x94\xae\x71\xcb\xb7\xb9\x71", (void(*)(void *))&fexfn_unpack_libGL_glStencilOp}, // libGL:glStencilOp
  {(uint8_t*)"\xf0\x86\x18\xe7\xa9\x81\xc0\x0e\xeb\x65\xe8\x0c\xe6\xed\x8d\x20\x62\x89\x1d\x2a\x63\x05\x80\xdc\xef\xdb\x5f\x77\x5f\x49\xcd\xe2", (void(*)(void *))&fexfn_unpack_libGL_glStencilOpSeparateATI}, // libGL:glStencilOpSeparateATI
  {(uint8_t*)"\x64\xbe\x58\x1f\xa8\x69\x41\x52\x49\x8e\x06\xad\xce\x5b\xf0\xd0\xbd\x8d\x05\x61\xfd\x5d\x10\x96\x72\xf9\xf0\xc1\xad\x3a\x5b\x4c", (void(*)(void *))&fexfn_unpack_libGL_glStencilOpSeparate}, // libGL:glStencilOpSeparate
  {(uint8_t*)"\x00\x1b\x28\xca\x55\xed\x31\xbc\x2c\x11\x4c\x60\xab\x51\x8a\x05\x83\x5b\x67\x4d\xce\x1b\x63\xff\x69\x77\x4f\x3b\xd5\xf1\xe9\xf2", (void(*)(void *))&fexfn_unpack_libGL_glStencilOpValueAMD}, // libGL:glStencilOpValueAMD
  {(uint8_t*)"\x4b\x3f\x3a\x26\xb1\xb5\xb0\x4a\x80\x77\x4d\xb6\x29\xf8\x38\x50\xd0\xdc\x36\x9e\x52\x6c\x02\x48\x08\x76\x64\x5b\xed\x23\x98\xfd", (void(*)(void *))&fexfn_unpack_libGL_glStencilStrokePathInstancedNV}, // libGL:glStencilStrokePathInstancedNV
  {(uint8_t*)"\x79\x87\x8b\xe9\x4d\x57\x37\x4a\x69\x76\x35\xe9\xf7\x17\x86\x40\x4c\x27\x77\xdd\xa4\x9f\xb1\x5b\x26\x30\x3b\x1e\xc9\xb3\x53\x29", (void(*)(void *))&fexfn_unpack_libGL_glStencilStrokePathNV}, // libGL:glStencilStrokePathNV
  {(uint8_t*)"\x9b\x40\xbc\x8f\x18\xcb\x07\x87\x63\x3d\x43\x03\xc8\x8e\x97\x47\x72\xd9\xc9\xd4\x20\xab\xa3\x74\x27\x32\x6f\xdd\x01\xf7\x76\x24", (void(*)(void *))&fexfn_unpack_libGL_glStencilThenCoverFillPathInstancedNV}, // libGL:glStencilThenCoverFillPathInstancedNV
  {(uint8_t*)"\xf2\x3f\x6f\x41\x62\x27\xb0\xe9\x8e\xc0\x54\x53\x63\xff\x36\xaf\x01\xf4\x5b\xb1\x73\xd1\x51\x32\x08\x9f\xc9\x28\x3b\x1d\x77\x32", (void(*)(void *))&fexfn_unpack_libGL_glStencilThenCoverFillPathNV}, // libGL:glStencilThenCoverFillPathNV
  {(uint8_t*)"\xf0\x68\xa8\x68\x69\xc3\xb4\x37\x14\xd9\x78\xed\xf0\x35\xd7\xbb\xa7\xe1\xef\x85\xaf\xff\x30\x68\x3f\x8d\x56\xa5\x78\xba\xb6\x2c", (void(*)(void *))&fexfn_unpack_libGL_glStencilThenCoverStrokePathInstancedNV}, // libGL:glStencilThenCoverStrokePathInstancedNV
  {(uint8_t*)"\xaa\xd1\xd7\x62\x57\x75\x51\xf1\x99\x89\x8b\xb2\x21\x6c\x28\xe1\x62\x1d\x48\xaa\xd8\xac\xa3\xb1\xa4\x82\x3f\x02\x96\x76\x1f\xc4", (void(*)(void *))&fexfn_unpack_libGL_glStencilThenCoverStrokePathNV}, // libGL:glStencilThenCoverStrokePathNV
  {(uint8_t*)"\x8d\x04\x2c\xf1\x5d\x9c\xc8\x6d\x68\x33\x12\xa2\x04\xc1\x74\x1a\xed\xea\xda\x28\x8d\x25\xa6\xe7\x36\xae\x90\x0a\x25\x94\x8f\x9c", (void(*)(void *))&fexfn_unpack_libGL_glStopInstrumentsSGIX}, // libGL:glStopInstrumentsSGIX
  {(uint8_t*)"\x51\xb8\x10\x3e\x8a\xbd\x15\x6b\x43\xa0\x48\x80\x15\x63\x45\x1f\x0f\xa3\x9a\x8e\xed\x60\xfd\x35\x61\x6c\xc8\xe4\x1c\xb3\x31\x86", (void(*)(void *))&fexfn_unpack_libGL_glStringMarkerGREMEDY}, // libGL:glStringMarkerGREMEDY
  {(uint8_t*)"\xd3\x4f\x91\x21\x4c\x5f\xe5\x53\xc4\xc0\x1f\xc7\x19\x8a\x28\x48\x4d\xce\x7e\x94\xf6\x6d\xfd\x42\xc7\x56\x4d\x73\xc7\x94\x0f\xb0", (void(*)(void *))&fexfn_unpack_libGL_glSubpixelPrecisionBiasNV}, // libGL:glSubpixelPrecisionBiasNV
  {(uint8_t*)"\xb6\xb8\x0c\x73\xfa\x96\xb2\xe9\x8e\x02\x26\x25\xd4\x6d\x9b\x1c\xf4\xb0\x16\x06\x75\x19\x29\x4a\x00\x3d\x52\x30\x13\x47\x2b\x6d", (void(*)(void *))&fexfn_unpack_libGL_glSwizzleEXT}, // libGL:glSwizzleEXT
  {(uint8_t*)"\xeb\xe3\xf2\xed\xf1\x1a\x6e\x38\xff\x48\xcc\x63\x32\x5e\x32\x74\x37\x27\xb6\xcf\x7a\xdf\x8b\x2d\x0b\x5c\xa6\x7b\x20\x39\xc1\x6a", (void(*)(void *))&fexfn_unpack_libGL_glSyncTextureINTEL}, // libGL:glSyncTextureINTEL
  {(uint8_t*)"\x1a\x36\xdd\x6b\xaf\x1f\x4f\x93\xa7\x15\xfc\x81\x51\x8d\x19\x20\x1c\x71\x6e\x0c\x2f\x71\xe4\x2f\x83\xd8\x87\x28\xa4\x4a\x62\x79", (void(*)(void *))&fexfn_unpack_libGL_glTagSampleBufferSGIX}, // libGL:glTagSampleBufferSGIX
  {(uint8_t*)"\xff\xee\xd3\xf6\x8b\xad\x09\xd6\x9f\x8a\x11\x44\xc7\x59\xc0\xb1\x9c\x9f\xd1\x19\xf7\x72\x4d\x0c\xae\x61\x63\x3a\xc3\x41\x69\x08", (void(*)(void *))&fexfn_unpack_libGL_glTangent3bEXT}, // libGL:glTangent3bEXT
  {(uint8_t*)"\xd4\xa0\x73\x50\xbf\xb1\xc9\x9a\xf1\xbe\xc2\xdf\x1e\xa1\xd1\x83\x06\x16\x2a\xbd\x71\xb2\x7f\x32\xe2\x3f\xa5\xcf\x9d\xdf\x03\x9d", (void(*)(void *))&fexfn_unpack_libGL_glTangent3bvEXT}, // libGL:glTangent3bvEXT
  {(uint8_t*)"\x06\x37\xa2\x20\x14\x42\x72\x32\xf5\xc1\x7a\x65\x34\x64\x85\x5f\x3d\x6e\x23\x45\x59\x5d\x00\xac\x89\x8b\xcd\xb4\x70\xfe\x3e\x32", (void(*)(void *))&fexfn_unpack_libGL_glTangent3dEXT}, // libGL:glTangent3dEXT
  {(uint8_t*)"\x10\xd1\x6b\x3f\xb1\xd4\x3f\x8d\x39\xfa\xe9\xbb\x58\x98\x18\x93\xc2\x82\x13\x86\xe1\x7a\x5e\xa3\x7c\x07\x55\x70\xfd\x4a\x9c\x53", (void(*)(void *))&fexfn_unpack_libGL_glTangent3dvEXT}, // libGL:glTangent3dvEXT
  {(uint8_t*)"\xd4\xc3\x0c\xe1\xcc\x72\x58\xf7\x50\x52\xc3\x78\x6a\x48\x1c\x84\x70\xce\xdc\x10\x5a\x10\x2f\xdd\xe8\xac\xb2\x76\xcc\x0d\x5d\x32", (void(*)(void *))&fexfn_unpack_libGL_glTangent3fEXT}, // libGL:glTangent3fEXT
  {(uint8_t*)"\xc1\x34\x25\x96\xe9\x51\xc2\xb3\xfa\xf9\xaa\xcf\x7d\x01\xc3\x0b\xac\x35\xb8\x1f\x53\xfa\x00\x1c\xfe\x4b\xec\x16\xf3\x1d\xb2\xcf", (void(*)(void *))&fexfn_unpack_libGL_glTangent3fvEXT}, // libGL:glTangent3fvEXT
  {(uint8_t*)"\x56\x2f\x27\x03\x3a\x0f\x16\x79\xfb\xb4\x4b\x20\xe1\x00\x26\xab\xf1\x8b\x8b\xd6\x11\xf9\x36\x4b\x17\x3a\xdf\xde\xf1\xd6\x44\xe1", (void(*)(void *))&fexfn_unpack_libGL_glTangent3iEXT}, // libGL:glTangent3iEXT
  {(uint8_t*)"\xe7\x79\x6e\xe6\xa8\xd4\xe1\xd1\xc5\xad\xd9\xc1\x83\xd5\xc0\xe9\x4d\x76\x69\x05\xaa\x0e\x8c\xa2\x38\x4f\x8b\xc8\x58\xe3\x79\xb4", (void(*)(void *))&fexfn_unpack_libGL_glTangent3ivEXT}, // libGL:glTangent3ivEXT
  {(uint8_t*)"\x2a\x38\x3e\x4b\xb9\xec\xc7\xe3\xe4\xf8\x87\x53\x79\x4a\xe2\x02\x20\x01\xf4\xb2\xe5\xc1\x55\x88\x46\x92\x15\x3a\x5a\xba\x79\x7c", (void(*)(void *))&fexfn_unpack_libGL_glTangent3sEXT}, // libGL:glTangent3sEXT
  {(uint8_t*)"\x22\x99\xb5\xb8\x1a\x8b\x21\x20\x81\xb2\xb5\x25\x66\x0e\xbf\x75\xc1\xc3\xab\x95\xfb\xad\x4c\xbf\xb4\x56\x52\xbf\x56\xa0\x2d\xb0", (void(*)(void *))&fexfn_unpack_libGL_glTangent3svEXT}, // libGL:glTangent3svEXT
  {(uint8_t*)"\xf7\x49\x3e\x25\x6b\xec\xce\x6d\xd1\x9c\x48\x23\x9e\x39\xd8\x71\xe0\x67\xa4\xd2\xd5\xd0\x36\x2a\x8e\xab\x46\x51\xea\x53\x6e\xa8", (void(*)(void *))&fexfn_unpack_libGL_glTangentPointerEXT}, // libGL:glTangentPointerEXT
  {(uint8_t*)"\xdc\x39\xe3\xba\x20\x71\xa2\x59\x07\x60\xe2\xdd\xb5\x1a\x12\x87\xd6\x08\x0c\x42\xd0\xac\x66\xad\x19\x11\xf6\xb8\x51\xeb\xea\xe4", (void(*)(void *))&fexfn_unpack_libGL_glTbufferMask3DFX}, // libGL:glTbufferMask3DFX
  {(uint8_t*)"\x0b\x70\xdd\xf4\x35\xb6\xcd\x9e\xfd\xb3\x07\xaf\xbc\x30\x39\xd1\x9d\x6b\x85\xaf\x4f\x9a\x09\x80\x08\x5c\xe1\xc0\xc1\x20\xbb\x0e", (void(*)(void *))&fexfn_unpack_libGL_glTessellationFactorAMD}, // libGL:glTessellationFactorAMD
  {(uint8_t*)"\xce\x8e\x06\xc3\x58\x76\x8a\x83\x92\x05\xf3\xe9\xbf\xa7\x01\x3e\x4a\xa9\x98\x0b\xf2\xef\xcb\xcc\x89\x52\xb8\x50\x81\x18\xf3\x79", (void(*)(void *))&fexfn_unpack_libGL_glTessellationModeAMD}, // libGL:glTessellationModeAMD
  {(uint8_t*)"\x51\x0a\x4e\x0f\xb2\xff\xac\xde\xa2\x9d\x05\xdc\xb2\x04\xd3\xbb\x14\x6e\x76\x3b\x43\x7d\xe0\xb8\x68\xb4\x34\x7b\x22\x72\xda\xdc", (void(*)(void *))&fexfn_unpack_libGL_glTexAttachMemoryNV}, // libGL:glTexAttachMemoryNV
  {(uint8_t*)"\x35\x0b\xbf\xa7\x9d\x30\x0e\x1a\xcc\xfa\x8d\x5b\x9d\xaa\x4d\xcc\x03\xb2\x13\x46\xef\xe2\xd5\x48\xbd\xb9\xb5\x2c\xfc\xbe\x42\x4c", (void(*)(void *))&fexfn_unpack_libGL_glTexBufferARB}, // libGL:glTexBufferARB
  {(uint8_t*)"\xa1\x09\xb8\xe7\x35\x44\x67\xa3\xf8\xbd\x0a\x07\x79\xbe\x64\x7c\x19\x9e\xa3\xba\xc5\x65\xd1\x24\x6e\xe8\x16\x10\x97\x38\x42\x76", (void(*)(void *))&fexfn_unpack_libGL_glTexBufferEXT}, // libGL:glTexBufferEXT
  {(uint8_t*)"\xbf\xec\x85\x0d\xde\xba\xa1\x48\x34\xf9\xcd\x88\x6a\xb6\x58\x35\xb7\x80\xa7\xbf\xcd\x9b\xa7\x49\x46\x3f\x0f\xb2\x57\xa6\xa3\x5a", (void(*)(void *))&fexfn_unpack_libGL_glTexBuffer}, // libGL:glTexBuffer
  {(uint8_t*)"\x8c\xa8\xe9\x3b\x48\x8b\x42\x71\xcc\x54\x3a\x82\xeb\xbe\x29\x46\x65\x68\x43\x89\x07\x1f\xf4\x82\x59\x53\xe4\xa2\xc8\x2a\x18\xe7", (void(*)(void *))&fexfn_unpack_libGL_glTexBufferRange}, // libGL:glTexBufferRange
  {(uint8_t*)"\x64\x07\xe1\x6b\x51\xce\xca\x3e\x3f\xcf\xe4\x79\xf8\x1b\x4e\xcc\xec\x9e\x9b\x01\xdf\x07\x5d\xe7\x03\x72\x01\x5b\x09\x6d\x77\xda", (void(*)(void *))&fexfn_unpack_libGL_glTexBumpParameterfvATI}, // libGL:glTexBumpParameterfvATI
  {(uint8_t*)"\xe7\x32\x42\x7c\x83\x96\x33\x8c\x22\x02\x37\xb4\xf3\xa4\x02\x42\x5e\x12\x99\x0f\x26\x57\x79\xa6\xdf\x55\x69\xcb\xd9\x59\x78\xf9", (void(*)(void *))&fexfn_unpack_libGL_glTexBumpParameterivATI}, // libGL:glTexBumpParameterivATI
  {(uint8_t*)"\x6f\x86\xb1\x01\xd9\xae\x91\x6f\xec\xef\xc1\x25\x83\x0f\xae\x56\xbb\xc6\xd8\x1b\x65\xcb\x5e\xb7\xc4\x9c\x00\xbc\x32\xf8\x31\xc7", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1bOES}, // libGL:glTexCoord1bOES
  {(uint8_t*)"\x9e\xc9\x5c\x0d\x38\xff\x32\xb5\x4f\xe0\xbf\xde\xe9\x05\x33\x55\xcf\x52\xc3\x65\x0f\x66\x2d\xf2\x32\x20\x00\x01\x78\x4d\x1d\x9b", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1bvOES}, // libGL:glTexCoord1bvOES
  {(uint8_t*)"\xa8\x25\xb6\xbe\xd8\x78\x92\xe1\xb5\x70\xc7\x6a\x3c\x9c\x29\xe4\xe7\x2d\x70\x89\x50\x32\xd5\x7a\x10\x2b\x3b\xfb\x37\x07\x6b\x56", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1d}, // libGL:glTexCoord1d
  {(uint8_t*)"\x9e\xf6\xe6\x08\xc3\x4a\x7c\x4a\x96\x0b\xaf\x46\x94\x4a\x2e\x7a\xf6\x91\x77\x18\x74\xfd\xe8\x8c\x13\x36\x07\x46\xe4\x44\x00\x6d", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1dv}, // libGL:glTexCoord1dv
  {(uint8_t*)"\x4b\xa4\x3e\x09\x4e\xd3\x7d\x2f\x0d\x2b\xd8\x93\x83\x70\x48\xb8\x9e\x8f\x2f\x5d\x52\xac\xaa\x88\xb8\x01\x96\xf1\xb7\xc6\xd3\x17", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1f}, // libGL:glTexCoord1f
  {(uint8_t*)"\xd7\x7f\x4a\xc6\x61\xa7\x9f\x2a\x9c\x19\x37\x53\xfc\x79\x6b\x5b\x77\x74\x8f\x6f\xfe\x83\x57\xf9\x35\xfa\xc9\x1d\x4b\xaf\x23\x16", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1fv}, // libGL:glTexCoord1fv
  {(uint8_t*)"\x52\x0a\xe8\xf1\x64\xbb\x5a\x7b\xbb\xf0\xbd\x65\xe4\x09\x0a\x81\x9d\xa6\xc5\x8e\x93\xa9\x1b\xe3\xa8\x23\x1e\xb1\x16\xe4\xd5\x8e", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1hNV}, // libGL:glTexCoord1hNV
  {(uint8_t*)"\x05\x45\x2e\x23\x9d\x87\x5f\xf2\xd1\x10\x06\xbc\x59\x85\x84\x22\xca\x0a\x67\xf6\x54\x80\xe8\x5f\x5c\x6a\xd0\x92\x11\x60\x7f\xf8", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1hvNV}, // libGL:glTexCoord1hvNV
  {(uint8_t*)"\x60\xba\x3e\x86\x8d\xd8\x59\xc4\x68\x58\x84\xff\x50\x52\xf8\x56\x98\xa3\xff\xdd\xfa\x3b\x00\x50\x57\xb4\xf4\x32\x97\x28\xb5\x54", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1i}, // libGL:glTexCoord1i
  {(uint8_t*)"\x81\x45\x48\x36\x25\x21\x54\x06\xa6\xab\xed\x19\xc5\x64\xd8\x25\x5c\xae\x52\x7c\x77\xee\x5e\xd7\x9a\x55\x94\x7a\xb5\xc8\x62\x0a", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1iv}, // libGL:glTexCoord1iv
  {(uint8_t*)"\x05\xef\x4d\x40\x7a\x29\xbe\x8c\xfb\xf4\x86\x3f\x5a\xb6\x18\x92\x69\x99\x5c\x88\xb7\x5e\xf3\x17\xc4\x77\x9a\xdb\x43\x87\xe2\xc8", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1s}, // libGL:glTexCoord1s
  {(uint8_t*)"\x9e\x9a\x47\x19\x3f\x08\xa4\x3d\x9c\x0c\x2f\xf0\x13\x1b\xb9\xa5\x20\x74\xfe\x07\x33\xeb\x81\xda\xea\x11\x43\x6e\x7f\x8b\x32\x1b", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1sv}, // libGL:glTexCoord1sv
  {(uint8_t*)"\x5c\xec\x0b\x21\x32\xbe\xf3\xb1\x6e\x67\x21\x94\x4f\x1e\xa1\xe3\x3c\x5e\x12\x11\xee\xe6\x2e\x16\x75\x96\xbf\x31\x5d\x1d\xe9\x68", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1xOES}, // libGL:glTexCoord1xOES
  {(uint8_t*)"\x0c\x72\x6d\x95\x98\x7a\xcf\x41\x50\x48\xfb\xad\xe3\xfc\xf9\x0f\xc5\xe1\xb1\x2f\x6b\x58\xf7\x07\xb9\x11\x62\x0f\xb1\x2f\x2e\xb4", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord1xvOES}, // libGL:glTexCoord1xvOES
  {(uint8_t*)"\xf3\xa3\x2d\x07\x83\xef\xd9\x2f\x8f\x5d\x23\xd5\x35\x2e\xfe\x55\x0b\x04\x10\x34\xa8\xaa\x82\x1a\x05\xe3\xf5\xa0\xcc\x6e\xd6\x8c", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2bOES}, // libGL:glTexCoord2bOES
  {(uint8_t*)"\x84\x20\x41\x2a\x02\xfc\x2a\x82\x64\xb1\x91\x07\xf3\xf3\x94\x7e\xf0\x1a\x36\x71\x28\x2f\xd5\xc4\xde\x84\xb2\x77\xf0\x51\x1b\xfe", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2bvOES}, // libGL:glTexCoord2bvOES
  {(uint8_t*)"\xc6\xc6\xa5\xdd\x22\xba\xbf\xd2\x46\x46\xf9\x73\x92\x39\x17\x6d\x38\x45\x24\x35\x70\x20\x4b\xb4\x01\x4f\x47\xd8\x2f\x15\x1e\xd4", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2d}, // libGL:glTexCoord2d
  {(uint8_t*)"\x76\xa0\xbf\xde\x12\x00\x3a\x65\x4e\xb9\x7e\xd5\xa2\x10\xb7\xba\xc3\x7a\xe3\xaf\x4b\x12\xdf\x7c\x70\x90\x0e\x61\x06\x5c\xd7\x2a", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2dv}, // libGL:glTexCoord2dv
  {(uint8_t*)"\x3b\x15\x1e\xcb\xea\x0b\x02\x09\x42\x02\x12\xd5\x7a\x3b\xad\xe9\x8a\xe8\xaf\xd2\x22\x67\xe8\x1d\x9f\x93\x01\xdd\xff\x0f\x22\x98", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fColor3fVertex3fSUN}, // libGL:glTexCoord2fColor3fVertex3fSUN
  {(uint8_t*)"\x94\x72\x51\xd4\x8b\x22\x2e\x42\x44\x6e\x51\x22\xfd\xf9\x7a\xb0\xf1\x33\xf0\x53\xc6\x16\x49\x3e\x80\x89\x2a\x54\x86\xa0\x50\xac", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fColor3fVertex3fvSUN}, // libGL:glTexCoord2fColor3fVertex3fvSUN
  {(uint8_t*)"\x66\x7a\x28\xfe\x5f\x2e\xc2\x0e\x61\x8e\xdd\xac\xdf\xa1\x5d\x6f\x95\xec\x66\x93\xe3\x2f\x5a\x3a\xef\x8f\x35\x0e\x39\x1c\x8d\x2e", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fColor4fNormal3fVertex3fSUN}, // libGL:glTexCoord2fColor4fNormal3fVertex3fSUN
  {(uint8_t*)"\xc7\x6c\xde\xc7\x19\x34\x54\x10\xe8\x8c\xae\x56\x8c\x82\x14\x4c\x79\xff\x9f\xcf\xce\x80\xe1\xda\x02\x54\xc6\x9a\x09\x73\x05\x8f", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fColor4fNormal3fVertex3fvSUN}, // libGL:glTexCoord2fColor4fNormal3fVertex3fvSUN
  {(uint8_t*)"\x54\x2a\x13\xdf\xe5\x05\x92\xf6\xeb\xc4\xd5\x34\x19\x67\x75\x13\x70\x0b\xfb\x52\xcc\x64\x2b\x09\x5e\xe3\x47\x18\x6d\xa3\xc3\x90", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fColor4ubVertex3fSUN}, // libGL:glTexCoord2fColor4ubVertex3fSUN
  {(uint8_t*)"\xa7\x77\x80\x04\x7a\x32\x53\x76\x64\x80\x11\x8b\xd0\xf0\xd5\x1e\xab\xc0\xb2\x37\xab\x14\x79\xda\xe1\xd3\xc9\x26\xbc\x8b\xbd\xc3", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fColor4ubVertex3fvSUN}, // libGL:glTexCoord2fColor4ubVertex3fvSUN
  {(uint8_t*)"\x3e\x7c\xf2\x95\x63\xd4\xa5\x54\x7d\x1b\xf7\x36\xb4\x4a\xa7\x35\xcc\xd7\x5c\x2f\xbb\x56\xd0\x5f\x22\x06\xfe\x5c\x78\xa9\xa2\x80", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2f}, // libGL:glTexCoord2f
  {(uint8_t*)"\xb3\x7b\xf7\xa6\x13\x71\x40\xa9\xeb\xbd\x2b\x1b\xe4\x5b\xdf\x70\x25\x8d\xc7\xaf\x8e\x0e\x98\xed\xd5\xb5\x1b\x7c\x28\x22\xf7\xed", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fNormal3fVertex3fSUN}, // libGL:glTexCoord2fNormal3fVertex3fSUN
  {(uint8_t*)"\x96\x72\x3b\xa4\xbd\x31\x49\x1c\xc0\x09\x8d\xfa\x3b\x3d\x5e\xab\x56\x24\xf3\x42\x34\x08\x15\xba\xa0\x05\xef\x09\x50\x11\xca\x1e", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fNormal3fVertex3fvSUN}, // libGL:glTexCoord2fNormal3fVertex3fvSUN
  {(uint8_t*)"\x1f\x75\x97\xe5\xc3\x0f\x23\xbd\x2c\x46\x74\x0e\x1f\x23\x60\xa4\xc3\x6c\x4e\x28\x13\x19\x0b\x29\x04\x54\x72\x9d\x98\x68\x65\x7a", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fv}, // libGL:glTexCoord2fv
  {(uint8_t*)"\x53\x35\xd1\x27\x28\x57\xb3\x6c\xe5\x65\xab\xf0\xdd\x45\xf1\xe8\x4c\x02\xb1\x03\x73\x2d\x8f\xee\x5f\xd6\x98\x9d\x99\x68\x44\x14", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fVertex3fSUN}, // libGL:glTexCoord2fVertex3fSUN
  {(uint8_t*)"\xd2\x0f\xba\xe7\xc1\x4a\x1f\xc8\xbc\x20\x6e\x97\x9c\x0b\x39\xe4\x3c\x65\x1c\x50\x45\x4b\x78\x2c\x14\xca\xc9\x65\x17\x3e\x47\x04", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2fVertex3fvSUN}, // libGL:glTexCoord2fVertex3fvSUN
  {(uint8_t*)"\xc8\xf0\xf8\xdb\xa0\x1c\x91\xe2\xcf\xa1\x09\x28\x5e\xda\x4a\x1d\xab\xcc\x57\x63\x56\x0a\xec\xc1\xa5\x64\x4e\xf2\xcd\xbb\xbe\xe2", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2hNV}, // libGL:glTexCoord2hNV
  {(uint8_t*)"\x7b\xff\x62\xcc\xd5\xb3\xcf\x8b\xcf\x63\x97\xc2\xed\xa1\xf1\x7b\x12\x26\x10\xc4\xd0\x44\xce\xd6\xd0\x42\xaa\x9a\xa4\xdb\xed\xc0", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2hvNV}, // libGL:glTexCoord2hvNV
  {(uint8_t*)"\xd4\x72\xa0\x87\xd9\x73\x5f\xef\x88\x0c\x7e\x21\xf2\x24\x92\x97\x7a\xb0\x43\x33\xf0\xda\xc0\x49\x28\xb6\x5b\x0b\xaa\xd0\x2a\x95", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2i}, // libGL:glTexCoord2i
  {(uint8_t*)"\x46\x6f\x13\x40\xc8\x97\x14\xdc\x90\x74\xd5\x4e\xb3\x26\xd5\x6c\x40\x11\x02\x1c\x5b\x65\xaf\x89\xab\x26\x5a\x16\xf9\xab\xa1\x68", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2iv}, // libGL:glTexCoord2iv
  {(uint8_t*)"\x19\xf6\x80\x6a\x21\xbc\x38\x3a\xcb\x3b\x30\x4c\x7c\x56\x93\xcd\x7c\x8f\x3a\xb3\x53\x31\xad\x8b\xb0\x3f\xd0\xa0\x16\x71\x28\xd5", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2s}, // libGL:glTexCoord2s
  {(uint8_t*)"\xcf\x02\x62\x06\x50\x13\x28\x54\x6e\x9d\x8f\xda\x34\x6e\xc6\xc2\x2e\x63\x20\xb7\xb4\xe8\xa3\xbf\x6d\x33\xcf\xa3\x22\xec\xd9\x5e", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2sv}, // libGL:glTexCoord2sv
  {(uint8_t*)"\x4b\x30\x6f\xe4\x28\xbd\x75\xce\x1a\x47\x0f\xdf\x58\x9d\x6a\xb7\xc6\x49\x86\x22\x89\xda\xf8\x84\xa2\xe1\xd5\x65\x9d\x9a\xf0\x11", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2xOES}, // libGL:glTexCoord2xOES
  {(uint8_t*)"\x3b\xc1\x95\xb3\x1b\x28\xad\x2d\x44\x29\x72\xdc\x82\x9a\x1e\x76\xfa\xac\x0d\xa7\x11\xb0\x6c\x98\xf4\xff\xa4\xe0\xf7\xa5\x88\x6c", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord2xvOES}, // libGL:glTexCoord2xvOES
  {(uint8_t*)"\x16\x6a\xde\xeb\xc7\xb8\x49\x61\x38\x0d\xe0\xe7\xe3\xf9\x69\x83\x3a\xe9\x8d\x8c\xcb\xe5\x25\xb9\xca\x02\x46\x4e\x59\x90\x0e\xca", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3bOES}, // libGL:glTexCoord3bOES
  {(uint8_t*)"\xe1\x18\x33\x69\x5b\x46\xc1\xe2\xe4\xdb\x42\x78\xd9\x97\xea\x24\x97\xdf\xb1\x77\xfe\x55\xac\xc1\xc3\x46\x9e\x4e\xdb\xeb\x0c\x44", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3bvOES}, // libGL:glTexCoord3bvOES
  {(uint8_t*)"\x54\x49\xe2\xd2\x69\x10\x18\x74\xf5\x04\xbb\xc7\x53\x47\xc3\xa4\xbe\x0b\xc5\xd3\xd6\xd9\x68\x32\x88\x71\x41\x59\x75\x10\xa8\x1b", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3d}, // libGL:glTexCoord3d
  {(uint8_t*)"\x76\xaa\xe1\x94\x6b\x87\xaf\x79\xdc\x4e\x46\x42\x88\xc8\xfd\xb6\x88\xa9\x93\x63\xd7\x13\x1a\xc9\x39\x56\x7f\x20\x3f\x91\xaa\x6e", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3dv}, // libGL:glTexCoord3dv
  {(uint8_t*)"\x46\x44\x0e\x29\xd4\x3a\xef\xb8\x9b\x99\x89\x95\x1c\xab\x13\x96\xbb\xd7\xa9\xfd\x57\x3f\x47\x17\x83\xfd\xba\xd4\x41\x6e\xe0\x70", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3f}, // libGL:glTexCoord3f
  {(uint8_t*)"\x21\x73\xf3\x96\x6b\xdb\x7f\x9d\x47\xe2\x9d\x42\x7b\x2c\x99\xfc\x68\x16\xdc\x8c\x8f\xce\x6a\x41\x6f\xb5\x4e\x26\x5a\x5f\x20\x09", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3fv}, // libGL:glTexCoord3fv
  {(uint8_t*)"\xd6\x76\xf4\x0e\x47\xd7\xbf\x40\x4f\xeb\x7a\xde\x24\x75\x30\x42\xaf\x53\x98\x77\x98\x3a\x26\x43\x5d\xea\xa8\xa6\xce\xbd\x51\x6c", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3hNV}, // libGL:glTexCoord3hNV
  {(uint8_t*)"\xab\x6d\x54\xa6\x3f\xdb\xec\x87\xba\x3b\xbf\x02\x3e\xca\x1c\x76\xbe\x37\x1a\x6e\xe1\x88\x72\x06\x93\xc2\xba\x76\xcf\xa6\x03\x09", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3hvNV}, // libGL:glTexCoord3hvNV
  {(uint8_t*)"\xbb\x5d\xe6\x75\xf8\xec\xfd\x38\x20\xe3\xe7\x3f\x16\x31\x6d\xc8\x5d\xd7\x07\xbe\x3a\xe2\xe7\x2c\xf9\xfe\xc6\x0d\xfb\x6f\x5a\x0a", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3i}, // libGL:glTexCoord3i
  {(uint8_t*)"\x0f\x7e\x2b\x0a\x10\x62\x50\xb3\xc6\x07\x47\xd6\x5e\x7d\xad\xc9\x55\xab\x5e\xba\x18\xfe\x47\x23\x3c\xa2\xdf\x5b\xdd\x53\x71\xeb", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3iv}, // libGL:glTexCoord3iv
  {(uint8_t*)"\x01\x16\x4c\xa0\x64\x94\x83\x5b\xf2\x34\xd2\x9d\xda\xcd\x90\x20\x26\xe5\xcb\x16\x88\x3e\x6f\x4b\x3a\x83\x20\xf8\x11\xb8\x1f\x6a", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3s}, // libGL:glTexCoord3s
  {(uint8_t*)"\xa7\x07\xf7\x6f\xda\x72\xc8\xd0\xa4\xfb\x21\x15\x36\x9b\x37\xc4\x2a\x0c\x98\xeb\x36\x15\x90\x24\x22\xa5\x82\x5d\x95\xd5\x35\xa7", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3sv}, // libGL:glTexCoord3sv
  {(uint8_t*)"\x0f\xe0\x8d\x34\x7d\xf5\x17\x35\x48\x10\xb0\xa1\x06\xcf\x25\x81\x32\xd4\x22\x4b\x98\xc0\x81\xad\xa5\xa3\x3a\xa2\xe9\x0c\xd7\x4f", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3xOES}, // libGL:glTexCoord3xOES
  {(uint8_t*)"\x5e\xd9\x9b\x10\x48\x0a\x38\xe3\x77\xca\xea\xa1\x54\xc6\x20\x5e\xe6\xb6\xba\x81\x70\xe9\x0e\xda\x7c\xa3\x12\xcc\x96\x14\xe9\xa0", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord3xvOES}, // libGL:glTexCoord3xvOES
  {(uint8_t*)"\xa6\xfc\xc0\x9d\xef\x3e\x19\x69\x3e\xb7\xdf\xe9\x6c\x68\x3c\xc2\x88\xbb\x98\x12\x34\x1e\x51\x2e\x73\xe9\x4f\x71\xe2\xa0\x72\x08", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4bOES}, // libGL:glTexCoord4bOES
  {(uint8_t*)"\xa4\xe6\x10\x1a\x50\x2d\x48\xfd\xb4\xd2\xda\x4e\x05\xc8\x87\xb7\xba\xb5\x62\x6e\xb6\x5c\x48\x4d\x41\x44\x47\x75\xbf\x1e\xa5\x9d", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4bvOES}, // libGL:glTexCoord4bvOES
  {(uint8_t*)"\x9b\x72\x05\xe7\xd7\x39\x79\xbc\xbf\x86\xb0\x82\xa6\xa5\x0b\x68\xcb\xec\x3f\x0c\xaf\x91\xb8\xa5\x96\xb0\xeb\x51\xc7\xee\x5c\x01", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4d}, // libGL:glTexCoord4d
  {(uint8_t*)"\x6f\xf2\xcc\x3b\x1d\xfd\x70\xd9\x48\x00\x3c\xd5\xa5\xbd\xe7\x75\x76\x59\xf1\x6b\x75\x95\xbe\x34\x71\x18\xd5\x37\xa3\x09\xdd\x9a", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4dv}, // libGL:glTexCoord4dv
  {(uint8_t*)"\x19\xae\xd9\x43\xcf\x66\xb9\x04\x61\x00\x19\x1a\xe5\xe1\x4c\xb5\x44\x12\x63\x1b\x29\x2e\xdf\x49\x78\xbd\x85\x42\x4f\x1c\x05\x97", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4fColor4fNormal3fVertex4fSUN}, // libGL:glTexCoord4fColor4fNormal3fVertex4fSUN
  {(uint8_t*)"\x15\x4c\x1a\x8d\xef\xc6\xc4\x14\xc0\x54\xd7\x4f\xc8\x02\x73\x01\xab\xf5\x9e\x67\xab\x02\xe9\x2a\xae\x4f\x3e\x12\x40\x4f\x3d\xff", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4fColor4fNormal3fVertex4fvSUN}, // libGL:glTexCoord4fColor4fNormal3fVertex4fvSUN
  {(uint8_t*)"\xfa\xcf\x81\x4f\xe3\x10\xd2\x96\xee\x7b\x8a\xcc\xda\x97\x2d\xbd\xb5\xaf\xcb\xe3\x22\x6d\x8b\xf0\x60\x29\x5b\x6e\x68\x17\x95\xef", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4f}, // libGL:glTexCoord4f
  {(uint8_t*)"\x32\x78\x4e\x82\x82\xcb\x96\x9c\xf9\x3c\x68\x85\x9f\x14\x1b\xf6\x88\x12\x15\x3c\xae\xd4\x4e\x7e\xb4\xfc\x13\xea\x31\xb7\x2b\x64", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4fv}, // libGL:glTexCoord4fv
  {(uint8_t*)"\xa4\xf6\x63\x7d\x85\xb9\x4f\x45\x93\xad\x37\x27\x2e\xa7\xa4\xb3\x55\x22\x6f\xc8\x61\x9e\x6f\x4c\xd1\x08\x7f\x3a\xc5\x17\xc9\xa6", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4fVertex4fSUN}, // libGL:glTexCoord4fVertex4fSUN
  {(uint8_t*)"\xcb\x52\x94\xf3\x89\x4a\x4e\x23\xd2\x73\x9d\x54\x81\x21\x0d\x98\x51\xf0\xfe\x82\xc5\x53\xa2\xcd\xcf\x63\x21\x2d\xfc\x90\x7d\x5f", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4fVertex4fvSUN}, // libGL:glTexCoord4fVertex4fvSUN
  {(uint8_t*)"\xd9\x19\x5e\x89\xe7\xd2\xae\x6a\xc3\x99\x98\x66\x2f\x21\x26\xf5\x9b\xad\x30\x82\xc2\x6e\xb7\xc3\xf8\x0d\x35\x12\x1c\x71\x84\x68", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4hNV}, // libGL:glTexCoord4hNV
  {(uint8_t*)"\xcf\x6f\x5d\x6b\x52\xba\x5e\x14\x94\x8c\xfe\x39\xe3\x28\x9f\x6e\xaf\x0e\xed\x0e\x3f\xd1\xa7\x78\x68\x6c\xc6\x8a\x70\xf3\x48\x73", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4hvNV}, // libGL:glTexCoord4hvNV
  {(uint8_t*)"\xe5\x20\x12\x03\xea\xde\xf7\xf8\x52\x58\x44\xa7\xf2\xb8\xef\x81\x4d\x8b\x49\x65\x5c\xf9\xe4\x9d\x97\xbf\x2e\x64\xdc\xa7\xdd\x2f", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4i}, // libGL:glTexCoord4i
  {(uint8_t*)"\x3f\x8e\xb9\xb2\x56\x2f\x15\xff\xcc\xd9\x98\x4b\x45\x0e\x93\xa8\x69\x78\x8b\xcf\x55\x7d\x51\x87\xb4\x1f\x2e\xab\x80\x98\xd3\xb9", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4iv}, // libGL:glTexCoord4iv
  {(uint8_t*)"\x1d\x62\x98\xb1\x2b\x02\xe6\xf2\xbb\x58\x48\x06\x3d\xff\x91\xae\x8d\xb5\xc0\x2d\x8c\xcd\xa1\x2b\xb9\x0e\x28\x91\xba\x76\x4f\x08", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4s}, // libGL:glTexCoord4s
  {(uint8_t*)"\x26\xa5\xc1\x92\x5b\xb8\xbe\x13\x7c\x69\xa8\xf6\xd0\x40\x60\x9f\x2d\x24\x58\x30\x51\x13\x79\xa0\x2e\xd3\x91\x88\xf7\x39\x87\x4d", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4sv}, // libGL:glTexCoord4sv
  {(uint8_t*)"\xac\x53\x3a\x46\x64\x50\x6f\x7a\x5b\xab\xc4\x09\xa0\xcd\xc5\x28\x7d\x27\xb6\x87\xde\xe5\x0d\xb2\xc0\xbd\xb7\xa5\x16\x93\xe2\x51", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4xOES}, // libGL:glTexCoord4xOES
  {(uint8_t*)"\xb1\xdd\x7f\x6d\x65\x8a\x4d\x4d\x5b\xae\xd3\x18\x31\x10\x32\xda\xbc\xb8\xfa\x51\xb3\x8b\xbb\x8c\x80\x17\x48\x2d\x27\xd9\x63\x79", (void(*)(void *))&fexfn_unpack_libGL_glTexCoord4xvOES}, // libGL:glTexCoord4xvOES
  {(uint8_t*)"\x14\xcf\x9d\xdc\x23\x7f\x9f\xee\xd6\x1c\x4d\x9c\xc3\x51\xd5\xc6\x79\x45\x84\xb8\x79\x24\x68\x45\x34\x71\xf8\x59\x92\xa3\xfe\x18", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordFormatNV}, // libGL:glTexCoordFormatNV
  {(uint8_t*)"\xc2\x43\x79\x7c\xce\x2d\xb0\x09\x48\xe8\x78\xf7\xd5\xb1\x03\x9c\x6d\xfc\x79\xe8\x36\x5f\x07\x82\x88\x65\x25\xfc\x16\x21\xee\xeb", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordPointerEXT}, // libGL:glTexCoordPointerEXT
  {(uint8_t*)"\x8c\x61\xc1\xa7\xd9\xf1\xdb\xfa\x79\x18\xf9\x04\x93\xf7\x33\x05\xb7\x0e\x76\x68\x36\x83\x38\xd3\xb3\x07\x93\x3d\xcc\x69\x2f\x9f", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordPointer}, // libGL:glTexCoordPointer
  {(uint8_t*)"\x39\xa1\x23\x24\x2e\x4d\x60\x5c\x51\xb5\x90\xf3\xc1\xf4\x1c\x19\x7e\x5c\x4e\x05\x3e\x6a\x63\xbd\x8e\xd8\xfb\x95\x28\xc7\x24\x94", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordPointerListIBM}, // libGL:glTexCoordPointerListIBM
  {(uint8_t*)"\x21\xc3\x8e\x7c\x07\x44\x1d\x25\xa0\xe3\x97\x22\x44\x1f\x36\x57\x47\xf7\xa2\x6d\xf2\x41\x1b\x23\x44\xb5\x58\x1a\x54\x3a\x20\x80", (void(*)(void *))&fexfn_unpack_libGL_glTexCoordPointervINTEL}, // libGL:glTexCoordPointervINTEL
  {(uint8_t*)"\xcd\x6b\x57\xa1\xd7\x7e\xde\x06\x08\xf6\x50\xf1\xb6\xb3\xa6\x8f\xcd\x46\x43\xa9\xbb\x6d\x04\x87\x03\x7e\x6a\xfe\x24\x9d\x8b\x4c", (void(*)(void *))&fexfn_unpack_libGL_glTexEnvf}, // libGL:glTexEnvf
  {(uint8_t*)"\xb8\x79\xe8\x5f\x17\xd5\x56\xd4\x55\x35\xa1\x72\xc4\x3a\x59\x7a\xf0\x81\x25\x55\x89\xdc\x8e\x1b\x6e\x5f\xba\xe4\xb4\xe1\x1a\x82", (void(*)(void *))&fexfn_unpack_libGL_glTexEnvfv}, // libGL:glTexEnvfv
  {(uint8_t*)"\x9e\x99\x9f\x90\x6e\xc9\xe9\x74\xc1\x4f\x0f\x90\xb9\x56\x8e\xf6\xb4\x1f\xb6\x7e\xe6\xdd\xb7\x56\x09\x29\xf0\x31\xc3\xab\x65\x09", (void(*)(void *))&fexfn_unpack_libGL_glTexEnvi}, // libGL:glTexEnvi
  {(uint8_t*)"\x2e\x3e\x17\x4f\xfb\xa2\x59\xf8\x8d\x35\xb8\x5e\xdf\xac\x11\x5a\x41\xd6\x9e\x34\x98\x9d\xe4\x01\x04\x4b\x0e\x9e\xc0\x9e\x47\x74", (void(*)(void *))&fexfn_unpack_libGL_glTexEnviv}, // libGL:glTexEnviv
  {(uint8_t*)"\x1c\xf6\xfc\xb6\x3a\x30\x51\x5c\xce\x2a\x0e\x28\x6b\x20\x9e\x2d\xf7\x99\x6d\xe6\xf2\x1d\x02\xe2\x7d\xbd\xac\x7c\x93\x49\xad\xfd", (void(*)(void *))&fexfn_unpack_libGL_glTexEnvxOES}, // libGL:glTexEnvxOES
  {(uint8_t*)"\x2f\x11\x65\x94\x20\x3d\xa0\xf0\x9d\x3a\x0a\x76\x9d\xf2\x4c\x36\x9e\xa9\xb1\x79\x4f\xce\x37\x82\x9d\x3d\x85\x42\x29\x0d\x67\x17", (void(*)(void *))&fexfn_unpack_libGL_glTexEnvxvOES}, // libGL:glTexEnvxvOES
  {(uint8_t*)"\x96\x7b\xc4\xf7\x46\x95\xf7\x33\x75\x52\x0e\x61\x79\x7e\x2b\xae\x48\x12\x00\xdc\x71\xee\x18\x2f\x6e\x36\xe0\xb6\x90\x44\xe5\xe4", (void(*)(void *))&fexfn_unpack_libGL_glTexFilterFuncSGIS}, // libGL:glTexFilterFuncSGIS
  {(uint8_t*)"\xfd\x50\xd4\x1f\x47\xfb\xbc\x8b\x07\xc1\xfd\x6a\x5b\xc3\x9d\xba\x51\x59\x93\xce\x2f\x47\x6d\x24\x5b\xcc\x24\x2c\xdf\xb2\x05\x9e", (void(*)(void *))&fexfn_unpack_libGL_glTexGend}, // libGL:glTexGend
  {(uint8_t*)"\x39\xe9\x1c\x1e\x09\x42\x70\x0c\x0e\x07\x9d\x01\x80\x8e\xe9\xa3\x6b\x4e\x08\x21\x3b\xfe\xbc\x3f\x54\xfb\x4c\x78\xea\x72\x54\xf6", (void(*)(void *))&fexfn_unpack_libGL_glTexGendv}, // libGL:glTexGendv
  {(uint8_t*)"\x6c\x7d\x09\x1b\x90\xe1\x5e\xb3\x46\x81\xac\x63\x29\xf9\xdb\xe3\x37\xa4\xf0\x6d\x4e\x1d\x5e\xee\xe1\x9f\x24\xf1\xa7\x45\xe1\x1c", (void(*)(void *))&fexfn_unpack_libGL_glTexGenf}, // libGL:glTexGenf
  {(uint8_t*)"\xc6\x9b\x8b\x28\x93\x32\xad\x29\xa5\xb1\x68\xb7\x3d\x67\x1c\x5e\x14\xe6\x1f\xad\x2b\x81\x57\xa8\xa8\xf1\x6d\x8d\x37\xb2\x61\x8a", (void(*)(void *))&fexfn_unpack_libGL_glTexGenfv}, // libGL:glTexGenfv
  {(uint8_t*)"\x01\xec\xa6\x00\x5d\x4f\x1a\xf3\x3d\x64\x06\x6a\x63\xf4\x8b\x97\x2a\x8e\x03\x46\xf3\xa5\x33\x5c\x3c\xc3\x4f\x19\x6a\x62\x07\x29", (void(*)(void *))&fexfn_unpack_libGL_glTexGeni}, // libGL:glTexGeni
  {(uint8_t*)"\xa2\xb2\x8b\x00\x7c\x55\x47\x50\x13\x13\x5f\xdf\xf2\x08\x08\x4f\xa4\x85\x67\x86\xc0\x73\xda\x41\x58\xd9\x31\xe6\x37\x9a\xcc\xc2", (void(*)(void *))&fexfn_unpack_libGL_glTexGeniv}, // libGL:glTexGeniv
  {(uint8_t*)"\xea\x07\x19\xba\xc9\xdd\xae\x96\x2b\xda\xd8\x7a\xfa\x3d\x07\x60\x0a\x71\x46\xb8\xda\x90\x83\x08\xea\x36\x67\xd9\x93\x52\x76\x00", (void(*)(void *))&fexfn_unpack_libGL_glTexGenxOES}, // libGL:glTexGenxOES
  {(uint8_t*)"\xbc\xda\x7a\x93\xee\xea\xb4\x58\x77\xd0\x1b\x81\x9f\xda\x03\x2b\x6e\xd7\xf5\xba\x37\xf0\x6f\x55\x0a\x3d\x8e\x6f\x60\x26\x77\x1e", (void(*)(void *))&fexfn_unpack_libGL_glTexGenxvOES}, // libGL:glTexGenxvOES
  {(uint8_t*)"\xf5\x8d\xcd\xc6\x9d\xb5\x88\xb9\x56\x54\xc9\xab\xd0\x1f\xa5\x09\x05\x09\x8b\x83\x40\x66\xc0\xe2\x7d\x5a\xb3\x91\x03\x9b\xc7\x14", (void(*)(void *))&fexfn_unpack_libGL_glTexImage1D}, // libGL:glTexImage1D
  {(uint8_t*)"\x83\x8b\xab\x84\x19\xde\x6e\x27\xda\x9c\xb7\x1c\x1a\x2d\xd9\xe9\x7d\x40\xb6\x10\x5a\xd7\xa3\x15\x7f\x9e\xd4\xc1\x9d\x15\x07\x77", (void(*)(void *))&fexfn_unpack_libGL_glTexImage2D}, // libGL:glTexImage2D
  {(uint8_t*)"\x2e\x9d\x4e\xc8\x16\xa1\x6e\x2b\xb1\x08\xde\xef\xce\x22\xe4\x0c\x42\xf5\xfc\x1a\x7e\x01\xb7\x82\x20\x19\x58\xf0\x92\x40\x88\xdf", (void(*)(void *))&fexfn_unpack_libGL_glTexImage2DMultisampleCoverageNV}, // libGL:glTexImage2DMultisampleCoverageNV
  {(uint8_t*)"\xb9\x88\x2a\xe4\x78\x53\xd9\x24\xde\xd4\x7c\x95\x5c\x44\xfa\x34\x04\x04\x36\x5a\x13\xd0\x70\x41\xf5\x91\x3d\xad\x1f\x2f\x63\xc0", (void(*)(void *))&fexfn_unpack_libGL_glTexImage2DMultisample}, // libGL:glTexImage2DMultisample
  {(uint8_t*)"\x1f\xec\x57\xc2\x25\x2b\x97\x08\x0b\x35\xe0\x53\x60\x05\xe2\x2e\xaa\x5f\x3c\x22\xc0\xcb\x40\x9f\x0b\x69\xf2\x43\x8c\x35\x63\xb7", (void(*)(void *))&fexfn_unpack_libGL_glTexImage3DEXT}, // libGL:glTexImage3DEXT
  {(uint8_t*)"\x49\x12\x3c\x7e\x5d\x86\x10\x10\x9e\xdb\xfe\x5a\xcb\xbb\x5a\x31\x06\x79\x8c\xe9\xe0\xe6\x9f\xa2\x1c\x9f\x30\xde\x56\xba\x90\xed", (void(*)(void *))&fexfn_unpack_libGL_glTexImage3D}, // libGL:glTexImage3D
  {(uint8_t*)"\xbd\x46\x62\x1a\xa4\x9e\xf5\x5d\xc0\x20\x19\xeb\x59\xd4\x2a\x79\x8e\x3e\x12\xda\x94\x60\x87\x14\x34\x70\x0d\x24\x72\x42\xd5\x43", (void(*)(void *))&fexfn_unpack_libGL_glTexImage3DMultisampleCoverageNV}, // libGL:glTexImage3DMultisampleCoverageNV
  {(uint8_t*)"\x02\x5a\x77\x75\x00\x14\xbd\x24\xe3\xa8\x3d\x7e\x8e\x7c\x27\xed\xeb\xbb\x2a\x6b\xec\x8e\xe4\x79\xae\xa0\x1f\x61\xae\x4f\xd5\x3d", (void(*)(void *))&fexfn_unpack_libGL_glTexImage3DMultisample}, // libGL:glTexImage3DMultisample
  {(uint8_t*)"\xaf\xa3\x62\xcd\x15\xb6\x5c\x40\x08\x7a\x86\x93\xf9\xf9\xcd\x64\x9c\xb3\x68\xbb\xae\x5e\xae\x5f\x9c\xac\x6b\xee\x39\x20\xf6\xc8", (void(*)(void *))&fexfn_unpack_libGL_glTexImage4DSGIS}, // libGL:glTexImage4DSGIS
  {(uint8_t*)"\xa6\x88\x56\x5c\x6c\x53\xbe\x48\x42\x72\xb6\x61\x06\xca\x8d\x35\x3f\x7c\x12\x5e\x80\x5c\xfc\x4d\x26\x23\x1f\x70\x76\xfc\xcf\x0d", (void(*)(void *))&fexfn_unpack_libGL_glTexPageCommitmentARB}, // libGL:glTexPageCommitmentARB
  {(uint8_t*)"\x47\xf6\x69\x2c\xba\x9f\xc2\x15\x95\x22\x15\x66\x93\xf9\x1b\x53\x5c\xe8\x46\xa5\x3e\x41\xa4\x39\x96\x93\x34\x4e\x5f\xef\xf5\xa7", (void(*)(void *))&fexfn_unpack_libGL_glTexParameterf}, // libGL:glTexParameterf
  {(uint8_t*)"\x97\x07\xe3\x03\x61\x32\x86\x24\x6f\xf3\x21\xb3\xd0\x31\xce\xed\x7e\x9c\xee\xd0\x6a\xf2\x5b\x5d\x31\x97\x8c\xff\xd8\x9e\x9a\x3b", (void(*)(void *))&fexfn_unpack_libGL_glTexParameterfv}, // libGL:glTexParameterfv
  {(uint8_t*)"\x48\x20\x01\x72\x51\x21\x92\xcb\x4f\x80\x2c\x0f\xf6\xcf\xc0\x82\xe9\xd4\xc8\x3a\xe4\x47\xb5\x40\x9b\x86\x8b\x89\xde\xb5\x5e\x6d", (void(*)(void *))&fexfn_unpack_libGL_glTexParameteri}, // libGL:glTexParameteri
  {(uint8_t*)"\xea\xf8\x3e\x8e\x2c\x59\x6d\x63\x1d\x78\xe1\x71\x4f\x77\x02\xd5\x63\xc6\x59\x14\x93\x55\xef\x8a\x4f\x71\xe1\x5d\x54\x2a\x99\x49", (void(*)(void *))&fexfn_unpack_libGL_glTexParameterIivEXT}, // libGL:glTexParameterIivEXT
  {(uint8_t*)"\x44\x3e\x6b\x81\xaa\xa0\xa8\x43\xb7\xea\x94\x30\x67\xf6\xd1\x98\x09\x65\x52\x19\xba\xdc\xc1\x95\x50\xba\xbc\xee\x6b\x10\x23\x2c", (void(*)(void *))&fexfn_unpack_libGL_glTexParameterIiv}, // libGL:glTexParameterIiv
  {(uint8_t*)"\x73\xc1\xba\xc8\x53\x8f\xfd\xd2\x51\x51\xac\x1e\x92\x2c\x65\x63\x12\x2b\x54\x31\x3b\x8e\x5f\x00\x46\xfd\x2f\x6c\x95\x9f\xf1\xee", (void(*)(void *))&fexfn_unpack_libGL_glTexParameterIuivEXT}, // libGL:glTexParameterIuivEXT
  {(uint8_t*)"\xca\x1e\x62\xdb\x9e\x80\x58\x31\x02\x06\xca\x44\xc9\x6d\xe3\xa3\xd7\x10\x70\xe8\x6e\x91\xa3\x12\xac\x62\x9f\x9c\xaa\x51\xd5\x07", (void(*)(void *))&fexfn_unpack_libGL_glTexParameterIuiv}, // libGL:glTexParameterIuiv
  {(uint8_t*)"\xe0\x19\x37\x4d\x43\x94\xf7\xe5\x32\x22\x1c\x29\x09\x37\x53\xef\x65\x1f\xf2\x2c\xcf\xa9\xe0\xc5\xe3\x27\xc5\x88\x08\x11\x31\x8e", (void(*)(void *))&fexfn_unpack_libGL_glTexParameteriv}, // libGL:glTexParameteriv
  {(uint8_t*)"\x69\xb9\x94\x5d\x7c\xc8\x0d\x61\xc9\xc0\x82\xed\xdd\xb6\x58\xae\x74\x0d\xf1\x37\xef\x77\x94\x0b\x65\x27\xf5\xad\x69\xc1\x57\xb4", (void(*)(void *))&fexfn_unpack_libGL_glTexParameterxOES}, // libGL:glTexParameterxOES
  {(uint8_t*)"\xf6\x51\x1e\x4e\xe6\x45\x9d\xf2\x82\x6e\xca\x67\x20\x93\x9a\x41\xeb\xdb\x89\x9d\x73\x65\x03\x0f\xc2\x25\x7b\xc6\x84\x1b\x4b\x96", (void(*)(void *))&fexfn_unpack_libGL_glTexParameterxvOES}, // libGL:glTexParameterxvOES
  {(uint8_t*)"\x4a\x10\x90\xd3\x95\xc8\xf7\xfd\xe9\x10\xa0\x56\x1f\x64\x09\x98\x6e\x3e\x4a\x19\x9b\x18\x68\xa8\xcc\x25\x73\x5e\x45\xac\xb3\x79", (void(*)(void *))&fexfn_unpack_libGL_glTexRenderbufferNV}, // libGL:glTexRenderbufferNV
  {(uint8_t*)"\x72\x12\x48\x48\x6e\xf7\x29\xfb\x89\x72\xca\xe1\xf2\xad\xa0\x6c\xf7\x59\xef\x3e\x4c\xb1\xbb\xf4\xdb\x75\x59\x18\x84\xd6\x50\x29", (void(*)(void *))&fexfn_unpack_libGL_glTexStorage1D}, // libGL:glTexStorage1D
  {(uint8_t*)"\x35\x62\x39\x28\x02\x3f\x3f\x5b\xe3\xf4\xe7\xdd\x9d\xd4\xcb\x23\xd2\x3a\xc0\xea\xa8\x7a\xb1\xd0\xfa\x95\xc1\x33\xcc\x6c\x7c\xb6", (void(*)(void *))&fexfn_unpack_libGL_glTexStorage2D}, // libGL:glTexStorage2D
  {(uint8_t*)"\x14\x0b\x8a\x69\x3e\xfb\x8d\xd7\xc3\xca\xdd\xda\xb3\x0f\x1b\x17\xcd\x94\x44\x90\x94\xfa\xca\xf0\x6d\xff\x5a\x06\x4d\xd4\x7b\xcd", (void(*)(void *))&fexfn_unpack_libGL_glTexStorage2DMultisample}, // libGL:glTexStorage2DMultisample
  {(uint8_t*)"\xe0\x94\x78\x93\xc7\xe1\xe5\x47\xb7\x57\x1b\x73\xf7\xf1\x71\xde\x46\xb6\xfa\xdf\x0d\x92\xcd\x0a\x9d\x14\x1e\x96\x81\x03\x85\xe3", (void(*)(void *))&fexfn_unpack_libGL_glTexStorage3D}, // libGL:glTexStorage3D
  {(uint8_t*)"\x25\x48\x69\x21\x3f\xfc\x4e\x2a\x3b\x07\xb1\x97\xb7\xdf\xba\x12\x60\x0c\xee\xbf\x82\xa7\xed\xbf\x62\x93\xf0\x90\x44\x78\xf2\x12", (void(*)(void *))&fexfn_unpack_libGL_glTexStorage3DMultisample}, // libGL:glTexStorage3DMultisample
  {(uint8_t*)"\xa4\x2c\xea\xce\x7d\x15\x83\x4b\x68\x3e\x6c\x44\x5a\x01\xe4\xa1\x85\xa6\xe5\x1c\xd0\x1f\xe8\x2b\x47\x6a\x41\x2c\x4a\x09\xd4\xd0", (void(*)(void *))&fexfn_unpack_libGL_glTexStorageMem1DEXT}, // libGL:glTexStorageMem1DEXT
  {(uint8_t*)"\xa6\x03\x1a\x29\x6a\xb8\x1d\xd2\x9e\xd4\x3c\x24\x6b\x3a\x2a\x2b\x04\xf2\xbb\xec\xd9\xe6\x7e\xc8\x27\x18\x01\x60\x55\xfe\xad\xaa", (void(*)(void *))&fexfn_unpack_libGL_glTexStorageMem2DEXT}, // libGL:glTexStorageMem2DEXT
  {(uint8_t*)"\x02\x3b\xd8\x50\x92\x63\x45\x48\x53\xcb\xc4\x36\xdc\x70\x5e\x53\x56\xe4\x81\x3e\x34\xa5\x06\xf8\xf0\x76\x4b\x61\x69\xe0\x86\x92", (void(*)(void *))&fexfn_unpack_libGL_glTexStorageMem2DMultisampleEXT}, // libGL:glTexStorageMem2DMultisampleEXT
  {(uint8_t*)"\x59\x50\x79\xe5\x5b\xa4\xfd\xd7\xa2\x72\x08\x5c\xb8\x2d\x7c\x75\xdc\x68\x40\x3c\x39\x75\xbd\x34\xad\xf5\xca\x6f\x4f\x18\xa7\x1b", (void(*)(void *))&fexfn_unpack_libGL_glTexStorageMem3DEXT}, // libGL:glTexStorageMem3DEXT
  {(uint8_t*)"\x4f\x11\xd8\x00\x63\xb3\x58\x4d\xae\x00\xe8\x7f\x63\x5f\x8d\x11\x97\xe2\xb1\xf5\xfb\x00\xf1\x8e\x02\x09\x5e\x67\x81\x3c\x86\xc3", (void(*)(void *))&fexfn_unpack_libGL_glTexStorageMem3DMultisampleEXT}, // libGL:glTexStorageMem3DMultisampleEXT
  {(uint8_t*)"\xec\x42\x51\x69\x31\x5c\xa2\x14\x04\xaa\x20\x80\xd8\xd2\xb3\xcf\xab\x18\x04\x95\xf6\xd5\xd2\x93\x39\xcc\x58\x4c\xe9\x80\x3f\x01", (void(*)(void *))&fexfn_unpack_libGL_glTexStorageSparseAMD}, // libGL:glTexStorageSparseAMD
  {(uint8_t*)"\x37\x70\x22\x54\x71\x88\x82\x01\x2e\x57\xd0\x80\xfa\xdd\x02\x93\x2c\x51\xe1\xb2\x3f\x5c\x12\x20\x51\x6e\x89\x06\x57\x8a\x37\xfd", (void(*)(void *))&fexfn_unpack_libGL_glTexSubImage1DEXT}, // libGL:glTexSubImage1DEXT
  {(uint8_t*)"\x42\x8c\xab\x44\xc4\x94\xa1\x30\xdd\x3c\xde\x31\x3d\xf0\x4f\xaf\x48\xe6\x32\xf7\x3e\xd0\xbc\x6a\x4c\x99\xb5\xc1\x57\x34\x55\x3d", (void(*)(void *))&fexfn_unpack_libGL_glTexSubImage1D}, // libGL:glTexSubImage1D
  {(uint8_t*)"\x3d\xee\x22\xa8\x43\x6a\x75\x52\xf7\x33\x83\x57\x31\x49\xfb\xe2\x0a\x1f\x0d\x48\xec\x05\x41\xfa\x5f\x71\xe6\x3a\x25\x60\xaa\x6b", (void(*)(void *))&fexfn_unpack_libGL_glTexSubImage2DEXT}, // libGL:glTexSubImage2DEXT
  {(uint8_t*)"\xf7\x6d\xfd\xc6\x22\xb5\x55\xe3\xb2\x8b\x49\x69\x0d\xab\xeb\xd2\x9a\xd3\xd8\x42\xe1\xa8\x7d\x9d\x15\x68\x81\x17\x82\xb3\x8b\x0e", (void(*)(void *))&fexfn_unpack_libGL_glTexSubImage2D}, // libGL:glTexSubImage2D
  {(uint8_t*)"\xce\xe2\x76\xa5\x80\x38\x9a\x03\xc3\xa0\xa3\x27\x1a\xf7\x10\x09\xfd\x01\x92\xa9\x61\xc2\xde\xff\xeb\xad\xd6\x67\x88\xf7\xf1\xfb", (void(*)(void *))&fexfn_unpack_libGL_glTexSubImage3DEXT}, // libGL:glTexSubImage3DEXT
  {(uint8_t*)"\xf6\xcb\xd8\xb3\x35\x19\xba\x42\x91\xf6\x3b\xeb\x5d\xae\xb2\x34\xb4\x39\x23\xa7\xf3\x19\x9c\x44\x4c\x7b\x26\xbe\x20\xa9\x38\x23", (void(*)(void *))&fexfn_unpack_libGL_glTexSubImage3D}, // libGL:glTexSubImage3D
  {(uint8_t*)"\x91\x6f\x1b\x4d\x73\xd4\xb9\x98\x8d\xc9\x20\xab\x24\xe7\x24\xab\x45\x43\x78\x62\x80\xac\x0b\x22\xd4\xf4\x12\xf0\xff\xd7\xa4\x0c", (void(*)(void *))&fexfn_unpack_libGL_glTexSubImage4DSGIS}, // libGL:glTexSubImage4DSGIS
  {(uint8_t*)"\x27\xaf\x35\x6e\xbe\x1e\xdd\x4f\xca\x8f\x54\x3a\x75\xed\xc9\xc7\x0c\x35\x3b\xb3\xf9\xae\x40\x8b\xbe\x52\xc5\xc1\x14\x41\x0f\x05", (void(*)(void *))&fexfn_unpack_libGL_glTextureAttachMemoryNV}, // libGL:glTextureAttachMemoryNV
  {(uint8_t*)"\x0e\x08\x65\x03\x9c\x8d\x2b\xc8\x44\x72\xc0\xb6\x80\xc3\x6b\xdd\xe2\xef\xb1\x73\x02\x74\x76\xf0\x42\xd8\x11\xf5\x28\x84\x9e\x8a", (void(*)(void *))&fexfn_unpack_libGL_glTextureBarrier}, // libGL:glTextureBarrier
  {(uint8_t*)"\xea\x6e\xe8\xeb\xd1\x29\x4d\x06\xbe\x8e\x6e\xe2\xfb\xc7\xe7\xad\x22\xc2\xe2\x99\x2f\xec\xb2\xe8\x60\x5c\x53\xc6\x95\xf0\xf2\x29", (void(*)(void *))&fexfn_unpack_libGL_glTextureBarrierNV}, // libGL:glTextureBarrierNV
  {(uint8_t*)"\x82\x67\xd3\x40\xe2\xcd\x32\xa0\x6d\x76\x01\x99\xcc\xf8\x40\xf4\x22\x55\x21\x29\xb3\x1d\x6f\x75\xb2\x46\xa4\x61\x9d\x54\x1a\x5f", (void(*)(void *))&fexfn_unpack_libGL_glTextureBufferEXT}, // libGL:glTextureBufferEXT
  {(uint8_t*)"\x41\x51\x8a\x3b\xa6\xae\x99\xa5\x97\x99\x26\x26\x5e\x3a\x0f\x0a\xdb\xaa\x9a\xfd\xc9\x7e\xb3\x06\x0c\x67\xde\x05\x02\xf6\x0b\x79", (void(*)(void *))&fexfn_unpack_libGL_glTextureBuffer}, // libGL:glTextureBuffer
  {(uint8_t*)"\x8c\xce\xf4\x11\x00\x28\x52\x57\x99\xde\x66\x0d\xb8\x7f\x0a\x83\x3e\xdd\x7e\x26\xe8\xfc\x3b\x1d\x46\xd3\x51\x02\x4a\x8d\x4c\xd3", (void(*)(void *))&fexfn_unpack_libGL_glTextureBufferRangeEXT}, // libGL:glTextureBufferRangeEXT
  {(uint8_t*)"\x15\x27\x0e\xc0\x09\x52\xb1\xce\x57\xc9\x4d\x33\x4c\x71\x7d\xc8\xe5\xd6\x1c\xca\x90\x4b\x3f\x98\xe4\x9a\xc8\x37\xed\xc3\x44\x26", (void(*)(void *))&fexfn_unpack_libGL_glTextureBufferRange}, // libGL:glTextureBufferRange
  {(uint8_t*)"\x97\x4e\xe6\xa1\x13\xa1\x63\xc4\x39\x89\x89\xb7\x13\xd9\x95\x2c\x7a\xb8\x96\xe8\x3b\x58\xe3\x9a\x76\x70\x8e\x59\x2d\x0a\x06\x88", (void(*)(void *))&fexfn_unpack_libGL_glTextureColorMaskSGIS}, // libGL:glTextureColorMaskSGIS
  {(uint8_t*)"\x03\xa2\xe8\x2c\x63\xf4\xb0\x76\xb2\xef\x53\x56\x7e\x83\x14\xab\x96\x57\xab\xde\xd8\xd2\x65\xc8\xf0\xf4\x9c\x3e\x09\xca\x73\x4b", (void(*)(void *))&fexfn_unpack_libGL_glTextureImage1DEXT}, // libGL:glTextureImage1DEXT
  {(uint8_t*)"\x44\x0c\x0f\xa1\xb2\x7e\x2f\x62\x34\xd4\x15\x67\x2a\xa6\xb4\x3d\xba\xa1\x92\x8c\xe4\x9e\xf0\x7a\xa0\x1e\xca\xe2\xf0\x97\xaf\xe8", (void(*)(void *))&fexfn_unpack_libGL_glTextureImage2DEXT}, // libGL:glTextureImage2DEXT
  {(uint8_t*)"\x46\x4c\x47\x47\x80\xd1\xa9\x33\x9a\x9f\x74\x35\x07\xcb\x89\x5e\xe1\x0e\xe3\xa7\x5f\xcc\xe3\xbc\x27\xc9\xe4\xf6\xc4\x2e\x3d\x51", (void(*)(void *))&fexfn_unpack_libGL_glTextureImage2DMultisampleCoverageNV}, // libGL:glTextureImage2DMultisampleCoverageNV
  {(uint8_t*)"\x7b\xe8\x7c\x92\x6c\x54\xac\x98\xdc\x2b\xee\xbb\x4e\xb6\xb8\xd3\xa7\xef\x63\x8f\x5b\xb4\xd0\x1c\x8b\x2e\x21\x3d\x3a\xf8\xe1\x28", (void(*)(void *))&fexfn_unpack_libGL_glTextureImage2DMultisampleNV}, // libGL:glTextureImage2DMultisampleNV
  {(uint8_t*)"\x5a\x4a\x5e\xd4\xea\xbe\x60\x64\xc5\x8e\x95\xfa\x8f\x1b\xc3\x5b\xad\xeb\x3a\xa8\xc5\x18\x7b\x95\xf5\x5e\x1e\x1d\xe3\x57\x65\x46", (void(*)(void *))&fexfn_unpack_libGL_glTextureImage3DEXT}, // libGL:glTextureImage3DEXT
  {(uint8_t*)"\x28\xad\x04\x89\xed\x01\x00\x11\xd4\x13\x8f\xc8\xef\x84\x85\x93\x5f\x69\xd7\x7b\x39\x70\x1a\x69\xc3\x92\x04\x20\x9d\x3c\xf1\x4c", (void(*)(void *))&fexfn_unpack_libGL_glTextureImage3DMultisampleCoverageNV}, // libGL:glTextureImage3DMultisampleCoverageNV
  {(uint8_t*)"\x78\x0b\x30\xaf\x0a\x46\xbf\xd3\x5b\xd8\xb4\xd8\x43\xe0\x5c\x5d\xd8\x6d\x5e\xdf\x49\x4d\x6b\x44\x6f\x27\x9d\xa6\x85\xd5\x40\x01", (void(*)(void *))&fexfn_unpack_libGL_glTextureImage3DMultisampleNV}, // libGL:glTextureImage3DMultisampleNV
  {(uint8_t*)"\x6c\xa6\x11\x2e\x9a\x96\x7e\x17\x47\x78\x4e\x61\x36\x92\x75\x2e\xfd\xe9\xbd\xb4\x92\xbe\x78\x7c\x84\xf9\xf6\x39\xed\x8c\xb3\x32", (void(*)(void *))&fexfn_unpack_libGL_glTextureLightEXT}, // libGL:glTextureLightEXT
  {(uint8_t*)"\x37\x4d\xe0\xe9\x82\x3b\x89\xc2\xd1\xcf\x8d\xeb\x99\x30\x12\xae\x4b\x3b\x99\x6a\x93\xb8\xee\x67\x47\x08\x68\x51\x1a\x30\xb5\x95", (void(*)(void *))&fexfn_unpack_libGL_glTextureMaterialEXT}, // libGL:glTextureMaterialEXT
  {(uint8_t*)"\x87\x82\x2d\xb6\x05\x2f\x40\xec\xc2\xa9\x01\x53\x8d\x98\x98\x5b\x76\x71\x36\xc8\x80\x8e\xcf\xe7\x6b\x55\x13\x19\xc0\x4c\x08\xd2", (void(*)(void *))&fexfn_unpack_libGL_glTextureNormalEXT}, // libGL:glTextureNormalEXT
  {(uint8_t*)"\x62\xae\x2d\x55\xbb\x0a\x89\x43\x4e\x70\x3d\x0f\xb9\x90\xcf\xb3\x6d\xf9\x3f\xd8\x99\xa9\xfe\x4f\xb0\x40\xf4\xa8\xbe\xae\x42\x30", (void(*)(void *))&fexfn_unpack_libGL_glTexturePageCommitmentEXT}, // libGL:glTexturePageCommitmentEXT
  {(uint8_t*)"\xee\xbd\x50\x64\xf2\xb6\xfd\xbf\xbf\x04\x27\x6a\x69\xda\x0b\x8b\xea\xed\x59\x0d\x91\xb1\xb6\xb2\xdb\x77\x9e\xd1\xab\xed\x65\x9f", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameterfEXT}, // libGL:glTextureParameterfEXT
  {(uint8_t*)"\xab\xd7\xa0\x92\xab\x5b\x67\x74\xf2\x80\x20\x77\x7e\x1f\xec\x61\x8c\x4c\x72\xa5\xed\xf2\xe8\x7c\x5b\x4a\xa6\xea\xe7\x35\x76\xee", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameterf}, // libGL:glTextureParameterf
  {(uint8_t*)"\x15\xcd\x11\xdf\x22\x25\xd9\x05\x81\x10\x75\x3e\x99\xd3\x6b\xa7\xbb\x4b\xf4\x69\x62\x33\x94\x3d\xd0\xd8\x35\xfc\xd4\x6a\xf3\x05", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameterfvEXT}, // libGL:glTextureParameterfvEXT
  {(uint8_t*)"\x94\xd4\x19\x6b\xb0\x5b\x2c\xed\x1d\x1a\x9a\x17\xf0\x3f\x07\x54\x31\x1e\x79\x3e\x51\x78\xf5\xc4\x7a\xd5\xa8\x74\xb0\x01\x05\x8b", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameterfv}, // libGL:glTextureParameterfv
  {(uint8_t*)"\xf3\x09\x39\x7d\x46\x4e\x49\x87\x73\x5f\x1a\x4e\x65\x96\x9f\x53\x34\xd5\xdb\xe0\x27\x5c\xd8\x91\x03\x8d\x81\xab\x3b\x2f\xe1\xd9", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameteriEXT}, // libGL:glTextureParameteriEXT
  {(uint8_t*)"\x51\xf2\x4e\xa2\x1b\x54\x3e\xec\xf4\xd4\x41\x53\x1a\xed\xcb\x27\xf5\x00\x17\xc9\x9a\x4a\x43\x5b\xa5\x99\xc0\x3f\xa4\xa7\x90\x3c", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameteri}, // libGL:glTextureParameteri
  {(uint8_t*)"\x46\x52\xc3\xc5\x1a\x67\x81\x3a\x11\x23\x80\x63\x3e\xb3\x03\x95\xde\xd7\x5c\x41\x6e\xae\x0c\x29\x3f\x4a\xfa\x78\x4e\x5d\x58\x50", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameterIivEXT}, // libGL:glTextureParameterIivEXT
  {(uint8_t*)"\xe3\x9f\x9a\x98\xc9\xc6\xfe\xae\xf0\x79\x3d\x0b\xe3\xe5\x09\xbb\x16\xea\xe3\x74\xed\xfd\x01\xfa\x23\xc7\x93\x23\x4a\x81\x9c\xb2", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameterIiv}, // libGL:glTextureParameterIiv
  {(uint8_t*)"\xb5\x9d\x04\x71\x0b\xba\x6f\x0f\x2d\x70\xb6\x92\xd8\x42\x78\xad\xa0\x0a\x15\x27\xe9\x33\x88\xef\xa0\xdb\x8f\x21\x04\x23\x36\x4a", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameterIuivEXT}, // libGL:glTextureParameterIuivEXT
  {(uint8_t*)"\x01\x47\xf7\xf0\x61\x20\x90\xfa\x24\x8c\x76\x8f\xa8\xe0\xf5\x55\x0c\xa0\xe9\x2f\x8f\x2d\x0b\xca\x2d\x6a\xa5\x7c\x73\x4c\xa6\x15", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameterIuiv}, // libGL:glTextureParameterIuiv
  {(uint8_t*)"\x73\x2b\xf8\xab\x07\xf4\x07\xbe\x5f\xcc\xcf\xcd\xf2\xf2\x95\xf5\x09\xf6\xdc\x7b\x11\xc8\xda\x61\x56\x6a\x23\xcd\x12\xce\xa7\xc6", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameterivEXT}, // libGL:glTextureParameterivEXT
  {(uint8_t*)"\x8e\x50\xbd\x0d\x80\x86\x2e\x0c\xec\x17\x66\xfe\x95\x8e\x89\xcf\x0e\x32\x5d\x09\xb8\xeb\xa0\x85\xf0\x5e\x61\x37\x96\x9e\x0e\x44", (void(*)(void *))&fexfn_unpack_libGL_glTextureParameteriv}, // libGL:glTextureParameteriv
  {(uint8_t*)"\xfd\x07\x78\x08\x2e\xd6\x22\x71\x4b\x40\xbc\x31\x5c\xde\xdf\xd2\x18\x0c\xdd\x6e\x80\x79\xd6\x71\x95\x39\x5b\x48\x0a\xf2\x3f\x1c", (void(*)(void *))&fexfn_unpack_libGL_glTextureRangeAPPLE}, // libGL:glTextureRangeAPPLE
  {(uint8_t*)"\xef\x77\x81\x81\xca\x79\x56\x01\x8e\x70\x3b\xa1\xaa\x8c\x09\xc1\x37\xce\xa8\x32\xab\x7b\x51\x2f\x00\x67\x6f\x75\x38\xa4\x0c\x51", (void(*)(void *))&fexfn_unpack_libGL_glTextureRenderbufferEXT}, // libGL:glTextureRenderbufferEXT
  {(uint8_t*)"\x08\x7c\xbf\x98\x44\xfd\xd1\xc9\xd5\x70\x32\x0a\x85\x69\x04\x9a\xa2\x42\x12\x19\x2c\xab\x11\x88\xf7\xf6\x8c\x1d\x7d\x9d\x6d\xa9", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorage1DEXT}, // libGL:glTextureStorage1DEXT
  {(uint8_t*)"\x71\x7e\x0e\x61\x0c\x5b\x25\x05\xe5\x49\x1a\x68\xc4\x8c\x4e\x49\xb4\xaa\x98\xb0\x5a\xe2\x9b\x7e\x00\x03\xb0\x1b\xb1\x93\x05\xd4", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorage1D}, // libGL:glTextureStorage1D
  {(uint8_t*)"\x26\x92\xcd\x61\xb7\x77\x40\x59\x01\xae\x2e\x36\x3e\xdf\x70\x9b\xff\xe8\x0e\x48\x86\x90\x8d\x80\x56\xc1\x9b\x7e\x6f\x0a\xff\x70", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorage2DEXT}, // libGL:glTextureStorage2DEXT
  {(uint8_t*)"\xb1\x02\xe7\xbb\x04\x90\x01\xd2\x3e\x44\x15\x12\x94\xce\xbc\x08\x06\xbf\xa9\x08\x53\xf3\x64\xdb\x5b\xe9\xf8\x3f\x83\xa7\x79\x05", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorage2D}, // libGL:glTextureStorage2D
  {(uint8_t*)"\xbc\x5d\xd6\x46\xd2\x4d\x08\x70\x07\x20\x8d\xb4\x59\x16\x4b\x4d\x60\x2f\x07\x5b\x9e\x52\x4b\x03\xc3\xba\xd8\x80\x90\xf6\xf0\x4e", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorage2DMultisampleEXT}, // libGL:glTextureStorage2DMultisampleEXT
  {(uint8_t*)"\x7b\x7b\xa2\x4b\xa6\xa9\x13\xd7\x15\x89\xa4\xee\xbb\x2d\x9f\x7b\x59\x86\xd8\xf0\x6e\x83\x73\xab\x2d\x72\x6a\xd2\xd3\xc7\x4a\x26", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorage2DMultisample}, // libGL:glTextureStorage2DMultisample
  {(uint8_t*)"\x08\x47\xb1\x80\x2d\xd9\xbc\x93\xff\xa4\x25\xf2\xec\x73\x24\xd0\xe0\x66\xf9\xb2\x99\x43\xe5\xa7\x81\x1a\x58\xea\xf7\xd8\x73\x8a", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorage3DEXT}, // libGL:glTextureStorage3DEXT
  {(uint8_t*)"\xd7\x60\xa4\xd6\xd7\xaf\x2e\x31\x0e\x7b\x11\x8e\xa7\x2a\x4c\x2f\x9f\x82\x26\xc8\x12\xa2\x86\x9a\x4b\xaa\xc5\xcb\x27\xf3\x6a\xd2", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorage3D}, // libGL:glTextureStorage3D
  {(uint8_t*)"\x9d\x66\x4a\x37\x64\x81\x3a\x6d\xc2\x06\x43\x5e\x93\x1b\xaf\x43\xd9\xbb\xd3\x88\xe4\xc8\x5d\x7a\xfd\x99\x00\x8a\x84\xa1\x86\xb5", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorage3DMultisampleEXT}, // libGL:glTextureStorage3DMultisampleEXT
  {(uint8_t*)"\xdc\x00\x93\xbb\x3c\xe2\x92\xf0\x5a\xb3\x79\xa8\xa8\x2b\x29\x47\xd4\xf9\x27\x63\x83\x1d\x8a\xb7\xce\xc4\x9c\xd7\x66\xa0\x46\x29", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorage3DMultisample}, // libGL:glTextureStorage3DMultisample
  {(uint8_t*)"\xdc\x19\xca\xa3\xf0\x80\xad\x3c\x94\x68\x77\x6a\xc5\xd9\x08\x10\xd1\x07\x56\x08\x09\xf6\x04\x89\xf6\x66\x64\x2d\xd8\xaf\x67\xbb", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorageMem1DEXT}, // libGL:glTextureStorageMem1DEXT
  {(uint8_t*)"\xc6\xb6\xcc\x9e\x94\xa7\x41\x51\x20\x7e\xe7\xed\xe2\xf4\x88\xbd\xbe\x66\x73\xda\x98\x82\x86\x69\x9c\x5e\x58\xad\x68\x4c\x8b\xd7", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorageMem2DEXT}, // libGL:glTextureStorageMem2DEXT
  {(uint8_t*)"\x8e\xdb\x5c\x55\x03\xa1\xb6\xae\x4a\xc4\xe8\x06\x6f\x8c\xaa\x7d\x18\x50\x87\x8a\x60\xe7\xd2\x8e\xec\x81\xd1\xbc\xa2\xfa\x11\xd7", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorageMem2DMultisampleEXT}, // libGL:glTextureStorageMem2DMultisampleEXT
  {(uint8_t*)"\x52\xbe\x9a\x0e\x15\x40\x68\x1d\x2a\xe2\x80\x92\xc7\x78\xf7\x58\xa0\x3e\x75\x4a\xaf\x02\x7c\x93\x1f\x77\x0b\x89\x4f\xdb\x68\x1e", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorageMem3DEXT}, // libGL:glTextureStorageMem3DEXT
  {(uint8_t*)"\xc1\x24\xed\x9d\xdd\x50\xdf\xa0\x99\xb8\x44\xbf\x9b\xca\x54\x13\x44\x80\x30\xe6\x30\x74\x8e\x9c\x3f\x9d\x4b\x99\x56\xf4\x66\xda", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorageMem3DMultisampleEXT}, // libGL:glTextureStorageMem3DMultisampleEXT
  {(uint8_t*)"\x6d\xc3\x00\x1f\xc1\xa0\xb6\x24\xd2\x50\x25\x63\x9f\xfc\x21\xa9\x9c\x3d\x3b\x73\x4b\x21\xea\xd0\xdb\xcd\xd1\x5f\xda\xb3\xdd\x5d", (void(*)(void *))&fexfn_unpack_libGL_glTextureStorageSparseAMD}, // libGL:glTextureStorageSparseAMD
  {(uint8_t*)"\x57\x8c\x24\x34\x57\x3c\x2d\x68\xbd\x80\x5b\x54\x3c\x49\x88\xe4\x1a\x31\x52\x77\x31\xb5\x20\x9c\x42\xa4\x41\x9d\x30\x17\x78\xaa", (void(*)(void *))&fexfn_unpack_libGL_glTextureSubImage1DEXT}, // libGL:glTextureSubImage1DEXT
  {(uint8_t*)"\x3c\xd1\x26\x90\x2b\xd8\xcf\x15\x6d\xd5\x61\x2c\x59\x8c\xfc\xe0\xd8\x2e\x33\x5a\xa8\xde\x1c\x27\x05\x7a\xd9\x11\x07\x76\x6c\x4d", (void(*)(void *))&fexfn_unpack_libGL_glTextureSubImage1D}, // libGL:glTextureSubImage1D
  {(uint8_t*)"\x51\x2d\x43\x73\x97\xdb\x3f\xf0\xb5\xac\x62\x07\x1c\x20\xf3\xe1\x63\x18\xe7\x92\x8b\x31\x82\x15\xb8\x0f\x1d\x80\xa6\x96\x37\x56", (void(*)(void *))&fexfn_unpack_libGL_glTextureSubImage2DEXT}, // libGL:glTextureSubImage2DEXT
  {(uint8_t*)"\xec\xa6\x0c\x2e\x55\x2c\xa6\x3a\x3f\x6b\xfd\xbb\xc2\x69\x12\x7b\xd8\x08\x63\x4b\xb4\x05\xbc\x25\xaf\x7d\x40\x5b\x22\x17\xb1\x29", (void(*)(void *))&fexfn_unpack_libGL_glTextureSubImage2D}, // libGL:glTextureSubImage2D
  {(uint8_t*)"\x36\xe3\xad\xd9\xf9\x61\xce\x81\x03\x41\xdf\x9a\xb4\x8f\x16\x6c\x58\xd2\xdc\xfd\xd1\x28\x27\xf6\x3d\x0c\xdb\xdc\x2d\x2f\x47\x2b", (void(*)(void *))&fexfn_unpack_libGL_glTextureSubImage3DEXT}, // libGL:glTextureSubImage3DEXT
  {(uint8_t*)"\x51\x2c\x27\x2f\x26\xeb\xe5\xb0\x84\xc9\x96\xfa\x42\xf1\x8e\xe1\xfe\xde\x9e\xdf\xaf\x9d\xf9\x9b\xc4\xeb\x1c\x5d\x18\x74\xe0\x0f", (void(*)(void *))&fexfn_unpack_libGL_glTextureSubImage3D}, // libGL:glTextureSubImage3D
  {(uint8_t*)"\x5a\xed\x88\x5e\x65\xaa\x4e\x0e\x0b\x53\x41\xf5\xa1\x9c\x37\x63\x3d\x78\x18\xd3\x26\x55\x37\x8d\x01\x48\x2f\xb9\xaf\xb2\x38\x33", (void(*)(void *))&fexfn_unpack_libGL_glTextureView}, // libGL:glTextureView
  {(uint8_t*)"\xb5\x6f\x23\x91\x1e\x27\x7b\x34\x2e\xc7\x49\x18\x42\xb3\x18\x69\x34\x50\xcd\xf2\x8f\xec\x55\x65\x6c\x0a\xb8\x66\x9e\x8c\x83\x4f", (void(*)(void *))&fexfn_unpack_libGL_glTrackMatrixNV}, // libGL:glTrackMatrixNV
  {(uint8_t*)"\x77\x4d\x03\x76\xb8\xaf\x78\x47\x34\xc7\xc9\x71\xe6\xc5\xdc\xe3\xb8\xa4\xa4\x00\x8d\x55\x69\x48\x79\x2c\xe7\x36\xa7\xd7\xf4\x7e", (void(*)(void *))&fexfn_unpack_libGL_glTransformFeedbackAttribsNV}, // libGL:glTransformFeedbackAttribsNV
  {(uint8_t*)"\x3d\xcb\x99\x3a\x3a\xff\xee\x47\x28\x91\x1f\x12\x36\x14\x9c\x83\x64\x84\x97\x08\xc8\xe2\x47\xb6\xe8\x80\x8a\x17\x1b\xec\x96\xa2", (void(*)(void *))&fexfn_unpack_libGL_glTransformFeedbackBufferBase}, // libGL:glTransformFeedbackBufferBase
  {(uint8_t*)"\x58\x14\xcd\x65\x77\x3e\x72\x4d\xc9\x1a\xa7\xa0\x9a\xc7\x3b\x99\x10\x61\x62\x67\xcd\x4e\x91\xbb\x30\xb4\xf2\xfc\x7c\x58\xd8\x9e", (void(*)(void *))&fexfn_unpack_libGL_glTransformFeedbackBufferRange}, // libGL:glTransformFeedbackBufferRange
  {(uint8_t*)"\x01\x3d\xb5\xb0\x71\x9e\x22\xba\x45\x37\x4b\x9a\x64\xad\xb7\xe5\x6e\xaa\x56\xcd\x01\xff\xbc\xc4\xe2\xe4\x73\x84\xc0\xc5\x67\xe3", (void(*)(void *))&fexfn_unpack_libGL_glTransformFeedbackStreamAttribsNV}, // libGL:glTransformFeedbackStreamAttribsNV
  {(uint8_t*)"\x98\x84\xb2\x2a\x53\x66\x0a\x55\x61\x6d\xdf\x27\x75\xd9\x9e\x6b\x11\xca\x4c\x76\x3d\xfd\x8e\x46\x71\x9a\xf7\x1c\x79\x0e\xfd\x28", (void(*)(void *))&fexfn_unpack_libGL_glTransformFeedbackVaryingsEXT}, // libGL:glTransformFeedbackVaryingsEXT
  {(uint8_t*)"\x48\xd6\x07\x83\xb5\x2b\xb4\xda\xcf\x20\x84\xaa\x58\x40\x95\x63\x5a\xad\x01\xb8\xfb\xaf\xf1\x64\xf0\xa2\x64\x23\x11\x75\x1a\xa5", (void(*)(void *))&fexfn_unpack_libGL_glTransformFeedbackVaryings}, // libGL:glTransformFeedbackVaryings
  {(uint8_t*)"\xad\x11\xca\x67\xfb\x87\x95\x4f\xec\xa5\x4e\x48\xcf\x60\xe1\xdb\x96\xe8\xf9\x34\x0b\x41\x13\x56\x51\x05\x79\x3d\x31\x17\x40\xf3", (void(*)(void *))&fexfn_unpack_libGL_glTransformFeedbackVaryingsNV}, // libGL:glTransformFeedbackVaryingsNV
  {(uint8_t*)"\x8e\x92\xc5\x01\x65\x06\x55\x1a\x5f\xd3\x4d\x83\x26\x50\x35\xff\xa8\x28\x5b\xbd\x65\xd2\x9b\x19\x4d\x58\x91\x9d\x18\xd1\xff\x3e", (void(*)(void *))&fexfn_unpack_libGL_glTransformPathNV}, // libGL:glTransformPathNV
  {(uint8_t*)"\xf6\x3e\x40\xbb\xb0\x96\x74\x76\x37\x55\xa5\xf6\x32\xb3\x59\x41\x9f\xe8\xaf\x8d\x1d\xc0\xc7\x2f\x64\x4a\x5e\x41\x77\x95\x45\x2b", (void(*)(void *))&fexfn_unpack_libGL_glTranslated}, // libGL:glTranslated
  {(uint8_t*)"\x65\x66\x47\xc0\x80\x8e\xa1\x03\x04\x7d\x5b\xea\x53\xa3\xfa\x08\xb0\xca\xcc\xa4\x5a\x41\xff\xdf\x32\x55\x8e\x6f\x25\xa4\x85\x15", (void(*)(void *))&fexfn_unpack_libGL_glTranslatef}, // libGL:glTranslatef
  {(uint8_t*)"\x61\x5f\x21\x14\xad\x5d\x87\xfe\x9b\xaf\x04\x96\xe7\x29\x42\x39\x9b\xed\xf5\x96\x08\xc8\xa3\x9a\x79\x64\xe9\xe4\xd4\x6e\x94\x13", (void(*)(void *))&fexfn_unpack_libGL_glTranslatexOES}, // libGL:glTranslatexOES
  {(uint8_t*)"\xa2\x0c\x12\x3d\xfa\x7c\x36\xb8\x97\xc8\xfa\xa8\xbc\x04\x93\x29\x2c\x63\x40\x30\xa2\x52\x24\xc5\x14\xe0\x5b\x74\x99\x8d\x6e\x55", (void(*)(void *))&fexfn_unpack_libGL_glUniform1d}, // libGL:glUniform1d
  {(uint8_t*)"\xa5\xe8\x5c\x87\xd4\xf6\x0a\x44\xac\x2b\xff\x9c\x53\x8b\xab\x42\x05\x5f\xf3\x64\x66\xd3\x86\x05\xe8\x84\x97\x3c\xe5\x23\xf0\x2f", (void(*)(void *))&fexfn_unpack_libGL_glUniform1dv}, // libGL:glUniform1dv
  {(uint8_t*)"\xf7\x99\xbf\x3b\xf3\x0f\x04\xf8\x19\x4f\xa2\xc9\x64\x07\x6d\x6f\x1a\x0d\x52\x3b\xe0\xdc\x63\x14\xbd\x22\x4d\xa3\x4c\xfb\x36\x85", (void(*)(void *))&fexfn_unpack_libGL_glUniform1fARB}, // libGL:glUniform1fARB
  {(uint8_t*)"\x9e\x2e\x24\x3d\xf4\xa2\xd8\x56\x04\x61\x88\x66\x84\xf2\x7b\x2b\xe5\xe0\x76\xbf\x9a\x1a\x10\x86\x13\xf6\xf8\xf1\x62\xd7\x8c\x89", (void(*)(void *))&fexfn_unpack_libGL_glUniform1f}, // libGL:glUniform1f
  {(uint8_t*)"\x73\x04\x9c\xe9\x42\x18\x7a\x8b\x58\x91\xef\x60\x0e\xe6\xfa\x13\x6f\xbe\x68\x96\x22\xd3\x8d\x3e\x67\x62\x2c\x18\x61\x21\x85\x05", (void(*)(void *))&fexfn_unpack_libGL_glUniform1fvARB}, // libGL:glUniform1fvARB
  {(uint8_t*)"\x24\x79\x8f\x38\x04\xaf\x1a\x35\x46\xc2\xf8\xa2\x40\x94\xf1\xd9\x93\x3f\xbf\xe8\x65\xeb\x9e\xbc\xe9\x65\x13\xe3\xd9\x52\xcc\x64", (void(*)(void *))&fexfn_unpack_libGL_glUniform1fv}, // libGL:glUniform1fv
  {(uint8_t*)"\xee\x2d\x31\xc1\xcd\x71\x41\xeb\x39\xe6\x06\xf6\x38\xc9\xa5\x7d\x62\x4c\xb7\x05\xfe\x70\x84\x31\x36\xc0\xd2\xd0\x36\x42\xf7\xc5", (void(*)(void *))&fexfn_unpack_libGL_glUniform1i64ARB}, // libGL:glUniform1i64ARB
  {(uint8_t*)"\x49\xb3\x17\xd1\x74\xf5\x73\x0d\x79\x36\x8b\x7d\x81\x86\x1f\x21\x91\xb3\x84\xc0\x39\x38\x0e\xd4\xcf\xf6\xe3\x42\xb4\x63\xed\xd6", (void(*)(void *))&fexfn_unpack_libGL_glUniform1i64NV}, // libGL:glUniform1i64NV
  {(uint8_t*)"\x05\xe9\x74\xb8\xc6\x32\xc9\xe7\x2c\x4e\x3f\x4e\x88\x98\x2e\x1b\x22\xc7\x99\x63\x1b\x92\x01\x56\x7b\x02\xa4\x43\x22\x27\x71\x2f", (void(*)(void *))&fexfn_unpack_libGL_glUniform1i64vARB}, // libGL:glUniform1i64vARB
  {(uint8_t*)"\x35\x97\xfa\x5c\xf2\xeb\x2e\x4f\x49\x4e\x95\x4d\xde\x79\x8c\x83\x58\x2f\x6a\x3d\x69\x53\x02\xda\xef\x1f\x82\xd3\x2b\x94\xa5\x24", (void(*)(void *))&fexfn_unpack_libGL_glUniform1i64vNV}, // libGL:glUniform1i64vNV
  {(uint8_t*)"\x99\x79\x4c\xd9\x1d\x2c\x44\xfd\xb0\xc6\x33\xae\xe3\xb5\xd0\x9c\x51\x87\x1e\x86\x05\x41\xa0\xcd\x47\x37\x66\x04\xd2\xf5\x32\x24", (void(*)(void *))&fexfn_unpack_libGL_glUniform1iARB}, // libGL:glUniform1iARB
  {(uint8_t*)"\xca\x9a\x34\xf2\x32\xc5\xdd\x85\xc0\x57\xc0\xf8\xd3\x90\x2a\xaf\x9f\x8e\xbb\x43\xec\x56\x28\x4e\xda\x3b\x7e\x42\xaa\xdf\x61\x6b", (void(*)(void *))&fexfn_unpack_libGL_glUniform1i}, // libGL:glUniform1i
  {(uint8_t*)"\x90\x8c\x7f\xcd\x25\xe3\x96\xb3\x58\x49\xe5\xf6\xa9\x8e\xe3\xdb\x10\x68\x44\x8c\xee\x34\x3e\x57\xbb\xc3\xf2\xbc\x8e\xba\xdc\x05", (void(*)(void *))&fexfn_unpack_libGL_glUniform1ivARB}, // libGL:glUniform1ivARB
  {(uint8_t*)"\xd8\xc8\xa1\x34\x3f\xbb\x66\xf5\x05\x07\xb7\xcd\x64\xe5\x50\x62\xda\x3c\x56\x4e\xc3\xf3\xab\xf6\x47\xfb\x19\xec\x92\x2a\x16\x68", (void(*)(void *))&fexfn_unpack_libGL_glUniform1iv}, // libGL:glUniform1iv
  {(uint8_t*)"\x82\xca\xa4\x69\x71\x31\x9f\xa8\x85\x4d\x3b\x62\xdc\x00\x43\x3c\x68\x7c\x81\xb7\x8e\xf3\x59\x4e\xea\x15\x19\x1d\xb9\xb3\x2c\x38", (void(*)(void *))&fexfn_unpack_libGL_glUniform1ui64ARB}, // libGL:glUniform1ui64ARB
  {(uint8_t*)"\x4a\x04\x3c\x30\xe6\x2e\xfb\x05\x25\xd2\x15\xad\x5c\xe4\x8a\xbb\x98\xab\x0d\x2b\xbc\xd0\x6f\xd1\x78\xb1\x63\x55\x9b\xb0\x0e\xdd", (void(*)(void *))&fexfn_unpack_libGL_glUniform1ui64NV}, // libGL:glUniform1ui64NV
  {(uint8_t*)"\x40\xca\x22\x4c\x89\xb9\x03\xf7\x5e\xf0\x45\xec\x86\xbb\x46\x6a\x3f\xb9\x43\x8e\x8c\xb4\x2d\xc7\xc2\xc3\x52\x38\x44\x78\x6f\x50", (void(*)(void *))&fexfn_unpack_libGL_glUniform1ui64vARB}, // libGL:glUniform1ui64vARB
  {(uint8_t*)"\xca\x15\x29\xd0\xc9\x7e\x49\x5d\x7b\x63\x8e\xce\xd3\xfc\x6c\xf5\xcc\x6a\x69\xf2\xad\xd1\x4a\x35\xe6\x10\xc8\x81\x54\x8c\x1b\x02", (void(*)(void *))&fexfn_unpack_libGL_glUniform1ui64vNV}, // libGL:glUniform1ui64vNV
  {(uint8_t*)"\x9d\xaa\xea\xa2\x6d\x3e\x7f\xd8\x87\x6b\x2b\x45\xf5\x14\x5d\x2e\xdc\xa1\x87\x4e\x2b\xe6\x74\xfc\x6d\x99\xfc\xed\x78\x09\x23\x9e", (void(*)(void *))&fexfn_unpack_libGL_glUniform1uiEXT}, // libGL:glUniform1uiEXT
  {(uint8_t*)"\xcc\x16\x2f\xb5\x19\x2e\x4a\x6e\x13\x35\x81\x81\x7a\xec\xa1\xae\x61\x1d\xda\xb5\x4c\xcc\x74\x4d\xde\xbb\x8b\x84\x58\x32\xb8\x48", (void(*)(void *))&fexfn_unpack_libGL_glUniform1ui}, // libGL:glUniform1ui
  {(uint8_t*)"\x2d\x44\x3d\x4e\xd4\x0d\xd7\x04\xd4\xd1\xe9\xad\xf0\xd2\x5d\x21\x7e\x47\x0c\x55\x13\x0a\x1c\x3e\xd3\x74\xdc\x9c\x3b\x8b\x91\xc7", (void(*)(void *))&fexfn_unpack_libGL_glUniform1uivEXT}, // libGL:glUniform1uivEXT
  {(uint8_t*)"\x8e\x69\xce\x89\xbe\x19\x28\x20\x10\xc3\xf8\xe9\xbe\xdc\x12\xa4\xca\x50\x94\x46\xdf\xdc\x58\xff\x87\xf9\x02\x11\x2a\xc7\x88\x54", (void(*)(void *))&fexfn_unpack_libGL_glUniform1uiv}, // libGL:glUniform1uiv
  {(uint8_t*)"\x0a\xf7\xee\xf3\xab\xf8\xe7\xf8\xfc\xaf\xd2\x23\xa7\x29\x8c\x59\xfc\x91\x37\x94\xbb\xb7\x22\xce\xf7\xde\xf1\x2c\x8e\xcb\xb3\xf7", (void(*)(void *))&fexfn_unpack_libGL_glUniform2d}, // libGL:glUniform2d
  {(uint8_t*)"\xa4\x9b\xba\xdc\x57\xa4\x7a\xfa\xed\xfe\xe5\x7c\xfb\xe4\xa1\xec\x79\x1c\xea\x37\x2e\xa2\x3e\x24\x88\x6d\xe8\x6e\xdf\x40\x31\xf4", (void(*)(void *))&fexfn_unpack_libGL_glUniform2dv}, // libGL:glUniform2dv
  {(uint8_t*)"\x45\xcd\x87\xb7\x6c\x7b\xf5\x1a\x1b\x8b\xd0\x5c\xa9\xf1\x0a\xcd\xfe\x59\x02\xd2\xf4\x01\x5f\xc8\xb0\xe8\xc0\xf2\x67\x2e\x4e\xb5", (void(*)(void *))&fexfn_unpack_libGL_glUniform2fARB}, // libGL:glUniform2fARB
  {(uint8_t*)"\x6d\xb9\x7c\x16\xab\xcb\x4a\x0d\x74\xa0\xf3\xe9\x0d\xc3\x02\x98\x15\x3d\x62\x84\x97\x97\xf3\x0f\xb3\x65\x68\xa2\x9d\x3a\xee\xed", (void(*)(void *))&fexfn_unpack_libGL_glUniform2f}, // libGL:glUniform2f
  {(uint8_t*)"\xe0\xe0\x5a\xc2\x6c\x94\xcc\xc1\x04\xc9\x1f\x71\x99\xd9\x7a\xda\x2e\x5a\xa6\x78\x8a\x3d\xfc\x74\xdb\x6c\x8f\x9e\x57\x32\xeb\xa5", (void(*)(void *))&fexfn_unpack_libGL_glUniform2fvARB}, // libGL:glUniform2fvARB
  {(uint8_t*)"\xb1\x13\x02\xc2\xa8\x1c\xdd\xe3\x48\xf3\x4a\x07\x5e\xac\x84\x07\xb1\x59\xd8\x0d\xd4\xeb\x26\x2d\xb9\x90\x9c\xce\xfc\x10\x0a\x06", (void(*)(void *))&fexfn_unpack_libGL_glUniform2fv}, // libGL:glUniform2fv
  {(uint8_t*)"\xd8\x69\x0b\x10\x03\xa8\xdf\xcb\x03\x54\xf8\xcb\x40\xce\xd8\xbf\x27\x1c\xa1\x0e\x88\x50\x7f\x9b\x0d\x96\xc7\x80\x66\xe8\x7c\x29", (void(*)(void *))&fexfn_unpack_libGL_glUniform2i64ARB}, // libGL:glUniform2i64ARB
  {(uint8_t*)"\xd3\xe4\x0a\x49\xa3\x32\x13\x42\x38\x5c\x5e\xe7\x18\x18\x87\x67\x7f\x02\x07\x53\x13\x92\x74\x77\x3b\xcc\xe3\x57\x2f\x24\xfa\xa8", (void(*)(void *))&fexfn_unpack_libGL_glUniform2i64NV}, // libGL:glUniform2i64NV
  {(uint8_t*)"\xd2\x4e\xbf\x10\x23\x15\xb0\x95\xb3\x02\x4c\x61\xbf\x0c\x14\x5c\xc4\x6a\xaf\x08\x89\xa3\xb6\xbd\xfc\x96\x6e\xf7\x9c\xd1\xab\xe4", (void(*)(void *))&fexfn_unpack_libGL_glUniform2i64vARB}, // libGL:glUniform2i64vARB
  {(uint8_t*)"\x06\x7f\x99\x2c\x3e\x17\x7e\x50\xbe\x18\x91\xd6\xa2\x74\x76\xd2\x8a\x7a\xc3\xa4\xfe\x57\x57\x49\x9f\x3b\x3d\xb0\x45\xfb\x19\xee", (void(*)(void *))&fexfn_unpack_libGL_glUniform2i64vNV}, // libGL:glUniform2i64vNV
  {(uint8_t*)"\xe4\x65\x37\x53\x10\x12\xd0\x65\xd2\x03\x1e\x45\xca\x3f\x96\x88\xb4\xfd\x91\x37\x18\x2c\xd3\x9d\x11\x81\x55\x9d\x18\xf6\xc5\x63", (void(*)(void *))&fexfn_unpack_libGL_glUniform2iARB}, // libGL:glUniform2iARB
  {(uint8_t*)"\x14\xab\xe5\xad\x22\x54\xc4\x11\xbd\xa7\x77\xf9\xfd\x15\xc8\x28\xd2\x62\x2a\xac\x14\xda\x7e\x44\x80\xf8\xdb\x8c\x8a\x77\x88\xfb", (void(*)(void *))&fexfn_unpack_libGL_glUniform2i}, // libGL:glUniform2i
  {(uint8_t*)"\x58\xd5\x23\x52\x17\xf3\x88\x27\x69\x43\x8c\xd6\x76\x7e\x63\x41\xd3\x42\x16\x04\x5b\xde\x4f\x30\x24\x06\x53\x0d\x51\x06\x4f\x72", (void(*)(void *))&fexfn_unpack_libGL_glUniform2ivARB}, // libGL:glUniform2ivARB
  {(uint8_t*)"\x85\x14\x48\x50\x79\xe9\x27\x26\x65\xc2\xca\x51\x69\x56\x35\xee\x79\xde\x9a\x20\x89\x02\x4c\xd6\xbb\xa6\xf7\xf0\xf8\x3f\x6c\xec", (void(*)(void *))&fexfn_unpack_libGL_glUniform2iv}, // libGL:glUniform2iv
  {(uint8_t*)"\xb3\xfe\xdd\xfd\xdd\x66\xb5\x46\x29\x24\x3a\x5f\xeb\x99\x3e\x95\xcf\xcb\x3a\xfc\xff\x60\xdf\x3d\xdb\xcd\x66\x14\x22\x54\xc5\x04", (void(*)(void *))&fexfn_unpack_libGL_glUniform2ui64ARB}, // libGL:glUniform2ui64ARB
  {(uint8_t*)"\x33\x68\x09\x74\xe8\xdb\x6b\xaf\x04\x50\x65\x2a\xc7\x77\x75\xd8\xf2\xe7\x37\xd7\x68\x3b\x1d\xb4\xe3\x55\xc6\x8f\xbc\xe0\xad\x86", (void(*)(void *))&fexfn_unpack_libGL_glUniform2ui64NV}, // libGL:glUniform2ui64NV
  {(uint8_t*)"\x07\x5d\xa6\xbf\xbc\x2e\x95\xe1\xc3\x3e\xd0\xb1\xbf\xe1\xaa\xa1\xb4\x87\xc1\x61\xf1\x0c\xcf\x9c\xd2\x7f\x96\xd2\x3a\x34\xb1\x11", (void(*)(void *))&fexfn_unpack_libGL_glUniform2ui64vARB}, // libGL:glUniform2ui64vARB
  {(uint8_t*)"\x9e\x56\x33\xd6\x08\x52\xc1\xba\x6d\x32\xae\x71\x59\x4d\x37\xb6\x83\x72\x14\x53\x04\xd7\x8c\xdc\x7f\x75\xbf\xce\x90\x25\xbf\x02", (void(*)(void *))&fexfn_unpack_libGL_glUniform2ui64vNV}, // libGL:glUniform2ui64vNV
  {(uint8_t*)"\x11\x4c\xa5\x6a\x3e\x9a\x8b\x1d\xfe\xb7\x44\x4d\x5c\xfd\xbf\xfd\x62\x21\xbf\x57\x85\xab\x98\xc9\xe1\x3c\x68\x28\x9a\x17\x94\x92", (void(*)(void *))&fexfn_unpack_libGL_glUniform2uiEXT}, // libGL:glUniform2uiEXT
  {(uint8_t*)"\x2c\x67\x05\xc6\x37\x43\xbe\x85\x72\xf2\xd6\x8c\xa7\x51\xf9\xba\x3d\x31\x64\x74\xbc\x8d\x9b\xe1\xf5\x18\xae\x5b\x00\x8d\x18\x56", (void(*)(void *))&fexfn_unpack_libGL_glUniform2ui}, // libGL:glUniform2ui
  {(uint8_t*)"\xbf\x7b\x62\x0b\x48\x1b\x23\x77\xcc\x8c\xa3\x13\xbd\x8f\x26\xe7\x2c\x6d\xd3\x95\x0a\xd1\x25\x7a\x0b\xf2\xed\xc6\xf2\x85\x65\x08", (void(*)(void *))&fexfn_unpack_libGL_glUniform2uivEXT}, // libGL:glUniform2uivEXT
  {(uint8_t*)"\x1a\xea\x7a\xe3\x6d\x09\xd5\x43\x7c\x2a\x71\x77\x4c\x31\xce\x26\xd4\x54\x33\xaf\x1c\x21\x6f\x68\x56\x78\xa3\xfc\x0b\xfc\x50\x24", (void(*)(void *))&fexfn_unpack_libGL_glUniform2uiv}, // libGL:glUniform2uiv
  {(uint8_t*)"\x88\xcd\xc8\x01\x07\x07\xcc\x57\x61\x62\x9d\x9e\x03\x14\x90\xdc\xc0\xec\xc5\xa0\x20\xfa\x72\xfb\xa6\xc1\xbc\x41\x5e\x6f\x84\x77", (void(*)(void *))&fexfn_unpack_libGL_glUniform3d}, // libGL:glUniform3d
  {(uint8_t*)"\xf1\xb7\x48\xa9\x4d\x0a\x28\xfa\xcc\xf2\x73\xe7\x55\xcd\x4e\x7f\x4a\xdf\xde\x11\x15\xfe\x6e\x40\xbd\x86\x97\x50\x1a\xe0\x61\x34", (void(*)(void *))&fexfn_unpack_libGL_glUniform3dv}, // libGL:glUniform3dv
  {(uint8_t*)"\x99\x38\xfa\xa8\xdc\xfb\xf1\xbd\x56\x2d\xb5\x35\xcf\xfd\xe7\x26\x7f\x47\x31\xba\xf6\x3e\xc7\xf9\x28\xbc\x98\x55\xd4\x60\x2e\x25", (void(*)(void *))&fexfn_unpack_libGL_glUniform3fARB}, // libGL:glUniform3fARB
  {(uint8_t*)"\x96\x5d\x14\xfe\x7d\xb6\x08\x1a\x01\xab\x45\xed\x43\xb5\x34\xc9\x8a\xb6\x17\x01\x40\x98\xf8\xfa\x66\x21\xec\x86\xa4\x42\x19\x0f", (void(*)(void *))&fexfn_unpack_libGL_glUniform3f}, // libGL:glUniform3f
  {(uint8_t*)"\x29\xef\x52\x44\x1c\xc6\x42\x24\x30\x4b\x70\x76\x90\xf3\xbe\x1b\x2a\x46\xe5\x9c\x54\x2b\x94\x13\xff\x8e\x8c\x47\x3f\xa5\xce\xe4", (void(*)(void *))&fexfn_unpack_libGL_glUniform3fvARB}, // libGL:glUniform3fvARB
  {(uint8_t*)"\xe4\xce\xff\x2c\xda\x05\x7a\xfa\x5b\xd4\x15\xc1\xbd\x90\x2d\x42\x22\x60\x69\x1e\x63\x9e\xe6\x7d\x6b\x47\x53\x22\x0c\x61\xc5\xa8", (void(*)(void *))&fexfn_unpack_libGL_glUniform3fv}, // libGL:glUniform3fv
  {(uint8_t*)"\xf1\xc1\x82\xd3\x98\x24\x53\x3d\x50\x67\xdb\xbf\x5a\x07\xb1\xc3\xbe\xa0\x59\xe9\x79\x11\xad\xdc\x64\x7a\x41\x10\xd0\x59\xf8\x4b", (void(*)(void *))&fexfn_unpack_libGL_glUniform3i64ARB}, // libGL:glUniform3i64ARB
  {(uint8_t*)"\x6c\x77\x16\x5d\x16\x4e\x12\x34\xae\x86\xff\xa6\xec\xf9\xfe\x3d\xff\x3b\x0f\xba\xe1\xc7\xe3\x62\x58\x34\xc2\xa8\x5e\x0c\x66\x6a", (void(*)(void *))&fexfn_unpack_libGL_glUniform3i64NV}, // libGL:glUniform3i64NV
  {(uint8_t*)"\x8d\x3b\x7c\x79\x5c\x53\xf4\x1d\xce\x92\xc7\xe5\xaa\xba\xbd\x6b\x69\x6c\xfd\xd7\x70\x26\x9a\xe5\xd5\x4d\xa8\xcb\xca\x67\xd3\xfa", (void(*)(void *))&fexfn_unpack_libGL_glUniform3i64vARB}, // libGL:glUniform3i64vARB
  {(uint8_t*)"\x91\xd2\xe2\xdc\x7f\xc1\xb9\xfd\x61\xe8\xca\x7c\x91\x44\x3b\x3d\xac\xe9\x94\x09\xd6\x6e\xec\x2f\x47\x7f\xc9\xc5\x3c\x9e\x2f\xdc", (void(*)(void *))&fexfn_unpack_libGL_glUniform3i64vNV}, // libGL:glUniform3i64vNV
  {(uint8_t*)"\x17\x85\xf4\x92\x8a\x59\x55\x2c\xc2\x41\x56\x2e\xc6\xb0\x29\xc5\x0d\xe3\x4b\xea\x3a\xe7\x2b\xc8\x6a\x3d\xb4\x4c\x44\x01\x86\x7d", (void(*)(void *))&fexfn_unpack_libGL_glUniform3iARB}, // libGL:glUniform3iARB
  {(uint8_t*)"\xe5\x79\xd9\xb2\x43\x1e\xb5\x3d\xc8\xd6\xf9\x65\xc7\xf7\xfc\xc2\xac\xa4\xff\x93\xb7\x4a\x29\xbe\x95\xb0\xf1\x37\xb5\x06\xb6\x4a", (void(*)(void *))&fexfn_unpack_libGL_glUniform3i}, // libGL:glUniform3i
  {(uint8_t*)"\x07\xbf\x6a\xed\xca\xd0\x49\x15\x9d\xac\x3a\x8f\xd4\x16\xc4\xb5\xa4\x2a\x54\xad\x01\xcd\x9d\x4b\x9d\xe1\xdf\x36\x35\xe9\xcb\x49", (void(*)(void *))&fexfn_unpack_libGL_glUniform3ivARB}, // libGL:glUniform3ivARB
  {(uint8_t*)"\xb3\x6b\x9e\x0f\x55\x41\x14\x9d\x4c\x07\xd2\x13\xf6\x7c\x5d\xba\x98\xca\x34\x96\x11\xdd\x87\x85\x5d\xf9\xb9\x78\x91\xb4\x3f\xd0", (void(*)(void *))&fexfn_unpack_libGL_glUniform3iv}, // libGL:glUniform3iv
  {(uint8_t*)"\x41\x84\xeb\xb0\xae\x0e\xff\x31\xe7\x38\xd8\x2e\xd9\xc8\x00\xb5\x8c\x05\x28\x3a\xff\x63\x48\x7f\x17\x53\xd8\x38\xf5\xb1\xf0\xab", (void(*)(void *))&fexfn_unpack_libGL_glUniform3ui64ARB}, // libGL:glUniform3ui64ARB
  {(uint8_t*)"\xff\x52\x46\xa7\xe5\x86\xb0\x81\x80\x3e\x8a\x4b\xc0\x44\x95\x44\x69\xae\xff\xa4\xef\x7b\xcd\x29\xc0\x8c\x98\x73\x55\x43\x5e\x24", (void(*)(void *))&fexfn_unpack_libGL_glUniform3ui64NV}, // libGL:glUniform3ui64NV
  {(uint8_t*)"\xe1\xb1\x48\x19\xc8\xb1\xb0\x34\xe2\x4b\x56\x3f\x31\x87\x30\x76\xe8\x7d\xa2\x74\xdb\x0e\x04\x05\x70\xa9\xa8\x44\xd7\xb6\x23\x9b", (void(*)(void *))&fexfn_unpack_libGL_glUniform3ui64vARB}, // libGL:glUniform3ui64vARB
  {(uint8_t*)"\x05\xc1\x54\x11\x15\x1d\x7e\xbc\x89\x96\x7f\xc0\xe3\x13\xe9\xba\x63\xef\x32\x56\x83\xed\x62\xdb\x78\xfa\x8c\x9c\x92\x1e\x5e\xaf", (void(*)(void *))&fexfn_unpack_libGL_glUniform3ui64vNV}, // libGL:glUniform3ui64vNV
  {(uint8_t*)"\x09\x4a\xf8\x40\x52\xee\xcc\x6d\x44\x5a\xf4\x1e\x25\xca\x65\xe1\x0d\x94\x4f\x07\x02\xb2\x76\x5c\x82\x53\xb0\x49\x02\x28\xc2\x8e", (void(*)(void *))&fexfn_unpack_libGL_glUniform3uiEXT}, // libGL:glUniform3uiEXT
  {(uint8_t*)"\x93\x4d\x7e\xae\xd9\x27\x64\x2a\x3a\x6f\xb1\x4a\x5a\x0c\x1b\x35\x15\x43\x02\x07\x78\xa7\x4a\x7e\x0f\x88\x5f\x71\x4c\xa5\xcb\x20", (void(*)(void *))&fexfn_unpack_libGL_glUniform3ui}, // libGL:glUniform3ui
  {(uint8_t*)"\xcc\x38\xce\x63\x55\x86\x76\x2f\x89\x77\xe2\x3f\xd5\xef\x08\x78\xfd\xcc\x50\x77\x79\x7d\x37\xe3\x76\x98\xde\x2d\xb4\xf5\xa0\x63", (void(*)(void *))&fexfn_unpack_libGL_glUniform3uivEXT}, // libGL:glUniform3uivEXT
  {(uint8_t*)"\x77\xc6\x95\x1f\x49\xdd\xc4\x34\xa9\x20\xd1\xdb\xb1\x0f\x25\x7c\x5d\x29\xd6\x98\x8f\x09\x64\x3c\x43\xb5\x59\xc9\x55\x02\xb3\x0f", (void(*)(void *))&fexfn_unpack_libGL_glUniform3uiv}, // libGL:glUniform3uiv
  {(uint8_t*)"\xe3\xf5\xa5\xc1\xa1\x59\xbb\x67\x33\x88\x9b\x91\x16\x71\x10\x65\x67\x96\x04\xfd\x02\x65\x3e\x42\x79\x6a\x30\xd5\xe3\x3b\x2e\x39", (void(*)(void *))&fexfn_unpack_libGL_glUniform4d}, // libGL:glUniform4d
  {(uint8_t*)"\x57\xcb\x67\xa4\xe3\x90\x88\xd0\x8b\x42\x24\x37\x22\xf2\xa7\x19\xd5\xab\x82\x86\x97\xda\xa5\x13\x52\x5e\x45\xc5\x72\xe2\xf2\x39", (void(*)(void *))&fexfn_unpack_libGL_glUniform4dv}, // libGL:glUniform4dv
  {(uint8_t*)"\x5d\xd0\xe2\x53\x46\x16\x72\x36\x3e\x63\x86\xfd\xc7\x54\x27\x6e\xe8\x47\xa2\xd2\x3c\x3a\x8b\x59\xe2\x02\x78\xc4\xcc\xcb\x2e\x92", (void(*)(void *))&fexfn_unpack_libGL_glUniform4fARB}, // libGL:glUniform4fARB
  {(uint8_t*)"\x02\xfd\xc5\x88\x93\xcb\x4a\xca\x38\x73\x89\x72\xf7\x38\xdb\x14\xf5\xd9\xbc\x04\x52\x11\x4e\x00\xac\x95\xb1\x99\x52\x2c\xf8\x08", (void(*)(void *))&fexfn_unpack_libGL_glUniform4f}, // libGL:glUniform4f
  {(uint8_t*)"\x86\xd9\x82\x30\x1b\x24\x63\x94\x4f\xf2\xb8\xc9\xc4\xde\xad\x90\x6e\x1a\x4c\x98\x1a\x09\xa7\x54\x55\xd5\x01\x58\x25\x99\xef\x4d", (void(*)(void *))&fexfn_unpack_libGL_glUniform4fvARB}, // libGL:glUniform4fvARB
  {(uint8_t*)"\xfc\x06\xdb\x77\xc3\x42\x50\x2f\xd1\x3d\x7a\xe9\x9f\xe1\xee\x2e\x60\x8a\x6d\xe8\x2e\x0f\x69\xcc\x5e\x46\xe6\x47\xff\xa7\x52\x8a", (void(*)(void *))&fexfn_unpack_libGL_glUniform4fv}, // libGL:glUniform4fv
  {(uint8_t*)"\x88\xd8\x66\x1f\x25\xe3\xfe\xc5\x58\x37\xa7\xd1\x70\x25\x4f\x0b\x8d\xcd\x48\xee\x21\x55\x57\xd9\x0a\x75\x68\x2c\x73\x15\x38\x43", (void(*)(void *))&fexfn_unpack_libGL_glUniform4i64ARB}, // libGL:glUniform4i64ARB
  {(uint8_t*)"\x89\x5c\x95\x17\x32\xf4\x3f\x3c\xa8\xb6\x41\x3e\x90\x16\x8a\xec\x3a\xa3\xda\xce\x23\xba\x0c\x39\xd5\xd4\xf6\x6f\xea\x80\x40\x6c", (void(*)(void *))&fexfn_unpack_libGL_glUniform4i64NV}, // libGL:glUniform4i64NV
  {(uint8_t*)"\x21\xb3\x2c\x55\x8c\xea\x51\xb2\xd2\xce\xf4\xcc\xe6\x38\x64\x49\x10\xd1\x16\xf8\xe0\x87\xf7\x83\x3a\x1d\xdf\x9f\x6f\x18\x8f\x6e", (void(*)(void *))&fexfn_unpack_libGL_glUniform4i64vARB}, // libGL:glUniform4i64vARB
  {(uint8_t*)"\xf9\x92\xe0\x08\xc3\xe5\x82\xa1\xee\x43\xd8\x85\xe4\x90\x56\x63\x66\xca\x45\xf9\xc6\x43\x38\x48\x2e\x92\xe7\x37\xc9\xcb\x53\xe8", (void(*)(void *))&fexfn_unpack_libGL_glUniform4i64vNV}, // libGL:glUniform4i64vNV
  {(uint8_t*)"\xf3\x41\xeb\x64\x10\xb4\x58\x61\x91\x1d\xa7\xc0\x99\x6c\x25\x07\x6f\xec\x71\x1a\x5d\x61\xd9\xd1\x34\x1d\x40\x07\xe3\x72\xac\xf7", (void(*)(void *))&fexfn_unpack_libGL_glUniform4iARB}, // libGL:glUniform4iARB
  {(uint8_t*)"\x7f\x27\xc5\x66\x38\x02\x9a\xbb\x64\xa7\x64\x76\xe3\xf3\x9a\xe4\x53\x97\x80\x5e\xa2\xc9\x36\x89\x33\xf7\x59\xc3\x15\x5c\xd1\x96", (void(*)(void *))&fexfn_unpack_libGL_glUniform4i}, // libGL:glUniform4i
  {(uint8_t*)"\x8b\xec\xd7\x69\x95\xf1\x18\x06\x84\xf1\x81\xb5\xeb\x4c\x16\x0f\x9b\x9b\x83\x12\xb8\x96\xe4\xaa\xdd\xbc\x57\xc4\x7b\xe9\xf9\xad", (void(*)(void *))&fexfn_unpack_libGL_glUniform4ivARB}, // libGL:glUniform4ivARB
  {(uint8_t*)"\x7b\x41\x61\x9b\xb2\x1b\x2b\x3e\xcc\x8b\x1b\x0f\xe7\x77\xea\x27\x83\xd9\xd6\x0a\x33\x3a\xab\x4a\xc6\x72\x90\xf9\x41\x33\xbc\x30", (void(*)(void *))&fexfn_unpack_libGL_glUniform4iv}, // libGL:glUniform4iv
  {(uint8_t*)"\x00\x67\x05\x3c\x0a\x61\x17\xb2\x5a\xe7\x90\x66\x4f\x02\xed\x6f\x24\xff\x85\x49\xdb\xde\xdf\xc0\x0c\x37\x1f\xdb\xe1\xbe\xb4\x39", (void(*)(void *))&fexfn_unpack_libGL_glUniform4ui64ARB}, // libGL:glUniform4ui64ARB
  {(uint8_t*)"\xe7\x90\x65\xc9\x6a\xe3\xea\x58\xbd\x87\xd7\xa9\xca\xed\x57\x8a\x1c\x5e\x6c\x20\xc5\x72\xcf\x9b\xfb\xc8\x5d\xbb\x87\x80\xb8\xe4", (void(*)(void *))&fexfn_unpack_libGL_glUniform4ui64NV}, // libGL:glUniform4ui64NV
  {(uint8_t*)"\xdf\xe9\xd2\x55\xeb\x6d\x32\x96\x47\xa8\xab\x23\x92\x20\xe4\x19\x15\x98\x47\x67\x89\xee\x00\xfa\x11\x4a\xb9\xd9\xce\x22\x51\xfd", (void(*)(void *))&fexfn_unpack_libGL_glUniform4ui64vARB}, // libGL:glUniform4ui64vARB
  {(uint8_t*)"\x8c\x11\xf9\xe8\x24\xa2\xbc\xd6\x57\x37\xf3\x78\x08\x53\x1c\xdd\xf8\x33\x83\x70\xd6\xd8\xdb\x3c\x35\x90\x77\x9e\x5b\xf9\x01\x70", (void(*)(void *))&fexfn_unpack_libGL_glUniform4ui64vNV}, // libGL:glUniform4ui64vNV
  {(uint8_t*)"\xd2\x52\x0c\xb1\xa1\xd0\xec\x2a\x2d\x08\x11\x31\x7c\x06\x5d\x3c\x27\xe5\xfe\x14\xfa\xf9\xda\xab\x12\x26\x97\xf8\x55\xe3\x7b\xd4", (void(*)(void *))&fexfn_unpack_libGL_glUniform4uiEXT}, // libGL:glUniform4uiEXT
  {(uint8_t*)"\x89\xaf\x86\x2f\x09\x79\xc6\xc4\x0f\xc4\xbd\x5d\xe8\xe1\x1e\xe1\x02\xc4\xae\x4f\x8e\xe9\x42\xad\x1f\xf5\x54\x3f\x94\x17\x5f\x9c", (void(*)(void *))&fexfn_unpack_libGL_glUniform4ui}, // libGL:glUniform4ui
  {(uint8_t*)"\xb5\x67\x0c\x69\xb1\x89\xb9\xed\x95\x47\x12\x60\xd1\x29\x23\x31\x1b\x7d\xa3\xb4\xbf\x12\xe3\x9a\x89\xe4\xa9\x03\x5a\x6e\xf7\xc3", (void(*)(void *))&fexfn_unpack_libGL_glUniform4uivEXT}, // libGL:glUniform4uivEXT
  {(uint8_t*)"\xc9\xc0\x19\x38\x98\x9d\x47\x6e\xa3\x6e\x7b\xd0\x11\x4b\xf0\xd4\x25\x61\x0a\x34\xcf\x0a\xdf\xdd\xd8\x56\xc0\x89\x7c\xb6\x9d\x82", (void(*)(void *))&fexfn_unpack_libGL_glUniform4uiv}, // libGL:glUniform4uiv
  {(uint8_t*)"\x48\xf5\x67\xee\x9b\x83\x7e\xd4\x10\xf6\x80\x22\xb8\x1c\xfa\x56\xfc\x5e\x3a\xd0\xf0\xa4\x65\x7c\xcb\x01\xe9\xb7\x20\x9e\xa2\x30", (void(*)(void *))&fexfn_unpack_libGL_glUniformBlockBinding}, // libGL:glUniformBlockBinding
  {(uint8_t*)"\x26\xa6\xdd\xc3\x51\x30\xb3\x24\x99\xad\xf8\xc5\x0b\x4d\xe0\xb3\x16\x23\x62\x10\x05\xd4\xf9\x55\x57\x9f\x9e\xf3\xa9\x71\xa8\xfc", (void(*)(void *))&fexfn_unpack_libGL_glUniformBufferEXT}, // libGL:glUniformBufferEXT
  {(uint8_t*)"\xb2\x67\xdc\xa9\x57\x99\x3d\x56\x51\x1f\x9a\xf0\x54\x68\x3a\xa2\x31\xf3\xf9\x72\x7b\x28\xe5\xbb\x5f\xb9\x20\xc5\x56\x08\xed\xfb", (void(*)(void *))&fexfn_unpack_libGL_glUniformHandleui64ARB}, // libGL:glUniformHandleui64ARB
  {(uint8_t*)"\x27\xb3\x82\xfb\xc9\x1d\xc3\x29\x2e\x34\xbd\xf4\xcc\x85\x21\x39\xd1\xf0\x9a\x7d\xcc\xd9\xd9\xe0\x63\x3d\x7f\xad\xf8\x2b\x38\x13", (void(*)(void *))&fexfn_unpack_libGL_glUniformHandleui64NV}, // libGL:glUniformHandleui64NV
  {(uint8_t*)"\x23\x30\xfe\x1b\x29\xdf\x1b\x61\xc9\x57\x36\x8f\x95\x80\x79\xd4\x5f\x5e\x9d\x52\x29\x85\xc5\xbf\xc4\x9b\x79\xb3\xab\xc7\x32\x8f", (void(*)(void *))&fexfn_unpack_libGL_glUniformHandleui64vARB}, // libGL:glUniformHandleui64vARB
  {(uint8_t*)"\x03\x8c\xea\xf4\x78\x95\x3d\xf0\xef\x4c\x18\x06\xea\x42\x6e\x4d\x2f\x52\xc2\x36\xe6\x12\x4a\xc9\xc2\xce\xa5\x3a\x53\xd1\xc4\x9b", (void(*)(void *))&fexfn_unpack_libGL_glUniformHandleui64vNV}, // libGL:glUniformHandleui64vNV
  {(uint8_t*)"\xc3\xe1\x0f\xef\x54\x7b\x6e\x86\x79\x84\xa0\xc4\x1f\x84\x74\x15\x38\xf9\xef\x6c\xd0\x74\x8f\x26\x7c\x0b\x4f\xc7\x79\xe0\x41\x91", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix2dv}, // libGL:glUniformMatrix2dv
  {(uint8_t*)"\x8b\xbb\x86\xa6\x11\xd6\x8b\xce\x84\xcb\xbd\x5e\xed\x88\xc7\xa6\xc5\xc8\xda\x9e\xab\x9c\xa1\x29\x67\xd0\x6d\xe2\xcf\x20\xb5\x8a", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix2fvARB}, // libGL:glUniformMatrix2fvARB
  {(uint8_t*)"\x17\xdb\x5f\xc7\x30\x1a\x41\x0f\x8d\x20\xad\xbf\xc5\xb1\xec\x9a\x96\x85\xa2\x87\x07\xcb\x9e\xbb\xad\x24\x2f\x54\x28\x00\x06\x0b", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix2fv}, // libGL:glUniformMatrix2fv
  {(uint8_t*)"\x7a\x76\x2c\xf1\x0a\xc6\x8f\x83\xfb\xed\xa2\x01\xb6\x97\xa7\x27\x44\x56\x85\x88\x4d\x4e\x45\xf5\xea\x7d\xce\xe6\xe1\x0e\x22\xc3", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix2x3dv}, // libGL:glUniformMatrix2x3dv
  {(uint8_t*)"\x0b\x81\xd1\x5b\x2d\x22\x6c\x36\xd7\xea\xf2\x7a\xb2\x5b\x10\x11\x4d\x3c\xbf\xe9\x4d\x0d\x87\xe1\xf1\xf4\x2d\xad\x66\xbd\x59\x13", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix2x3fv}, // libGL:glUniformMatrix2x3fv
  {(uint8_t*)"\x76\x71\xbe\x97\xd3\x2e\xbf\x11\xbe\xe2\xad\xe4\xc3\x10\x0f\x6c\xda\xe8\x1b\x47\xb8\xc9\x8d\x99\x20\x90\xc9\xc3\xe8\x7d\x1e\xb9", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix2x4dv}, // libGL:glUniformMatrix2x4dv
  {(uint8_t*)"\x13\x23\x64\x47\x4e\x96\xfc\xdf\xd3\x3e\xdf\xb8\xff\xda\x47\x0b\x4f\xd5\x40\x7d\x39\x46\x78\x82\x7b\x44\x5a\xa4\xec\xc4\xe1\x81", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix2x4fv}, // libGL:glUniformMatrix2x4fv
  {(uint8_t*)"\xf0\xf6\x26\x65\xb4\xbd\x08\x97\x94\xd6\x5e\xae\xb3\xa5\x84\xfb\xf2\x86\x67\xc6\xa8\x42\x12\x9c\x35\x81\xab\x23\x74\xee\x70\xae", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix3dv}, // libGL:glUniformMatrix3dv
  {(uint8_t*)"\x99\x7e\x61\x48\xd4\xca\xcd\x56\x6b\x6d\xbb\x35\x9d\xc7\x3f\x79\xad\x4b\x69\xc4\x33\x24\x8b\x56\x55\x4f\x30\x37\x17\x90\x3d\x34", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix3fvARB}, // libGL:glUniformMatrix3fvARB
  {(uint8_t*)"\x1d\xdb\xdc\xc6\xb1\x47\x6b\xaa\xe5\x35\xe2\xad\x32\xe5\xcd\x22\x29\x96\x7e\x8e\x9e\x96\xec\xc6\x14\x2b\x4b\xcc\x1b\x0b\x03\x73", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix3fv}, // libGL:glUniformMatrix3fv
  {(uint8_t*)"\xaf\x0a\xc5\xb0\xc0\x04\xaa\x1e\x8a\xe8\x09\x66\x5d\x7c\x30\xf1\xd4\x6a\x1c\x24\x20\x98\x21\x34\x61\x48\xc4\x5d\x4c\x0f\xf8\x28", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix3x2dv}, // libGL:glUniformMatrix3x2dv
  {(uint8_t*)"\x50\xe0\x01\x65\x48\x98\xd2\xf7\x37\xa0\x65\x44\xe8\x9a\xaf\x0d\x7b\xfb\x01\xb7\x3d\x1a\x72\x8c\x89\x06\x1a\x1b\x36\xa1\x46\xc8", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix3x2fv}, // libGL:glUniformMatrix3x2fv
  {(uint8_t*)"\x54\x10\x5d\x28\x25\x06\xd2\x44\xc4\xfa\x9f\x0e\xc9\xc3\x84\xbf\xf3\xb2\xae\xde\x96\xe6\x68\x03\x0a\x1c\x40\x3a\x0a\xfa\x40\x45", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix3x4dv}, // libGL:glUniformMatrix3x4dv
  {(uint8_t*)"\x4b\x5d\x20\xc2\x7d\xbc\x4d\x99\x1a\x20\xd4\x96\x22\xbb\x9f\x89\x9d\xb3\xa0\x35\x45\xfc\xaf\xe3\x5d\x3b\x75\x73\xf8\x5c\xa9\x3b", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix3x4fv}, // libGL:glUniformMatrix3x4fv
  {(uint8_t*)"\x24\x13\x36\x0d\x39\x1a\x8c\xfe\xb4\xa7\x75\x2d\xd3\xa1\x95\xb8\xef\xdd\xc4\x67\x48\x3d\x9d\x5f\x2e\xab\xd8\x4b\x09\x26\x6a\xfd", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix4dv}, // libGL:glUniformMatrix4dv
  {(uint8_t*)"\xb0\x7e\x71\x66\xea\x1c\x0b\x78\x4e\xab\xea\x5d\x88\x22\x0d\xd3\x2f\x57\x1b\x74\xf6\xb1\x6b\x90\xf6\x6c\xde\xd8\xe4\x28\x5d\xe9", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix4fvARB}, // libGL:glUniformMatrix4fvARB
  {(uint8_t*)"\xb6\x2a\xe6\x26\xe1\xbf\x5d\xbd\x1d\x16\xb6\x1d\xb5\xc3\x92\xc9\x64\x74\x2f\xd8\xe5\x20\xc4\x6d\x41\xd8\x69\xd9\xce\x81\xf4\x7b", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix4fv}, // libGL:glUniformMatrix4fv
  {(uint8_t*)"\xd5\xc1\xd9\x31\xc0\xd8\xff\x8e\xe4\xb6\xf5\x33\x68\xb4\x1c\x2e\x2e\x30\xc8\x92\x17\xa1\x2d\x7c\xf7\x9d\x24\x08\x42\xc0\x2e\x4f", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix4x2dv}, // libGL:glUniformMatrix4x2dv
  {(uint8_t*)"\xe3\x95\x4f\xf5\x3b\x8e\x1b\xd1\xa3\xc1\x41\x95\xad\xdd\x07\xcb\xc7\x45\xb3\x02\x3d\xef\xbf\xf4\x6f\x23\x24\x08\xfa\x10\xd6\x4d", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix4x2fv}, // libGL:glUniformMatrix4x2fv
  {(uint8_t*)"\x34\x61\xae\x08\xb1\x5c\x36\x57\x75\x89\x39\x72\xd3\x54\x98\x3a\x4d\x12\x7a\x85\x4d\x68\xde\x79\x89\x2d\x7e\x27\xd2\xca\x85\xfc", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix4x3dv}, // libGL:glUniformMatrix4x3dv
  {(uint8_t*)"\x6f\x0e\xd4\xbb\xbf\xf5\x36\x48\x8d\x53\xb5\xd0\x79\xbb\xb4\x9d\xc6\x18\x9f\xae\x4f\x9a\x6f\xf6\x5c\x88\xc4\xee\x91\x7f\x89\x63", (void(*)(void *))&fexfn_unpack_libGL_glUniformMatrix4x3fv}, // libGL:glUniformMatrix4x3fv
  {(uint8_t*)"\x9f\xad\xcb\xa3\xa6\x3f\x03\xa7\x4b\x55\xb7\x12\x4d\x4e\x9e\xed\xfe\x7e\x06\x97\x93\x1b\xd5\x5b\x67\x3a\x25\x0f\x09\x90\x65\x42", (void(*)(void *))&fexfn_unpack_libGL_glUniformSubroutinesuiv}, // libGL:glUniformSubroutinesuiv
  {(uint8_t*)"\x91\xb9\xe0\x8a\xfb\xc5\x63\x3f\x66\xb6\xf5\xea\x7e\x6a\x8a\x4b\x28\x8a\x8a\x4e\x7c\xbd\xb1\x22\x56\xcc\x8f\xac\xf2\xf6\xe4\x1b", (void(*)(void *))&fexfn_unpack_libGL_glUniformui64NV}, // libGL:glUniformui64NV
  {(uint8_t*)"\x08\x4c\x15\x39\xee\x03\x05\xad\xb3\xdb\xc4\x6f\xa4\xaa\x23\xb8\xd2\xb5\x73\x67\x1d\xcb\x8f\xc5\x20\xa8\xe9\xf1\x6b\x8b\x62\xf8", (void(*)(void *))&fexfn_unpack_libGL_glUniformui64vNV}, // libGL:glUniformui64vNV
  {(uint8_t*)"\x4a\x71\xf3\xd3\xb3\x5d\x4a\xe6\x3c\xa2\x90\x32\x8a\x9a\xa1\x05\xd6\xf1\xb4\xb4\x62\x59\x28\x31\x27\x0d\xf8\x63\x27\x90\xe2\x63", (void(*)(void *))&fexfn_unpack_libGL_glUnlockArraysEXT}, // libGL:glUnlockArraysEXT
  {(uint8_t*)"\xd5\x5c\x0c\xf6\xe6\x5b\x3c\x87\x16\x06\x2c\xe1\x12\xe0\x6c\xeb\x64\xf7\x10\xa7\x2c\x58\xf9\xb2\x8b\x72\x76\x12\xa8\x06\xd7\xdc", (void(*)(void *))&fexfn_unpack_libGL_glUnmapObjectBufferATI}, // libGL:glUnmapObjectBufferATI
  {(uint8_t*)"\xb8\x2c\x7a\xe0\xb7\xe1\xdd\x11\xc4\xb4\xa5\x35\x56\xdb\x95\xd9\xc0\xb6\xc8\x74\x0b\xe5\x99\xd8\xee\x68\x7f\x90\x68\xdc\xd7\xf9", (void(*)(void *))&fexfn_unpack_libGL_glUnmapTexture2DINTEL}, // libGL:glUnmapTexture2DINTEL
  {(uint8_t*)"\x8c\x95\xc5\xc6\x96\x84\xbc\x7b\xb9\xf7\x6d\x7d\x13\x91\xf4\x92\x94\x7f\x3e\x7a\x00\xd8\x7c\x11\x4b\x6f\xe7\xdf\x02\x6b\x05\xee", (void(*)(void *))&fexfn_unpack_libGL_glUpdateObjectBufferATI}, // libGL:glUpdateObjectBufferATI
  {(uint8_t*)"\xa1\xfe\xdd\x90\xdf\x1c\xf4\xa8\x2b\x69\x02\xf7\x2a\xd1\x2e\x42\x18\x14\x89\x67\xa3\x3e\x68\xf1\x18\x6f\x4a\xf4\x92\x4b\x6c\xd8", (void(*)(void *))&fexfn_unpack_libGL_glUploadGpuMaskNVX}, // libGL:glUploadGpuMaskNVX
  {(uint8_t*)"\x3e\xdb\x83\x7d\xf0\x54\xc4\x48\x10\x55\x52\x0a\x8b\x8b\x1e\xa5\xd7\x70\xa4\xb5\x36\xe8\xd6\xcb\x95\x5c\x91\x5f\x8d\x64\xb0\x5f", (void(*)(void *))&fexfn_unpack_libGL_glUseProgram}, // libGL:glUseProgram
  {(uint8_t*)"\xd8\xca\xfc\x29\x3d\xb4\xf7\x30\x5a\xf8\xd2\xfa\x57\xc3\xf7\x8e\x54\xef\xad\xde\x2c\xf1\xd7\x5f\x0c\x1f\xdd\xcc\xa8\xac\xfd\x1b", (void(*)(void *))&fexfn_unpack_libGL_glUseProgramObjectARB}, // libGL:glUseProgramObjectARB
  {(uint8_t*)"\x7e\x48\x2f\x1f\x12\xaf\xc0\xad\xf6\x4f\x10\xf6\x90\xe1\x02\xf6\x79\xff\xda\xb2\xe1\x8f\x7a\xb1\x5c\x32\xfe\x35\x58\x65\x80\xd5", (void(*)(void *))&fexfn_unpack_libGL_glUseProgramStages}, // libGL:glUseProgramStages
  {(uint8_t*)"\x89\x77\x2b\x1a\xed\x58\xa8\x8a\x76\x3c\x76\x66\xe5\x38\x60\x28\x7c\x32\x88\x62\x90\x84\x11\x67\x83\x00\x54\x98\xe4\x69\xe6\x4f", (void(*)(void *))&fexfn_unpack_libGL_glUseShaderProgramEXT}, // libGL:glUseShaderProgramEXT
  {(uint8_t*)"\x10\x0e\xba\xeb\x71\x5d\x97\x09\xc1\x37\x48\xa0\x86\x5f\x0c\xfe\x53\x0b\xd3\x12\x8d\x61\x05\x11\xbd\x81\x08\x97\x30\x20\x37\x81", (void(*)(void *))&fexfn_unpack_libGL_glValidateProgramARB}, // libGL:glValidateProgramARB
  {(uint8_t*)"\xde\x37\xb8\x31\x93\xa1\x61\xef\x8c\x25\xb9\x4e\x3c\x6e\x7b\x86\x27\x0f\xf3\x00\xe3\x22\xd2\xc4\x17\xe8\x36\xf1\x13\x9b\x3f\x5c", (void(*)(void *))&fexfn_unpack_libGL_glValidateProgram}, // libGL:glValidateProgram
  {(uint8_t*)"\xf8\xa8\x91\x69\xa5\xde\xc0\x83\xc0\xe3\x51\x2a\xf3\x97\x44\xaa\x00\xce\x2d\xb6\xd8\x0f\xbd\xdf\x85\x5d\xb7\xd6\x4d\xe4\xbb\xa6", (void(*)(void *))&fexfn_unpack_libGL_glValidateProgramPipeline}, // libGL:glValidateProgramPipeline
  {(uint8_t*)"\x14\x3b\xd5\x4c\xf6\x80\x79\xac\x37\x11\xc1\x5e\xe5\x59\xb2\x02\x61\x11\x85\x2d\x12\xeb\x5c\x8d\xbe\xd5\x69\xba\xd9\xd8\xd3\xd2", (void(*)(void *))&fexfn_unpack_libGL_glVariantArrayObjectATI}, // libGL:glVariantArrayObjectATI
  {(uint8_t*)"\x42\x78\xbc\x74\x07\xf3\xd7\xbd\x07\x30\x9c\xe0\xe7\xb8\x44\x4b\x6b\xbc\x75\xc3\x1b\x10\x1b\x01\x66\x61\xed\x1b\x17\x59\x92\x84", (void(*)(void *))&fexfn_unpack_libGL_glVariantbvEXT}, // libGL:glVariantbvEXT
  {(uint8_t*)"\xb7\xe1\xd5\xd1\x1f\xa3\xea\x0b\xb3\x6b\xd1\x04\xcd\x6d\xd9\xf1\xa5\x98\xce\xb3\x60\x06\xc0\xaf\x64\x5a\xe0\x95\xf2\x23\xcf\x55", (void(*)(void *))&fexfn_unpack_libGL_glVariantdvEXT}, // libGL:glVariantdvEXT
  {(uint8_t*)"\x64\x3e\x35\xc9\xf7\xe2\x9d\x5c\xd3\x95\x81\x5e\x73\x3d\xd9\x73\xfc\x4f\x91\x1a\x5a\xd2\xde\xa1\x55\x87\xeb\xb5\x48\x9e\x83\xe8", (void(*)(void *))&fexfn_unpack_libGL_glVariantfvEXT}, // libGL:glVariantfvEXT
  {(uint8_t*)"\x69\x6b\xfa\x6f\xcc\xf9\xb6\xfa\x25\xb5\xf4\xf7\xa3\x0c\x60\xbf\xeb\x7d\xef\x5d\xa1\x9a\x1f\x22\x53\x34\x06\x53\x9d\xfe\x06\xa7", (void(*)(void *))&fexfn_unpack_libGL_glVariantivEXT}, // libGL:glVariantivEXT
  {(uint8_t*)"\xe9\x66\x5e\x77\x0e\xd2\x86\xd2\xfc\xfb\x75\x76\xe9\x54\xfd\x1f\x5c\x6d\x59\x7b\xf7\x06\x81\x8c\xd7\x08\xc9\xea\xe2\x62\x80\x1d", (void(*)(void *))&fexfn_unpack_libGL_glVariantPointerEXT}, // libGL:glVariantPointerEXT
  {(uint8_t*)"\x8a\xab\xaf\xab\xd3\xf8\xd9\xd6\xd2\x6e\x31\x53\xdc\x5e\x2b\xc4\xb7\xf7\xc6\x81\x97\x29\x65\xeb\xe4\x5c\xd4\x4d\xe3\xdb\x4a\xaf", (void(*)(void *))&fexfn_unpack_libGL_glVariantsvEXT}, // libGL:glVariantsvEXT
  {(uint8_t*)"\x17\x8e\x00\x62\xd6\x52\x31\x6a\xf7\xa0\xe7\x65\x45\x17\x38\x13\x4c\xb4\x15\xd4\x93\x3b\x9b\x7f\x0d\x84\x6b\x2f\xbc\x62\x3d\x70", (void(*)(void *))&fexfn_unpack_libGL_glVariantubvEXT}, // libGL:glVariantubvEXT
  {(uint8_t*)"\x19\x46\xad\x58\x08\x23\xd2\xf6\x8d\x2d\xaf\x51\x4c\xeb\x90\x72\xa4\xa2\xf1\x07\xe7\x9d\x45\xd8\x8f\xca\xa7\xdb\x21\x42\xf8\x71", (void(*)(void *))&fexfn_unpack_libGL_glVariantuivEXT}, // libGL:glVariantuivEXT
  {(uint8_t*)"\x17\x0a\x25\x32\x10\x8f\x7f\xd1\x1d\xce\x4e\xff\xe3\x77\x02\x23\x61\xa7\x76\xaf\xd8\x23\xa5\xb4\xac\xb1\x42\x99\xc8\x0d\x37\x74", (void(*)(void *))&fexfn_unpack_libGL_glVariantusvEXT}, // libGL:glVariantusvEXT
  {(uint8_t*)"\x78\x05\x9e\xad\x88\xfa\xaa\x7e\x79\x30\xe3\x77\x6d\x37\x21\xe1\x16\xf3\x6e\x50\x09\xed\x6a\x19\x0b\xd2\x7c\x5b\x41\xd3\x5e\xa4", (void(*)(void *))&fexfn_unpack_libGL_glVDPAUFiniNV}, // libGL:glVDPAUFiniNV
  {(uint8_t*)"\x12\xf6\x70\xec\x34\xe7\xe7\x1d\xd8\x74\x34\x6c\x96\x93\x4b\x79\xaa\x7c\x8a\x60\x30\x5b\x86\x29\xf8\x04\xdb\x9f\xf5\x8e\xf9\xd6", (void(*)(void *))&fexfn_unpack_libGL_glVDPAUGetSurfaceivNV}, // libGL:glVDPAUGetSurfaceivNV
  {(uint8_t*)"\x36\x87\x03\xef\x2b\x8e\x4f\x2a\x0e\x1d\xa7\x1b\x6c\x0d\xf4\x97\x03\x2d\xd7\x6c\x05\x01\xbb\x94\x6e\x49\xe1\xcd\xe4\x48\x0b\x28", (void(*)(void *))&fexfn_unpack_libGL_glVDPAUInitNV}, // libGL:glVDPAUInitNV
  {(uint8_t*)"\x69\x06\x71\xf9\x1e\x50\x1d\xab\x7f\x79\xab\xcb\x0b\xd0\x1e\x14\x7c\xae\x72\xde\x9f\x37\x22\x1a\x8a\x47\xec\x7f\x80\x51\x4a\x76", (void(*)(void *))&fexfn_unpack_libGL_glVDPAUMapSurfacesNV}, // libGL:glVDPAUMapSurfacesNV
  {(uint8_t*)"\x69\xb5\x93\x61\xb2\x3b\x0a\x1d\x5e\xe2\x2a\xc7\x54\x02\xee\x74\xe9\x26\x56\x5d\xcb\x15\x04\x27\xc5\xf7\x46\x83\x7e\x2d\x12\x91", (void(*)(void *))&fexfn_unpack_libGL_glVDPAUSurfaceAccessNV}, // libGL:glVDPAUSurfaceAccessNV
  {(uint8_t*)"\x07\x05\x1d\x5a\xf9\x29\x3a\xa2\x56\xc3\x7c\x66\xbf\x5a\x9d\x00\xc4\x9d\x4d\xca\x14\xb2\x3f\x8e\x14\xce\x2b\xcb\x3b\x60\xaa\xb0", (void(*)(void *))&fexfn_unpack_libGL_glVDPAUUnmapSurfacesNV}, // libGL:glVDPAUUnmapSurfacesNV
  {(uint8_t*)"\x25\x93\xf4\x06\x23\xad\xee\x5c\x6c\x31\x09\xce\x52\xec\x85\x39\x0b\x1f\x03\xd3\x4c\xfa\xb0\x13\x99\xed\xf4\x3d\xf3\x75\xbc\x66", (void(*)(void *))&fexfn_unpack_libGL_glVDPAUUnregisterSurfaceNV}, // libGL:glVDPAUUnregisterSurfaceNV
  {(uint8_t*)"\x7c\x13\x37\x5d\xb2\x8a\xfa\x79\xb3\x92\x75\x9d\x2a\x60\x19\xdd\x55\xef\xda\x32\x08\xe7\x97\xee\x60\x0a\x62\x4a\xb9\xde\xcb\x53", (void(*)(void *))&fexfn_unpack_libGL_glVertex2bOES}, // libGL:glVertex2bOES
  {(uint8_t*)"\xff\xd2\x14\x94\x13\x89\x68\x7e\x0a\xae\x6e\xc8\xf5\xb6\x96\x9e\x8a\x96\xa1\x7a\x96\xb8\x4c\x5f\x3b\x0c\x74\x1c\xba\x6c\x8d\x3e", (void(*)(void *))&fexfn_unpack_libGL_glVertex2bvOES}, // libGL:glVertex2bvOES
  {(uint8_t*)"\xb7\x5d\xda\x41\xef\xd7\x56\xf3\x40\x2d\xc8\x0e\x3d\x84\xec\x1b\xbc\x59\x02\x0c\x3b\xc3\x38\xeb\x3e\xd1\x05\xc5\xf8\x4d\xe6\xcd", (void(*)(void *))&fexfn_unpack_libGL_glVertex2d}, // libGL:glVertex2d
  {(uint8_t*)"\x11\xa2\x03\xfd\x58\xe6\x49\x9f\xdc\xb1\x83\x58\x7b\xf7\x26\x66\x56\x67\x8e\x9d\xc0\x4a\xde\xa1\x53\xad\x2a\x37\xad\x71\x44\x50", (void(*)(void *))&fexfn_unpack_libGL_glVertex2dv}, // libGL:glVertex2dv
  {(uint8_t*)"\x63\x04\x10\xb4\x95\xf5\x00\x98\xd5\x1e\x1d\x21\xac\x5d\xbb\x6f\xa5\xbc\x30\x61\xb6\xfd\x2f\x37\x22\x05\x44\xfe\xd7\x4b\xb9\xa4", (void(*)(void *))&fexfn_unpack_libGL_glVertex2f}, // libGL:glVertex2f
  {(uint8_t*)"\x61\xaa\x73\x7c\xd2\x72\x88\xa5\xf6\x19\x29\xdb\xf3\xd5\x5b\x7d\x02\xf9\x9a\x02\xf8\x72\x98\xf7\x64\x7d\x87\x8f\x83\x24\xe1\x80", (void(*)(void *))&fexfn_unpack_libGL_glVertex2fv}, // libGL:glVertex2fv
  {(uint8_t*)"\xd7\x92\xed\x53\x09\xcb\xc6\x17\x3d\x6f\x9c\x0b\xa0\x13\x15\xac\x12\xad\x44\x21\x3e\x41\xab\xd0\xe0\x31\x13\xd0\x21\x6d\x71\x2f", (void(*)(void *))&fexfn_unpack_libGL_glVertex2hNV}, // libGL:glVertex2hNV
  {(uint8_t*)"\xb1\x50\x95\x72\x8b\xf7\xcc\xa0\x8b\xb5\xda\x5a\xfc\x91\x79\x45\xfe\x73\x25\xc2\x60\xc5\x82\x0c\x2e\x01\x03\x8a\xd5\xfb\x16\x54", (void(*)(void *))&fexfn_unpack_libGL_glVertex2hvNV}, // libGL:glVertex2hvNV
  {(uint8_t*)"\x22\xe4\x9e\xc9\xf3\x39\x33\xe6\xf4\x69\x3c\x60\x12\x08\x9c\x5c\x3d\x93\x32\x5f\xf6\x69\x5e\xb3\xd9\xac\xbb\xbc\x26\xc0\xa2\x1e", (void(*)(void *))&fexfn_unpack_libGL_glVertex2i}, // libGL:glVertex2i
  {(uint8_t*)"\x52\xaf\x0a\x1d\x93\xbf\x06\x20\x7f\xd5\xf4\xfc\x31\xf0\xdd\xf0\x76\xf4\xb1\x00\x1a\xb9\x35\x12\x27\x77\xf4\xee\x8d\x58\xc8\x43", (void(*)(void *))&fexfn_unpack_libGL_glVertex2iv}, // libGL:glVertex2iv
  {(uint8_t*)"\x9c\x8e\x0e\x17\x4e\x30\xad\x56\x34\x10\xa4\xee\xb9\xbc\xce\x46\x01\xfa\xbb\x28\xd6\x9a\xf4\xdb\x96\x1b\x3b\x95\x32\xe0\x9f\x1b", (void(*)(void *))&fexfn_unpack_libGL_glVertex2s}, // libGL:glVertex2s
  {(uint8_t*)"\x1a\xd9\x6a\x1f\xc2\xc1\x38\xc7\x50\xc2\xa4\x83\x3f\xc3\xa0\x6a\x09\x6c\xba\x90\x8b\x76\xc5\x8a\x4f\x57\x8c\xa5\xe5\x6a\x3f\x0d", (void(*)(void *))&fexfn_unpack_libGL_glVertex2sv}, // libGL:glVertex2sv
  {(uint8_t*)"\x32\x3e\x57\xc5\x42\x25\x51\x1f\xc2\x22\x29\xaa\x1f\x9a\xd8\x38\x8a\x35\xd5\x99\xda\x56\xb4\xfb\x19\xab\x46\x26\xfb\x81\xb6\xbc", (void(*)(void *))&fexfn_unpack_libGL_glVertex2xOES}, // libGL:glVertex2xOES
  {(uint8_t*)"\x55\x08\x90\xc2\x67\x86\x96\x67\x68\x9e\x46\xfb\xc0\xd5\xeb\x54\x31\x55\xb2\xa2\x87\x74\xd5\x49\xff\xdb\xc6\x9e\x50\x98\x03\xef", (void(*)(void *))&fexfn_unpack_libGL_glVertex2xvOES}, // libGL:glVertex2xvOES
  {(uint8_t*)"\x30\x8f\x88\xb9\x00\x90\x2c\x37\x72\xf6\xb0\x94\xd1\x2a\x06\x26\x0e\x70\xb3\x80\x5c\x93\xd2\x38\x5d\xf8\x94\x2b\xee\xcf\xf1\x53", (void(*)(void *))&fexfn_unpack_libGL_glVertex3bOES}, // libGL:glVertex3bOES
  {(uint8_t*)"\x58\x87\x26\x7f\x54\xdc\x7b\x7c\xfa\x3c\x63\x0e\x11\x5a\x14\xed\x82\x5b\xfe\x6c\x9c\x2d\x31\x00\xc5\x45\xa9\x42\x22\xb1\xf0\x45", (void(*)(void *))&fexfn_unpack_libGL_glVertex3bvOES}, // libGL:glVertex3bvOES
  {(uint8_t*)"\x63\xa8\x5b\x87\x5e\x80\x0d\xb5\x11\xcb\xb2\xf2\x27\xb6\x21\x66\x64\x20\x58\x13\x50\x99\x0c\x41\xbd\x8b\xd6\x1a\xba\x57\xb6\x0a", (void(*)(void *))&fexfn_unpack_libGL_glVertex3d}, // libGL:glVertex3d
  {(uint8_t*)"\xb1\xe1\xda\x15\x34\x79\xb4\x40\x73\x81\xa7\xbc\xb7\x34\xc1\x4d\xfc\xcf\x5c\xca\x70\x88\x01\x95\x69\x9e\x46\xb9\x7f\x04\x1d\x4c", (void(*)(void *))&fexfn_unpack_libGL_glVertex3dv}, // libGL:glVertex3dv
  {(uint8_t*)"\x2f\x6f\x0b\x71\xaa\xca\x5b\x3a\xed\xe5\x74\xc1\xe1\x45\x35\x93\xc3\x4a\x1a\xfe\xe8\x61\x60\xfe\xc9\xa0\xcc\xe1\x87\x2b\x05\x19", (void(*)(void *))&fexfn_unpack_libGL_glVertex3f}, // libGL:glVertex3f
  {(uint8_t*)"\x6a\x9a\x27\xa8\x23\x8c\xdd\x3d\xa8\xdb\x20\x75\x58\xcb\x2f\x9d\xc8\x5e\x65\x61\x46\x66\x46\x2a\x34\x01\x52\xc3\x4b\x5a\x9b\x3a", (void(*)(void *))&fexfn_unpack_libGL_glVertex3fv}, // libGL:glVertex3fv
  {(uint8_t*)"\x14\x71\x0d\x30\xc0\x9b\xed\xaf\x69\x71\x37\x26\x0d\x81\x5a\xb8\x9f\x92\xa5\x6e\x74\xb9\xa7\xee\x20\x04\xe5\x69\xe3\x33\xdd\x01", (void(*)(void *))&fexfn_unpack_libGL_glVertex3hNV}, // libGL:glVertex3hNV
  {(uint8_t*)"\xd0\xdc\x9d\x6a\xbd\xf3\x6c\x97\xfa\xf9\xfe\x00\xf0\xe1\x04\xe4\x7b\x27\x7d\x0b\xbd\xb1\xeb\x47\x7e\xe9\x0c\x60\x39\x1c\xe1\xa0", (void(*)(void *))&fexfn_unpack_libGL_glVertex3hvNV}, // libGL:glVertex3hvNV
  {(uint8_t*)"\xf7\xb6\xed\xd3\xfe\x09\x67\xa1\x1a\x71\xf9\xd0\x4f\x11\xf6\x43\xd0\x2a\x80\xf1\xb5\xba\x8a\xb2\x90\x8c\x4b\x0b\x49\x48\x0d\x80", (void(*)(void *))&fexfn_unpack_libGL_glVertex3i}, // libGL:glVertex3i
  {(uint8_t*)"\x89\x29\xb6\xe1\x07\x2a\x8e\x9f\xdc\xd5\x7b\x07\x14\x9a\xd5\x14\x0d\x7c\xa8\x93\x2b\x65\x23\xd5\x4e\x84\x10\x0d\xd5\xc7\x2b\xd4", (void(*)(void *))&fexfn_unpack_libGL_glVertex3iv}, // libGL:glVertex3iv
  {(uint8_t*)"\x11\x14\x1c\x6b\xb7\xbb\x8b\x4c\xa9\xec\x0c\x87\x9d\x3c\xd4\xef\xfd\x49\x4b\x9c\xed\x9c\x04\x49\x77\xfc\x9e\x9e\x5d\xa6\xdb\xe3", (void(*)(void *))&fexfn_unpack_libGL_glVertex3s}, // libGL:glVertex3s
  {(uint8_t*)"\xfc\x6e\x2d\x7b\xfb\xf7\xe6\x30\x90\x88\xa5\x19\xce\x86\x93\x50\x9c\x67\xc0\xd4\xda\x5e\x40\x9c\x8d\xc4\x9d\x6d\x7a\x73\xee\x98", (void(*)(void *))&fexfn_unpack_libGL_glVertex3sv}, // libGL:glVertex3sv
  {(uint8_t*)"\x17\xf4\x56\x80\x0f\xeb\x90\x7c\x55\x58\x1c\x4e\x77\x6a\x72\xda\x3c\x4f\xd9\x69\xe2\x26\xa6\x18\x9a\x16\xbd\x92\x3b\x6f\x89\xcb", (void(*)(void *))&fexfn_unpack_libGL_glVertex3xOES}, // libGL:glVertex3xOES
  {(uint8_t*)"\x84\x93\x8b\xf8\xee\xc0\xf8\xa4\xaf\x32\x6b\xad\xe4\x61\x7e\x2c\x6b\x54\x92\xe6\x88\x36\x12\xe9\xb5\xe0\x5d\x98\x0f\x39\x9f\x33", (void(*)(void *))&fexfn_unpack_libGL_glVertex3xvOES}, // libGL:glVertex3xvOES
  {(uint8_t*)"\x67\xaf\x3d\x37\xae\x94\x13\xe9\xae\x88\x2c\x6a\xd0\x5a\xe8\x40\x46\x51\xcc\xd2\xa2\x44\x61\x3f\x47\xe8\x0e\x55\x0e\xa2\xf8\xc0", (void(*)(void *))&fexfn_unpack_libGL_glVertex4bOES}, // libGL:glVertex4bOES
  {(uint8_t*)"\x03\x0a\xfa\x26\x06\x5d\x50\x78\x8d\x42\x44\x52\x2b\xa2\xfe\xd3\x23\xc1\xf0\x1e\x3e\xe7\xac\x85\x23\xa8\x1f\xc5\xea\xd3\xce\xf2", (void(*)(void *))&fexfn_unpack_libGL_glVertex4bvOES}, // libGL:glVertex4bvOES
  {(uint8_t*)"\xfb\x66\x20\x36\xd2\xa7\x6f\x84\x69\x63\xbf\x0c\xd9\x96\xd9\x7d\x99\x90\xe7\x58\xcf\x50\x74\xcc\x01\x24\x52\xd8\x0a\x50\x63\x2b", (void(*)(void *))&fexfn_unpack_libGL_glVertex4d}, // libGL:glVertex4d
  {(uint8_t*)"\x40\x4f\x47\x4f\xcb\x8f\x1f\x84\xb3\xcf\xda\x80\x68\xcb\x97\xb2\xfc\xe6\xb6\xd4\xc3\x57\xfe\x03\xd5\xca\xc9\xbf\xc9\x1a\x3f\xba", (void(*)(void *))&fexfn_unpack_libGL_glVertex4dv}, // libGL:glVertex4dv
  {(uint8_t*)"\x37\xfd\xab\x16\xdf\xb1\x29\x9c\xda\xd8\x70\xec\x27\xef\xc2\x45\x06\xa2\xc7\x92\x5d\x4e\x7b\x62\x0e\xbc\x2c\x0d\x0a\x43\xc5\x6d", (void(*)(void *))&fexfn_unpack_libGL_glVertex4f}, // libGL:glVertex4f
  {(uint8_t*)"\x8f\x73\x40\x4d\xcc\x8f\x75\xfc\xba\x75\xd0\x57\x25\x21\xdb\x4a\xd6\xae\x70\x56\x96\x97\x80\xff\x3a\x36\x1c\x3b\x10\x43\xe1\xae", (void(*)(void *))&fexfn_unpack_libGL_glVertex4fv}, // libGL:glVertex4fv
  {(uint8_t*)"\x03\x45\x45\xf7\x4d\x38\x0a\x6b\x8b\xce\xd5\x53\xb9\x7b\x76\xdb\x49\xbd\xeb\xc6\xe8\x90\x79\xd1\x57\xd0\x34\xeb\x52\x75\x10\x95", (void(*)(void *))&fexfn_unpack_libGL_glVertex4hNV}, // libGL:glVertex4hNV
  {(uint8_t*)"\x9e\xf9\x61\xcb\xee\xea\xe9\x36\x5c\x3c\x0e\x58\x21\x44\xa6\x65\x4d\x5c\x1e\x4c\xdb\xb5\x44\x85\x7f\xec\x80\x8d\xbb\x78\xff\x54", (void(*)(void *))&fexfn_unpack_libGL_glVertex4hvNV}, // libGL:glVertex4hvNV
  {(uint8_t*)"\x5a\x73\xd1\x9a\x40\xa4\xd8\x1b\x49\xeb\x6f\x7b\x0e\xde\x2b\x6c\x99\xbc\x3d\xde\x8f\xc9\x4d\x88\xa1\x0a\x60\xf6\xb9\xc9\x89\xd4", (void(*)(void *))&fexfn_unpack_libGL_glVertex4i}, // libGL:glVertex4i
  {(uint8_t*)"\xf1\x86\xe4\xfc\xec\x6e\x9b\xce\x65\x12\xbf\x36\x00\xe9\x06\xa3\xa3\x83\xbf\xb8\x8e\xf7\x90\xd3\xa0\xd1\x80\xe0\x3d\xb7\xfe\xba", (void(*)(void *))&fexfn_unpack_libGL_glVertex4iv}, // libGL:glVertex4iv
  {(uint8_t*)"\xd7\x0c\xa6\x9c\xff\x3d\x17\x03\x3e\x01\x44\x69\xba\x69\x78\x7c\xa8\x0a\xb3\x82\xcb\xa5\x21\xb4\x33\xb0\xe0\x32\xf1\xe2\xd7\x6d", (void(*)(void *))&fexfn_unpack_libGL_glVertex4s}, // libGL:glVertex4s
  {(uint8_t*)"\xee\x85\x03\x80\x23\x83\x1b\x9d\x22\xd6\x5e\x56\x7e\xb6\x3a\x78\xa2\x49\xe4\xa3\xcf\x65\xc6\x09\xa7\xbd\x2e\x9c\x48\xab\x95\xff", (void(*)(void *))&fexfn_unpack_libGL_glVertex4sv}, // libGL:glVertex4sv
  {(uint8_t*)"\x52\x74\x57\xb6\xcc\xbe\xd7\xea\x10\x3f\xc8\x60\x7b\x24\xcb\x93\x6b\xd4\x6a\x08\x28\x5c\xcc\x9d\xaf\xa7\x7b\x8f\x57\x2f\x4b\x7b", (void(*)(void *))&fexfn_unpack_libGL_glVertex4xOES}, // libGL:glVertex4xOES
  {(uint8_t*)"\x3c\x2e\x32\x1f\xd3\x85\xc9\x66\x40\x33\x4c\xa6\xe6\xee\x6b\x71\x72\xea\x47\xc4\x76\xd6\x98\x73\x85\xc3\x60\xd9\xbb\x52\xdb\x8b", (void(*)(void *))&fexfn_unpack_libGL_glVertex4xvOES}, // libGL:glVertex4xvOES
  {(uint8_t*)"\x60\x6f\x8c\x11\x18\xda\x3c\xb5\x90\x55\x22\x16\x46\xc4\x83\x47\xa0\x86\xf7\xba\x94\x22\x81\x59\xe4\xad\xce\x21\x25\xc7\x76\x5c", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayAttribBinding}, // libGL:glVertexArrayAttribBinding
  {(uint8_t*)"\x32\xe9\xd5\xda\xbf\x1e\x77\x66\xf4\x58\x51\x7c\xff\x0e\x53\x2e\x0f\x86\xb3\x0a\xb1\x33\x45\x43\x84\x0b\x4b\xe4\x5a\x8b\x3c\xbf", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayAttribFormat}, // libGL:glVertexArrayAttribFormat
  {(uint8_t*)"\xad\x63\x23\x56\xce\xea\x01\xbe\xe6\x18\xcb\x13\x81\x0d\x81\xb7\x32\xe3\xf6\x47\x5d\x8e\x8e\xcb\xb9\x82\xda\xbb\xf5\x0f\x55\x64", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayAttribIFormat}, // libGL:glVertexArrayAttribIFormat
  {(uint8_t*)"\x9d\x67\xeb\xfa\x9d\xbf\x0a\xb9\x3f\x65\x88\x33\x2f\x17\xe7\xad\x61\x8c\x00\x96\x21\xfb\x7c\x00\xf3\xde\xa1\xa9\x58\xb4\x4d\xd2", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayAttribLFormat}, // libGL:glVertexArrayAttribLFormat
  {(uint8_t*)"\x1d\xbf\xa8\x3c\xd5\x55\x8f\x37\x64\xcf\x19\x5c\xe7\x0a\xa2\x55\x18\xdf\xdb\x0f\x11\x73\x21\x75\xce\xa0\xc0\x17\xb4\xa6\x33\x6a", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayBindingDivisor}, // libGL:glVertexArrayBindingDivisor
  {(uint8_t*)"\x92\x5b\x86\xe4\x90\x54\x29\x2b\xe5\x8e\x3b\x01\x53\x3b\xdc\xfc\xf0\x79\xdb\x83\xb5\x42\xc9\x91\x8a\xd3\xeb\x15\x56\x1c\x18\xde", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayBindVertexBufferEXT}, // libGL:glVertexArrayBindVertexBufferEXT
  {(uint8_t*)"\x5a\x73\x9e\x3f\x10\xc9\x87\x18\xb5\x12\x22\x85\x95\x36\x6a\x55\x01\x44\x86\x03\x20\x41\x0e\x92\xb3\x3f\x0c\xe5\x76\x7b\xc6\x26", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayColorOffsetEXT}, // libGL:glVertexArrayColorOffsetEXT
  {(uint8_t*)"\xd4\x85\x6c\x01\x91\xe0\xd6\x3b\x22\x18\x8d\x40\xd5\xb2\xfb\xfc\xa9\xfe\xbd\xa1\xc2\xfc\x5e\xbf\x9f\x0a\x58\x1e\x3f\x5d\x6e\x3f", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayEdgeFlagOffsetEXT}, // libGL:glVertexArrayEdgeFlagOffsetEXT
  {(uint8_t*)"\x2a\xf1\xb3\xe1\x0f\xac\x78\xb7\x21\xa6\xec\x7a\x3f\x02\xb2\x52\x08\x83\x0b\x5d\xd7\x1f\xb2\x1d\x22\x93\xd3\x25\x9a\xd7\xb1\x4f", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayElementBuffer}, // libGL:glVertexArrayElementBuffer
  {(uint8_t*)"\xd8\xfd\x8d\xd6\x28\xae\x8d\x6b\xe5\x12\xdd\x2e\x3b\x7a\x53\x70\x7b\x0c\x4a\xcb\xe7\x1d\xcd\xc2\xc3\x64\x3f\x74\xff\xfb\xaa\xe2", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayFogCoordOffsetEXT}, // libGL:glVertexArrayFogCoordOffsetEXT
  {(uint8_t*)"\xf6\xc0\xc9\x1a\x10\x5e\x9b\x7d\xa3\xb8\xc0\x54\xb6\xce\x25\x77\x43\xfe\x62\x37\x6e\x5d\xc2\xa8\xeb\xac\xb1\x84\x8c\x66\x6a\x94", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayIndexOffsetEXT}, // libGL:glVertexArrayIndexOffsetEXT
  {(uint8_t*)"\x5e\xb0\x6c\x05\x4e\xd6\x0e\x7c\x7b\xbf\x58\x27\xeb\x0b\x3e\x6c\xbb\xca\x23\x93\xf4\x83\xb5\xd0\x4e\x98\x80\x91\xbc\x53\xd2\xf8", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayMultiTexCoordOffsetEXT}, // libGL:glVertexArrayMultiTexCoordOffsetEXT
  {(uint8_t*)"\xe5\xca\xf5\xa1\xfc\x2c\xb9\x0a\x47\xb7\xf1\x03\xae\x4b\x1e\xf8\x40\x17\x0b\xef\xe1\x33\xe5\x96\x4a\x42\x50\x83\x48\x96\x1e\x92", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayNormalOffsetEXT}, // libGL:glVertexArrayNormalOffsetEXT
  {(uint8_t*)"\x28\x39\x95\xfa\xa3\x7e\xb3\xc1\x0b\x94\xdf\xc9\x3e\x47\x31\xbb\x77\x96\xf2\xab\x6b\x32\x78\x25\x9a\x86\x45\x92\x8e\xc3\xad\x40", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayParameteriAPPLE}, // libGL:glVertexArrayParameteriAPPLE
  {(uint8_t*)"\xcb\x75\x8e\x11\x00\x28\x93\x09\x17\x2c\xa1\xc6\x4f\x23\xf2\x5a\x5f\x06\xc0\x0a\xc0\xfa\x37\x7f\x1e\x39\xa5\x7a\x51\x2d\xd5\x27", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayRangeAPPLE}, // libGL:glVertexArrayRangeAPPLE
  {(uint8_t*)"\xc9\x0c\x24\x27\xf4\x68\xdf\x9d\x8e\x3d\xe0\x78\xd4\x5e\xf5\xf4\x6f\xd3\xf8\xbe\x70\xf6\x86\xf9\xdd\x22\xa5\xac\xe0\xa3\xf0\x19", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayRangeNV}, // libGL:glVertexArrayRangeNV
  {(uint8_t*)"\x22\x78\x9b\x98\x22\x4c\x44\x09\x03\xb4\x5b\x49\xa4\x20\x22\xa0\xf2\x8c\x6e\x89\x4a\x6d\x33\x9d\x53\x42\x96\xb6\x30\xc3\x7c\xb9", (void(*)(void *))&fexfn_unpack_libGL_glVertexArraySecondaryColorOffsetEXT}, // libGL:glVertexArraySecondaryColorOffsetEXT
  {(uint8_t*)"\xa9\x1c\xc9\xcc\xc8\x33\xd0\x98\x18\xc4\xa0\x8c\xea\xe3\xf8\x5c\xa1\xb5\xf6\xdd\x19\xf0\x71\x9c\x4c\x56\x74\xfc\x64\xfd\xf8\x81", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayTexCoordOffsetEXT}, // libGL:glVertexArrayTexCoordOffsetEXT
  {(uint8_t*)"\x59\xc2\xd3\x09\x55\xb7\x09\x50\x0d\x64\x6f\x18\xe1\xb6\x54\xc0\x96\x0c\xe9\xbc\xc4\x98\x25\x6e\x21\xf6\x64\x3c\x6c\x7a\x44\x5f", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexAttribBindingEXT}, // libGL:glVertexArrayVertexAttribBindingEXT
  {(uint8_t*)"\xa2\x9a\x81\xdf\xaa\x72\xe8\xdb\x84\xfe\xe3\xb5\xa4\x46\xec\x7a\x76\xfe\x2d\xde\x2c\x95\x0d\xe8\x8e\xb3\xd2\x23\x3e\xe3\x0a\x74", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexAttribDivisorEXT}, // libGL:glVertexArrayVertexAttribDivisorEXT
  {(uint8_t*)"\xa3\x30\xf5\x8f\x04\x1e\xfd\x81\x4d\xe6\xca\xe3\x4d\x21\x4d\x26\x41\x8a\xf3\xe4\xd7\xb2\xb0\xf7\x10\x24\xf4\xaf\x7d\x34\x62\x11", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexAttribFormatEXT}, // libGL:glVertexArrayVertexAttribFormatEXT
  {(uint8_t*)"\x90\x7c\x22\xd5\x23\x0a\xc3\x21\xe7\xa8\xf4\x1f\x2d\xfe\xeb\x97\x76\xb2\xa4\xeb\x29\x0e\xc7\xd8\xe1\x13\x2f\x0d\x99\xfd\x2e\x9f", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexAttribIFormatEXT}, // libGL:glVertexArrayVertexAttribIFormatEXT
  {(uint8_t*)"\xc5\xeb\xeb\x27\x1d\xab\xce\x19\x4f\xcd\xbb\xc6\x4c\xa9\x6b\x14\x92\x2f\xe9\xb9\x22\x97\x43\xa1\xdc\xed\x68\xdc\xb4\x3e\x08\xba", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexAttribIOffsetEXT}, // libGL:glVertexArrayVertexAttribIOffsetEXT
  {(uint8_t*)"\x47\xd2\x7c\xe2\x60\xe5\x35\x9a\x28\xd9\x70\x16\x01\x90\x71\xef\x7e\x11\xcd\xfa\x10\x4b\xd0\x86\xd1\xf2\x8f\x95\x82\xa9\xca\x4b", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexAttribLFormatEXT}, // libGL:glVertexArrayVertexAttribLFormatEXT
  {(uint8_t*)"\x06\xbf\xaf\x93\xa6\x2f\x3c\xbb\x19\x66\xab\x43\xc8\x78\x3b\x4f\x0c\xd8\x1e\xbb\x7a\x7c\xbf\x22\xcb\xfd\xc5\x14\xe0\x31\x5c\x9a", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexAttribLOffsetEXT}, // libGL:glVertexArrayVertexAttribLOffsetEXT
  {(uint8_t*)"\x87\xee\x73\xe2\x09\x9b\xfa\x4e\x08\x07\x2b\xe8\x96\x9e\x6a\x3d\x0d\xe4\x6f\x23\xef\xca\xc5\x0e\x8c\xff\x85\xbf\x36\x0e\x4b\x18", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexAttribOffsetEXT}, // libGL:glVertexArrayVertexAttribOffsetEXT
  {(uint8_t*)"\x4d\xe7\xf2\xc4\x20\x6a\xec\xa2\x61\x9d\x5e\xa5\x49\xec\xf0\x46\x44\x0b\x7a\x12\xd2\x8c\x9d\x5e\x93\x43\x56\xdf\x41\xb4\xc0\x95", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexBindingDivisorEXT}, // libGL:glVertexArrayVertexBindingDivisorEXT
  {(uint8_t*)"\x7d\x43\xd0\x5a\x53\x37\x23\x34\x28\xb9\x39\xa4\x92\x49\xeb\xde\x5d\x13\x5e\x28\xa3\x04\xd3\x4e\x99\xe4\x64\xfe\xc8\xfb\x1c\x7e", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexBuffer}, // libGL:glVertexArrayVertexBuffer
  {(uint8_t*)"\xc8\x08\x4c\x5f\x6c\x6b\xe0\x29\xa4\x28\x07\x44\x7f\x43\xfd\x79\xf7\x91\xc5\x43\xfe\x75\x81\x37\xa5\xd7\xea\x78\x0b\xa9\x3d\xda", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexBuffers}, // libGL:glVertexArrayVertexBuffers
  {(uint8_t*)"\x4b\xf0\xe9\xab\x74\x63\xf4\xd2\x86\x5f\x6a\xf6\x96\x87\xf0\x1a\xdc\x2f\x78\x07\xb6\xd1\x2b\xb7\x53\x1b\x5a\xf5\x12\x16\xb4\x3e", (void(*)(void *))&fexfn_unpack_libGL_glVertexArrayVertexOffsetEXT}, // libGL:glVertexArrayVertexOffsetEXT
  {(uint8_t*)"\xc0\x11\x0d\x4e\xdd\xf2\xba\x00\x49\xc3\x7d\x5d\x4e\xf1\x05\xb0\x13\x9f\x11\xf1\x73\xe3\xe3\x01\xb5\x01\xe9\xf4\xb8\x72\x43\xf2", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1dARB}, // libGL:glVertexAttrib1dARB
  {(uint8_t*)"\xd8\xd0\x33\x48\xb7\xd1\xa7\x4d\x16\x19\xce\x18\xe3\x89\x68\x28\x41\x09\x0a\xce\x2e\x6b\xa6\xe5\x7f\x5c\x8a\x9f\x09\x0c\x14\x0d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1d}, // libGL:glVertexAttrib1d
  {(uint8_t*)"\x37\xeb\x11\x50\x26\xf8\xc7\xfa\x7d\x23\xe7\x1d\x63\x51\xf5\xa0\x25\x0b\x00\x8b\xb1\xf1\x7f\x1a\xeb\x5e\xd1\x6a\x15\x3c\xba\xd2", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1dNV}, // libGL:glVertexAttrib1dNV
  {(uint8_t*)"\x34\x98\x39\x26\x03\x55\x90\x94\xcb\xd0\x73\x64\x53\x87\x8f\x3e\x29\x48\x78\x7a\xa9\xdc\xe4\xfe\x7d\xfa\xbd\x0d\xf1\x61\x53\x89", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1dvARB}, // libGL:glVertexAttrib1dvARB
  {(uint8_t*)"\x51\x94\xd0\xb6\x46\xbb\xca\x3a\x03\x65\xf4\x76\xa6\x80\x76\x32\x47\xec\x9e\xd3\x06\x5a\x07\x35\xd1\x2d\x3b\x1f\x63\x1c\xa8\x7a", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1dv}, // libGL:glVertexAttrib1dv
  {(uint8_t*)"\x1d\x5f\xd1\xda\xf4\x41\x4d\x05\x54\xbb\x91\xa4\x22\x70\xe2\xbe\x9a\xb5\x77\x61\x8f\xa7\x92\xfd\x39\xbe\x0e\x03\x12\x75\xb9\xba", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1dvNV}, // libGL:glVertexAttrib1dvNV
  {(uint8_t*)"\x32\xe5\x89\xed\xd2\x21\x4c\x0b\x72\x44\x4a\x4f\xd9\x68\xa5\x5b\xc2\x20\x54\x6b\x10\x55\x77\xe0\xea\xb0\x74\x22\x06\x40\xa6\xf1", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1fARB}, // libGL:glVertexAttrib1fARB
  {(uint8_t*)"\x98\xdf\xd7\x07\x9d\xe9\x25\x87\xb8\x15\x6a\xe6\xaf\xdf\xf5\x4c\xd3\xd8\xab\x38\x99\x11\xc5\x34\x23\xff\xc7\x5c\x47\xbb\x01\xf7", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1f}, // libGL:glVertexAttrib1f
  {(uint8_t*)"\x21\x53\x09\x9d\x69\x20\x13\x10\x35\x63\x0b\x4c\x55\x24\x8a\x96\x79\x2a\xcf\x62\xbd\x36\x4c\x56\x50\x61\x37\x81\x65\x7c\xd4\x60", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1fNV}, // libGL:glVertexAttrib1fNV
  {(uint8_t*)"\x04\x92\xc8\x47\x1a\xb7\x35\x3e\x57\x84\xf9\xaf\x6d\x27\xf1\x4b\x67\x4b\xec\xe2\x90\x34\x9d\x2b\x95\xa3\xd4\x2e\x49\xfd\x4c\x03", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1fvARB}, // libGL:glVertexAttrib1fvARB
  {(uint8_t*)"\x32\x2a\x25\x0d\x70\x8d\x38\xac\x43\xb7\xe9\xd5\x66\x9a\xad\xb4\xe6\xab\x74\xc2\xcd\x30\x5f\x7f\x51\xf6\xd6\x77\x42\x05\x18\x8b", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1fv}, // libGL:glVertexAttrib1fv
  {(uint8_t*)"\xbe\x58\xeb\xd7\x8e\xa1\xc1\x93\xc3\xfd\xfe\x4e\xc5\x56\x9e\xe3\x18\xf7\x1b\x04\x98\xe1\x23\x17\x73\xfc\xe1\xe5\x61\xf7\x67\x1b", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1fvNV}, // libGL:glVertexAttrib1fvNV
  {(uint8_t*)"\x01\x24\xf8\x0a\x4c\x01\x0f\xab\x8d\xf0\x4a\x1a\xdb\xa9\x1c\x2a\xdf\x07\x0c\x2c\x4c\x7d\xcb\x7a\x6e\x24\xea\xf1\x02\x2b\x93\xb7", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1hNV}, // libGL:glVertexAttrib1hNV
  {(uint8_t*)"\x78\xc4\x51\x16\xb6\xe7\xce\x00\xfc\x24\x9c\x9d\x1f\x98\xac\x51\xe0\xc8\xc0\x0f\x9a\xfc\xde\x4c\x97\xa5\x61\xc1\x54\x22\x9d\xf2", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1hvNV}, // libGL:glVertexAttrib1hvNV
  {(uint8_t*)"\x8e\x1c\x49\x43\x6b\x5b\xfd\x9b\x05\xfd\x10\x62\xc1\x4e\x5b\x44\xd0\x68\x91\x09\x72\x76\x9d\x47\xde\xd4\x68\x48\x4f\xb9\x4f\xef", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1sARB}, // libGL:glVertexAttrib1sARB
  {(uint8_t*)"\x52\x95\xca\xa3\x53\xcc\x08\xf1\xf3\xb2\x0c\xd8\x21\x1d\x6d\x0b\x26\xf8\x6f\xf1\xc9\xa3\xb4\x46\x41\xdf\x39\x04\x8a\x3d\x06\x2d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1s}, // libGL:glVertexAttrib1s
  {(uint8_t*)"\xb2\x11\x09\x8c\xb8\x05\x0a\x74\x38\xae\x55\x78\xe5\xa2\x5d\x74\x14\x51\x07\x95\x65\xd6\x88\x1f\xcb\x8a\x55\x49\xfa\xd3\x6c\x59", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1sNV}, // libGL:glVertexAttrib1sNV
  {(uint8_t*)"\xe2\x08\x47\xac\xfe\xc2\x62\x14\x30\x00\x72\xf3\x94\xc7\x23\x5f\x80\xfe\xa5\xe4\x76\x0e\x1d\x29\xb6\x19\xa0\x80\x0c\xf4\xba\x5d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1svARB}, // libGL:glVertexAttrib1svARB
  {(uint8_t*)"\x50\x70\x50\xbb\x31\x5f\xef\x8c\xbb\x8d\x40\x6f\x79\xaf\x22\x61\xe8\x22\xda\x28\x25\xb3\xea\x26\x3c\x1c\xe1\xd4\x3e\x07\xd0\xd8", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1sv}, // libGL:glVertexAttrib1sv
  {(uint8_t*)"\x6b\x96\x1e\x39\xb9\x15\x4a\x05\x14\x7e\xb7\xbb\x0f\x98\xfc\x94\x23\xf8\xb4\xd1\xfc\xc4\xee\xdc\x78\x40\xee\x27\x1e\x38\xa1\xd6", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib1svNV}, // libGL:glVertexAttrib1svNV
  {(uint8_t*)"\x6b\xd0\x87\xb6\x2f\x88\x65\x30\xef\xbd\xbe\xe4\xa7\x6f\xe6\x71\xcb\x3f\x71\xbc\xcb\xb7\x9c\x24\x9a\x98\x34\xf3\xea\xf8\x57\xd3", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2dARB}, // libGL:glVertexAttrib2dARB
  {(uint8_t*)"\xf9\xa0\xd5\xb0\x58\x07\x39\xdb\x12\x92\x93\x28\x44\xd9\x01\xbf\x7c\xb5\x9a\x7e\xd7\xd1\x0a\xc0\xf4\x15\x3d\xa1\x39\x21\xd8\xab", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2d}, // libGL:glVertexAttrib2d
  {(uint8_t*)"\xd4\xb2\x2b\x5d\x2a\x23\x6d\xfe\x83\x20\xfb\x6d\xc5\x5c\xfb\x59\x4c\xb8\x6c\x6d\x6c\x64\x58\x3c\x06\x62\x6c\x9b\x1d\x15\x9f\xc5", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2dNV}, // libGL:glVertexAttrib2dNV
  {(uint8_t*)"\x66\x0e\x62\x3e\xf9\xaa\xae\xa3\x7d\x8a\x25\x2d\xe8\x34\x9b\x3c\x20\x5a\x23\x9c\x4f\x35\x73\xd8\x0e\x83\x15\x27\xe9\x74\x4f\xc1", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2dvARB}, // libGL:glVertexAttrib2dvARB
  {(uint8_t*)"\xab\x69\x27\x0b\x60\x7c\x6d\x18\x6a\x97\x0f\x03\xff\xd5\xfe\x47\x28\x2e\x1e\x37\x3d\x6b\x01\xf3\x13\x53\x9c\xab\xb7\xd0\xf4\x67", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2dv}, // libGL:glVertexAttrib2dv
  {(uint8_t*)"\x20\x93\xa8\xe0\xc2\xad\x45\x75\x42\x51\x62\x7c\x28\xa5\x02\xb8\x1c\xae\x78\xf7\x56\x85\x39\xfe\x5d\xd3\x92\xaf\x5e\xc6\x0b\x8b", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2dvNV}, // libGL:glVertexAttrib2dvNV
  {(uint8_t*)"\xcd\xf7\xce\xd6\xbb\x7d\xe0\x7b\x6e\xe4\xa2\xf2\x43\x27\xae\x04\x1e\x81\x5b\x7d\x74\x32\xcd\xbd\x5a\xda\x1a\xdd\x09\x98\x9e\xa7", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2fARB}, // libGL:glVertexAttrib2fARB
  {(uint8_t*)"\xd4\xcd\x03\x16\xdf\xd9\x6f\xac\x66\x46\x68\x25\xfd\x3e\xb7\x20\x81\x15\x58\x3c\x0d\xee\xf0\xaa\xf8\x76\x37\x28\x75\x5a\x5f\x3b", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2f}, // libGL:glVertexAttrib2f
  {(uint8_t*)"\xf7\xdf\x4d\x62\xf7\x1f\x6d\xe3\x54\x23\xcb\xa6\xe0\xe3\x4b\x6f\x80\x42\x14\xa7\x05\x89\xa0\xf8\xbc\xcc\xb6\x36\x7b\x9a\x68\x5e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2fNV}, // libGL:glVertexAttrib2fNV
  {(uint8_t*)"\x87\xaa\x72\xf5\xb4\xa9\x98\xdb\xfa\xe0\x83\x29\x95\x4d\x84\xa4\x53\x01\x55\xc1\x4a\x17\x7b\x17\x93\xe7\xb7\xc4\xb9\xf3\x0d\x9f", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2fvARB}, // libGL:glVertexAttrib2fvARB
  {(uint8_t*)"\x2a\x53\x5f\x9a\x00\xa1\xe5\x34\x87\x23\x93\xd9\x5f\x47\xd7\x4a\x2d\x44\xb7\x95\x6a\xf7\xe1\x85\x86\xec\xae\x0d\x79\x03\x4b\x03", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2fv}, // libGL:glVertexAttrib2fv
  {(uint8_t*)"\x87\x81\xdd\x4d\x4a\x44\x61\xf8\x43\xfd\x9f\x08\xf9\xa3\xb6\x5d\xca\x35\x37\x08\x42\xfb\x28\xfc\xbb\xbb\x2f\xf2\xec\xad\x07\x45", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2fvNV}, // libGL:glVertexAttrib2fvNV
  {(uint8_t*)"\xcc\x1c\x68\x2a\xc1\x8e\x30\x59\x9e\x8c\x63\x90\x9e\xfb\x20\x95\x6e\x37\xf0\xd5\x49\x4c\x03\x04\x12\x77\x6e\x3a\x91\x8f\x46\xdb", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2hNV}, // libGL:glVertexAttrib2hNV
  {(uint8_t*)"\x44\xad\x72\x96\x4b\x11\xac\x17\xbc\x9b\x7c\xf2\x5a\x05\xa9\xc5\xb9\xbf\xcd\x53\x23\x68\x5e\x89\xbe\x7a\xc5\xd0\x5c\xf3\x92\x81", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2hvNV}, // libGL:glVertexAttrib2hvNV
  {(uint8_t*)"\x02\x6b\xdb\xf0\x58\xc6\xf8\xb9\xd1\xec\x73\xd1\xf7\x05\x56\xc4\x29\x7d\xfd\xa9\x65\x5f\x26\x3b\xd3\xa7\xae\x87\x83\xa3\x9f\x48", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2sARB}, // libGL:glVertexAttrib2sARB
  {(uint8_t*)"\x9b\x3c\x2e\x8b\x2a\x40\xd9\x43\xeb\x9c\x14\xa1\xfa\x0c\x9e\xf9\xa1\xe1\xab\xcb\x06\x22\x69\x48\x0d\x60\x8f\x69\x54\x7a\x6c\x09", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2s}, // libGL:glVertexAttrib2s
  {(uint8_t*)"\x17\xd0\x4c\x0b\xdf\x2b\x7f\xa9\x13\xe2\xa3\x48\x21\x14\x09\x4e\xeb\xb1\x2b\xe3\xa3\x25\x87\x94\xc8\xda\xaf\xf6\x7b\xd6\xc9\x9e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2sNV}, // libGL:glVertexAttrib2sNV
  {(uint8_t*)"\x05\xf5\xd1\xb4\xa9\x8d\x52\xd8\xab\x64\x5c\x4e\xfd\x53\x58\xfe\xd1\xbc\x32\xc3\x1c\xd0\x60\xd6\xfb\x3d\xee\x04\x29\xc2\x59\x4d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2svARB}, // libGL:glVertexAttrib2svARB
  {(uint8_t*)"\xea\xef\x04\x62\xf9\xed\x03\x99\x7c\xa9\x27\x4e\x3f\x3d\xca\x9d\x88\x93\x83\x81\x4d\xd9\x88\x38\x59\xe4\xe3\xac\x88\x97\x80\xac", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2sv}, // libGL:glVertexAttrib2sv
  {(uint8_t*)"\x16\x60\x7c\x1c\x5e\xd0\xbb\x8f\x85\xf4\xdd\xe8\xce\xf8\x8b\xb3\x8e\x26\x14\x5c\x16\xeb\xba\xc7\x22\xe7\x44\x0e\x35\x72\x40\x6f", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib2svNV}, // libGL:glVertexAttrib2svNV
  {(uint8_t*)"\xc6\x11\xf2\xaf\x10\xba\x20\x9b\x57\xf6\xfc\x07\xf7\xa3\x11\x70\x76\x68\x76\xa9\xb5\xee\x18\xda\x61\xd1\xe6\x44\xab\xcf\x07\x4d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3dARB}, // libGL:glVertexAttrib3dARB
  {(uint8_t*)"\x4f\x16\xea\xac\xc2\xef\xe5\xbf\x5a\xd7\x79\x05\xcd\xcc\xde\xde\xca\xb8\x62\x3c\xd4\xc4\xa3\x47\x9b\x2d\x6a\xc6\x0b\xf3\xa6\x97", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3d}, // libGL:glVertexAttrib3d
  {(uint8_t*)"\xe8\x29\x68\x8b\x55\xa7\x06\xab\x3f\x8d\xe9\xdc\x4e\x13\xbb\x95\xfe\x52\x1d\x1b\x8b\x00\xdc\x71\x8b\x80\x64\x81\xe0\x2f\xa3\x77", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3dNV}, // libGL:glVertexAttrib3dNV
  {(uint8_t*)"\x09\x75\x08\x95\x86\x45\xf6\x83\x2a\x8e\xf1\xb0\x27\x11\x0c\x6f\xa1\x53\x6d\xba\xbc\xe5\xfb\xcb\xbb\x70\xf4\x63\x14\x6b\xdf\x96", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3dvARB}, // libGL:glVertexAttrib3dvARB
  {(uint8_t*)"\xf6\x91\xbc\x02\xa0\x48\x7e\x72\x00\x5b\xda\x10\x94\x8f\x5f\x4e\x22\x87\x02\x18\xa8\x6e\xce\x62\xd9\xaa\x3d\xc7\x2b\x9e\xd1\xa3", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3dv}, // libGL:glVertexAttrib3dv
  {(uint8_t*)"\x7f\xa8\x42\xdd\x30\x36\x59\xda\x59\x35\x7d\x3a\x68\x11\x77\x08\xd8\xda\xac\x30\xd7\xa9\xdb\xa6\x23\x47\xf4\xca\xc3\xb9\xfa\x23", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3dvNV}, // libGL:glVertexAttrib3dvNV
  {(uint8_t*)"\x3d\x8f\xcc\x2f\xe6\xc1\xa0\x4d\x0d\x57\xbe\x0a\x97\x63\x73\x6f\x90\x4f\x11\x1b\xcc\x2d\x0a\xa7\x2a\xf2\x68\xe0\xdc\x7c\xa3\xd3", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3fARB}, // libGL:glVertexAttrib3fARB
  {(uint8_t*)"\x76\xdc\xca\x8b\x45\x64\xb8\x0a\x0e\xc4\x13\x51\xe4\xf4\xc7\xcc\x0f\x24\xbd\x50\xba\xf0\xe8\x6d\x72\x85\x17\xa2\x24\xd6\x02\xd4", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3f}, // libGL:glVertexAttrib3f
  {(uint8_t*)"\xb6\x94\xda\xa8\xb5\x2a\x68\x2b\xfd\xef\xd4\xda\x89\x29\x32\x5d\xa6\x07\xbf\x12\xc8\x6f\x7e\xe9\xbf\xc7\x13\x9d\x99\xd5\x71\xae", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3fNV}, // libGL:glVertexAttrib3fNV
  {(uint8_t*)"\x0e\x35\x6c\x7e\x82\x8a\xa4\x7e\x03\xea\x41\xe2\x04\x92\xe8\x58\x1d\x8f\xf6\x97\xb4\x25\xcb\xc0\x5e\x47\x32\x2d\x19\x35\x3e\x0c", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3fvARB}, // libGL:glVertexAttrib3fvARB
  {(uint8_t*)"\x61\xa2\x7e\xcb\x29\xc1\xec\x05\x34\x25\xcb\xac\x64\x34\xa0\x74\xa2\xb4\x78\x46\x10\xfb\x9f\x08\x87\x85\x34\xaa\x2a\xfd\x67\x49", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3fv}, // libGL:glVertexAttrib3fv
  {(uint8_t*)"\xd2\x85\x6c\x44\xee\x90\x60\x3d\x20\xcf\x6c\x96\xec\xb9\x52\xe5\x3d\x2f\x1e\xfb\x8a\x86\x92\x15\xdd\x60\xfb\xa5\x44\xf8\x0e\x4e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3fvNV}, // libGL:glVertexAttrib3fvNV
  {(uint8_t*)"\xef\x21\x72\x91\x57\xab\x73\x53\x60\x2f\xe3\x37\x84\x53\x72\x45\x27\x4d\x13\x19\x80\x03\x8d\xef\x48\x3d\xf5\xfb\x8e\xf1\x92\x5a", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3hNV}, // libGL:glVertexAttrib3hNV
  {(uint8_t*)"\x5f\xfc\x8a\x23\xf3\x6c\x2e\xf6\x78\xd3\xc7\x37\xbf\xf5\x85\x05\x4c\x10\x2b\x8a\xa9\x4c\x3d\xdb\x43\xe9\xd5\x44\xb1\x72\x1b\xe7", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3hvNV}, // libGL:glVertexAttrib3hvNV
  {(uint8_t*)"\x8a\x52\xc8\xf9\xc3\x3d\x49\x24\x47\x69\x25\x48\x73\x65\x8b\x23\xc5\x65\x89\xdd\x67\x0e\xc8\x6f\x48\x30\x5c\xdc\xe8\xaf\x60\x49", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3sARB}, // libGL:glVertexAttrib3sARB
  {(uint8_t*)"\x4f\x64\xf2\xbb\xa2\x13\x2c\x2b\x5b\x44\xf0\x70\x18\xf9\x2a\x0a\x48\xab\x99\xfb\x0e\x91\x31\xac\xc1\x19\x43\xa2\x84\x82\x49\x97", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3s}, // libGL:glVertexAttrib3s
  {(uint8_t*)"\x01\x19\x2b\x97\x71\xc1\x83\x5f\x94\xb2\x7e\x74\x05\x2d\x3f\x21\x83\xe6\xea\xd4\xfe\xe2\xa1\xf3\xbc\x10\x77\xd7\x8b\x50\x69\x5f", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3sNV}, // libGL:glVertexAttrib3sNV
  {(uint8_t*)"\x61\x0c\x9b\xf1\x2e\x0e\x42\xc0\x0f\x5d\xf7\x0b\x39\xfb\x56\xbd\xcc\x71\xe1\x6d\x90\xb3\xdd\xb9\x8b\x3a\x4c\x82\x4c\x5f\xc3\x2e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3svARB}, // libGL:glVertexAttrib3svARB
  {(uint8_t*)"\x97\x76\x41\xcc\x4d\x9b\x55\xc4\x0d\xd8\xda\x95\xc2\xc5\x06\x47\x7a\xaf\x48\xa9\x6a\xc9\x74\x53\xc5\xb2\x57\xb2\xb3\x00\x6d\xb4", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3sv}, // libGL:glVertexAttrib3sv
  {(uint8_t*)"\xdf\x1f\x6a\x14\xee\x0e\x16\xa3\x9a\xf5\x6d\x9e\x1c\xea\x85\x3b\x89\x18\x7c\xf4\x79\x14\xb5\xa7\x3e\xf9\xb8\xc3\x73\x55\x33\x37", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib3svNV}, // libGL:glVertexAttrib3svNV
  {(uint8_t*)"\x0e\xe3\x88\xc9\x23\x61\x1e\x53\x4b\xa1\x76\x70\xc0\xcc\x71\x42\xc9\xc1\x75\x6c\xa8\xa8\x2a\xe7\xfb\x6b\xdd\x32\x61\xe5\x5e\x3e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4bvARB}, // libGL:glVertexAttrib4bvARB
  {(uint8_t*)"\x3a\xa6\x3f\x42\x97\x33\x23\x1d\x7d\x69\x87\x8f\xf1\x28\x01\x38\xdf\x52\x7f\xf2\xcf\xc6\xa2\xc3\x9b\x1f\x76\x31\x8d\x98\x67\x6b", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4bv}, // libGL:glVertexAttrib4bv
  {(uint8_t*)"\x35\x5b\xb6\x90\x33\xad\xdf\xad\x37\x7b\x03\x00\xbb\x4b\xde\xce\xc0\xf4\x3a\x84\x73\x28\xfd\xdb\x66\x91\xa1\x12\x66\x73\xac\x08", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4dARB}, // libGL:glVertexAttrib4dARB
  {(uint8_t*)"\x87\x9f\x01\x47\xef\xff\x78\x0c\xe0\x9a\xfc\x61\x33\xcf\x55\x6a\x2f\x63\x02\x5c\x53\xfd\x7a\x10\x8e\x7f\x44\x31\xa0\xf3\xc4\x07", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4d}, // libGL:glVertexAttrib4d
  {(uint8_t*)"\x76\xd5\x25\xec\xf8\x4e\x0a\x81\xcf\x92\x73\x01\x4c\xe3\x19\x5b\xb6\x66\x7d\x82\x24\x7e\x00\x86\xe0\xb8\xd7\xff\xee\x27\x25\xdc", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4dNV}, // libGL:glVertexAttrib4dNV
  {(uint8_t*)"\x21\x83\x6b\x7f\x8e\x21\x71\x1b\x20\xc8\xf9\xd2\xa2\x39\x65\x87\xa7\xcb\xf9\x44\x59\x18\x33\xae\x96\xcd\x91\x8f\x6c\xfb\x2b\x83", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4dvARB}, // libGL:glVertexAttrib4dvARB
  {(uint8_t*)"\x99\x63\xa3\x59\x07\xc6\x9a\x11\xa3\x16\x77\x6d\xaf\xac\x18\x72\xc6\x2d\x12\xa8\x22\x2d\x38\xf3\xc9\x12\x51\xba\x08\x26\xc5\x85", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4dv}, // libGL:glVertexAttrib4dv
  {(uint8_t*)"\xbb\x24\x3a\xd9\xfc\xb5\xe5\x48\xdb\xfc\xdf\x0f\xe2\x0c\x85\xb0\xc7\xd9\x2f\xa2\x3c\x5f\x97\xaf\x3e\x83\x18\x94\x80\xa0\xdd\x49", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4dvNV}, // libGL:glVertexAttrib4dvNV
  {(uint8_t*)"\xc6\x8b\x03\xd6\xfb\x71\x26\x14\x0c\xb8\x87\x46\xad\x43\xf2\x93\xfe\x9e\x4c\x97\xe3\xd2\x47\x4c\x40\x46\xa7\x7a\x24\x7c\x74\x37", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4fARB}, // libGL:glVertexAttrib4fARB
  {(uint8_t*)"\x94\x68\xcb\x20\x6e\x5d\xca\xfe\xdd\x6f\x33\xe3\x52\xa9\xcd\x8f\xa1\x2e\xaf\xa3\x06\x0e\x9f\xf9\x4d\x07\x28\xdc\x9c\x0e\xb7\x98", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4f}, // libGL:glVertexAttrib4f
  {(uint8_t*)"\x81\x31\xdc\x17\x88\x6b\x7c\x45\x0b\x20\x6b\x68\xd2\x58\xdc\x14\xd1\x76\xb8\xb2\x0b\x9e\x89\xd5\x7d\x17\x5d\x55\x5f\x84\x37\xab", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4fNV}, // libGL:glVertexAttrib4fNV
  {(uint8_t*)"\x3d\xc0\x32\xd6\xcb\x3f\x49\x6b\xe9\xc2\x1b\xe6\xd3\x5d\x68\xab\xc1\x2c\xbf\x92\x1c\x55\xcc\x70\x93\xf8\xce\x1c\x87\xe7\x91\xf5", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4fvARB}, // libGL:glVertexAttrib4fvARB
  {(uint8_t*)"\xad\xc0\xe0\xb7\x32\x09\x97\xc2\x4d\x3a\xf7\xa7\xa7\x29\x53\xc3\x2f\xd5\xf0\x14\xb4\x88\x99\xd1\x00\xdd\xc3\x95\xe1\x7e\x28\x2e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4fv}, // libGL:glVertexAttrib4fv
  {(uint8_t*)"\x79\x12\x71\x34\xdc\x2e\xcf\xe2\x33\xb0\x9b\xc4\x24\x1c\x09\xe8\xe2\x2b\x42\xc2\x4f\xe0\xef\xcc\x41\x8f\xf1\x1d\xd8\xe6\x80\x36", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4fvNV}, // libGL:glVertexAttrib4fvNV
  {(uint8_t*)"\xaa\x2b\xf1\xe4\xa9\xa8\x13\x82\xab\x39\xe6\x7c\x5d\x0b\xaa\x28\x2a\x21\xa0\xd8\xfa\x78\x07\xe4\x69\x90\x97\xcd\x11\xf5\xcf\xde", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4hNV}, // libGL:glVertexAttrib4hNV
  {(uint8_t*)"\x97\x84\x84\xa5\xc8\x54\x88\x8b\xe9\xec\xe1\xc3\x30\x5e\x98\x0f\x2b\x1e\xec\xc4\x7f\x09\x9a\x56\xb7\x70\xfd\xbe\xe5\xaf\xcf\x93", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4hvNV}, // libGL:glVertexAttrib4hvNV
  {(uint8_t*)"\xb1\xd3\x9f\xa0\x4d\x6c\xbb\x65\x98\x43\xc3\x8b\xa0\xe5\xca\x12\xfd\xe7\x75\xa4\x52\x17\xd0\x30\x88\x30\xdb\x39\xd1\x00\x6f\xd6", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4ivARB}, // libGL:glVertexAttrib4ivARB
  {(uint8_t*)"\xee\xdb\xf1\xb7\x3b\x82\x08\xce\x17\x9f\x0e\x11\x97\xf4\x2c\x91\xb5\xed\x5d\x5d\x56\xbb\x15\x5c\xa9\x85\x47\x75\x16\xed\xb7\x89", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4iv}, // libGL:glVertexAttrib4iv
  {(uint8_t*)"\x3b\x02\xc3\xa4\xf6\x6c\xe9\x53\xf1\xb1\x0a\xa8\x43\xe0\x3d\xea\x5c\xb7\xe1\x2b\x4f\x74\x9e\xbd\x8b\x9a\xd9\x9a\x08\x2a\xdc\x8e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4NbvARB}, // libGL:glVertexAttrib4NbvARB
  {(uint8_t*)"\xbc\xca\xbb\xe4\x25\x5d\xb2\x4d\x68\xc8\xdb\x77\x43\xe8\x97\x50\x86\x6e\xea\x27\xcd\xb2\x8f\x4b\x62\x22\x29\x93\x51\x5b\xcd\xb5", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4Nbv}, // libGL:glVertexAttrib4Nbv
  {(uint8_t*)"\x84\xd5\x64\xd2\xc6\x62\x03\xdc\x5a\x68\x90\xb7\xa0\x78\x2d\xa2\xd4\x8b\x90\x73\xdf\xa7\x30\xc0\x27\xb5\xa5\x2e\xc2\x94\x44\xf9", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4NivARB}, // libGL:glVertexAttrib4NivARB
  {(uint8_t*)"\x4a\x2a\xf9\x43\x4e\x6b\xf5\x79\xa4\x69\x1f\x27\x25\x82\x4e\x95\xa5\x86\xc5\x71\x55\x08\x38\xe1\xcf\xee\x1a\xc7\x94\xe1\xdd\x2a", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4Niv}, // libGL:glVertexAttrib4Niv
  {(uint8_t*)"\xaa\xee\xcf\x64\xf8\xda\xba\x8e\x39\x5d\x39\xf6\x76\xb9\x09\x1c\xd2\xdd\xaf\xf3\xfa\xf4\x0e\xb9\x3b\xa9\x28\xb0\x59\xe6\xe9\xb3", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4NsvARB}, // libGL:glVertexAttrib4NsvARB
  {(uint8_t*)"\x49\xfa\xa8\x07\x8b\xab\x0e\x9c\x70\xf9\x6c\xfb\xa6\xb0\xdd\x98\x81\x2b\xad\x40\xbf\x62\xa1\x47\x40\x81\xff\xf8\xe2\xbd\xe8\x39", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4Nsv}, // libGL:glVertexAttrib4Nsv
  {(uint8_t*)"\x7b\xb0\x57\xc0\xbe\xeb\x31\xba\x56\x61\x35\x82\xe3\x20\x5a\x9e\xb8\x15\x32\x97\xff\x58\x23\x10\x41\x67\xd8\xf4\x5d\xfb\xfa\xc9", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4NubARB}, // libGL:glVertexAttrib4NubARB
  {(uint8_t*)"\x0e\x2c\x65\xa4\x22\x7e\x77\xe2\xad\x0a\x19\x92\xf6\x28\xfe\xf3\x1e\x59\x77\x86\x58\xd1\xb0\x35\x03\x97\x61\x03\x4f\x0f\x10\xfa", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4Nub}, // libGL:glVertexAttrib4Nub
  {(uint8_t*)"\x42\x02\xbe\x9b\x3e\xe9\xad\x4a\xc2\x63\xe2\xd1\x6c\x4d\x87\xd5\x71\xc2\x1f\x29\x90\x79\x81\x1b\x0f\xa3\xac\x91\xf1\xa5\xac\x2d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4NubvARB}, // libGL:glVertexAttrib4NubvARB
  {(uint8_t*)"\x87\x87\xfb\xbe\x72\x95\xa3\x4b\x47\x16\xd5\xbc\x3e\x5c\x53\x3b\x62\x93\xb7\x0b\xbe\x0a\xd5\x99\x4b\xd5\x0c\xfe\xa4\x10\x9e\xc2", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4Nubv}, // libGL:glVertexAttrib4Nubv
  {(uint8_t*)"\xde\xc5\xe1\x8a\x33\xba\xb2\x48\x72\x3a\xcc\x67\xa2\x5d\x88\xd2\x7e\x64\x46\x12\x01\xf3\x46\xf1\x47\x18\x84\xa2\x0c\x91\x14\x8b", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4NuivARB}, // libGL:glVertexAttrib4NuivARB
  {(uint8_t*)"\x0f\x94\x3a\x34\x98\x16\xf7\xd2\x20\xe6\xbf\xba\x94\x01\xe5\x6a\x16\x24\xdb\x63\xcb\x11\x5f\x7d\xf5\x41\xc2\x58\x02\xc3\x39\x66", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4Nuiv}, // libGL:glVertexAttrib4Nuiv
  {(uint8_t*)"\xaa\xa6\x86\xad\xd3\xcd\x44\xd1\x43\xed\x32\xc3\x75\xcc\x65\x4e\x71\x7a\xa6\xd8\xd7\x28\x59\x85\xe7\x93\xe8\x9a\x15\x8a\x1b\x61", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4NusvARB}, // libGL:glVertexAttrib4NusvARB
  {(uint8_t*)"\xe6\xb8\xa1\x26\xff\x06\xa9\x9c\xd8\x87\xef\xa2\xb2\x40\x4c\xc0\x7b\xb0\xdc\x14\xc7\x64\xf5\xd1\xff\x4b\x2f\x41\xa7\x90\x0f\xf1", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4Nusv}, // libGL:glVertexAttrib4Nusv
  {(uint8_t*)"\xdc\x7c\x21\xbc\x05\xa6\xe1\x5f\x64\xf4\xb2\xf4\x30\x8d\xd6\x1c\x7f\xb0\xaa\xae\x5d\x4e\x23\xe1\x42\xf5\x51\x87\x53\x3d\xf7\x70", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4sARB}, // libGL:glVertexAttrib4sARB
  {(uint8_t*)"\x9e\x0f\xbf\x7a\xc9\x69\x9d\xb8\x2a\x75\xc0\x36\xdd\x77\x4e\x33\x6f\x36\xcf\x56\x02\x92\x98\x40\x6f\xf4\x0e\x48\x9f\xba\x55\x03", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4s}, // libGL:glVertexAttrib4s
  {(uint8_t*)"\x60\x21\x2a\xe9\xca\xd2\x9f\x32\xf8\xcb\x3d\x22\xa2\x55\x27\x50\xe6\x9c\xdd\x1d\xbd\x42\x88\xdc\x6d\x3c\x49\xe8\x61\x0e\xc4\x63", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4sNV}, // libGL:glVertexAttrib4sNV
  {(uint8_t*)"\x85\xa5\x17\xac\xae\x31\x97\xc4\x97\x3a\x39\xce\x2e\xaf\x4f\x7c\x6b\x0b\xe9\x03\x56\x16\x8e\xa1\xae\xee\x85\xe0\xf5\x11\x55\x50", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4svARB}, // libGL:glVertexAttrib4svARB
  {(uint8_t*)"\x26\xdd\xbf\x55\xda\x38\x66\xa4\x84\xe6\xc8\xf3\x6a\xea\x31\x6e\xd1\x71\x64\x5e\xeb\x78\x6c\x89\xa6\x07\x41\x27\x5a\xfd\x9f\x46", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4sv}, // libGL:glVertexAttrib4sv
  {(uint8_t*)"\xbc\xbd\x85\x61\xaf\x96\xe4\xa1\x18\x2b\xb5\xa0\x56\x12\x92\x3a\xd5\xf2\x32\xe4\x65\xb3\x75\xf1\xb6\xfa\x9f\xeb\xae\x1e\x11\x22", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4svNV}, // libGL:glVertexAttrib4svNV
  {(uint8_t*)"\x3e\xb5\x68\xac\xf4\x31\xef\x1d\x4f\x1d\xe1\x17\x39\xf0\x81\xba\xef\x04\x89\xe5\x35\x47\xed\xe8\xa4\xae\x1a\x50\x73\x7f\x68\x64", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4ubNV}, // libGL:glVertexAttrib4ubNV
  {(uint8_t*)"\x1e\xaa\xe8\xce\x09\xff\x8f\xa8\x29\x2a\xe2\x4e\x18\xfb\x0e\xa6\x0a\x84\x22\x9c\x14\x59\xe8\x70\x2f\x46\x92\x10\x79\xd6\x9c\x1f", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4ubvARB}, // libGL:glVertexAttrib4ubvARB
  {(uint8_t*)"\x67\x82\x53\x24\xc2\x56\x17\xd5\x21\x47\xe0\xae\xe8\x54\xa4\xa2\x05\xa9\xd4\xa1\xb9\xf7\x28\xa0\x1f\x64\xd6\xdc\xa9\x2a\x5d\xfd", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4ubv}, // libGL:glVertexAttrib4ubv
  {(uint8_t*)"\x49\x17\x05\xc3\x1f\xf4\x9c\xd5\xf6\xbf\xc9\x96\x46\x31\x35\x9f\xdb\x84\xe3\x91\x8f\x5b\x20\xd5\x9e\xfa\xe6\x82\xf3\xa1\x56\x94", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4ubvNV}, // libGL:glVertexAttrib4ubvNV
  {(uint8_t*)"\x08\x1c\xae\xe0\xb7\x56\x4a\xd3\x65\x62\x7d\x16\x83\x26\xc7\x8b\xa3\x0d\xbf\xfd\xa1\xa8\x9a\x98\x99\xd9\x8f\xd7\xa7\xd2\x65\x8c", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4uivARB}, // libGL:glVertexAttrib4uivARB
  {(uint8_t*)"\x84\xcd\x25\x6e\xe7\x1e\x73\x41\x07\x51\xe9\x86\xf2\xe3\x1f\x74\x87\x1c\xa0\x72\x57\xf8\x20\xe4\x56\xd3\x7b\x87\x19\x7f\xba\x0b", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4uiv}, // libGL:glVertexAttrib4uiv
  {(uint8_t*)"\xd2\x82\xf0\xad\x55\x96\x92\x22\x29\xd5\xf0\x5f\x20\x94\xe0\xe9\x83\x27\xa8\xdc\xaa\xee\x7f\x0f\x8a\xbe\x29\x81\x3f\xbc\x4b\x24", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4usvARB}, // libGL:glVertexAttrib4usvARB
  {(uint8_t*)"\x76\x9e\x14\x51\x87\x64\xf1\xd6\x3d\x72\xf5\xdb\xc7\x53\x70\x17\x88\xac\x5c\x66\xa8\x84\x25\x19\xd8\x52\xa2\x10\xa7\x87\xb7\x92", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttrib4usv}, // libGL:glVertexAttrib4usv
  {(uint8_t*)"\x58\x66\x99\x3c\xd8\x1c\x26\xf4\x22\x39\x3e\xb6\x22\xd3\xcf\xf8\x0d\x20\x0e\x2f\x04\x9d\x14\x41\x3e\x07\xcf\x58\x34\xb1\x11\xb5", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribArrayObjectATI}, // libGL:glVertexAttribArrayObjectATI
  {(uint8_t*)"\x12\x93\xd7\x6b\xb8\x6f\xeb\xea\xf2\x51\xa8\xef\x21\x08\x75\x2f\xb5\x21\x01\x83\x03\x8f\xc2\x78\xb3\xfe\x34\xf0\x14\xf6\x2b\x62", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribBinding}, // libGL:glVertexAttribBinding
  {(uint8_t*)"\x08\x9b\xa0\x19\xc2\x50\xa0\x40\x84\xec\x3e\xc7\x78\x08\x75\xdf\x48\xf6\xa2\x59\x5f\xf2\xad\x2d\xaf\x4f\x47\x67\x88\x21\x60\x75", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribDivisorARB}, // libGL:glVertexAttribDivisorARB
  {(uint8_t*)"\x2b\x45\xdb\x81\x93\xc7\x1f\x95\x35\x0c\x32\x60\x97\xf4\xd0\x15\xf1\x5a\x1b\xc8\xfd\x29\x63\x67\x94\x36\x0d\x56\x44\xf5\x24\x39", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribDivisor}, // libGL:glVertexAttribDivisor
  {(uint8_t*)"\x1c\x09\x37\xb2\xdb\xf8\x72\x31\xe5\xd7\xcc\x9c\x07\x47\x64\x43\xc1\xdb\xde\xcb\x8e\xed\x70\x6a\xc8\x9f\x76\xb8\x9b\x1f\x29\x5a", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribFormat}, // libGL:glVertexAttribFormat
  {(uint8_t*)"\x24\xbf\xb1\x00\x8d\x59\x17\xa9\x9a\xee\xd3\x8d\x21\x83\x08\x2c\x11\x54\xa7\x29\xd0\xaf\x2d\xe6\x8e\xbe\x5d\x0e\xef\x26\x5d\x0c", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribFormatNV}, // libGL:glVertexAttribFormatNV
  {(uint8_t*)"\x0f\x09\x80\x65\xc9\x0b\x49\xa0\x92\xe1\xb3\x80\x29\x38\xf1\xda\x53\xa5\xcd\x0c\x2d\x46\x06\x75\x81\xd0\x81\x52\x78\xf6\x6f\x69", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI1iEXT}, // libGL:glVertexAttribI1iEXT
  {(uint8_t*)"\x66\xa0\xfa\xe9\xd0\x22\x8c\xd4\x53\xd1\x9b\xd7\x1d\x8f\xdb\xde\x25\x97\x1a\x66\xef\xf7\xc8\x1c\xa1\x10\x94\xc5\xb3\x7c\x8d\xd2", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI1i}, // libGL:glVertexAttribI1i
  {(uint8_t*)"\x3e\xe0\xb2\x21\xe5\xe0\x6a\xf7\x98\xfe\xae\x4c\x7a\x80\xef\x2d\x78\xed\x0b\xd5\x2c\x4b\xe9\x16\xc0\x6b\x48\xa1\x88\x62\xe8\x5f", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI1ivEXT}, // libGL:glVertexAttribI1ivEXT
  {(uint8_t*)"\xf4\xdc\xa0\xa4\x16\xda\x49\x85\x9c\x74\xc8\x67\x10\x31\xb5\x38\x7c\x12\xcd\x04\x34\x0e\xe6\xf2\x5e\x21\xd2\xac\xae\xb9\x03\x0d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI1iv}, // libGL:glVertexAttribI1iv
  {(uint8_t*)"\xec\x24\xbb\x95\x32\x31\x88\xcf\xab\xd4\x37\xc4\xea\x1d\x42\x25\x5a\x00\xd9\x4f\x41\x09\x7a\x5c\xd1\xfe\xf8\x80\x6a\xa0\xe6\x9f", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI1uiEXT}, // libGL:glVertexAttribI1uiEXT
  {(uint8_t*)"\xdc\x12\xf7\x3c\x8a\xb1\xde\xdb\x99\x78\x3c\x2c\xff\xad\x6b\x40\x8a\xe4\xa7\x04\xf9\x92\x2e\x80\xb2\x29\x80\x6d\x34\x0d\x52\x3c", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI1ui}, // libGL:glVertexAttribI1ui
  {(uint8_t*)"\x62\x53\xb1\x2e\x8e\x6a\x42\x72\xaa\x49\xb8\xf0\x92\xfc\xed\xc6\x30\x90\xad\x03\x5b\x7c\xc5\xd3\x75\x70\xa3\xf9\xfa\x23\x19\x25", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI1uivEXT}, // libGL:glVertexAttribI1uivEXT
  {(uint8_t*)"\x1e\x10\x8c\x9a\x80\xa7\x93\x71\x45\x0b\x44\x4f\x88\x8d\xb0\x80\x80\xa5\xd9\x64\xc3\xff\xd0\x9f\xd1\x7a\xdc\x5a\xf2\xc4\x1a\xad", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI1uiv}, // libGL:glVertexAttribI1uiv
  {(uint8_t*)"\x40\x2a\xda\x1a\xc8\x29\x13\xe2\x15\x46\xe6\x90\x10\x57\x49\x91\xed\x05\x0a\x2c\xbf\xfe\xb5\xf8\x58\x06\x56\x60\x10\x28\xb3\x99", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI2iEXT}, // libGL:glVertexAttribI2iEXT
  {(uint8_t*)"\x6b\xbf\xe5\xee\x8b\x99\x54\x9e\x6d\x25\x53\x90\x29\x39\x6e\xd5\x41\x41\x7d\x7c\xb4\xdd\x9f\xd8\x67\xd3\xe1\x3f\x94\x07\x06\xb2", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI2i}, // libGL:glVertexAttribI2i
  {(uint8_t*)"\x1e\x18\x53\x21\xc4\x76\xf4\xbf\x5c\x88\x71\xfa\xc6\x67\xca\x3b\xb8\x2f\x94\x3b\x71\x57\xb1\x06\x5e\x3a\xf1\x7f\xe2\x16\x81\x18", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI2ivEXT}, // libGL:glVertexAttribI2ivEXT
  {(uint8_t*)"\x0f\x9d\x68\x96\x71\xdc\x96\x21\x43\x86\x45\x44\xd7\xe1\x5a\x48\xee\xa2\x1f\x0e\x44\x5e\xa0\x65\xe8\x7b\x89\x6b\x73\xe8\xa5\x75", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI2iv}, // libGL:glVertexAttribI2iv
  {(uint8_t*)"\x7e\x81\xa9\x3f\x8f\x86\xe4\x39\xae\x6b\x75\x30\xc5\x33\xbb\xa4\xf3\xcb\x25\x53\x85\x90\xbe\xae\xaa\x7e\xdb\xe5\xb8\xb9\xf6\xe8", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI2uiEXT}, // libGL:glVertexAttribI2uiEXT
  {(uint8_t*)"\x7f\xc7\x7a\x9f\x5f\x37\x7b\x50\xcb\x7d\x56\x28\xac\x83\x67\xc4\xe0\xdc\x83\x9a\x9d\xc8\xa2\x07\xea\x3b\x16\x5d\x10\xe9\x66\x3d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI2ui}, // libGL:glVertexAttribI2ui
  {(uint8_t*)"\xa4\x82\xab\xa5\xfd\xfb\x0e\xa6\x2e\x18\xef\xa9\x65\x8f\xd1\x39\x97\x4e\x4a\x40\xa3\xd4\x54\x12\x41\xee\x4d\x36\x02\x82\xe4\x2f", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI2uivEXT}, // libGL:glVertexAttribI2uivEXT
  {(uint8_t*)"\xd7\x1d\x5c\x0a\x0f\x8e\xb1\x71\xc1\xee\x88\x68\x96\x3e\x8a\x50\xa4\x2b\xe0\xc5\xdd\x59\x18\x17\xbe\x0f\x86\x2e\x6a\xf1\x62\xff", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI2uiv}, // libGL:glVertexAttribI2uiv
  {(uint8_t*)"\x46\x42\x3a\xbf\x4a\x30\x74\x48\x2d\x77\x1b\xa0\x41\xdb\xbb\x3b\xe3\x98\xac\xc3\xef\x60\x5f\x66\x2f\x5e\xee\x1e\x5a\x09\x80\x87", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI3iEXT}, // libGL:glVertexAttribI3iEXT
  {(uint8_t*)"\xa3\x7d\xda\x0b\x4f\xd6\x6f\x6e\xf0\xa3\xcc\xf2\x0f\x59\x6e\xc0\x0a\xb0\x4c\x42\x36\xf6\xe2\x48\x74\x96\x37\x3e\xc6\xc4\x6f\x40", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI3i}, // libGL:glVertexAttribI3i
  {(uint8_t*)"\xb4\xa5\xc9\x63\xc6\xc2\xce\x1b\xe3\xd0\x8c\xc2\x46\x1a\x7a\x76\xe3\xda\x55\x24\x44\x08\x1e\x44\xe6\x16\x51\x47\x69\x48\xa1\xac", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI3ivEXT}, // libGL:glVertexAttribI3ivEXT
  {(uint8_t*)"\x6e\x8b\xdd\xdc\xd1\xa0\x04\x35\x01\x17\xb9\x41\x39\xe0\x51\x45\x85\xec\x2e\x69\xb9\x27\x02\xa8\xf6\xc5\xa3\xd2\x9d\x22\x63\xeb", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI3iv}, // libGL:glVertexAttribI3iv
  {(uint8_t*)"\x86\x60\xc6\x26\x1e\x16\x76\x37\xd0\xa1\xdd\x8c\x32\x67\x16\xb7\x9e\x60\x0a\xe9\xb4\x57\xa1\x34\x6a\x24\xad\x6d\xe5\xeb\x2a\xda", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI3uiEXT}, // libGL:glVertexAttribI3uiEXT
  {(uint8_t*)"\xf5\xf2\x81\xb8\x89\x26\xa3\x94\xa1\xb5\xaa\x72\x34\x7a\x10\x69\xaf\x7d\x39\x74\x65\x7a\xad\x53\x2a\x60\x7a\xa0\x67\x79\x06\x4e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI3ui}, // libGL:glVertexAttribI3ui
  {(uint8_t*)"\x1a\xe6\x59\xb7\xb5\xda\x32\xeb\xa4\x55\xd1\x3f\x81\x5d\x8c\x92\xe3\xd0\xf2\xb1\x5e\xbd\xb7\x09\x00\x3d\x6a\x31\x3d\x56\x50\xea", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI3uivEXT}, // libGL:glVertexAttribI3uivEXT
  {(uint8_t*)"\xd1\x97\x9d\x04\xbc\x91\x63\x51\x68\xdd\xde\x04\x9d\x8c\x5b\xda\x41\x55\x7b\xb4\xf1\xe6\x4a\x3b\xbb\x03\xbe\x2d\xe1\x15\x76\x9e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI3uiv}, // libGL:glVertexAttribI3uiv
  {(uint8_t*)"\xd5\x41\x6b\x9f\x12\xa9\xea\xeb\x98\xee\x21\xef\xe3\x06\x88\x48\x3b\xc7\xe4\x07\x03\xae\x94\x0a\x0c\xd6\xee\xf5\xb5\x42\xa4\xb2", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4bvEXT}, // libGL:glVertexAttribI4bvEXT
  {(uint8_t*)"\x30\xc5\x78\x86\x54\x23\x16\x46\xc8\xb6\xe9\x90\xd7\x97\x68\xab\x87\x4c\x0e\xe8\xca\x83\x43\xc9\x45\xfe\x1f\xe7\xda\x95\x54\xe4", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4bv}, // libGL:glVertexAttribI4bv
  {(uint8_t*)"\x6e\x33\xb9\xd3\xf6\xae\xd7\x28\x01\x35\x36\xb9\xa0\x47\x9d\xde\xb0\xf0\xca\xab\xc7\xfa\x58\xf9\xab\xe7\x28\xb3\x95\x7b\x6c\xdf", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4iEXT}, // libGL:glVertexAttribI4iEXT
  {(uint8_t*)"\x09\xf1\x63\xfa\x24\xf8\xc3\x30\x42\x53\x4d\x0b\x84\xd0\x2a\x6c\x5b\x0f\x27\x52\x5b\x11\x90\xed\xbd\x7b\x20\x31\xfe\x62\xf7\x15", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4i}, // libGL:glVertexAttribI4i
  {(uint8_t*)"\xfa\xbf\xe7\x31\xd0\xe1\xe5\x4e\x95\x19\xcd\x84\x7b\x4c\xf8\x8a\xc9\x60\x95\x70\xb2\xab\xfc\x16\xbf\x79\xda\x6b\xbf\x9f\x4c\xd2", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4ivEXT}, // libGL:glVertexAttribI4ivEXT
  {(uint8_t*)"\x4d\xd3\x34\xf5\x66\x09\x95\xdc\x94\x24\x6f\x22\xdb\x43\x1d\x81\x75\xc0\xa8\x36\xc6\xea\x09\x11\x56\x7c\x43\x0c\x39\xe0\x38\x08", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4iv}, // libGL:glVertexAttribI4iv
  {(uint8_t*)"\x33\xf3\x44\xb9\xef\x92\xb9\x47\x0b\x10\x10\xaa\xbc\x0e\x45\x95\x87\xfd\xe7\x64\xa7\x4a\x72\xb1\x94\xfb\x89\x74\x76\x3e\xdc\xc9", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4svEXT}, // libGL:glVertexAttribI4svEXT
  {(uint8_t*)"\x44\x79\x88\x8b\xa7\xb5\x01\xa0\xc3\x30\x8b\x04\xc9\x7e\x00\x66\x77\x4f\xa7\x85\x41\x60\xad\x89\xe4\xeb\x21\x7a\x31\x37\x18\x95", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4sv}, // libGL:glVertexAttribI4sv
  {(uint8_t*)"\x94\xa6\xfc\xef\x94\x89\xe4\x08\x12\xfb\x06\xfd\xd1\xed\x4a\x9b\xb5\x3b\xa8\xaf\x3b\x59\xf2\x67\x36\x98\xe9\x94\x88\x29\x2f\x95", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4ubvEXT}, // libGL:glVertexAttribI4ubvEXT
  {(uint8_t*)"\x17\xf1\x35\x90\x74\x74\xd6\x86\x61\xe2\xfa\xea\xf2\x22\xdb\x94\xca\xa6\xc1\xd2\xbe\x55\x56\xd1\xa2\x8c\xde\x60\x02\x76\x3f\x0e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4ubv}, // libGL:glVertexAttribI4ubv
  {(uint8_t*)"\xc3\x25\xb0\xeb\x01\xd4\x0d\xe6\x14\x64\x34\x35\xd9\x25\x7e\xe1\x51\x6a\x2e\x98\xc8\xf9\x0c\xf5\xcf\x4e\xfc\x52\x84\x8a\x98\xd0", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4uiEXT}, // libGL:glVertexAttribI4uiEXT
  {(uint8_t*)"\x6c\x1f\xa5\x3e\x77\xd2\x61\x6d\xe9\x12\x23\x43\x2c\xfa\x3e\xee\xa8\x32\x69\x66\x21\xa1\x2d\xd5\x4e\xe2\xda\x75\x58\x34\x91\x01", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4ui}, // libGL:glVertexAttribI4ui
  {(uint8_t*)"\x34\x11\xf0\x36\x14\xf7\xbb\x29\xb4\x9e\x01\xce\x5f\xb0\x7a\x7a\xed\xa8\x52\x84\xfb\xe9\x44\x8c\xd0\x47\xac\xd7\x9e\xf1\xd3\x80", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4uivEXT}, // libGL:glVertexAttribI4uivEXT
  {(uint8_t*)"\x09\xca\xdd\x5b\xc6\x91\x66\xa2\xdb\xc0\xab\xa1\x5d\x0f\x3c\xc2\x4e\xd2\x40\x97\x01\xee\x49\x08\xa4\x0b\x3f\x0d\xec\x71\x34\xf9", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4uiv}, // libGL:glVertexAttribI4uiv
  {(uint8_t*)"\x47\x90\x79\x7e\x66\x0b\x43\xf5\x8d\x61\x1a\xdf\xb1\x2b\x10\x3d\x9b\xa0\xcb\x79\x5c\x22\x5a\x12\xe2\x64\x18\xab\xe8\xef\xe9\x52", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4usvEXT}, // libGL:glVertexAttribI4usvEXT
  {(uint8_t*)"\x8b\xbb\x30\xe8\x79\x72\xa1\x7b\x29\xdb\x86\x45\xae\xf0\x19\x36\x2f\xb4\xfb\x82\x2a\x67\x37\x6d\xcc\xb4\x0d\xce\xaa\xb6\xa1\x79", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribI4usv}, // libGL:glVertexAttribI4usv
  {(uint8_t*)"\x96\x16\xcf\xa1\xc9\x3a\xf6\xda\x55\xff\xd8\xae\xef\x41\x72\x3c\x37\x67\xe8\xa9\x88\x40\xdf\x36\x20\x4b\xaa\x0e\x2c\x4e\xc7\xa7", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribIFormat}, // libGL:glVertexAttribIFormat
  {(uint8_t*)"\x78\x1b\x2d\x0a\xf0\x7a\xed\x90\x97\x02\xb2\xea\x7e\xfc\x6b\x6c\xf6\x20\x7a\x78\xbe\x68\x7f\x46\xb8\xb6\x2a\xaf\x9f\xbf\xec\x2f", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribIFormatNV}, // libGL:glVertexAttribIFormatNV
  {(uint8_t*)"\xe4\xa0\x36\x7e\xdb\x1e\x92\xa4\xe9\x9d\x6b\x13\x41\xe4\x26\x87\x3d\x2f\x16\x49\x83\xcf\x95\x0c\xc8\x16\xfb\xcc\x52\x6b\xf5\x65", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribIPointerEXT}, // libGL:glVertexAttribIPointerEXT
  {(uint8_t*)"\x32\x51\x50\x2f\xc0\xb4\x2d\x09\x32\xab\xec\x1e\x4b\x93\x94\x4d\x34\x53\x15\x35\xcf\x93\xe8\x29\x06\xdb\xc9\x68\x70\x76\xcd\x00", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribIPointer}, // libGL:glVertexAttribIPointer
  {(uint8_t*)"\xba\xab\x79\xac\x81\x93\x98\x58\x7b\x68\x89\x09\x01\x04\xca\xc1\x79\x30\x51\x0b\xb3\xcb\x23\x0c\xd7\x9d\xfc\xb4\x7f\x23\x35\xde", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL1dEXT}, // libGL:glVertexAttribL1dEXT
  {(uint8_t*)"\x7d\xb4\x0e\x59\xa9\x08\x53\x78\xda\x3a\xb9\xbf\x18\xa6\xde\xe9\x6e\xce\xef\xe8\xc7\xca\x55\xd9\xc7\x23\x95\x62\xd9\x86\xf3\x14", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL1d}, // libGL:glVertexAttribL1d
  {(uint8_t*)"\x61\x6b\x3b\xa2\x81\x7c\x1f\xfd\x57\xe6\x2b\x37\x91\xdb\xfe\x69\x4b\x73\x64\x56\x9c\xc2\x68\xdb\xe0\xe6\xcd\x91\x99\xb9\x70\x02", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL1dvEXT}, // libGL:glVertexAttribL1dvEXT
  {(uint8_t*)"\x52\x6b\x04\xed\x49\x42\x04\xc2\xf1\x7c\x32\x5c\x28\xaf\xde\x3a\x8a\x07\x5a\x80\x7c\xd3\x50\x08\x19\x3f\x95\x52\xd2\xc6\x28\xc6", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL1dv}, // libGL:glVertexAttribL1dv
  {(uint8_t*)"\x93\x30\x99\x99\x74\x9c\x66\xaa\xf1\x43\x03\x02\xc6\x94\xa1\x0b\x2b\x1d\xd0\x61\x38\xef\xc3\xfa\x1e\x54\x82\x17\x30\x14\x94\x9b", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL1i64NV}, // libGL:glVertexAttribL1i64NV
  {(uint8_t*)"\xb3\xd2\xd4\x0c\xe6\x30\x36\x63\xd8\x82\x94\x28\x05\x4f\x74\x44\x8a\x90\x3a\x27\x7a\x81\x7d\x3c\x5e\xca\xb4\x82\x80\xf0\x14\x1d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL1i64vNV}, // libGL:glVertexAttribL1i64vNV
  {(uint8_t*)"\xa8\xf2\x11\x40\xbc\xae\x1b\xef\x99\x19\xe0\xe3\x14\x0b\xb6\x6f\x79\x6f\xf3\x8c\x32\x46\xde\x9b\x57\x80\xcb\xf9\x97\x3f\xad\x23", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL1ui64ARB}, // libGL:glVertexAttribL1ui64ARB
  {(uint8_t*)"\xcc\x3f\xf9\xe7\xea\x3c\xb4\x51\xfe\x26\x91\x0f\xc4\x1f\xc6\x2e\x79\xe2\x73\x68\xe2\xf1\x08\x33\x84\x7d\x07\xf4\x9d\xd0\x0e\x12", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL1ui64NV}, // libGL:glVertexAttribL1ui64NV
  {(uint8_t*)"\x4e\x31\x44\x51\xd6\x29\x95\x76\xef\xd0\xc0\x68\x58\x0a\x7b\xba\x40\xbe\x05\x2c\x6e\xea\xb8\x54\xfb\xe0\xb9\xda\xed\x58\xb1\x04", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL1ui64vARB}, // libGL:glVertexAttribL1ui64vARB
  {(uint8_t*)"\x58\x38\x5f\x4c\x5f\x78\x5e\x60\x1f\x49\xe2\x00\x88\x49\xd7\x86\xbb\x99\x53\x74\x23\x9e\x7c\x9b\x25\x31\xfa\x4f\x3b\x7c\x9b\x3a", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL1ui64vNV}, // libGL:glVertexAttribL1ui64vNV
  {(uint8_t*)"\x7e\x87\x2f\x0d\xd2\x17\xdc\xe6\x51\x09\xf1\x23\xf8\x92\x55\x36\x5a\xa9\xc4\xfe\x0e\xcd\xcc\xf7\x24\x75\xa5\xf6\x25\xe8\x31\xe9", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL2dEXT}, // libGL:glVertexAttribL2dEXT
  {(uint8_t*)"\x2f\x03\xe6\x5e\x9b\x35\x59\xc7\x77\x13\xb6\xe2\x7e\xca\x45\xf0\x35\x26\x13\x44\x16\x35\x36\x2e\x39\x9b\xf8\x38\x73\xca\x3e\xbc", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL2d}, // libGL:glVertexAttribL2d
  {(uint8_t*)"\x17\xa1\x3d\x52\x06\xc3\xc8\xc1\x4c\x5f\x77\x3d\xce\xd8\xf8\x07\x0c\xe9\x8e\xd9\x16\x50\xfd\x9c\x0a\xca\x35\x30\x8f\xd0\x0f\x9c", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL2dvEXT}, // libGL:glVertexAttribL2dvEXT
  {(uint8_t*)"\x2c\xec\xcb\x72\xd3\xa6\xb2\xf8\x32\xc2\x4b\x4f\x6e\x22\xfa\xfc\x63\x07\x5b\x0c\xe4\x96\xe4\x04\x8f\x00\xf6\xc6\x39\x02\xa4\xac", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL2dv}, // libGL:glVertexAttribL2dv
  {(uint8_t*)"\xe3\x59\x1c\x5a\x9b\x66\x7f\xe8\x48\x98\xb6\xec\xf1\xb3\x9a\x92\x89\x6b\x28\xa6\xe2\xc8\x28\xb7\x61\x5c\x9b\xc8\xca\x40\x50\x0b", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL2i64NV}, // libGL:glVertexAttribL2i64NV
  {(uint8_t*)"\x7d\x51\x9b\x90\xc1\x88\xec\x90\xa9\x18\x61\x4c\xff\xb7\x8c\xc5\xdd\x80\xef\x79\xaf\x0d\xef\x0b\xc8\xf8\x81\xfe\x42\xb5\xa5\xbc", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL2i64vNV}, // libGL:glVertexAttribL2i64vNV
  {(uint8_t*)"\x6f\x8a\xf0\xfc\xc5\x65\x27\xdb\xc4\x46\x96\xff\xdc\x43\xb6\x5b\x7c\x43\xf2\x16\x85\x2e\xb1\xe4\xcd\xcb\x5b\xb3\xfc\x43\x94\xe1", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL2ui64NV}, // libGL:glVertexAttribL2ui64NV
  {(uint8_t*)"\x8c\x02\xe3\x68\xcc\x4a\xf2\x72\xb4\xb1\x77\x3e\xf9\xfa\xe6\xd0\xf1\x35\x41\x1c\x19\xfe\x78\x67\xe1\xc5\x49\x99\xe2\xd8\x6c\x81", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL2ui64vNV}, // libGL:glVertexAttribL2ui64vNV
  {(uint8_t*)"\x51\xd7\xcd\x85\x60\xf7\x67\x51\x2d\xe9\x6e\xbe\x88\x40\xa0\x65\x8a\x86\xb8\x62\x4a\x23\xf2\xec\x26\xbe\x91\xe9\x26\xf8\xff\xe4", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL3dEXT}, // libGL:glVertexAttribL3dEXT
  {(uint8_t*)"\x7f\xaf\x6b\x3d\xab\x3e\x99\x8b\x80\xa3\x85\x62\x4a\xd5\x96\x11\x81\x54\x7c\x3c\x82\x0a\xa0\xbf\x35\x85\xf4\xb7\x43\xa9\x4b\x31", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL3d}, // libGL:glVertexAttribL3d
  {(uint8_t*)"\x5b\x7f\x30\x62\xdf\x18\x09\x18\xd1\x93\xbe\xb3\xc5\x0e\x1e\x55\x73\x58\xf2\xf1\x4b\xfc\xce\x7e\xca\x27\x77\x8b\xe9\xb0\x8c\x8c", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL3dvEXT}, // libGL:glVertexAttribL3dvEXT
  {(uint8_t*)"\x5b\x89\x7b\x54\x9b\x77\xc2\xc2\x92\x8c\x2a\x27\xc5\x0c\x8e\xa5\x4c\x76\xb1\xce\xe1\x9a\xc3\x43\x96\x26\x15\xb0\xfd\x8e\x15\xba", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL3dv}, // libGL:glVertexAttribL3dv
  {(uint8_t*)"\x3d\xca\x63\x2c\x43\x9d\x32\x5a\x7c\x71\x5d\xbc\xa7\xe7\xa4\x20\x35\xb9\x66\x90\x34\x69\x3c\x55\x12\x08\x4b\x30\xc0\x62\xe4\x4b", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL3i64NV}, // libGL:glVertexAttribL3i64NV
  {(uint8_t*)"\xb8\x33\x14\x03\xc5\xf7\x3e\xf6\x92\x49\x86\x2f\xcb\x8c\xc0\xc4\x35\xda\x15\x5d\x51\x88\xaf\xbf\x7a\xc1\x9c\xbd\xc6\xe4\x4c\x5d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL3i64vNV}, // libGL:glVertexAttribL3i64vNV
  {(uint8_t*)"\x94\x76\xf5\x62\x27\x6e\x91\x57\xa8\xb1\x9e\x42\xd9\x66\x48\x43\x08\xbb\x9a\x1d\x4a\x7c\xb8\xa4\x8d\xb6\x66\x88\xe1\x6d\x01\xf4", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL3ui64NV}, // libGL:glVertexAttribL3ui64NV
  {(uint8_t*)"\x94\xc2\x3d\xdf\x2b\xad\x80\xd7\x5e\x21\xee\xdc\xee\x20\x6c\xca\x8b\xc3\xb7\xf1\x24\xd6\xe2\x56\x63\x4c\x1d\x7d\xc4\x17\x63\xea", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL3ui64vNV}, // libGL:glVertexAttribL3ui64vNV
  {(uint8_t*)"\xfe\x2f\x50\xaa\xed\x4a\x97\xd3\xe8\x3f\x3d\x17\xfb\x47\xa1\xbe\x18\x4d\xfd\x51\x7f\xc8\x6e\x37\xd2\xf6\xde\x0f\x35\x4a\x3b\x4a", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL4dEXT}, // libGL:glVertexAttribL4dEXT
  {(uint8_t*)"\x2e\x43\xa4\x1d\xdb\x9c\x96\x90\xde\x43\x8b\xa7\x67\x0d\xd6\x96\x12\x55\x75\xdb\x7b\x63\x18\x23\x79\xd9\xb3\x1d\xd5\x53\xb9\x6d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL4d}, // libGL:glVertexAttribL4d
  {(uint8_t*)"\x80\x66\x92\x22\x3f\xfe\x23\x7d\x8c\x05\x01\x0e\xb1\xa9\x72\xc7\x8b\xb8\xbd\x0b\x40\x4a\x55\xee\x22\x6f\x37\x7c\x91\xd8\x6c\x23", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL4dvEXT}, // libGL:glVertexAttribL4dvEXT
  {(uint8_t*)"\x9f\xd7\xfe\x5d\xe6\xbf\x74\x8f\x8e\x78\x55\xf9\x34\x03\x51\xdb\x75\x08\x85\xc0\xc5\x70\x02\x4f\xdb\x46\xc7\xb8\x33\xdf\x17\x5f", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL4dv}, // libGL:glVertexAttribL4dv
  {(uint8_t*)"\x54\x72\x68\xe4\x99\xf0\x32\xe4\x35\x94\xbc\x09\x54\x70\xd7\x9c\x5a\x45\xd8\x87\x4e\x2d\x4a\x11\x98\x60\x51\xd8\x63\xea\x9b\xf5", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL4i64NV}, // libGL:glVertexAttribL4i64NV
  {(uint8_t*)"\xe5\x11\x09\xfc\x94\x1a\x80\xc1\xe1\xd1\xd2\x85\xdf\x8f\x24\x07\xe1\x2d\x50\x48\xb5\x84\x6e\xb9\x83\xec\x5e\x48\x7d\x7f\xdb\x70", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL4i64vNV}, // libGL:glVertexAttribL4i64vNV
  {(uint8_t*)"\x56\x04\x65\x6e\x47\x3d\x33\x01\xab\x3a\x90\x64\x8a\x27\x1f\xb6\x29\xd9\xf0\x3d\x5c\xe9\x13\x9d\xbe\x6d\x41\x46\x9d\x8b\x3b\x3e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL4ui64NV}, // libGL:glVertexAttribL4ui64NV
  {(uint8_t*)"\x6f\x6a\x7d\x57\xf9\x17\xa0\x31\x44\xc0\x6c\xa8\xf9\x6b\xe5\xbe\xe1\x0a\x25\x15\x42\xa2\x95\x6d\x24\xcc\x6e\x92\xa9\xc5\x1c\x52", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribL4ui64vNV}, // libGL:glVertexAttribL4ui64vNV
  {(uint8_t*)"\x9e\x94\x8a\x18\x90\xb0\x09\x34\x69\x93\x4d\x53\xf3\xfb\xad\x36\x33\xc8\x6d\x3d\xdd\x45\xbb\x22\xb8\xfb\x06\x3d\x04\x69\x30\x9c", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribLFormat}, // libGL:glVertexAttribLFormat
  {(uint8_t*)"\x0c\x95\x73\xb1\x3d\x40\x01\x69\x37\x66\xa7\xee\x8b\x9a\x37\xb0\x7e\x56\xa6\xba\xff\x28\xd8\xc2\x01\x2f\x8f\x38\xce\x6b\x1b\x9f", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribLFormatNV}, // libGL:glVertexAttribLFormatNV
  {(uint8_t*)"\x10\x1c\xa3\x84\x7f\xf6\x2d\x81\x76\x39\x06\x41\xa1\x23\x8f\x03\x9c\x22\x41\x73\x16\xc9\x87\x19\x9b\x87\x9e\x48\xaa\xa0\x6f\xb9", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribLPointerEXT}, // libGL:glVertexAttribLPointerEXT
  {(uint8_t*)"\xe9\xd6\x8e\x50\xec\x94\x6b\xc1\x79\x37\x7d\x7d\x4a\x0c\xc1\xf7\x9f\xd7\xa6\x48\xed\xfb\xb3\x36\xd5\xd1\x5d\xb2\xfb\x7f\x60\x96", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribLPointer}, // libGL:glVertexAttribLPointer
  {(uint8_t*)"\x5d\x8a\xf0\x75\x43\x39\x5c\x09\x1b\x61\x9e\x01\x60\xcf\x50\x7f\x0b\x3f\x8d\x95\x18\x69\xef\xa0\xf4\x77\x39\xb0\x23\xa6\x37\x81", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribP1ui}, // libGL:glVertexAttribP1ui
  {(uint8_t*)"\xd3\x71\xea\x65\x1f\xcf\x36\x99\xeb\x09\xc5\x63\x82\xb7\x0f\x15\x1e\xb8\xbd\x62\x99\x56\x8f\xf2\xa3\x9b\x65\xa6\x05\x48\x1d\x20", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribP1uiv}, // libGL:glVertexAttribP1uiv
  {(uint8_t*)"\xdc\x82\xe7\xf1\x98\xd0\x53\x2f\x0d\x4d\x9c\x3e\xeb\xa1\xb7\x7c\x69\x10\x97\x83\xea\x3c\xc2\x00\x4e\x83\xf6\x32\xf5\x7c\xc9\x7a", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribP2ui}, // libGL:glVertexAttribP2ui
  {(uint8_t*)"\x20\x7a\x4e\xae\xdc\x4a\x72\xb4\x73\x67\xca\xb7\x67\x03\x84\x0f\x45\x9e\x57\xf6\x8b\x7e\xb1\x3f\xc1\x2f\xa2\x70\x84\xad\x9b\xf1", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribP2uiv}, // libGL:glVertexAttribP2uiv
  {(uint8_t*)"\x1d\x51\x88\x6c\x5e\x79\xd6\x63\x57\x39\x21\x50\x52\x22\x6c\x8a\x92\xa5\xdf\x52\xc2\x25\x95\x3b\x9f\x37\xa3\x85\x22\x12\x65\xb6", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribP3ui}, // libGL:glVertexAttribP3ui
  {(uint8_t*)"\x24\xe5\xf2\xbe\x28\x93\xa8\xe1\xeb\x34\x87\x40\x9b\x0c\x53\x5c\x5d\x16\xae\x42\x14\x72\x94\x02\x8e\x56\x12\x68\x29\x56\x8b\x24", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribP3uiv}, // libGL:glVertexAttribP3uiv
  {(uint8_t*)"\x94\xee\x2a\x07\xe1\x16\x5b\x28\xb3\x67\x01\xa8\x59\x71\x37\x92\x38\x0d\x36\xc1\xa3\x7c\xd0\x8a\x30\x6c\xb2\x23\xd6\x5c\xf2\xf0", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribP4ui}, // libGL:glVertexAttribP4ui
  {(uint8_t*)"\x82\x3c\xc1\x6b\xf8\xd3\xe8\x98\xa9\xf5\xc9\xbd\x2f\x13\xcc\xdb\xb1\x72\xf7\x8d\x87\x32\x10\x4b\x0a\xcb\x77\x8a\x02\x6d\x27\x41", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribP4uiv}, // libGL:glVertexAttribP4uiv
  {(uint8_t*)"\xa6\x5a\xcd\xfb\x3e\xcc\x6f\xf2\x23\x71\x1d\xd0\xe6\xf9\xcc\x0a\xb2\x78\x7f\xbd\xa0\x68\x11\x13\xbb\xbf\x84\x74\x9d\x49\xcd\x33", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribParameteriAMD}, // libGL:glVertexAttribParameteriAMD
  {(uint8_t*)"\x2c\x4c\x6b\x7c\x97\x17\x41\x6d\x8f\xb9\x85\x74\x79\x7d\x63\xc6\x91\x58\x31\x30\x1f\x0f\x36\xf2\xc6\xd5\x64\x39\x4b\x66\x8b\xe6", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribPointerARB}, // libGL:glVertexAttribPointerARB
  {(uint8_t*)"\xba\xb1\xcf\x1c\x90\xda\xc7\x83\x18\x66\xa6\x43\x15\x33\x90\x23\xa3\x91\x45\x44\x5b\xe9\xb3\x52\x4e\x3a\xef\x67\x9d\x8c\x3e\xe7", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribPointer}, // libGL:glVertexAttribPointer
  {(uint8_t*)"\x38\x4a\x0b\x67\xb7\xc9\x68\xa2\xa2\xdd\xc6\xb5\x5f\x53\x6f\xd3\x54\x67\x20\xa7\x37\x78\x0d\xe2\xdd\x95\x0b\x97\x2d\x7d\x5a\x1d", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribPointerNV}, // libGL:glVertexAttribPointerNV
  {(uint8_t*)"\xe7\xab\x65\x16\xf8\x6b\x3e\x53\xc3\xad\xc5\x59\xd6\x63\x30\x64\x89\x51\x75\xde\x33\x05\x66\xa1\x97\xbc\x16\x0e\x07\x63\xbe\xdc", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs1dvNV}, // libGL:glVertexAttribs1dvNV
  {(uint8_t*)"\xc9\x82\xb4\x4d\x08\xa2\xe6\x05\x77\xc8\x0e\x84\x74\x14\x30\xae\xa7\x35\x34\x2f\x9a\x9e\x52\x66\xe0\xb0\x0e\x51\xd7\x4e\x5f\xb0", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs1fvNV}, // libGL:glVertexAttribs1fvNV
  {(uint8_t*)"\xa7\x3a\x3c\x43\x52\x0a\x20\x90\x93\xb8\xf7\x08\x45\xf6\x74\xf5\xa8\x9b\x4f\x85\x67\x9a\xe7\xa6\x92\xb2\xf2\x02\x69\xcb\xdc\xaf", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs1hvNV}, // libGL:glVertexAttribs1hvNV
  {(uint8_t*)"\x78\xec\xf7\x85\x05\x85\xd3\xac\xf1\xbd\x43\x33\xb7\x33\xfd\xac\x8b\xa8\x74\x93\x15\x17\xfb\x9c\x86\x19\x0c\x44\xb8\xa8\xa9\x93", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs1svNV}, // libGL:glVertexAttribs1svNV
  {(uint8_t*)"\xe8\x95\x56\x12\x55\x09\x8a\xa6\x18\x2d\x22\xc8\x1a\x9e\x34\xd5\x72\xf6\xc5\x03\x16\xa2\x34\x21\x68\x2f\xfd\x2f\x2b\x35\x75\x10", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs2dvNV}, // libGL:glVertexAttribs2dvNV
  {(uint8_t*)"\x9a\xca\x70\x77\xfb\xec\x7b\x07\x40\xb3\xf7\x52\x24\xab\x59\x80\xa8\x76\x85\xf8\xbf\x43\x77\x55\xa9\xe3\x34\xfc\x75\xf3\x8c\xb4", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs2fvNV}, // libGL:glVertexAttribs2fvNV
  {(uint8_t*)"\x60\xd9\x47\x48\xfb\x0c\x58\xc9\x95\x00\xc6\xe2\x2d\xb9\x15\x5f\x4a\x0e\x24\xe8\x2b\xad\xf2\xc1\x05\x8a\x1b\x8d\x2e\x4a\xef\x3e", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs2hvNV}, // libGL:glVertexAttribs2hvNV
  {(uint8_t*)"\x5c\x38\xb6\x0a\xf3\x78\x29\xdc\x9d\xf5\x62\x67\x14\xdb\xeb\x99\xa8\x4e\x7a\xa4\xb8\x4f\xe7\x24\x7e\xa3\xc0\x32\x2f\xfe\xe3\xe5", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs2svNV}, // libGL:glVertexAttribs2svNV
  {(uint8_t*)"\x88\x0a\xa5\xcc\xf7\x18\x03\xa1\x78\x0b\xb5\x67\xac\x39\xdb\x86\x60\x81\x95\xc1\xe3\x54\xd8\xd9\xee\x0a\x01\xce\x22\x75\x57\x14", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs3dvNV}, // libGL:glVertexAttribs3dvNV
  {(uint8_t*)"\xae\xb2\x1b\x03\xd6\xb5\x97\xae\x5a\x34\x82\x92\xa3\x88\x95\x6c\x0d\x5e\xf6\xea\xde\xcf\x2c\x60\x7b\xf4\xe1\xe3\xe5\x97\x92\x85", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs3fvNV}, // libGL:glVertexAttribs3fvNV
  {(uint8_t*)"\xa5\x62\xc3\xe5\xa1\x8e\x11\x1e\xfc\xb5\x8a\xa4\x6d\xae\x5f\x01\x80\xe4\xad\x14\x58\x3e\xac\x07\xd8\x2b\xc0\x65\xa9\x82\xb4\xca", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs3hvNV}, // libGL:glVertexAttribs3hvNV
  {(uint8_t*)"\x7a\xd6\x12\x7c\xca\x5f\xc4\xc1\x98\x2b\x67\x43\xd8\x2d\xae\x9c\x8f\x0d\x09\x60\xf6\x82\x57\x99\x9b\xcc\xe2\xdb\x1a\xed\x9e\x61", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs3svNV}, // libGL:glVertexAttribs3svNV
  {(uint8_t*)"\x15\x53\x6a\xcc\x50\xcf\xad\x2a\xb0\xdf\x65\xaf\x62\x1e\xa6\x2b\x6e\x9e\x82\x45\x99\x59\xbc\x3c\x7b\x94\x14\xfe\x29\x33\xdb\xbf", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs4dvNV}, // libGL:glVertexAttribs4dvNV
  {(uint8_t*)"\x1e\x03\x6f\x7a\x67\xc9\xb5\x6a\x09\xc7\x61\xd7\xca\x14\xcf\xa1\x00\x57\x7b\x86\xd6\x08\xe6\x37\x07\x24\x2e\xff\xd1\x3a\xa3\x60", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs4fvNV}, // libGL:glVertexAttribs4fvNV
  {(uint8_t*)"\xcf\x12\xc8\x1a\x8d\x58\xde\xef\xd8\x1c\xcb\xdb\xc0\x4a\xa0\x45\xc2\xe3\x7e\x94\x03\xaa\xe1\x17\xd0\xf7\xb9\x1e\x69\x1d\x9b\xbe", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs4hvNV}, // libGL:glVertexAttribs4hvNV
  {(uint8_t*)"\xc4\x95\x32\x32\x51\x8d\x2b\x07\x26\xf7\x7f\xb9\x9b\x0f\xca\xe6\x6d\x4a\xd5\x11\xd3\x50\x71\x80\xcb\x01\x6b\xf8\x8f\x4d\xba\x8a", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs4svNV}, // libGL:glVertexAttribs4svNV
  {(uint8_t*)"\x37\xd7\x80\x11\x21\x38\x81\xa7\xf1\x73\xd4\x01\x69\xb8\xad\x2e\xfe\x83\x12\x2c\xb2\x25\xde\x51\x55\xfe\x6d\x2c\x97\x6a\x88\x8c", (void(*)(void *))&fexfn_unpack_libGL_glVertexAttribs4ubvNV}, // libGL:glVertexAttribs4ubvNV
  {(uint8_t*)"\x27\x7b\x3d\xe4\x16\x08\x1b\x58\xb1\x07\x54\xe6\x85\xcc\xc0\xc1\xd3\x1b\x33\x5a\x36\x8a\x12\x8d\x8f\x77\x71\x3a\x5e\x9a\xf2\xd2", (void(*)(void *))&fexfn_unpack_libGL_glVertexBindingDivisor}, // libGL:glVertexBindingDivisor
  {(uint8_t*)"\x77\x1e\xb4\x86\x9f\x60\xaf\xaf\xaa\x8f\x45\x7a\xc2\x72\xe7\xa2\xfb\x2c\x29\xf5\x30\xf3\xf0\xd4\x67\x3b\x89\x3f\x41\x2e\x83\x67", (void(*)(void *))&fexfn_unpack_libGL_glVertexBlendARB}, // libGL:glVertexBlendARB
  {(uint8_t*)"\x12\xbc\x21\x05\x43\x7e\xc7\x59\xb7\x1c\x08\x3c\x75\x4c\x74\x2f\x08\xb1\xa1\x3c\xa5\x3f\x89\xc6\x2f\x1a\xb8\x1e\xff\x75\x61\x06", (void(*)(void *))&fexfn_unpack_libGL_glVertexBlendEnvfATI}, // libGL:glVertexBlendEnvfATI
  {(uint8_t*)"\x89\x98\x8b\x71\x8c\x1c\xe1\xed\x92\xdc\xd7\x70\x44\x2e\x7d\x4b\xef\xfa\xa7\xf2\x35\xbe\xab\xf7\x15\x3a\x0b\x95\x9d\xa9\x1c\x90", (void(*)(void *))&fexfn_unpack_libGL_glVertexBlendEnviATI}, // libGL:glVertexBlendEnviATI
  {(uint8_t*)"\x54\x08\x82\x77\xbe\xe6\x45\xe3\xee\x1c\xea\x92\x6e\xe9\x97\x91\xce\xc2\x94\x94\xb5\xbf\x1d\xa5\x5c\x5c\x37\x40\x5b\x21\xf7\xca", (void(*)(void *))&fexfn_unpack_libGL_glVertexFormatNV}, // libGL:glVertexFormatNV
  {(uint8_t*)"\xd2\xde\x48\x18\xf4\xfb\xa3\xbe\x1c\xc2\x82\x15\xda\x2b\x4a\xfb\xb6\xf6\x6d\xc3\x4f\x80\xe3\x64\xb6\x9a\xb5\xc1\xcc\xc3\x3d\xbb", (void(*)(void *))&fexfn_unpack_libGL_glVertexPointerEXT}, // libGL:glVertexPointerEXT
  {(uint8_t*)"\x92\x87\x7a\x08\xad\x54\x54\xc4\xa6\x6c\x01\x47\x57\x43\x7c\xb3\x33\x90\x67\xbd\x0e\xb8\x95\xeb\x03\x4b\x32\x0a\x45\xd4\xbd\xae", (void(*)(void *))&fexfn_unpack_libGL_glVertexPointer}, // libGL:glVertexPointer
  {(uint8_t*)"\x60\x1f\x0f\x92\xd2\x18\xf0\x2d\xbd\x00\xe5\x96\x62\xec\xaa\xb6\xad\x27\x13\x7e\x4a\x0a\x97\x3e\x0c\xdc\x20\xb6\x08\x56\x26\x9b", (void(*)(void *))&fexfn_unpack_libGL_glVertexPointerListIBM}, // libGL:glVertexPointerListIBM
  {(uint8_t*)"\x1a\x0b\x87\x8d\x16\x39\x48\x00\x2d\x8e\xf3\x49\xdf\x5f\x8d\xbe\x7a\xd9\xd6\xc2\xd5\x0d\x3a\xe6\x65\x38\x5f\xc9\x8a\x21\x2a\xa0", (void(*)(void *))&fexfn_unpack_libGL_glVertexPointervINTEL}, // libGL:glVertexPointervINTEL
  {(uint8_t*)"\x74\xf1\x91\x3a\x21\xa6\xff\x7b\x48\x29\x60\xd2\x97\xa0\x24\x9f\x20\x34\x4b\xb4\xc6\x06\x1c\x99\x25\x01\xc8\xa5\xdf\xdb\xd4\x66", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream1dATI}, // libGL:glVertexStream1dATI
  {(uint8_t*)"\xf4\xb9\xe3\x1c\x58\xfd\x13\xc7\x2c\x27\x0b\xb8\x29\x6a\x26\x12\xeb\xa5\xe7\x74\x55\x0c\x0e\xd8\xcb\x3a\x23\x07\xd9\x61\xcc\x5a", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream1dvATI}, // libGL:glVertexStream1dvATI
  {(uint8_t*)"\xa4\x1e\xf2\x73\x28\xb4\x02\xd4\x50\x14\x38\x47\xc3\x5f\x14\x68\x23\x3e\xa5\x85\x38\xf6\x14\xdc\x1c\x40\x32\xfb\x10\xcc\xfc\x5c", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream1fATI}, // libGL:glVertexStream1fATI
  {(uint8_t*)"\x49\x0b\x95\xe9\x53\x25\xb8\xd2\x50\x04\xa5\x65\x12\x56\xf0\x38\x17\x51\xc9\x7d\x40\xcf\x7c\x13\xde\x9d\xa5\x89\x97\x66\xa8\xde", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream1fvATI}, // libGL:glVertexStream1fvATI
  {(uint8_t*)"\xe9\x05\x8b\x2f\xbc\x9c\xb9\x0d\xc6\xa5\x38\xfd\x95\x5a\x8b\x97\x87\xd1\xb9\x28\x23\x76\x42\x19\x3f\x37\x42\x60\xa9\xe6\xb7\xef", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream1iATI}, // libGL:glVertexStream1iATI
  {(uint8_t*)"\xeb\x09\x6d\x90\x4e\x61\x4a\xb5\x95\xa0\xc1\xfd\xd8\x99\xb9\xcf\x8c\x66\x54\xd8\x94\x98\x66\x3b\x3f\x0e\x9a\x83\xbb\x22\xfe\xeb", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream1ivATI}, // libGL:glVertexStream1ivATI
  {(uint8_t*)"\xc7\xc7\xf2\xdf\x75\x73\xf3\x35\xb8\xdf\xf4\x13\x2f\xe1\xfd\x0f\x5f\x73\x30\x5e\x9c\xb3\x13\xd5\x29\xa6\x06\xf0\x00\x23\xe9\x25", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream1sATI}, // libGL:glVertexStream1sATI
  {(uint8_t*)"\x7b\x5f\xe7\xcc\x08\x66\x23\xc4\xb2\xb1\x12\x13\x9b\xb1\xdd\x2d\x66\x84\xde\x9c\x2e\xda\x96\x10\x6a\xc5\x1e\xf9\x34\xa0\x81\x51", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream1svATI}, // libGL:glVertexStream1svATI
  {(uint8_t*)"\xf2\xbb\x56\xb8\x69\x67\x85\xf8\xd0\x28\xbe\x2e\x1e\x57\xb6\x87\x82\xca\x98\x6e\xd3\x02\x55\x07\xe2\x68\xc5\x34\x32\xd0\x60\xa0", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream2dATI}, // libGL:glVertexStream2dATI
  {(uint8_t*)"\x4b\x8c\x53\xe5\x7d\x1c\x6e\x2d\x85\x33\x91\x78\x6e\xf1\x6d\x84\x55\xcc\xe0\xfa\x20\xf0\xfc\x2d\xfc\x61\xf9\x4c\x00\x14\x64\x98", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream2dvATI}, // libGL:glVertexStream2dvATI
  {(uint8_t*)"\x69\x2a\xc7\x05\xc6\xc5\xd1\x68\x6f\x9c\xb2\x0d\x5d\x81\x8a\x9d\x97\x4a\x81\x08\x3b\x1c\x42\x74\x89\x98\xba\xd0\x78\x1f\xa0\x83", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream2fATI}, // libGL:glVertexStream2fATI
  {(uint8_t*)"\x03\x75\x9f\xea\xfa\xa0\xb2\xde\x4b\xd2\x93\x1e\x98\x67\xae\xb1\xe2\x32\x94\x6b\x7d\x95\x7d\x04\xaf\x4e\x32\x8b\xd5\xfd\x63\xaa", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream2fvATI}, // libGL:glVertexStream2fvATI
  {(uint8_t*)"\x9b\xc1\x66\xb3\x48\x69\x51\xf7\xcc\x36\xf7\x65\xf3\x09\xda\x38\xbc\x3c\x43\xa8\x02\xf6\x98\x46\x2b\x4b\x6e\xdd\xa0\x9e\x3c\x75", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream2iATI}, // libGL:glVertexStream2iATI
  {(uint8_t*)"\x2e\x0c\x95\x9f\xd4\x2f\xf3\x4e\x0e\x09\x86\xd5\x96\x72\x73\x42\xbc\xf0\x55\x74\x92\x0d\xcc\xeb\xf2\xe7\x33\x66\xa1\x1d\xb4\x7b", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream2ivATI}, // libGL:glVertexStream2ivATI
  {(uint8_t*)"\x00\x57\x0f\xa3\x9e\x18\xb4\xc8\xf2\x4d\x58\xe5\xf0\x34\xfb\x8a\xfd\x20\x57\x82\x87\xfc\xee\x3d\xae\x54\x48\xe5\xd8\xb1\x5b\x89", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream2sATI}, // libGL:glVertexStream2sATI
  {(uint8_t*)"\xbf\xd2\x39\xd1\x83\x36\x50\x56\xa9\x2d\x34\x43\x2c\x76\x25\xfd\x0a\x17\xd6\x58\x5d\x11\x55\x50\x83\x28\x0f\x82\xc8\xe2\x10\xbf", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream2svATI}, // libGL:glVertexStream2svATI
  {(uint8_t*)"\x7c\xb3\xfc\x0d\x2f\x34\xf6\x92\xf7\xf0\x79\xc2\x34\x76\x15\x82\x9f\xb2\xa6\x8d\xf4\xfb\xa4\x99\xfa\xf4\x6c\x41\xe3\x92\x68\x56", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream3dATI}, // libGL:glVertexStream3dATI
  {(uint8_t*)"\x0f\x89\x98\xd6\x2e\x1d\x9c\xd3\x3a\xab\x07\x20\x7e\x8d\x37\x52\xa3\xbd\x3a\x42\x51\xf6\x96\x75\xe8\x66\x01\xc7\xef\x1f\x2e\xe3", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream3dvATI}, // libGL:glVertexStream3dvATI
  {(uint8_t*)"\xb6\x42\x38\xe2\x8d\xac\x7b\x6a\xf1\xb9\x4e\xbc\xbc\x10\xcb\x76\x74\x94\xd3\xc6\xbe\x7f\x0d\x32\x3d\xc6\x56\xb7\x1f\x27\x38\xcb", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream3fATI}, // libGL:glVertexStream3fATI
  {(uint8_t*)"\xdd\x13\xad\x4d\x9b\x99\x5a\x7d\xf5\xa2\x2c\xef\xaa\x79\x2e\xf7\xf3\x87\x01\x46\x0a\xaf\x8e\x0d\x90\x8d\x7b\xf8\xfc\x6d\x64\x3b", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream3fvATI}, // libGL:glVertexStream3fvATI
  {(uint8_t*)"\x2b\x5b\x7c\x09\x17\xa0\x4c\x17\xe8\x18\xc0\xb6\xae\xd4\xe5\xf1\x9c\xfc\xca\x6b\xe3\x1a\x29\xbb\xc2\xfd\x13\xc1\xa6\x91\xb9\x10", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream3iATI}, // libGL:glVertexStream3iATI
  {(uint8_t*)"\xcb\xea\x37\xc6\x20\x00\x0e\x43\x6f\xbc\x16\x21\x32\xa1\x02\x6d\x29\x92\x11\x8c\x80\xb5\x57\xb6\x2f\xf5\x8b\x34\xf7\x47\x3c\x95", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream3ivATI}, // libGL:glVertexStream3ivATI
  {(uint8_t*)"\x31\x5f\x90\xab\x6b\x10\xfd\xbc\xb1\xab\x52\xbb\xd0\x1d\x51\x45\x9e\x5b\x61\x82\xa7\x2d\xf3\x8a\x65\x4c\xed\xf8\x9f\x60\x8d\x8a", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream3sATI}, // libGL:glVertexStream3sATI
  {(uint8_t*)"\x27\x05\x14\x3b\x79\x1f\xfa\x4f\x9d\xa4\x87\xe5\x2f\x31\x08\xc4\x43\x54\x4c\x28\x66\x38\xe0\x01\x6b\xd3\x34\xfd\x98\x6e\xcb\xdf", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream3svATI}, // libGL:glVertexStream3svATI
  {(uint8_t*)"\x30\x95\x43\x4f\xc5\x0b\xfe\x6b\x16\x2e\x7a\xee\xb6\x64\x19\x57\xde\xf5\x75\x9b\x0b\xc7\xe7\xeb\x08\xae\xc0\xd1\xb8\x50\x1e\x35", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream4dATI}, // libGL:glVertexStream4dATI
  {(uint8_t*)"\xe3\xfb\x79\x6d\x3b\x45\xa5\x73\xe7\x1b\x9a\xb5\x53\x70\x58\x9f\xd9\x18\x1c\x81\xdf\x1d\x3c\xec\x72\x18\x24\x95\x86\x94\xd9\x8f", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream4dvATI}, // libGL:glVertexStream4dvATI
  {(uint8_t*)"\x65\xe1\xa1\x20\x65\xf0\xe4\x17\xf3\xe6\xb3\x86\x27\x09\x6a\x70\xb1\x92\xc7\x73\x43\x7a\x44\xac\x25\x7f\xcd\xa4\x6d\x25\xcc\x7e", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream4fATI}, // libGL:glVertexStream4fATI
  {(uint8_t*)"\x57\x7d\x62\xdb\xdb\x70\x55\x46\x35\x18\xff\x94\xa9\x3b\x16\xbb\x05\xb2\x62\x8b\x8d\xd3\xb4\x6a\xe1\x81\xba\xc0\x67\x4d\xdc\x55", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream4fvATI}, // libGL:glVertexStream4fvATI
  {(uint8_t*)"\xd6\x7b\xbc\x00\x21\x79\x03\xf6\x01\x48\x43\x32\xd4\x60\x53\x3c\x0f\x48\x8e\x99\x3c\x39\x23\xc3\xcd\x7c\x45\xe7\xc9\x90\x38\x1b", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream4iATI}, // libGL:glVertexStream4iATI
  {(uint8_t*)"\xa7\x4e\xf7\x24\x6d\xb1\x09\xae\x30\x90\x8b\xd4\x43\xd2\x13\xee\x28\x02\x92\x27\xd5\x47\xf3\xdd\xcc\xe8\xe9\x8c\x99\x0c\x45\x65", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream4ivATI}, // libGL:glVertexStream4ivATI
  {(uint8_t*)"\x7e\x58\x2b\xf4\x08\x0b\xd5\x9e\x6d\x01\x24\x1a\x7e\x29\x99\xf3\x6a\x13\xef\xa1\xf5\x30\xfe\x3b\x92\x2b\xe9\xa0\x5c\x75\x52\x7f", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream4sATI}, // libGL:glVertexStream4sATI
  {(uint8_t*)"\x50\x7e\x99\x75\x94\xf8\x88\x5b\xa2\xdf\x47\x65\x68\x1d\x71\xda\x1f\xf8\x2c\x74\x1d\xde\xaf\x9a\xe6\x08\x08\x4c\x4e\x2f\xa8\x9d", (void(*)(void *))&fexfn_unpack_libGL_glVertexStream4svATI}, // libGL:glVertexStream4svATI
  {(uint8_t*)"\xb5\x1a\x8a\x3c\x8b\x99\x79\xbd\x95\x67\x9b\xef\xf8\xfa\x3b\x96\xae\xac\xc6\xbc\x60\x08\x1f\xc8\xea\xbc\xbd\x1e\x39\x69\x0b\x46", (void(*)(void *))&fexfn_unpack_libGL_glVertexWeightfEXT}, // libGL:glVertexWeightfEXT
  {(uint8_t*)"\x8c\xd3\x7a\xd4\x29\x5f\x8e\xd0\x41\xd3\xd3\xd9\xed\x01\xec\x46\x96\x0a\x9e\x16\x0a\xc9\xb8\x0d\xa6\x81\xe5\xc1\x79\xaf\x39\x5a", (void(*)(void *))&fexfn_unpack_libGL_glVertexWeightfvEXT}, // libGL:glVertexWeightfvEXT
  {(uint8_t*)"\x58\x81\xea\x32\x51\x6a\x25\xf9\x85\x65\x34\xee\x97\x67\x63\x89\xbc\x99\x5d\xc5\x9f\xea\xb5\x0d\x37\x1b\xec\x0a\x12\x11\xa6\xf9", (void(*)(void *))&fexfn_unpack_libGL_glVertexWeighthNV}, // libGL:glVertexWeighthNV
  {(uint8_t*)"\xbf\x62\x48\x40\x46\xe7\xa1\x0c\xb0\xfa\xb0\x6d\xad\xba\x6f\x9b\x40\x00\x95\xf0\x2f\xde\x66\x3f\x18\xb0\x8b\x6a\x5d\xbb\x95\x05", (void(*)(void *))&fexfn_unpack_libGL_glVertexWeighthvNV}, // libGL:glVertexWeighthvNV
  {(uint8_t*)"\xbe\xcb\x36\x63\xcb\xaf\xfa\xa4\x9e\xf4\xcc\x5e\xa7\xe7\x5b\x61\x63\xb2\x9b\xec\x85\xdb\xd1\xe6\x9a\x68\x88\xa6\x7d\x88\xf0\xfd", (void(*)(void *))&fexfn_unpack_libGL_glVertexWeightPointerEXT}, // libGL:glVertexWeightPointerEXT
  {(uint8_t*)"\x6a\x7a\x2a\x3e\x66\x4e\xb1\x9e\x87\xf9\xc3\x83\x8e\x00\x32\xd1\x51\x11\xa5\xa3\xe8\x1e\x52\xb8\x69\x20\x0b\xd2\x6f\xed\xa6\x70", (void(*)(void *))&fexfn_unpack_libGL_glVideoCaptureStreamParameterdvNV}, // libGL:glVideoCaptureStreamParameterdvNV
  {(uint8_t*)"\x56\x5c\x34\xe8\x21\x66\x11\xaa\xc7\x1a\x12\xd4\xd0\xb5\x3f\x4a\xdc\xe9\xbe\x5b\xf6\x25\x6a\x5d\x6f\x07\xa4\xef\xfc\x36\xa6\x7f", (void(*)(void *))&fexfn_unpack_libGL_glVideoCaptureStreamParameterfvNV}, // libGL:glVideoCaptureStreamParameterfvNV
  {(uint8_t*)"\x4d\x4f\x4d\x83\x3e\x2e\x8d\x47\xf1\x2a\xe1\x1d\xa3\xb9\x98\x33\x55\x1a\x05\x83\xb1\x60\x87\xe3\x63\xdb\xe2\x45\xee\x40\x45\xcc", (void(*)(void *))&fexfn_unpack_libGL_glVideoCaptureStreamParameterivNV}, // libGL:glVideoCaptureStreamParameterivNV
  {(uint8_t*)"\x6c\x6f\x45\x8e\xc3\x6c\xe2\x00\x01\x21\x5f\xb2\xdc\x65\x21\x82\x6f\x3b\x95\x2e\xd5\x79\x36\x25\x76\x1f\xee\x7a\x04\x70\xe2\x95", (void(*)(void *))&fexfn_unpack_libGL_glViewportArrayv}, // libGL:glViewportArrayv
  {(uint8_t*)"\x57\x9f\xf1\x62\x64\xf2\xd1\x84\xa0\x4e\x3b\xb8\x66\xb9\x69\x1b\xad\xd8\xb6\x7f\xe0\x1a\x7a\xe6\xcd\x1c\x32\x45\x33\x86\x98\x01", (void(*)(void *))&fexfn_unpack_libGL_glViewport}, // libGL:glViewport
  {(uint8_t*)"\x71\x2b\x70\xd2\x99\xf0\x4b\x28\xe6\x39\x98\x38\x53\x3d\xf8\xf6\x72\xe9\xe4\x6c\xd1\xfb\x96\x80\xcf\x02\x71\x71\x07\x55\xfc\x54", (void(*)(void *))&fexfn_unpack_libGL_glViewportIndexedf}, // libGL:glViewportIndexedf
  {(uint8_t*)"\xc8\xa5\xdd\xce\x98\x0c\x35\x2b\xbb\x30\xcf\x85\x24\xe7\x18\x63\x5a\xb8\xac\xd8\x94\xe6\xc1\xdf\x0b\x38\x88\xfc\x54\x3b\x71\xe5", (void(*)(void *))&fexfn_unpack_libGL_glViewportIndexedfv}, // libGL:glViewportIndexedfv
  {(uint8_t*)"\x48\xef\x50\x9e\x04\x1c\x3d\x07\xcd\xff\x29\x71\xf0\xad\xc7\x2f\x38\x66\x36\xb8\x1b\x99\x1d\x7f\x15\x8c\x53\xe4\x60\xdd\x7b\x68", (void(*)(void *))&fexfn_unpack_libGL_glViewportPositionWScaleNV}, // libGL:glViewportPositionWScaleNV
  {(uint8_t*)"\xe0\x42\x17\x75\xba\xd4\x04\xa3\x5a\xb5\x14\xd0\x10\x70\x35\xbf\x0a\x47\xa2\x5c\xaa\xe8\x45\x08\x63\xa9\x38\x8c\x2b\xcb\x2c\xf3", (void(*)(void *))&fexfn_unpack_libGL_glViewportSwizzleNV}, // libGL:glViewportSwizzleNV
  {(uint8_t*)"\x88\x0f\xcb\x50\x7e\x37\xfd\x0b\xcb\xfc\x85\xe8\xc2\xd5\x97\x17\x5a\x0b\xda\x0c\x1a\xe4\x07\x57\xbd\x26\xab\x8c\x92\x16\xa4\xf2", (void(*)(void *))&fexfn_unpack_libGL_glWaitSemaphoreEXT}, // libGL:glWaitSemaphoreEXT
  {(uint8_t*)"\x5a\x43\xf6\xe3\xd7\x9b\xf4\x03\xe7\x9d\x9e\xb2\x99\x98\xde\xe3\x95\xcb\x39\x98\xa0\x19\x40\xc6\xa7\xfd\x47\x9e\x06\x62\xb8\x6c", (void(*)(void *))&fexfn_unpack_libGL_glWaitSemaphoreui64NVX}, // libGL:glWaitSemaphoreui64NVX
  {(uint8_t*)"\xa5\xcf\x4f\x07\x3e\xb6\xf6\xfe\x9b\x2a\x7c\x18\x2b\x19\x90\x5a\xa5\x80\xa1\xa1\x61\x62\x0a\xb4\x5a\x3e\xb1\x1f\x9e\x05\x6f\x3e", (void(*)(void *))&fexfn_unpack_libGL_glWaitSync}, // libGL:glWaitSync
  {(uint8_t*)"\xb3\xa0\xed\xbd\x1f\x90\x62\xb9\xb0\xf5\x86\x94\xb8\xc7\xc7\xc1\xae\x50\xfa\x98\x72\x0b\x5c\x74\x98\x51\x80\x99\x13\x7c\xc7\xae", (void(*)(void *))&fexfn_unpack_libGL_glWaitVkSemaphoreNV}, // libGL:glWaitVkSemaphoreNV
  {(uint8_t*)"\xc8\xa9\x08\x9c\x4a\xd2\xd3\x50\xcf\xf5\x6f\x60\x61\xfc\xb4\xcc\xf8\x73\x0c\x7f\xbe\xb0\x18\xfa\xeb\x80\xcb\x2a\x20\xa0\xf0\x13", (void(*)(void *))&fexfn_unpack_libGL_glWeightbvARB}, // libGL:glWeightbvARB
  {(uint8_t*)"\x08\xe3\xe0\x61\x3f\xda\x91\x64\x35\x5a\xb6\xd7\x3c\xb0\xfc\xa9\x1f\x07\x7b\x69\x4d\xd8\x48\xeb\xed\x7b\x00\xb3\xab\x94\x6c\xaf", (void(*)(void *))&fexfn_unpack_libGL_glWeightdvARB}, // libGL:glWeightdvARB
  {(uint8_t*)"\xec\x3f\xd2\xc8\x01\x36\x0f\xb1\x39\x25\x9a\x06\xd6\x04\x81\x12\x10\x6a\xe5\x9f\x17\xb4\x09\x40\xec\x1b\xb3\x75\xb2\xbe\x6d\x3d", (void(*)(void *))&fexfn_unpack_libGL_glWeightfvARB}, // libGL:glWeightfvARB
  {(uint8_t*)"\xd1\x48\x2d\xb5\xa8\x9c\x89\x7e\xd2\x7a\xac\x03\x00\xbc\x05\xe1\xba\xd1\xbf\x5d\xb8\xf8\x93\xe1\x6d\x1c\x56\xb2\x3a\xe7\x11\xdd", (void(*)(void *))&fexfn_unpack_libGL_glWeightivARB}, // libGL:glWeightivARB
  {(uint8_t*)"\x09\x93\x3d\xa4\x6a\x9f\xed\x8e\xac\x37\xdb\x1f\x07\x83\x61\x36\x92\xd3\x31\xd7\x85\xdc\x0a\xf5\xaf\x1b\xa1\x08\xc6\x75\x75\x12", (void(*)(void *))&fexfn_unpack_libGL_glWeightPathsNV}, // libGL:glWeightPathsNV
  {(uint8_t*)"\x00\x5c\x8b\x01\x08\x05\x43\x8f\xe9\xda\xf5\xfb\xdd\x69\x8a\xfb\xcd\x58\x07\x75\x9b\x02\x43\x24\x64\x10\x0b\x42\xc9\xe4\x09\xe6", (void(*)(void *))&fexfn_unpack_libGL_glWeightPointerARB}, // libGL:glWeightPointerARB
  {(uint8_t*)"\x69\x01\x74\x17\x83\x52\xbd\x5d\x06\x36\xb4\x2c\x1e\xae\xfb\x39\x82\xc1\x50\xf1\x02\x99\x6b\x43\x77\xa8\xcd\x0c\x71\x8a\xa8\xb1", (void(*)(void *))&fexfn_unpack_libGL_glWeightsvARB}, // libGL:glWeightsvARB
  {(uint8_t*)"\x4c\x47\x7b\x71\x55\x30\x2b\x17\xc4\xb6\x39\x80\xbd\x6a\xdb\xd4\xac\xf5\xc3\x23\x6d\x9d\x5c\xad\x68\x4f\x10\xe8\x52\x93\xde\x5c", (void(*)(void *))&fexfn_unpack_libGL_glWeightubvARB}, // libGL:glWeightubvARB
  {(uint8_t*)"\x5a\x2a\x6a\xe3\xb8\x2b\x57\x8e\x44\x82\x5b\xb2\x0b\xb5\xd1\x33\xc5\xb6\xf9\xdd\x95\x36\xcb\x92\xdf\x37\x4e\xbc\xcf\x9f\x5b\x0d", (void(*)(void *))&fexfn_unpack_libGL_glWeightuivARB}, // libGL:glWeightuivARB
  {(uint8_t*)"\x6f\x1e\x4d\x59\x39\x13\x12\x33\x74\x9f\x1d\xb1\x80\x5e\x9f\xa1\xf9\x22\x64\xf2\xce\x26\x88\xde\xd1\x97\x24\x9a\xbc\xc8\x49\xcd", (void(*)(void *))&fexfn_unpack_libGL_glWeightusvARB}, // libGL:glWeightusvARB
  {(uint8_t*)"\xb9\x45\xc2\xd8\xdf\x0b\xd2\xbb\x6f\x94\x3f\xbb\x2d\x66\x46\x25\x62\xe7\x98\x5e\x5d\x36\x86\x7d\x6a\xca\x2c\x64\x48\x27\x0c\xe3", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2dARB}, // libGL:glWindowPos2dARB
  {(uint8_t*)"\x25\x73\x63\x63\xf9\x3b\x34\xff\x1e\x75\x71\x96\x0f\xe3\xca\x1e\x15\x96\xd1\x27\x00\xd8\x46\x7a\x03\xba\xdf\xa6\x2b\xfd\x58\x91", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2dMESA}, // libGL:glWindowPos2dMESA
  {(uint8_t*)"\xbf\xed\x3f\x06\x17\x83\xff\x0c\x92\x40\x8a\x10\x20\x3a\x12\x95\x9a\xab\x72\x1c\xbd\x77\x44\xe2\x3b\x9e\x1a\x89\x9c\xf8\x77\x24", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2dvARB}, // libGL:glWindowPos2dvARB
  {(uint8_t*)"\x2e\x98\x70\x66\x20\x96\xce\xf6\xcc\x04\x1a\xdd\x9a\xcf\x48\x20\xcd\xc6\xe4\x70\xbb\x55\x24\xf6\x60\x6d\xa7\x81\xfa\xe4\x83\x4f", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2dvMESA}, // libGL:glWindowPos2dvMESA
  {(uint8_t*)"\xe0\xfc\x5f\xad\x0c\xb6\x8d\x36\x51\xa5\xe7\xd0\x70\x3f\xaa\xf8\x2f\x2f\x67\x42\x4c\x8a\x82\xc5\x48\x52\x34\xd8\x7a\x2e\x39\x45", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2fARB}, // libGL:glWindowPos2fARB
  {(uint8_t*)"\xb7\x43\x57\x09\x8e\x8e\xd9\x97\x20\x92\x07\x26\x8c\xe1\x17\xb0\x38\x6d\xa5\x3b\x2c\x05\xda\xe1\xc3\xa2\xf6\xc8\x71\xf8\xf5\xae", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2fMESA}, // libGL:glWindowPos2fMESA
  {(uint8_t*)"\xe0\xc9\xad\x51\xd6\x9f\xf8\x12\xfc\x01\x3b\x61\x8b\x04\xd3\x0f\x3c\x88\x5c\x9e\x3d\x65\x69\xbc\x49\x90\x2c\x94\x5b\x6c\x3c\x87", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2fvARB}, // libGL:glWindowPos2fvARB
  {(uint8_t*)"\xf5\x6b\x89\x5b\xcb\x9b\x99\x20\x1a\x44\xdb\xef\x9d\xca\xd0\xf8\xb9\x4d\x0d\x26\xc6\xe4\x8b\xf6\xa3\xef\x21\xcf\xb0\x25\x00\x5c", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2fvMESA}, // libGL:glWindowPos2fvMESA
  {(uint8_t*)"\x5e\xcc\x44\x1d\x53\x85\x2f\xc2\xfd\x30\xf4\x14\xa5\x8d\x82\x77\xb2\xe5\xde\x85\xf0\xa3\x79\x97\xcd\xef\x36\x19\x1f\x38\x24\xce", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2iARB}, // libGL:glWindowPos2iARB
  {(uint8_t*)"\x22\x9b\x75\x22\xb1\x03\x99\x62\x91\x44\x1c\x21\x7b\x17\x22\x78\x7c\x00\x06\x73\xa1\x56\xc9\x2a\xbf\x8d\x54\xa8\xd8\x16\x70\xdc", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2iMESA}, // libGL:glWindowPos2iMESA
  {(uint8_t*)"\x77\x29\x1c\xe0\xb3\x00\x1f\x3c\x0d\x02\x01\xae\xfe\x3c\xa3\x68\x39\x41\x5d\xe9\x01\xfc\x96\x80\x17\x48\x2c\x4d\x2d\x9c\x8c\x0d", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2ivARB}, // libGL:glWindowPos2ivARB
  {(uint8_t*)"\xf6\x6d\x26\x83\x18\x77\x57\xdf\x9b\x31\x63\x6e\xa9\x2b\x31\x15\x29\xa7\x8f\xbd\x87\xdf\x39\x44\xed\xe8\x13\xf0\xf9\x52\x54\x19", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2ivMESA}, // libGL:glWindowPos2ivMESA
  {(uint8_t*)"\x20\xab\x65\x24\xf6\xcf\xfc\x0e\xf2\x44\x9a\xf4\xa0\x51\x1a\xa0\x0c\xfb\x37\x5d\x24\x28\xb9\x4a\x98\x82\x0d\x4d\x7e\x29\x8f\xfe", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2sARB}, // libGL:glWindowPos2sARB
  {(uint8_t*)"\x1a\xaa\x9d\x63\xdd\x70\x29\xeb\x42\xb6\x2d\x04\x64\xca\x2d\x3b\xcf\xde\x0e\xb6\x51\x38\x64\xb7\x0e\xc1\x06\xfb\xe4\x1d\x04\x23", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2sMESA}, // libGL:glWindowPos2sMESA
  {(uint8_t*)"\xb0\xd3\x43\x65\xce\xa3\x9c\xdf\xae\x53\x4d\xf2\x85\x3d\x39\xef\xf4\x99\x96\x4f\x88\xe6\x82\x49\x6d\xda\x94\x12\xc4\x53\x30\x7a", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2svARB}, // libGL:glWindowPos2svARB
  {(uint8_t*)"\x8f\x3c\xda\x24\x21\x58\xee\x52\xb1\x03\x06\x53\x6b\x35\x62\xdb\x9f\x3d\x2b\xa5\x0a\x9e\x34\x09\x68\x05\x1e\x23\xfa\xc5\x77\x48", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos2svMESA}, // libGL:glWindowPos2svMESA
  {(uint8_t*)"\xfb\x10\x64\x16\x0a\xf1\x7f\xa2\x64\x5a\xff\xe9\xf9\x1e\x50\x76\x07\x54\x39\x5f\x33\x0b\x6e\x37\x52\x5b\x1c\x8d\xa4\xf8\xab\xb8", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3dARB}, // libGL:glWindowPos3dARB
  {(uint8_t*)"\xa9\xec\xff\xa0\x5f\x95\xa9\xc3\xbc\xda\x8c\x7e\x81\xec\x58\x1d\x7d\xa9\xd5\x2f\xc1\x49\xf8\xfc\x9a\x44\xb9\xcf\x48\x6b\x01\x7e", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3dMESA}, // libGL:glWindowPos3dMESA
  {(uint8_t*)"\x47\xe1\x13\x6f\x21\x79\xfd\xb9\x73\xf7\xeb\xc5\x94\x28\xe3\x79\xff\xdb\x33\xe7\x59\x3c\xa5\x53\xce\x27\xaf\x49\x26\x72\x9a\x35", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3dvARB}, // libGL:glWindowPos3dvARB
  {(uint8_t*)"\x3e\x80\xc7\xb5\x50\x05\x0c\x20\x80\xa9\x3b\xd1\x65\x34\x2a\xcd\x18\xed\x2e\x5b\x6f\xd4\x61\x56\x1d\xa5\x98\x09\x76\x5f\xbb\xbd", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3dvMESA}, // libGL:glWindowPos3dvMESA
  {(uint8_t*)"\x71\xf4\x8a\x6f\xd9\xf4\x15\xce\x23\x9c\x0d\xc3\x83\x04\x21\xd4\xf4\xcc\x88\x5f\xa1\xea\x5a\x6d\xd4\x44\xdf\xba\x18\x36\x9b\xa1", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3fARB}, // libGL:glWindowPos3fARB
  {(uint8_t*)"\x56\x81\xe7\x00\xf9\x89\xc5\xc6\x74\x72\x3c\xd2\xda\x9f\x8b\xb3\xe2\xad\x17\xfb\xdd\x9a\x36\x2e\x58\x2d\x7c\xdb\xb5\xb4\x0a\x83", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3fMESA}, // libGL:glWindowPos3fMESA
  {(uint8_t*)"\xc8\x24\x8c\x68\x84\xc5\x87\xa7\xf9\x7b\xe3\x7d\x52\x39\x0a\xcc\x13\xf2\xbf\xf9\x8a\x45\x01\x1d\x13\x7c\x17\x77\x2f\x80\x1f\x9d", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3fvARB}, // libGL:glWindowPos3fvARB
  {(uint8_t*)"\x85\x8e\x49\x62\xd7\x24\x4a\x8b\x9e\x46\xf1\x8c\xb5\x58\x61\x56\x45\x75\xca\x2d\xe9\xd0\xb6\xab\xf9\x22\xa7\x84\x2c\xa1\x83\x0e", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3fvMESA}, // libGL:glWindowPos3fvMESA
  {(uint8_t*)"\x37\xe9\x75\x0a\x12\x38\xff\x00\xea\xd2\x24\xe0\x78\xc8\xe0\xeb\x9a\x39\xcb\x55\x87\xcc\x44\xc3\x56\x74\xb7\xb8\x8a\x9b\x87\x79", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3iARB}, // libGL:glWindowPos3iARB
  {(uint8_t*)"\x7a\x69\x05\x25\xbe\xc1\x3c\x60\xb7\x1e\x7b\x4f\x58\x56\x20\xe3\xbf\x0c\xae\x97\x6a\x1c\x87\x35\x9e\x6e\xc1\xf6\x96\x49\x15\x90", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3iMESA}, // libGL:glWindowPos3iMESA
  {(uint8_t*)"\x1e\x67\xdb\x76\x2e\x20\x6f\x96\xfd\x52\x88\xbd\x0f\x41\xda\xfb\xd8\x6f\x88\xce\xbd\xaa\xba\x3a\x5d\x83\x2f\xdd\x0d\x95\xf4\xe4", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3ivARB}, // libGL:glWindowPos3ivARB
  {(uint8_t*)"\xb7\x3c\x69\x67\x1f\xc6\xe5\xd8\x99\x5f\x6b\x81\xd2\xc7\x61\xe6\xb0\x84\xb5\x2a\xcc\x37\x86\xb0\x85\x4b\x8a\x15\xdf\x69\xd5\x9e", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3ivMESA}, // libGL:glWindowPos3ivMESA
  {(uint8_t*)"\xe3\x53\xf9\xfb\x70\x33\xde\x8d\xe8\x3d\x85\x01\xf2\xed\xac\x52\xf1\xf4\xd7\x67\x38\xe1\xe6\x50\x70\x50\x5c\x09\xd7\xb3\x01\xf9", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3sARB}, // libGL:glWindowPos3sARB
  {(uint8_t*)"\xe5\x33\x3f\xa9\x43\xd1\xd1\xcc\x55\x65\xbf\x16\x49\x42\xb7\x49\x98\x70\x15\x9a\x1d\x30\x49\x26\x25\xc2\x42\xd1\x45\x6f\xfd\x5f", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3sMESA}, // libGL:glWindowPos3sMESA
  {(uint8_t*)"\x0d\xd9\xe1\x36\x0d\xbe\xe4\xea\x88\x3c\x4a\x76\x67\x7f\x72\x2e\x43\x2f\x19\xab\x03\x07\x8b\x8d\xe2\xf9\x10\x4c\xd7\xb3\x71\x83", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3svARB}, // libGL:glWindowPos3svARB
  {(uint8_t*)"\xaf\x7a\x53\xc6\x5b\xca\x6e\xc9\x41\x67\x52\x44\xcc\xf1\x02\x66\x95\x6d\xf8\x25\x86\x75\xaf\x46\x01\x3c\x6e\xd9\x94\x23\x85\x6c", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos3svMESA}, // libGL:glWindowPos3svMESA
  {(uint8_t*)"\xdd\x1f\x24\x7e\x58\xc1\x4b\xb7\x68\xee\xfe\xfa\xf2\x3b\x80\x59\x2d\xf9\xd8\x3b\xbb\xe3\x80\xa1\xeb\xad\x53\xe4\xf8\xa7\x46\x96", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos4dMESA}, // libGL:glWindowPos4dMESA
  {(uint8_t*)"\xad\xa5\xf6\x4c\x7a\xdf\xa3\xdd\x91\xaf\x2a\xa0\xc0\x17\x22\xab\xb3\x26\x05\x78\x92\xaf\xda\x5b\x02\xab\x70\x19\x3b\x7f\x1a\xe5", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos4dvMESA}, // libGL:glWindowPos4dvMESA
  {(uint8_t*)"\x32\x4f\x61\xbe\x63\xdc\x5a\x7b\xbe\xbd\x82\xad\xf9\x71\xc8\x3c\x3a\xa0\x46\xa7\x2e\x95\x34\xbd\x78\x5c\x91\x5c\x90\x06\xc8\x8c", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos4fMESA}, // libGL:glWindowPos4fMESA
  {(uint8_t*)"\x01\x0f\xab\x89\xff\x12\x6b\x6c\x1a\xa2\xcf\x6b\xd3\x1e\xeb\xa8\xc7\x4f\x95\x7c\x72\x5e\xfa\x91\xee\x94\xb0\xbe\x6d\xd4\x1d\x6b", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos4fvMESA}, // libGL:glWindowPos4fvMESA
  {(uint8_t*)"\x3f\x4a\x9b\x36\x11\xcb\xeb\xe7\xea\xca\xca\x8c\x07\xcc\x16\xe0\x5e\x0a\xe4\x3f\xfe\xff\x64\xc3\xc5\xb5\x4a\x66\x29\x23\x46\x83", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos4iMESA}, // libGL:glWindowPos4iMESA
  {(uint8_t*)"\x86\x3e\x9c\x79\x05\x1a\xd8\x18\x73\x05\x85\x2a\x8e\x64\xbf\x6a\x61\x7c\xb6\x61\x20\xe5\xda\x7c\x8c\x49\xf8\xf5\x75\x28\x7a\x02", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos4ivMESA}, // libGL:glWindowPos4ivMESA
  {(uint8_t*)"\xca\x70\x69\xa1\x71\xd5\x8a\x73\x7e\xa2\x0c\x2d\x89\x1e\xcb\x59\x8c\x50\x7f\x9c\xc2\x48\x64\xf5\xf9\xf0\xdc\x8d\x10\x40\xb5\x0d", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos4sMESA}, // libGL:glWindowPos4sMESA
  {(uint8_t*)"\x63\x6e\xfb\x96\x54\x78\xc5\xb3\x95\xdf\x01\xd7\xc4\x56\xbb\x43\x0f\xf7\xe5\x97\x63\x7e\x9c\xba\x1b\x0c\x02\x66\x41\xe9\xeb\x28", (void(*)(void *))&fexfn_unpack_libGL_glWindowPos4svMESA}, // libGL:glWindowPos4svMESA
  {(uint8_t*)"\x8d\xc7\x74\xac\x83\x52\xc2\x9e\xd4\xe2\x60\x95\x5d\x88\xe7\x51\x08\xe7\xca\x89\x76\x07\x41\xa9\xd9\xdf\xc3\x06\x2c\x0f\x50\x3a", (void(*)(void *))&fexfn_unpack_libGL_glWindowRectanglesEXT}, // libGL:glWindowRectanglesEXT
  {(uint8_t*)"\x37\x1b\xca\x7e\x35\x30\x55\x4e\xda\x0e\xcf\x47\x6a\x6d\xe9\x48\xa2\x11\x4d\xa7\x64\x17\xbc\x51\xd9\x7d\x79\x36\x19\xb1\x52\xce", (void(*)(void *))&fexfn_unpack_libGL_glWriteMaskEXT}, // libGL:glWriteMaskEXT
  {(uint8_t*)"\xa3\x56\xed\xfb\xf0\x3f\x00\x3c\xa6\x35\x10\xc2\x64\x5c\x19\xff\x99\x26\x60\xec\xde\x41\xc2\xe7\x4e\xb5\x43\xbe\xce\x38\x87\x0d", (void(*)(void *))&fexfn_unpack_libGL_glPathColorGenNV}, // libGL:glPathColorGenNV
  {(uint8_t*)"\xdb\x40\x09\xdc\xed\x9b\x17\x2d\x1d\x75\xdc\x97\x12\xe1\x3a\x53\x16\xf5\xdd\xca\xf6\x3f\x38\x10\xa4\x6a\x64\x79\x1f\x93\x09\xfb", (void(*)(void *))&fexfn_unpack_libGL_glPathTexGenNV}, // libGL:glPathTexGenNV
  {(uint8_t*)"\xc1\xf9\x43\x23\xe9\x51\x84\xb8\x9a\x65\x6c\x29\x15\x83\x99\x57\xb3\x4b\x73\xb4\xab\x19\xdd\x73\xea\x41\x5f\x66\x43\xf0\xa8\xb0", (void(*)(void *))&fexfn_unpack_libGL_glPathFogGenNV}, // libGL:glPathFogGenNV
  {(uint8_t*)"\x8f\xb0\x74\x2d\x0e\xc4\xb6\x64\x46\x2b\xbe\xa9\x5a\x21\xc8\xa2\xcb\xcf\x5b\xdd\x1c\x97\x72\xa2\x07\xd3\x69\xec\x38\x1e\x86\x6a", (void(*)(void *))&fexfn_unpack_libGL_glGetPathColorGenivNV}, // libGL:glGetPathColorGenivNV
  {(uint8_t*)"\x5c\x85\x7f\x23\xf0\xbb\xaf\x9b\xca\xc4\xfb\xb8\x13\xd8\x39\x87\x89\x9e\x6d\xe7\xe7\xbd\x3f\x3f\xdd\x47\x4c\xb3\x9f\x7f\x98\xbe", (void(*)(void *))&fexfn_unpack_libGL_glGetPathColorGenfvNV}, // libGL:glGetPathColorGenfvNV
  {(uint8_t*)"\x27\x6c\x37\x7e\xba\xff\xea\x7b\x39\x79\x70\x40\x2c\x5b\x52\x41\x8b\x79\xf4\x6d\x43\xc7\xf7\xcf\x90\x7b\x55\x28\x65\x56\xb8\x9d", (void(*)(void *))&fexfn_unpack_libGL_glGetPathTexGenivNV}, // libGL:glGetPathTexGenivNV
  {(uint8_t*)"\xd3\x64\xb4\x86\xaa\x7b\xbf\xef\x63\x97\x45\x5f\x72\x29\xc5\x5a\xdc\x61\x68\x09\xed\x78\xc2\x7e\x40\xbb\x6c\x44\x83\x0c\xc2\xe1", (void(*)(void *))&fexfn_unpack_libGL_glGetPathTexGenfvNV}, // libGL:glGetPathTexGenfvNV
  {(uint8_t*)"\x23\xc3\x78\x53\x0b\xbe\xd5\xdb\x96\x08\x70\x92\xdc\x11\xa6\x3e\x7f\x73\x1c\x7e\xe0\x1c\x3f\xcd\x51\x32\xca\xcd\x1b\x5f\x2d\x84", (void(*)(void *))&fexfn_unpack_libGL_glBlendEquationSeparateATI}, // libGL:glBlendEquationSeparateATI
  {(uint8_t*)"\xe1\x50\xb6\x04\x37\x75\x46\xdd\xa4\x4c\x1d\x5f\xcb\x0d\x11\xde\xfa\x9b\xec\xca\xd5\x03\x5d\xf4\x4a\x60\xcc\x0a\x26\x27\x9f\xf2", (void(*)(void *))&fexfn_unpack_libGL_glXWaitX}, // libGL:glXWaitX
  {(uint8_t*)"\x21\xee\xea\x75\x50\xc7\x49\xdb\x19\x0a\x2d\xbe\xc7\x5e\x73\x17\x6d\x15\x1a\xe6\xf2\x77\x5c\x88\x42\x51\x4c\x70\x8a\x8c\xaa\x64", (void(*)(void *))&fexfn_unpack_libGL_glXBindTexImageARB}, // libGL:glXBindTexImageARB
  {(uint8_t*)"\xd8\xe5\xcc\x97\xb4\xeb\x3f\xca\xed\x06\xfd\x1e\x25\xe3\x4b\xb9\x63\x54\xb3\xf4\x96\x26\xfe\x68\xdd\x57\xa0\x6b\xf3\x4c\x8e\x71", (void(*)(void *))&fexfn_unpack_libGL_glXReleaseTexImageARB}, // libGL:glXReleaseTexImageARB
  {(uint8_t*)"\x12\x5d\x5c\x89\xfd\x09\x96\xd6\x56\x80\x26\xe1\x53\xe4\xe1\xda\x9a\xb5\x62\xcc\x1e\x04\x7c\xcb\x47\x15\x5f\xd8\x44\xd9\x4c\xa4", (void(*)(void *))&fexfn_unpack_libGL_glXDrawableAttribARB}, // libGL:glXDrawableAttribARB
  {(uint8_t*)"\x6f\xc8\x79\xcb\xee\x80\xb2\x41\x41\x41\xe2\xbd\xb7\xb8\x69\xe6\xd9\x82\x3d\x8d\xa9\x6f\x04\x07\x25\xc4\xe6\x2d\xe5\x60\x64\x7c", (void(*)(void *))&fexfn_unpack_libGL_glXGetFrameUsageMESA}, // libGL:glXGetFrameUsageMESA
  {(uint8_t*)"\xe4\x52\x24\xc1\x28\xc4\x1c\xf8\xe2\x6d\x54\x2e\xa2\x51\xfb\x83\xe2\x25\x5f\x15\x29\x59\x2d\x1b\x18\x1c\xb3\x09\x61\x56\x26\xcb", (void(*)(void *))&fexfn_unpack_libGL_glXBeginFrameTrackingMESA}, // libGL:glXBeginFrameTrackingMESA
  {(uint8_t*)"\x51\xb0\x13\xd9\x1a\x35\xaf\x7c\x55\x5e\xe8\x62\x22\x14\x57\x44\xff\x73\xa2\x25\x04\x8e\x6a\x86\x54\xd5\x7e\xfb\xbc\xe0\x06\xe5", (void(*)(void *))&fexfn_unpack_libGL_glXEndFrameTrackingMESA}, // libGL:glXEndFrameTrackingMESA
  {(uint8_t*)"\x08\xf5\xbc\x4c\x63\x81\x4d\x0c\x34\x1d\xef\xde\xf1\xeb\x2e\xf1\x7a\xc9\xb7\xda\xeb\x84\xdc\x91\xe3\xd5\x7d\x61\x98\x66\xeb\x1e", (void(*)(void *))&fexfn_unpack_libGL_glXQueryFrameTrackingMESA}, // libGL:glXQueryFrameTrackingMESA
  {(uint8_t*)"\xfb\x63\xd5\x4d\x8c\x20\xba\xee\x72\x59\xa5\x9c\x9c\xef\x76\x8c\x50\xa6\xc3\xec\x76\x43\xb6\x2d\xdb\x6b\xbd\x2b\x5d\xe1\x98\x28", (void(*)(void *))&fexfn_unpack_libGL_glXGetGPUIDsAMD}, // libGL:glXGetGPUIDsAMD
  {(uint8_t*)"\x38\x45\x48\x55\x70\x77\x63\x14\x43\xe8\x2e\xcf\x20\x71\x97\xec\xff\x0f\xe0\x06\xff\x05\xca\xa9\x0a\x58\x3c\xa8\xcd\x44\xb5\xc9", (void(*)(void *))&fexfn_unpack_libGL_glXGetGPUInfoAMD}, // libGL:glXGetGPUInfoAMD
  {(uint8_t*)"\xad\x97\xf5\xd6\x15\x38\x8d\x42\xbe\xc4\xe2\xd8\x57\xb7\xaa\x73\xe2\x7b\x12\x43\x57\x5c\x59\x51\x17\x01\x5d\xeb\xb2\x93\x03\x66", (void(*)(void *))&fexfn_unpack_libGL_glXGetContextGPUIDAMD}, // libGL:glXGetContextGPUIDAMD
  {(uint8_t*)"\xc5\x3c\x99\x72\x00\x9a\x05\x9b\x4a\x50\x6e\x38\x44\x81\x71\x78\x4c\xb8\x70\x38\x69\x9c\xf1\xf4\x71\xc9\x73\x02\x75\x37\xe0\xc9", (void(*)(void *))&fexfn_unpack_libGL_glXCreateAssociatedContextAMD}, // libGL:glXCreateAssociatedContextAMD
  {(uint8_t*)"\x6a\xfd\xd7\xda\xa4\x8f\x47\x1c\xa9\xe6\xba\x80\x1a\x1d\xc9\x16\xc5\x31\x5a\xac\x65\x68\x9c\xdc\x54\xf1\xee\x29\x18\xe1\x16\x2e", (void(*)(void *))&fexfn_unpack_libGL_glXCreateAssociatedContextAttribsAMD}, // libGL:glXCreateAssociatedContextAttribsAMD
  {(uint8_t*)"\xd3\x4a\xbd\xb2\xd0\xee\xc9\x4a\xe6\x84\x0a\xef\xef\x04\xcb\xc0\xf6\x18\xc0\x18\x02\xed\x06\x0f\x00\x54\x00\x99\x5e\x36\x81\xd1", (void(*)(void *))&fexfn_unpack_libGL_glXDeleteAssociatedContextAMD}, // libGL:glXDeleteAssociatedContextAMD
  {(uint8_t*)"\xec\xc0\xc0\x22\x3e\x22\x14\xf3\x4c\x5c\x4d\xba\x43\x56\xe7\x20\xb4\x20\xe6\x2f\xb7\x5f\xc1\xf8\x2b\x5e\x6a\x8f\x45\xf1\x0b\xe3", (void(*)(void *))&fexfn_unpack_libGL_glXMakeAssociatedContextCurrentAMD}, // libGL:glXMakeAssociatedContextCurrentAMD
  {(uint8_t*)"\x17\x4c\x36\x12\xc5\xc7\x91\x4f\x8c\xf7\x5c\xc6\x0e\xd2\x56\x34\xca\x4a\xb8\xaa\xde\x2c\xdb\xa6\xe5\x83\xc0\xe8\xa1\x51\xfd\x30", (void(*)(void *))&fexfn_unpack_libGL_glXGetCurrentAssociatedContextAMD}, // libGL:glXGetCurrentAssociatedContextAMD
  {(uint8_t*)"\x38\x93\xf8\x63\x37\xd8\x6f\xb1\xb3\x8a\xc4\x2d\x16\xc6\x1b\xa7\x9b\x14\x8f\x44\xe5\x95\x61\x2d\xee\xdf\xfa\xcb\xcd\x5d\xfd\x50", (void(*)(void *))&fexfn_unpack_libGL_glXBlitContextFramebufferAMD}, // libGL:glXBlitContextFramebufferAMD
  {(uint8_t*)"\xc4\xb5\xc9\x80\x3e\xc2\xc0\x7b\x46\x40\x85\x77\x8d\x87\x8f\xf2\x44\x22\x71\xea\x6d\x23\x85\x55\x2a\xe7\xb9\x3c\xb5\x66\x59\x9b", (void(*)(void *))&fexfn_unpack_libGL_glXGetCurrentDisplayEXT}, // libGL:glXGetCurrentDisplayEXT
  {(uint8_t*)"\x75\x15\xeb\xb0\xee\x6d\xec\x3d\xa0\x9a\x14\x71\x14\xf4\x23\xb7\x81\xca\xc4\x78\x96\xdb\x8d\xf1\x14\x11\xf3\xc9\x1e\xf6\x29\x8c", (void(*)(void *))&fexfn_unpack_libGL_glXGetAGPOffsetMESA}, // libGL:glXGetAGPOffsetMESA
  {(uint8_t*)"\x76\x85\x23\x2a\x68\xa3\x8b\xb2\x52\x24\xef\xd8\x9e\xad\x1c\x1a\x89\xe1\x04\x6e\xe8\x88\x71\x5b\xe3\x9b\x71\x6e\xc7\xc8\xd7\xdc", (void(*)(void *))&fexfn_unpack_libGL_glXCreateGLXPixmapMESA}, // libGL:glXCreateGLXPixmapMESA
  {(uint8_t*)"\x13\x0b\xa9\xa7\xd7\x93\x47\x53\x44\xe1\x29\x2b\x63\x3d\xd0\x20\x53\xbd\xd4\xa2\x4b\x22\x78\x7c\x08\xdc\xce\x54\x66\x97\xc8\x18", (void(*)(void *))&fexfn_unpack_libGL_glXReleaseBuffersMESA}, // libGL:glXReleaseBuffersMESA
  {(uint8_t*)"\x22\x11\x4b\xcb\x75\x62\x51\x51\xd0\xc8\x8c\x78\x90\x02\x7f\xea\x41\x0f\x55\xef\xe7\x09\x6e\xe0\x29\x5f\x56\x3b\x30\x03\x7d\x87", (void(*)(void *))&fexfn_unpack_libGL_glXSet3DfxModeMESA}, // libGL:glXSet3DfxModeMESA
  {(uint8_t*)"\xf2\xb2\x11\xba\x86\xde\x6f\x4a\x39\xfc\x36\x49\x44\x38\xc9\xc2\xb2\xe0\x89\x29\xdf\x0a\x4c\xec\xfc\x1b\xad\xa0\x6d\x23\x11\x95", (void(*)(void *))&fexfn_unpack_libGL_glXCopyBufferSubDataNV}, // libGL:glXCopyBufferSubDataNV
  {(uint8_t*)"\xcb\xae\xc2\x16\xf2\xd9\xc5\x5d\x99\x17\x36\x0a\xe2\x0b\xaa\x75\x04\x30\xec\x89\x47\x08\xcf\x3b\x0d\x8d\x67\xa1\x06\x4c\x61\x1a", (void(*)(void *))&fexfn_unpack_libGL_glXNamedCopyBufferSubDataNV}, // libGL:glXNamedCopyBufferSubDataNV
  {(uint8_t*)"\xf6\x09\x02\xd8\xba\x6d\x9c\x20\xcf\xd0\x7c\x64\x69\x88\x33\x6e\x03\x99\xef\x7d\x98\x43\xce\x9e\xee\xb5\x2e\x11\x88\x33\x85\x61", (void(*)(void *))&fexfn_unpack_libGL_glXCopyImageSubDataNV}, // libGL:glXCopyImageSubDataNV
  {(uint8_t*)"\x89\xec\x97\x0b\x6c\x4d\x30\x47\x57\xa5\x56\x12\xef\xec\xf9\x94\x33\x94\x09\x01\x64\x64\xa1\x0c\xeb\xa1\xe3\x7a\x46\x6d\x93\x97", (void(*)(void *))&fexfn_unpack_libGL_glXDelayBeforeSwapNV}, // libGL:glXDelayBeforeSwapNV
  {(uint8_t*)"\x8a\x8a\x24\xa3\xf7\x75\x8e\x85\xd3\x9c\x14\xdd\xfc\xa0\x5e\xf2\x2d\x95\xd9\x35\x65\xb1\x8d\x89\xe6\x42\x01\x8c\xea\x54\x10\x5d", (void(*)(void *))&fexfn_unpack_libGL_glXEnumerateVideoDevicesNV}, // libGL:glXEnumerateVideoDevicesNV
  {(uint8_t*)"\x25\xf8\x0a\x2a\xe5\xa6\x3c\x7e\x55\x99\xc2\x3d\xca\x67\x6f\xb9\x7d\x5f\x98\xb2\xaf\x7c\x63\x27\x80\x1f\xe7\x0d\xe9\xca\x4d\x61", (void(*)(void *))&fexfn_unpack_libGL_glXBindVideoDeviceNV}, // libGL:glXBindVideoDeviceNV
  {(uint8_t*)"\x7c\xe8\xfd\xe4\x85\xcc\x21\x46\x40\xca\xcd\xba\x95\x0a\xe8\x12\x29\x4f\x02\x14\x9d\x1a\xe8\x70\x20\xd0\xfc\x96\xea\x77\x0c\xd9", (void(*)(void *))&fexfn_unpack_libGL_glXJoinSwapGroupNV}, // libGL:glXJoinSwapGroupNV
  {(uint8_t*)"\x05\x0a\x51\x6d\x44\x8b\x3a\xf4\x55\x5e\x77\x17\xcf\x3d\xc1\xaf\x31\x27\xae\xb5\x39\x8a\xf8\xa4\xc2\x40\x16\xf2\x62\xc4\xcb\x11", (void(*)(void *))&fexfn_unpack_libGL_glXBindSwapBarrierNV}, // libGL:glXBindSwapBarrierNV
  {(uint8_t*)"\x70\x3d\x8c\x1e\x19\xba\x95\xaf\xfb\x59\x39\x50\x49\x39\x00\x34\x0a\x12\xa9\x0e\x17\x99\x7a\x1f\xb8\x34\x83\xfe\xc7\x32\xd3\x0f", (void(*)(void *))&fexfn_unpack_libGL_glXQuerySwapGroupNV}, // libGL:glXQuerySwapGroupNV
  {(uint8_t*)"\x12\x7e\xda\x57\x0c\xd5\x3f\x04\x7e\x34\xe2\x70\x9f\xe3\x7b\xa4\xb2\x86\xd5\xfc\x92\x6a\x60\x59\x3e\x3d\x42\x53\x79\xdf\x32\x8f", (void(*)(void *))&fexfn_unpack_libGL_glXQueryMaxSwapGroupsNV}, // libGL:glXQueryMaxSwapGroupsNV
  {(uint8_t*)"\x5d\x37\x35\x86\xef\xc9\x12\xbf\x97\x72\x03\x64\xa4\x99\x40\x12\x7f\x0a\xdc\xea\x19\x12\x04\x5b\x6d\xf6\x10\x43\xa0\xab\x83\x1c", (void(*)(void *))&fexfn_unpack_libGL_glXQueryFrameCountNV}, // libGL:glXQueryFrameCountNV
  {(uint8_t*)"\xcc\x82\xbd\xfb\xe1\xa2\xfb\x03\x40\xe4\xa7\x4d\x63\x03\x79\x30\x1f\x57\xc9\x7a\x3d\xb8\x6d\xc3\x46\x90\x10\xe4\x0f\x00\xc2\x80", (void(*)(void *))&fexfn_unpack_libGL_glXResetFrameCountNV}, // libGL:glXResetFrameCountNV
  {(uint8_t*)"\x5c\x94\x66\xf6\x82\x3e\xea\x67\x20\xe5\xd9\x90\xc7\xec\x15\x03\x3e\x82\x44\x38\xfd\xd1\x14\xf9\xcc\x31\x97\xcc\x29\xbf\x71\x63", (void(*)(void *))&fexfn_unpack_libGL_glXBindVideoCaptureDeviceNV}, // libGL:glXBindVideoCaptureDeviceNV
  {(uint8_t*)"\xae\xfb\x61\xd2\xdb\x39\xc7\x66\x0f\x2a\x73\x8a\xd2\xce\x19\x5b\x0d\x1f\x12\x03\xe5\x6a\xe2\xc8\xe0\xa4\x89\x28\xda\xa6\x0d\x8b", (void(*)(void *))&fexfn_unpack_libGL_glXEnumerateVideoCaptureDevicesNV}, // libGL:glXEnumerateVideoCaptureDevicesNV
  {(uint8_t*)"\x8e\x7d\x45\x3a\xcb\xfe\xc2\xc5\x8c\x4c\xe1\x09\x57\xaa\x7d\x51\xa2\xac\xdf\xd9\xb5\x59\x61\x76\x0a\xb7\x47\x82\x3c\x2b\xaf\x2a", (void(*)(void *))&fexfn_unpack_libGL_glXLockVideoCaptureDeviceNV}, // libGL:glXLockVideoCaptureDeviceNV
  {(uint8_t*)"\xc8\x26\x4a\x95\x9f\x5f\x29\x45\x3d\xd0\xe5\x3c\xde\x90\xf7\x3e\x47\x67\x38\xc2\xfd\x69\x67\x56\x7d\x96\x53\x91\x1e\x6a\x84\xb8", (void(*)(void *))&fexfn_unpack_libGL_glXQueryVideoCaptureDeviceNV}, // libGL:glXQueryVideoCaptureDeviceNV
  {(uint8_t*)"\x58\x67\xdc\x43\x97\x3f\xd0\x24\x15\x94\x70\x81\xc8\x06\x90\x07\xca\xd9\xde\x4a\xaa\x3d\x88\xb8\xe0\x5b\xd1\x92\xb8\x1a\x99\x8b", (void(*)(void *))&fexfn_unpack_libGL_glXReleaseVideoCaptureDeviceNV}, // libGL:glXReleaseVideoCaptureDeviceNV
  {(uint8_t*)"\x79\xef\xb3\x45\xcb\x66\x8a\x43\x44\x0e\xa9\x2c\x6c\xf1\x3c\x31\x4a\xc5\x64\x44\x21\xd6\xec\x29\xbe\xe9\x8a\xd4\x4a\x0e\x7f\xf0", (void(*)(void *))&fexfn_unpack_libGL_glXGetVideoDeviceNV}, // libGL:glXGetVideoDeviceNV
  {(uint8_t*)"\xce\xda\xcf\xe1\xd1\x04\x75\xc8\xc6\xa1\xa4\xac\x53\x14\x67\xe7\x5a\xc9\x2e\x1c\x21\xc5\x77\x29\x74\xb7\x0b\xa3\x5f\x18\xa7\xc7", (void(*)(void *))&fexfn_unpack_libGL_glXReleaseVideoDeviceNV}, // libGL:glXReleaseVideoDeviceNV
  {(uint8_t*)"\x51\x1d\x59\x0d\x30\xd3\x7f\x9b\x19\x6b\xe4\x9a\x4b\xad\xc2\x8c\x34\x1e\x7b\xd2\x82\xf4\x45\x97\xaa\x63\xdf\x3f\x9d\x3e\xa2\xe9", (void(*)(void *))&fexfn_unpack_libGL_glXBindVideoImageNV}, // libGL:glXBindVideoImageNV
  {(uint8_t*)"\x29\x26\x51\x9d\x45\x24\x00\xf9\x69\xa6\x8e\x53\x4a\x0e\xfe\xc8\x69\xaa\x87\x20\xe5\x57\x26\xc0\x8b\x8c\xe9\x06\xf9\x04\xc6\xbe", (void(*)(void *))&fexfn_unpack_libGL_glXReleaseVideoImageNV}, // libGL:glXReleaseVideoImageNV
  {(uint8_t*)"\x35\x46\x00\x7f\x13\x80\x65\xec\x49\x64\xd9\x19\xf2\x3b\xcb\xfd\x76\xf2\xb5\x11\xd4\x33\x38\x33\xd5\x13\x9b\x75\x9a\x23\x82\x81", (void(*)(void *))&fexfn_unpack_libGL_glXSendPbufferToVideoNV}, // libGL:glXSendPbufferToVideoNV
  {(uint8_t*)"\x9e\x3c\xc2\x23\xe6\x64\x3a\xd8\x59\xec\x9d\x82\xe6\x35\x07\xd6\x0e\xdf\x8c\x7e\x17\x91\xd9\x5d\xca\x2d\xd4\xbc\x81\xc2\xe9\x58", (void(*)(void *))&fexfn_unpack_libGL_glXGetVideoInfoNV}, // libGL:glXGetVideoInfoNV
  {(uint8_t*)"\xa1\x7a\x4c\x8d\x66\xba\xd4\x60\xee\x25\xd4\x3b\x2a\x69\x6c\xf1\xc3\xd0\x42\x13\x08\x43\x63\x31\x66\x10\xd9\xab\xbf\xd5\x4f\xa4", (void(*)(void *))&fexfn_unpack_libGL_glXQueryHyperpipeNetworkSGIX}, // libGL:glXQueryHyperpipeNetworkSGIX
  {(uint8_t*)"\x54\x8d\x83\x9d\xd1\x81\xba\xde\x8d\xdb\x6c\x7e\xf4\xbc\xcf\xc0\xf1\x7a\x8c\x2f\x47\xab\xbc\x51\xa6\x2b\xb8\x93\x8c\x2c\x89\x8c", (void(*)(void *))&fexfn_unpack_libGL_glXHyperpipeConfigSGIX}, // libGL:glXHyperpipeConfigSGIX
  {(uint8_t*)"\xe7\x94\x50\x5f\xd8\x42\x13\x7b\x1d\x2a\x95\x56\x94\x0e\x29\x95\xcd\xa4\x00\x4b\xde\xfc\xa9\x48\xbc\x6d\x6e\xe5\x97\xa0\xa3\x8a", (void(*)(void *))&fexfn_unpack_libGL_glXQueryHyperpipeConfigSGIX}, // libGL:glXQueryHyperpipeConfigSGIX
  {(uint8_t*)"\xd5\x1a\xf7\xf5\x74\x0c\x5a\x14\x8d\x3b\x28\x91\x23\x02\x22\x2b\x13\x02\xf7\x67\xc7\x4c\xfa\xfc\x93\x48\xd2\x34\x04\x0c\x76\x8b", (void(*)(void *))&fexfn_unpack_libGL_glXDestroyHyperpipeConfigSGIX}, // libGL:glXDestroyHyperpipeConfigSGIX
  {(uint8_t*)"\x4c\x06\x57\x6a\x25\x76\x40\x75\x0a\x6b\x28\x9e\x4d\x62\xb0\x94\x10\xb8\x63\x6b\x88\xd0\x57\xa3\xd6\xbf\x52\x12\xe7\x06\xa2\x5f", (void(*)(void *))&fexfn_unpack_libGL_glXBindHyperpipeSGIX}, // libGL:glXBindHyperpipeSGIX
  {(uint8_t*)"\x35\xb1\xf4\x15\x67\x36\x42\x81\x3f\x2b\x57\x53\x1e\x2e\x7f\xe4\x41\x61\x81\x54\xf9\x98\x7a\x35\x5e\x4d\x4c\xb5\x66\xfc\xe9\x05", (void(*)(void *))&fexfn_unpack_libGL_glXQueryHyperpipeBestAttribSGIX}, // libGL:glXQueryHyperpipeBestAttribSGIX
  {(uint8_t*)"\x5a\x94\x7c\x62\x6d\x36\xc4\x0a\x54\xfc\x73\x51\x18\xeb\x26\xdf\xa6\x61\x14\xec\x0f\x63\x65\xbe\x94\xea\x92\x7d\xf4\x1a\xe1\x7b", (void(*)(void *))&fexfn_unpack_libGL_glXHyperpipeAttribSGIX}, // libGL:glXHyperpipeAttribSGIX
  {(uint8_t*)"\xa5\xf4\xba\x3f\x58\x11\x9c\xd6\x8d\x58\xab\x56\xa4\x82\x6f\xbf\x7a\x62\x60\x0a\xee\x89\xfa\xda\x75\x8c\x60\xc0\x4c\xe9\x7b\x87", (void(*)(void *))&fexfn_unpack_libGL_glXQueryHyperpipeAttribSGIX}, // libGL:glXQueryHyperpipeAttribSGIX
  {(uint8_t*)"\xe5\x51\x7c\x69\xd8\xed\xd2\x6e\xf2\x61\x2d\x7f\xd1\x6c\x3c\x86\x18\x06\x08\x8e\x0b\x50\x5a\x70\x5f\x13\x18\x8b\x53\xb4\xce\x72", (void(*)(void *))&fexfn_unpack_libGL_glXBindSwapBarrierSGIX}, // libGL:glXBindSwapBarrierSGIX
  {(uint8_t*)"\x18\x87\x10\x93\x01\x1c\xd6\x68\x72\xb0\xe4\xfb\x2a\x16\x85\x7d\xf6\x92\x85\x12\x9d\x27\xd7\xed\xa4\x15\x78\x12\x83\x8c\x5b\x1a", (void(*)(void *))&fexfn_unpack_libGL_glXQueryMaxSwapBarriersSGIX}, // libGL:glXQueryMaxSwapBarriersSGIX
  {(uint8_t*)"\x97\x88\xaa\x52\xfd\x24\x46\xce\x94\x25\xf5\x61\x77\xb2\xa4\x73\xfc\xbc\x65\x35\x44\x45\x3d\x50\x88\x29\x13\x0d\xc5\xe8\x98\x19", (void(*)(void *))&fexfn_unpack_libGL_glXJoinSwapGroupSGIX}, // libGL:glXJoinSwapGroupSGIX
  {(uint8_t*)"\x6a\x7d\xb5\x19\xbf\x74\x4d\x0f\xff\xbf\x08\xff\xa3\x5a\xd4\x6a\xce\x98\x8a\xd6\x40\x1e\x8c\xd5\x94\x44\x58\x11\x05\xed\x13\x54", (void(*)(void *))&fexfn_unpack_libGL_glXBindChannelToWindowSGIX}, // libGL:glXBindChannelToWindowSGIX
  {(uint8_t*)"\x92\x19\xb3\x91\x1d\x5a\x3e\xc1\x0c\x40\x19\xd1\xd9\xc1\xe5\xd7\x4e\x5c\x95\x0a\x84\x40\x69\x27\x60\xb1\xa0\x49\xf3\xc1\xd6\x34", (void(*)(void *))&fexfn_unpack_libGL_glXChannelRectSGIX}, // libGL:glXChannelRectSGIX
  {(uint8_t*)"\x09\xd0\x27\x31\x41\xab\xed\x13\x43\x75\xc0\x57\x6f\xa7\xe4\xb6\x8d\x59\xc3\x03\xb7\x97\xd6\x80\x48\x6f\x50\xfb\x32\xfc\x76\xd9", (void(*)(void *))&fexfn_unpack_libGL_glXQueryChannelRectSGIX}, // libGL:glXQueryChannelRectSGIX
  {(uint8_t*)"\x41\xcd\x1a\xf1\xd9\x10\x00\xef\x30\x72\xd9\xe6\xcf\x4c\x54\xf2\x21\x5e\xf9\xdc\x9a\xe0\x31\xe4\x82\x85\x4f\xc7\x4c\x03\x1e\x6e", (void(*)(void *))&fexfn_unpack_libGL_glXQueryChannelDeltasSGIX}, // libGL:glXQueryChannelDeltasSGIX
  {(uint8_t*)"\xd7\xf3\x3e\x48\x88\x81\xf0\x6f\x75\x37\x08\x9f\x6d\xe7\x5d\xd3\xc9\x74\xa5\x66\xe5\x30\x9d\xc1\x2a\x25\x7d\x4b\x5b\x2e\x1c\x1b", (void(*)(void *))&fexfn_unpack_libGL_glXChannelRectSyncSGIX}, // libGL:glXChannelRectSyncSGIX
  {(uint8_t*)"\x79\x05\x55\xfc\xda\xc1\x8d\xa9\x4b\x2f\x36\x72\xaa\x45\x31\xf9\x6d\xae\xaa\x48\x85\x63\x7f\xfb\xca\x93\x17\xe9\xee\xd6\xd0\x2c", (void(*)(void *))&fexfn_unpack_libGL_glXCushionSGI}, // libGL:glXCushionSGI
  {(uint8_t*)"\x80\x76\xee\x03\xb5\x43\xb6\x31\x1b\x57\xcb\x13\x23\x3f\x73\x95\x58\x56\x34\x0a\x49\x98\x20\x29\x3a\xea\x4d\x0e\xb7\x32\xf3\xf4", (void(*)(void *))&fexfn_unpack_libGL_glXGetTransparentIndexSUN}, // libGL:glXGetTransparentIndexSUN
  {(uint8_t*)"\x95\xd4\xab\x4e\xce\x8f\xa5\x28\x90\xee\xb3\xd3\x65\x4e\x6e\x25\xaf\x6c\x74\xcb\x4d\x48\x66\xc0\x3e\x48\x25\xe1\xcb\xeb\x7b\xf0", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), struct _XDisplay *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXChannelRectSGIX
  {(uint8_t*)"\x3f\x6c\x09\xb8\xea\xd7\xda\x54\xf5\x12\x0a\x26\x03\x65\xb0\x21\x9f\x52\x04\xb4\x37\x5e\xe7\x60\x39\xdc\x33\xc2\x17\x02\x61\xe8", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint64_t), struct _XDisplay *, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXJoinSwapGroupSGIX
  {(uint8_t*)"\xaf\x7b\x3c\x7e\x16\x91\xa8\x0f\xed\xa0\xaa\xbe\x0d\x1e\xcd\x59\x54\x34\x66\x26\x9d\x21\x75\xfe\x28\xf1\x4f\x1e\x7c\xb2\x68\x7c", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint32_t), struct _XDisplay *, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXBindSwapBarrierSGIX
  {(uint8_t*)"\x66\xa7\xc0\xf7\x00\xaf\x3c\x75\x0f\xe8\xcf\x8e\xee\x79\x7a\xb3\x6d\x7e\x35\x25\xc0\xa6\x0d\x4d\x3a\x74\x99\x15\xa7\x85\xf5\x49", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint32_t, void *), struct _XDisplay *, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXQueryHyperpipeAttribSGIX
  {(uint8_t*)"\x86\xf9\xc3\x3f\xca\xe4\x3d\x91\x3d\x10\xe0\xa5\xc3\x00\x88\xc6\x0b\xe4\x4a\x34\xc7\xdf\xcc\xab\x8d\x6b\x77\x85\x5f\xdd\x56\xca", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t), struct _XDisplay *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXBindHyperpipeSGIX
  {(uint8_t*)"\xb3\x5e\x8d\xea\xf7\xef\x49\xbd\x99\xa7\x92\x0f\x23\x6b\x94\xe3\x53\x53\x57\xbc\x00\x6a\x16\xd8\xb0\xf6\xca\x51\xe0\x29\x69\x2d", (void(*)(void *))&GuestWrapperForHostFunction<GLXHyperpipeConfigSGIX *(struct _XDisplay *, uint32_t, uint32_t*), struct _XDisplay *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryHyperpipeConfigSGIX
  {(uint8_t*)"\x71\xd5\xe7\xa5\x7b\x05\xcf\x3c\x49\x54\x89\x77\x1c\x11\x13\x85\x08\x10\xfd\x32\xcd\x61\x5f\xef\xc8\x1f\xd2\x24\x18\x7f\x17\x5c", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, GLXHyperpipeConfigSGIX *, uint32_t*), struct _XDisplay *, uint32_t, uint32_t, GLXHyperpipeConfigSGIX *, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXHyperpipeConfigSGIX
  {(uint8_t*)"\xf2\x5d\x70\x4a\xf4\xe5\x95\x05\x20\x8d\xca\x0d\x5d\xb8\x29\x17\x62\x39\x9b\xbe\x95\xf1\xb2\x5d\x3d\xf0\x08\x6f\xb7\x6d\x75\xad", (void(*)(void *))&GuestWrapperForHostFunction<GLXHyperpipeNetworkSGIX *(struct _XDisplay *, uint32_t*), struct _XDisplay *, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXQueryHyperpipeNetworkSGIX
  {(uint8_t*)"\xb5\x9c\x21\xe9\xa8\xb2\xc8\x19\x92\x36\x16\x97\xa7\xe6\x85\xaa\x58\xf5\x21\xa4\xe8\xc7\xea\xae\xf3\x8d\x8f\xed\x66\xec\xd7\x2f", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t), struct _XDisplay *, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXReleaseVideoDeviceNV
  {(uint8_t*)"\x9f\xfd\x1f\x0d\x5d\x02\x08\x17\x24\x23\xd2\x7c\x82\xf6\x0f\xe3\x09\x20\x0b\xd5\x6f\xdb\xe9\x91\xdf\x08\xa5\x8c\xc2\x59\xd3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXReleaseVideoCaptureDeviceNV
  {(uint8_t*)"\x9f\xfd\x1f\x0d\x5d\x02\x08\x17\x24\x23\xd2\x7c\x82\xf6\x0f\xe3\x09\x20\x0b\xd5\x6f\xdb\xe9\x91\xdf\x08\xa5\x8c\xc2\x59\xd3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXLockVideoCaptureDeviceNV
  {(uint8_t*)"\xd3\xe4\xad\xcb\x8e\xf9\xcd\xfd\xa1\x13\xba\x77\x8c\xf7\x24\x51\xfe\x35\xba\x91\x86\x6e\xae\x6c\x74\x80\x97\xaf\xb3\x1b\x28\xab", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long *(struct _XDisplay *, uint32_t, uint32_t*), struct _XDisplay *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXEnumerateVideoCaptureDevicesNV
  {(uint8_t*)"\x86\xf9\xc3\x3f\xca\xe4\x3d\x91\x3d\x10\xe0\xa5\xc3\x00\x88\xc6\x0b\xe4\x4a\x34\xc7\xdf\xcc\xab\x8d\x6b\x77\x85\x5f\xdd\x56\xca", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t), struct _XDisplay *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXResetFrameCountNV
  {(uint8_t*)"\x45\x8a\xfa\x89\x89\x9d\x06\x67\x1b\x79\x70\xfc\x6b\xac\x13\x3a\x94\xe2\x84\x2a\x7d\x11\xbe\x4e\x86\xcc\x2d\x55\xeb\x32\x5f\x5a", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint32_t*), struct _XDisplay *, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXBindVideoDeviceNV
  {(uint8_t*)"\xd7\x4a\xde\x9f\xb3\x3e\xac\xa0\xbc\x8d\x55\x7d\x0d\x48\x81\xaa\xf7\x73\x8c\x12\x88\xf6\x10\xbe\x73\xad\x3a\x96\xf9\xe6\x24\x59", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, float), struct _XDisplay *, uint64_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXDelayBeforeSwapNV
  {(uint8_t*)"\x83\xe6\x0f\x0d\x4b\x85\x5c\x92\xd9\xb7\xa4\xac\x24\x04\x40\x0a\xdd\x24\x93\xb3\x5b\x8d\x51\x77\x48\xf4\x69\x5c\x4b\x2c\x6d\x9b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(const void *), const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXGetAGPOffsetMESA
  {(uint8_t*)"\xc9\x8e\x23\xed\x39\xef\x9e\x1f\x18\x5b\x4b\x5a\xa4\xa5\xda\x39\xbb\xa2\x6e\x91\xe9\xc5\x7c\x1c\x41\x98\xee\x46\x4d\x5b\xb8\xd4", (void(*)(void *))&GuestWrapperForHostFunction<void(struct __GLXcontextRec *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), struct __GLXcontextRec *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXBlitContextFramebufferAMD
  {(uint8_t*)"\xe8\x9d\x76\x06\x05\xc6\x54\x9b\x45\x6e\x7a\xfa\x14\x3c\x95\xc5\x95\xdd\x42\x32\xc2\x12\xf7\xae\x71\x1c\x57\xe8\x5f\x3c\x47\x9e", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXcontextRec *()>::Call<ParameterAnnotations {.assume_compatible=true,}>}, // glXGetCurrentAssociatedContextAMD
  {(uint8_t*)"\x37\x23\x64\xb9\x7e\x3b\xb6\x9a\xae\xe2\xfc\xee\x28\x46\x3e\xc8\x6c\x4c\xf5\x9c\x95\xfb\xa5\x3f\x5f\xaa\xc5\x99\x8d\x82\x08\xf0", (void(*)(void *))&GuestWrapperForHostFunction<int(struct __GLXcontextRec *), struct __GLXcontextRec *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXDeleteAssociatedContextAMD
  {(uint8_t*)"\x2e\xb3\xfd\x33\xe3\xd5\x74\x45\x6f\x09\xe6\x26\xdb\x23\x28\x53\xc0\xb2\xf7\x72\x57\x92\x97\x0e\xad\x21\x69\xc4\xd1\x5f\xaa\xfe", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXcontextRec *(uint32_t, struct __GLXcontextRec *, uint32_t*), uint32_t, struct __GLXcontextRec *, uint32_t*>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXCreateAssociatedContextAttribsAMD
  {(uint8_t*)"\x0f\xd6\x13\xdd\x4e\x47\x0c\xc3\x37\xc7\x6d\x83\x78\x89\x38\x74\x66\xd2\xbc\x0d\xc5\x54\x98\xa1\xd2\x75\x7f\x3c\x10\x25\xf3\x07", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXcontextRec *(uint32_t, struct __GLXcontextRec *), uint32_t, struct __GLXcontextRec *>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXCreateAssociatedContextAMD
  {(uint8_t*)"\x88\x4a\xe2\xb6\xbe\xb6\xc9\x29\xdd\xfb\x8b\xa5\x6b\xfc\xd2\x80\x87\xeb\x88\x63\x50\x8f\x2a\xae\x9b\xf8\x7a\x7c\x7b\x8b\x6c\x8c", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXGetGPUInfoAMD
  {(uint8_t*)"\xbb\xc0\x0c\x9a\xdf\x8d\x9b\xa2\x57\x00\xb6\xe0\xc4\x6e\x40\x2d\x96\xd6\x34\x71\xff\x6b\xc2\x16\x80\xd2\xf2\xcc\x30\xa8\xb3\x17", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint64_t*, uint64_t*, float *), struct _XDisplay *, uint64_t, uint64_t*, uint64_t*, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryFrameTrackingMESA
  {(uint8_t*)"\xdf\x9d\xbc\xa0\xab\xe7\x5e\x13\x6c\x43\xbf\x77\x87\x0a\x3b\xa6\x7d\x43\x71\x73\x24\x02\x10\x6b\xf6\x20\xc0\x1b\xe0\xed\xac\xba", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXBeginFrameTrackingMESA
  {(uint8_t*)"\x26\xaa\x26\xc6\x01\x16\x8d\xd1\xa0\x2c\x03\x1e\xdb\x28\xcd\xd4\xf1\x2d\xfa\xcd\x61\x45\x49\x65\x40\x00\x35\xa0\x3e\xb2\x53\x41", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, float *), struct _XDisplay *, uint64_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetFrameUsageMESA
  {(uint8_t*)"\x7f\xb0\xb6\x91\x2d\x2a\xf4\xb5\xd7\x57\x14\xc8\x7c\x19\xb3\xfb\x96\xc8\xc0\xe6\x96\xb7\x29\x30\xce\xa6\x24\xf2\xe7\x37\x47\x51", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint32_t), struct _XDisplay *, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXReleaseTexImageARB
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glXWaitX
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquationSeparateATI
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathTexGenivNV
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathColorGenfvNV
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathColorGenivNV
  {(uint8_t*)"\xea\xba\xa1\x5f\x6a\xdb\x20\x6f\x4f\x0a\xfe\xf8\xdb\xa4\x41\x37\xb3\x95\xfb\x02\x65\x75\xf8\x1d\x11\x1b\xab\x9c\xb0\x22\x81\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathColorGenNV
  {(uint8_t*)"\xe5\xce\x73\xdb\x64\x5f\xe4\xf5\xa3\xb3\x08\x06\x82\x0d\x3e\xf4\xed\xd1\x77\x5a\x84\xef\x96\xb7\x8e\x93\x0c\xa9\x3d\xed\x15\x47", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowRectanglesEXT
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos4svMESA
  {(uint8_t*)"\x9e\x2f\x66\xc5\x51\x57\x26\x88\xcf\xec\xf0\x1e\x04\xff\x31\x7a\x35\xc9\x3c\x8f\x1f\xbd\x47\xd9\x9b\xe4\x2f\xfb\x03\x27\xfe\x36", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos4sMESA
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos4iMESA
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos4fvMESA
  {(uint8_t*)"\xaf\xa4\xc1\x6c\x5b\x87\xe9\xb3\xb7\xed\x7c\x5c\x2e\x1f\x0b\x22\x16\xff\x98\xaf\xfd\xc1\x61\xd4\xe0\x73\x50\x04\x52\x8a\xad\x78", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double, double), double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos4dMESA
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3svMESA
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3svARB
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3sARB
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3iARB
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3fvMESA
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3fvARB
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3fARB
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3dvMESA
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3dvARB
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3dARB
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2svMESA
  {(uint8_t*)"\x9a\x43\x84\xd4\x9c\x39\x59\x18\xb5\x7d\x9a\x63\x4c\xed\x31\xc4\x99\x7d\xf9\x0e\x1c\x83\x23\x54\x2b\xce\x6f\x5f\x19\x83\x69\x2e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t), uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2sARB
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2ivARB
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2iARB
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2fvMESA
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2fvARB
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2fARB
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2dvMESA
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2dARB
  {(uint8_t*)"\x67\x2a\x3e\x60\x98\x29\x20\xaf\x9b\xc2\x69\x4d\x02\xd3\x21\x78\x17\x09\x9e\xd9\x8a\x49\x8a\x1a\x16\x18\x08\xef\x03\xa8\xa7\x72", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWeightusvARB
  {(uint8_t*)"\xec\x78\x30\x01\x9e\xe5\xd8\x07\x90\xfa\x6e\xd9\x59\xcd\xcd\x36\x14\x3a\xf8\x06\x46\xad\x97\x5b\xe8\x66\x17\x83\x12\x3b\x08\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char *), uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWeightubvARB
  {(uint8_t*)"\x0f\xd0\x1f\xea\xef\x9a\xd2\x84\xb8\xd1\xa9\xec\x80\xf3\xa8\x18\xdb\x8d\x9b\x1e\x5d\x6e\x76\xb0\x14\x38\xce\xed\x1b\xfa\xa4\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glWeightPointerARB
  {(uint8_t*)"\xf7\x69\xf7\x7a\xda\x8c\x8a\x22\x1b\x1b\x38\x1f\x77\xcb\xf4\x40\xe4\xfc\x05\xf4\x62\xc3\xe0\x3d\x94\x64\x21\x93\xff\x39\xb1\x29", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, const float *), uint32_t, uint32_t, uint32_t*, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWeightPathsNV
  {(uint8_t*)"\x97\xac\xc7\x4e\xbc\x91\xaf\xb2\xf6\x8a\xad\xe6\x23\xd3\x87\x15\xb3\x9c\xc1\x3a\x57\x85\x7c\x96\x45\xa7\xca\xa3\x1a\x94\x6f\x7e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWeightdvARB
  {(uint8_t*)"\x3e\x7d\x12\x1c\x10\xec\x00\x1c\x00\xc0\xb2\xd5\xf3\x41\xa5\x29\x3f\xea\x76\xff\x4a\x55\x90\x6f\x7a\xba\xf7\x5a\xf8\x7c\x69\x21", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWeightbvARB
  {(uint8_t*)"\xe3\xe7\x23\xca\x84\xb1\xde\xb2\xf6\x31\xfb\x1d\x2d\x1e\x0c\x4c\x18\x23\x8a\x8d\x64\xaa\x16\x16\x80\xdf\xba\x48\x8d\x9b\xb3\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glViewportPositionWScaleNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glViewportIndexedfv
  {(uint8_t*)"\xaa\x00\x28\xe5\xcb\xac\x90\xfb\xf5\x51\x75\xaa\x59\xd9\x7f\xfb\x91\x54\x37\x18\x92\x7f\x6f\x22\x41\x0d\x30\x1a\xfd\xd4\x99\x92", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float), uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glViewportIndexedf
  {(uint8_t*)"\x40\x28\x11\x41\xd2\xcb\x7f\x47\x0d\x48\x18\x06\x9c\xd0\xee\x9a\x84\x10\x30\xf3\x72\x81\x37\xbe\x82\xef\x4f\xb0\xd1\x4d\xed\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVideoCaptureStreamParameterivNV
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexWeighthvNV
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexWeightfvEXT
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream4svATI
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream4ivATI
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream4iATI
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream4fvATI
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream4dvATI
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream3iATI
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream3fvATI
  {(uint8_t*)"\xf5\x00\x78\x56\x60\x61\x8f\x48\x05\xa9\x5e\x78\x4e\xa9\x2e\x07\xf4\x49\xba\xbd\x0b\xfc\xe2\x21\x93\x40\xdb\x44\xdf\xf8\xe4\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream3fATI
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream3dvATI
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream2svATI
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream2ivATI
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream2iATI
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream2fvATI
  {(uint8_t*)"\xbe\x8a\xde\x06\x4c\xfa\xed\xa2\x7b\xb4\x19\x82\x5f\x1a\x5a\x55\xb6\xef\x1e\xe6\x72\x60\x5a\x3b\x15\xa2\xfa\x7f\xa4\xfe\xe3\x83", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream2dATI
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream1svATI
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream1ivATI
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream1iATI
  {(uint8_t*)"\x9d\x67\x1a\x50\x8b\xaf\xbe\x5c\x53\x63\xf1\x1d\x06\xca\x4c\x91\x9e\x13\x51\x67\x3d\x39\xcd\x1c\x02\xcc\x34\x99\xb5\x14\xc2\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWeightfvARB
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream1fvATI
  {(uint8_t*)"\x1f\x13\xa2\xc0\xb4\xf8\xd2\x95\xea\x56\x66\x9f\xbf\x07\x4a\x27\xb5\x03\x5c\xbb\xe4\x48\x2a\xec\x78\xa8\xb0\x2d\xf5\xb2\x97\xb7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void **, uint32_t), uint32_t, uint32_t, uint32_t, const void **, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glVertexPointerListIBM
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexBlendEnviATI
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexBlendEnvfATI
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexBindingDivisor
  {(uint8_t*)"\xdf\x80\x7c\x18\x2d\xec\x52\xdb\x9e\xa7\xfa\x5c\x94\x6a\x10\x29\x36\x42\x6b\xdd\x9f\x01\x2a\x66\x5d\xca\xfa\xc6\x7e\x10\xb6\x21", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const unsigned char *), uint32_t, uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs4ubvNV
  {(uint8_t*)"\x0d\x09\xd9\xd6\xfa\xe2\x43\xff\xac\xc9\x6f\xf7\x60\x6a\x1b\xba\x21\x21\xaa\x87\x08\xad\xf8\x74\x82\x1a\x2a\xa4\xd4\xc0\x19\x80", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs4dvNV
  {(uint8_t*)"\xfa\x8b\x40\x78\xe6\x57\xc3\x5a\x4b\xf1\x15\xf1\xe9\x18\x34\xe9\xab\x35\xdb\xc9\xfc\xe1\x26\x82\xd7\x59\x22\x66\xf8\x19\x6b\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs3svNV
  {(uint8_t*)"\x66\xcf\xdf\xd0\xf4\xb1\x37\x4a\x0c\xe1\x4b\x39\x70\xfa\x66\x94\xd4\xb4\x46\xa7\x3a\xa9\xc9\xe9\x42\xb7\x06\x13\xae\x62\x16\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs3fvNV
  {(uint8_t*)"\xfa\x8b\x40\x78\xe6\x57\xc3\x5a\x4b\xf1\x15\xf1\xe9\x18\x34\xe9\xab\x35\xdb\xc9\xfc\xe1\x26\x82\xd7\x59\x22\x66\xf8\x19\x6b\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs2svNV
  {(uint8_t*)"\x66\xcf\xdf\xd0\xf4\xb1\x37\x4a\x0c\xe1\x4b\x39\x70\xfa\x66\x94\xd4\xb4\x46\xa7\x3a\xa9\xc9\xe9\x42\xb7\x06\x13\xae\x62\x16\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs2fvNV
  {(uint8_t*)"\xfa\x8b\x40\x78\xe6\x57\xc3\x5a\x4b\xf1\x15\xf1\xe9\x18\x34\xe9\xab\x35\xdb\xc9\xfc\xe1\x26\x82\xd7\x59\x22\x66\xf8\x19\x6b\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs1svNV
  {(uint8_t*)"\xcf\xd7\x24\x33\xce\x18\x7d\x13\x1c\xc2\xa2\x4b\xec\x5f\x33\xae\x07\x9d\x4e\x69\xa3\x1b\x22\x23\x4c\xa7\xd5\x32\x65\xed\x0a\x38", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs1hvNV
  {(uint8_t*)"\xd0\x4d\xc6\x2c\x53\x48\x03\x6d\xfb\xd2\x04\x47\x1e\x4b\x4f\x42\x15\x43\x6e\xce\x48\x66\xf2\xe2\x17\x06\xa6\xdf\xe1\x3a\x55\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexAttribPointerNV
  {(uint8_t*)"\xa6\x86\x34\x08\x46\x99\xfe\x9d\x1a\x3d\xd5\x6d\xd1\x46\xe9\x1b\xa0\xdd\x76\xd0\x64\xf2\xcd\x80\x95\x63\xd8\x9e\x23\x04\xc4\x90", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, uint32_t), uint32_t, uint32_t, uint8_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribP4ui
  {(uint8_t*)"\xf2\x10\xe2\xef\x64\xab\x9b\x72\x83\x52\xa9\x34\x16\x9f\x1d\xab\x95\xb8\xad\xcb\x0a\x09\xbb\xa5\x6c\xfe\xa8\x15\xae\xc2\x4a\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, uint32_t*), uint32_t, uint32_t, uint8_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribP3uiv
  {(uint8_t*)"\xa6\x86\x34\x08\x46\x99\xfe\x9d\x1a\x3d\xd5\x6d\xd1\x46\xe9\x1b\xa0\xdd\x76\xd0\x64\xf2\xcd\x80\x95\x63\xd8\x9e\x23\x04\xc4\x90", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, uint32_t), uint32_t, uint32_t, uint8_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribP3ui
  {(uint8_t*)"\xf2\x10\xe2\xef\x64\xab\x9b\x72\x83\x52\xa9\x34\x16\x9f\x1d\xab\x95\xb8\xad\xcb\x0a\x09\xbb\xa5\x6c\xfe\xa8\x15\xae\xc2\x4a\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, uint32_t*), uint32_t, uint32_t, uint8_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribP1uiv
  {(uint8_t*)"\xa6\x86\x34\x08\x46\x99\xfe\x9d\x1a\x3d\xd5\x6d\xd1\x46\xe9\x1b\xa0\xdd\x76\xd0\x64\xf2\xcd\x80\x95\x63\xd8\x9e\x23\x04\xc4\x90", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, uint32_t), uint32_t, uint32_t, uint8_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribP1ui
  {(uint8_t*)"\xd0\x4d\xc6\x2c\x53\x48\x03\x6d\xfb\xd2\x04\x47\x1e\x4b\x4f\x42\x15\x43\x6e\xce\x48\x66\xf2\xe2\x17\x06\xa6\xdf\xe1\x3a\x55\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexAttribLPointer
  {(uint8_t*)"\xa5\xe9\xec\xc4\x21\xcb\x69\xbe\xd2\x69\xe4\x0b\x67\x6e\x64\x20\x48\x03\x8c\x0b\x7e\x00\x97\xce\x42\x54\xea\x1f\x81\xee\xfe\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribLFormatNV
  {(uint8_t*)"\x50\x15\x99\xcd\xe9\x58\x5e\xcd\xd7\xb9\x66\x8e\xd9\x0c\x34\xa8\x6f\xfe\xab\xac\x89\x0d\xaa\xe1\x7f\xa8\xca\x78\x12\x6c\x44\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribLFormat
  {(uint8_t*)"\x64\x57\x87\xc7\x02\xb3\x27\xee\xea\x75\x5b\xbd\x5b\xf7\x3f\xb5\x57\x88\x61\x34\x02\x18\x65\x5d\xfe\x61\x9e\x6c\xb2\x8e\x52\x7a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL4ui64vNV
  {(uint8_t*)"\x99\x24\x6e\x13\xe4\xd7\xc6\x23\x03\xec\x05\x86\xa7\x02\xbb\xc9\xed\x52\x3f\xe9\x47\x52\xe1\x8e\x38\xee\x59\x7a\xde\x86\x51\x5c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL4ui64NV
  {(uint8_t*)"\xe7\xbe\xd1\xee\xe8\x1c\x44\x51\x8c\xd0\x2e\xab\x5a\xc9\x2e\xfd\x2b\x37\xd4\xf8\xab\x3f\xf8\x13\x3c\x41\xf1\x59\x29\xa0\x35\xe1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL4i64vNV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL4dv
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL4dvEXT
  {(uint8_t*)"\x50\x4f\xd5\xeb\xc4\x0f\xd0\x58\x78\xf8\x81\x2e\x56\xbc\x74\x85\x30\xbd\x6b\xe6\xb7\x43\x6d\xa5\x79\x0a\x70\x97\x61\x67\xda\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double), uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL4dEXT
  {(uint8_t*)"\xc7\xed\xc6\x21\x57\xff\x48\xa6\xd0\xba\x3a\x10\x27\x46\xfd\x2d\x36\x3f\x2e\x52\xc6\x55\x7f\xad\x02\x13\x7e\x37\x63\xda\x3e\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL3ui64NV
  {(uint8_t*)"\x3d\x9e\xf8\x33\x9f\x94\x3d\x7d\x34\xe6\xeb\x91\x0b\x50\x9e\x1d\x00\x5a\x7d\x0e\x23\xfa\x44\xf1\x83\xb2\x33\x82\x4d\x0e\x06\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL3i64NV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL3dv
  {(uint8_t*)"\x23\xc7\x69\xd4\x41\xa6\xdd\x22\xc3\xf3\x92\x01\x48\x9d\x35\x11\x60\x21\xa0\x4b\x4d\x63\x2b\x26\xf8\xe6\xca\xdc\xd1\x22\x1f\x15", (void(*)(void *))&GuestWrapperForHostFunction<struct _XDisplay *()>::Call<ParameterAnnotations {.is_passthrough=true,}>}, // glXGetCurrentDisplayEXT
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL3dvEXT
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL3d
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL3dEXT
  {(uint8_t*)"\x64\x57\x87\xc7\x02\xb3\x27\xee\xea\x75\x5b\xbd\x5b\xf7\x3f\xb5\x57\x88\x61\x34\x02\x18\x65\x5d\xfe\x61\x9e\x6c\xb2\x8e\x52\x7a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL2ui64vNV
  {(uint8_t*)"\xe7\xbe\xd1\xee\xe8\x1c\x44\x51\x8c\xd0\x2e\xab\x5a\xc9\x2e\xfd\x2b\x37\xd4\xf8\xab\x3f\xf8\x13\x3c\x41\xf1\x59\x29\xa0\x35\xe1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL2i64vNV
  {(uint8_t*)"\xbe\x8a\xde\x06\x4c\xfa\xed\xa2\x7b\xb4\x19\x82\x5f\x1a\x5a\x55\xb6\xef\x1e\xe6\x72\x60\x5a\x3b\x15\xa2\xfa\x7f\xa4\xfe\xe3\x83", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL2d
  {(uint8_t*)"\xbe\x8a\xde\x06\x4c\xfa\xed\xa2\x7b\xb4\x19\x82\x5f\x1a\x5a\x55\xb6\xef\x1e\xe6\x72\x60\x5a\x3b\x15\xa2\xfa\x7f\xa4\xfe\xe3\x83", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL2dEXT
  {(uint8_t*)"\x64\x57\x87\xc7\x02\xb3\x27\xee\xea\x75\x5b\xbd\x5b\xf7\x3f\xb5\x57\x88\x61\x34\x02\x18\x65\x5d\xfe\x61\x9e\x6c\xb2\x8e\x52\x7a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL1ui64vNV
  {(uint8_t*)"\xc0\xc3\x21\xb9\x7d\xe2\xdc\x61\x20\x30\x43\x2e\xf2\x6c\x09\x00\x30\x62\x19\xdf\x02\xbf\x39\x82\x7c\x9f\x0d\x17\xf3\x74\x63\x32", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL1ui64ARB
  {(uint8_t*)"\xe7\xbe\xd1\xee\xe8\x1c\x44\x51\x8c\xd0\x2e\xab\x5a\xc9\x2e\xfd\x2b\x37\xd4\xf8\xab\x3f\xf8\x13\x3c\x41\xf1\x59\x29\xa0\x35\xe1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL1i64vNV
  {(uint8_t*)"\xec\xc4\x35\x0c\xdf\xe4\x34\xb8\xae\x6b\xdc\x5a\x09\x0e\x1d\xa7\x9d\xb6\xd7\x22\xdd\x31\xc7\x82\xb8\x24\x5b\x0b\x59\xad\x90\xdb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double), uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL1dEXT
  {(uint8_t*)"\xd0\x4d\xc6\x2c\x53\x48\x03\x6d\xfb\xd2\x04\x47\x1e\x4b\x4f\x42\x15\x43\x6e\xce\x48\x66\xf2\xe2\x17\x06\xa6\xdf\xe1\x3a\x55\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexAttribIPointerEXT
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4usvEXT
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4uivEXT
  {(uint8_t*)"\x76\xe6\x80\x83\xf2\x87\x1c\xd6\xe2\x93\x1b\x08\x5a\x1d\x54\x22\x74\xf3\x83\x33\x38\x61\x55\x2a\xc5\x5c\x24\x93\x9a\x19\xda\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4ui
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4sv
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4svEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4ivEXT
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4i
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4iEXT
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI3uivEXT
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI3ui
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI3iEXT
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI2uiv
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI2ui
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI2uiEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI2iv
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI2ivEXT
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI2i
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI1uiv
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI1uivEXT
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI1i
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI1iEXT
  {(uint8_t*)"\x84\x89\x32\x62\xc1\xd8\x16\xba\x3f\xfb\xa3\x9a\xad\xdf\x5a\xdd\x31\x47\xd3\x8c\xee\x7a\x66\xe3\x09\xdd\xa4\xd9\x88\x19\x7a\x36", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint64_t), struct _XDisplay *, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXBindVideoCaptureDeviceNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribBinding
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4usv
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4usvARB
  {(uint8_t*)"\x62\x1e\xa0\x79\x19\xf8\x27\x42\x82\xe3\x48\x70\x7f\x0e\x8e\xb3\x1b\x5a\xfe\x6e\xe9\xf7\x58\x57\x44\x54\x07\xa3\x17\x39\xa1\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char *), uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4ubvNV
  {(uint8_t*)"\x1b\x48\x82\x4b\xc3\xe5\x16\xb2\xa2\x63\x0e\x26\x3b\x28\x17\xc5\x4c\x29\xbb\x84\xd6\xea\xe7\xe0\x7f\x0c\xbc\xb4\x10\x95\xa2\x02", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint8_t, uint8_t, uint8_t), uint32_t, uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4ubNV
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4svNV
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4sv
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4svARB
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4Nusv
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4Nuiv
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4NuivARB
  {(uint8_t*)"\x62\x1e\xa0\x79\x19\xf8\x27\x42\x82\xe3\x48\x70\x7f\x0e\x8e\xb3\x1b\x5a\xfe\x6e\xe9\xf7\x58\x57\x44\x54\x07\xa3\x17\x39\xa1\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char *), uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4NubvARB
  {(uint8_t*)"\x1b\x48\x82\x4b\xc3\xe5\x16\xb2\xa2\x63\x0e\x26\x3b\x28\x17\xc5\x4c\x29\xbb\x84\xd6\xea\xe7\xe0\x7f\x0c\xbc\xb4\x10\x95\xa2\x02", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint8_t, uint8_t, uint8_t), uint32_t, uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4Nub
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4Nsv
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4NsvARB
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4NivARB
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4iv
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4ivARB
  {(uint8_t*)"\x62\x1e\xa0\x79\x19\xf8\x27\x42\x82\xe3\x48\x70\x7f\x0e\x8e\xb3\x1b\x5a\xfe\x6e\xe9\xf7\x58\x57\x44\x54\x07\xa3\x17\x39\xa1\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char *), uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4Nubv
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4hvNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4fv
  {(uint8_t*)"\xaa\x00\x28\xe5\xcb\xac\x90\xfb\xf5\x51\x75\xaa\x59\xd9\x7f\xfb\x91\x54\x37\x18\x92\x7f\x6f\x22\x41\x0d\x30\x1a\xfd\xd4\x99\x92", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float), uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4fNV
  {(uint8_t*)"\xaa\x00\x28\xe5\xcb\xac\x90\xfb\xf5\x51\x75\xaa\x59\xd9\x7f\xfb\x91\x54\x37\x18\x92\x7f\x6f\x22\x41\x0d\x30\x1a\xfd\xd4\x99\x92", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float), uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4fARB
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4dv
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4dvARB
  {(uint8_t*)"\x50\x4f\xd5\xeb\xc4\x0f\xd0\x58\x78\xf8\x81\x2e\x56\xbc\x74\x85\x30\xbd\x6b\xe6\xb7\x43\x6d\xa5\x79\x0a\x70\x97\x61\x67\xda\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double), uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4d
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4bv
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4bvARB
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3svNV
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3svARB
  {(uint8_t*)"\xc0\x83\xe5\x60\x4a\x40\x6c\x26\x61\x84\x52\x18\x98\x47\x62\x87\x8b\x31\x27\x94\xc7\xe0\x17\xf7\xfe\xb0\x56\xa9\xeb\xd3\x08\x0c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3s
  {(uint8_t*)"\xfc\x5a\xa6\x70\x93\xba\x6d\xff\x4d\x44\x27\x06\x07\x7c\xac\x95\x74\x62\x5d\x16\xcc\x82\xd6\xd2\x79\x9f\x83\xc6\x7a\xa5\x14\xb9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3hNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3fvNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3fv
  {(uint8_t*)"\xf5\x00\x78\x56\x60\x61\x8f\x48\x05\xa9\x5e\x78\x4e\xa9\x2e\x07\xf4\x49\xba\xbd\x0b\xfc\xe2\x21\x93\x40\xdb\x44\xdf\xf8\xe4\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3fNV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3dvNV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3dvARB
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3d
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3dARB
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2svARB
  {(uint8_t*)"\xa9\xb7\x10\xce\xd6\xe4\x2a\xde\x57\x91\x0a\x75\xdb\x71\xf2\xbd\xef\x16\x77\xba\x89\x04\x4a\xda\x52\xe8\xb0\x54\x07\xfc\xe9\xa6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2hNV
  {(uint8_t*)"\xe3\xe7\x23\xca\x84\xb1\xde\xb2\xf6\x31\xfb\x1d\x2d\x1e\x0c\x4c\x18\x23\x8a\x8d\x64\xaa\x16\x16\x80\xdf\xba\x48\x8d\x9b\xb3\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2fNV
  {(uint8_t*)"\xe3\xe7\x23\xca\x84\xb1\xde\xb2\xf6\x31\xfb\x1d\x2d\x1e\x0c\x4c\x18\x23\x8a\x8d\x64\xaa\x16\x16\x80\xdf\xba\x48\x8d\x9b\xb3\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2f
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2dvNV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2dvARB
  {(uint8_t*)"\xbe\x8a\xde\x06\x4c\xfa\xed\xa2\x7b\xb4\x19\x82\x5f\x1a\x5a\x55\xb6\xef\x1e\xe6\x72\x60\x5a\x3b\x15\xa2\xfa\x7f\xa4\xfe\xe3\x83", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2dNV
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1svARB
  {(uint8_t*)"\xe7\xc4\xe3\x7c\x63\x1f\x05\x1b\x20\xce\x99\xe9\xda\xc0\x2b\x88\x53\x92\x6a\x4e\xe1\x1e\xf7\xaf\xfb\x29\x3a\x83\xed\x5b\xf6\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t), uint32_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1s
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1fv
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1f
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1fARB
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1dvARB
  {(uint8_t*)"\xec\xc4\x35\x0c\xdf\xe4\x34\xb8\xae\x6b\xdc\x5a\x09\x0e\x1d\xa7\x9d\xb6\xd7\x22\xdd\x31\xc7\x82\xb8\x24\x5b\x0b\x59\xad\x90\xdb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double), uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1d
  {(uint8_t*)"\x64\x57\x87\xc7\x02\xb3\x27\xee\xea\x75\x5b\xbd\x5b\xf7\x3f\xb5\x57\x88\x61\x34\x02\x18\x65\x5d\xfe\x61\x9e\x6c\xb2\x8e\x52\x7a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL1ui64vARB
  {(uint8_t*)"\xa9\x7e\x8a\x0e\x6e\x7c\x43\xfc\xe7\x7f\xf8\x41\x16\x0d\x22\xdd\x05\x10\xfa\x04\x73\xb3\xdd\xac\x58\x5b\x58\x75\x64\x3b\x82\x14", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexOffsetEXT
  {(uint8_t*)"\x83\xd3\x1d\xb4\xe6\x86\x03\x70\x24\xf3\x16\x95\x0b\xaa\x8a\xac\x1a\x71\x2d\x7c\x12\xcd\xe5\x9e\xac\x9a\x3a\x7b\x37\x52\xfb\x1c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexAttribOffsetEXT
  {(uint8_t*)"\x05\xa8\xff\xc7\xc1\x03\xf6\x6e\xc2\x76\xfd\x4d\xcf\x44\xbc\x3a\x32\xda\x02\x12\x0a\x00\xe9\x10\xf2\x3c\x50\x65\x07\xa0\x29\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexAttribLOffsetEXT
  {(uint8_t*)"\x29\xff\x71\x0d\xa2\x3d\x67\x5c\x65\x55\x30\x6c\xfb\xbf\xf0\x15\xea\x8c\xf7\x65\x82\xfc\x55\x72\x1b\x93\xa5\x80\xc0\xda\x9a\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexAttribLFormatEXT
  {(uint8_t*)"\x05\xa8\xff\xc7\xc1\x03\xf6\x6e\xc2\x76\xfd\x4d\xcf\x44\xbc\x3a\x32\xda\x02\x12\x0a\x00\xe9\x10\xf2\x3c\x50\x65\x07\xa0\x29\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexAttribIOffsetEXT
  {(uint8_t*)"\x29\xff\x71\x0d\xa2\x3d\x67\x5c\x65\x55\x30\x6c\xfb\xbf\xf0\x15\xea\x8c\xf7\x65\x82\xfc\x55\x72\x1b\x93\xa5\x80\xc0\xda\x9a\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexAttribIFormatEXT
  {(uint8_t*)"\xf9\xf5\x98\xe0\x22\xb6\x1a\x15\x2a\x47\xb4\xd3\x82\x6a\xdb\x11\x48\xae\xe5\x44\xd7\xa1\x6e\x56\xce\x6a\xbe\x7d\x68\x1d\x9d\xb0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexAttribFormatEXT
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexAttribDivisorEXT
  {(uint8_t*)"\xa9\x7e\x8a\x0e\x6e\x7c\x43\xfc\xe7\x7f\xf8\x41\x16\x0d\x22\xdd\x05\x10\xfa\x04\x73\xb3\xdd\xac\x58\x5b\x58\x75\x64\x3b\x82\x14", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayTexCoordOffsetEXT
  {(uint8_t*)"\xe6\x3b\xee\x0a\xd7\xca\x87\x1e\x0b\xed\x44\x8d\x71\x16\x36\x0a\x0c\x0d\x2f\xde\xc4\xc9\xf0\x2b\x2c\x68\x31\x5a\x7a\xba\x68\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *), uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexArrayRangeNV
  {(uint8_t*)"\x65\x4f\xd2\x5d\xbd\x54\x1a\x69\xdc\xd8\xe2\x35\xda\x7d\x35\xd8\x13\xcc\xae\xdf\x86\xb6\x31\xd9\xea\xe6\x0b\x27\x54\xef\x44\xfd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, void *), uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexArrayRangeAPPLE
  {(uint8_t*)"\x5b\xbb\xdd\x7f\xf1\x3c\xed\xed\x87\xf5\x85\x0f\x60\x21\x9f\xb9\x01\xf8\xcb\x32\xe3\x69\x11\xfa\xe0\x07\xa3\xdf\x88\x28\x64\x16", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayIndexOffsetEXT
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3dNV
  {(uint8_t*)"\x5b\xbb\xdd\x7f\xf1\x3c\xed\xed\x87\xf5\x85\x0f\x60\x21\x9f\xb9\x01\xf8\xcb\x32\xe3\x69\x11\xfa\xe0\x07\xa3\xdf\x88\x28\x64\x16", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayFogCoordOffsetEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayElementBuffer
  {(uint8_t*)"\x46\x9e\xc7\x4b\x59\x2f\x5d\x20\x92\xdc\x39\xf6\x1d\x91\xde\x46\x6f\x53\x33\xf4\xa1\xdb\xdb\x1d\x66\x94\x58\xc2\xad\xb5\x33\x10", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayEdgeFlagOffsetEXT
  {(uint8_t*)"\xe9\x18\x78\x2a\xe9\x48\xc6\x7f\x51\x37\xb4\xbd\xb2\xee\x40\x28\xa1\xa8\x9c\xa8\xd4\xaf\x49\x70\xae\x78\xe1\x96\x1f\xb7\xed\xf3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t, uint32_t), uint32_t, uint32_t, uint32_t, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayBindVertexBufferEXT
  {(uint8_t*)"\x29\xff\x71\x0d\xa2\x3d\x67\x5c\x65\x55\x30\x6c\xfb\xbf\xf0\x15\xea\x8c\xf7\x65\x82\xfc\x55\x72\x1b\x93\xa5\x80\xc0\xda\x9a\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayAttribLFormat
  {(uint8_t*)"\xe4\xa4\xaf\x6b\x14\xc5\x58\xb0\xf6\x78\x03\x6b\xef\x0d\xf4\x73\x42\x30\x86\x45\x8a\x75\xfc\xdc\x35\x2e\xab\x6d\x79\x2e\xb3\xb8", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t*, uint32_t*), struct _XDisplay *, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryMaxSwapGroupsNV
  {(uint8_t*)"\xf9\xf5\x98\xe0\x22\xb6\x1a\x15\x2a\x47\xb4\xd3\x82\x6a\xdb\x11\x48\xae\xe5\x44\xd7\xa1\x6e\x56\xce\x6a\xbe\x7d\x68\x1d\x9d\xb0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayAttribFormat
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4xvOES
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4sv
  {(uint8_t*)"\x9e\x2f\x66\xc5\x51\x57\x26\x88\xcf\xec\xf0\x1e\x04\xff\x31\x7a\x35\xc9\x3c\x8f\x1f\xbd\x47\xd9\x9b\xe4\x2f\xfb\x03\x27\xfe\x36", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4s
  {(uint8_t*)"\x70\x50\xe2\xd5\x29\xb0\x13\x6e\x30\x7d\xd2\x0c\x44\x84\xbd\x28\xb6\xb8\x4a\x68\x2f\x95\x83\xe0\x59\x5c\xf4\x6f\x48\xac\x4e\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4hNV
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4f
  {(uint8_t*)"\xaf\xa4\xc1\x6c\x5b\x87\xe9\xb3\xb7\xed\x7c\x5c\x2e\x1f\x0b\x22\x16\xff\x98\xaf\xfd\xc1\x61\xd4\xe0\x73\x50\x04\x52\x8a\xad\x78", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double, double), double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4d
  {(uint8_t*)"\x03\xb0\xba\x0b\x59\xe5\x83\xe4\xb9\x1a\xf6\xbd\x89\x91\x6e\x91\x44\x14\x0f\xe3\x54\xfc\x09\xf6\x0c\x76\x34\x29\x6b\x84\x6e\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4bOES
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3xOES
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3sv
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4uiv
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3iv
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3i
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3hvNV
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3f
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3dv
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2xvOES
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2sv
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2i
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2fv
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2f
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2dv
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2bvOES
  {(uint8_t*)"\x67\xa6\xd8\x1e\x03\xa4\x95\x04\x35\x41\x87\xdb\xd9\x0f\x81\x37\x16\xec\x43\xc0\x30\xb6\x3c\x35\xea\x62\x6d\x65\x02\x69\xac\x53", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVDPAUUnregisterSurfaceNV
  {(uint8_t*)"\x9a\x0b\x42\xa2\x1a\x72\x9c\x50\x19\x90\xec\x48\x96\xdc\x1f\xfa\xda\x29\x1a\x51\xd0\x49\x2b\x1a\x15\xdb\x8b\x80\x18\x29\x4f\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t, uint32_t), uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVDPAUSurfaceAccessNV
  {(uint8_t*)"\x0a\x01\x41\x2c\x3f\x1a\xf0\x85\x67\x9a\x88\x27\x91\xa6\xea\xac\x7b\x2b\xcd\x6e\xfe\x4b\xf6\x28\x7c\x8e\xa2\xf9\x2f\x94\xaf\x79", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t, uint32_t, uint32_t, uint32_t*, uint32_t*), uint64_t, uint32_t, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVDPAUGetSurfaceivNV
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVariantuivEXT
  {(uint8_t*)"\x62\x1e\xa0\x79\x19\xf8\x27\x42\x82\xe3\x48\x70\x7f\x0e\x8e\xb3\x1b\x5a\xfe\x6e\xe9\xf7\x58\x57\x44\x54\x07\xa3\x17\x39\xa1\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char *), uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVariantubvEXT
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVariantsvEXT
  {(uint8_t*)"\xcf\x16\xf0\x78\x95\x5e\x45\x05\x00\x89\x48\xda\x74\x78\x4d\x65\x7d\x59\x8d\x49\xb9\xbb\xb3\xde\x1a\xf1\xad\xc5\x10\x33\x3a\x07", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVariantPointerEXT
  {(uint8_t*)"\xd8\xb3\xc0\xba\x81\xb3\x0c\x67\xfe\xeb\x02\x3b\x50\xd6\x25\xdb\xea\xff\x4a\xea\x0d\xa4\xc3\x0c\xee\xa1\x5d\x48\x08\x0f\x2d\x2a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream2sATI
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVariantivEXT
  {(uint8_t*)"\xcf\xd7\x24\x33\xce\x18\x7d\x13\x1c\xc2\xa2\x4b\xec\x5f\x33\xae\x07\x9d\x4e\x69\xa3\x1b\x22\x23\x4c\xa7\xd5\x32\x65\xed\x0a\x38", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs3hvNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVariantfvEXT
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVariantdvEXT
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVariantbvEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glValidateProgramPipeline
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glValidateProgram
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glValidateProgramARB
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUseShaderProgramEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos4dvMESA
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glUseProgramObjectARB
  {(uint8_t*)"\x75\xf2\xd7\x29\x81\x18\x4d\x02\x88\x0d\x5d\x63\xe2\x99\x07\x77\x3a\xc6\xe4\x20\xdc\x61\xf3\x27\xc1\xac\xa2\x2a\x9b\x57\x1a\xb1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *, uint32_t), uint32_t, uint32_t, uint32_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glUpdateObjectBufferATI
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUnmapTexture2DINTEL
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformSubroutinesuiv
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix4x2fv
  {(uint8_t*)"\x32\x2b\x19\x85\x59\xa7\x8b\xfa\x49\x0d\xda\x28\xc3\x76\x32\xdf\x4b\x58\xef\x1d\x08\xe0\x64\xd6\x84\x0b\x91\x04\x00\xb0\x11\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix4x2dv
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix3x4fv
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix3fvARB
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix2x4fv
  {(uint8_t*)"\x32\x2b\x19\x85\x59\xa7\x8b\xfa\x49\x0d\xda\x28\xc3\x76\x32\xdf\x4b\x58\xef\x1d\x08\xe0\x64\xd6\x84\x0b\x91\x04\x00\xb0\x11\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix2x4dv
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix2x3fv
  {(uint8_t*)"\x32\x2b\x19\x85\x59\xa7\x8b\xfa\x49\x0d\xda\x28\xc3\x76\x32\xdf\x4b\x58\xef\x1d\x08\xe0\x64\xd6\x84\x0b\x91\x04\x00\xb0\x11\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix2x3dv
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix2fv
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix2fvARB
  {(uint8_t*)"\x32\x2b\x19\x85\x59\xa7\x8b\xfa\x49\x0d\xda\x28\xc3\x76\x32\xdf\x4b\x58\xef\x1d\x08\xe0\x64\xd6\x84\x0b\x91\x04\x00\xb0\x11\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix2dv
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformHandleui64vNV
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformHandleui64vARB
  {(uint8_t*)"\x5f\xbb\xce\x3a\x2a\xdb\x26\x1c\x65\x0b\x66\xc0\x23\xef\x8e\x17\x93\xce\x9f\x67\x9e\xed\x0d\x33\xd8\x76\x06\xa6\x7f\xc3\x26\xf5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformHandleui64NV
  {(uint8_t*)"\xcf\x6d\x14\x6e\x11\x6d\x0e\x05\xc8\xa0\x7b\xc3\xaf\xd0\x27\x3c\xbe\xb9\x18\x38\xe9\xf9\x80\x49\xd9\x97\x9f\x09\xa2\xfa\x74\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4uiv
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2svNV
  {(uint8_t*)"\xcf\x6d\x14\x6e\x11\x6d\x0e\x05\xc8\xa0\x7b\xc3\xaf\xd0\x27\x3c\xbe\xb9\x18\x38\xe9\xf9\x80\x49\xd9\x97\x9f\x09\xa2\xfa\x74\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4uivEXT
  {(uint8_t*)"\xde\x83\xbd\x43\x15\x66\xb8\x8c\x9d\xd1\x56\x62\xdd\x94\x7c\xef\xf8\x74\xe1\xe8\x3e\x50\xd9\x11\xdd\xa4\xd4\x35\xc4\x1e\x79\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4ui
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4ui64vNV
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4ui64vARB
  {(uint8_t*)"\xbe\xcc\xa1\xc3\x97\x67\xf3\x4c\x02\x08\x2f\xef\xae\xa5\x0c\x80\x72\xbc\x3c\xa0\xab\x94\x0a\xf7\xa7\xfd\x78\x5d\x55\xf9\xf4\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4ui64NV
  {(uint8_t*)"\x84\x47\xa8\x77\x12\xf3\x38\x1e\x83\x70\x06\xb0\x7d\x3b\xaf\x6f\x7c\x55\xcd\x72\x05\x4e\x2f\x6f\x06\xf5\x38\xe8\x77\xdb\x62\xfb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4i
  {(uint8_t*)"\x84\x47\xa8\x77\x12\xf3\x38\x1e\x83\x70\x06\xb0\x7d\x3b\xaf\x6f\x7c\x55\xcd\x72\x05\x4e\x2f\x6f\x06\xf5\x38\xe8\x77\xdb\x62\xfb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4iARB
  {(uint8_t*)"\x87\x6a\x1d\xde\xb9\x3c\xb5\xaa\xf2\x1c\x87\xcc\x86\x99\x90\x82\xb9\x3b\x42\x5a\xcd\x6d\x56\x86\xcb\x58\x58\x62\xd4\x67\x77\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4i64vARB
  {(uint8_t*)"\x99\xc4\x17\x69\x5e\x5d\xa9\xd5\xf0\x65\x5a\x7f\xed\x4a\xae\x67\xfc\xe9\xd5\xf3\xfe\x7c\xe1\xb4\x08\x47\x8a\x8a\xce\x66\x41\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4i64NV
  {(uint8_t*)"\x99\xc4\x17\x69\x5e\x5d\xa9\xd5\xf0\x65\x5a\x7f\xed\x4a\xae\x67\xfc\xe9\xd5\xf3\xfe\x7c\xe1\xb4\x08\x47\x8a\x8a\xce\x66\x41\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4i64ARB
  {(uint8_t*)"\x62\x91\x59\x06\x02\xbc\xfb\xaa\x41\xcf\x9f\xa6\x08\xd6\x86\x32\x88\x96\xed\x15\x71\xf5\x77\x46\x0f\x72\x07\x3f\x1e\xf3\x44\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexAttribPointer
  {(uint8_t*)"\x6b\xac\xa8\xc7\xc1\x3f\xa7\xd8\x68\xe7\x82\x53\xdb\x9b\xbb\x50\xe8\x97\x8a\x63\xa5\xfc\xd0\xce\x5d\x40\xee\xd0\x67\x22\xf0\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4fvARB
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL1dv
  {(uint8_t*)"\xcf\x6d\x14\x6e\x11\x6d\x0e\x05\xc8\xa0\x7b\xc3\xaf\xd0\x27\x3c\xbe\xb9\x18\x38\xe9\xf9\x80\x49\xd9\x97\x9f\x09\xa2\xfa\x74\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3uivEXT
  {(uint8_t*)"\x90\x4b\xf7\x05\xe4\xc9\x91\x9b\xda\xa5\xdd\xe3\x42\x7b\x4d\xab\x29\x31\xdc\xf0\xd3\x94\x5a\x81\x40\x77\xd2\xeb\xb7\x68\x3d\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3ui
  {(uint8_t*)"\x90\x4b\xf7\x05\xe4\xc9\x91\x9b\xda\xa5\xdd\xe3\x42\x7b\x4d\xab\x29\x31\xdc\xf0\xd3\x94\x5a\x81\x40\x77\xd2\xeb\xb7\x68\x3d\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3uiEXT
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3ui64vNV
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3ui64vARB
  {(uint8_t*)"\x71\x6d\x5a\xc8\x03\x5b\xbe\x77\x0a\x43\xd4\x4c\x47\x36\x03\x3c\x9f\x2e\x18\xbf\xe3\xf8\x35\x27\xf1\xbd\x46\xcf\x1e\x73\x55\x2d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3ui64NV
  {(uint8_t*)"\x7c\xbf\x9e\x9a\xd3\x2a\x2a\x93\xed\x1c\x48\xd9\xfc\x64\x1a\xd1\x1f\x30\x9b\x01\x7a\xed\xa9\x14\x46\xfa\x72\x3b\x9c\x38\x2d\x9e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3iv
  {(uint8_t*)"\x7c\xbf\x9e\x9a\xd3\x2a\x2a\x93\xed\x1c\x48\xd9\xfc\x64\x1a\xd1\x1f\x30\x9b\x01\x7a\xed\xa9\x14\x46\xfa\x72\x3b\x9c\x38\x2d\x9e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3ivARB
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3i
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3iARB
  {(uint8_t*)"\x87\x6a\x1d\xde\xb9\x3c\xb5\xaa\xf2\x1c\x87\xcc\x86\x99\x90\x82\xb9\x3b\x42\x5a\xcd\x6d\x56\x86\xcb\x58\x58\x62\xd4\x67\x77\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3i64vARB
  {(uint8_t*)"\x22\xe6\x69\xaf\x81\x73\x87\xb6\x4a\xcf\x93\x16\x9b\x14\x87\xa0\xda\xa9\xf9\x1f\x96\x00\xdb\x3b\x95\xe8\x35\xd5\x2b\xd1\xeb\x7a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3i64NV
  {(uint8_t*)"\x6b\xac\xa8\xc7\xc1\x3f\xa7\xd8\x68\xe7\x82\x53\xdb\x9b\xbb\x50\xe8\x97\x8a\x63\xa5\xfc\xd0\xce\x5d\x40\xee\xd0\x67\x22\xf0\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3fv
  {(uint8_t*)"\x6b\xac\xa8\xc7\xc1\x3f\xa7\xd8\x68\xe7\x82\x53\xdb\x9b\xbb\x50\xe8\x97\x8a\x63\xa5\xfc\xd0\xce\x5d\x40\xee\xd0\x67\x22\xf0\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3fvARB
  {(uint8_t*)"\x99\xa6\x71\x0f\x1f\x60\xf4\x04\xc2\x72\xde\x81\x5c\xcc\xf8\x92\x2a\x55\xdf\x1b\x57\xa2\x7b\xee\x13\xe1\xa4\x8a\x59\x74\x96\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, struct __GLXcontextRec *, struct __GLXcontextRec *, uint32_t, uint32_t, uint64_t, uint64_t, uint64_t), struct _XDisplay *, struct __GLXcontextRec *, struct __GLXcontextRec *, uint32_t, uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXNamedCopyBufferSubDataNV
  {(uint8_t*)"\x3f\x52\xfa\x1f\x8a\xf3\x42\xb5\x8f\x5b\x93\x22\x39\x55\x68\xf2\x7f\xf9\xff\x66\x12\xda\xb1\x88\x64\x45\x32\x30\xd2\xb1\x7e\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3fARB
  {(uint8_t*)"\x37\x01\xf9\x7d\x45\xd2\x4b\xd6\x65\x99\x3c\xd4\x46\x0c\xaf\xbe\x19\x9c\xfb\x6f\x09\xca\x92\xe4\x2f\x4c\x5c\x3c\x61\x94\xc5\xcc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3dv
  {(uint8_t*)"\xcf\x6d\x14\x6e\x11\x6d\x0e\x05\xc8\xa0\x7b\xc3\xaf\xd0\x27\x3c\xbe\xb9\x18\x38\xe9\xf9\x80\x49\xd9\x97\x9f\x09\xa2\xfa\x74\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2uiv
  {(uint8_t*)"\x98\x10\x55\xab\x76\xa9\x72\x38\x95\x57\x19\x39\x41\xe1\xdd\x03\xb8\x24\xea\x49\x6e\x81\x7a\x38\xde\xcb\x45\xf5\xe0\x9a\xe3\xc0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2uiEXT
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2ui64vNV
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2ui64vARB
  {(uint8_t*)"\xa9\x9b\x1a\x3e\x59\x82\xe9\xa3\xb7\x85\x14\x0e\xd5\x5c\xc8\xef\xc5\x09\xb5\xb0\x0c\xc4\x67\x7c\x85\x2f\x95\x77\x6d\x53\x3a\xfd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2ui64NV
  {(uint8_t*)"\xa9\x9b\x1a\x3e\x59\x82\xe9\xa3\xb7\x85\x14\x0e\xd5\x5c\xc8\xef\xc5\x09\xb5\xb0\x0c\xc4\x67\x7c\x85\x2f\x95\x77\x6d\x53\x3a\xfd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2ui64ARB
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2i
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2iARB
  {(uint8_t*)"\x87\x6a\x1d\xde\xb9\x3c\xb5\xaa\xf2\x1c\x87\xcc\x86\x99\x90\x82\xb9\x3b\x42\x5a\xcd\x6d\x56\x86\xcb\x58\x58\x62\xd4\x67\x77\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2i64vNV
  {(uint8_t*)"\x36\xbd\x5a\xc5\x2c\x84\xb1\x27\xf3\x4c\x7c\x05\x1d\x62\xcb\xcd\x92\x79\x63\x19\x29\x95\x00\xd7\xe2\xc8\x8e\x4b\x20\x34\x70\xa0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2i64NV
  {(uint8_t*)"\x65\x5c\xa5\xc5\xe6\x54\x9c\x2f\x26\xc2\xf4\x1a\x59\x7b\x7c\x7f\x4c\x59\x4d\xcb\xe9\xbc\x90\xb2\xa2\xf8\x36\x09\x43\xcd\xf8\x03", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2fARB
  {(uint8_t*)"\x37\x01\xf9\x7d\x45\xd2\x4b\xd6\x65\x99\x3c\xd4\x46\x0c\xaf\xbe\x19\x9c\xfb\x6f\x09\xca\x92\xe4\x2f\x4c\x5c\x3c\x61\x94\xc5\xcc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2dv
  {(uint8_t*)"\xe3\xa1\x27\x2d\xab\x5d\xd3\x2f\xd5\x5c\x4e\x49\x35\x0e\x2a\x02\xd2\x7b\xaa\xab\xc3\xcb\x6f\x2c\x64\xe6\xc4\x7e\x77\x8d\x18\x4d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2d
  {(uint8_t*)"\xcf\x6d\x14\x6e\x11\x6d\x0e\x05\xc8\xa0\x7b\xc3\xaf\xd0\x27\x3c\xbe\xb9\x18\x38\xe9\xf9\x80\x49\xd9\x97\x9f\x09\xa2\xfa\x74\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1uiv
  {(uint8_t*)"\xcf\x6d\x14\x6e\x11\x6d\x0e\x05\xc8\xa0\x7b\xc3\xaf\xd0\x27\x3c\xbe\xb9\x18\x38\xe9\xf9\x80\x49\xd9\x97\x9f\x09\xa2\xfa\x74\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1uivEXT
  {(uint8_t*)"\xbc\xdf\x2a\x7c\x9a\x70\xb8\x46\xc5\x97\x4a\xdd\xda\x3e\xec\x25\x5c\xd1\x22\x44\xe1\xb7\xa8\x10\x6e\xc9\xbc\xac\x09\x19\xb7\xe4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1ui
  {(uint8_t*)"\xbc\xdf\x2a\x7c\x9a\x70\xb8\x46\xc5\x97\x4a\xdd\xda\x3e\xec\x25\x5c\xd1\x22\x44\xe1\xb7\xa8\x10\x6e\xc9\xbc\xac\x09\x19\xb7\xe4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1uiEXT
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1ui64vNV
  {(uint8_t*)"\x5f\xbb\xce\x3a\x2a\xdb\x26\x1c\x65\x0b\x66\xc0\x23\xef\x8e\x17\x93\xce\x9f\x67\x9e\xed\x0d\x33\xd8\x76\x06\xa6\x7f\xc3\x26\xf5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1ui64NV
  {(uint8_t*)"\x5f\xbb\xce\x3a\x2a\xdb\x26\x1c\x65\x0b\x66\xc0\x23\xef\x8e\x17\x93\xce\x9f\x67\x9e\xed\x0d\x33\xd8\x76\x06\xa6\x7f\xc3\x26\xf5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1ui64ARB
  {(uint8_t*)"\x7c\xbf\x9e\x9a\xd3\x2a\x2a\x93\xed\x1c\x48\xd9\xfc\x64\x1a\xd1\x1f\x30\x9b\x01\x7a\xed\xa9\x14\x46\xfa\x72\x3b\x9c\x38\x2d\x9e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1iv
  {(uint8_t*)"\x7c\xbf\x9e\x9a\xd3\x2a\x2a\x93\xed\x1c\x48\xd9\xfc\x64\x1a\xd1\x1f\x30\x9b\x01\x7a\xed\xa9\x14\x46\xfa\x72\x3b\x9c\x38\x2d\x9e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1ivARB
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1i
  {(uint8_t*)"\x87\x6a\x1d\xde\xb9\x3c\xb5\xaa\xf2\x1c\x87\xcc\x86\x99\x90\x82\xb9\x3b\x42\x5a\xcd\x6d\x56\x86\xcb\x58\x58\x62\xd4\x67\x77\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1i64vARB
  {(uint8_t*)"\x6b\xac\xa8\xc7\xc1\x3f\xa7\xd8\x68\xe7\x82\x53\xdb\x9b\xbb\x50\xe8\x97\x8a\x63\xa5\xfc\xd0\xce\x5d\x40\xee\xd0\x67\x22\xf0\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1fvARB
  {(uint8_t*)"\xd2\x4b\x31\x23\xd0\xe2\xc2\xdd\x2f\xc1\x78\x13\x1f\x7f\xaa\xd8\xa1\x35\x93\x66\x45\x5f\x44\x9c\xcc\x10\x52\x39\x2c\xc5\x32\xe1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1f
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTranslatexOES
  {(uint8_t*)"\x49\x40\xaa\x29\xeb\x38\xca\xbe\xb7\x20\x56\x10\xfe\x0e\xa6\xfb\x42\x77\x08\x5f\xa6\xfd\xbe\xb4\xf9\x59\x75\x7b\xcf\xaa\xcb\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4sARB
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1sv
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTranslatef
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTranslated
  {(uint8_t*)"\xea\xba\xa1\x5f\x6a\xdb\x20\x6f\x4f\x0a\xfe\xf8\xdb\xa4\x41\x37\xb3\x95\xfb\x02\x65\x75\xf8\x1d\x11\x1b\xab\x9c\xb0\x22\x81\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTransformPathNV
  {(uint8_t*)"\x87\xe5\x7f\xb2\x6c\xb2\x06\xd9\x72\x0a\x63\xbc\x32\xa0\x4c\xbf\x12\x01\x7e\xc9\xad\xd1\xd8\x0e\x69\x68\x9f\x1b\xa5\xe5\x4d\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint32_t), uint32_t, uint32_t, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTransformFeedbackVaryingsNV
  {(uint8_t*)"\x05\x1a\xf6\xc5\x17\xcd\xf1\xc9\x79\x7a\x0c\x96\xf7\xcb\x6e\xbd\x29\x47\xad\xfb\x3a\xed\xd2\xb6\xec\x50\x02\x8b\x88\x10\xa7\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char *const *, uint32_t), uint32_t, uint32_t, const char *const *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glTransformFeedbackVaryings
  {(uint8_t*)"\x23\x7d\xe0\x1f\xb6\xe6\x22\xf7\x18\xa7\xb8\xd5\x72\x96\x0b\x58\x5d\xa5\x2b\xaa\x17\xb5\x73\xc8\x97\xb3\x60\xba\x55\xf0\x29\x73", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t, uint32_t*, uint32_t), uint32_t, uint32_t*, uint32_t, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTransformFeedbackStreamAttribsNV
  {(uint8_t*)"\x48\xb0\x12\xca\xf8\x8d\xd8\x04\x32\x6d\x03\x33\x10\xb1\xa2\xe8\x1e\xa1\x16\x8e\x2f\xc1\xc8\xf7\xd8\xa8\x17\xb0\x6c\x81\xe5\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTransformFeedbackBufferRange
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTransformFeedbackBufferBase
  {(uint8_t*)"\x74\x5b\xa4\x01\x86\x83\x22\x1f\x75\x4f\xde\x63\x7b\xff\x9f\x93\xfb\xc1\x0f\x3c\xf7\x98\x10\x6f\xe5\x31\x35\x2e\xbc\x32\x69\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t), uint32_t, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTransformFeedbackAttribsNV
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTrackMatrixNV
  {(uint8_t*)"\x4e\x08\xfc\xc4\x9c\xf8\x48\xdf\x6e\xbb\x2f\xeb\x88\x36\x0a\x2e\xbc\xf5\xb0\x3d\xc6\xb8\x55\x8c\x9c\xfe\xdf\xc0\xbf\xaf\x84\x2c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureView
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix3x2fv
  {(uint8_t*)"\xc0\x90\xa1\x95\x48\x8e\x52\xa7\x28\x9c\x5d\x44\x68\xd9\x53\x10\x54\x0b\xe3\x6d\x0a\x4a\x58\xbe\xd8\xa8\xe9\x05\xd1\x4f\x01\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTextureSubImage3D
  {(uint8_t*)"\xf2\x10\xe2\xef\x64\xab\x9b\x72\x83\x52\xa9\x34\x16\x9f\x1d\xab\x95\xb8\xad\xcb\x0a\x09\xbb\xa5\x6c\xfe\xa8\x15\xae\xc2\x4a\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, uint32_t*), uint32_t, uint32_t, uint8_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribP4uiv
  {(uint8_t*)"\x2d\x67\x9c\x92\x7d\x70\x70\x69\x7a\xee\x66\x71\xb1\x9d\x39\x51\x90\x04\xf8\x3b\xcf\x9a\x1a\xa6\xde\x37\x1f\xb1\x3c\x49\x9a\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTextureSubImage3DEXT
  {(uint8_t*)"\xb0\x9c\x8e\xba\xa4\x6a\x9c\x73\xfb\x1e\x76\x9e\xaa\xfe\x60\xee\x23\xdb\x56\x00\xf8\xc6\x66\x59\xc5\xd2\xc3\x8c\xcb\x4a\x4c\xe5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTextureSubImage2D
  {(uint8_t*)"\xb9\xc7\x78\x84\xf7\x07\x86\x29\xe6\x1b\x6b\xe7\x3e\x20\x15\xa2\x87\x4e\xa9\xa9\xf1\x4d\x13\x82\x78\xbb\x8a\xcd\x1c\x10\xa8\x36", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTextureSubImage2DEXT
  {(uint8_t*)"\x5b\xd6\x7a\xb9\xfd\xc4\xd0\x43\x96\x84\x3f\xae\x9c\xbe\x6f\x35\xf4\x21\x61\x7e\x39\x47\xc9\xa0\xa5\xe8\xb6\x62\xff\xce\x15\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTextureSubImage1D
  {(uint8_t*)"\x88\x44\xe5\x68\x2a\x87\x0e\x7d\xd2\x4d\x40\x4b\xe9\x81\xb5\xf7\xa9\xde\xfb\x29\x15\xaf\x99\xd7\xf4\x06\x7a\x33\xdf\xca\x7c\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTextureSubImage1DEXT
  {(uint8_t*)"\x13\xff\xf8\x70\xc9\x03\x62\x4a\x06\x13\xe7\x5b\xdd\xe2\x7d\x7f\x9c\xdb\xac\x29\xd5\xef\x00\x97\xc8\x6b\x5b\xa1\x28\x2e\x75\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorageSparseAMD
  {(uint8_t*)"\x48\xc4\xfa\xfe\x14\xc0\x41\x82\x2f\xa8\xbe\x43\x8d\x2f\xcc\x19\x33\x22\xdf\xa5\xcd\x4a\xec\xa6\x82\xcf\xeb\x10\xaa\x5f\xdf\xc4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorageMem3DMultisampleEXT
  {(uint8_t*)"\x55\x1a\x99\x5a\xfc\x51\x42\xc6\x8f\x17\x22\x9d\x1b\x7e\xa1\xf0\x1a\xed\x4a\xf8\x0c\x70\xd5\x44\x6c\xd4\x5c\x16\x0d\x15\x59\x28", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorageMem3DEXT
  {(uint8_t*)"\xf8\x67\x6a\x5f\x7f\x77\x3c\x30\xeb\xfb\x6c\x3e\x1a\x82\x4a\x98\xa9\x1a\x28\x83\x7b\xe5\x46\x00\x99\x81\xb9\x0a\xce\x67\x22\x2b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorageMem2DMultisampleEXT
  {(uint8_t*)"\x9f\x5a\x9d\xcd\x68\x67\xab\x86\x19\x19\xc9\xa8\x2b\xa1\xcf\x23\x42\x48\xbe\x92\xeb\x37\xbd\xfb\x40\x65\xd5\x31\x5e\xe6\x1b\xc0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorageMem2DEXT
  {(uint8_t*)"\x5c\xc0\x7e\x37\x7d\xb8\xe9\x70\x23\x80\x9a\x40\xf4\xc5\xf6\xfa\xa5\x2f\x5f\x96\x17\xcd\xc9\xa8\x9a\x9f\xef\x74\x48\x24\x8a\x29", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorage3DMultisampleEXT
  {(uint8_t*)"\x43\xcf\x16\x1c\xf0\x60\xc8\xa4\xa0\x73\x64\x03\x7f\x33\xec\x96\xa2\x16\x42\x43\x1b\x99\x9f\xe3\xdd\xaf\x80\x50\x96\xa6\x7a\xc7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorage3D
  {(uint8_t*)"\x53\xb7\x3a\x99\x60\x56\xe8\xe5\x37\x30\x16\xb2\x1b\xc7\xed\xc0\xbb\x36\x65\x29\x04\xc1\x5c\x81\x18\x28\xb2\x54\xff\x3d\x98\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3d
  {(uint8_t*)"\x6e\x1d\xe8\x25\xdd\xf1\x0c\x81\x04\x57\xf9\x80\xc4\x9f\x70\x52\x38\xf6\xf3\xe7\x9e\x04\x72\xa1\x02\x33\xdd\x51\x29\x8f\xd9\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorage3DEXT
  {(uint8_t*)"\xa9\x57\x12\xf0\x40\xcc\xee\x8d\xff\xf3\x16\x08\x5f\x7b\x61\x73\x1c\x89\xc3\xd0\xaf\xe3\x21\x5b\xca\xa5\x5d\xdb\xfa\xf2\xfd\xdc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorage2DMultisampleEXT
  {(uint8_t*)"\x7c\x11\x70\xf3\x66\x76\x22\x65\xcd\x3b\xdd\xd5\xa6\x5f\x62\x86\x35\x25\x47\x52\x51\x3b\x82\xb4\x66\x8a\x8e\xe5\xdb\x27\x2c\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorage2D
  {(uint8_t*)"\xa5\xe9\xec\xc4\x21\xcb\x69\xbe\xd2\x69\xe4\x0b\x67\x6e\x64\x20\x48\x03\x8c\x0b\x7e\x00\x97\xce\x42\x54\xea\x1f\x81\xee\xfe\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorage1D
  {(uint8_t*)"\xb7\x06\xc3\x2b\x09\xa8\x56\x10\xb8\x35\x34\x79\xca\x78\xad\x1d\x18\x63\x79\x6f\x3d\x4c\xa3\x8d\x62\xe3\xcc\x1a\xfa\x99\x96\x46", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTextureRangeAPPLE
  {(uint8_t*)"\x9f\xc4\x49\x02\x85\x47\x00\x1a\x6b\x52\xd8\xf3\x4d\xb4\x58\x91\xd6\x85\xbb\x9e\xe4\xa1\xab\xa1\x64\xdf\x0a\x86\x9c\x83\x76\xa6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameterIuivEXT
  {(uint8_t*)"\x40\x28\x11\x41\xd2\xcb\x7f\x47\x0d\x48\x18\x06\x9c\xd0\xee\x9a\x84\x10\x30\xf3\x72\x81\x37\xbe\x82\xef\x4f\xb0\xd1\x4d\xed\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameterIivEXT
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameterfv
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameterf
  {(uint8_t*)"\xea\x1f\x07\x2a\xa4\x60\xa4\xe7\xbe\xaa\x66\x55\x42\xea\x8e\x03\x37\x6e\x9a\x8b\xbb\xdd\x7f\x25\x59\x0a\xf9\x71\xf0\x55\xf2\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float), uint32_t, uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameterfEXT
  {(uint8_t*)"\xd2\xfb\xdb\xff\x9b\xe2\xe3\x72\x6a\x8c\xf2\xb1\x49\x5e\x28\x0f\x10\x75\xb2\x8c\xd6\x49\x35\x0e\x9b\x60\xe0\x61\x92\x09\xf9\x9f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexturePageCommitmentEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureMaterialEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureLightEXT
  {(uint8_t*)"\xf9\x13\x6d\xb4\x5d\x20\x84\xac\xb0\x25\xdd\x7f\x0b\xcf\x94\x87\x58\x52\xff\x55\x9d\x3e\xe9\x13\xbf\xcf\x6d\x8f\xf0\x9a\x1c\xe9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureImage3DMultisampleCoverageNV
  {(uint8_t*)"\x78\xbe\x42\xdd\xfc\x65\x44\x50\x86\x45\xf7\x00\xf5\x47\xbf\xe9\x66\x9d\x2d\x94\xae\xc3\x52\xb2\xbe\x2e\xd9\xaf\x98\x1b\xbd\xb5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTextureImage1DEXT
  {(uint8_t*)"\x35\x23\x3f\xe4\x8f\xe5\xc1\xc7\xb7\xaa\x83\x1d\x0e\x1e\x00\x1d\x18\x1a\x30\x45\x7e\xeb\x34\x47\x59\xaa\x63\x57\xbc\x11\x46\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureColorMaskSGIS
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glTextureBarrierNV
  {(uint8_t*)"\xb0\xb6\xdb\x47\x8a\x77\x28\x16\x52\x78\x02\xb1\x4f\x8f\x1a\x03\xd2\x1d\x18\x03\xc8\xf5\x88\x5a\xdb\x0e\x02\x83\x1c\x61\xd4\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureAttachMemoryNV
  {(uint8_t*)"\xc0\x90\xa1\x95\x48\x8e\x52\xa7\x28\x9c\x5d\x44\x68\xd9\x53\x10\x54\x0b\xe3\x6d\x0a\x4a\x58\xbe\xd8\xa8\xe9\x05\xd1\x4f\x01\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexSubImage3D
  {(uint8_t*)"\xc0\x90\xa1\x95\x48\x8e\x52\xa7\x28\x9c\x5d\x44\x68\xd9\x53\x10\x54\x0b\xe3\x6d\x0a\x4a\x58\xbe\xd8\xa8\xe9\x05\xd1\x4f\x01\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexSubImage3DEXT
  {(uint8_t*)"\x5b\xd6\x7a\xb9\xfd\xc4\xd0\x43\x96\x84\x3f\xae\x9c\xbe\x6f\x35\xf4\x21\x61\x7e\x39\x47\xc9\xa0\xa5\xe8\xb6\x62\xff\xce\x15\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexSubImage1DEXT
  {(uint8_t*)"\x48\xc4\xfa\xfe\x14\xc0\x41\x82\x2f\xa8\xbe\x43\x8d\x2f\xcc\x19\x33\x22\xdf\xa5\xcd\x4a\xec\xa6\x82\xcf\xeb\x10\xaa\x5f\xdf\xc4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorageMem3DMultisampleEXT
  {(uint8_t*)"\x55\x1a\x99\x5a\xfc\x51\x42\xc6\x8f\x17\x22\x9d\x1b\x7e\xa1\xf0\x1a\xed\x4a\xf8\x0c\x70\xd5\x44\x6c\xd4\x5c\x16\x0d\x15\x59\x28", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorageMem3DEXT
  {(uint8_t*)"\x9f\x5a\x9d\xcd\x68\x67\xab\x86\x19\x19\xc9\xa8\x2b\xa1\xcf\x23\x42\x48\xbe\x92\xeb\x37\xbd\xfb\x40\x65\xd5\x31\x5e\xe6\x1b\xc0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorageMem2DEXT
  {(uint8_t*)"\x43\xcf\x16\x1c\xf0\x60\xc8\xa4\xa0\x73\x64\x03\x7f\x33\xec\x96\xa2\x16\x42\x43\x1b\x99\x9f\xe3\xdd\xaf\x80\x50\x96\xa6\x7a\xc7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorage3D
  {(uint8_t*)"\x5d\x8e\xb0\x2a\x84\x1a\xfe\x78\x2f\x15\xd1\x09\x2f\xf9\xb7\x42\xba\xb2\xa9\xac\xb0\x67\x91\x56\xf2\x69\xee\xbc\x94\xa1\x62\x10", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorage2DMultisample
  {(uint8_t*)"\x7c\x11\x70\xf3\x66\x76\x22\x65\xcd\x3b\xdd\xd5\xa6\x5f\x62\x86\x35\x25\x47\x52\x51\x3b\x82\xb4\x66\x8a\x8e\xe5\xdb\x27\x2c\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorage2D
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexRenderbufferNV
  {(uint8_t*)"\x29\xff\x71\x0d\xa2\x3d\x67\x5c\x65\x55\x30\x6c\xfb\xbf\xf0\x15\xea\x8c\xf7\x65\x82\xfc\x55\x72\x1b\x93\xa5\x80\xc0\xda\x9a\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayAttribIFormat
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexParameterxvOES
  {(uint8_t*)"\xea\xba\xa1\x5f\x6a\xdb\x20\x6f\x4f\x0a\xfe\xf8\xdb\xa4\x41\x37\xb3\x95\xfb\x02\x65\x75\xf8\x1d\x11\x1b\xab\x9c\xb0\x22\x81\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVideoCaptureStreamParameterfvNV
  {(uint8_t*)"\x91\xd9\x64\xb6\xc0\x47\x17\xb6\x44\x2e\x67\x27\xde\x70\xf9\xe0\xeb\xb2\x37\xb3\x99\x68\x64\xb5\x30\x28\x68\x97\x1c\xaa\x6d\x98", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4hNV
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexParameterxOES
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexParameteriv
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexParameterIuivEXT
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexParameterIiv
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexParameterIivEXT
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexParameterfv
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexParameterf
  {(uint8_t*)"\xd2\xfb\xdb\xff\x9b\xe2\xe3\x72\x6a\x8c\xf2\xb1\x49\x5e\x28\x0f\x10\x75\xb2\x8c\xd6\x49\x35\x0e\x9b\x60\xe0\x61\x92\x09\xf9\x9f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexPageCommitmentARB
  {(uint8_t*)"\x85\x8c\xc3\x40\x18\x64\x6f\xd9\xc7\x80\x3b\x4e\x06\x12\x86\x03\xa3\x25\x51\x6a\x1a\xae\xa2\x56\x08\x0f\xc4\x93\x71\x63\xbc\x12", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexImage4DSGIS
  {(uint8_t*)"\x4c\xac\x87\x67\xe3\x10\x33\x53\x24\xeb\xbc\xb8\xf6\xbf\x4c\x65\x93\x20\xcb\x7f\xc9\x60\x54\x45\xb3\x4f\xbd\x41\x09\xb4\xd1\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexImage3DMultisample
  {(uint8_t*)"\xf9\x15\x08\xff\xfc\x79\x53\x81\x84\x16\x4d\x98\xb6\x6b\xca\x91\x28\x63\x44\x98\xf0\x93\xc2\x96\x41\x0e\xf9\xb1\x23\xac\x96\x15", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexImage3DMultisampleCoverageNV
  {(uint8_t*)"\x2a\xe0\xaa\x19\xb9\x46\x08\xf1\x72\x56\x1c\x4c\x44\x86\x46\xb2\xc1\xa3\x45\x84\x89\x98\x74\x60\xa5\xf9\xfe\x58\x94\xe0\xe2\x5c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexImage3DEXT
  {(uint8_t*)"\x5d\x8e\xb0\x2a\x84\x1a\xfe\x78\x2f\x15\xd1\x09\x2f\xf9\xb7\x42\xba\xb2\xa9\xac\xb0\x67\x91\x56\xf2\x69\xee\xbc\x94\xa1\x62\x10", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexImage2DMultisample
  {(uint8_t*)"\xb1\xda\xe5\x39\x4d\x94\xa8\x98\xf3\x8a\x47\x71\x93\xa2\x5a\x55\x6e\x90\x28\xa8\x50\x40\xd3\xe7\xcc\x36\xeb\x9a\x1d\x90\xe3\x6c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexImage1D
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos4fMESA
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexGenxvOES
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexGenxOES
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexGeniv
  {(uint8_t*)"\xbe\xcc\xa1\xc3\x97\x67\xf3\x4c\x02\x08\x2f\xef\xae\xa5\x0c\x80\x72\xbc\x3c\xa0\xab\x94\x0a\xf7\xa7\xfd\x78\x5d\x55\xf9\xf4\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4ui64ARB
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexGeni
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexGenf
  {(uint8_t*)"\xee\xab\xdf\x6a\x4e\x41\xef\xd5\x5a\x3d\x6d\x74\x87\x8d\x97\xa7\x35\xc7\xf3\xd0\x57\x3d\x8d\xca\x3d\xd9\x94\xa9\xd3\x04\x74\x9b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexGendv
  {(uint8_t*)"\x3c\x0d\xe8\x58\xd0\xfa\xaf\xd3\xfa\xbb\x97\x96\x5d\xdd\xec\x20\x33\x2f\xb7\xad\x22\xa4\xf6\xb7\x54\x8e\xe4\x40\xda\xc5\x52\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double), uint32_t, uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexGend
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexFilterFuncSGIS
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexEnvxvOES
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexEnvxOES
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexEnviv
  {(uint8_t*)"\x86\xf9\xc3\x3f\xca\xe4\x3d\x91\x3d\x10\xe0\xa5\xc3\x00\x88\xc6\x0b\xe4\x4a\x34\xc7\xdf\xcc\xab\x8d\x6b\x77\x85\x5f\xdd\x56\xca", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t), struct _XDisplay *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXDestroyHyperpipeConfigSGIX
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexEnvfv
  {(uint8_t*)"\xda\x27\x65\x27\xf7\x14\xf2\xfc\x48\xf9\x1e\x62\x6e\x75\x23\xb8\x26\xff\x70\xeb\x4d\x64\xda\xac\xd2\x41\x4e\x0e\xdd\xff\xfd\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, float, float, const unsigned char *), uint32_t, uint32_t, float, float, float, float, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBitmap
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMapiv
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenQueriesARB
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMapdv
  {(uint8_t*)"\xb0\x3a\x71\xd9\x48\x0f\x53\xde\x54\x13\x80\xf1\x66\x27\x96\x1c\xcb\x3b\xcc\x25\x1a\x37\xd4\xbf\x78\x4e\x9f\x1f\x6d\xc9\xed\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnMapfv
  {(uint8_t*)"\xaf\xf3\xea\x02\xcb\x87\xd9\x5d\x38\xd8\x36\x80\xd8\x09\x03\x48\x1e\x6b\x21\x91\xef\x86\x94\x4e\x96\x92\x94\xf7\x7e\xb4\xe7\xf2", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXFBConfigRec *(struct _XDisplay *, XVisualInfo *), struct _XDisplay *, XVisualInfo *>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.is_passthrough=true,}>}, // glXGetFBConfigFromVisualSGIX
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableVertexAttribArray
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1hvNV
  {(uint8_t*)"\xd8\xa6\x33\xee\x3e\xa4\x91\xa8\xba\x30\x55\xa7\xf9\xf3\xa1\x64\x4a\x45\x44\x4c\x7f\x0b\x37\xd3\x44\xc1\xa7\x99\xfb\x2e\x0f\x6a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAlphaFragmentOp2ATI
  {(uint8_t*)"\x71\x50\xf1\xdb\x69\xbb\x92\x06\x7a\x2a\xa1\xd3\x35\x1a\x2b\x30\x83\xbc\xf7\x79\x8f\x5b\x8c\xda\x75\x99\x1a\xd5\x71\x3c\x44\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetIntegerui64i_vNV
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteQueriesARB
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos2sv
  {(uint8_t*)"\xa0\x86\x48\x3e\x72\x1b\x2a\xf2\x96\x33\x82\xfd\x7a\x36\xed\x2f\xd2\x88\x6b\x1b\x99\x91\xd3\x58\xbc\x12\x9f\x1c\x98\x9b\x7c\x2e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*, uint16_t*), uint16_t*, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRectsv
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI1uiEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetHistogramParameterfv
  {(uint8_t*)"\x0e\x4d\xda\x88\x34\xa2\x5c\x2c\x1c\xaf\xe5\x37\xb0\xa1\xfa\xf0\x24\xc1\xad\xa8\xfb\x0c\xb1\xd6\xf0\x23\xc9\x2a\x0b\xf5\x0d\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, const void *, uint32_t), uint32_t, uint64_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glNamedBufferDataEXT
  {(uint8_t*)"\xea\xba\xa1\x5f\x6a\xdb\x20\x6f\x4f\x0a\xfe\xf8\xdb\xa4\x41\x37\xb3\x95\xfb\x02\x65\x75\xf8\x1d\x11\x1b\xab\x9c\xb0\x22\x81\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameterfvEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFramebufferParameterivEXT
  {(uint8_t*)"\x9b\x9a\x36\x98\xab\x4f\x14\x1f\x17\x29\x4b\x6a\xc1\x44\x17\xa8\x6b\xd1\x20\x28\xd9\xaf\xeb\x11\x09\xb1\x76\x31\xb2\xa9\x5b\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, unsigned char *), uint32_t, uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetInvariantBooleanvEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFragmentLightfvSGIX
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramEnvParameterIuivNV
  {(uint8_t*)"\xa7\x2b\xe4\x64\x6a\xe8\x54\x52\xa5\x05\x3c\xf0\xc7\x0b\xaa\xeb\x41\x9d\x21\x2f\xda\xd2\x14\xc1\xd7\xe6\x48\x44\x0a\x24\x4e\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetShaderSource
  {(uint8_t*)"\xf5\x00\x78\x56\x60\x61\x8f\x48\x05\xa9\x5e\x78\x4e\xa9\x2e\x07\xf4\x49\xba\xbd\x0b\xfc\xe2\x21\x93\x40\xdb\x44\xdf\xf8\xe4\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixScalefEXT
  {(uint8_t*)"\x08\x26\xac\x21\xd5\x12\x28\x0f\x7b\x19\xa1\x1b\x49\xbc\x2f\x81\x97\xa5\x3b\x52\x93\xe1\xd1\x7b\x40\x3d\x39\x60\xc7\x6b\x8b\x67", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int *(struct _XDisplay *, uint32_t, uint32_t*), struct _XDisplay *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXEnumerateVideoDevicesNV
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMaterialxOES
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFloati_v
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFloatIndexedvEXT
  {(uint8_t*)"\xf0\x06\x1e\x19\xbf\x7e\x3f\x37\xca\xe4\x71\x05\x0e\xe9\xe7\xa5\x79\xed\x06\xc0\x0d\xb6\x2b\x34\x0d\xaa\xbf\x8a\x2c\x5a\xc3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3dvEXT
  {(uint8_t*)"\xdf\xc6\xd2\x17\x64\x2f\x39\x56\x6d\xf4\x3e\xde\xae\x3c\xad\x87\x2e\x09\x33\xa6\x23\x86\x78\x68\x27\xbd\x1d\x2f\x1f\x2d\xbc\x2c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint64_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPresentFrameDualFillNV
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3x4dv
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetDoublei_vEXT
  {(uint8_t*)"\xf8\x74\x0f\x55\xa2\xcd\x9c\x81\x9f\x52\xd9\xb9\xff\x40\x72\xa8\xf9\x2a\xb9\x95\xa0\x5d\xbc\x1f\xd4\xaf\x13\x45\x9d\xa3\xbd\x4f", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, uint32_t*, char *), uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetDebugMessageLogAMD
  {(uint8_t*)"\x4a\xe5\xa2\xa8\xbd\xab\x38\x94\x3f\x55\x93\xd1\xec\x67\x59\x5c\x55\xe5\xdf\x15\x53\xe1\x7a\x4d\x19\x09\x17\x61\xa6\x99\x5e\x04", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const unsigned char *, const float *), uint32_t, uint32_t, const unsigned char *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramNamedParameter4fvNV
  {(uint8_t*)"\xf7\xb8\x13\x6e\xa7\xb7\xd9\xe6\x71\xb4\x41\xc2\x9f\xfe\xf9\xdd\x49\xa0\x42\x34\x7b\xb6\xa5\xd1\x4c\xc0\xce\x5d\x0b\x0f\x98\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetCoverageModulationTableNV
  {(uint8_t*)"\x1c\x64\x21\x9c\xe8\x18\x92\x04\xe3\x51\x8e\x02\x3e\x7f\x84\x05\x7c\xd3\x41\x01\xf9\x50\x6c\xe9\x49\x9f\x70\xcf\xc3\x63\x05\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetCompressedTextureImage
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetCombinerOutputParameterivNV
  {(uint8_t*)"\x0e\x07\x46\x6a\x42\x3f\x32\x5f\x7b\x62\xa0\x92\x5e\x06\x76\x3e\x70\xcd\xbe\x0d\xe5\x09\xec\x69\xd4\xe3\x8b\x2a\xe0\x94\xf4\xe3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedMultiTexImage1DEXT
  {(uint8_t*)"\x12\x8c\x1a\xf3\x35\x1e\xa4\x0f\x6f\x67\x9e\x14\x58\xe9\x2b\x53\x84\xae\xfd\x79\xe2\xfc\x91\xf1\x7b\x7d\x65\x84\xc2\x94\xa9\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetCombinerOutputParameterfvNV
  {(uint8_t*)"\x13\x41\x53\x50\x43\xb8\x71\xd3\x72\x3d\x7f\x72\x00\xfb\xae\xd4\xc4\xa3\xf3\x95\x50\xf0\xbd\xea\xb5\x5c\x6e\xd1\xae\x43\x4f\x76", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetCombinerInputParameterfvNV
  {(uint8_t*)"\x22\x89\x81\xb6\x58\x83\xbe\xb8\x03\xe3\x99\x16\xe4\x50\xd1\x1f\xe2\xfe\x48\x99\xe0\x86\xcd\x2a\xdc\x17\x23\x4c\xfa\xe6\xff\x7c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveSubroutineUniformName
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetColorTableParameterivEXT
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4bv
  {(uint8_t*)"\xe4\x7a\x6c\x17\x71\x4b\xf3\x6f\x5c\x93\x1b\xed\x01\x5f\x55\x0a\xfc\x15\x1f\xaa\x9f\xc9\x19\xca\xb9\x79\x50\x91\x76\xc8\xb0\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetClipPlanefOES
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableVertexArrayEXT
  {(uint8_t*)"\x75\x04\x97\x87\xd0\x51\x98\x3e\xb8\xe3\xe9\x42\x9f\xd4\x71\x34\x08\x97\x19\x6d\x5c\x58\x39\x3d\x8e\x07\x4c\x18\xbc\x0c\xb6\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetBufferParameteri64v
  {(uint8_t*)"\xec\xc4\x35\x0c\xdf\xe4\x34\xb8\xae\x6b\xdc\x5a\x09\x0e\x1d\xa7\x9d\xb6\xd7\x22\xdd\x31\xc7\x82\xb8\x24\x5b\x0b\x59\xad\x90\xdb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double), uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream1dATI
  {(uint8_t*)"\x86\x33\xf7\x10\xbc\x71\x00\xcc\x4f\x59\x00\xde\x8c\x8d\xb3\xb9\x08\xb3\xde\x26\xc4\xaf\xd9\x20\x0e\xba\x41\x49\xc5\x77\x1c\x07", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, unsigned char *), uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetBooleanv
  {(uint8_t*)"\xbf\x07\x98\x7b\x62\x02\x42\xe5\x3f\x73\x56\xc5\xdd\xba\x65\x37\xc7\xa8\x93\xdc\x77\x2c\x1b\x01\x23\x1d\x4f\xfd\x61\xe9\xfa\x26", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureImage3DMultisampleNV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2dvARB
  {(uint8_t*)"\x9b\x9a\x36\x98\xab\x4f\x14\x1f\x17\x29\x4b\x6a\xc1\x44\x17\xa8\x6b\xd1\x20\x28\xd9\xaf\xeb\x11\x09\xb1\x76\x31\xb2\xa9\x5b\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, unsigned char *), uint32_t, uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetBooleani_v
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisablei
  {(uint8_t*)"\xb0\xb6\xdb\x47\x8a\x77\x28\x16\x52\x78\x02\xb1\x4f\x8f\x1a\x03\xd2\x1d\x18\x03\xc8\xf5\x88\x5a\xdb\x0e\x02\x83\x1c\x61\xd4\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBufferAttachMemoryNV
  {(uint8_t*)"\x9b\x9a\x36\x98\xab\x4f\x14\x1f\x17\x29\x4b\x6a\xc1\x44\x17\xa8\x6b\xd1\x20\x28\xd9\xaf\xeb\x11\x09\xb1\x76\x31\xb2\xa9\x5b\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, unsigned char *), uint32_t, uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetBooleanIndexedvEXT
  {(uint8_t*)"\x62\x1e\xa0\x79\x19\xf8\x27\x42\x82\xe3\x48\x70\x7f\x0e\x8e\xb3\x1b\x5a\xfe\x6e\xe9\xf7\x58\x57\x44\x54\x07\xa3\x17\x39\xa1\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char *), uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4ubvEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableVertexArrayAttrib
  {(uint8_t*)"\xc7\x75\xf9\xf1\xe7\xa6\xe0\x6a\xa4\xd1\xba\x8d\xd9\xda\x4f\xf7\x02\x59\x22\x5b\x7d\x40\xd1\xea\xe9\xd4\x97\x1f\x08\xaa\x27\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTextureImage1DEXT
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexArrayIndexediv
  {(uint8_t*)"\x78\x95\x10\xdd\x1d\xb9\x01\x7f\xd9\xe2\x81\xe6\x4b\x2a\xad\x69\xcf\xae\xda\x4c\x9e\x9f\x2f\xb8\x70\x7a\xf2\x2d\xbf\xdf\x91\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glConvolutionFilter1DEXT
  {(uint8_t*)"\x3a\xd3\x80\xf0\xdc\x3c\xf4\x2e\xbf\x87\x86\x9e\x2e\x44\x80\x45\xc5\x95\xcf\xbb\x29\x91\x75\xeb\xb2\x4b\x43\xe4\xa2\xdf\x88\x18", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveUniformBlockName
  {(uint8_t*)"\x0f\xd0\x1f\xea\xef\x9a\xd2\x84\xb8\xd1\xa9\xec\x80\xf3\xa8\x18\xdb\x8d\x9b\x1e\x5d\x6e\x76\xb0\x14\x38\xce\xed\x1b\xfa\xa4\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexCoordPointer
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveUniformBlockiv
  {(uint8_t*)"\xc7\xf6\xb5\xcb\xc1\x48\x7e\x2a\x10\x0d\x94\xeb\x9f\xa7\x9b\x10\x2d\x81\x1f\xde\xd2\xfe\x2f\xba\xcb\xff\x17\x3d\xe8\xf7\xb5\xe2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveAttribARB
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribfv
  {(uint8_t*)"\x79\xd1\x10\x68\x6f\x8c\xcb\xee\x08\xab\x25\x2c\xc8\xee\x1e\xfb\x31\x0f\xe5\x0d\x40\x66\x49\xd1\xad\x42\x3b\xaa\x5c\x09\x3c\x6c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilThenCoverFillPathInstancedNV
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetConvolutionParameterfvEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixLoad3x2fNV
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveAtomicCounterBufferiv
  {(uint8_t*)"\x00\x3a\x4b\x38\x6d\x50\xd9\xec\x31\x93\xe8\x6b\x50\x01\x54\x1a\x40\xf8\xf4\xea\x8f\xeb\x5e\x42\xc8\x0b\x04\xe2\x1a\x36\xb8\xe5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, uint32_t, uint32_t*), uint32_t*, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPerfMonitorGroupsAMD
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMapfv
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferDrawBuffersEXT
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenSamplers
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBinormal3iEXT
  {(uint8_t*)"\x96\x3b\x94\x19\x24\x84\x5d\x1d\xce\x5e\x07\x46\xea\x61\xaa\x4a\x22\xaa\xd9\x48\xd6\xcb\xed\x41\x5a\x90\x96\xc2\x22\xec\xab\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenQueryResourceTagNV
  {(uint8_t*)"\x0a\xbb\xb6\x63\xf6\x78\x96\x31\xd9\x86\xca\xd1\x15\x18\x6d\x12\x01\xe3\x8f\xad\x0c\x5e\xf4\x94\xe2\x10\x35\xb6\x13\x4b\xdc\xc4", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateShaderProgramEXT
  {(uint8_t*)"\x0b\x87\x55\x13\xf4\x6e\x43\xb0\xe6\x98\x4c\x44\x87\xcb\x59\x0a\x31\xf4\xbe\x2b\x58\x39\x46\xb9\xb3\x53\xf3\x8a\xd0\x8c\x0a\xd5", (void(*)(void *))&GuestWrapperForHostFunction<void(double), double>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1d
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenFramebuffersEXT
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPassTexCoordATI
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenFencesAPPLE
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3sMESA
  {(uint8_t*)"\xe6\x3b\xee\x0a\xd7\xca\x87\x1e\x0b\xed\x44\x8d\x71\x16\x36\x0a\x0c\x0d\x2f\xde\xc4\xc9\xf0\x2b\x2c\x68\x31\x5a\x7a\xba\x68\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *), uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glEdgeFlagPointer
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenerateMultiTexMipmapEXT
  {(uint8_t*)"\x9d\x67\x1a\x50\x8b\xaf\xbe\x5c\x53\x63\xf1\x1d\x06\xca\x4c\x91\x9e\x13\x51\x67\x3d\x39\xcd\x1c\x02\xcc\x34\x99\xb5\x14\xc2\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCoverageModulationTableNV
  {(uint8_t*)"\xc4\x6e\x4a\xaa\xfe\x3a\x57\xca\x92\x11\xa1\x8c\xd2\xa7\x4b\xb4\x85\x58\x7a\x96\xd9\xe8\xff\x3f\xd1\x6a\xa9\xf6\xf6\x5a\x01\x0d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferTextureFaceEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenerateMipmapEXT
  {(uint8_t*)"\x20\xa3\xc0\x90\xf8\xc0\x3e\x6c\x71\x59\xc6\x09\x3d\x22\x78\x28\x25\xfc\xa7\x9d\x2a\xcb\xac\xec\x30\x07\x55\x03\x32\xcf\x50\xf3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFrustumxOES
  {(uint8_t*)"\xe1\x5c\x14\xd9\x44\x6c\x4e\xdc\x39\xda\xc2\x5e\xbf\x33\x79\x02\xe1\x4e\x6f\xc3\xee\x8e\xa2\xb9\xa5\xf7\x27\x9c\x77\x64\x9c\xe8", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsImageHandleResidentNV
  {(uint8_t*)"\x25\xb5\xd4\x4f\x9d\xd0\xd8\x1f\xc2\x9b\xad\xd1\x3c\x87\x3d\x03\x7e\x26\x5f\xd9\xf3\x29\x7e\x27\x99\x41\xab\x84\x2b\xd7\xd8\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glNamedProgramStringEXT
  {(uint8_t*)"\x40\xe0\x5f\x18\x13\xa1\x27\x03\x9f\xe5\xf6\x20\xcb\xc5\xd5\x18\xd8\x34\xfb\x96\xa6\x3c\xc1\xa5\x09\x5e\xe2\x2b\x35\x97\x6c\x4d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4i64ARB
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsTextureEXT
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendColorEXT
  {(uint8_t*)"\x83\xdf\xca\xef\x80\x28\x9d\xd0\xbc\x3a\x54\x10\x39\x60\xf6\x1d\x1b\xd7\x6f\xee\xb7\xbb\xc8\x9d\xc5\xd4\x07\xbb\x34\x8d\x74\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double *), uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetDoublev
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFrameZoomSGIX
  {(uint8_t*)"\x55\x46\x34\x2f\xe0\x30\x05\x3a\x0a\x55\x4e\xc7\x46\x51\x5c\xd9\x31\xd4\x84\xaf\x8e\xdc\xc2\x9f\x81\x9c\x6b\x31\x12\x99\x1f\x78", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1i64ARB
  {(uint8_t*)"\x26\x80\x6f\xbc\x32\x62\x85\x87\xef\x45\x8f\x5c\x53\x2a\x37\xc4\xef\xc0\x2f\x92\x3a\x25\xeb\x9d\xa9\x92\x82\xae\xe5\x9a\x5f\xd4", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFragDataIndex
  {(uint8_t*)"\x10\x01\x1a\xfd\xf4\x1c\x11\x0b\x14\x13\x3f\x19\x9a\xa8\x7e\x27\xa1\x08\x48\x72\x4a\xbe\xac\x29\xee\x0e\x5a\xcf\x35\xc6\x5f\x4f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTexture2DEXT
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetBufferPointerv
  {(uint8_t*)"\x67\x0d\x53\x91\x13\x41\x28\xef\xb5\x35\xd0\x2d\xae\xb7\x0d\xe7\xcd\xc4\xf1\xf1\x13\xe6\x44\xee\xd1\x84\x5c\x89\x22\x83\x03\x17", (void(*)(void *))&GuestWrapperForHostFunction<long(struct _XDisplay *, uint64_t, uint64_t, uint64_t, uint64_t), struct _XDisplay *, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXSwapBuffersMscOML
  {(uint8_t*)"\x87\x6a\x1d\xde\xb9\x3c\xb5\xaa\xf2\x1c\x87\xcc\x86\x99\x90\x82\xb9\x3b\x42\x5a\xcd\x6d\x56\x86\xcb\x58\x58\x62\xd4\x67\x77\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2i64vARB
  {(uint8_t*)"\xea\xba\xa1\x5f\x6a\xdb\x20\x6f\x4f\x0a\xfe\xf8\xdb\xa4\x41\x37\xb3\x95\xfb\x02\x65\x75\xf8\x1d\x11\x1b\xab\x9c\xb0\x22\x81\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferSamplePositionsfvAMD
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferSampleLocationsfvNV
  {(uint8_t*)"\x7c\xbf\x9e\x9a\xd3\x2a\x2a\x93\xed\x1c\x48\xd9\xfc\x64\x1a\xd1\x1f\x30\x9b\x01\x7a\xed\xa9\x14\x46\xfa\x72\x3b\x9c\x38\x2d\x9e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4iv
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTangent3fvEXT
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferParameteriMESA
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3fvARB
  {(uint8_t*)"\xf8\x88\x83\xbb\xcd\xa0\x24\x16\x83\xab\xe3\x77\x68\xa4\x2f\xa0\xc0\x57\x0a\xe1\x3b\xe5\xe0\x2e\x85\xc2\xe9\xcb\x9f\xf2\x83\x79", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint32_t, uint32_t, void *), uint32_t, uint8_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetMinmaxEXT
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTrackMatrixivNV
  {(uint8_t*)"\x44\x15\x50\x6e\xaf\x1c\x7d\xc3\xb5\x03\xba\x0a\x88\xf3\xf6\x4b\x66\x06\x94\xea\x05\xd8\xf2\x12\x68\xcd\x6b\xc4\x71\xa5\xcb\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInvalidateSubFramebuffer
  {(uint8_t*)"\xf8\x88\x83\xbb\xcd\xa0\x24\x16\x83\xab\xe3\x77\x68\xa4\x2f\xa0\xc0\x57\x0a\xe1\x3b\xe5\xe0\x2e\x85\xc2\xe9\xcb\x9f\xf2\x83\x79", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint32_t, uint32_t, void *), uint32_t, uint8_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetHistogram
  {(uint8_t*)"\x1a\xfa\x61\xf8\xa5\x5b\x01\xe9\x75\x14\xdb\xf0\x59\xe8\x6d\x11\x63\x4e\x67\x15\x5a\x40\xa1\xd8\x3b\x5c\x14\x30\xfd\xe0\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void *(uint32_t, uint64_t, uint64_t, uint32_t), uint32_t, uint64_t, uint64_t, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapNamedBufferRange
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentMaterialfvSGIX
  {(uint8_t*)"\x12\x8c\x1a\xf3\x35\x1e\xa4\x0f\x6f\x67\x9e\x14\x58\xe9\x2b\x53\x84\xae\xfd\x79\xe2\xfc\x91\xf1\x7b\x7d\x65\x84\xc2\x94\xa9\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexParameterfvEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentLightModelivSGIX
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFinalCombinerInputParameterivNV
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexfv
  {(uint8_t*)"\x96\x3b\x94\x19\x24\x84\x5d\x1d\xce\x5e\x07\x46\xea\x61\xaa\x4a\x22\xaa\xd9\x48\xd6\xcb\xed\x41\x5a\x90\x96\xc2\x22\xec\xab\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInstrumentsBufferSGIX
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSamplerParameteri
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetConvolutionParameterfv
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultTransposeMatrixf
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentLightivSGIX
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentColorMaterialSGIX
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogxOES
  {(uint8_t*)"\x7c\x11\x70\xf3\x66\x76\x22\x65\xcd\x3b\xdd\xd5\xa6\x5f\x62\x86\x35\x25\x47\x52\x51\x3b\x82\xb4\x66\x8a\x8e\xe5\xdb\x27\x2c\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedRenderbufferStorageMultisampleEXT
  {(uint8_t*)"\x12\x8c\x1a\xf3\x35\x1e\xa4\x0f\x6f\x67\x9e\x14\x58\xe9\x2b\x53\x84\xae\xfd\x79\xe2\xfc\x91\xf1\x7b\x7d\x65\x84\xc2\x94\xa9\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexEnvfvEXT
  {(uint8_t*)"\xe4\x7a\x6c\x17\x71\x4b\xf3\x6f\x5c\x93\x1b\xed\x01\x5f\x55\x0a\xfc\x15\x1f\xaa\x9f\xc9\x19\xca\xb9\x79\x50\x91\x76\xc8\xb0\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathCoordsNV
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glUnlockArraysEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetIntegerIndexedvEXT
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBinormal3fEXT
  {(uint8_t*)"\x7a\xcf\x12\x97\x17\x1f\x6e\xe7\x92\x0d\xdd\x03\xdd\x42\x4e\x69\x49\x8c\x09\x87\x16\x6a\xa6\x39\x98\xa9\x2f\x34\x2f\x53\xcb\xf8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, const float *), uint32_t, uint32_t*, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPrioritizeTextures
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogi
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogfv
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glTextureBarrier
  {(uint8_t*)"\x10\x01\x1a\xfd\xf4\x1c\x11\x0b\x14\x13\x3f\x19\x9a\xa8\x7e\x27\xa1\x08\x48\x72\x4a\xbe\xac\x29\xee\x0e\x5a\xcf\x35\xc6\x5f\x4f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTexture2D
  {(uint8_t*)"\xeb\x5e\x2c\x8f\xfa\x19\x10\x5f\x30\xfc\x96\x7b\xaf\xed\x17\xdd\xbd\x85\x16\xf0\x5f\xc2\x06\x6a\xb0\xb6\x31\x54\x24\x45\xeb\x8e", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(struct _XDisplay *, struct __GLXFBConfigRec *, uint64_t), struct _XDisplay *, struct __GLXFBConfigRec *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXCreateGLXPixmapWithConfigSGIX
  {(uint8_t*)"\x9a\x43\x84\xd4\x9c\x39\x59\x18\xb5\x7d\x9a\x63\x4c\xed\x31\xc4\x99\x7d\xf9\x0e\x1c\x83\x23\x54\x2b\xce\x6f\x5f\x19\x83\x69\x2e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t), uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2s
  {(uint8_t*)"\x9d\x67\x1a\x50\x8b\xaf\xbe\x5c\x53\x63\xf1\x1d\x06\xca\x4c\x91\x9e\x13\x51\x67\x3d\x39\xcd\x1c\x02\xcc\x34\x99\xb5\x14\xc2\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogFuncSGIS
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glActiveTexture
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameterfvSGIS
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4fvNV
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3fv
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoordhvNV
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix4x3fv
  {(uint8_t*)"\x92\x70\x16\xf9\x94\xa4\xb7\x97\x80\xd7\xa7\xd3\x10\x7d\xb6\x08\x02\x9e\x67\x41\x9f\x81\xfb\x4c\x74\x58\x81\xbc\x1a\x35\xf1\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramParameters4dvNV
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoordfvEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoorddvEXT
  {(uint8_t*)"\xd4\x76\xc5\xfb\xd2\xf0\xc6\x4e\x5e\x69\xdb\x5b\xc4\x9a\xfe\x7d\x46\x43\x7d\x9d\x7e\xf4\xa2\x8f\x78\x79\xa4\xf1\xc9\xc7\x54\x9c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyMultiTexSubImage1DEXT
  {(uint8_t*)"\xf3\x92\xe9\x78\x6b\x6c\xd1\x99\xd3\x6a\x88\xfd\x35\x16\x51\xe7\xc0\xf8\x54\xbc\xdf\x7d\x95\x18\xe9\x6c\xf0\xdd\xcd\x18\xd4\x01", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryCurrentRendererIntegerMESA
  {(uint8_t*)"\x54\x20\x60\xd5\x61\xb1\xf5\x32\x86\xca\x68\xcb\x2a\xba\xb3\xad\x24\x12\x7c\x01\xd2\x7c\x2f\x41\xcb\x2d\x3b\xb0\x65\xce\x48\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char **, uint32_t), uint32_t, const unsigned char **, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glEdgeFlagPointerListIBM
  {(uint8_t*)"\xec\xc4\x35\x0c\xdf\xe4\x34\xb8\xae\x6b\xdc\x5a\x09\x0e\x1d\xa7\x9d\xb6\xd7\x22\xdd\x31\xc7\x82\xb8\x24\x5b\x0b\x59\xad\x90\xdb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double), uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1dNV
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTangent3dEXT
  {(uint8_t*)"\x0b\xd6\xdb\x62\x03\x20\x15\xb4\xcd\x0c\xff\x92\x09\x57\xf6\x13\x03\xf3\x6a\x36\x52\x1f\xf5\x72\x08\xec\xfa\x2d\xbe\xdd\x25\x95", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFlushMappedNamedBufferRange
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4fv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFramebufferParameteriv
  {(uint8_t*)"\x5b\x85\x73\x46\x1a\x94\xbd\x9b\x8b\x0c\x9a\x04\x41\x6c\x52\x23\xc0\xc0\xf6\xb4\x67\x47\xa3\x00\x02\x4d\xdc\xc2\xb5\x55\x3b\xd4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float, uint32_t), uint32_t, uint32_t, uint32_t, float, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearNamedFramebufferfi
  {(uint8_t*)"\xe0\x57\x18\xf4\x8e\x3b\x1c\x3f\xaa\x42\xea\x65\x0e\x96\x1d\xf0\xaf\x24\x05\x7a\x27\xc8\xa6\xe0\xd5\xa6\x56\xc7\x6e\xc1\x89\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const float *), const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRectfv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFinishFenceAPPLE
  {(uint8_t*)"\x20\x89\x3d\x70\x52\x30\xda\x33\x4d\xc6\xe6\xed\xf0\x08\x66\x9c\xef\x27\xbc\x23\x03\x4c\x30\xa6\xc1\x87\x62\xf0\x11\xab\x3a\x46", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFeedbackBuffer
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalPoint1
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindProgramARB
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformui64vNV
  {(uint8_t*)"\x83\xfb\x82\x1e\x55\x90\x25\x3a\xf0\xa0\x63\xa2\xa9\xf6\xf0\x39\xc6\xdc\x0f\xd4\x3f\xc1\x3c\x41\xd1\xe8\x39\x72\x96\x0f\x4b\xd0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetConvolutionFilter
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedProgramLocalParameterIivEXT
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord2xvOES
  {(uint8_t*)"\x75\x04\x97\x87\xd0\x51\x98\x3e\xb8\xe3\xe9\x42\x9f\xd4\x71\x34\x08\x97\x19\x6d\x5c\x58\x39\x3d\x8e\x07\x4c\x18\xbc\x0c\xb6\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetInteger64i_v
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glFlush
  {(uint8_t*)"\x98\x10\x55\xab\x76\xa9\x72\x38\x95\x57\x19\x39\x41\xe1\xdd\x03\xb8\x24\xea\x49\x6e\x81\x7a\x38\xde\xcb\x45\xf5\xe0\x9a\xe3\xc0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2ui
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1xvOES
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord2xOES
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord2d
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastViewportArrayvNVX
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultisamplefvNV
  {(uint8_t*)"\x48\xdf\x7a\xad\x23\x5d\xff\xc5\x38\x0f\x69\xe3\xbd\x89\x58\xe8\x35\x61\xae\xb1\xb7\x49\xe3\x3c\x79\xfb\x9f\xcd\xe3\xb8\x41\x6b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, void *), uint32_t, uint64_t, uint64_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetBufferSubDataARB
  {(uint8_t*)"\xcc\x02\xe0\x57\xac\x5e\x3e\x0f\x3f\xad\x29\xa2\x7a\x87\xab\x2c\x21\xfe\xef\x41\xf9\x3d\x46\xc0\xea\x01\x45\x5e\x3e\x53\x1c\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTextureLayerEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glFlushVertexArrayRangeNV
  {(uint8_t*)"\xd1\xa9\x36\xe2\x08\x0e\xed\x6d\x52\x9c\x02\xde\xd0\x23\xd3\x47\x64\x32\x1e\x39\x95\xbd\xda\xda\x0e\x6b\xbc\xda\x69\xcd\x4e\x1d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexGendvEXT
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelZoomxOES
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEndPerfQueryINTEL
  {(uint8_t*)"\x08\x40\x2f\x40\x76\x06\x94\x6e\xf8\x0e\xde\x4b\xf6\x47\xb2\xf8\x52\x19\x05\xab\x7f\x72\x07\x3b\x54\xfc\x31\xe6\x19\x61\xb4\x51", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, const float *, const float *, const float *, const float *), uint32_t*, const float *, const float *, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3hvNV
  {(uint8_t*)"\x83\xdf\xca\xef\x80\x28\x9d\xd0\xbc\x3a\x54\x10\x39\x60\xf6\x1d\x1b\xd7\x6f\xee\xb7\xbb\xc8\x9d\xc5\xd4\x07\xbb\x34\x8d\x74\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double *), uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetClipPlane
  {(uint8_t*)"\xf2\x10\xe2\xef\x64\xab\x9b\x72\x83\x52\xa9\x34\x16\x9f\x1d\xab\x95\xb8\xad\xcb\x0a\x09\xbb\xa5\x6c\xfe\xa8\x15\xae\xc2\x4a\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, uint32_t*), uint32_t, uint32_t, uint8_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribP2uiv
  {(uint8_t*)"\xf7\x0f\x3d\x10\x34\xd3\x00\x00\x05\xa2\xd1\x1d\x74\xb3\x62\xda\xc7\xac\x79\x98\x3a\x94\x89\xe7\x72\xb0\xe7\xc4\x9c\xb4\xc6\x1f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramBufferParametersfvNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentCoverageColorNV
  {(uint8_t*)"\x60\xd2\x2d\x62\x93\x94\xf6\x4b\x77\x7f\x4e\x1a\x2d\x99\x8c\xbb\xa7\x90\x7f\xeb\x04\x78\xa8\x3e\x5c\x8e\x0c\x1b\x66\xec\x03\x86", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, uint32_t*), struct _XDisplay *, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryChannelRectSGIX
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI1iv
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3dv
  {(uint8_t*)"\xb1\x77\x0a\xf9\x28\x24\xa1\x50\xdc\x64\x8c\x92\x34\x44\xf7\x9f\x3d\xd1\x79\x95\x54\x26\xaa\xf7\x51\x34\x01\x87\xa8\x78\x25\x6b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastCopyBufferSubDataNV
  {(uint8_t*)"\xe0\x57\x18\xf4\x8e\x3b\x1c\x3f\xaa\x42\xea\x65\x0e\x96\x1d\xf0\xaf\x24\x05\x7a\x27\xc8\xa6\xe0\xd5\xa6\x56\xc7\x6e\xc1\x89\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const float *), const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3fVertex3fvSUN
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableVertexAttribArray
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFragmentLightivSGIX
  {(uint8_t*)"\xfc\xd9\xee\x86\x27\xda\x4a\x3c\x4f\xf7\xaf\x83\xcc\xd2\x46\xc8\x01\x87\x09\xca\x4c\xf0\x75\x8c\xef\xd2\x08\x13\xec\x89\x5d\x65", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4uiEXT
  {(uint8_t*)"\x9f\xfd\x1f\x0d\x5d\x02\x08\x17\x24\x23\xd2\x7c\x82\xf6\x0f\xe3\x09\x20\x0b\xd5\x6f\xdb\xe9\x91\xdf\x08\xa5\x8c\xc2\x59\xd3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXDestroyPixmap
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableVariantClientStateEXT
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsQuery
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableClientStateIndexedEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glProvokingVertex
  {(uint8_t*)"\xaa\x00\x28\xe5\xcb\xac\x90\xfb\xf5\x51\x75\xaa\x59\xd9\x7f\xfb\x91\x54\x37\x18\x92\x7f\x6f\x22\x41\x0d\x30\x1a\xfd\xd4\x99\x92", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float), uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4f
  {(uint8_t*)"\x7a\x3e\x6f\xd6\xf5\xd1\x12\xce\xf9\x5c\x53\xd8\x9f\x88\x95\x21\x9a\x4f\xb4\xfe\xf2\x29\x31\x1b\xd7\xb9\x5f\xd9\xfa\x54\xac\xb8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *), uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glElementPointerATI
  {(uint8_t*)"\x99\xa6\x71\x0f\x1f\x60\xf4\x04\xc2\x72\xde\x81\x5c\xcc\xf8\x92\x2a\x55\xdf\x1b\x57\xa2\x7b\xee\x13\xe1\xa4\x8a\x59\x74\x96\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, struct __GLXcontextRec *, struct __GLXcontextRec *, uint32_t, uint32_t, uint64_t, uint64_t, uint64_t), struct _XDisplay *, struct __GLXcontextRec *, struct __GLXcontextRec *, uint32_t, uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXCopyBufferSubDataNV
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedFramebufferParameteriv
  {(uint8_t*)"\xf2\x51\x7d\xf9\x39\xf8\x4a\x37\x6f\xce\x4a\x64\x7b\xfc\xc6\x19\x17\xed\x6c\x20\xac\x59\x05\x05\xed\x6f\x11\x30\xb9\x83\xf3\xee", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWeightivARB
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMapAttribParameterivNV
  {(uint8_t*)"\xa9\x7e\x8a\x0e\x6e\x7c\x43\xfc\xe7\x7f\xf8\x41\x16\x0d\x22\xdd\x05\x10\xfa\x04\x73\xb3\xdd\xac\x58\x5b\x58\x75\x64\x3b\x82\x14", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArraySecondaryColorOffsetEXT
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix3fv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramLocalParameterIivNV
  {(uint8_t*)"\x62\xf7\x21\x0a\x63\xf0\x4a\x34\xe9\xc7\xc8\xe6\x97\x9c\xe7\x6c\x6b\x29\x19\x89\x72\x07\xd3\x47\x14\xc5\x0d\x89\x30\x31\x6e\x90", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double, double, double), uint32_t, uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4dEXT
  {(uint8_t*)"\x21\x43\x6c\x7a\x73\x07\x32\xa0\x86\x56\x1f\x01\xd8\x6f\x38\x10\x10\x3c\x0a\x04\x97\xad\xf6\x2b\x8c\x69\x81\x66\x8d\x78\xb1\x93", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, void *, uint32_t*), uint32_t, void *, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glEGLImageTargetTexStorageEXT
  {(uint8_t*)"\xbe\x8a\xde\x06\x4c\xfa\xed\xa2\x7b\xb4\x19\x82\x5f\x1a\x5a\x55\xb6\xef\x1e\xe6\x72\x60\x5a\x3b\x15\xa2\xfa\x7f\xa4\xfe\xe3\x83", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthRangeIndexed
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2x4fv
  {(uint8_t*)"\x20\x0c\x79\xe0\xf0\x6e\x89\xd4\xcb\x01\xf5\x59\x7c\xb2\x34\x90\x5d\x59\x58\x1d\x2a\x62\xb0\xd0\x88\x1c\x04\x37\x13\xe4\x89\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(const unsigned char *, const float *), const unsigned char *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4ubVertex3fvSUN
  {(uint8_t*)"\x62\x1e\xa0\x79\x19\xf8\x27\x42\x82\xe3\x48\x70\x7f\x0e\x8e\xb3\x1b\x5a\xfe\x6e\xe9\xf7\x58\x57\x44\x54\x07\xa3\x17\x39\xa1\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char *), uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4ubv
  {(uint8_t*)"\xf3\x80\xe5\x8d\xa9\xa7\x9e\x37\x3a\x1e\x7c\x02\x47\xe5\x0a\xee\x4e\x3a\xcd\x4f\x77\x02\x0e\x0d\x7d\x9a\xa3\x1e\xcc\x73\x89\x60", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t), uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEdgeFlag
  {(uint8_t*)"\x4c\x93\xac\x34\xe5\xe9\xc1\x05\x0e\xfa\x23\xed\x7a\xc0\x4c\x44\x5e\xde\xb4\xc9\x5b\xec\xc8\x21\x67\x8b\x10\x8c\x75\x32\x8a\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAlphaFragmentOp1ATI
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1xOES
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawTransformFeedbackStream
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawTransformFeedbackInstanced
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos2xOES
  {(uint8_t*)"\xa0\x21\x9c\xcb\x82\x58\x19\xbf\xc6\x14\x28\xbd\x8b\x47\x47\x3a\xc9\xb9\x8d\x52\xaa\x7f\x10\x2d\x19\xa6\x2b\x99\xbb\x9b\xfa\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glDrawPixels
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawMeshTasksNV
  {(uint8_t*)"\xe7\xc4\xe3\x7c\x63\x1f\x05\x1b\x20\xce\x99\xe9\xda\xc0\x2b\x88\x53\x92\x6a\x4e\xe1\x1e\xf7\xaf\xfb\x29\x3a\x83\xed\x5b\xf6\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t), uint32_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream1sATI
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawMeshArraysSUN
  {(uint8_t*)"\xef\x91\xc7\xdd\xd3\x91\xdd\x1e\xbd\x41\xe1\x00\x88\x5c\xfd\xbb\x11\xec\x44\xc7\xf2\xca\xab\x7e\x53\x25\xa9\x7a\x6e\x34\xb0\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1fv
  {(uint8_t*)"\xe9\x3e\x79\x40\xbc\xc3\xe0\xee\xe9\x51\x10\x38\xb7\x7e\x8d\x05\xc2\x7c\x8c\x9e\x16\x9c\xf2\xf2\x4c\xc6\x87\x6e\xcb\x29\xdf\x0b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawElementsInstancedBaseVertexBaseInstance
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3sv
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3xvOES
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginConditionalRenderNVX
  {(uint8_t*)"\xef\x0f\x13\x86\x8b\xd0\x09\x5e\xe2\x5b\xce\x17\x9b\x28\xc9\x56\x92\x74\x51\x75\x24\xd1\xb9\x26\x7d\x30\xc4\x13\xe8\x20\x71\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void **), uint32_t, uint32_t, const void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexPointervINTEL
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4usv
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawElementArrayAPPLE
  {(uint8_t*)"\x99\x1e\x70\x73\xfd\x6e\x8d\xad\xf5\x34\x43\xb8\x2c\x6d\x8f\xb3\xac\x89\xd3\x5b\x7e\xb3\xb5\xd7\x49\xf4\x2a\xa8\x13\xb6\x2c\x5d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*, uint32_t*, uint32_t*, uint32_t*, uint32_t), uint32_t, uint64_t*, uint32_t*, uint32_t*, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawCommandsStatesNV
  {(uint8_t*)"\xc7\x09\xa4\xca\xad\x80\x05\x1f\x30\xcc\x36\x7d\xd3\xc0\xa3\x74\x4d\xa6\x2f\x57\x56\x6a\xcb\x18\x14\x48\xe4\x32\xb0\x04\x3a\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*, uint32_t*, uint32_t), uint32_t, uint64_t*, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawCommandsAddressNV
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMinmaxParameterfvEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEvaluateDepthValuesARB
  {(uint8_t*)"\x85\xd2\xcd\x59\x74\x6c\x38\x86\x91\xcb\x25\x08\x1f\x7a\xaf\x0e\x00\xcb\x65\xab\xdb\x51\xa7\x09\xde\xce\x5a\x3e\xc0\xaf\xd8\xd6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t*, uint32_t*, uint32_t*, uint32_t*, uint32_t), uint64_t*, uint32_t*, uint32_t*, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawCommandsStatesAddressNV
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawBuffers
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsEnabled
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawBuffersARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawBuffer
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoordf
  {(uint8_t*)"\x0e\x4d\xda\x88\x34\xa2\x5c\x2c\x1c\xaf\xe5\x37\xb0\xa1\xfa\xf0\x24\xc1\xad\xa8\xfb\x0c\xb1\xd6\xf0\x23\xc9\x2a\x0b\xf5\x0d\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, const void *, uint32_t), uint32_t, uint64_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glBufferDataARB
  {(uint8_t*)"\x87\x45\xc8\xbe\xca\x08\x00\x1b\x43\x95\x6e\x47\x37\x1b\xbe\x98\x91\x56\xdf\xd2\x21\x43\x3f\x77\x0c\x7a\xc7\xee\x99\x28\x52\x0b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexPointerEXT
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawArraysInstancedARB
  {(uint8_t*)"\xdf\x9d\xbc\xa0\xab\xe7\x5e\x13\x6c\x43\xbf\x77\x87\x0a\x3b\xa6\x7d\x43\x71\x73\x24\x02\x10\x6b\xf6\x20\xc0\x1b\xe0\xed\xac\xba", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXReleaseVideoImageNV
  {(uint8_t*)"\x0e\x4d\xda\x88\x34\xa2\x5c\x2c\x1c\xaf\xe5\x37\xb0\xa1\xfa\xf0\x24\xc1\xad\xa8\xfb\x0c\xb1\xd6\xf0\x23\xc9\x2a\x0b\xf5\x0d\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, const void *, uint32_t), uint32_t, uint64_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glBufferData
  {(uint8_t*)"\x97\x36\xf7\x8b\xbb\xa4\x1a\xb8\xe6\x27\xf7\xf0\x20\xfa\x83\xce\x0d\x7d\x86\xc3\x4f\x96\x99\x5a\xea\xff\x65\x25\x25\xdb\x3e\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const unsigned char *), const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEdgeFlagv
  {(uint8_t*)"\xe7\xb4\xd8\xc4\x17\x78\xbd\x4b\xde\x55\xaf\xcc\x7c\xfe\x93\xe0\x1f\xb2\x25\xd0\xda\xe9\x3d\xd5\x26\x7d\x54\x3f\x99\x2d\x67\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, double *), uint32_t, uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexGendvEXT
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawArraysEXT
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4usv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteShader
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glActiveShaderProgram
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDispatchCompute
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableVertexArrayAttrib
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixMultfEXT
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameterIiv
  {(uint8_t*)"\xb4\xf9\xb3\xc9\xa8\x53\x50\x7a\x25\xdb\xa9\xd9\xec\xf2\xf4\xad\x48\x0b\x40\xda\x77\xa8\x65\xcd\xfd\x16\xde\xa3\xec\x6e\x0f\xa6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilFillPathInstancedNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableIndexedEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTexGenParameterfvSGIS
  {(uint8_t*)"\xd4\xcf\x82\x4c\xf1\xb6\xc9\x08\xac\x68\x43\xb9\x3a\xb0\xdd\x4c\xf3\x0b\x3d\xdb\x2d\xf1\x79\x97\x60\x32\xa5\xd6\xb5\x45\xf8\xe8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetIntegerv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisable
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos4ivMESA
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4NusvARB
  {(uint8_t*)"\x3f\x6c\x09\xb8\xea\xd7\xda\x54\xf5\x12\x0a\x26\x03\x65\xb0\x21\x9f\x52\x04\xb4\x37\x5e\xe7\x60\x39\xdc\x33\xc2\x17\x02\x61\xe8", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint64_t), struct _XDisplay *, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXSelectEventSGIX
  {(uint8_t*)"\xd1\x5a\xc3\xfa\x17\x0c\x2f\x55\x6c\x76\xe0\xcd\xdd\x3e\x15\xa2\x22\x58\xac\xa3\xfd\xd5\xc9\x1f\x80\x8d\x70\xd0\x2c\xb0\x20\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t, uint32_t, float, float, float, float, float, float, float, float, float), uint64_t, uint32_t, float, float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawVkImageNV
  {(uint8_t*)"\x0d\x94\xac\x15\xb2\xfc\x4c\x28\x81\x92\x2c\x2b\x92\x02\x0d\x03\x63\xe5\x23\x0c\x3e\x52\x7c\xbc\x0d\xc9\x01\x1f\x89\xc8\xd3\x2f", (void(*)(void *))&GuestWrapperForHostFunction<XVisualInfo *(struct _XDisplay *, uint32_t, uint32_t*), struct _XDisplay *, uint32_t, uint32_t*>::Call<ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXChooseVisual
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2xOES
  {(uint8_t*)"\xea\x1f\x07\x2a\xa4\x60\xa4\xe7\xbe\xaa\x66\x55\x42\xea\x8e\x03\x37\x6e\x9a\x8b\xbb\xdd\x7f\x25\x59\x0a\xf9\x71\xf0\x55\xf2\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float), uint32_t, uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInterpolatePathsNV
  {(uint8_t*)"\x56\x61\x8f\xa5\x57\xe4\x8b\xba\xb5\xb9\xbb\x05\x96\x75\x15\x83\x42\x6b\x30\xeb\x6f\xee\xa1\xd9\x6a\x43\xe0\x58\x63\x23\x05\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2iv
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3hvNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableClientState
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDetachShader
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateProgramPipelines
  {(uint8_t*)"\x21\xce\x56\x86\x6d\xf8\xe9\x83\x2a\xc6\x28\x8a\xa9\x30\x27\xb9\xbe\xae\x05\x8f\x4b\xe4\xdb\x00\xa8\x8b\x6f\xc7\x19\x2d\x31\x79", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetInternalformatSampleivNV
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2xvOES
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthRangexOES
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos3sv
  {(uint8_t*)"\xd1\x69\x31\x1b\xd7\xd4\x20\xdb\xf5\x90\xa2\xfb\x4e\x43\xc1\xe0\xbf\x7b\x26\xd5\x4a\x6a\x49\xc8\xed\x88\xa3\x99\x07\xe2\x71\x41", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t, uint64_t, uint32_t, uint32_t), uint64_t, uint64_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawMeshTasksIndirectCountNV
  {(uint8_t*)"\x87\x45\xc8\xbe\xca\x08\x00\x1b\x43\x95\x6e\x47\x37\x1b\xbe\x98\x91\x56\xdf\xd2\x21\x43\x3f\x77\x0c\x7a\xc7\xee\x99\x28\x52\x0b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexCoordPointerEXT
  {(uint8_t*)"\x0d\x09\xd9\xd6\xfa\xe2\x43\xff\xac\xc9\x6f\xf7\x60\x6a\x1b\xba\x21\x21\xaa\x87\x08\xad\xf8\x74\x82\x1a\x2a\xa4\xd4\xc0\x19\x80", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthRangeArrayv
  {(uint8_t*)"\xe9\x3c\x9f\x05\xfa\xd6\x81\x40\xf1\xbe\xa7\xb3\xa2\x3e\x40\xc2\xfb\xf9\xf3\xb0\x38\x11\x7d\x4c\x69\xc5\x31\x1b\xf9\x0a\x89\x5b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double, uint32_t, uint32_t, double, double, uint32_t, uint32_t, const double *), uint32_t, uint32_t, double, double, uint32_t, uint32_t, double, double, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapVertexAttrib2dAPPLE
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableVertexAttribAPPLE
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix4fv
  {(uint8_t*)"\x0d\x09\xd9\xd6\xfa\xe2\x43\xff\xac\xc9\x6f\xf7\x60\x6a\x1b\xba\x21\x21\xaa\x87\x08\xad\xf8\x74\x82\x1a\x2a\xa4\xd4\xc0\x19\x80", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthRangeArraydvNV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL2dvEXT
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthBoundsEXT
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConservativeRasterParameterfNV
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetShaderiv
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthBoundsdNV
  {(uint8_t*)"\xbc\x4f\x67\xd4\x28\x30\xfe\xb8\x0a\xd6\xf4\x05\x84\x00\x0d\x26\x53\x26\x07\x0b\xec\x14\x01\x7c\xe4\x44\x2e\x70\x81\xac\xd1\xc4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawArraysInstancedBaseInstance
  {(uint8_t*)"\x9f\xc4\x49\x02\x85\x47\x00\x1a\x6b\x52\xd8\xf3\x4d\xb4\x58\x91\xd6\x85\xbb\x9e\xe4\xa1\xab\xa1\x64\xdf\x0a\x86\x9c\x83\x76\xa6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParameterI4uivEXT
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteTransformFeedbacksNV
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3xOES
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteTransformFeedbacks
  {(uint8_t*)"\xae\x16\x8d\x74\x9f\xd1\x33\x1d\x6c\x2a\x1e\x2c\x7f\xa2\xa2\xe2\xd2\x58\xc6\x4c\xf8\x94\x9a\x13\x50\x82\xa8\x58\x97\x2b\xe7\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(struct __GLsync *), struct __GLsync *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glDeleteSync
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteCommandListsNV
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteStatesNV
  {(uint8_t*)"\x5d\x8e\xb0\x2a\x84\x1a\xfe\x78\x2f\x15\xd1\x09\x2f\xf9\xb7\x42\xba\xb2\xa9\xac\xb0\x67\x91\x56\xf2\x69\xee\xbc\x94\xa1\x62\x10", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorage2DMultisample
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMinmaxParameteriv
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteSemaphoresEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4iv
  {(uint8_t*)"\x6b\xac\xa8\xc7\xc1\x3f\xa7\xd8\x68\xe7\x82\x53\xdb\x9b\xbb\x50\xe8\x97\x8a\x63\xa5\xfc\xd0\xce\x5d\x40\xee\xd0\x67\x22\xf0\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2fv
  {(uint8_t*)"\xf2\x51\x7d\xf9\x39\xf8\x4a\x37\x6f\xce\x4a\x64\x7b\xfc\xc6\x19\x17\xed\x6c\x20\xac\x59\x05\x05\xed\x6f\x11\x30\xb9\x83\xf3\xee", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteQueryResourceTagNV
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteProgramsARB
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteFramebuffers
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteProgram
  {(uint8_t*)"\x12\x8c\x1a\xf3\x35\x1e\xa4\x0f\x6f\x67\x9e\x14\x58\xe9\x2b\x53\x84\xae\xfd\x79\xe2\xfc\x91\xf1\x7b\x7d\x65\x84\xc2\x94\xa9\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVideoCaptureStreamfvNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeletePerfQueryINTEL
  {(uint8_t*)"\xbf\xa2\xee\x05\xf0\x93\xbf\xfe\xff\xec\x2d\x0a\xb6\xc3\x2e\x43\x45\x3b\x23\x52\x46\xb6\xb3\x77\x12\xd0\xc9\x19\x6a\xf7\xe1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1ui64vARB
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeletePerfMonitorsAMD
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPassThrough
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteNamesAMD
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMaterialfv
  {(uint8_t*)"\x62\xf7\x21\x0a\x63\xf0\x4a\x34\xe9\xc7\xc8\xe6\x97\x9c\xe7\x6c\x6b\x29\x19\x89\x72\x07\xd3\x47\x14\xc5\x0d\x89\x30\x31\x6e\x90", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double, double, double), uint32_t, uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4d
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glFinish
  {(uint8_t*)"\xe9\x7d\x14\x53\x81\xcd\xf8\x12\x68\x8b\x87\xb0\xcf\x3a\xfe\xfd\x0f\x2a\x06\x67\xdd\xf0\xac\x49\x72\x95\xba\xd3\xa6\xe4\xa6\xda", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint32_t, uint32_t*), struct _XDisplay *, uint64_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryDrawable
  {(uint8_t*)"\x56\x61\x8f\xa5\x57\xe4\x8b\xba\xb5\xb9\xbb\x05\x96\x75\x15\x83\x42\x6b\x30\xeb\x6f\xee\xa1\xd9\x6a\x43\xe0\x58\x63\x23\x05\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4ivEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawTransformFeedback
  {(uint8_t*)"\xaa\x00\x28\xe5\xcb\xac\x90\xfb\xf5\x51\x75\xaa\x59\xd9\x7f\xfb\x91\x54\x37\x18\x92\x7f\x6f\x22\x41\x0d\x30\x1a\xfd\xd4\x99\x92", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float), uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream4fATI
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixPopEXT
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteMemoryObjectsEXT
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1fNV
  {(uint8_t*)"\x71\x50\xf1\xdb\x69\xbb\x92\x06\x7a\x2a\xa1\xd3\x35\x1a\x2b\x30\x83\xbc\xf7\x79\x8f\x5b\x8c\xda\x75\x99\x1a\xd5\x71\x3c\x44\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedBufferParameterui64vNV
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPixelTransformParameterivEXT
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1dvNV
  {(uint8_t*)"\x64\x39\x8a\xde\x23\xfa\xf0\xfb\x7d\x0a\xa0\x2a\x14\x4e\xaf\xd1\x0f\xa0\x77\xb3\x51\x8b\x4c\x65\x42\x9f\x98\x77\x8d\x73\x42\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, double), uint32_t, uint32_t, uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexGendEXT
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteFencesNV
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteBuffersARB
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteProgramPipelines
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteAsyncMarkersSGIX
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeformSGIX
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformHandleui64vARB
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3xvOES
  {(uint8_t*)"\x2c\xdc\x46\x32\x79\xb7\x99\xb7\x59\x6d\x86\x98\xd1\xa2\x74\xcc\x3d\xfa\x25\xfb\x61\x97\xe0\xe7\xd2\x88\xd6\x12\x24\xbd\xdc\xef", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const char *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDebugMessageInsert
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadTransposeMatrixxOES
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetArrayObjectivATI
  {(uint8_t*)"\xea\xaa\x22\x0f\xbd\x58\xd0\x19\x06\x7c\xa5\xc3\x8b\xce\x24\xf6\xdf\xf9\xd1\x3e\x0b\x79\xf6\xb9\x05\xbe\x91\x1d\xeb\xbe\x1b\x0d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, uint8_t, uint8_t, uint8_t, uint8_t, float, float, float), float, float, uint8_t, uint8_t, uint8_t, uint8_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fColor4ubVertex3fSUN
  {(uint8_t*)"\xb2\x73\x69\xb5\x75\x7a\x8f\x11\xd0\xbb\x7e\xa1\xce\x9f\xf2\xb1\xbe\x3c\xa9\x53\x45\x38\x28\xe9\xe6\x1d\x8c\x41\xa2\x77\xd6\x40", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t*, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDebugMessageEnableAMD
  {(uint8_t*)"\xe1\xbf\xbf\x68\x17\x69\x82\x74\x16\x3b\x42\x77\x6e\x0e\x72\xf2\x53\x01\x55\x8f\x25\xa3\x9b\x28\x06\xab\xcb\x66\xbf\x6d\x98\x48", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDebugMessageControl
  {(uint8_t*)"\x60\xd2\x2d\x62\x93\x94\xf6\x4b\x77\x7f\x4e\x1a\x2d\x99\x8c\xbb\xa7\x90\x7f\xeb\x04\x78\xa8\x3e\x5c\x8e\x0c\x1b\x66\xec\x03\x86", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, uint32_t*), struct _XDisplay *, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryChannelDeltasSGIX
  {(uint8_t*)"\x1b\x48\x82\x4b\xc3\xe5\x16\xb2\xa2\x63\x0e\x26\x3b\x28\x17\xc5\x4c\x29\xbb\x84\xd6\xea\xe7\xe0\x7f\x0c\xbc\xb4\x10\x95\xa2\x02", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint8_t, uint8_t, uint8_t), uint32_t, uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorMaski
  {(uint8_t*)"\x0b\xd6\xdb\x62\x03\x20\x15\xb4\xcd\x0c\xff\x92\x09\x57\xf6\x13\x03\xf3\x6a\x36\x52\x1f\xf5\x72\x08\xec\xfa\x2d\xbe\xdd\x25\x95", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL2i64NV
  {(uint8_t*)"\xbb\x00\x7d\x9e\xa8\x00\x9b\x93\x10\xc6\xe3\xf1\x26\x33\xc3\x52\x78\xec\x82\x2e\x42\x46\xaf\x6f\xdd\xa1\xd2\x65\xb5\x5a\x69\xa8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t), uint32_t, uint32_t, const void *, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawElementsIndirect
  {(uint8_t*)"\xb1\x58\x9e\x5a\x55\x2a\xce\xfc\xa0\xae\x08\xe3\xd6\x8f\x24\x68\x17\x71\xb6\x87\x8d\xff\xdc\x56\xe4\xb0\xfb\xcf\x56\x29\x89\xf9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMemoryObjectDetachedResourcesuivNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoordP4ui
  {(uint8_t*)"\x66\xdb\x77\x21\xaa\x8f\x8f\x43\xc7\xfb\x96\x09\x3a\x6a\xc8\x36\x1b\xa4\x70\xbc\x86\xfd\xa9\x36\xbd\xa7\x61\xa1\xee\xae\x2d\x66", (void(*)(void *))&GuestWrapperForHostFunction<void(void (*)(unsigned int, unsigned int, unsigned int, unsigned int, int, const char *, const void *), const void *), void (*)(unsigned int, unsigned int, unsigned int, unsigned int, int, const char *, const void *), const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glDebugMessageCallbackARB
  {(uint8_t*)"\xfc\xd5\x84\xc5\x13\x73\x43\xb1\x7f\xdb\x42\x89\x0b\x79\xc1\x2d\x11\xba\x03\x23\x94\x44\x7d\x20\x3e\x31\x9a\x92\x89\x69\x01\x0f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexImage3D
  {(uint8_t*)"\xc7\xf6\xb5\xcb\xc1\x48\x7e\x2a\x10\x0d\x94\xeb\x9f\xa7\x9b\x10\x2d\x81\x1f\xde\xd2\xfe\x2f\xba\xcb\xff\x17\x3d\xe8\xf7\xb5\xe2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveAttrib
  {(uint8_t*)"\x83\xdf\xca\xef\x80\x28\x9d\xd0\xbc\x3a\x54\x10\x39\x60\xf6\x1d\x1b\xd7\x6f\xee\xb7\xbb\xc8\x9d\xc5\xd4\x07\xbb\x34\x8d\x74\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double *), uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCullParameterdvEXT
  {(uint8_t*)"\x94\xf2\x07\x3a\x69\x67\xa0\x73\x1c\x93\x91\x9a\xc7\xd8\x95\xa4\x93\x63\x9b\xaa\x97\xbb\x46\x46\x15\x65\x95\x33\xc5\x62\x6f\xe0", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glXSet3DfxModeMESA
  {(uint8_t*)"\xb7\x06\xc3\x2b\x09\xa8\x56\x10\xb8\x35\x34\x79\xca\x78\xad\x1d\x18\x63\x79\x6f\x3d\x4c\xa3\x8d\x62\xe3\xcc\x1a\xfa\x99\x96\x46", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glFogCoordPointer
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1ivARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCullFace
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRectf
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSelectBuffer
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateTransformFeedbacks
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4ui64vNV
  {(uint8_t*)"\x49\x40\xaa\x29\xeb\x38\xca\xbe\xb7\x20\x56\x10\xfe\x0e\xa6\xfb\x42\x77\x08\x5f\xa6\xfd\xbe\xb4\xf9\x59\x75\x7b\xcf\xaa\xcb\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4sNV
  {(uint8_t*)"\xc0\x83\xe5\x60\x4a\x40\x6c\x26\x61\x84\x52\x18\x98\x47\x62\x87\x8b\x31\x27\x94\xc7\xe0\x17\xf7\xfe\xb0\x56\xa9\xeb\xd3\x08\x0c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3sNV
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetInvariantIntegervEXT
  {(uint8_t*)"\xcf\xbd\x17\x15\xa1\xf2\x37\x22\xe1\x05\x50\x22\x35\x26\x4b\xd5\xf2\xae\x5c\x5b\xf6\xd8\x92\x13\xfb\x77\xe0\x00\x46\xa0\xc7\xd6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glActiveVaryingNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendFunc
  {(uint8_t*)"\xa5\xe9\xec\xc4\x21\xcb\x69\xbe\xd2\x69\xe4\x0b\x67\x6e\x64\x20\x48\x03\x8c\x0b\x7e\x00\x97\xce\x42\x54\xea\x1f\x81\xee\xfe\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorage1D
  {(uint8_t*)"\x43\x88\xf3\x72\x8e\xc3\xeb\xc1\x04\x35\x65\x5a\x25\x52\x02\x40\x59\x48\x6a\xb6\x30\x51\xc5\x80\x49\xdd\xdd\x18\x34\x45\xba\xe4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreatePerfQueryINTEL
  {(uint8_t*)"\x09\xd9\xf7\x44\x0d\x12\x80\x59\xa4\xc5\xd3\x12\x6d\xe8\x9a\x03\x10\x83\xab\x2f\x91\xd8\x19\xd6\xe1\x92\x26\x44\xa2\x85\x8f\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(void (*)(unsigned int, unsigned int, unsigned int, int, const char *, void *), void *), void (*)(unsigned int, unsigned int, unsigned int, int, const char *, void *), void *>::Call<ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glDebugMessageCallbackAMD
  {(uint8_t*)"\x82\x67\x40\xcc\xf9\x86\xc7\x6e\x07\x2c\x6e\xfc\xe6\x26\xe1\x95\x28\x6e\xd1\xa2\x4b\x6e\xa2\x39\x09\xf4\xef\xbd\x18\x2b\x31\xbb", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int()>::Call<ParameterAnnotations {}>}, // glGetError
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3dEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFragmentMaterialfvSGIX
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateBuffers
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCoverStrokePathNV
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightModelxvOES
  {(uint8_t*)"\x49\x40\xaa\x29\xeb\x38\xca\xbe\xb7\x20\x56\x10\xfe\x0e\xa6\xfb\x42\x77\x08\x5f\xa6\xfd\xbe\xb4\xf9\x59\x75\x7b\xcf\xaa\xcb\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4s
  {(uint8_t*)"\x37\x5a\xca\xf1\xf9\x74\x38\x42\xd9\x31\xbc\x0f\x68\xd0\xf5\x29\x7b\xbc\x06\x50\x73\x92\x94\x34\xf0\x73\xd7\x6c\x4d\x05\x79\xc3", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint64_t, uint64_t, uint64_t, uint64_t*, uint64_t*, uint64_t*), struct _XDisplay *, uint64_t, uint64_t, uint64_t, uint64_t, uint64_t*, uint64_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXWaitForMscOML
  {(uint8_t*)"\x8d\xd6\x8a\x04\xd5\xd6\xe3\x6c\xdb\x36\x71\x92\x83\x30\xdc\x16\x5f\xc8\x65\xa3\x50\xe9\x05\xc0\x0e\x1d\x2e\x8c\x7b\xc4\xb4\xb9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTextureSubImage3DEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3dv
  {(uint8_t*)"\xf1\x83\x41\xe3\x9e\xad\xe2\x04\xc2\x3f\x33\x90\xe6\x47\x58\x8d\x9b\x85\x1c\x0b\xee\xde\xa3\x80\x9f\x4f\x3d\x31\x83\x2b\x9c\xf1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawRangeElementArrayAPPLE
  {(uint8_t*)"\x8f\x0e\x7a\x3f\x01\xf5\x4e\x2e\xde\xe9\x67\xcd\x3c\xf8\x7a\x38\x34\xf8\xef\x43\x2f\x0f\xf2\x46\x3d\x5e\xa2\x4e\x98\x26\xae\x06", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTextureSubImage2D
  {(uint8_t*)"\x2f\x2e\x0b\x66\xee\x60\x2a\x8e\xd1\xa3\x72\x6e\x42\x8b\x09\xe0\xff\x1b\x8c\x2d\xf0\x31\xcb\xd9\x83\x29\x2d\x79\xd6\xfd\x49\x89", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTextureSubImage2DEXT
  {(uint8_t*)"\x29\xcf\x55\xc7\x03\x43\xaf\x51\x24\x57\xb8\x41\x9b\x8f\x8e\xe2\x4a\xfa\xd0\xcc\x0a\x82\x8b\xa9\xbc\x24\xbc\xf1\x5f\x53\x04\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTextureSubImage1D
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedFramebufferParameterivEXT
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawArrays
  {(uint8_t*)"\xc7\xf6\xb5\xcb\xc1\x48\x7e\x2a\x10\x0d\x94\xeb\x9f\xa7\x9b\x10\x2d\x81\x1f\xde\xd2\xfe\x2f\xba\xcb\xff\x17\x3d\xe8\xf7\xb5\xe2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveUniform
  {(uint8_t*)"\x79\x1f\xd1\x9c\x3f\x90\xbc\xb7\xf6\x23\x27\x55\x68\x44\x60\xbe\x4a\x9d\xa4\xaf\x18\xa5\xbe\xf9\xf0\x26\xab\x73\xbe\x2c\xa4\x0a", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, struct __GLXcontextRec *, uint32_t, uint32_t*), struct _XDisplay *, struct __GLXcontextRec *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryContext
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4dvEXT
  {(uint8_t*)"\x02\x8a\x1a\x95\xff\xd1\xf4\x9f\x21\xa5\xb4\x74\xbb\x6b\x45\xac\x90\x5e\xc9\xef\xf1\xe2\x41\x70\x74\x35\xad\xa1\x79\xda\x2c\x52", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTextureImage2DEXT
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentLightfvSGIX
  {(uint8_t*)"\x24\x44\xc9\x5d\xf8\xf7\x95\x90\xa4\x13\x82\xad\x85\xc8\x2e\x54\x34\x27\xc7\x66\xde\x82\xbe\xd2\xbc\x07\x9b\x56\x73\x04\xb2\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTexSubImage3D
  {(uint8_t*)"\x8f\x0e\x7a\x3f\x01\xf5\x4e\x2e\xde\xe9\x67\xcd\x3c\xf8\x7a\x38\x34\xf8\xef\x43\x2f\x0f\xf2\x46\x3d\x5e\xa2\x4e\x98\x26\xae\x06", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTexSubImage2DEXT
  {(uint8_t*)"\x0e\x36\x7a\x8e\xb0\xb3\x58\x2e\x0b\x2b\x0d\xc7\x3f\xd8\x71\xf6\xb7\x5c\x31\x9e\xb8\x41\x34\x5c\x12\x6a\x20\xa3\x39\x76\x59\xcc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL1i64NV
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoordP4uiv
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetListParameterfvSGIX
  {(uint8_t*)"\x29\xcf\x55\xc7\x03\x43\xaf\x51\x24\x57\xb8\x41\x9b\x8f\x8e\xe2\x4a\xfa\xd0\xcc\x0a\x82\x8b\xa9\xbc\x24\xbc\xf1\x5f\x53\x04\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTexSubImage1DEXT
  {(uint8_t*)"\xeb\x13\xd5\x2f\x24\x5a\x04\x7b\x01\x25\x14\x21\x3b\xef\x4a\x46\x70\x3a\x45\xf2\xa0\xbd\x6d\x0e\x71\xee\x35\xe8\x1a\x1b\x55\x7e", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float), float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFrustumfOES
  {(uint8_t*)"\x55\xb9\xc8\xe6\xe0\xa8\xdd\x6b\x40\xc7\xae\x02\x63\x8a\x9d\x86\xc6\xc5\x11\xe3\xff\xea\x76\x7a\xd0\x5a\x05\x1f\x5b\xf3\xcc\x2d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glDrawElementsIndirect
  {(uint8_t*)"\xf0\x56\x5a\x57\x39\xe5\xf6\xa7\x6f\xae\xbb\x18\x01\xcc\x3e\x0a\x29\xc5\xcb\x92\xc3\x4b\xa0\xf7\x71\x13\xcc\x51\x0b\x81\xf3\x48", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTexImage2D
  {(uint8_t*)"\x56\x61\x8f\xa5\x57\xe4\x8b\xba\xb5\xb9\xbb\x05\x96\x75\x15\x83\x42\x6b\x30\xeb\x6f\xee\xa1\xd9\x6a\x43\xe0\x58\x63\x23\x05\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3ivEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyPathNV
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos4f
  {(uint8_t*)"\xc7\xf6\xb5\xcb\xc1\x48\x7e\x2a\x10\x0d\x94\xeb\x9f\xa7\x9b\x10\x2d\x81\x1f\xde\xd2\xfe\x2f\xba\xcb\xff\x17\x3d\xe8\xf7\xb5\xe2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveUniformARB
  {(uint8_t*)"\x29\xff\x71\x0d\xa2\x3d\x67\x5c\x65\x55\x30\x6c\xfb\xbf\xf0\x15\xea\x8c\xf7\x65\x82\xfc\x55\x72\x1b\x93\xa5\x80\xc0\xda\x9a\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVariantArrayObjectATI
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenProgramsNV
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord2dv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetSamplerParameterIiv
  {(uint8_t*)"\x2f\x2e\x0b\x66\xee\x60\x2a\x8e\xd1\xa3\x72\x6e\x42\x8b\x09\xe0\xff\x1b\x8c\x2d\xf0\x31\xcb\xd9\x83\x29\x2d\x79\xd6\xfd\x49\x89", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyMultiTexSubImage2DEXT
  {(uint8_t*)"\x02\x8a\x1a\x95\xff\xd1\xf4\x9f\x21\xa5\xb4\x74\xbb\x6b\x45\xac\x90\x5e\xc9\xef\xf1\xe2\x41\x70\x74\x35\xad\xa1\x79\xda\x2c\x52", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyMultiTexImage2DEXT
  {(uint8_t*)"\x6a\xd4\x4b\x36\xa3\x26\x9e\x4d\xa8\x34\x31\x43\x4f\x7a\xa2\x39\x27\x86\x8a\xb0\xe9\xac\xac\xfc\x7a\x5b\xe7\x8f\x76\x88\xee\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyImageSubData
  {(uint8_t*)"\x83\xfb\x82\x1e\x55\x90\x25\x3a\xf0\xa0\x63\xa2\xa9\xf6\xf0\x39\xc6\xdc\x0f\xd4\x3f\xc1\x3c\x41\xd1\xe8\x39\x72\x96\x0f\x4b\xd0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetColorTable
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3usv
  {(uint8_t*)"\xdf\xd8\x4b\xbf\xe6\x84\xbe\xd5\xd1\x4e\xd6\xd8\x94\x8e\xb6\x5b\xea\x48\xe6\x72\x7a\x14\x75\xbf\xb4\x4b\x7c\xce\xb6\xb3\x6c\xa0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const unsigned char *), uint32_t, uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEdgeFlagPointerEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoordP3ui
  {(uint8_t*)"\x4c\x2f\x0c\xe7\xf0\xb6\xea\xa9\xcd\xcc\x67\xc4\x8c\x9f\xa6\x77\xf9\xe1\x60\xdd\x16\x48\x45\xcc\xf8\x47\xd7\x59\xbd\x55\x1e\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexLevelParameterfvEXT
  {(uint8_t*)"\x09\x1e\xd6\x2f\x82\xf6\x53\xbf\xba\xeb\x55\x9d\xf5\xbb\x3d\x22\x19\xbc\xae\x1b\x89\x92\x4e\xc8\x03\xf1\xb5\x3e\xab\x7f\x83\xdf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyConvolutionFilter1D
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVideoCaptureivNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFlushStaticDataIBM
  {(uint8_t*)"\x74\xf5\xc9\xfb\x84\x09\x27\x66\xf1\xce\x28\xda\x61\xff\x32\x82\xd6\xec\x00\xa0\x6f\x7c\x58\x1a\x80\x00\x15\x8b\xf5\x3c\x6a\xeb", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetGPUIDsAMD
  {(uint8_t*)"\xcc\x02\xe0\x57\xac\x5e\x3e\x0f\x3f\xad\x29\xa2\x7a\x87\xab\x2c\x21\xfe\xef\x41\xf9\x3d\x46\xc0\xea\x01\x45\x5e\x3e\x53\x1c\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferTextureLayerEXT
  {(uint8_t*)"\x44\x28\xa5\xa5\x40\x51\x2a\x85\x9b\xa2\x7f\x42\x1b\x04\xfe\xbe\x08\x94\xd8\x48\x90\xba\xad\x60\x88\xba\xb7\x4b\x6a\xb3\xa2\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformuivEXT
  {(uint8_t*)"\x3f\xe4\x1b\x6b\x84\x25\x4b\x93\xeb\xac\x31\x37\x4a\x62\xde\x8a\xa3\x9f\x74\xa3\x0e\xfb\x98\xa9\xb5\xe4\x81\x04\x7d\x70\x09\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetTextureImage
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyColorSubTable
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConvolutionParameterxvOES
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClientActiveVertexStreamATI
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glFrameTerminatorGREMEDY
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramParameteri
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConvolutionParameterxOES
  {(uint8_t*)"\xf4\xcc\x53\x28\x8a\x13\xd7\xf9\x57\x8f\x22\x20\x9c\x8a\x74\x3a\xce\xb5\x32\x59\xa9\x06\xc9\xe3\xfd\xd5\xf9\x8e\x2f\x9f\xa0\x18", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1i64NV
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConvolutionParameteriv
  {(uint8_t*)"\x52\x72\xef\xc0\x6a\x5c\xfd\xf0\x30\x72\x19\x5d\x51\xfa\x1f\x26\x15\x90\x32\xec\xa6\xe4\x97\x41\x64\x71\x90\x04\x71\xd1\x61\xb9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParametersI4uivNV
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3d
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConvolutionParameteri
  {(uint8_t*)"\xe7\xc4\xe3\x7c\x63\x1f\x05\x1b\x20\xce\x99\xe9\xda\xc0\x2b\x88\x53\x92\x6a\x4e\xe1\x1e\xf7\xaf\xfb\x29\x3a\x83\xed\x5b\xf6\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t), uint32_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1sARB
  {(uint8_t*)"\x24\xff\x43\x3a\x80\x3e\x0d\x80\x40\x6c\xfb\x16\xb9\xbd\x41\xcb\xbe\x0b\xf8\x19\xcf\x04\x68\x9a\xbe\xfc\x47\xa0\x21\x0b\x2d\xfa", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsVertexAttribEnabledAPPLE
  {(uint8_t*)"\x06\x91\xa2\x64\xfd\x7b\xeb\xa4\x20\xc4\x9b\xbc\xc8\xe1\xc5\xa6\xb5\xbd\xe4\x29\x10\x13\x72\xad\x1b\x93\x2d\x17\x29\x7e\x22\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glConvolutionFilter2D
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoordFormatNV
  {(uint8_t*)"\x80\x9f\x55\x6e\x97\xeb\x87\x2a\x7f\x3e\xa6\x4f\xac\xba\x17\xd5\xed\xfe\x2b\x1a\xcb\xf9\xd7\x0d\x30\x52\x34\x4e\x4f\x75\x51\xdf", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenPathsNV
  {(uint8_t*)"\x06\x91\xa2\x64\xfd\x7b\xeb\xa4\x20\xc4\x9b\xbc\xc8\xe1\xc5\xa6\xb5\xbd\xe4\x29\x10\x13\x72\xad\x1b\x93\x2d\x17\x29\x7e\x22\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glConvolutionFilter2DEXT
  {(uint8_t*)"\x84\x24\xce\xc4\x81\x6e\xfe\xd9\x17\xd9\x30\xa4\x8a\x85\x1e\x40\x1b\xb9\xb2\xbd\x65\x23\x38\x38\x40\xf8\x90\xb6\xf3\x3e\x81\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, void *), uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glEGLImageTargetTexture2DOES
  {(uint8_t*)"\x32\x2b\x19\x85\x59\xa7\x8b\xfa\x49\x0d\xda\x28\xc3\x76\x32\xdf\x4b\x58\xef\x1d\x08\xe0\x64\xd6\x84\x0b\x91\x04\x00\xb0\x11\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix3x2dv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetColorTableParameteriv
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConservativeRasterParameteriNV
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPassThroughxOES
  {(uint8_t*)"\x4d\x90\xa4\x39\xa5\xaa\x99\xa5\x06\x8d\x32\x31\xb6\xf0\xea\xc0\x5a\x17\x43\x72\xbc\x78\xb7\x47\xb1\xdc\x20\x74\xd2\x16\x8e\x3d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTextureSubImage3D
  {(uint8_t*)"\x49\x40\xaa\x29\xeb\x38\xca\xbe\xb7\x20\x56\x10\xfe\x0e\xa6\xfb\x42\x77\x08\x5f\xa6\xfd\xbe\xb4\xf9\x59\x75\x7b\xcf\xaa\xcb\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4s
  {(uint8_t*)"\x0b\x87\x55\x13\xf4\x6e\x43\xb0\xe6\x98\x4c\x44\x87\xcb\x59\x0a\x31\xf4\xbe\x2b\x58\x39\x46\xb9\xb3\x53\xf3\x8a\xd0\x8c\x0a\xd5", (void(*)(void *))&GuestWrapperForHostFunction<void(double), double>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexd
  {(uint8_t*)"\xe8\xbb\xe5\x57\xf1\x8c\xa6\x5a\xee\x92\xca\xf6\xe4\xc5\x1f\x87\x97\x41\xb1\xf5\x45\xb6\xf3\x88\xe7\xad\x54\x22\x4e\x18\xf7\x06", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTextureSubImage3DEXT
  {(uint8_t*)"\x32\x2b\x19\x85\x59\xa7\x8b\xfa\x49\x0d\xda\x28\xc3\x76\x32\xdf\x4b\x58\xef\x1d\x08\xe0\x64\xd6\x84\x0b\x91\x04\x00\xb0\x11\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix4dv
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTransformParameterfvEXT
  {(uint8_t*)"\x54\x4c\xc6\x22\x82\x98\x54\xb0\xb0\xc3\xf6\xb5\x7c\x11\x42\xc8\xdc\xa8\xe3\x25\x88\x0d\xec\x2e\xf8\x3f\x47\xc3\x20\x7d\xfa\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTextureSubImage2DEXT
  {(uint8_t*)"\xf5\x00\x78\x56\x60\x61\x8f\x48\x05\xa9\x5e\x78\x4e\xa9\x2e\x07\xf4\x49\xba\xbd\x0b\xfc\xe2\x21\x93\x40\xdb\x44\xdf\xf8\xe4\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3f
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEndList
  {(uint8_t*)"\x49\xe7\xa0\x81\x7d\xba\x39\xac\x47\xf9\x10\xfa\x9a\x5e\xa1\xa3\x7e\x9e\xa0\x61\xc0\xdb\x21\xee\x5d\xc2\xf3\x41\x0f\xe2\xab\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTextureSubImage1D
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4dv
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3d
  {(uint8_t*)"\xd8\x9e\xce\x51\xd9\x47\x23\xd3\x09\xe4\xa6\x52\xa3\x55\x74\xa7\x27\xf7\x58\x74\xe3\x2f\x72\x34\x44\xd6\xa7\x1e\x86\xa6\xd2\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTextureSubImage1DEXT
  {(uint8_t*)"\x9b\x8c\x31\x63\xf2\x0e\xd5\x6a\x50\x46\x67\x46\x19\x88\xfb\x98\x0f\xa3\x30\xe7\x8e\xac\x33\xa6\xb2\x80\x5f\xb1\x20\x6d\xb8\xdb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTextureImage3DEXT
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetDoublei_v
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginTransformFeedback
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexEnvi
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentLightiSGIX
  {(uint8_t*)"\x7a\x19\xfe\x8b\x4b\xd9\x23\x28\xca\x51\x9c\xd5\xe0\x8c\x00\x4c\xdc\x79\xe9\xdb\x65\x9f\x24\x5d\x5f\xc5\x44\xf6\x57\xfd\xa9\xef", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTextureImage2DEXT
  {(uint8_t*)"\xe4\x7a\x6c\x17\x71\x4b\xf3\x6f\x5c\x93\x1b\xed\x01\x5f\x55\x0a\xfc\x15\x1f\xaa\x9f\xc9\x19\xca\xb9\x79\x50\x91\x76\xc8\xb0\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFloatv
  {(uint8_t*)"\xf8\x88\x83\xbb\xcd\xa0\x24\x16\x83\xab\xe3\x77\x68\xa4\x2f\xa0\xc0\x57\x0a\xe1\x3b\xe5\xe0\x2e\x85\xc2\xe9\xcb\x9f\xf2\x83\x79", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint32_t, uint32_t, void *), uint32_t, uint8_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetMinmax
  {(uint8_t*)"\x12\x35\x93\xfa\x3f\x66\x0f\x32\x87\x85\xf7\x90\x32\x3d\x92\xf3\x9e\xf7\x5e\xae\x76\x65\xd3\x42\x63\x15\x82\x64\xc9\xb9\x93\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t), uint32_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1hNV
  {(uint8_t*)"\x58\x2e\xc1\xae\x5f\x9c\xef\xde\x9d\xc2\x83\x6c\xdc\xe2\x31\xd6\xa4\x9d\x58\xf6\xbb\x12\x88\xab\x2b\x45\x95\xb3\xf7\xf4\x52\x26", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParametersI4ivNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClipControl
  {(uint8_t*)"\xb0\xb4\x81\xac\x70\x78\x39\x96\xc7\x66\x73\x47\x7d\x55\xba\x69\x1c\xd6\xa7\xe2\x64\x2e\x07\xa7\x8f\xdd\x0c\x2b\x40\x90\xba\x28", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glClearTexImage
  {(uint8_t*)"\xea\xba\xa1\x5f\x6a\xdb\x20\x6f\x4f\x0a\xfe\xf8\xdb\xa4\x41\x37\xb3\x95\xfb\x02\x65\x75\xf8\x1d\x11\x1b\xab\x9c\xb0\x22\x81\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferSamplePositionsfvAMD
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEndPerfMonitorAMD
  {(uint8_t*)"\xdd\xa2\xf6\xcb\xcc\x19\x14\x0e\x0b\x7c\x00\x1e\xf6\xa9\xc3\x93\xab\x60\xea\xb9\x42\x13\x5d\xd9\x3d\xc2\xe7\x8e\x61\x96\x88\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexSubImage2DARB
  {(uint8_t*)"\x36\xd6\x84\xae\x3b\x80\x58\xad\x5b\xfc\x47\x9e\x73\xfe\xf2\x7e\x02\xa4\x2c\xb4\xbf\x9d\x85\x19\x10\xc9\x36\x5f\x93\x51\x8f\x71", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, struct __GLXcontextRec *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, struct __GLXcontextRec *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), struct _XDisplay *, struct __GLXcontextRec *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, struct __GLXcontextRec *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXCopyImageSubDataNV
  {(uint8_t*)"\x7d\x44\x86\xb3\x1c\x57\x27\xcc\xb5\x01\xa1\xc6\x5a\x92\x56\x31\xe4\x73\xd7\xb6\x05\x3a\x32\x10\x00\x11\xe1\x8b\x52\x35\xb5\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeImageHandleNonResidentARB
  {(uint8_t*)"\x49\xe7\xa0\x81\x7d\xba\x39\xac\x47\xf9\x10\xfa\x9a\x5e\xa1\xa3\x7e\x9e\xa0\x61\xc0\xdb\x21\xee\x5d\xc2\xf3\x41\x0f\xe2\xab\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexSubImage1D
  {(uint8_t*)"\xb2\x1a\x02\xf4\xab\x35\xd0\x92\x4b\xb0\x61\x05\x33\x91\xbd\x10\x31\xdd\x5a\xe1\x34\xd0\x7e\x25\x40\x62\x8b\xb0\xd1\xd8\x2a\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTransformFeedbacki64_v
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCurrentPaletteMatrixARB
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2dv
  {(uint8_t*)"\xfc\xd5\x84\xc5\x13\x73\x43\xb1\x7f\xdb\x42\x89\x0b\x79\xc1\x2d\x11\xba\x03\x23\x94\x44\x7d\x20\x3e\x31\x9a\x92\x89\x69\x01\x0f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexImage3DARB
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawTransformFeedbackStreamInstanced
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferDrawBufferEXT
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLineWidth
  {(uint8_t*)"\x86\x75\xd8\x65\xd4\x76\x33\x14\x37\xb2\xd8\xa7\xa2\x11\x47\xc1\x06\x6c\x32\x74\x5d\x0b\x2c\xb2\xc9\xf2\x82\x9d\x48\x42\x4b\xd2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexImage2DARB
  {(uint8_t*)"\x87\x45\xc8\xbe\xca\x08\x00\x1b\x43\x95\x6e\x47\x37\x1b\xbe\x98\x91\x56\xdf\xd2\x21\x43\x3f\x77\x0c\x7a\xc7\xee\x99\x28\x52\x0b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glColorPointerEXT
  {(uint8_t*)"\x5b\xbb\xdd\x7f\xf1\x3c\xed\xed\x87\xf5\x85\x0f\x60\x21\x9f\xb9\x01\xf8\xcb\x32\xe3\x69\x11\xfa\xe0\x07\xa3\xdf\x88\x28\x64\x16", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayNormalOffsetEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glFlushRasterSGIX
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCompileShaderARB
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoordP4ui
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCommandListSegmentsNV
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCombinerStageParameterfvNV
  {(uint8_t*)"\x50\x15\x99\xcd\xe9\x58\x5e\xcd\xd7\xb9\x66\x8e\xd9\x0c\x34\xa8\x6f\xfe\xab\xac\x89\x0d\xaa\xe1\x7f\xa8\xca\x78\x12\x6c\x44\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribIFormat
  {(uint8_t*)"\xf4\xca\x34\xe5\x81\xd0\x16\x81\x58\xc2\x00\x0b\xad\x85\x21\x60\x7f\xdd\xa5\xea\xc1\x26\x1b\xdd\x9e\x4e\x90\x5b\x66\xcc\x81\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint64_t*), uint32_t, uint32_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClientWaitSemaphoreui64NVX
  {(uint8_t*)"\x4c\x93\xac\x34\xe5\xe9\xc1\x05\x0e\xfa\x23\xed\x7a\xc0\x4c\x44\x5e\xde\xb4\xc9\x5b\xec\xc8\x21\x67\x8b\x10\x8c\x75\x32\x8a\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCombinerInputNV
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightiv
  {(uint8_t*)"\x78\x95\x10\xdd\x1d\xb9\x01\x7f\xd9\xe2\x81\xe6\x4b\x2a\xad\x69\xcf\xae\xda\x4c\x9e\x9f\x2f\xb8\x70\x7a\xf2\x2d\xbf\xdf\x91\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glColorTableSGI
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableClientStateiEXT
  {(uint8_t*)"\xf0\x06\x1e\x19\xbf\x7e\x3f\x37\xca\xe4\x71\x05\x0e\xe9\xe7\xa5\x79\xed\x06\xc0\x0d\xb6\x2b\x34\x0d\xaa\xbf\x8a\x2c\x5a\xc3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1dvEXT
  {(uint8_t*)"\x6b\xc8\x45\xe9\x00\x02\xb4\x48\xf6\x60\xc5\x46\xcd\xe1\xc5\xbf\x90\x6d\x86\x46\x0b\x48\x92\xf7\xdd\x93\x69\x32\x71\x0a\xbd\x00", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCoverStrokePathInstancedNV
  {(uint8_t*)"\x2a\xc8\x0d\xe4\x9a\x5b\x8e\x57\x0a\x7f\x68\xc9\x5f\xc1\x63\x35\x7b\x76\x3c\xd7\x82\xdc\x28\x67\xf3\x36\x91\x3e\xe2\x60\xfa\xaa", (void(*)(void *))&GuestWrapperForHostFunction<int()>::Call<ParameterAnnotations {}>}, // glXGetSwapIntervalMESA
  {(uint8_t*)"\x0e\xf1\xe9\xd4\xaa\xe5\xf5\xe6\x53\xc7\x10\x81\xc9\x0c\xc5\x8f\x01\xab\x4a\xbd\x57\x07\xb0\x6c\x19\x11\x18\xab\x7e\x1c\xed\x18", (void(*)(void *))&GuestWrapperForHostFunction<void *(uint32_t), uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glMapObjectBufferATI
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorTableParameterivSGI
  {(uint8_t*)"\x6a\x72\x9a\xc4\xef\xf2\xe2\xfb\xf0\xfd\x03\x49\xf4\xef\x6c\xd5\xd4\x8c\x3f\x9d\xbb\x69\x93\x4a\x58\x31\x05\x4b\x5d\x41\x30\xe7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2i64NV
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glExecuteProgramNV
  {(uint8_t*)"\x56\xf0\xe2\x48\x9b\x98\x23\xa1\x0c\xd5\xe9\x8f\x6e\x56\x23\x49\x99\x91\x1a\x33\x39\x9a\xfc\xa6\xc6\x42\x72\x0b\xe3\x36\xc6\x21", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void **, uint32_t), uint32_t, uint32_t, const void **, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glIndexPointerListIBM
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord1dv
  {(uint8_t*)"\xe6\x01\x21\x2f\x8e\x76\xde\xdd\x19\x84\x06\x9e\xed\xa6\x67\x84\xc5\xcc\xc0\xd5\x4b\x76\xc3\x4d\xbf\xae\xaa\x04\xa8\x42\x60\xb4", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, const char *const *), uint32_t, uint32_t, const char *const *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glCreateShaderProgramv
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorTableParameteriv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureNormalEXT
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteFramebuffersEXT
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glScalexOES
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathFogGenNV
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorTableParameterfv
  {(uint8_t*)"\x83\xfb\x82\x1e\x55\x90\x25\x3a\xf0\xa0\x63\xa2\xa9\xf6\xf0\x39\xc6\xdc\x0f\xd4\x3f\xc1\x3c\x41\xd1\xe8\x39\x72\x96\x0f\x4b\xd0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetColorTableSGI
  {(uint8_t*)"\xa7\xa4\x18\xfb\x3b\x55\x43\xa2\xde\xc7\x93\x23\x6d\x89\xf9\x8b\xb5\xfc\x49\x1c\xd2\x44\x3c\x53\xe9\x94\x8a\xaa\xdd\x5a\xde\x93", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glColorSubTableEXT
  {(uint8_t*)"\xe3\xe7\x23\xca\x84\xb1\xde\xb2\xf6\x31\xfb\x1d\x2d\x1e\x0c\x4c\x18\x23\x8a\x8d\x64\xaa\x16\x16\x80\xdf\xba\x48\x8d\x9b\xb3\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream2fATI
  {(uint8_t*)"\xbe\x3b\x98\x16\x6b\x2d\x3c\xcb\xc0\xe3\xf7\x8b\xd1\x36\xcc\x81\x58\xe0\x75\x49\xbe\x58\x31\x60\x8b\x33\x3d\x53\x02\x52\xf7\xe0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *, uint32_t*), uint32_t, uint32_t, uint32_t, void *, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glGetPerfQueryDataINTEL
  {(uint8_t*)"\xbf\xf4\x7a\x5e\xea\x08\xb9\x1b\xc2\x48\xad\x4b\x3d\x0b\x73\x9b\x38\x1e\xd5\x0e\x12\x85\x7d\x80\x4e\x87\x28\x25\x63\xad\x11\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char *, uint32_t, const char *), uint32_t, uint32_t, const char *, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedStringARB
  {(uint8_t*)"\x4c\x61\xb8\x75\x3b\xa5\x14\x96\x0b\x21\x53\xa3\x53\x92\xf0\xcd\x00\xee\xaa\x0e\xd4\x18\xeb\x6f\x69\x46\x0c\x21\x4e\xf1\x6a\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetCompressedTextureImageEXT
  {(uint8_t*)"\xd3\x2e\x45\x48\x61\xd9\xa9\x96\x41\x18\xda\x9f\x53\x13\x51\xfb\xe3\xc4\xbe\x65\xd7\x07\x0b\x83\x4d\xe4\x16\xf2\x9e\x1b\x2c\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint8_t, uint8_t), uint32_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3bOES
  {(uint8_t*)"\x2d\x59\xb9\x17\xad\x81\x2a\x72\x83\x58\xcc\xef\x5e\x65\x6b\xdc\x3d\xcf\xbb\x4e\x09\x1e\x1a\x6a\x07\x2b\xcc\x72\x2a\x97\x49\xb9", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float, float, float, float, float, float, float, float, float, float), float, float, float, float, float, float, float, float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4fColor4fNormal3fVertex4fSUN
  {(uint8_t*)"\xef\x0f\x13\x86\x8b\xd0\x09\x5e\xe2\x5b\xce\x17\x9b\x28\xc9\x56\x92\x74\x51\x75\x24\xd1\xb9\x26\x7d\x30\xc4\x13\xe8\x20\x71\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void **), uint32_t, uint32_t, const void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glColorPointervINTEL
  {(uint8_t*)"\x03\x55\x94\x3b\x3d\xd9\x02\x52\x09\x7a\x28\x25\x3a\xd3\x80\x1a\xc9\x4a\xa8\xbd\x90\x9c\x6d\x7b\xe4\x9a\x03\xc4\xd9\x29\x30\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformui64vARB
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorMaterial
  {(uint8_t*)"\x65\xd2\x38\x70\xde\xd5\xe1\x50\x91\x83\xb4\x2b\xcd\x4d\xe6\x70\xa1\x64\xc2\x0a\x50\x0e\xb8\xe5\x90\xb6\xad\xf4\x45\x96\x55\x0f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3us
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexBufferARB
  {(uint8_t*)"\x1b\x48\x82\x4b\xc3\xe5\x16\xb2\xa2\x63\x0e\x26\x3b\x28\x17\xc5\x4c\x29\xbb\x84\xd6\xea\xe7\xe0\x7f\x0c\xbc\xb4\x10\x95\xa2\x02", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint8_t, uint8_t, uint8_t), uint32_t, uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorMaskIndexedEXT
  {(uint8_t*)"\xd0\x32\xfc\x85\xed\xc5\x21\x54\x84\x2a\x3f\x0d\x38\x07\x42\x90\x44\x37\xe5\xf1\x9c\x6d\x43\x59\xb5\x09\xae\x5a\xb6\xa2\x2d\x89", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint32_t, uint32_t*), struct _XDisplay *, uint64_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryVideoCaptureDeviceNV
  {(uint8_t*)"\x49\x76\x39\x72\x6b\xe4\x1e\x91\x7f\xc7\x17\xe1\x8a\x87\xcb\x43\x22\x8a\x4b\x5c\x04\x3f\x2e\xcd\xdb\xe5\x71\xe6\x5c\x24\x2b\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetMultiTexImageEXT
  {(uint8_t*)"\x0b\x87\x55\x13\xf4\x6e\x43\xb0\xe6\x98\x4c\x44\x87\xcb\x59\x0a\x31\xf4\xbe\x2b\x58\x39\x46\xb9\xb3\x53\xf3\x8a\xd0\x8c\x0a\xd5", (void(*)(void *))&GuestWrapperForHostFunction<void(double), double>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGlobalAlphaFactordSUN
  {(uint8_t*)"\xbe\x8a\xde\x06\x4c\xfa\xed\xa2\x7b\xb4\x19\x82\x5f\x1a\x5a\x55\xb6\xef\x1e\xe6\x72\x60\x5a\x3b\x15\xa2\xfa\x7f\xa4\xfe\xe3\x83", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2d
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos3xvOES
  {(uint8_t*)"\x23\xc7\x69\xd4\x41\xa6\xdd\x22\xc3\xf3\x92\x01\x48\x9d\x35\x11\x60\x21\xa0\x4b\x4d\x63\x2b\x26\xf8\xe6\xca\xdc\xd1\x22\x1f\x15", (void(*)(void *))&GuestWrapperForHostFunction<struct _XDisplay *()>::Call<ParameterAnnotations {.is_passthrough=true,}>}, // glXGetCurrentDisplay
  {(uint8_t*)"\xca\x4a\x6d\xba\x47\x75\x77\x77\xa4\xf8\x3e\x18\x0d\x80\x16\x25\x26\x48\x97\x24\x90\x1b\x23\x3f\x3d\x4d\x83\x5b\x63\xab\xb5\xf8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, const void *), uint32_t, uint64_t, uint64_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glNamedBufferSubDataEXT
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenOcclusionQueriesNV
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMemoryObjectParameterivEXT
  {(uint8_t*)"\xb0\x9c\x8e\xba\xa4\x6a\x9c\x73\xfb\x1e\x76\x9e\xaa\xfe\x60\xee\x23\xdb\x56\x00\xf8\xc6\x66\x59\xc5\xd2\xc3\x8c\xcb\x4a\x4c\xe5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexSubImage2DEXT
  {(uint8_t*)"\x13\x4c\xe2\x62\x69\x9c\x1e\x3a\x11\x45\x7d\xd4\x8c\x62\xbb\x3e\x82\x47\x34\x13\x94\x81\x7c\xfa\x25\x11\x1e\x8f\x2d\x7b\xba\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint8_t), uint32_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2bOES
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoordfEXT
  {(uint8_t*)"\xcc\x02\xe0\x57\xac\x5e\x3e\x0f\x3f\xad\x29\xa2\x7a\x87\xab\x2c\x21\xfe\xef\x41\xf9\x3d\x46\xc0\xea\x01\x45\x5e\x3e\x53\x1c\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawRangeElementArrayAPPLE
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexBindingDivisorEXT
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogf
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsSemaphoreEXT
  {(uint8_t*)"\xda\x07\xc3\x44\x9b\xaa\xc3\x86\x16\xce\xed\xb6\x8f\xc7\xcb\x32\xf3\x4e\xf4\x0e\x76\x6a\xe7\x21\x8d\x12\x9c\x2a\xae\x53\xef\x16", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, float), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathGlyphIndexArrayNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenerateTextureMipmapEXT
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFramebufferAttachmentParameterivEXT
  {(uint8_t*)"\xf5\x75\xdb\x4f\x86\x3f\x62\x64\xbb\x50\x51\x89\x7f\x05\x25\xb4\xb4\xb9\x6f\xab\xa1\x69\xaa\x12\xc7\x1f\x35\x68\xf7\x2b\xcd\xbf", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCheckNamedFramebufferStatusEXT
  {(uint8_t*)"\x85\x78\xe1\xf8\xf0\xe3\xda\xa9\xc1\x5f\xb2\x49\xb5\x6c\x5a\xc3\x19\xe0\x80\xcb\x90\x1f\x91\x9a\x57\xc1\x78\x82\x98\x9d\x97\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t), uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoordhNV
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetLightfv
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBuffer
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetDoubleIndexedvEXT
  {(uint8_t*)"\x1a\x27\x09\xf6\xda\x38\xe2\x35\x4e\x6c\xa5\xf1\xb4\x1e\x4c\x33\xe9\x88\xeb\x2b\x20\x68\xb0\x0d\x6e\xb7\xff\xe0\x57\x66\xe0\x71", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4ui64NV
  {(uint8_t*)"\x74\xb9\x0b\xd7\xd5\x18\xb0\xa3\x08\x62\x54\xc8\xa0\xb2\x63\x62\x43\x22\xe4\x02\xdf\x46\x3d\x03\x56\x34\xe5\xb6\x48\x7f\x2a\x26", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVDPAUIsSurfaceNV
  {(uint8_t*)"\x6d\xeb\x00\xd9\x1d\x54\x41\x61\x1a\xfb\x44\x96\x59\x19\x60\xa7\x63\xa7\x49\x6d\x8c\x5d\xff\x75\x7a\xc6\x95\xa1\xec\x5f\x97\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint32_t*), uint32_t, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetAttachedShaders
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glXWaitGL
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferReadBufferEXT
  {(uint8_t*)"\xe5\xce\x73\xdb\x64\x5f\xe4\xf5\xa3\xb3\x08\x06\x82\x0d\x3e\xf4\xed\xd1\x77\x5a\x84\xef\x96\xb7\x8e\x93\x0c\xa9\x3d\xed\x15\x47", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glScissorExclusiveArrayvNV
  {(uint8_t*)"\x24\xff\x43\x3a\x80\x3e\x0d\x80\x40\x6c\xfb\x16\xb9\xbd\x41\xcb\xbe\x0b\xf8\x19\xcf\x04\x68\x9a\xbe\xfc\x47\xa0\x21\x0b\x2d\xfa", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTestObjectAPPLE
  {(uint8_t*)"\x26\xcd\x4f\xeb\x6f\xe4\x1e\x01\x6f\xbc\x2e\x29\x52\xb6\x1f\xbb\xe4\xa7\xce\x25\x81\xb5\xd9\x0c\xc3\xf2\x65\x84\xbf\x95\xd6\x11", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint32_t, uint32_t, uint32_t, uint32_t), struct _XDisplay *, uint64_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXCopySubBufferMESA
  {(uint8_t*)"\x48\xce\x4b\x1c\xa2\x69\x9f\xe1\xe2\x1f\x92\x48\x4b\x63\xb4\xa3\xac\xa6\x2c\x4c\x9c\xfc\xe1\x13\x15\x7c\x4b\x33\x32\x8a\xe5\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t), uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2bOES
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord1xOES
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteObjectARB
  {(uint8_t*)"\x7c\xbf\x9e\x9a\xd3\x2a\x2a\x93\xed\x1c\x48\xd9\xfc\x64\x1a\xd1\x1f\x30\x9b\x01\x7a\xed\xa9\x14\x46\xfa\x72\x3b\x9c\x38\x2d\x9e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2iv
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetImageTransformParameterfvHP
  {(uint8_t*)"\x8e\xcc\x1c\x06\xea\xc7\x4d\xa0\x64\x0d\x40\x47\x70\x74\x14\x32\x0c\xd5\xd4\x08\xc7\x7d\xbc\x06\x6a\x8e\x35\x28\xa1\x2e\x12\xce", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReleaseKeyedMutexWin32EXT
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsObjectBufferATI
  {(uint8_t*)"\xf4\x59\x2e\x2b\x8b\x49\xf7\xbd\x6f\x76\x31\x5e\x0b\xf0\x92\xcc\x23\xbf\xc4\x43\xc7\x0c\x80\xa5\x02\x68\xa5\x30\x05\x79\x5d\xb4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTexture3D
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableVertexArrayAttribEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBegin
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2sv
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexP3uiv
  {(uint8_t*)"\xc0\x63\x5b\x3e\xe3\x14\x09\xdf\xd4\x3a\x97\xff\x23\xcf\x6d\x42\xff\xf6\x7d\xfa\xa9\xbd\x5b\x7a\xec\x4c\x49\x2d\x9a\x3c\xf8\xb8", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t, uint32_t, float, float *, float *, float *, float *), uint32_t, uint32_t, uint32_t, float, float *, float *, float *, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointAlongPathNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTexGenSGIX
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetColorTableParameterfvEXT
  {(uint8_t*)"\x5d\x60\x92\x54\x47\xc5\x43\x1d\x3e\x22\x91\x7b\xa2\x28\x00\xb7\x74\x31\x8e\xb6\x3c\xf4\xc6\x08\x85\x59\x37\xbc\x7d\x4d\x68\x01", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnPixelMapusvARB
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquationSeparate
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsVertexArray
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetConvolutionParameterivEXT
  {(uint8_t*)"\x21\x52\xa1\x69\x5a\xb9\xd6\x72\xbf\x50\xc2\x3c\x13\x5b\x5e\x16\xb4\x03\x9a\x46\x93\xf4\xfd\x53\x92\x29\x31\xcd\xde\xc2\x8e\xb6", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint32_t*, uint32_t*), struct _XDisplay *, uint64_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQuerySwapGroupNV
  {(uint8_t*)"\x26\x80\x6f\xbc\x32\x62\x85\x87\xef\x45\x8f\x5c\x53\x2a\x37\xc4\xef\xc0\x2f\x92\x3a\x25\xeb\x9d\xa9\x92\x82\xae\xe5\x9a\x5f\xd4", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetAttribLocation
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2x4dv
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetLocalConstantFloatvEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramivNV
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2fv
  {(uint8_t*)"\x6d\xeb\x00\xd9\x1d\x54\x41\x61\x1a\xfb\x44\x96\x59\x19\x60\xa7\x63\xa7\x49\x6d\x8c\x5d\xff\x75\x7a\xc6\x95\xa1\xec\x5f\x97\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint32_t*), uint32_t, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetAttachedObjectsARB
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1iARB
  {(uint8_t*)"\xea\xba\xa1\x5f\x6a\xdb\x20\x6f\x4f\x0a\xfe\xf8\xdb\xa4\x41\x37\xb3\x95\xfb\x02\x65\x75\xf8\x1d\x11\x1b\xab\x9c\xb0\x22\x81\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexGenfvEXT
  {(uint8_t*)"\x7a\x19\xfe\x8b\x4b\xd9\x23\x28\xca\x51\x9c\xd5\xe0\x8c\x00\x4c\xdc\x79\xe9\xdb\x65\x9f\x24\x5d\x5f\xc5\x44\xf6\x57\xfd\xa9\xef", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedMultiTexImage2DEXT
  {(uint8_t*)"\x59\xf2\x19\xc4\xa4\xe4\x8f\x50\xe5\xc6\x22\x89\xf9\x8b\x29\xf6\xaf\xcd\xb0\x3b\xae\xea\x64\x6f\xe0\xfc\x56\x06\x2f\x7c\xf5\x65", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint64_t, uint64_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glClearBufferSubData
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAttachShader
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsBufferARB
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramEnvParameterIivNV
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glPauseTransformFeedbackNV
  {(uint8_t*)"\x83\xfb\x82\x1e\x55\x90\x25\x3a\xf0\xa0\x63\xa2\xa9\xf6\xf0\x39\xc6\xdc\x0f\xd4\x3f\xc1\x3c\x41\xd1\xe8\x39\x72\x96\x0f\x4b\xd0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetConvolutionFilterEXT
  {(uint8_t*)"\xb5\x95\xb1\x01\x78\x2a\x96\x5a\xf6\xf1\x9c\xbd\x84\xf0\x86\x4e\xf7\x42\x05\x90\xb0\x26\xc9\xbb\xf2\xfe\x1e\xa3\x59\x51\x1e\xab", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParameterI4uiEXT
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthRangefOES
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4fvARB
  {(uint8_t*)"\x70\xa2\x04\xc8\x1a\xf9\x62\x00\x4c\x15\x98\xec\x0c\x6e\x65\xec\x67\xf5\x27\x69\xbf\x85\x80\x75\xa1\xed\xfd\xc9\x68\xdb\x3a\x54", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, uint32_t*, uint32_t*, uint32_t, uint32_t), uint32_t*, uint32_t*, uint32_t*, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiModeDrawArraysIBM
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthRangef
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2fvEXT
  {(uint8_t*)"\x68\x49\xac\x1c\x2c\xe2\xd7\x05\x11\xe6\x6a\xc7\xb1\xc2\x90\x5f\x5f\xd0\x17\xae\x28\x35\xf1\x03\x27\xa7\xf2\x67\x8c\xd5\x7c\xa5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnColorTable
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteQueries
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3ivARB
  {(uint8_t*)"\x05\xe2\xc5\x92\x41\xcf\x4f\xdf\x8e\xa7\x21\xdf\xb9\xae\xb6\x42\x8f\xbc\xfb\x6f\x4d\x76\x1e\xaf\x2f\xfc\x48\x6a\x23\x12\x6b\x5d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, uint32_t), uint32_t, uint32_t, uint32_t, uint8_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribFormatNV
  {(uint8_t*)"\xb4\x26\x28\x3a\xf2\x4b\x4a\x74\x36\x00\x34\xfd\xe4\x34\x8f\xd2\x08\x0e\xf3\x90\xb4\x1a\x08\xae\xf9\x43\xc7\x7d\x7f\x1a\xfd\x19", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, uint32_t, const char *), uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramResourceLocationIndex
  {(uint8_t*)"\x9e\x2f\x66\xc5\x51\x57\x26\x88\xcf\xec\xf0\x1e\x04\xff\x31\x7a\x35\xc9\x3c\x8f\x1f\xbd\x47\xd9\x9b\xe4\x2f\xfb\x03\x27\xfe\x36", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRects
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsStateNV
  {(uint8_t*)"\xa4\x30\xe0\x7a\x30\x99\xd6\x19\xd0\x6f\xd6\x36\x7b\x7b\xf6\x31\xc1\x93\x92\xb7\x5f\x0a\x84\x82\xec\xfa\x19\x62\xfb\xbb\x28\x92", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t*), struct _XDisplay *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryMaxSwapBarriersSGIX
  {(uint8_t*)"\x30\xb4\x05\x2b\x55\xcf\xa6\x53\xed\xeb\x2b\xbb\xc8\xaa\x63\xac\x71\xab\x01\xc6\xe8\xbc\x66\x87\x5f\x67\x0d\x70\x22\x3f\x88\x6b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsNamedStringARB
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3ui64vNV
  {(uint8_t*)"\xa6\x6e\xd9\xd2\xed\xb6\x1e\x45\x82\x17\xb4\x2f\x60\xb9\xff\x7e\xc6\xff\xc8\x21\x5b\x1a\x72\xe0\x22\xc5\x86\x66\x0d\x81\xc6\xa2", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureSamplerHandleNV
  {(uint8_t*)"\x78\x95\x10\xdd\x1d\xb9\x01\x7f\xd9\xe2\x81\xe6\x4b\x2a\xad\x69\xcf\xae\xda\x4c\x9e\x9f\x2f\xb8\x70\x7a\xf2\x2d\xbf\xdf\x91\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glColorTable
  {(uint8_t*)"\x20\x0c\x79\xe0\xf0\x6e\x89\xd4\xcb\x01\xf5\x59\x7c\xb2\x34\x90\x5d\x59\x58\x1d\x2a\x62\xb0\xd0\x88\x1c\x04\x37\x13\xe4\x89\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(const unsigned char *, const float *), const unsigned char *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4ubVertex2fvSUN
  {(uint8_t*)"\x48\xdf\x7a\xad\x23\x5d\xff\xc5\x38\x0f\x69\xe3\xbd\x89\x58\xe8\x35\x61\xae\xb1\xb7\x49\xe3\x3c\x79\xfb\x9f\xcd\xe3\xb8\x41\x6b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, void *), uint32_t, uint64_t, uint64_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetNamedBufferSubData
  {(uint8_t*)"\x3f\x52\xfa\x1f\x8a\xf3\x42\xb5\x8f\x5b\x93\x22\x39\x55\x68\xf2\x7f\xf9\xff\x66\x12\xda\xb1\x88\x64\x45\x32\x30\xd2\xb1\x7e\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3f
  {(uint8_t*)"\x44\x28\xa5\xa5\x40\x51\x2a\x85\x9b\xa2\x7f\x42\x1b\x04\xfe\xbe\x08\x94\xd8\x48\x90\xba\xad\x60\x88\xba\xb7\x4b\x6a\xb3\xa2\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformuiv
  {(uint8_t*)"\xdf\x9d\xbc\xa0\xab\xe7\x5e\x13\x6c\x43\xbf\x77\x87\x0a\x3b\xa6\x7d\x43\x71\x73\x24\x02\x10\x6b\xf6\x20\xc0\x1b\xe0\xed\xac\xba", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXEndFrameTrackingMESA
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginQueryIndexed
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsRenderbuffer
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribArrayObjectfvATI
  {(uint8_t*)"\x62\xa4\xd3\xc9\x95\x67\x53\xfd\x8e\x5e\xab\x7b\x65\x48\x50\x98\x5d\x3c\x48\x64\xf2\xbd\xaf\x3a\x9f\x02\xc9\xf9\x60\xe2\xdf\xe4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, float, float, float, float, float, float, float), uint32_t, uint32_t, float, float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawTextureNV
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3iv
  {(uint8_t*)"\x24\x44\xc9\x5d\xf8\xf7\x95\x90\xa4\x13\x82\xad\x85\xc8\x2e\x54\x34\x27\xc7\x66\xde\x82\xbe\xd2\xbc\x07\x9b\x56\x73\x04\xb2\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTexSubImage3DEXT
  {(uint8_t*)"\xb4\x26\x28\x3a\xf2\x4b\x4a\x74\x36\x00\x34\xfd\xe4\x34\x8f\xd2\x08\x0e\xf3\x90\xb4\x1a\x08\xae\xf9\x43\xc7\x7d\x7f\x1a\xfd\x19", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, uint32_t, const char *), uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramResourceLocation
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsProgramARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenerateMipmap
  {(uint8_t*)"\xc1\xc8\xd8\xb4\x60\xf8\x8e\x1d\x96\x81\xf3\xbc\x20\xcd\x64\x57\x7a\x09\xf3\xca\xeb\x37\x51\x39\x03\x51\xa1\x1a\x62\x45\x18\x31", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXcontextRec *(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXImportContextEXT
  {(uint8_t*)"\xb5\x95\xb1\x01\x78\x2a\x96\x5a\xf6\xf1\x9c\xbd\x84\xf0\x86\x4e\xf7\x42\x05\x90\xb0\x26\xc9\xbb\xf2\xfe\x1e\xa3\x59\x51\x1e\xab", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorFragmentOp1ATI
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3dv
  {(uint8_t*)"\x89\x8f\xec\x61\x53\x3a\x82\xc5\xde\x5f\xf4\x43\x91\xaf\xc7\x1b\x9d\xa1\x2d\x9a\xbb\xe3\xac\xca\x93\xe9\xc7\x43\xe2\x85\xf2\x9d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlitFramebufferEXT
  {(uint8_t*)"\xb1\x3d\x6b\x77\xa5\xd0\x18\x2f\x1b\x83\x20\x1e\x27\x67\xbf\x69\x8f\x7a\x7d\x00\x70\xdd\x58\xb5\xb1\x12\xb6\x9a\xc8\x56\x0d\xef", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t*, uint64_t*), uint32_t, uint32_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVideoCaptureNV
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendColorxOES
  {(uint8_t*)"\xb0\x3a\x71\xd9\x48\x0f\x53\xde\x54\x13\x80\xf1\x66\x27\x96\x1c\xcb\x3b\xcc\x25\x1a\x37\xd4\xbf\x78\x4e\x9f\x1f\x6d\xc9\xed\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnMapfvARB
  {(uint8_t*)"\x44\x28\xa5\xa5\x40\x51\x2a\x85\x9b\xa2\x7f\x42\x1b\x04\xfe\xbe\x08\x94\xd8\x48\x90\xba\xad\x60\x88\xba\xb7\x4b\x6a\xb3\xa2\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnPixelMapuiv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetColorTableParameterivSGI
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI1ui
  {(uint8_t*)"\x76\xe6\x80\x83\xf2\x87\x1c\xd6\xe2\x93\x1b\x08\x5a\x1d\x54\x22\x74\xf3\x83\x33\x38\x61\x55\x2a\xc5\x5c\x24\x93\x9a\x19\xda\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glShaderOp3EXT
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalMesh2
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferSampleLocationsfvARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixMode
  {(uint8_t*)"\x76\xe6\x80\x83\xf2\x87\x1c\xd6\xe2\x93\x1b\x08\x5a\x1d\x54\x22\x74\xf3\x83\x33\x38\x61\x55\x2a\xc5\x5c\x24\x93\x9a\x19\xda\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendFuncSeparateIndexedAMD
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsMemoryObjectEXT
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClipPlane
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoordP1ui
  {(uint8_t*)"\xee\xab\xdf\x6a\x4e\x41\xef\xd5\x5a\x3d\x6d\x74\x87\x8d\x97\xa7\x35\xc7\xf3\xd0\x57\x3d\x8d\xca\x3d\xd9\x94\xa9\xd3\x04\x74\x9b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParameter4dvARB
  {(uint8_t*)"\x09\xbc\xa5\x5e\xa6\x80\xc5\x99\x7f\x97\x34\x23\x7d\x93\xd5\x46\x52\x4e\x63\xbe\xb6\x97\xb8\x3f\x4f\xdb\x12\x80\x88\x6b\x2f\x20", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, const void *, uint32_t, uint32_t, float, uint32_t*), uint32_t, const void *, uint32_t, uint32_t, float, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathGlyphIndexRangeNV
  {(uint8_t*)"\xdb\x9d\xbb\xbe\x84\xbb\x51\x11\x12\x1b\x00\x09\xed\xf0\x65\x8f\xa8\x71\x92\xfd\xbd\xdd\x87\xec\x6f\x73\xd2\xcb\x9c\xc4\x7f\x90", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(struct _XDisplay *, struct __GLXFBConfigRec *, uint64_t, uint32_t*), struct _XDisplay *, struct __GLXFBConfigRec *, uint64_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXCreatePixmap
  {(uint8_t*)"\x7d\x44\x86\xb3\x1c\x57\x27\xcc\xb5\x01\xa1\xc6\x5a\x92\x56\x31\xe4\x73\xd7\xb6\x05\x3a\x32\x10\x00\x11\xe1\x8b\x52\x35\xb5\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeTextureHandleNonResidentARB
  {(uint8_t*)"\xb0\x9c\x8e\xba\xa4\x6a\x9c\x73\xfb\x1e\x76\x9e\xaa\xfe\x60\xee\x23\xdb\x56\x00\xf8\xc6\x66\x59\xc5\xd2\xc3\x8c\xcb\x4a\x4c\xe5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexImage2D
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthFunc
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMinSampleShadingARB
  {(uint8_t*)"\x26\x40\xd1\x47\x7c\x89\xb7\x0e\x0b\xce\x53\x8c\x8b\x68\x15\x0a\x90\x3e\xf5\x96\x59\xf8\xaa\xc2\x18\xec\x8b\xa2\x08\x19\x43\x53", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformBufferEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glApplyTextureEXT
  {(uint8_t*)"\x39\xd5\xfb\x10\x3e\xcd\x23\x88\x2b\x70\x7b\xb5\x9d\xfa\x10\x1d\x71\x2f\x5c\xa2\x38\xc1\xb3\x98\x98\x9d\x1f\x94\x59\x40\xb9\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedRenderbufferStorageMultisampleAdvancedAMD
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glUploadGpuMaskNVX
  {(uint8_t*)"\xf8\x91\x72\x96\x1a\xf5\xc8\xa4\xd1\x53\x95\x0e\x92\xb5\x55\x02\x43\x80\xfe\x5b\x59\x2d\x7c\x8b\x25\xd7\x36\x5f\x9a\x6c\xd8\x2a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnMapivARB
  {(uint8_t*)"\xa1\x39\x5e\x19\x99\xdc\xe6\x4d\xf0\x19\xae\xe0\x65\x83\x54\xe7\xae\xa9\x80\xa8\xf6\xda\x53\x71\xb9\x79\xad\x5e\x0c\x5d\xf3\x6a", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, const char *), uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetSubroutineIndex
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsList
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1fv
  {(uint8_t*)"\xae\xf7\xb8\x88\xe8\x31\xb4\x8c\x53\x46\x3f\x73\xc9\x13\x23\xa8\x16\x81\x3c\x83\x2f\xb7\xc2\xc9\x96\x73\x6b\x7f\xdd\x4f\x19\xec", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char *const *, uint32_t*), uint32_t, uint32_t, const char *const *, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {}>}, // glCompileShaderIncludeARB
  {(uint8_t*)"\xe4\x7a\x6c\x17\x71\x4b\xf3\x6f\x5c\x93\x1b\xed\x01\x5f\x55\x0a\xfc\x15\x1f\xaa\x9f\xc9\x19\xca\xb9\x79\x50\x91\x76\xc8\xb0\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetDetailTexFuncSGIS
  {(uint8_t*)"\xaf\xa4\xc1\x6c\x5b\x87\xe9\xb3\xb7\xed\x7c\x5c\x2e\x1f\x0b\x22\x16\xff\x98\xaf\xfd\xc1\x61\xd4\xe0\x73\x50\x04\x52\x8a\xad\x78", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double, double), double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos4d
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsCommandListNV
  {(uint8_t*)"\x8a\x30\x83\x13\x3f\x51\x48\xd2\xde\x72\x6e\xdf\xe4\x94\x93\x25\x4b\x4b\x34\x0a\xc7\x7e\x93\x93\x57\x88\xec\xb9\x9b\x56\x7f\x28", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t*, uint32_t*), uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glQueryMatrixxOES
  {(uint8_t*)"\xe7\xc4\xe3\x7c\x63\x1f\x05\x1b\x20\xce\x99\xe9\xda\xc0\x2b\x88\x53\x92\x6a\x4e\xe1\x1e\xf7\xaf\xfb\x29\x3a\x83\xed\x5b\xf6\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t), uint32_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1sARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glResetHistogramEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glActiveProgramEXT
  {(uint8_t*)"\x26\x80\x6f\xbc\x32\x62\x85\x87\xef\x45\x8f\x5c\x53\x2a\x37\xc4\xef\xc0\x2f\x92\x3a\x25\xeb\x9d\xa9\x92\x82\xae\xe5\x9a\x5f\xd4", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetAttribLocationARB
  {(uint8_t*)"\x3f\xa4\x13\x96\x8b\x0f\x8a\x62\x3e\xf6\xb7\x80\xff\x01\xc2\x0f\xda\x8b\xb3\x42\xf7\xb4\x54\x10\x4a\x0f\x2a\xf3\x07\x1b\xdd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<const unsigned char *(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetString
  {(uint8_t*)"\x90\x53\x85\x8d\x3c\x46\xf9\x6e\x04\x34\x1d\x65\xf7\x12\xc8\x86\x1f\x60\x73\xe2\x64\x04\x1f\x62\x32\xb8\xd7\xfc\x8d\x33\x30\x94", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*, uint32_t*, uint32_t), uint32_t, uint32_t, uint64_t*, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawCommandsNV
  {(uint8_t*)"\x24\x44\xc9\x5d\xf8\xf7\x95\x90\xa4\x13\x82\xad\x85\xc8\x2e\x54\x34\x27\xc7\x66\xde\x82\xbe\xd2\xbc\x07\x9b\x56\x73\x04\xb2\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTextureSubImage3D
  {(uint8_t*)"\x12\x8c\x1a\xf3\x35\x1e\xa4\x0f\x6f\x67\x9e\x14\x58\xe9\x2b\x53\x84\xae\xfd\x79\xe2\xfc\x91\xf1\x7b\x7d\x65\x84\xc2\x94\xa9\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexGenfvEXT
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3ui
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream3dATI
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenRenderbuffers
  {(uint8_t*)"\xb2\x1a\x02\xf4\xab\x35\xd0\x92\x4b\xb0\x61\x05\x33\x91\xbd\x10\x31\xdd\x5a\xe1\x34\xd0\x7e\x25\x40\x62\x8b\xb0\xd1\xd8\x2a\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastGetQueryObjecti64vNV
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3f
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDetachObjectARB
  {(uint8_t*)"\xb1\xf1\xcf\x54\x7c\xe1\xb3\x14\xf6\x51\x0d\x1f\x9d\xc4\xd2\xa1\x44\xde\xd6\x35\x05\x26\x00\xbd\x3c\x37\x85\xcd\x4a\x93\x1a\x9b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFeedbackBufferxOES
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenerateTextureMipmap
  {(uint8_t*)"\xd0\x8f\x74\x63\x76\x23\xd7\x9a\xd1\x1c\xaf\x8e\xee\xf7\xd6\x66\x78\xa5\x17\x12\x2e\xbc\x63\xcf\x6c\xb8\xee\xcc\xc7\x33\x29\xea", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(struct _XDisplay *, XVisualInfo *, uint64_t), struct _XDisplay *, XVisualInfo *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {}>}, // glXCreateGLXPixmap
  {(uint8_t*)"\xe9\x09\x2f\x0e\x49\xee\x29\x9a\x5a\xab\x45\xa2\xa9\x9d\xe6\x96\xb2\x29\x3a\xab\xd3\x9a\xf7\x8b\x72\x35\x4d\xc7\xe6\xc4\xcf\x6e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const unsigned char *, const double *), uint32_t, uint32_t, const unsigned char *, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramNamedParameter4dvNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginQuery
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glMulticastBarrierNV
  {(uint8_t*)"\xea\xba\xa1\x5f\x6a\xdb\x20\x6f\x4f\x0a\xfe\xf8\xdb\xa4\x41\x37\xb3\x95\xfb\x02\x65\x75\xf8\x1d\x11\x1b\xab\x9c\xb0\x22\x81\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParameter4fvEXT
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3sv
  {(uint8_t*)"\xd2\x1d\x19\x8c\x6a\x27\xc9\x3c\xb1\xbc\xf2\xcf\xa7\xdb\x4d\xde\xd6\xb3\xb9\x32\x6b\xa6\x50\x35\xbb\xbd\x88\x95\xac\x0a\x91\x91", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint64_t, uint32_t), uint32_t, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAcquireKeyedMutexWin32EXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCompileCommandListNV
  {(uint8_t*)"\x0f\x11\x40\xb5\x1d\xbb\x8e\xa6\x2b\x83\x07\x6f\x08\x58\xdc\x3e\x2a\x3a\x8a\xfe\xaa\x45\x7d\x15\x6f\x09\x76\xdd\x0c\x0a\x07\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorFormatNV
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateRenderbuffers
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawBuffersATI
  {(uint8_t*)"\x82\xbf\x6a\xba\xd8\x5b\x20\x0a\xaa\x57\x4c\x5d\xbc\x07\x08\x1f\xb6\xa0\x3d\x43\xd5\x1c\x30\x05\xc9\xe1\xbd\xac\x6d\x61\xe8\x50", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *, uint32_t, uint32_t, uint32_t), uint32_t, const void *, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawArraysIndirectBindlessNV
  {(uint8_t*)"\x9a\x43\x84\xd4\x9c\x39\x59\x18\xb5\x7d\x9a\x63\x4c\xed\x31\xc4\x99\x7d\xf9\x0e\x1c\x83\x23\x54\x2b\xce\x6f\x5f\x19\x83\x69\x2e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t), uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2s
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenProgramPipelines
  {(uint8_t*)"\xc4\x6e\x4a\xaa\xfe\x3a\x57\xca\x92\x11\xa1\x8c\xd2\xa7\x4b\xb4\x85\x58\x7a\x96\xd9\xe8\xff\x3f\xd1\x6a\xa9\xf6\xf6\x5a\x01\x0d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTextureFaceARB
  {(uint8_t*)"\x98\xd7\xce\x47\x4b\xc4\x0c\xad\x64\xfb\x17\xb4\x23\x7a\x76\xab\x6c\xc6\x87\xc2\x87\x13\xd5\xc5\x39\x21\x35\xae\x51\x19\xef\x01", (void(*)(void *))&GuestWrapperForHostFunction<void(float *), float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFogFuncSGIS
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteRenderbuffersEXT
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsProgram
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBinormal3bvEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCombinerParameterivNV
  {(uint8_t*)"\x24\xff\x43\x3a\x80\x3e\x0d\x80\x40\x6c\xfb\x16\xb9\xbd\x41\xcb\xbe\x0b\xf8\x19\xcf\x04\x68\x9a\xbe\xfc\x47\xa0\x21\x0b\x2d\xfa", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsEnabledi
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsBuffer
  {(uint8_t*)"\xe0\x57\x18\xf4\x8e\x3b\x1c\x3f\xaa\x42\xea\x65\x0e\x96\x1d\xf0\xaf\x24\x05\x7a\x27\xc8\xa6\xe0\xd5\xa6\x56\xc7\x6e\xc1\x89\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const float *), const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3fVertex3fvSUN
  {(uint8_t*)"\x36\xbd\x5a\xc5\x2c\x84\xb1\x27\xf3\x4c\x7c\x05\x1d\x62\xcb\xcd\x92\x79\x63\x19\x29\x95\x00\xd7\xe2\xc8\x8e\x4b\x20\x34\x70\xa0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2i64ARB
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFinalCombinerInputNV
  {(uint8_t*)"\x71\x6d\x5a\xc8\x03\x5b\xbe\x77\x0a\x43\xd4\x4c\x47\x36\x03\x3c\x9f\x2e\x18\xbf\xe3\xf8\x35\x27\xf1\xbd\x46\xcf\x1e\x73\x55\x2d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3ui64ARB
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetRenderbufferParameterivEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2dv
  {(uint8_t*)"\xdb\x36\x76\x57\x60\x02\xfd\x66\xa6\x99\xb2\x75\x18\x14\xb1\xa3\x24\x3a\x86\xdb\xae\xb0\x95\x27\x25\x88\xe6\x2b\x48\xf6\x70\x16", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetCompressedTextureSubImage
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3ivEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI3iv
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenSemaphoresEXT
  {(uint8_t*)"\xc7\xf6\xb5\xcb\xc1\x48\x7e\x2a\x10\x0d\x94\xeb\x9f\xa7\x9b\x10\x2d\x81\x1f\xde\xd2\xfe\x2f\xba\xcb\xff\x17\x3d\xe8\xf7\xb5\xe2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveVaryingNV
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteTextures
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4bvOES
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInvalidateNamedFramebufferData
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteSamplers
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTestFenceNV
  {(uint8_t*)"\xe1\x5c\x14\xd9\x44\x6c\x4e\xdc\x39\xda\xc2\x5e\xbf\x33\x79\x02\xe1\x4e\x6f\xc3\xee\x8e\xa2\xb9\xa5\xf7\x27\x9c\x77\x64\x9c\xe8", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsTextureHandleResidentARB
  {(uint8_t*)"\x1c\x19\x75\x5a\x61\x73\xc1\xf9\x27\x2d\x22\x1e\x1c\x3d\x9d\xee\xf1\x41\x2a\x72\x63\x23\x86\x82\x1d\x8d\x91\x96\xa4\xed\x7f\x48", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRenderMode
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMaterialiv
  {(uint8_t*)"\x24\xff\x43\x3a\x80\x3e\x0d\x80\x40\x6c\xfb\x16\xb9\xbd\x41\xcb\xbe\x0b\xf8\x19\xcf\x04\x68\x9a\xbe\xfc\x47\xa0\x21\x0b\x2d\xfa", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsVariantEnabledEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1fvNV
  {(uint8_t*)"\xc0\x80\x79\xe3\x26\x3f\x6b\x52\xd5\x78\x9e\xe9\xbb\x0e\x26\x1c\xc5\x62\x9f\x4a\xa4\x21\x1d\xcf\x55\xb0\x29\x3b\x42\x3a\x5c\xc0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint64_t*, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*, uint64_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexBuffers
  {(uint8_t*)"\x21\x43\x6c\x7a\x73\x07\x32\xa0\x86\x56\x1f\x01\xd8\x6f\x38\x10\x10\x3c\x0a\x04\x97\xad\xf6\x2b\x8c\x69\x81\x66\x8d\x78\xb1\x93", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, void *, uint32_t*), uint32_t, void *, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glEGLImageTargetTextureStorageEXT
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramParameteriEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexP2ui
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord1fv
  {(uint8_t*)"\xe7\xb4\xd8\xc4\x17\x78\xbd\x4b\xde\x55\xaf\xcc\x7c\xfe\x93\xe0\x1f\xb2\x25\xd0\xda\xe9\x3d\xd5\x26\x7d\x54\x3f\x99\x2d\x67\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, double *), uint32_t, uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedProgramLocalParameterdvEXT
  {(uint8_t*)"\xaf\x7b\x3c\x7e\x16\x91\xa8\x0f\xed\xa0\xaa\xbe\x0d\x1e\xcd\x59\x54\x34\x66\x26\x9d\x21\x75\xfe\x28\xf1\x4f\x1e\x7c\xb2\x68\x7c", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint32_t), struct _XDisplay *, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXSwapIntervalEXT
  {(uint8_t*)"\x36\x9d\xf7\x5d\x3a\x21\x49\xfa\x43\x27\x9f\x16\xe8\x56\x90\x6e\x09\x02\xe9\x8c\xad\x31\xec\xcf\x57\xbb\xab\xd5\x8d\x38\xee\x23", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXWaitVideoSyncSGI
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateSamplers
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearAccum
  {(uint8_t*)"\x54\xd9\x29\x60\xd8\x30\x50\x1a\x0f\x50\x38\x15\x15\xca\x2b\x9c\x70\x03\x88\x79\xda\x99\x52\x76\xa7\xd3\x9f\xd5\xe3\x5e\xd4\xf3", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glObjectUnpurgeableAPPLE
  {(uint8_t*)"\xa7\x2b\xe4\x64\x6a\xe8\x54\x52\xa5\x05\x3c\xf0\xc7\x0b\xaa\xeb\x41\x9d\x21\x2f\xda\xd2\x14\xc1\xd7\xe6\x48\x44\x0a\x24\x4e\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPerfMonitorGroupStringAMD
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4sv
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2fv
  {(uint8_t*)"\xfc\x44\x45\x92\x28\x5c\x80\x4f\xb4\x31\xb7\x46\x92\x94\x62\xdb\x8e\x74\xe2\xbc\x31\x50\xe2\x26\xb5\xe5\x1e\x67\xf4\x9e\x49\xe8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, char *, uint32_t, char *, uint32_t*, uint32_t*, uint32_t*, uint32_t*, uint64_t*), uint32_t, uint32_t, uint32_t, char *, uint32_t, char *, uint32_t*, uint32_t*, uint32_t*, uint32_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPerfCounterInfoINTEL
  {(uint8_t*)"\x23\xb8\xce\xaa\x3f\x58\x84\x76\xea\x9b\x97\x9e\x91\xd8\xd5\x2d\x5c\x4a\x74\xa4\x4d\x34\x51\x8f\xdb\x31\xb9\x40\x5e\xdf\xf2\x7f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyPixels
  {(uint8_t*)"\xde\xe3\xb1\x04\xc9\xa0\x08\x5d\x7b\x1c\x0d\xdd\xbf\x93\xc4\xe1\x09\x06\xa5\x4e\xcc\x86\x0c\x8c\x75\xf2\x10\x48\x79\xcc\xc7\x2b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint8_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnMinmaxARB
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2d
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoordP1ui
  {(uint8_t*)"\xf5\x75\xdb\x4f\x86\x3f\x62\x64\xbb\x50\x51\x89\x7f\x05\x25\xb4\xb4\xb9\x6f\xab\xa1\x69\xaa\x12\xc7\x1f\x35\x68\xf7\x2b\xcd\xbf", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindMaterialParameterEXT
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4Nbv
  {(uint8_t*)"\x44\x15\x50\x6e\xaf\x1c\x7d\xc3\xb5\x03\xba\x0a\x88\xf3\xf6\x4b\x66\x06\x94\xea\x05\xd8\xf2\x12\x68\xcd\x6b\xc4\x71\xa5\xcb\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInvalidateNamedFramebufferSubData
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetConvolutionParameterxvOES
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferSampleLocationsfvARB
  {(uint8_t*)"\x28\xe4\x62\x84\xcb\x24\x8b\x2e\x08\xb4\xc1\xf4\x58\x24\x0e\xa3\xd2\x83\xee\xd3\x4b\xf8\x2d\xe1\x0f\x16\xb7\x5f\x16\xb0\xc7\x81", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glDrawElements
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilOpSeparateATI
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAlphaFuncxOES
  {(uint8_t*)"\x76\xe6\x80\x83\xf2\x87\x1c\xd6\xe2\x93\x1b\x08\x5a\x1d\x54\x22\x74\xf3\x83\x33\x38\x61\x55\x2a\xc5\x5c\x24\x93\x9a\x19\xda\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4uiEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteVertexShaderEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathTexGenfvNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginQueryARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glResetMinmax
  {(uint8_t*)"\xa7\x2b\xe4\x64\x6a\xe8\x54\x52\xa5\x05\x3c\xf0\xc7\x0b\xaa\xeb\x41\x9d\x21\x2f\xda\xd2\x14\xc1\xd7\xe6\x48\x44\x0a\x24\x4e\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetShaderSourceARB
  {(uint8_t*)"\x64\x57\x87\xc7\x02\xb3\x27\xee\xea\x75\x5b\xbd\x5b\xf7\x3f\xb5\x57\x88\x61\x34\x02\x18\x65\x5d\xfe\x61\x9e\x6c\xb2\x8e\x52\x7a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL3ui64vNV
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultTransposeMatrixd
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCoverageModulationNV
  {(uint8_t*)"\x26\x80\x6f\xbc\x32\x62\x85\x87\xef\x45\x8f\x5c\x53\x2a\x37\xc4\xef\xc0\x2f\x92\x3a\x25\xeb\x9d\xa9\x92\x82\xae\xe5\x9a\x5f\xd4", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFragDataLocation
  {(uint8_t*)"\x42\x08\x6c\xba\xcd\x21\xb3\x48\xc4\x02\x03\xd0\x18\x67\xf7\x6a\xb1\x8d\x0a\xb3\xb6\x2d\xf3\x57\x83\x79\x35\x34\xb1\x7a\x52\x6f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t*, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramResourceiv
  {(uint8_t*)"\x75\x04\x97\x87\xd0\x51\x98\x3e\xb8\xe3\xe9\x42\x9f\xd4\x71\x34\x08\x97\x19\x6d\x5c\x58\x39\x3d\x8e\x07\x4c\x18\xbc\x0c\xb6\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryObjecti64vEXT
  {(uint8_t*)"\x65\xd2\x38\x70\xde\xd5\xe1\x50\x91\x83\xb4\x2b\xcd\x4d\xe6\x70\xa1\x64\xc2\x0a\x50\x0e\xb8\xe5\x90\xb6\xad\xf4\x45\x96\x55\x0f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3hNV
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentLightfSGIX
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindTransformFeedbackNV
  {(uint8_t*)"\x97\x36\xf7\x8b\xbb\xa4\x1a\xb8\xe6\x27\xf7\xf0\x20\xfa\x83\xce\x0d\x7d\x86\xc3\x4f\x96\x99\x5a\xea\xff\x65\x25\x25\xdb\x3e\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const unsigned char *), const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3ubv
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2d
  {(uint8_t*)"\xf2\x27\xfd\x02\x31\x75\x99\x80\xdb\x07\x0d\x27\x9c\xa9\x0c\x9a\xed\x6d\xd3\x9b\xb5\xfb\x73\xfe\x5f\xb8\x8d\x9b\x79\xe9\x2d\x27", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t*, uint32_t*), struct _XDisplay *, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryVersion
  {(uint8_t*)"\xc0\x83\xe5\x60\x4a\x40\x6c\x26\x61\x84\x52\x18\x98\x47\x62\x87\x8b\x31\x27\x94\xc7\xe0\x17\xf7\xfe\xb0\x56\xa9\xeb\xd3\x08\x0c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3sARB
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsTransformFeedbackNV
  {(uint8_t*)"\xae\x72\x04\x06\xfa\x85\x28\x85\x61\xce\x5d\x72\x0a\x7d\xfa\x38\x69\x9c\xb9\x0e\x94\x2e\x7d\xdb\x72\xf7\xab\xb6\x7c\x85\x77\xd2", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint64_t*, uint64_t*), struct _XDisplay *, uint32_t, uint32_t, uint64_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetVideoInfoNV
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3s
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSpriteParameterivSGIX
  {(uint8_t*)"\x89\xfc\xcd\x1d\x51\x0b\xb3\x92\x21\x80\xb0\x4b\x73\x34\x53\xb1\xf2\x3b\xf9\x10\xb4\xcb\x99\x1c\x6b\x65\x62\x77\xcb\x1c\xf6\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBinormal3bEXT
  {(uint8_t*)"\x9e\x2f\x66\xc5\x51\x57\x26\x88\xcf\xec\xf0\x1e\x04\xff\x31\x7a\x35\xc9\x3c\x8f\x1f\xbd\x47\xd9\x9b\xe4\x2f\xfb\x03\x27\xfe\x36", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4s
  {(uint8_t*)"\x0f\xd0\x1f\xea\xef\x9a\xd2\x84\xb8\xd1\xa9\xec\x80\xf3\xa8\x18\xdb\x8d\x9b\x1e\x5d\x6e\x76\xb0\x14\x38\xce\xed\x1b\xfa\xa4\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glColorPointer
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4ivARB
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsPathNV
  {(uint8_t*)"\x50\x4f\xd5\xeb\xc4\x0f\xd0\x58\x78\xf8\x81\x2e\x56\xbc\x74\x85\x30\xbd\x6b\xe6\xb7\x43\x6d\xa5\x79\x0a\x70\x97\x61\x67\xda\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double), uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixRotatedEXT
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsQueryARB
  {(uint8_t*)"\xa7\x2b\xe4\x64\x6a\xe8\x54\x52\xa5\x05\x3c\xf0\xc7\x0b\xaa\xeb\x41\x9d\x21\x2f\xda\xd2\x14\xc1\xd7\xe6\x48\x44\x0a\x24\x4e\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetInfoLogARB
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4x3dv
  {(uint8_t*)"\x46\xa6\x18\x70\xa1\x04\xfa\xd7\xef\x0f\xb1\x39\x75\x69\xd1\xbf\x09\x54\x53\x82\x25\x09\x92\x32\xb2\xb5\xb5\xf7\xee\x73\xd3\xe6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glSeparableFilter2D
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetBufferParameterivARB
  {(uint8_t*)"\x41\xbf\x83\xd1\x25\xaf\xdc\xe6\x38\x64\x19\x47\xeb\xaf\x02\xc8\x6f\xc7\x28\xf5\xd8\x41\xc5\xe6\xd8\x8b\x33\x64\x38\xc4\x03\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char *const *, uint32_t*), uint32_t, uint32_t, const char *const *, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glGetUniformIndices
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLineWidthxOES
  {(uint8_t*)"\x25\x04\xf6\xda\xf9\xc9\xc7\x46\x6a\x0f\x23\x8c\x5f\x2d\xad\x31\x26\x3a\xd8\xcd\xcf\x34\xa6\xf6\xed\xa1\x5a\x64\x55\x50\x6f\x73", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLsync *(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFenceSync
  {(uint8_t*)"\x1f\x13\xa2\xc0\xb4\xf8\xd2\x95\xea\x56\x66\x9f\xbf\x07\x4a\x27\xb5\x03\x5c\xbb\xe4\x48\x2a\xec\x78\xa8\xb0\x2d\xf5\xb2\x97\xb7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void **, uint32_t), uint32_t, uint32_t, uint32_t, const void **, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glColorPointerListIBM
  {(uint8_t*)"\x22\x89\x81\xb6\x58\x83\xbe\xb8\x03\xe3\x99\x16\xe4\x50\xd1\x1f\xe2\xfe\x48\x99\xe0\x86\xcd\x2a\xdc\x17\x23\x4c\xfa\xe6\xff\x7c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveSubroutineName
  {(uint8_t*)"\x44\x28\xa5\xa5\x40\x51\x2a\x85\x9b\xa2\x7f\x42\x1b\x04\xfe\xbe\x08\x94\xd8\x48\x90\xba\xad\x60\x88\xba\xb7\x4b\x6a\xb3\xa2\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateQueries
  {(uint8_t*)"\x1f\x3b\x68\x51\x60\x6c\xcb\xa7\x3a\x66\x2f\x83\x24\xb8\x9e\x9f\xad\x12\x4f\xad\xc0\x3a\x04\xf4\xd7\x29\xa4\x52\x35\x11\xf8\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyConvolutionFilter2D
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3svEXT
  {(uint8_t*)"\xe7\xc4\xe3\x7c\x63\x1f\x05\x1b\x20\xce\x99\xe9\xda\xc0\x2b\x88\x53\x92\x6a\x4e\xe1\x1e\xf7\xaf\xfb\x29\x3a\x83\xed\x5b\xf6\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t), uint32_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1sNV
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTexture
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetListParameterivSGIX
  {(uint8_t*)"\xef\x91\xc7\xdd\xd3\x91\xdd\x1e\xbd\x41\xe1\x00\x88\x5c\xfd\xbb\x11\xec\x44\xc7\xf2\xca\xab\x7e\x53\x25\xa9\x7a\x6e\x34\xb0\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1fvEXT
  {(uint8_t*)"\xbd\xb9\x40\x93\x11\x01\x30\x58\x04\x4f\xbe\x9a\xd9\xc4\xac\xe8\xf1\x84\x62\xaa\x99\x7d\x7a\xe8\x99\xb7\xe2\x06\xcb\x92\x8b\x38", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, const void *, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawElementsInstancedBaseVertex
  {(uint8_t*)"\xcf\xd7\x24\x33\xce\x18\x7d\x13\x1c\xc2\xa2\x4b\xec\x5f\x33\xae\x07\x9d\x4e\x69\xa3\x1b\x22\x23\x4c\xa7\xd5\x32\x65\xed\x0a\x38", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs2hvNV
  {(uint8_t*)"\xb1\xb1\x71\xe8\x0f\x43\x03\x17\x92\x25\x46\x58\x5f\x1d\xe7\xcb\x2f\xd0\x59\x2c\x3d\x05\xbc\xcc\x78\x72\xa3\x82\x15\xff\x28\xfe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, uint32_t, uint32_t, double, double, uint32_t, uint32_t, double, double, uint32_t, uint32_t, const double *), uint32_t, double, double, uint32_t, uint32_t, double, double, uint32_t, uint32_t, double, double, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeformationMap3dSGIX
  {(uint8_t*)"\x9a\x85\x52\xfb\x4a\xf1\x11\xda\x4f\x8d\x5e\x62\x35\x26\x78\x18\x07\xdb\x84\xf8\x0d\x25\x37\xab\xa8\xd3\xb2\x5e\xe4\x51\x4b\xfa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnUniformuiv
  {(uint8_t*)"\xa5\xe9\xec\xc4\x21\xcb\x69\xbe\xd2\x69\xe4\x0b\x67\x6e\x64\x20\x48\x03\x8c\x0b\x7e\x00\x97\xce\x42\x54\xea\x1f\x81\xee\xfe\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribIFormatNV
  {(uint8_t*)"\x53\x0b\xc3\xa0\x37\x85\x2d\x1b\x3c\xa6\x8b\x5e\x47\x8b\x3b\x8c\x30\xcc\xcf\x4e\x7e\x57\x32\x3f\xe8\xfd\x46\x05\x30\x06\x02\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix4fvARB
  {(uint8_t*)"\x6b\x8f\x22\x0c\x57\xa4\x0d\x07\xf1\x39\x5e\x85\x69\x7c\x49\x1d\x91\xc4\xfd\xbc\xec\x22\xd0\xc7\x31\x6b\xbd\x88\x55\x85\xdc\xc7", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXFBConfigRec **(struct _XDisplay *, uint32_t, uint32_t*), struct _XDisplay *, uint32_t, uint32_t*>::Call<ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetFBConfigs
  {(uint8_t*)"\x22\xe6\x69\xaf\x81\x73\x87\xb6\x4a\xcf\x93\x16\x9b\x14\x87\xa0\xda\xa9\xf9\x1f\x96\x00\xdb\x3b\x95\xe8\x35\xd5\x2b\xd1\xeb\x7a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3i64ARB
  {(uint8_t*)"\xac\xaf\x12\xd0\xba\x51\x02\x91\xff\x4e\x0b\xd5\xd0\x08\xf6\xb7\x41\x47\x31\x30\x5c\x0a\x21\x16\x93\xcc\x6b\x21\x06\x12\x3f\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, struct __GLXcontextRec *), struct _XDisplay *, struct __GLXcontextRec *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glXDestroyContext
  {(uint8_t*)"\xb7\x06\xc3\x2b\x09\xa8\x56\x10\xb8\x35\x34\x79\xca\x78\xad\x1d\x18\x63\x79\x6f\x3d\x4c\xa3\x8d\x62\xe3\xcc\x1a\xfa\x99\x96\x46", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glInterleavedArrays
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramEnvParameterfvARB
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4iv
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexGenfv
  {(uint8_t*)"\x7c\xbf\x9e\x9a\xd3\x2a\x2a\x93\xed\x1c\x48\xd9\xfc\x64\x1a\xd1\x1f\x30\x9b\x01\x7a\xed\xa9\x14\x46\xfa\x72\x3b\x9c\x38\x2d\x9e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2ivARB
  {(uint8_t*)"\xd3\xb0\x14\xc0\xfb\x74\x5d\x2e\xe0\x05\xaa\xcb\xb8\x8f\x96\x06\x9d\x65\xf2\x6b\x8a\xef\xf9\x20\xb2\xac\xe9\x3b\x96\x43\xd8\x26", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t), uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGlobalAlphaFactorsSUN
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixMultTranspose3x3fNV
  {(uint8_t*)"\x50\xa2\x7a\xda\x76\xbf\x3f\x3c\x1a\xab\x08\x68\xbe\xfe\x17\x74\x8e\x15\x9a\x63\x69\x1f\x66\x12\x20\xea\xbc\x00\x92\xf5\xc6\xaf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *, uint64_t, uint32_t, uint32_t), uint32_t, const void *, uint64_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawArraysIndirectCountARB
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetLightxOES
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColorP3uiv
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedFramebufferAttachmentParameteriv
  {(uint8_t*)"\x0f\xd0\x1f\xea\xef\x9a\xd2\x84\xb8\xd1\xa9\xec\x80\xf3\xa8\x18\xdb\x8d\x9b\x1e\x5d\x6e\x76\xb0\x14\x38\xce\xed\x1b\xfa\xa4\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexPointer
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameterfSGIS
  {(uint8_t*)"\xdd\xa0\xda\x73\xaa\x31\x03\x3d\xee\x18\xa9\x52\x4d\x7d\x66\x1a\xbf\xc0\x2d\xce\x43\xb4\xee\x8e\xda\x74\x10\x85\xc8\x63\xd1\xe5", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsPointInStrokePathNV
  {(uint8_t*)"\xe8\x30\x90\x7b\x9f\x31\x34\x47\x71\x63\x02\x28\x0a\xec\x95\xd9\x62\xe3\xb9\xa0\x24\x37\x62\x45\x6a\x94\x6a\x8c\x54\x40\x02\x11", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char *), uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindFragDataLocationEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMapParameterfvNV
  {(uint8_t*)"\xde\x8c\x99\xd5\xe3\x54\xb7\xbc\x81\x14\x71\xb1\xa6\x65\x20\x39\x18\xbb\xf1\xac\xbe\x6e\x86\xd6\x3e\x12\x1d\x9e\x56\x2c\xb6\x5a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorFragmentOp2ATI
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClampColorARB
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableClientStateIndexedEXT
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsFenceAPPLE
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureParameterIuiv
  {(uint8_t*)"\x84\x24\xce\xc4\x81\x6e\xfe\xd9\x17\xd9\x30\xa4\x8a\x85\x1e\x40\x1b\xb9\xb2\xbd\x65\x23\x38\x38\x40\xf8\x90\xb6\xf3\x3e\x81\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, void *), uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glEGLImageTargetRenderbufferStorageOES
  {(uint8_t*)"\x8d\xd6\x8a\x04\xd5\xd6\xe3\x6c\xdb\x36\x71\x92\x83\x30\xdc\x16\x5f\xc8\x65\xa3\x50\xe9\x05\xc0\x0e\x1d\x2e\x8c\x7b\xc4\xb4\xb9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyMultiTexSubImage3DEXT
  {(uint8_t*)"\xc4\x83\x8c\x45\x65\x87\x0b\x47\x59\x90\xfa\x75\x5e\x4c\xad\xa1\xf9\x82\xc2\xde\xd5\xf0\x68\x73\xcd\x9a\xca\x7c\xb2\xde\x90\xee", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t, uint8_t, float, float, float), uint8_t, uint8_t, uint8_t, uint8_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4ubVertex3fSUN
  {(uint8_t*)"\x36\xe1\xb9\x84\xa3\xbc\xa7\xf8\x9f\x85\xe5\xcc\x17\xcf\x38\xae\x09\x4c\x0e\x71\x30\x59\xb7\xa2\x72\xf3\x14\x30\x26\x00\x58\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, float, float), uint32_t, uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4fEXT
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3d
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendFuncSeparateEXT
  {(uint8_t*)"\x9f\xfd\x1f\x0d\x5d\x02\x08\x17\x24\x23\xd2\x7c\x82\xf6\x0f\xe3\x09\x20\x0b\xd5\x6f\xdb\xe9\x91\xdf\x08\xa5\x8c\xc2\x59\xd3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXDestroyWindow
  {(uint8_t*)"\x3b\xbb\x67\x5b\x92\xa6\x91\xf9\xea\x79\x10\x90\x4c\xaa\xb6\x0d\x7c\xca\xb8\x8b\x76\xfa\x06\x89\xcb\xe9\x31\x4e\x67\x96\x67\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t), uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2hNV
  {(uint8_t*)"\x48\x65\xd5\xdd\xd0\x8e\xce\x95\x41\xab\xa6\x6a\xe7\xc8\x62\x7a\x46\xc8\x35\x74\x2c\x31\x66\x43\x2d\xf1\x1d\xb0\x48\xb0\xda\x51", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSemaphoreParameterui64vEXT
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenVertexArraysAPPLE
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetNamedBufferPointervEXT
  {(uint8_t*)"\x9b\x9a\x36\x98\xab\x4f\x14\x1f\x17\x29\x4b\x6a\xc1\x44\x17\xa8\x6b\xd1\x20\x28\xd9\xaf\xeb\x11\x09\xb1\x76\x31\xb2\xa9\x5b\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, unsigned char *), uint32_t, uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramStringNV
  {(uint8_t*)"\xca\x4a\x6d\xba\x47\x75\x77\x77\xa4\xf8\x3e\x18\x0d\x80\x16\x25\x26\x48\x97\x24\x90\x1b\x23\x3f\x3d\x4d\x83\x5b\x63\xab\xb5\xf8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, const void *), uint32_t, uint64_t, uint64_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glBufferSubDataARB
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadTransposeMatrixf
  {(uint8_t*)"\x2a\x98\x4e\x5f\x56\x2a\x4e\xb3\xf8\xc6\x1d\x4e\x73\x3e\x31\xd4\x3d\x9f\x1d\xf6\x80\x99\x27\xc0\xba\x25\x70\x75\x99\x7e\x63\x9b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(struct __GLsync *, uint32_t, uint64_t), struct __GLsync *, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClientWaitSync
  {(uint8_t*)"\xcc\x02\xe0\x57\xac\x5e\x3e\x0f\x3f\xad\x29\xa2\x7a\x87\xab\x2c\x21\xfe\xef\x41\xf9\x3d\x46\xc0\xea\x01\x45\x5e\x3e\x53\x1c\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTextureLayerARB
  {(uint8_t*)"\x8e\x73\x70\x8f\xc8\x48\x26\x9a\xf7\xdb\x01\x0d\x12\xaa\xce\xcd\x02\xfa\xfd\x19\x3b\x8d\x92\x2b\xbf\x80\x24\xa0\x2d\x19\x02\x71", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glArrayObjectATI
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoordP2ui
  {(uint8_t*)"\xc6\x58\xfd\xf2\x24\xdb\x37\xa7\x2a\x67\xc6\xa2\x73\x95\x3d\x3a\x57\x58\x18\xe8\xcc\xc9\x10\xd5\x2e\xcf\x6b\x8a\x23\xa5\x8d\x39", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetCombinerInputParameterivNV
  {(uint8_t*)"\x0e\x4d\xda\x88\x34\xa2\x5c\x2c\x1c\xaf\xe5\x37\xb0\xa1\xfa\xf0\x24\xc1\xad\xa8\xfb\x0c\xb1\xd6\xf0\x23\xc9\x2a\x0b\xf5\x0d\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, const void *, uint32_t), uint32_t, uint64_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glBufferStorage
  {(uint8_t*)"\x4d\x90\xa4\x39\xa5\xaa\x99\xa5\x06\x8d\x32\x31\xb6\xf0\xea\xc0\x5a\x17\x43\x72\xbc\x78\xb7\x47\xb1\xdc\x20\x74\xd2\x16\x8e\x3d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexSubImage3DARB
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glUnmapBuffer
  {(uint8_t*)"\x68\x49\xac\x1c\x2c\xe2\xd7\x05\x11\xe6\x6a\xc7\xb1\xc2\x90\x5f\x5f\xd0\x17\xae\x28\x35\xf1\x03\x27\xa7\xf2\x67\x8c\xd5\x7c\xa5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnConvolutionFilterARB
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4xOES
  {(uint8_t*)"\xf4\x1f\xa3\xc3\x84\x39\xe1\x27\xfa\xea\xac\x7f\x60\x74\x0e\x23\x0d\x4b\xac\xb3\xb3\x7e\xac\xdb\x02\xf5\x4a\xf3\xaa\x85\x31\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float), uint32_t, uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2f
  {(uint8_t*)"\x61\x98\x48\xc1\x48\x98\xfe\xac\xfc\x5b\xb7\xb4\x95\xad\x53\x8d\x69\x33\x34\x73\x40\x7e\x89\x0b\xf8\xec\x46\x8f\x76\x47\x00\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPixelMapxv
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos4dv
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearNamedFramebufferfv
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureBuffer
  {(uint8_t*)"\x09\x1e\xd6\x2f\x82\xf6\x53\xbf\xba\xeb\x55\x9d\xf5\xbb\x3d\x22\x19\xbc\xae\x1b\x89\x92\x4e\xc8\x03\xf1\xb5\x3e\xab\x7f\x83\xdf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyConvolutionFilter1DEXT
  {(uint8_t*)"\x86\x75\xd8\x65\xd4\x76\x33\x14\x37\xb2\xd8\xa7\xa2\x11\x47\xc1\x06\x6c\x32\x74\x5d\x0b\x2c\xb2\xc9\xf2\x82\x9d\x48\x42\x4b\xd2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexImage2D
  {(uint8_t*)"\x5f\x89\x46\x3c\x1b\x59\x55\xf7\xd8\x43\xce\x1e\x7c\x93\x8b\x34\xda\x09\xe9\xe1\x45\x66\xfe\x9f\xbf\xbb\x85\x58\x9c\x0f\xaa\xbc", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t), struct _XDisplay *, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXBindSwapBarrierNV
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFinalCombinerInputParameterfvNV
  {(uint8_t*)"\x5c\x37\x29\xee\xb6\x73\x32\x82\x3f\xc7\x2f\x31\x50\xeb\x90\x79\xaa\xe0\x86\x19\x04\xa5\x1f\x73\x62\xdf\xc3\xb5\xad\xd7\x73\x94", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t*), struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXCreatePbuffer
  {(uint8_t*)"\xd8\x6a\xe5\x83\xf8\x66\xc3\x24\x87\x89\xe2\xd3\x00\x7a\xaf\x8d\x3b\x11\x6b\xc1\x01\x2b\x4b\x0b\x4b\xe4\xa1\x29\xed\xa5\xaf\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, struct __GLXcontextRec *, struct __GLXcontextRec *, uint64_t), struct _XDisplay *, struct __GLXcontextRec *, struct __GLXcontextRec *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXCopyContext
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalStream3bvATI
  {(uint8_t*)"\x89\xfc\xcd\x1d\x51\x0b\xb3\x92\x21\x80\xb0\x4b\x73\x34\x53\xb1\xf2\x3b\xf9\x10\xb4\xcb\x99\x1c\x6b\x65\x62\x77\xcb\x1c\xf6\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3bOES
  {(uint8_t*)"\xde\x83\xbd\x43\x15\x66\xb8\x8c\x9d\xd1\x56\x62\xdd\x94\x7c\xef\xf8\x74\xe1\xe8\x3e\x50\xd9\x11\xdd\xa4\xd4\x35\xc4\x1e\x79\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4uiEXT
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos3f
  {(uint8_t*)"\x59\xf2\x19\xc4\xa4\xe4\x8f\x50\xe5\xc6\x22\x89\xf9\x8b\x29\xf6\xaf\xcd\xb0\x3b\xae\xea\x64\x6f\xe0\xfc\x56\x06\x2f\x7c\xf5\x65", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint64_t, uint64_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glClearNamedBufferSubData
  {(uint8_t*)"\x89\xfc\xcd\x1d\x51\x0b\xb3\x92\x21\x80\xb0\x4b\x73\x34\x53\xb1\xf2\x3b\xf9\x10\xb4\xcb\x99\x1c\x6b\x65\x62\x77\xcb\x1c\xf6\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3bOES
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsFramebufferEXT
  {(uint8_t*)"\x70\x50\xe2\xd5\x29\xb0\x13\x6e\x30\x7d\xd2\x0c\x44\x84\xbd\x28\xb6\xb8\x4a\x68\x2f\x95\x83\xe0\x59\x5c\xf4\x6f\x48\xac\x4e\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4us
  {(uint8_t*)"\x50\x4f\xd5\xeb\xc4\x0f\xd0\x58\x78\xf8\x81\x2e\x56\xbc\x74\x85\x30\xbd\x6b\xe6\xb7\x43\x6d\xa5\x79\x0a\x70\x97\x61\x67\xda\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double), uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4dNV
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3fv
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3f
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4dvARB
  {(uint8_t*)"\xf6\xc5\x94\x91\x87\xf0\x64\x7e\x9b\xb9\x09\xae\x60\xcf\x51\xf2\xac\x7a\x60\x4c\xa2\x1d\x93\x27\x92\x5d\x31\x7a\x4e\xb4\xba\xc5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTexImage1D
  {(uint8_t*)"\x11\x3d\x07\x37\xea\x6b\x00\xdd\xcb\x44\x39\xe4\xc7\x22\xb5\xfa\x1c\x0c\x5e\x9a\x54\x47\xcd\x01\xa9\x26\xc6\xf3\xda\xe9\x07\x8c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glDrawRangeElementsEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexArrayiv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquation
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEndVertexShaderEXT
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetSamplerParameterIuiv
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsProgramPipeline
  {(uint8_t*)"\xe5\xce\x73\xdb\x64\x5f\xe4\xf5\xa3\xb3\x08\x06\x82\x0d\x3e\xf4\xed\xd1\x77\x5a\x84\xef\x96\xb7\x8e\x93\x0c\xa9\x3d\xed\x15\x47", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelMapx
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3x2dvEXT
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearColorxOES
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPolygonOffsetClamp
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2sv
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexEnvivEXT
  {(uint8_t*)"\x79\x85\x6d\x0b\x15\xae\x8d\x3f\x9e\xbb\x24\x15\x51\x36\xfd\x80\x04\x47\x28\xea\xa1\x67\xd6\x9c\x26\xc6\xf5\x66\x45\x1e\xe8\x10", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastCopyImageSubDataNV
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearDepthfOES
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord2fv
  {(uint8_t*)"\x9b\x5e\xdc\xba\x74\x05\x6d\x7b\x7a\x6a\x33\x7b\x98\x3c\x6b\x73\x91\x8c\xfe\x71\x31\x45\x42\x7e\x74\xb0\x0d\xb1\x47\xc1\x1e\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInsertEventMarkerEXT
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindImageTextures
  {(uint8_t*)"\xf3\x80\xe5\x8d\xa9\xa7\x9e\x37\x3a\x1e\x7c\x02\x47\xe5\x0a\xee\x4e\x3a\xcd\x4f\x77\x02\x0e\x0d\x7d\x9a\xa3\x1e\xcc\x73\x89\x60", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t), uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glShadingRateImageBarrierNV
  {(uint8_t*)"\x08\x61\x32\x86\x98\x04\xc3\x56\x4f\x8e\x86\xcb\xa7\x57\x69\x8f\x38\xfa\xe7\x58\x46\x7b\x44\x9d\x69\xea\xb0\x4f\xc7\x1e\x8d\xea", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXcontextRec *(struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t, struct __GLXcontextRec *, uint32_t), struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t, struct __GLXcontextRec *, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXCreateContextWithConfigSGIX
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindRenderbufferEXT
  {(uint8_t*)"\xd3\xcd\x45\x5c\xbc\xb2\xe9\x58\x82\x11\x93\x5b\x35\x1a\xc4\x31\xc4\xf4\xc6\x66\x5c\x25\x1a\xe3\xd6\x88\x19\x52\x75\xd9\x58\x88", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, unsigned char *), uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnPolygonStippleARB
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFragmentMaterialivSGIX
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoordP2uiv
  {(uint8_t*)"\xcc\x02\xe0\x57\xac\x5e\x3e\x0f\x3f\xad\x29\xa2\x7a\x87\xab\x2c\x21\xfe\xef\x41\xf9\x3d\x46\xc0\xea\x01\x45\x5e\x3e\x53\x1c\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTextureLayer
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetBufferParameteriv
  {(uint8_t*)"\x0f\xd0\x1f\xea\xef\x9a\xd2\x84\xb8\xd1\xa9\xec\x80\xf3\xa8\x18\xdb\x8d\x9b\x1e\x5d\x6e\x76\xb0\x14\x38\xce\xed\x1b\xfa\xa4\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glSecondaryColorPointer
  {(uint8_t*)"\x37\xd4\x4e\x7c\xd2\x70\x54\x91\x9b\x7f\xd2\x8e\xbd\x27\xec\x8e\x8a\xa4\x18\x4c\xb3\xe7\xc3\x90\x38\xff\x3c\xea\xa6\x30\x41\xfb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, float, float), uint32_t, uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParameter4fARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnable
  {(uint8_t*)"\xa2\x46\x31\xc4\x89\xf6\x6f\x70\x69\xcd\xe7\x8c\x47\xd7\x5f\xda\x42\xe1\x4e\x37\x7d\x84\x0d\x5b\x00\xd9\x31\xc6\xdf\xf5\x89\xe0", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint32_t*, uint32_t*), struct _XDisplay *, uint64_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetMscRateOML
  {(uint8_t*)"\x30\xca\x5e\x74\xab\xed\x10\x18\x86\xf0\x2d\xb3\x74\x0d\x9f\xc6\x42\xd6\x59\xe7\x7f\x55\xfa\xf7\x33\x5f\xfa\x87\xbe\xc4\xaf\x0d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAlphaFragmentOp3ATI
  {(uint8_t*)"\xa9\x7e\x8a\x0e\x6e\x7c\x43\xfc\xe7\x7f\xf8\x41\x16\x0d\x22\xdd\x05\x10\xfa\x04\x73\xb3\xdd\xac\x58\x5b\x58\x75\x64\x3b\x82\x14", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayColorOffsetEXT
  {(uint8_t*)"\x6a\xd4\x4b\x36\xa3\x26\x9e\x4d\xa8\x34\x31\x43\x4f\x7a\xa2\x39\x27\x86\x8a\xb0\xe9\xac\xac\xfc\x7a\x5b\xe7\x8f\x76\x88\xee\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyImageSubDataNV
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glViewport
  {(uint8_t*)"\x0c\xd5\xb1\xac\x1b\x69\x66\xc7\x14\x63\x34\x66\xd9\xfc\xac\x78\x4f\x51\xa9\xe3\x95\x80\x14\xef\xfe\x52\x09\x51\x6b\xf0\xdb\xda", (void(*)(void *))&GuestWrapperForHostFunction<const char *(struct _XDisplay *, uint32_t, uint32_t, uint32_t), struct _XDisplay *, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryRendererStringMESA
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenNamesAMD
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthRangedNV
  {(uint8_t*)"\x0a\xbb\xb6\x63\xf6\x78\x96\x31\xd9\x86\xca\xd1\x15\x18\x6d\x12\x01\xe3\x8f\xad\x0c\x5e\xf4\x94\xe2\x10\x35\xb6\x13\x4b\xdc\xc4", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformBlockIndex
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorP4ui
  {(uint8_t*)"\x62\x1e\xa0\x79\x19\xf8\x27\x42\x82\xe3\x48\x70\x7f\x0e\x8e\xb3\x1b\x5a\xfe\x6e\xe9\xf7\x58\x57\x44\x54\x07\xa3\x17\x39\xa1\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char *), uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4ubvARB
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexArrayIntegeri_vEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogiv
  {(uint8_t*)"\x50\x6f\xbb\xc7\x79\xca\x3d\xd9\xa6\xf9\xc9\xed\xbc\x28\xd0\x89\x20\xff\x36\xb6\xe6\x84\x91\x86\x84\xbc\x1f\xde\x9b\x58\x9e\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint32_t, uint32_t*), struct _XDisplay *, uint64_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXBindTexImageEXT
  {(uint8_t*)"\x0e\x4d\xda\x88\x34\xa2\x5c\x2c\x1c\xaf\xe5\x37\xb0\xa1\xfa\xf0\x24\xc1\xad\xa8\xfb\x0c\xb1\xd6\xf0\x23\xc9\x2a\x0b\xf5\x0d\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, const void *, uint32_t), uint32_t, uint64_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glNamedBufferStorageEXT
  {(uint8_t*)"\x3f\xe4\x1b\x6b\x84\x25\x4b\x93\xeb\xac\x31\x37\x4a\x62\xde\x8a\xa3\x9f\x74\xa3\x0e\xfb\x98\xa9\xb5\xe4\x81\x04\x7d\x70\x09\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnTexImage
  {(uint8_t*)"\xe7\xb4\xd8\xc4\x17\x78\xbd\x4b\xde\x55\xaf\xcc\x7c\xfe\x93\xe0\x1f\xb2\x25\xd0\xda\xe9\x3d\xd5\x26\x7d\x54\x3f\x99\x2d\x67\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, double *), uint32_t, uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramParameterdvNV
  {(uint8_t*)"\xc7\x75\xf9\xf1\xe7\xa6\xe0\x6a\xa4\xd1\xba\x8d\xd9\xda\x4f\xf7\x02\x59\x22\x5b\x7d\x40\xd1\xea\xe9\xd4\x97\x1f\x08\xaa\x27\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyMultiTexImage1DEXT
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferRenderbuffer
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsTexture
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoordP3uiv
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilThenCoverFillPathNV
  {(uint8_t*)"\xb6\x16\x3a\x56\x5e\xbc\x4d\x19\xeb\x82\xfd\x4d\xaa\x39\xf3\xdc\x22\x6e\x58\x54\x2d\x40\x2b\xf5\xdb\x4c\xa6\xbf\x21\xfd\x90\x86", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long()>::Call<ParameterAnnotations {}>}, // glXGetCurrentDrawable
  {(uint8_t*)"\xb0\x9c\x8e\xba\xa4\x6a\x9c\x73\xfb\x1e\x76\x9e\xaa\xfe\x60\xee\x23\xdb\x56\x00\xf8\xc6\x66\x59\xc5\xd2\xc3\x8c\xcb\x4a\x4c\xe5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexSubImage2D
  {(uint8_t*)"\x40\x79\xa3\xef\xc5\xd5\x4e\x95\x5b\x91\xd8\x18\x35\x84\xa2\x63\x0e\x06\x06\x67\x0c\x99\xde\x8e\x45\x11\xeb\x2d\x34\xf7\xe6\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *, uint32_t), uint32_t, uint32_t, uint32_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glDrawElementsInstancedEXT
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConvolutionParameterfvEXT
  {(uint8_t*)"\x12\xe5\x4d\x4d\xab\xc5\x13\x23\xbf\x56\x40\x01\xa3\x2a\x42\x61\x06\xa8\xa1\xf9\x54\x5e\xf4\xcd\x94\x60\x71\x8a\x1b\x84\x16\x73", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint64_t*), struct _XDisplay *, uint64_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetSelectedEvent
  {(uint8_t*)"\x50\x4f\xd5\xeb\xc4\x0f\xd0\x58\x78\xf8\x81\x2e\x56\xbc\x74\x85\x30\xbd\x6b\xe6\xb7\x43\x6d\xa5\x79\x0a\x70\x97\x61\x67\xda\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double), uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream4dATI
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glAlphaToCoverageDitherControlNV
  {(uint8_t*)"\xe5\xce\x73\xdb\x64\x5f\xe4\xf5\xa3\xb3\x08\x06\x82\x0d\x3e\xf4\xed\xd1\x77\x5a\x84\xef\x96\xb7\x8e\x93\x0c\xa9\x3d\xed\x15\x47", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glScissorArrayv
  {(uint8_t*)"\x06\x1c\xd1\xc4\xee\xc2\x40\x48\x82\x4b\xc6\xbc\x21\x59\x44\xf3\xc9\xc8\x29\x0f\xd9\xfd\xfe\x8a\xf2\x0d\x99\x92\xf3\xc8\x8d\xb9", (void(*)(void *))&GuestWrapperForHostFunction<const char *(struct _XDisplay *, uint32_t), struct _XDisplay *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXGetClientString
  {(uint8_t*)"\x35\x23\x3f\xe4\x8f\xe5\xc1\xc7\xb7\xaa\x83\x1d\x0e\x1e\x00\x1d\x18\x1a\x30\x45\x7e\xeb\x34\x47\x59\xaa\x63\x57\xbc\x11\x46\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4ub
  {(uint8_t*)"\x6b\xc8\x45\xe9\x00\x02\xb4\x48\xf6\x60\xc5\x46\xcd\xe1\xc5\xbf\x90\x6d\x86\x46\x0b\x48\x92\xf7\xdd\x93\x69\x32\x71\x0a\xbd\x00", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCoverFillPathInstancedNV
  {(uint8_t*)"\xd9\x55\x91\xad\x37\x97\x99\x29\x21\xe4\x59\x6b\xf8\x2c\xe1\xdc\xd7\xd1\xcd\xdc\xac\x1d\x05\x29\xc8\x54\xcc\x8a\x5d\x81\xd3\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const unsigned char *, double, double, double, double), uint32_t, uint32_t, const unsigned char *, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramNamedParameter4dNV
  {(uint8_t*)"\xfe\x2a\xe3\x9a\xca\xc6\xc7\x15\x06\x6f\xcc\xa5\x94\x1f\xba\x77\x61\x5e\x6c\xfa\x10\xcb\x72\xcc\x3e\x75\xa3\x8f\xf8\x2b\xab\x5f", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint32_t, uint64_t*, uint8_t), struct _XDisplay *, uint64_t, uint32_t, uint64_t*, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXSendPbufferToVideoNV
  {(uint8_t*)"\x8c\x77\x49\x6f\x62\x4a\x60\x38\x33\x65\x11\x88\xe9\xd8\x12\x3b\xdd\xf3\x91\xd1\x76\x82\x36\xe2\x06\x5f\xb2\x38\x2f\x45\x7b\x65", (void(*)(void *))&GuestWrapperForHostFunction<long(const void *, uint32_t, uint32_t, uint32_t*, uint8_t), const void *, uint32_t, uint32_t, uint32_t*, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVDPAURegisterVideoSurfaceWithPictureStructureNV
  {(uint8_t*)"\xed\x18\x38\x31\x93\x26\x33\x82\x16\x89\x99\xcd\x54\x8a\xff\x77\xb5\x4f\x0c\xa3\xa9\x89\xab\x81\x27\xaa\xaf\xd3\xaa\x74\x70\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4uiv
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2hvNV
  {(uint8_t*)"\x29\xcf\x55\xc7\x03\x43\xaf\x51\x24\x57\xb8\x41\x9b\x8f\x8e\xe2\x4a\xfa\xd0\xcc\x0a\x82\x8b\xa9\xbc\x24\xbc\xf1\x5f\x53\x04\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTexSubImage1D
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord1xvOES
  {(uint8_t*)"\x6b\xee\x49\xf8\x4d\x35\x63\xb8\x70\xcb\x3e\xd9\xbf\x64\xc1\xe7\x21\x8f\xb7\xb9\x59\x08\x08\x32\x9e\x96\x57\xf0\xb9\xee\x8d\x42", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLsync *(uint32_t, uint64_t, uint32_t), uint32_t, uint64_t, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glImportSyncEXT
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glUnmapBufferARB
  {(uint8_t*)"\x26\x80\x6f\xbc\x32\x62\x85\x87\xef\x45\x8f\x5c\x53\x2a\x37\xc4\xef\xc0\x2f\x92\x3a\x25\xeb\x9d\xa9\x92\x82\xae\xe5\x9a\x5f\xd4", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFragDataLocationEXT
  {(uint8_t*)"\xe9\x18\x78\x2a\xe9\x48\xc6\x7f\x51\x37\xb4\xbd\xb2\xee\x40\x28\xa1\xa8\x9c\xa8\xd4\xaf\x49\x70\xae\x78\xe1\x96\x1f\xb7\xed\xf3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t, uint32_t), uint32_t, uint32_t, uint32_t, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexBuffer
  {(uint8_t*)"\x80\x9f\x55\x6e\x97\xeb\x87\x2a\x7f\x3e\xa6\x4f\xac\xba\x17\xd5\xed\xfe\x2b\x1a\xcb\xf9\xd7\x0d\x30\x52\x34\x4e\x4f\x75\x51\xdf", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenLists
  {(uint8_t*)"\x91\xbf\x94\x98\x87\x3f\xf4\x5c\x9b\xac\x1b\xad\x14\xc8\x6c\xd6\xb3\xe8\xc1\xcb\x30\x76\xdc\x77\x1b\x9a\xa8\xc0\x47\xf6\x8e\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t, uint8_t, float, float), uint8_t, uint8_t, uint8_t, uint8_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4ubVertex2fSUN
  {(uint8_t*)"\x50\x15\x99\xcd\xe9\x58\x5e\xcd\xd7\xb9\x66\x8e\xd9\x0c\x34\xa8\x6f\xfe\xab\xac\x89\x0d\xaa\xe1\x7f\xa8\xca\x78\x12\x6c\x44\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2uiEXT
  {(uint8_t*)"\xf2\x27\xfd\x02\x31\x75\x99\x80\xdb\x07\x0d\x27\x9c\xa9\x0c\x9a\xed\x6d\xd3\x9b\xb5\xfb\x73\xfe\x5f\xb8\x8d\x9b\x79\xe9\x2d\x27", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t*, uint32_t*), struct _XDisplay *, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryExtension
  {(uint8_t*)"\xdf\xed\x37\x2d\x6e\xd8\xb7\x36\xe9\x82\xe4\xba\x94\x09\x60\x1d\xe6\x6d\x6a\x89\x1b\xc3\x1f\x93\x56\xc4\x40\x85\x41\x16\x15\x3e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedFramebufferParameterfvAMD
  {(uint8_t*)"\xdc\x15\x02\x9c\xbc\x20\x2d\x9a\x0d\xe6\x16\xe8\x6e\xec\xd4\xd0\x57\x47\xab\x44\xca\x68\xcd\xdb\x0d\x6d\xd8\xa5\x6f\x35\x34\x0b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetInternalformati64v
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4dv
  {(uint8_t*)"\xca\x4a\x6d\xba\x47\x75\x77\x77\xa4\xf8\x3e\x18\x0d\x80\x16\x25\x26\x48\x97\x24\x90\x1b\x23\x3f\x3d\x4d\x83\x5b\x63\xab\xb5\xf8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, const void *), uint32_t, uint64_t, uint64_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glBufferSubData
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAlphaFunc
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEndVideoCaptureNV
  {(uint8_t*)"\x4d\x25\x6d\xdf\xf5\x72\xb2\x69\x63\xd0\xc0\x7d\x5d\x3c\xf4\x8b\xc0\x74\x84\x43\xe0\x67\xb0\xfb\x2a\xb1\x23\x8e\x99\xe4\xe2\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRenderbufferStorage
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInsertComponentEXT
  {(uint8_t*)"\xe8\x30\x90\x7b\x9f\x31\x34\x47\x71\x63\x02\x28\x0a\xec\x95\xd9\x62\xe3\xb9\xa0\x24\x37\x62\x45\x6a\x94\x6a\x8c\x54\x40\x02\x11", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char *), uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindAttribLocationARB
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTangent3bvEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glFramebufferFetchBarrierEXT
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexParameteri
  {(uint8_t*)"\x56\x61\x8f\xa5\x57\xe4\x8b\xba\xb5\xb9\xbb\x05\x96\x75\x15\x83\x42\x6b\x30\xeb\x6f\xee\xa1\xd9\x6a\x43\xe0\x58\x63\x23\x05\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3iv
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexWeightfEXT
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoordP2uiv
  {(uint8_t*)"\x6b\xac\xa8\xc7\xc1\x3f\xa7\xd8\x68\xe7\x82\x53\xdb\x9b\xbb\x50\xe8\x97\x8a\x63\xa5\xfc\xd0\xce\x5d\x40\xee\xd0\x67\x22\xf0\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2fvARB
  {(uint8_t*)"\xb6\x16\x3a\x56\x5e\xbc\x4d\x19\xeb\x82\xfd\x4d\xaa\x39\xf3\xdc\x22\x6e\x58\x54\x2d\x40\x2b\xf5\xdb\x4c\xa6\xbf\x21\xfd\x90\x86", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long()>::Call<ParameterAnnotations {}>}, // glXGetCurrentReadDrawableSGI
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVariantIntegervEXT
  {(uint8_t*)"\x46\x67\xf0\x59\xad\x60\x72\x18\x83\x59\x05\x4a\xf4\xbc\x60\x53\x55\xda\xf9\x6a\x54\xe0\x75\x0e\xbc\xf2\xef\x3b\xc2\xfc\x99\x9f", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const float *, const float *), const float *, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fNormal3fVertex3fvSUN
  {(uint8_t*)"\x7d\x38\x36\x05\xad\x98\xc5\x1d\x72\x6e\x16\x8b\x67\xcc\xa2\xee\x7f\xc4\x6c\x7e\xc5\x4e\x31\x1f\xd7\xdb\x17\x04\xf3\xd1\xd8\x6c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, double, double, double, double), uint32_t, uint32_t, uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParameter4dEXT
  {(uint8_t*)"\xbe\x8a\xde\x06\x4c\xfa\xed\xa2\x7b\xb4\x19\x82\x5f\x1a\x5a\x55\xb6\xef\x1e\xe6\x72\x60\x5a\x3b\x15\xa2\xfa\x7f\xa4\xfe\xe3\x83", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2d
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream3ivATI
  {(uint8_t*)"\xf5\x67\xcf\x73\x6d\x27\x99\xb7\xad\x5c\x71\x0a\xe6\xf2\xc8\x7a\x3b\xd4\x80\xdf\xa0\x8d\xfc\x39\xa2\xf6\xb7\x55\xd2\x3e\xf6\xae", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint64_t, struct __GLXcontextRec *), struct _XDisplay *, uint64_t, uint64_t, struct __GLXcontextRec *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXMakeContextCurrent
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCoverFillPathNV
  {(uint8_t*)"\xe4\x7a\x6c\x17\x71\x4b\xf3\x6f\x5c\x93\x1b\xed\x01\x5f\x55\x0a\xfc\x15\x1f\xaa\x9f\xc9\x19\xca\xb9\x79\x50\x91\x76\xc8\xb0\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCullParameterfvEXT
  {(uint8_t*)"\x35\xe2\x64\xed\x65\xe9\x4f\x2d\xe7\xee\xb3\xa0\x73\x4b\x8e\xfd\x80\xfd\xaf\x73\x2e\xb7\x51\xac\x7f\x28\xb9\x02\xe1\x71\xb1\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnPixelMapfv
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3iv
  {(uint8_t*)"\xd1\x62\xf9\x7e\x4a\x19\x71\x40\xad\x35\xd8\x26\xf7\xc0\x12\x13\xa2\x1d\x6d\x5b\xe0\xb9\xd3\x83\x69\x16\xd2\xee\x1b\x43\x13\x4f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void **), uint32_t, uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetVertexArrayPointeri_vEXT
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquationSeparateiARB
  {(uint8_t*)"\x8f\x0e\x7a\x3f\x01\xf5\x4e\x2e\xde\xe9\x67\xcd\x3c\xf8\x7a\x38\x34\xf8\xef\x43\x2f\x0f\xf2\x46\x3d\x5e\xa2\x4e\x98\x26\xae\x06", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTexSubImage2D
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoordfv
  {(uint8_t*)"\x1b\x48\x82\x4b\xc3\xe5\x16\xb2\xa2\x63\x0e\x26\x3b\x28\x17\xc5\x4c\x29\xbb\x84\xd6\xea\xe7\xe0\x7f\x0c\xbc\xb4\x10\x95\xa2\x02", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint8_t, uint8_t, uint8_t), uint32_t, uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4NubARB
  {(uint8_t*)"\x4c\x93\xac\x34\xe5\xe9\xc1\x05\x0e\xfa\x23\xed\x7a\xc0\x4c\x44\x5e\xde\xb4\xc9\x5b\xec\xc8\x21\x67\x8b\x10\x8c\x75\x32\x8a\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParameterI4uiNV
  {(uint8_t*)"\x48\xb0\x12\xca\xf8\x8d\xd8\x04\x32\x6d\x03\x33\x10\xb1\xa2\xe8\x1e\xa1\x16\x8e\x2f\xc1\xc8\xf7\xd8\xa8\x17\xb0\x6c\x81\xe5\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBufferRangeEXT
  {(uint8_t*)"\xe1\x5c\x14\xd9\x44\x6c\x4e\xdc\x39\xda\xc2\x5e\xbf\x33\x79\x02\xe1\x4e\x6f\xc3\xee\x8e\xa2\xb9\xa5\xf7\x27\x9c\x77\x64\x9c\xe8", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsImageHandleResidentARB
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyColorSubTableEXT
  {(uint8_t*)"\x4c\x61\xb8\x75\x3b\xa5\x14\x96\x0b\x21\x53\xa3\x53\x92\xf0\xcd\x00\xee\xaa\x0e\xd4\x18\xeb\x6f\x69\x46\x0c\x21\x4e\xf1\x6a\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetCompressedMultiTexImageEXT
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3iv
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3dvEXT
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream3svATI
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenBuffersARB
  {(uint8_t*)"\xac\xaf\x12\xd0\xba\x51\x02\x91\xff\x4e\x0b\xd5\xd0\x08\xf6\xb7\x41\x47\x31\x30\x5c\x0a\x21\x16\x93\xcc\x6b\x21\x06\x12\x3f\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, struct __GLXcontextRec *), struct _XDisplay *, struct __GLXcontextRec *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glXFreeContextEXT
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixMultdEXT
  {(uint8_t*)"\x85\x54\xa2\x0b\xbc\x2e\x3c\xef\x23\xf3\x47\x0a\xa0\x0a\xbc\x9f\xa1\xa4\x72\xc3\xb8\xcf\xf3\x14\x02\x98\x09\xdc\xdf\xfc\x44\x75", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t), uint32_t, uint32_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glProgramBinary
  {(uint8_t*)"\x91\x4d\x6e\xf2\xcb\x42\x64\x27\x5b\x85\x1c\xf9\x08\x97\x84\x6a\xd3\x13\x06\x2e\x56\xee\x67\xf6\x48\x2c\xf1\x1a\xcd\xcd\x28\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3i64ARB
  {(uint8_t*)"\xd8\xb3\xc0\xba\x81\xb3\x0c\x67\xfe\xeb\x02\x3b\x50\xd6\x25\xdb\xea\xff\x4a\xea\x0d\xa4\xc3\x0c\xee\xa1\x5d\x48\x08\x0f\x2d\x2a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2sNV
  {(uint8_t*)"\xed\x18\x38\x31\x93\x26\x33\x82\x16\x89\x99\xcd\x54\x8a\xff\x77\xb5\x4f\x0c\xa3\xa9\x89\xab\x81\x27\xaa\xaf\xd3\xaa\x74\x70\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3uiv
  {(uint8_t*)"\x20\x05\x42\x3c\x66\x40\x1f\xcc\xa3\xcf\x9d\x87\xbb\x62\x15\x74\xb5\x57\x8b\xdc\x3e\x85\xe0\x7a\xd5\x83\xf3\xbb\x0b\x36\x8d\x13", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, uint32_t*, uint32_t*, char *), uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, uint32_t*, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetDebugMessageLogARB
  {(uint8_t*)"\x37\x01\xf9\x7d\x45\xd2\x4b\xd6\x65\x99\x3c\xd4\x46\x0c\xaf\xbe\x19\x9c\xfb\x6f\x09\xca\x92\xe4\x2f\x4c\x5c\x3c\x61\x94\xc5\xcc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1dv
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParameterI4ivNV
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3xOES
  {(uint8_t*)"\x61\x09\x37\x48\x25\x15\xd0\x13\x1c\xd7\x7b\xd7\x58\x10\x9e\xf0\x0d\x5f\xf3\x16\x35\x79\x79\xab\xa8\x46\x93\x92\x6f\xbc\xcc\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double, double, double), uint32_t, uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParameter4dARB
  {(uint8_t*)"\x12\xe5\x4d\x4d\xab\xc5\x13\x23\xbf\x56\x40\x01\xa3\x2a\x42\x61\x06\xa8\xa1\xf9\x54\x5e\xf4\xcd\x94\x60\x71\x8a\x1b\x84\x16\x73", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint64_t*), struct _XDisplay *, uint64_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetSelectedEventSGIX
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapParameterfvNV
  {(uint8_t*)"\x5c\x0a\x03\x77\x9d\x82\xfc\x88\x3a\x15\xf8\x48\x67\xae\xb0\xe3\x41\x5b\x99\x20\x33\x11\xc9\xc2\xe6\xa2\xb7\xe0\xe3\x4e\x1a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const unsigned char *, uint32_t, uint32_t, const void *), uint32_t, uint32_t, const unsigned char *, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glPathCommandsNV
  {(uint8_t*)"\xfd\xc2\x16\xe9\x2f\x91\x3d\x57\xa0\x17\xc7\x7e\x95\x29\xe2\xe6\xed\x21\x62\x0c\x99\xe8\x9e\x5a\x9e\x20\xd6\x9e\xd1\x6f\x2e\x40", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint32_t*), struct _XDisplay *, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetVideoDeviceNV
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsFramebuffer
  {(uint8_t*)"\x73\x6e\x4a\xc6\xbc\xee\x9f\x56\x6b\xb1\x87\x0e\x70\x34\xd2\x64\x08\x73\x39\xd2\x38\x75\x54\x45\x79\x17\x4d\x58\x7f\xdc\x78\x62", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetVideoSyncSGI
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetArrayObjectfvATI
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexParameterIuiv
  {(uint8_t*)"\x01\xa3\x2d\xf2\x9b\xf3\x4d\x10\xff\x2e\x01\x81\xe4\xc6\x97\x95\x47\x55\xdc\x23\x69\x25\x3d\xf7\xca\xa4\x1e\xc6\x88\xfd\xaa\x28", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, void *, uint32_t), uint32_t, uint64_t, uint64_t, void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glBufferStorageExternalEXT
  {(uint8_t*)"\xb7\x76\xec\x28\xef\x25\xf2\xe7\xd3\x29\x6f\x22\x2c\xb9\x77\x81\x31\xc1\x7e\xbb\x36\x2b\x28\x51\xa5\xff\xcf\x5a\xf8\x4d\xfd\x37", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, XVisualInfo *, uint32_t, uint32_t*), struct _XDisplay *, XVisualInfo *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetConfig
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2fvARB
  {(uint8_t*)"\xd0\x4d\xc6\x2c\x53\x48\x03\x6d\xfb\xd2\x04\x47\x1e\x4b\x4f\x42\x15\x43\x6e\xce\x48\x66\xf2\xe2\x17\x06\xa6\xdf\xe1\x3a\x55\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexAttribLPointerEXT
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorP3uiv
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelMapuiv
  {(uint8_t*)"\xef\x91\xc7\xdd\xd3\x91\xdd\x1e\xbd\x41\xe1\x00\x88\x5c\xfd\xbb\x11\xec\x44\xc7\xf2\xca\xab\x7e\x53\x25\xa9\x7a\x6e\x34\xb0\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2fvEXT
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3i
  {(uint8_t*)"\x98\xd6\x29\x03\xeb\x08\x97\xa7\x7f\xfe\xbc\xbe\x53\x30\x11\x38\x66\xd4\x4e\x49\x22\x10\xf0\xbc\xb4\xc2\x90\xb4\x0e\xce\xd7\x8d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindVideoCaptureStreamBufferNV
  {(uint8_t*)"\x62\x91\x59\x06\x02\xbc\xfb\xaa\x41\xcf\x9f\xa6\x08\xd6\x86\x32\x88\x96\xed\x15\x71\xf5\x77\x46\x0f\x72\x07\x3f\x1e\xf3\x44\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexAttribPointerARB
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramLocalParameterdvARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexMask
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadName
  {(uint8_t*)"\x5d\x43\x31\x07\x96\x69\x0c\x10\xb0\x5b\x63\x86\x57\x4a\xca\xdf\x2e\x6f\x0e\xe9\x46\xe0\x10\x32\x10\xd0\x36\xd3\x12\xa7\x32\xe9", (void(*)(void *))&GuestWrapperForHostFunction<const char *(struct _XDisplay *, uint32_t, uint32_t), struct _XDisplay *, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryServerString
  {(uint8_t*)"\x32\x2b\x19\x85\x59\xa7\x8b\xfa\x49\x0d\xda\x28\xc3\x76\x32\xdf\x4b\x58\xef\x1d\x08\xe0\x64\xd6\x84\x0b\x91\x04\x00\xb0\x11\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix3x4dv
  {(uint8_t*)"\x20\x05\x42\x3c\x66\x40\x1f\xcc\xa3\xcf\x9d\x87\xbb\x62\x15\x74\xb5\x57\x8b\xdc\x3e\x85\xe0\x7a\xd5\x83\xf3\xbb\x0b\x36\x8d\x13", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, uint32_t*, uint32_t*, char *), uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, uint32_t*, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetDebugMessageLog
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI3uiv
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquationIndexedAMD
  {(uint8_t*)"\x9f\xfd\x1f\x0d\x5d\x02\x08\x17\x24\x23\xd2\x7c\x82\xf6\x0f\xe3\x09\x20\x0b\xd5\x6f\xdb\xe9\x91\xdf\x08\xa5\x8c\xc2\x59\xd3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXDestroyGLXPbufferSGIX
  {(uint8_t*)"\xfa\xa6\x44\x41\xc2\xe8\x78\x48\xe3\xf1\xc7\xa4\x7e\xa1\x0f\xfe\x35\x39\xb2\xff\x1e\xf6\xad\x20\x8b\x03\xe3\x16\x5e\xe3\x5a\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3i64vARB
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStateCaptureNV
  {(uint8_t*)"\xf6\x94\xcb\x6c\x5e\x5b\xd0\x2b\x86\x4d\x93\xcc\x3d\x56\x81\x2a\x84\xb8\xbf\x63\xcf\x02\x15\x62\x66\x6a\x48\xe3\xcc\x99\x3a\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float, float, float), float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fColor3fVertex3fSUN
  {(uint8_t*)"\x3d\xca\xdf\x3d\x35\x16\xba\xc2\x98\xe8\xb2\x54\x2b\xac\xec\xc1\x9b\x33\x9a\xd9\x78\xf4\x72\xce\xf7\xb6\x79\x98\x45\xc3\x52\xef", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(struct __GLsync *), struct __GLsync *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glIsSync
  {(uint8_t*)"\x58\x2e\xc1\xae\x5f\x9c\xef\xde\x9d\xc2\x83\x6c\xdc\xe2\x31\xd6\xa4\x9d\x58\xf6\xbb\x12\x88\xab\x2b\x45\x95\xb3\xf7\xf4\x52\x26", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearNamedFramebufferiv
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsSampler
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTexGenParameterfSGIS
  {(uint8_t*)"\xc2\xc1\xe0\xaf\x1a\xdb\x94\xa6\x9c\xaa\x29\xe3\x79\x1b\xbc\xa7\xa0\xac\x7e\x67\x20\xe2\x00\xc2\x28\xb0\x4e\x23\x75\xd8\x68\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint8_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCombinerOutputNV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1dvARB
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1i
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteVertexArrays
  {(uint8_t*)"\x82\x67\x40\xcc\xf9\x86\xc7\x6e\x07\x2c\x6e\xfc\xe6\x26\xe1\x95\x28\x6e\xd1\xa2\x4b\x6e\xa2\x39\x09\xf4\xef\xbd\x18\x2b\x31\xbb", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int()>::Call<ParameterAnnotations {}>}, // glGetGraphicsResetStatus
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetRenderbufferParameteriv
  {(uint8_t*)"\x91\x78\x0e\x6b\xbe\xb8\x21\x77\x6f\xbd\x5c\xd3\xb1\x14\xef\xcb\xa6\xe8\x8e\x4e\xc9\x59\x68\x72\xdd\x3e\xd5\x9e\xc7\xeb\x67\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint8_t), uint32_t, uint64_t, uint64_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedBufferPageCommitmentEXT
  {(uint8_t*)"\x40\x79\xa3\xef\xc5\xd5\x4e\x95\x5b\x91\xd8\x18\x35\x84\xa2\x63\x0e\x06\x06\x67\x0c\x99\xde\x8e\x45\x11\xeb\x2d\x34\xf7\xe6\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *, uint32_t), uint32_t, uint32_t, uint32_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glDrawElementsBaseVertex
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBinormal3fvEXT
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteTexturesEXT
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCombinerParameteriNV
  {(uint8_t*)"\x0e\xb7\xe8\xc8\xef\x4e\x8a\x15\x77\xb2\x89\xfb\x02\x26\x0f\x1f\x20\x6c\xc4\xdf\x9e\x10\x59\x83\xd6\xe0\x4d\x3b\x1a\x62\xb2\x8b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetHandleARB
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos3iv
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribDivisor
  {(uint8_t*)"\x75\x48\x31\x59\x31\xd1\x5a\x28\xab\x55\x5a\xd8\xf3\xca\x38\x84\x76\x10\x9e\x0c\x83\x78\x45\x9a\xce\xcf\x99\xce\x27\xf9\x16\x67", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, struct __GLXcontextRec *), struct _XDisplay *, struct __GLXcontextRec *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glXIsDirect
  {(uint8_t*)"\xd7\xbd\x31\x76\x70\x86\x92\xc1\x68\x54\xab\x12\xdb\xd5\x8f\x0e\xe7\x5c\x45\x68\x8d\x22\x55\x54\xb8\x54\xf3\x92\x15\x65\x14\xe3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFirstPerfQueryIdINTEL
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenVertexArrays
  {(uint8_t*)"\xf6\xe9\x9a\x9c\x8b\x99\x62\xfb\x88\x75\xcc\xa9\xba\xca\x29\x98\x84\x09\x25\x6d\xe7\xaa\xc4\x47\xb7\x23\x42\x8d\x81\xc9\x7a\x21", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(struct __GLXcontextRec *), struct __GLXcontextRec *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXGetContextIDEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glBlendBarrierNV
  {(uint8_t*)"\xb6\x2e\xaf\x2c\xec\x76\x8f\x82\x7f\x75\x00\xf0\xe9\x8e\xf0\xd9\xc2\x99\x07\x1c\x87\xe2\x68\x5c\x70\xbc\xaa\x36\xf6\x5d\x36\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(void *), void *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXFreeMemoryNV
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4hvNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindTransformFeedback
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos3fv
  {(uint8_t*)"\x9e\x77\xf7\xe9\xcf\x92\xda\x36\x03\xc8\x6d\xc7\x62\xbb\x11\xe3\x9c\xf7\xf0\x83\x48\x02\x45\x86\xc2\x57\x33\x52\xd1\x9d\xb9\x37", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXcontextRec *(struct _XDisplay *, XVisualInfo *, struct __GLXcontextRec *, uint32_t), struct _XDisplay *, XVisualInfo *, struct __GLXcontextRec *, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXCreateContext
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3ivARB
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsFenceNV
  {(uint8_t*)"\x91\xf1\xcf\x52\xaa\xfd\x7f\xd8\x50\x50\xe3\xbf\x86\x8b\x38\x5d\x7c\x54\x24\x5a\x08\x81\xd8\x7c\x75\xd5\x52\x98\x4d\x39\xc7\x47", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t, uint32_t, uint32_t, uint32_t), uint64_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXUseXFont
  {(uint8_t*)"\x37\x01\xf9\x7d\x45\xd2\x4b\xd6\x65\x99\x3c\xd4\x46\x0c\xaf\xbe\x19\x9c\xfb\x6f\x09\xca\x92\xe4\x2f\x4c\x5c\x3c\x61\x94\xc5\xcc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4dv
  {(uint8_t*)"\xad\xef\x90\xde\xe0\xd7\xdc\xd9\xd8\x34\xe9\xe9\x1c\xcd\x3e\x08\x8a\x70\x54\x54\xc7\x50\x2a\x50\x99\x62\xb1\xa4\x2b\x0c\x61\xac", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformBufferSizeEXT
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexParameterIuivEXT
  {(uint8_t*)"\x7a\xf6\xd8\x7a\xaf\x47\x73\x34\xeb\x79\xbe\x46\xe5\x8f\xbc\xb8\xd9\xe8\x20\x75\x31\x32\x85\xe1\x9f\x86\x1d\x99\x3e\x54\x9b\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glClearNamedBufferData
  {(uint8_t*)"\x83\xfb\x82\x1e\x55\x90\x25\x3a\xf0\xa0\x63\xa2\xa9\xf6\xf0\x39\xc6\xdc\x0f\xd4\x3f\xc1\x3c\x41\xd1\xe8\x39\x72\x96\x0f\x4b\xd0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetPerfMonitorCounterInfoAMD
  {(uint8_t*)"\x96\x7e\xa6\x63\x62\x12\x86\x03\x25\x5f\x3a\xeb\xef\x23\x8f\xa3\x63\xf2\x05\xbe\x4e\x0d\xfd\xd4\xda\xd9\xb8\x80\x7d\x00\x1d\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint32_t, const void *), uint32_t, uint64_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glImportMemoryWin32NameEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameterfv
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConvolutionParameterfEXT
  {(uint8_t*)"\xf2\x78\x67\x57\x3c\xd2\xe5\xf9\x21\x08\x12\x78\x3d\x99\x41\x46\x04\x06\x88\x73\x46\x8c\xb1\x99\x0c\x86\xb5\xa0\xd4\x6f\x78\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL2ui64NV
  {(uint8_t*)"\xdb\xb2\x99\x90\x92\xce\x91\xb1\xee\x53\x77\xe7\xeb\xb1\x4b\xdb\x3b\x1a\x47\xf8\x3a\x73\x0b\x67\xcd\x1f\xa0\xdd\xb0\x0d\x55\x01", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorage1DEXT
  {(uint8_t*)"\xf4\x59\x2e\x2b\x8b\x49\xf7\xbd\x6f\x76\x31\x5e\x0b\xf0\x92\xcc\x23\xbf\xc4\x43\xc7\x0c\x80\xa5\x02\x68\xa5\x30\x05\x79\x5d\xb4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTexture3DEXT
  {(uint8_t*)"\x6c\x31\x1b\xd0\xaf\x79\x68\xcd\x36\xb4\x0e\xce\xdc\x1f\xa1\x3e\xf4\xfa\x7f\x61\x1e\xd3\x4b\xd3\xb3\xf7\xba\x81\x39\xa3\x79\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint64_t, uint32_t, uint32_t), uint32_t, uint32_t, const void *, uint64_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawElementsIndirectCountARB
  {(uint8_t*)"\x28\x04\xf3\xf1\x4a\xf2\x63\x51\x9a\x74\x83\xfe\x12\x42\xec\x86\xe7\xef\x56\x04\x26\xdb\xbf\xfa\x54\x54\x62\xba\x69\x10\x46\x64", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, struct __GLXcontextRec *), struct _XDisplay *, uint64_t, struct __GLXcontextRec *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXMakeCurrent
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnablei
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3x4fv
  {(uint8_t*)"\x11\x3d\x07\x37\xea\x6b\x00\xdd\xcb\x44\x39\xe4\xc7\x22\xb5\xfa\x1c\x0c\x5e\x9a\x54\x47\xcd\x01\xa9\x26\xc6\xf3\xda\xe9\x07\x8c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glDrawRangeElements
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexP3ui
  {(uint8_t*)"\xde\xe3\xb1\x04\xc9\xa0\x08\x5d\x7b\x1c\x0d\xdd\xbf\x93\xc4\xe1\x09\x06\xa5\x4e\xcc\x86\x0c\x8c\x75\xf2\x10\x48\x79\xcc\xc7\x2b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint8_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnHistogramARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClear
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3i
  {(uint8_t*)"\x70\x0f\xbc\x50\xdd\x60\xa9\x29\x95\x1b\xd9\xca\x28\x2e\xcf\x2c\x89\x50\x56\x30\xb8\x70\x2b\x3c\x69\x19\x4d\x06\x4f\x01\xbc\x9b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetIntegerui64vNV
  {(uint8_t*)"\x50\x4f\xd5\xeb\xc4\x0f\xd0\x58\x78\xf8\x81\x2e\x56\xbc\x74\x85\x30\xbd\x6b\xe6\xb7\x43\x6d\xa5\x79\x0a\x70\x97\x61\x67\xda\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double), uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL4d
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawArraysInstanced
  {(uint8_t*)"\xd2\x4b\x31\x23\xd0\xe2\xc2\xdd\x2f\xc1\x78\x13\x1f\x7f\xaa\xd8\xa1\x35\x93\x66\x45\x5f\x44\x9c\xcc\x10\x52\x39\x2c\xc5\x32\xe1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1fARB
  {(uint8_t*)"\xe1\x5c\x14\xd9\x44\x6c\x4e\xdc\x39\xda\xc2\x5e\xbf\x33\x79\x02\xe1\x4e\x6f\xc3\xee\x8e\xa2\xb9\xa5\xf7\x27\x9c\x77\x64\x9c\xe8", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsTextureHandleResidentNV
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4xOES
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMaterialxvOES
  {(uint8_t*)"\x2e\x36\x4f\x8f\xf3\xec\x07\x0f\x6a\x13\x8d\x6d\xef\xcd\x7e\x0f\xc5\x56\x20\x4c\x66\x37\x83\x76\xfa\x6c\x31\x48\xb3\xa6\x41\x60", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint64_t*, uint32_t*), uint32_t, uint32_t, uint32_t*, uint64_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindVertexBuffers
  {(uint8_t*)"\x91\xcc\x26\x14\xe2\x80\x0b\x91\xa8\x70\x3d\xe9\x32\x79\x38\x8f\x44\xf9\xb3\x60\xce\x7b\x9f\xe3\x59\xea\x69\x26\x5c\x23\x80\x2c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenSymbolsEXT
  {(uint8_t*)"\x91\x51\xfd\x16\x33\x25\x16\xfc\x6e\x72\x6c\x84\xfe\x03\x58\xf3\x6c\xa1\x62\x32\x00\xd3\x71\x33\xd5\xb5\xfa\x35\x49\x9d\x25\x27", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, double *), uint32_t, uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnMapdv
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindRenderbuffer
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixPushEXT
  {(uint8_t*)"\xde\xe3\xb1\x04\xc9\xa0\x08\x5d\x7b\x1c\x0d\xdd\xbf\x93\xc4\xe1\x09\x06\xa5\x4e\xcc\x86\x0c\x8c\x75\xf2\x10\x48\x79\xcc\xc7\x2b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint8_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnHistogram
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1bvOES
  {(uint8_t*)"\x40\x79\xa3\xef\xc5\xd5\x4e\x95\x5b\x91\xd8\x18\x35\x84\xa2\x63\x0e\x06\x06\x67\x0c\x99\xde\x8e\x45\x11\xeb\x2d\x34\xf7\xe6\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *, uint32_t), uint32_t, uint32_t, uint32_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glDrawElementsInstancedARB
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendParameteriNV
  {(uint8_t*)"\x20\x60\x8d\xe1\x28\x7d\x83\x27\x0f\x1f\xe1\x5d\xfe\x90\x74\xd4\x88\x25\xb1\xbc\xfd\x35\x3f\x06\x84\xec\xe3\x0b\x58\x87\x1c\x60", (void(*)(void *))&GuestWrapperForHostFunction<XVisualInfo *(struct _XDisplay *, struct __GLXFBConfigRec *), struct _XDisplay *, struct __GLXFBConfigRec *>::Call<ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glXGetVisualFromFBConfig
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexEnvfv
  {(uint8_t*)"\x24\x3f\x62\x55\x08\xdb\x05\x5b\xe3\xc2\xea\xf3\x22\x2b\x08\x1f\x96\x87\xe4\xbe\x43\x67\xac\xf5\xee\x53\x72\x1f\x59\xde\xdf\x26", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint64_t, uint64_t*, uint64_t*, uint64_t*), struct _XDisplay *, uint64_t, uint64_t, uint64_t*, uint64_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXWaitForSbcOML
  {(uint8_t*)"\xd5\xc4\xb0\xbb\x40\xfd\x9f\x91\x2d\x74\xf8\xd7\xcd\xd7\xe7\x64\x64\x92\x63\x9f\xb0\xaa\xa4\x0d\xf1\x89\x37\x01\x92\xae\xe4\x24", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(struct __GLXcontextRec *), struct __GLXcontextRec *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXGetContextGPUIDAMD
  {(uint8_t*)"\x70\x78\x0d\xc1\x2e\xb3\x50\x4d\x17\x88\x11\xa7\xa2\x74\x5c\x28\xcb\x46\xed\xef\x1d\x36\x79\x1d\x74\xb3\x9a\xa5\x61\xe5\x62\x87", (void(*)(void *))&GuestWrapperForHostFunction<unsigned short(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetStageIndexNV
  {(uint8_t*)"\x1c\x19\x75\x5a\x61\x73\xc1\xf9\x27\x2d\x22\x1e\x1c\x3d\x9d\xee\xf1\x41\x2a\x72\x63\x23\x86\x82\x1d\x8d\x91\x96\xa4\xed\x7f\x48", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glXSwapIntervalMESA
  {(uint8_t*)"\xf9\x6a\x9c\x31\x59\xfe\xe6\xfe\x08\xcb\x48\xf2\x0c\x9f\xc9\x62\x1f\x38\x73\x3b\xf9\x21\xab\xd4\xc4\x89\x25\x3e\xd4\xb3\x92\xfe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilFuncSeparateATI
  {(uint8_t*)"\x08\xc3\xd4\xc1\xbb\x09\xfb\x57\xc2\xab\x03\xce\xcb\x11\x04\xda\x47\x5f\xe1\x3b\x83\xd1\x0b\x0b\xc5\xc1\xaf\xbf\xb1\x79\x09\x52", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetMapControlPointsNV
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream1fATI
  {(uint8_t*)"\x76\xe6\x80\x83\xf2\x87\x1c\xd6\xe2\x93\x1b\x08\x5a\x1d\x54\x22\x74\xf3\x83\x33\x38\x61\x55\x2a\xc5\x5c\x24\x93\x9a\x19\xda\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendFuncSeparateiARB
  {(uint8_t*)"\x56\xf0\xe2\x48\x9b\x98\x23\xa1\x0c\xd5\xe9\x8f\x6e\x56\x23\x49\x99\x91\x1a\x33\x39\x9a\xfc\xa6\xc6\x42\x72\x0b\xe3\x36\xc6\x21", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void **, uint32_t), uint32_t, uint32_t, const void **, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glFogCoordPointerListIBM
  {(uint8_t*)"\x5d\x60\x92\x54\x47\xc5\x43\x1d\x3e\x22\x91\x7b\xa2\x28\x00\xb7\x74\x31\x8e\xb6\x3c\xf4\xc6\x08\x85\x59\x37\xbc\x7d\x4d\x68\x01", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnPixelMapusv
  {(uint8_t*)"\xde\xe3\xb1\x04\xc9\xa0\x08\x5d\x7b\x1c\x0d\xdd\xbf\x93\xc4\xe1\x09\x06\xa5\x4e\xcc\x86\x0c\x8c\x75\xf2\x10\x48\x79\xcc\xc7\x2b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint8_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnMinmax
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalPoint2
  {(uint8_t*)"\xa4\xed\x07\x9c\x92\xf9\x65\x3e\xf1\xda\x4f\x2a\xe8\x45\x0a\x88\xc6\x19\xfc\xde\x29\xef\x3e\xfb\x45\x55\x88\xdc\x0a\xc2\xfb\x32", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void **), uint32_t, uint32_t, const void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glReplacementCodePointerSUN
  {(uint8_t*)"\x9f\xfd\x1f\x0d\x5d\x02\x08\x17\x24\x23\xd2\x7c\x82\xf6\x0f\xe3\x09\x20\x0b\xd5\x6f\xdb\xe9\x91\xdf\x08\xa5\x8c\xc2\x59\xd3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXDestroyGLXPixmap
  {(uint8_t*)"\x97\x36\xf7\x8b\xbb\xa4\x1a\xb8\xe6\x27\xf7\xf0\x20\xfa\x83\xce\x0d\x7d\x86\xc3\x4f\x96\x99\x5a\xea\xff\x65\x25\x25\xdb\x3e\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const unsigned char *), const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3ubv
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenTransformFeedbacks
  {(uint8_t*)"\xaf\x7b\x3c\x7e\x16\x91\xa8\x0f\xed\xa0\xaa\xbe\x0d\x1e\xcd\x59\x54\x34\x66\x26\x9d\x21\x75\xfe\x28\xf1\x4f\x1e\x7c\xb2\x68\x7c", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint32_t), struct _XDisplay *, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXReleaseTexImageEXT
  {(uint8_t*)"\x73\x6e\x4a\xc6\xbc\xee\x9f\x56\x6b\xb1\x87\x0e\x70\x34\xd2\x64\x08\x73\x39\xd2\x38\x75\x54\x45\x79\x17\x4d\x58\x7f\xdc\x78\x62", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPollAsyncSGIX
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEndConditionalRender
  {(uint8_t*)"\x53\x34\x83\xf8\x7c\x1f\x64\x3e\x7d\xe7\xc3\x19\x9f\x8c\x52\x54\xda\x0c\x9b\x13\x1b\x67\xfb\xa7\x77\x02\x7b\x7f\xbc\x23\x07\x47", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const char *), uint32_t, uint32_t, uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDebugMessageInsertAMD
  {(uint8_t*)"\x35\xe2\x64\xed\x65\xe9\x4f\x2d\xe7\xee\xb3\xa0\x73\x4b\x8e\xfd\x80\xfd\xaf\x73\x2e\xb7\x51\xac\x7f\x28\xb9\x02\xe1\x71\xb1\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnPixelMapfvARB
  {(uint8_t*)"\xbf\x07\x98\x7b\x62\x02\x42\xe5\x3f\x73\x56\xc5\xdd\xba\x65\x37\xc7\xa8\x93\xdc\x77\x2c\x1b\x01\x23\x1d\x4f\xfd\x61\xe9\xfa\x26", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureImage2DMultisampleCoverageNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindProgramPipeline
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableClientState
  {(uint8_t*)"\xe4\x7a\x6c\x17\x71\x4b\xf3\x6f\x5c\x93\x1b\xed\x01\x5f\x55\x0a\xfc\x15\x1f\xaa\x9f\xc9\x19\xca\xb9\x79\x50\x91\x76\xc8\xb0\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexBumpParameterfvATI
  {(uint8_t*)"\x54\x4c\xc6\x22\x82\x98\x54\xb0\xb0\xc3\xf6\xb5\x7c\x11\x42\xc8\xdc\xa8\xe3\x25\x88\x0d\xec\x2e\xf8\x3f\x47\xc3\x20\x7d\xfa\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedMultiTexSubImage2DEXT
  {(uint8_t*)"\xf8\x91\x72\x96\x1a\xf5\xc8\xa4\xd1\x53\x95\x0e\x92\xb5\x55\x02\x43\x80\xfe\x5b\x59\x2d\x7c\x8b\x25\xd7\x36\x5f\x9a\x6c\xd8\x2a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnMapiv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetIntegeri_v
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteLists
  {(uint8_t*)"\x36\xe1\xb9\x84\xa3\xbc\xa7\xf8\x9f\x85\xe5\xcc\x17\xcf\x38\xae\x09\x4c\x0e\x71\x30\x59\xb7\xa2\x72\xf3\x14\x30\x26\x00\x58\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, float, float), uint32_t, uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4f
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMinmaxParameterfv
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteProgramsNV
  {(uint8_t*)"\x44\x28\xa5\xa5\x40\x51\x2a\x85\x9b\xa2\x7f\x42\x1b\x04\xfe\xbe\x08\x94\xd8\x48\x90\xba\xad\x60\x88\xba\xb7\x4b\x6a\xb3\xa2\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnPixelMapuivARB
  {(uint8_t*)"\x40\x13\xef\x00\x31\x8a\x55\xb1\xf2\xf8\x0a\x25\xe8\xd7\x63\x33\xd3\x35\x68\x31\x6d\x82\xe5\x7d\xa5\x97\x30\x16\x6e\xa0\x44\x77", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawElementsIndirectBindlessCountNV
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayAttribBinding
  {(uint8_t*)"\x0e\xb7\xe8\xc8\xef\x4e\x8a\x15\x77\xb2\x89\xfb\x02\x26\x0f\x1f\x20\x6c\xc4\xdf\x9e\x10\x59\x83\xd6\xe0\x4d\x3b\x1a\x62\xb2\x8b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenFragmentShadersATI
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConvolutionParameterfv
  {(uint8_t*)"\x1a\xba\x3d\xde\xcf\xd2\x4a\x87\x40\xa0\x1b\x2e\xc8\x64\x20\xf5\x42\xa1\xef\x94\xab\x72\xa0\x88\x19\x72\x65\xce\x06\x9c\x7f\x71", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint64_t), struct _XDisplay *, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXBindChannelToWindowSGIX
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBinormal3sEXT
  {(uint8_t*)"\x26\xee\x73\xc6\x94\x8d\x94\xcd\xbf\xe5\x43\x9a\x6b\x30\xe4\xd0\x68\x1b\x47\x6f\x39\x3a\xa0\x73\xac\x58\x41\x4e\x70\x77\x3f\x12", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3ub
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1iEXT
  {(uint8_t*)"\x20\x60\x8d\xe1\x28\x7d\x83\x27\x0f\x1f\xe1\x5d\xfe\x90\x74\xd4\x88\x25\xb1\xbc\xfd\x35\x3f\x06\x84\xec\xe3\x0b\x58\x87\x1c\x60", (void(*)(void *))&GuestWrapperForHostFunction<XVisualInfo *(struct _XDisplay *, struct __GLXFBConfigRec *), struct _XDisplay *, struct __GLXFBConfigRec *>::Call<ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glXGetVisualFromFBConfigSGIX
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenBuffers
  {(uint8_t*)"\xf0\x06\x1e\x19\xbf\x7e\x3f\x37\xca\xe4\x71\x05\x0e\xe9\xe7\xa5\x79\xed\x06\xc0\x0d\xb6\x2b\x34\x0d\xaa\xbf\x8a\x2c\x5a\xc3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4dvEXT
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathTexGenNV
  {(uint8_t*)"\x0b\x87\x55\x13\xf4\x6e\x43\xb0\xe6\x98\x4c\x44\x87\xcb\x59\x0a\x31\xf4\xbe\x2b\x58\x39\x46\xb9\xb3\x53\xf3\x8a\xd0\x8c\x0a\xd5", (void(*)(void *))&GuestWrapperForHostFunction<void(double), double>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearDepth
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAttachObjectARB
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawRangeElementArrayATI
  {(uint8_t*)"\xab\x6b\x27\x86\xd4\x0c\x3c\xa8\x2b\xd6\xe5\x12\x6b\xb2\x2d\x3b\x3f\x1d\xde\x9a\x9b\xc0\x48\x64\xcb\x95\x02\x8b\x44\x37\x8c\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTextureMultiviewOVR
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3usvEXT
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsProgramNV
  {(uint8_t*)"\xd8\xb3\xc0\xba\x81\xb3\x0c\x67\xfe\xeb\x02\x3b\x50\xd6\x25\xdb\xea\xff\x4a\xea\x0d\xa4\xc3\x0c\xee\xa1\x5d\x48\x08\x0f\x2d\x2a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2sARB
  {(uint8_t*)"\x7a\x29\x39\x19\x8e\x74\xe5\x83\x24\xc3\x65\x0a\x35\x96\xff\x33\x44\x7c\x7f\xea\x19\xad\x64\x22\xdb\x53\x3f\xae\xb2\x89\xa8\x6b", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint32_t, uint32_t*), struct _XDisplay *, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryRendererIntegerMESA
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2iv
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2f
  {(uint8_t*)"\x4c\x94\xcc\x8a\x15\x5e\x36\xb0\xe4\x5b\xc9\xec\xa6\x24\x1d\x91\xe3\x08\x45\x6e\xfe\xfe\x5e\x62\xcb\x3e\x76\xb4\xd5\x9b\x9f\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void *(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXAllocateMemoryNV
  {(uint8_t*)"\x21\x10\xdc\xcf\xdf\x0f\x66\x7d\xa3\x02\x1f\x4d\xc0\x16\x43\xc7\x01\x7a\x81\xeb\xb6\xb5\x64\x37\x74\x11\x58\x3c\x36\x50\x35\x23", (void(*)(void *))&GuestWrapperForHostFunction<const char *(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryCurrentRendererStringMESA
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glListBase
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetHistogramParameterfvEXT
  {(uint8_t*)"\x0e\xb7\xe8\xc8\xef\x4e\x8a\x15\x77\xb2\x89\xfb\x02\x26\x0f\x1f\x20\x6c\xc4\xdf\x9e\x10\x59\x83\xd6\xe0\x4d\x3b\x1a\x62\xb2\x8b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateShader
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3sv
  {(uint8_t*)"\x2a\xc8\x0d\xe4\x9a\x5b\x8e\x57\x0a\x7f\x68\xc9\x5f\xc1\x63\x35\x7b\x76\x3c\xd7\x82\xdc\x28\x67\xf3\x36\x91\x3e\xe2\x60\xfa\xaa", (void(*)(void *))&GuestWrapperForHostFunction<int()>::Call<ParameterAnnotations {}>}, // glGetInstrumentsSGIX
  {(uint8_t*)"\xef\x91\xc7\xdd\xd3\x91\xdd\x1e\xbd\x41\xe1\x00\x88\x5c\xfd\xbb\x11\xec\x44\xc7\xf2\xca\xab\x7e\x53\x25\xa9\x7a\x6e\x34\xb0\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4fvEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultisamplefv
  {(uint8_t*)"\x24\xff\x43\x3a\x80\x3e\x0d\x80\x40\x6c\xfb\x16\xb9\xbd\x41\xcb\xbe\x0b\xf8\x19\xcf\x04\x68\x9a\xbe\xfc\x47\xa0\x21\x0b\x2d\xfa", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsEnabledIndexedEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVariantFloatvEXT
  {(uint8_t*)"\x6b\xac\xa8\xc7\xc1\x3f\xa7\xd8\x68\xe7\x82\x53\xdb\x9b\xbb\x50\xe8\x97\x8a\x63\xa5\xfc\xd0\xce\x5d\x40\xee\xd0\x67\x22\xf0\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1fv
  {(uint8_t*)"\x7a\xcf\x12\x97\x17\x1f\x6e\xe7\x92\x0d\xdd\x03\xdd\x42\x4e\x69\x49\x8c\x09\x87\x16\x6a\xa6\x39\x98\xa9\x2f\x34\x2f\x53\xcb\xf8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, const float *), uint32_t, uint32_t*, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPrioritizeTexturesEXT
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3bv
  {(uint8_t*)"\x0b\xd6\xdb\x62\x03\x20\x15\xb4\xcd\x0c\xff\x92\x09\x57\xf6\x13\x03\xf3\x6a\x36\x52\x1f\xf5\x72\x08\xec\xfa\x2d\xbe\xdd\x25\x95", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFlushMappedNamedBufferRangeEXT
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendFuncIndexedAMD
  {(uint8_t*)"\x89\x8f\xec\x61\x53\x3a\x82\xc5\xde\x5f\xf4\x43\x91\xaf\xc7\x1b\x9d\xa1\x2d\x9a\xbb\xe3\xac\xca\x93\xe9\xc7\x43\xe2\x85\xf2\x9d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlitFramebuffer
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearAccumxOES
  {(uint8_t*)"\x4b\x1d\x0a\x6c\x94\x6d\xd7\x21\xa8\xd3\x1c\x1e\xba\xdb\xc3\xa4\xdf\x7d\xed\xc8\xf7\x72\x8e\x34\xcd\x95\x01\x9a\xd8\x44\x18\xbd", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t, uint32_t*), struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetFBConfigAttribSGIX
  {(uint8_t*)"\x32\xfa\x18\x4d\x78\xdc\x87\x50\xe2\x70\x87\x40\x48\x23\xe5\x21\x78\x1c\xc9\x1b\x02\x75\x7f\xc3\x07\x10\x2e\x91\x98\x19\x1a\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedCopyBufferSubDataEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFloati_vEXT
  {(uint8_t*)"\xd0\x4d\xc6\x2c\x53\x48\x03\x6d\xfb\xd2\x04\x47\x1e\x4b\x4f\x42\x15\x43\x6e\xce\x48\x66\xf2\xe2\x17\x06\xa6\xdf\xe1\x3a\x55\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexAttribIPointer
  {(uint8_t*)"\xd3\xcd\x45\x5c\xbc\xb2\xe9\x58\x82\x11\x93\x5b\x35\x1a\xc4\x31\xc4\xf4\xc6\x66\x5c\x25\x1a\xe3\xd6\x88\x19\x52\x75\xd9\x58\x88", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, unsigned char *), uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnPolygonStipple
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramiv
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3bv
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEdgeFlagFormatNV
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathParameterivNV
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightfv
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearDepthf
  {(uint8_t*)"\xf8\x20\xf1\x6c\x27\x91\x3d\x56\xe4\x7c\x8d\x77\x36\x7a\xe7\x15\x06\x00\xc1\x21\xff\x08\xe6\xb4\xc4\xef\xa4\x59\x4c\x40\x17\x2e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glHistogramEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSamplePatternEXT
  {(uint8_t*)"\x70\x50\xe2\xd5\x29\xb0\x13\x6e\x30\x7d\xd2\x0c\x44\x84\xbd\x28\xb6\xb8\x4a\x68\x2f\x95\x83\xe0\x59\x5c\xf4\x6f\x48\xac\x4e\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4hNV
  {(uint8_t*)"\x4a\x29\x8c\x4d\x32\xc5\x29\xc4\x4c\x5e\xa3\xfe\xdd\x7f\xc3\xc5\x2e\x6b\x68\x9e\x98\xd8\xa8\x1d\x92\x55\x41\x9a\x09\x3d\x40\x16", (void(*)(void *))&GuestWrapperForHostFunction<void *(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapBufferARB
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3i
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTexGenParameterivSGIS
  {(uint8_t*)"\x54\xd9\x29\x60\xd8\x30\x50\x1a\x0f\x50\x38\x15\x15\xca\x2b\x9c\x70\x03\x88\x79\xda\x99\x52\x76\xa7\xd3\x9f\xd5\xe3\x5e\xd4\xf3", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glObjectPurgeableAPPLE
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4xvOES
  {(uint8_t*)"\xc0\x83\xe5\x60\x4a\x40\x6c\x26\x61\x84\x52\x18\x98\x47\x62\x87\x8b\x31\x27\x94\xc7\xe0\x17\xf7\xfe\xb0\x56\xa9\xeb\xd3\x08\x0c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3sARB
  {(uint8_t*)"\x92\x1f\xef\xd6\x54\x00\x00\x99\x90\x6d\xe4\x26\xd9\x83\x3a\xa1\x44\xfa\x34\xfc\x49\x3a\x25\x27\xc3\x85\x94\x86\x3a\x0d\xba\x9f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1fEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glBlendBarrierKHR
  {(uint8_t*)"\x32\xfa\x18\x4d\x78\xdc\x87\x50\xe2\x70\x87\x40\x48\x23\xe5\x21\x78\x1c\xc9\x1b\x02\x75\x7f\xc3\x07\x10\x2e\x91\x98\x19\x1a\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyBufferSubData
  {(uint8_t*)"\x49\x22\x1b\xb2\xc3\xbf\x1b\x69\xe0\x31\x02\x7b\xc3\x40\x99\x04\xc4\x0a\x6b\x5f\x86\xa9\x96\x18\x10\xf8\xd0\x42\x0a\xf1\xc6\x18", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, uint32_t*, uint32_t, const void *const *, uint32_t, uint32_t), uint32_t*, uint32_t*, uint32_t, const void *const *, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiModeDrawElementsIBM
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMapParameterivNV
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVariantArrayObjectivATI
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVideoivNV
  {(uint8_t*)"\x7d\x44\x86\xb3\x1c\x57\x27\xcc\xb5\x01\xa1\xc6\x5a\x92\x56\x31\xe4\x73\xd7\xb6\x05\x3a\x32\x10\x00\x11\xe1\x8b\x52\x35\xb5\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeTextureHandleResidentARB
  {(uint8_t*)"\x27\x0e\x01\xdc\xe9\xf7\xcd\xfb\xc3\xe5\x9b\xa9\x90\x98\xbc\xec\x28\xc0\x45\x4f\x59\x3d\x57\x21\xc4\x5d\xad\x52\x6b\x25\x57\x08", (void(*)(void *))&GuestWrapperForHostFunction<long(const void *, uint32_t, uint32_t, uint32_t*), const void *, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVDPAURegisterVideoSurfaceNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glActiveStencilFaceEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glInvalidateBufferData
  {(uint8_t*)"\x48\xb0\x12\xca\xf8\x8d\xd8\x04\x32\x6d\x03\x33\x10\xb1\xa2\xe8\x1e\xa1\x16\x8e\x2f\xc1\xc8\xf7\xd8\xa8\x17\xb0\x6c\x81\xe5\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBufferRangeNV
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenTexturesEXT
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4iv
  {(uint8_t*)"\x36\x32\x2c\x75\x25\x80\xc3\xf6\xa1\x52\xde\x91\x48\x2b\xf5\xbf\xd3\x3e\x70\x0b\x45\x93\x5a\x54\xb8\x56\xae\x32\xce\xde\x2c\xa4", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLsync *(struct _cl_context *, struct _cl_event *, uint32_t), struct _cl_context *, struct _cl_event *, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glCreateSyncFromCLeventARB
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentLightModelfvSGIX
  {(uint8_t*)"\x40\x09\xfb\x34\xa0\x0f\x1a\x55\x3a\x34\xa2\x44\x34\xb4\x7e\x5b\x19\xf8\x7f\xe0\xba\xfb\xaf\x86\x8f\xf9\x09\x9a\x45\x49\x4d\x75", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t*, unsigned char *), uint32_t, uint32_t*, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAreProgramsResidentNV
  {(uint8_t*)"\x4b\x82\x20\xa6\x21\x80\x2c\xc3\xad\xff\x1f\x9b\x0d\x58\x72\xc5\x5d\xb7\x1a\xcf\x3a\x17\x35\x71\x6c\xea\xb0\x90\x04\x5b\x90\x79", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint32_t*, void *), uint32_t, uint32_t, uint32_t*, uint32_t*, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetProgramBinary
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4i
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos4xvOES
  {(uint8_t*)"\xd6\x24\x70\xc7\x48\x27\x30\x4b\x94\xeb\x58\xf4\x8f\xa1\x80\xef\x0c\x62\xad\x9d\xde\xc6\x3b\x2a\x90\xc0\x9e\xe2\xce\x11\x54\x3c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureHandleARB
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glUnmapNamedBuffer
  {(uint8_t*)"\xd6\x24\x70\xc7\x48\x27\x30\x4b\x94\xeb\x58\xf4\x8f\xa1\x80\xef\x0c\x62\xad\x9d\xde\xc6\x3b\x2a\x90\xc0\x9e\xe2\xce\x11\x54\x3c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureHandleNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClipPlanefOES
  {(uint8_t*)"\xa6\x6e\xd9\xd2\xed\xb6\x1e\x45\x82\x17\xb4\x2f\x60\xb9\xff\x7e\xc6\xff\xc8\x21\x5b\x1a\x72\xe0\x22\xc5\x86\x66\x0d\x81\xc6\xa2", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureSamplerHandleARB
  {(uint8_t*)"\x03\xb0\xba\x0b\x59\xe5\x83\xe4\xb9\x1a\xf6\xbd\x89\x91\x6e\x91\x44\x14\x0f\xe3\x54\xfc\x09\xf6\x0c\x76\x34\x29\x6b\x84\x6e\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4b
  {(uint8_t*)"\x32\xfa\x18\x4d\x78\xdc\x87\x50\xe2\x70\x87\x40\x48\x23\xe5\x21\x78\x1c\xc9\x1b\x02\x75\x7f\xc3\x07\x10\x2e\x91\x98\x19\x1a\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyNamedBufferSubData
  {(uint8_t*)"\xa5\x92\xae\xd8\xe4\x0c\x36\xec\xa1\xa1\x1b\xfe\x10\x97\x71\x10\x4b\xb0\x16\x0d\xdc\x39\x2e\x47\x21\x48\x4b\x66\x14\x64\xf5\x40", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t*, uint64_t*, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t, uint64_t, uint64_t, uint32_t, uint32_t*, uint64_t*), uint32_t, uint32_t*, uint64_t*, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t, uint64_t, uint64_t, uint32_t, uint32_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAsyncCopyBufferSubDataNVX
  {(uint8_t*)"\xf5\x75\xdb\x4f\x86\x3f\x62\x64\xbb\x50\x51\x89\x7f\x05\x25\xb4\xb4\xb9\x6f\xab\xa1\x69\xaa\x12\xc7\x1f\x35\x68\xf7\x2b\xcd\xbf", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindTextureUnitParameterEXT
  {(uint8_t*)"\x35\x23\x3f\xe4\x8f\xe5\xc1\xc7\xb7\xaa\x83\x1d\x0e\x1e\x00\x1d\x18\x1a\x30\x45\x7e\xeb\x34\x47\x59\xaa\x63\x57\xbc\x11\x46\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorMask
  {(uint8_t*)"\xea\xdc\xbb\x02\x2c\xb9\x83\xf4\xd1\xd9\xdb\xec\x2a\xc4\x30\x50\x93\x42\x17\x84\x27\xb9\x73\x52\xda\x47\x25\xea\xa0\x5d\xb8\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexImage1DARB
  {(uint8_t*)"\x82\x67\x40\xcc\xf9\x86\xc7\x6e\x07\x2c\x6e\xfc\xe6\x26\xe1\x95\x28\x6e\xd1\xa2\x4b\x6e\xa2\x39\x09\xf4\xef\xbd\x18\x2b\x31\xbb", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int()>::Call<ParameterAnnotations {}>}, // glCreateProgram
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetHistogramParameterxvOES
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI3i
  {(uint8_t*)"\x82\x67\x40\xcc\xf9\x86\xc7\x6e\x07\x2c\x6e\xfc\xe6\x26\xe1\x95\x28\x6e\xd1\xa2\x4b\x6e\xa2\x39\x09\xf4\xef\xbd\x18\x2b\x31\xbb", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int()>::Call<ParameterAnnotations {}>}, // glCreateProgressFenceNVX
  {(uint8_t*)"\xe5\xce\x73\xdb\x64\x5f\xe4\xf5\xa3\xb3\x08\x06\x82\x0d\x3e\xf4\xed\xd1\x77\x5a\x84\xef\x96\xb7\x8e\x93\x0c\xa9\x3d\xed\x15\x47", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearBufferiv
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetColorTableParameterfv
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4sv
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConvolutionParameterf
  {(uint8_t*)"\xea\xba\xa1\x5f\x6a\xdb\x20\x6f\x4f\x0a\xfe\xf8\xdb\xa4\x41\x37\xb3\x95\xfb\x02\x65\x75\xf8\x1d\x11\x1b\xab\x9c\xb0\x22\x81\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexParameterfvEXT
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendFunci
  {(uint8_t*)"\x11\x00\xd5\xbc\x28\x77\x55\x90\x8c\xce\xa1\x8c\xce\x8d\xc1\x82\xeb\x86\xc8\x8c\xee\x78\x3e\xa6\xfd\x88\xae\x47\xd1\x66\xe3\x58", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glMultiTexImage3DEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1fvARB
  {(uint8_t*)"\x31\x23\xcc\xff\x88\x1d\xef\x44\x83\x6e\x03\x74\x9f\x2e\x52\x9d\xa7\x03\xb2\x40\x1e\x28\x95\xf3\xa6\x01\x6e\x74\xbf\xf0\x2a\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1uiv
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3d
  {(uint8_t*)"\x73\x6e\x4a\xc6\xbc\xee\x9f\x56\x6b\xb1\x87\x0e\x70\x34\xd2\x64\x08\x73\x39\xd2\x38\x75\x54\x45\x79\x17\x4d\x58\x7f\xdc\x78\x62", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFinishAsyncSGIX
  {(uint8_t*)"\x63\x23\xd8\x55\xfc\x52\x5d\xe6\xec\x90\x76\x82\x94\xd6\x90\x82\xe1\x34\x9c\x26\x47\xce\xb2\xee\x9c\x9f\xd8\xd8\xd3\x52\x3f\x37", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const unsigned char *, float, float, float, float), uint32_t, uint32_t, const unsigned char *, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramNamedParameter4fNV
  {(uint8_t*)"\x05\xb1\x5c\x4c\x3c\x09\x51\xc1\xdc\x78\x59\xcf\x03\x85\x3b\xb1\xe6\x60\xd5\x44\xbf\xd5\x66\x7f\xd9\xc9\xe5\x62\x9c\x82\x60\xce", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXFBConfigRec **(struct _XDisplay *, uint32_t, uint32_t*, uint32_t*), struct _XDisplay *, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXChooseFBConfig
  {(uint8_t*)"\x80\x9f\x55\x6e\x97\xeb\x87\x2a\x7f\x3e\xa6\x4f\xac\xba\x17\xd5\xed\xfe\x2b\x1a\xcb\xf9\xd7\x0d\x30\x52\x34\x4e\x4f\x75\x51\xdf", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenAsyncMarkersSGIX
  {(uint8_t*)"\x9f\xfd\x1f\x0d\x5d\x02\x08\x17\x24\x23\xd2\x7c\x82\xf6\x0f\xe3\x09\x20\x0b\xd5\x6f\xdb\xe9\x91\xdf\x08\xa5\x8c\xc2\x59\xd3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXSwapBuffers
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3sv
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenPerfMonitorsAMD
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixMult3x2fNV
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMapxvOES
  {(uint8_t*)"\xcf\xd7\x24\x33\xce\x18\x7d\x13\x1c\xc2\xa2\x4b\xec\x5f\x33\xae\x07\x9d\x4e\x69\xa3\x1b\x22\x23\x4c\xa7\xd5\x32\x65\xed\x0a\x38", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs4hvNV
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBufferBaseNV
  {(uint8_t*)"\x24\xff\x43\x3a\x80\x3e\x0d\x80\x40\x6c\xfb\x16\xb9\xbd\x41\xcb\xbe\x0b\xf8\x19\xcf\x04\x68\x9a\xbe\xfc\x47\xa0\x21\x0b\x2d\xfa", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsNameAMD
  {(uint8_t*)"\xfc\x15\xca\x8e\x95\x76\xdf\x74\x41\x90\xb0\xc0\xaf\xb4\xd5\x59\xe3\x0d\x33\x1e\x78\xac\xc7\xf3\xba\x8b\xeb\xfa\xc9\x7f\x35\x5a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, const void *), uint32_t, uint32_t, uint64_t, uint64_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glLGPUNamedBufferSubDataNVX
  {(uint8_t*)"\xeb\x13\xd5\x2f\x24\x5a\x04\x7b\x01\x25\x14\x21\x3b\xef\x4a\x46\x70\x3a\x45\xf2\xa0\xbd\x6d\x0e\x71\xee\x35\xe8\x1a\x1b\x55\x7e", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float), float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3fVertex3fSUN
  {(uint8_t*)"\xf5\x75\xdb\x4f\x86\x3f\x62\x64\xbb\x50\x51\x89\x7f\x05\x25\xb4\xb4\xb9\x6f\xab\xa1\x69\xaa\x12\xc7\x1f\x35\x68\xf7\x2b\xcd\xbf", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetCommandHeaderNV
  {(uint8_t*)"\x0e\x4c\xfe\xc0\xd6\x37\x87\xb7\x97\xaf\xc9\xc3\x53\xb3\x61\x23\xc3\x77\x07\x94\xb8\x28\x2e\xaf\xa0\x60\x63\x6d\x7e\x87\x39\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastGetQueryObjectui64vNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindFragmentShaderATI
  {(uint8_t*)"\x26\x40\xd1\x47\x7c\x89\xb7\x0e\x0b\xce\x53\x8c\x8b\x68\x15\x0a\x90\x3e\xf5\x96\x59\xf8\xaa\xc2\x18\xec\x8b\xa2\x08\x19\x43\x53", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathStencilFuncNV
  {(uint8_t*)"\xe8\xbb\xe5\x57\xf1\x8c\xa6\x5a\xee\x92\xca\xf6\xe4\xc5\x1f\x87\x97\x41\xb1\xf5\x45\xb6\xf3\x88\xe7\xad\x54\x22\x4e\x18\xf7\x06", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedMultiTexSubImage3DEXT
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindMultiTextureEXT
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1svARB
  {(uint8_t*)"\x0b\xd6\xdb\x62\x03\x20\x15\xb4\xcd\x0c\xff\x92\x09\x57\xf6\x13\x03\xf3\x6a\x36\x52\x1f\xf5\x72\x08\xec\xfa\x2d\xbe\xdd\x25\x95", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFlushMappedBufferRangeAPPLE
  {(uint8_t*)"\xe4\x7a\x6c\x17\x71\x4b\xf3\x6f\x5c\x93\x1b\xed\x01\x5f\x55\x0a\xfc\x15\x1f\xaa\x9f\xc9\x19\xca\xb9\x79\x50\x91\x76\xc8\xb0\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPixelTexGenParameterfvSGIS
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3usv
  {(uint8_t*)"\x47\x7c\x86\x05\xe6\xb5\xa8\xaf\xfd\x9e\x49\xce\x47\x7a\xd1\xd1\xea\x70\x3d\xd3\xb7\xd8\x0d\x79\xbf\x7f\xeb\xf8\x9a\x4a\x3a\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindImageTextureEXT
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glListParameteriSGIX
  {(uint8_t*)"\x62\xfd\xbd\xf2\xa3\x2d\x25\x25\xd7\xe6\xb6\x08\xeb\xcb\xa1\xf3\x60\x72\xab\x48\xbe\x84\xe2\xa7\xc4\xeb\x68\x34\xcd\xbe\x61\xbd", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, const void *, uint32_t), uint32_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glNewObjectBufferATI
  {(uint8_t*)"\xdf\xed\x37\x2d\x6e\xd8\xb7\x36\xe9\x82\xe4\xba\x94\x09\x60\x1d\xe6\x6d\x6a\x89\x1b\xc3\x1f\x93\x56\xc4\x40\x85\x41\x16\x15\x3e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFramebufferParameterfvAMD
  {(uint8_t*)"\x27\x0e\x01\xdc\xe9\xf7\xcd\xfb\xc3\xe5\x9b\xa9\x90\x98\xbc\xec\x28\xc0\x45\x4f\x59\x3d\x57\x21\xc4\x5d\xad\x52\x6b\x25\x57\x08", (void(*)(void *))&GuestWrapperForHostFunction<long(const void *, uint32_t, uint32_t, uint32_t*), const void *, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVDPAURegisterOutputSurfaceNV
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParameterI4uivNV
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendFunciARB
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAccum
  {(uint8_t*)"\xfa\xa6\x44\x41\xc2\xe8\x78\x48\xe3\xf1\xc7\xa4\x7e\xa1\x0f\xfe\x35\x39\xb2\xff\x1e\xf6\xad\x20\x8b\x03\xe3\x16\x5e\xe3\x5a\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1i64vARB
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3sv
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2iv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glResetHistogram
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glActiveTextureARB
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2fMESA
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateVertexArrays
  {(uint8_t*)"\xd1\xa9\x36\xe2\x08\x0e\xed\x6d\x52\x9c\x02\xde\xd0\x23\xd3\x47\x64\x32\x1e\x39\x95\xbd\xda\xda\x0e\x6b\xbc\xda\x69\xcd\x4e\x1d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVideoCaptureStreamParameterdvNV
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramVertexLimitNV
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos2i
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiSUN
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBinormal3dEXT
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glArrayElementEXT
  {(uint8_t*)"\xac\xc5\x05\x23\x31\x46\x32\x81\x37\xa3\xdd\x2e\x10\x20\x59\xff\x68\x20\x56\x50\x66\x10\xbb\x7f\x61\xd4\x95\x67\x04\xc2\xa4\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, const void *, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawElementsInstancedBaseInstance
  {(uint8_t*)"\xe5\x58\x99\xfd\x24\x43\x17\x99\xc9\xfa\xc0\x42\x50\x2d\x95\xfb\xc3\x76\xe2\x2a\x67\x55\x0a\x4f\xc7\x1c\x5c\x18\xb7\xe4\x33\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double, double, double, double), double, double, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFrustum
  {(uint8_t*)"\xf8\x88\x83\xbb\xcd\xa0\x24\x16\x83\xab\xe3\x77\x68\xa4\x2f\xa0\xc0\x57\x0a\xe1\x3b\xe5\xe0\x2e\x85\xc2\xe9\xcb\x9f\xf2\x83\x79", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint32_t, uint32_t, void *), uint32_t, uint8_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetHistogramEXT
  {(uint8_t*)"\xea\xdc\xbb\x02\x2c\xb9\x83\xf4\xd1\xd9\xdb\xec\x2a\xc4\x30\x50\x93\x42\x17\x84\x27\xb9\x73\x52\xda\x47\x25\xea\xa0\x5d\xb8\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexImage1D
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginTransformFeedbackNV
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRectxOES
  {(uint8_t*)"\x48\xb0\x12\xca\xf8\x8d\xd8\x04\x32\x6d\x03\x33\x10\xb1\xa2\xe8\x1e\xa1\x16\x8e\x2f\xc1\xc8\xf7\xd8\xa8\x17\xb0\x6c\x81\xe5\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexBufferRange
  {(uint8_t*)"\xf5\x75\xdb\x4f\x86\x3f\x62\x64\xbb\x50\x51\x89\x7f\x05\x25\xb4\xb4\xb9\x6f\xab\xa1\x69\xaa\x12\xc7\x1f\x35\x68\xf7\x2b\xcd\xbf", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindLightParameterEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSetFenceNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginConditionalRender
  {(uint8_t*)"\x9f\xfd\x1f\x0d\x5d\x02\x08\x17\x24\x23\xd2\x7c\x82\xf6\x0f\xe3\x09\x20\x0b\xd5\x6f\xdb\xe9\x91\xdf\x08\xa5\x8c\xc2\x59\xd3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXDestroyPbuffer
  {(uint8_t*)"\x9a\x43\x84\xd4\x9c\x39\x59\x18\xb5\x7d\x9a\x63\x4c\xed\x31\xc4\x99\x7d\xf9\x0e\x1c\x83\x23\x54\x2b\xce\x6f\x5f\x19\x83\x69\x2e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t), uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2s
  {(uint8_t*)"\x0d\x09\xd9\xd6\xfa\xe2\x43\xff\xac\xc9\x6f\xf7\x60\x6a\x1b\xba\x21\x21\xaa\x87\x08\xad\xf8\x74\x82\x1a\x2a\xa4\xd4\xc0\x19\x80", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs2dvNV
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3iv
  {(uint8_t*)"\xc9\x28\x2d\x8f\xd0\x50\x4d\xe5\x1e\x7e\x3b\x2d\x85\x7f\xb1\x7b\x2c\xfb\x3e\xd1\xd8\x70\x2a\x25\x05\xc4\x99\xef\x3e\xe6\xd8\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float, float, float, float, float), float, float, float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4fNormal3fVertex3fSUN
  {(uint8_t*)"\x26\x40\xd1\x47\x7c\x89\xb7\x0e\x0b\xce\x53\x8c\x8b\x68\x15\x0a\x90\x3e\xf5\x96\x59\xf8\xaa\xc2\x18\xec\x8b\xa2\x08\x19\x43\x53", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1uiEXT
  {(uint8_t*)"\x91\x4d\x6e\xf2\xcb\x42\x64\x27\x5b\x85\x1c\xf9\x08\x97\x84\x6a\xd3\x13\x06\x2e\x56\xee\x67\xf6\x48\x2c\xf1\x1a\xcd\xcd\x28\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3i64NV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginConditionalRenderNV
  {(uint8_t*)"\x26\xee\x73\xc6\x94\x8d\x94\xcd\xbf\xe5\x43\x9a\x6b\x30\xe4\xd0\x68\x1b\x47\x6f\x39\x3a\xa0\x73\xac\x58\x41\x4e\x70\x77\x3f\x12", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3ub
  {(uint8_t*)"\x4c\x93\xac\x34\xe5\xe9\xc1\x05\x0e\xfa\x23\xed\x7a\xc0\x4c\x44\x5e\xde\xb4\xc9\x5b\xec\xc8\x21\x67\x8b\x10\x8c\x75\x32\x8a\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWriteMaskEXT
  {(uint8_t*)"\x10\x01\x1a\xfd\xf4\x1c\x11\x0b\x14\x13\x3f\x19\x9a\xa8\x7e\x27\xa1\x08\x48\x72\x4a\xbe\xac\x29\xee\x0e\x5a\xcf\x35\xc6\x5f\x4f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferTexture2DEXT
  {(uint8_t*)"\xf0\x06\x1e\x19\xbf\x7e\x3f\x37\xca\xe4\x71\x05\x0e\xe9\xe7\xa5\x79\xed\x06\xc0\x0d\xb6\x2b\x34\x0d\xaa\xbf\x8a\x2c\x5a\xc3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3dv
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexMaterialEXT
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3i
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginPerfMonitorAMD
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClampColor
  {(uint8_t*)"\x82\x67\x40\xcc\xf9\x86\xc7\x6e\x07\x2c\x6e\xfc\xe6\x26\xe1\x95\x28\x6e\xd1\xa2\x4b\x6e\xa2\x39\x09\xf4\xef\xbd\x18\x2b\x31\xbb", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int()>::Call<ParameterAnnotations {}>}, // glCreateProgramObjectARB
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3dv
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenFencesNV
  {(uint8_t*)"\x49\x1a\xef\xec\xfd\x67\x99\x45\xc6\x05\xed\x25\x5d\x0e\x1a\x81\xa3\xd8\x75\x61\xbc\x15\x9c\xb3\x3a\x00\x6e\x3f\x24\x4a\x88\x30", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformHandleui64ARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginPerfQueryINTEL
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord1f
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixIndexuivARB
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteOcclusionQueriesNV
  {(uint8_t*)"\x0b\x87\x55\x13\xf4\x6e\x43\xb0\xe6\x98\x4c\x44\x87\xcb\x59\x0a\x31\xf4\xbe\x2b\x58\x39\x46\xb9\xb3\x53\xf3\x8a\xd0\x8c\x0a\xd5", (void(*)(void *))&GuestWrapperForHostFunction<void(double), double>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord1d
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVariantusvEXT
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoordP1uiv
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glBeginVertexShaderEXT
  {(uint8_t*)"\x48\xdf\x7a\xad\x23\x5d\xff\xc5\x38\x0f\x69\xe3\xbd\x89\x58\xe8\x35\x61\xae\xb1\xb7\x49\xe3\x3c\x79\xfb\x9f\xcd\xe3\xb8\x41\x6b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, void *), uint32_t, uint64_t, uint64_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetBufferSubData
  {(uint8_t*)"\x03\x90\xad\x41\x54\xa2\x0e\x14\x1b\x25\x8c\x41\xc7\xfa\xd5\x82\xcc\xf8\x59\xe2\xe4\x8d\xc2\x8c\x8c\x42\x07\xf6\x80\xdb\xff\xfd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexSubImage4DSGIS
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVariantArrayObjectfvATI
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginVideoCaptureNV
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glArrayElement
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3hvNV
  {(uint8_t*)"\x12\x8c\x1a\xf3\x35\x1e\xa4\x0f\x6f\x67\x9e\x14\x58\xe9\x2b\x53\x84\xae\xfd\x79\xe2\xfc\x91\xf1\x7b\x7d\x65\x84\xc2\x94\xa9\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedProgramLocalParameterfvEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBinormal3dvEXT
  {(uint8_t*)"\x68\x49\xac\x1c\x2c\xe2\xd7\x05\x11\xe6\x6a\xc7\xb1\xc2\x90\x5f\x5f\xd0\x17\xae\x28\x35\xf1\x03\x27\xa7\xf2\x67\x8c\xd5\x7c\xa5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnColorTableARB
  {(uint8_t*)"\xa6\x86\x34\x08\x46\x99\xfe\x9d\x1a\x3d\xd5\x6d\xd1\x46\xe9\x1b\xa0\xdd\x76\xd0\x64\xf2\xcd\x80\x95\x63\xd8\x9e\x23\x04\xc4\x90", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, uint32_t), uint32_t, uint32_t, uint8_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribP2ui
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos2iv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCompileShader
  {(uint8_t*)"\xec\xc4\x35\x0c\xdf\xe4\x34\xb8\xae\x6b\xdc\x5a\x09\x0e\x1d\xa7\x9d\xb6\xd7\x22\xdd\x31\xc7\x82\xb8\x24\x5b\x0b\x59\xad\x90\xdb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double), uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL1d
  {(uint8_t*)"\x0e\xb7\xe8\xc8\xef\x4e\x8a\x15\x77\xb2\x89\xfb\x02\x26\x0f\x1f\x20\x6c\xc4\xdf\x9e\x10\x59\x83\xd6\xe0\x4d\x3b\x1a\x62\xb2\x8b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCheckFramebufferStatusEXT
  {(uint8_t*)"\xeb\x13\xd5\x2f\x24\x5a\x04\x7b\x01\x25\x14\x21\x3b\xef\x4a\x46\x70\x3a\x45\xf2\xa0\xbd\x6d\x0e\x71\xee\x35\xe8\x1a\x1b\x55\x7e", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float), float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3fVertex3fSUN
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawArraysInstancedEXT
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBufferBase
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4hvNV
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayVertexAttribBindingEXT
  {(uint8_t*)"\x11\x00\xd5\xbc\x28\x77\x55\x90\x8c\xce\xa1\x8c\xce\x8d\xc1\x82\xeb\x86\xc8\x8c\xee\x78\x3e\xa6\xfd\x88\xae\x47\xd1\x66\xe3\x58", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTextureImage3DEXT
  {(uint8_t*)"\x58\x2e\xc1\xae\x5f\x9c\xef\xde\x9d\xc2\x83\x6c\xdc\xe2\x31\xd6\xa4\x9d\x58\xf6\xbb\x12\x88\xab\x2b\x45\x95\xb3\xf7\xf4\x52\x26", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastScissorArrayvNVX
  {(uint8_t*)"\xcf\xd7\x24\x33\xce\x18\x7d\x13\x1c\xc2\xa2\x4b\xec\x5f\x33\xae\x07\x9d\x4e\x69\xa3\x1b\x22\x23\x4c\xa7\xd5\x32\x65\xed\x0a\x38", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelMapusv
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSetMultisamplefvAMD
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginOcclusionQueryNV
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentMaterialiSGIX
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFrontFace
  {(uint8_t*)"\xce\x84\xbe\x24\x8f\xc8\x98\xd1\x20\x00\x04\x82\x6e\x40\x80\x26\x0f\x09\xdd\x3d\xc3\x2b\xf2\x54\x64\x18\xcb\x45\x52\x63\x56\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint32_t, uint64_t), uint32_t, uint64_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedBufferStorageMemEXT
  {(uint8_t*)"\x98\xd6\x29\x03\xeb\x08\x97\xa7\x7f\xfe\xbc\xbe\x53\x30\x11\x38\x66\xd4\x4e\x49\x22\x10\xf0\xbc\xb4\xc2\x90\xb4\x0e\xce\xd7\x8d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBufferOffsetEXT
  {(uint8_t*)"\x98\xd6\x29\x03\xeb\x08\x97\xa7\x7f\xfe\xbc\xbe\x53\x30\x11\x38\x66\xd4\x4e\x49\x22\x10\xf0\xbc\xb4\xc2\x90\xb4\x0e\xce\xd7\x8d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBufferOffsetNV
  {(uint8_t*)"\xaa\x00\x28\xe5\xcb\xac\x90\xfb\xf5\x51\x75\xaa\x59\xd9\x7f\xfb\x91\x54\x37\x18\x92\x7f\x6f\x22\x41\x0d\x30\x1a\xfd\xd4\x99\x92", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float), uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4f
  {(uint8_t*)"\x48\xb0\x12\xca\xf8\x8d\xd8\x04\x32\x6d\x03\x33\x10\xb1\xa2\xe8\x1e\xa1\x16\x8e\x2f\xc1\xc8\xf7\xd8\xa8\x17\xb0\x6c\x81\xe5\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBufferRange
  {(uint8_t*)"\x65\x4f\xd2\x5d\xbd\x54\x1a\x69\xdc\xd8\xe2\x35\xda\x7d\x35\xd8\x13\xcc\xae\xdf\x86\xb6\x31\xd9\xea\xe6\x0b\x27\x54\xef\x44\xfd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, void *), uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glFlushVertexArrayRangeAPPLE
  {(uint8_t*)"\x52\x72\xef\xc0\x6a\x5c\xfd\xf0\x30\x72\x19\x5d\x51\xfa\x1f\x26\x15\x90\x32\xec\xa6\xe4\x97\x41\x64\x71\x90\x04\x71\xd1\x61\xb9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBuffersBase
  {(uint8_t*)"\xeb\x95\x12\xc8\x24\x79\xab\x9f\x89\x2a\x39\x99\x5c\x81\x3f\xfd\x00\xa2\xbe\xd2\x2f\x45\xda\x77\x87\x11\xcc\x44\x0d\x44\x3c\xd2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint64_t*, uint64_t*), uint32_t, uint32_t, uint32_t, uint32_t*, uint64_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBuffersRange
  {(uint8_t*)"\x48\x92\xa3\xb1\x86\x16\xa9\xa1\x83\x71\xe9\x14\x9c\x9b\x31\xa2\xb8\x68\xfa\x2c\x8a\xf9\x6f\x51\xff\x2a\x66\x9d\x22\xc4\x5a\x8d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexImage3D
  {(uint8_t*)"\xe8\x30\x90\x7b\x9f\x31\x34\x47\x71\x63\x02\x28\x0a\xec\x95\xd9\x62\xe3\xb9\xa0\x24\x37\x62\x45\x6a\x94\x6a\x8c\x54\x40\x02\x11", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char *), uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindFragDataLocation
  {(uint8_t*)"\x66\x6a\xb3\xcb\x3c\x32\x5a\x6a\x7e\x6f\x62\xe9\xc4\x8c\x17\xa3\x8f\xd9\xdb\x9c\x52\xc9\x3c\x2a\x4e\x41\x3b\xd6\x3e\x6a\xaa\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void *), uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetCompressedTexImageARB
  {(uint8_t*)"\x71\x50\xf1\xdb\x69\xbb\x92\x06\x7a\x2a\xa1\xd3\x35\x1a\x2b\x30\x83\xbc\xf7\x79\x8f\x5b\x8c\xda\x75\x99\x1a\xd5\x71\x3c\x44\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetBufferParameterui64vNV
  {(uint8_t*)"\x1a\x36\xd8\x01\xf3\xb2\x90\xea\x2f\xc2\xb9\x95\x0b\xb7\xca\x00\x1a\x4f\xde\x24\x62\xc6\x2b\x6e\xa5\xf2\x39\xd2\x3f\xbb\xa9\xc7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMinmaxEXT
  {(uint8_t*)"\x31\x67\x55\x6a\x2a\x00\x6b\xf7\x36\xa2\x0b\x3a\xd9\xd8\x94\x7a\x76\xf2\x6d\xd2\x8e\x0b\xad\x23\x9e\x9c\xa0\x83\xa3\x32\xcc\xe1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const char *), uint32_t, uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindFragDataLocationIndexed
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalCoord2f
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindFramebufferEXT
  {(uint8_t*)"\xf6\xb8\xa4\x07\xf6\x13\xe2\xaf\x65\xd2\x6a\x60\x37\x9d\x42\x0c\x8a\xd7\x85\x2d\x94\xfa\xc0\x1c\xa2\x1f\xe6\xe3\x0a\x8d\xa3\xb3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindImageTexture
  {(uint8_t*)"\xbb\x00\x7d\x9e\xa8\x00\x9b\x93\x10\xc6\xe3\xf1\x26\x33\xc3\x52\x78\xec\x82\x2e\x42\x46\xaf\x6f\xdd\xa1\xd2\x65\xb5\x5a\x69\xa8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t), uint32_t, uint32_t, const void *, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawElementsIndirectAMD
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalStream3ivATI
  {(uint8_t*)"\xf8\x67\x6a\x5f\x7f\x77\x3c\x30\xeb\xfb\x6c\x3e\x1a\x82\x4a\x98\xa9\x1a\x28\x83\x7b\xe5\x46\x00\x99\x81\xb9\x0a\xce\x67\x22\x2b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorageMem2DMultisampleEXT
  {(uint8_t*)"\x0b\x87\x55\x13\xf4\x6e\x43\xb0\xe6\x98\x4c\x44\x87\xcb\x59\x0a\x31\xf4\xbe\x2b\x58\x39\x46\xb9\xb3\x53\xf3\x8a\xd0\x8c\x0a\xd5", (void(*)(void *))&GuestWrapperForHostFunction<void(double), double>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearDepthdNV
  {(uint8_t*)"\xa5\x30\xd1\x95\xaa\x32\xf1\x02\xe7\x28\x93\x24\x5c\xca\x70\x01\xa9\x76\xa0\xe8\x59\x65\xda\x7b\x04\x7c\x4e\x43\xb9\x32\xb6\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint8_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSelectPerfMonitorCountersAMD
  {(uint8_t*)"\x0b\x87\x55\x13\xf4\x6e\x43\xb0\xe6\x98\x4c\x44\x87\xcb\x59\x0a\x31\xf4\xbe\x2b\x58\x39\x46\xb9\xb3\x53\xf3\x8a\xd0\x8c\x0a\xd5", (void(*)(void *))&GuestWrapperForHostFunction<void(double), double>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoordd
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4xOES
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos2fv
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindProgramNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixMultTransposefEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableVariantClientStateEXT
  {(uint8_t*)"\xe6\x3b\xee\x0a\xd7\xca\x87\x1e\x0b\xed\x44\x8d\x71\x16\x36\x0a\x0c\x0d\x2f\xde\xc4\xc9\xf0\x2b\x2c\x68\x31\x5a\x7a\xba\x68\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *), uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glStringMarkerGREMEDY
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetColorTableParameterfvSGI
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindTexture
  {(uint8_t*)"\x9c\xc9\x64\x8a\x9b\xb2\x17\x07\x01\xaf\x75\xd6\x97\x16\x40\xaf\x5e\xa1\x77\x58\x1b\x31\xe5\x4c\x8e\xdc\x84\x3a\xb0\x2b\xe1\x4c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint8_t, uint8_t, uint8_t), uint32_t, uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4bOES
  {(uint8_t*)"\xa0\x0b\x56\x19\x5f\x9a\x27\x37\x95\xcc\x17\x1a\xf6\x05\x58\x02\x32\x77\x99\x11\x7d\x4b\x27\x85\xb4\xdd\x44\xe8\x2a\x7f\x6d\xb3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glReadPixels
  {(uint8_t*)"\x76\xe6\x80\x83\xf2\x87\x1c\xd6\xe2\x93\x1b\x08\x5a\x1d\x54\x22\x74\xf3\x83\x33\x38\x61\x55\x2a\xc5\x5c\x24\x93\x9a\x19\xda\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendFuncSeparatei
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClipPlanexOES
  {(uint8_t*)"\x8d\x28\xac\xa2\x8f\x22\x9e\x41\x93\xb6\x43\xa3\x2d\x8f\x19\x14\xad\x86\x86\x16\xb9\x63\x86\xfc\x13\x6d\x7b\x46\x5f\x72\x10\x8d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVDPAUUnmapSurfacesNV
  {(uint8_t*)"\xab\xf5\xc0\x47\xa7\xa6\x37\xa4\xff\xf3\xbe\xd6\xe5\xc9\xd5\xbf\x5e\x9f\x13\x04\x95\x49\x5f\x67\xf0\x1c\x23\xd6\xa2\x7c\x6b\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureBufferRangeEXT
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4x3dvEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glUnmapObjectBufferATI
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindSamplers
  {(uint8_t*)"\x7a\xf6\xd8\x7a\xaf\x47\x73\x34\xeb\x79\xbe\x46\xe5\x8f\xbc\xb8\xd9\xe8\x20\x75\x31\x32\x85\xe1\x9f\x86\x1d\x99\x3e\x54\x9b\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glClearNamedBufferDataEXT
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexGenfv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindShadingRateImageNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindTextureEXT
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3f
  {(uint8_t*)"\x67\xa6\xd8\x1e\x03\xa4\x95\x04\x35\x41\x87\xdb\xd9\x0f\x81\x37\x16\xec\x43\xc0\x30\xb6\x3c\x35\xea\x62\x6d\x65\x02\x69\xac\x53", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDispatchComputeIndirect
  {(uint8_t*)"\xdd\xa2\xf6\xcb\xcc\x19\x14\x0e\x0b\x7c\x00\x1e\xf6\xa9\xc3\x93\xab\x60\xea\xb9\x42\x13\x5d\xd9\x3d\xc2\xe7\x8e\x61\x96\x88\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTextureSubImage2D
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightModeli
  {(uint8_t*)"\x1f\x3b\x68\x51\x60\x6c\xcb\xa7\x3a\x66\x2f\x83\x24\xb8\x9e\x9f\xad\x12\x4f\xad\xc0\x3a\x04\xf4\xd7\x29\xa4\x52\x35\x11\xf8\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyConvolutionFilter2DEXT
  {(uint8_t*)"\x31\x23\xcc\xff\x88\x1d\xef\x44\x83\x6e\x03\x74\x9f\x2e\x52\x9d\xa7\x03\xb2\x40\x1e\x28\x95\xf3\xa6\x01\x6e\x74\xbf\xf0\x2a\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1uivEXT
  {(uint8_t*)"\x40\x09\xfb\x34\xa0\x0f\x1a\x55\x3a\x34\xa2\x44\x34\xb4\x7e\x5b\x19\xf8\x7f\xe0\xba\xfb\xaf\x86\x8f\xf9\x09\x9a\x45\x49\x4d\x75", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t*, unsigned char *), uint32_t, uint32_t*, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAreTexturesResidentEXT
  {(uint8_t*)"\xef\x0f\x13\x86\x8b\xd0\x09\x5e\xe2\x5b\xce\x17\x9b\x28\xc9\x56\x92\x74\x51\x75\x24\xd1\xb9\x26\x7d\x30\xc4\x13\xe8\x20\x71\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void **), uint32_t, uint32_t, const void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexCoordPointervINTEL
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformui64vNV
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindTextures
  {(uint8_t*)"\xdb\x9d\xbb\xbe\x84\xbb\x51\x11\x12\x1b\x00\x09\xed\xf0\x65\x8f\xa8\x71\x92\xfd\xbd\xdd\x87\xec\x6f\x73\xd2\xcb\x9c\xc4\x7f\x90", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(struct _XDisplay *, struct __GLXFBConfigRec *, uint64_t, uint32_t*), struct _XDisplay *, struct __GLXFBConfigRec *, uint64_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXCreateWindow
  {(uint8_t*)"\x89\xfc\xcd\x1d\x51\x0b\xb3\x92\x21\x80\xb0\x4b\x73\x34\x53\xb1\xf2\x3b\xf9\x10\xb4\xcb\x99\x1c\x6b\x65\x62\x77\xcb\x1c\xf6\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3b
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexGendv
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWeightuivARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEndQueryARB
  {(uint8_t*)"\x2c\xdc\x46\x32\x79\xb7\x99\xb7\x59\x6d\x86\x98\xd1\xa2\x74\xcc\x3d\xfa\x25\xfb\x61\x97\xe0\xe7\xd2\x88\xd6\x12\x24\xbd\xdc\xef", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const char *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDebugMessageInsertARB
  {(uint8_t*)"\x78\x95\x10\xdd\x1d\xb9\x01\x7f\xd9\xe2\x81\xe6\x4b\x2a\xad\x69\xcf\xae\xda\x4c\x9e\x9f\x2f\xb8\x70\x7a\xf2\x2d\xbf\xdf\x91\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glColorTableEXT
  {(uint8_t*)"\xbc\x94\x9d\x5e\x1f\xb2\x5b\x4d\xed\x4d\xec\xd1\xdb\xd5\xc0\xfb\x5e\x53\xff\x7d\x43\x8c\x5a\xff\xfb\xcf\x52\xa3\x79\x68\x61\x2b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint32_t), uint32_t, uint32_t, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindVertexBuffer
  {(uint8_t*)"\xf6\xc5\x94\x91\x87\xf0\x64\x7e\x9b\xb9\x09\xae\x60\xcf\x51\xf2\xac\x7a\x60\x4c\xa2\x1d\x93\x27\x92\x5d\x31\x7a\x4e\xb4\xba\xc5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTexImage1DEXT
  {(uint8_t*)"\x1f\x3b\x68\x51\x60\x6c\xcb\xa7\x3a\x66\x2f\x83\x24\xb8\x9e\x9f\xad\x12\x4f\xad\xc0\x3a\x04\xf4\xd7\x29\xa4\x52\x35\x11\xf8\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParameterI4iNV
  {(uint8_t*)"\x85\x78\xe1\xf8\xf0\xe3\xda\xa9\xc1\x5f\xb2\x49\xb5\x6c\x5a\xc3\x19\xe0\x80\xcb\x90\x1f\x91\x9a\x57\xc1\x78\x82\x98\x9d\x97\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t), uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexWeighthNV
  {(uint8_t*)"\x91\x51\xfd\x16\x33\x25\x16\xfc\x6e\x72\x6c\x84\xfe\x03\x58\xf3\x6c\xa1\x62\x32\x00\xd3\x71\x33\xd5\xb5\xfa\x35\x49\x9d\x25\x27", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, double *), uint32_t, uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnMapdvARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindVertexShaderEXT
  {(uint8_t*)"\xbc\xdf\x2a\x7c\x9a\x70\xb8\x46\xc5\x97\x4a\xdd\xda\x3e\xec\x25\x5c\xd1\x22\x44\xe1\xb7\xa8\x10\x6e\xc9\xbc\xac\x09\x19\xb7\xe4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilClearTagEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColorP3ui
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3ivMESA
  {(uint8_t*)"\x78\x95\x10\xdd\x1d\xb9\x01\x7f\xd9\xe2\x81\xe6\x4b\x2a\xad\x69\xcf\xae\xda\x4c\x9e\x9f\x2f\xb8\x70\x7a\xf2\x2d\xbf\xdf\x91\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glConvolutionFilter1D
  {(uint8_t*)"\x26\x80\x6f\xbc\x32\x62\x85\x87\xef\x45\x8f\x5c\x53\x2a\x37\xc4\xef\xc0\x2f\x92\x3a\x25\xeb\x9d\xa9\x92\x82\xae\xe5\x9a\x5f\xd4", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformLocationARB
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glImageTransformParameterfvHP
  {(uint8_t*)"\xdd\xa2\xf6\xcb\xcc\x19\x14\x0e\x0b\x7c\x00\x1e\xf6\xa9\xc3\x93\xab\x60\xea\xb9\x42\x13\x5d\xd9\x3d\xc2\xe7\x8e\x61\x96\x88\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexSubImage2D
  {(uint8_t*)"\x98\xd6\x29\x03\xeb\x08\x97\xa7\x7f\xfe\xbc\xbe\x53\x30\x11\x38\x66\xd4\x4e\x49\x22\x10\xf0\xbc\xb4\xc2\x90\xb4\x0e\xce\xd7\x8d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryBufferObjecti64v
  {(uint8_t*)"\xe7\xc4\xe3\x7c\x63\x1f\x05\x1b\x20\xce\x99\xe9\xda\xc0\x2b\x88\x53\x92\x6a\x4e\xe1\x1e\xf7\xaf\xfb\x29\x3a\x83\xed\x5b\xf6\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t), uint32_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1s
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexEnviEXT
  {(uint8_t*)"\x76\xe6\x80\x83\xf2\x87\x1c\xd6\xe2\x93\x1b\x08\x5a\x1d\x54\x22\x74\xf3\x83\x33\x38\x61\x55\x2a\xc5\x5c\x24\x93\x9a\x19\xda\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindVideoCaptureStreamTextureNV
  {(uint8_t*)"\x0e\xb7\xe8\xc8\xef\x4e\x8a\x15\x77\xb2\x89\xfb\x02\x26\x0f\x1f\x20\x6c\xc4\xdf\x9e\x10\x59\x83\xd6\xe0\x4d\x3b\x1a\x62\xb2\x8b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCheckFramebufferStatus
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawElementArrayATI
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTextureEXT
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearStencil
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4ui
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4dv
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBinormal3ivEXT
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBinormal3svEXT
  {(uint8_t*)"\xb7\x06\xc3\x2b\x09\xa8\x56\x10\xb8\x35\x34\x79\xca\x78\xad\x1d\x18\x63\x79\x6f\x3d\x4c\xa3\x8d\x62\xe3\xcc\x1a\xfa\x99\x96\x46", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glBinormalPointerEXT
  {(uint8_t*)"\xe8\x30\x90\x7b\x9f\x31\x34\x47\x71\x63\x02\x28\x0a\xec\x95\xd9\x62\xe3\xb9\xa0\x24\x37\x62\x45\x6a\x94\x6a\x8c\x54\x40\x02\x11", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char *), uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindAttribLocation
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalStream3dvATI
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEnd
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glResetMinmaxEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3dv
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glScissorExclusiveNV
  {(uint8_t*)"\xcb\x69\x0a\xf9\x3a\xa5\x58\xcc\x65\x09\x00\xf8\xf0\x75\xf4\x33\x9f\x66\xe6\x21\xcf\x02\xd8\xaa\x8e\x87\x14\xf7\x16\x4d\x53\x29", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const unsigned char *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBitmapxOES
  {(uint8_t*)"\xd8\xad\xbb\x1f\x45\x34\x6f\xb4\x21\xa3\x2c\x4a\x36\xc2\xed\x12\xde\x9b\x3b\x82\xcb\x3d\x5f\xdc\x64\x56\xf9\x35\x9a\xf2\xa1\x02", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float, float, float, float), uint32_t, uint32_t, uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParameter4fEXT
  {(uint8_t*)"\xd4\xcf\x82\x4c\xf1\xb6\xc9\x08\xac\x68\x43\xb9\x3a\xb0\xdd\x4c\xf3\x0b\x3d\xdb\x2d\xf1\x79\x97\x60\x32\xa5\xd6\xb5\x45\xf8\xe8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetClipPlanexOES
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsTransformFeedback
  {(uint8_t*)"\xef\x58\x93\xbc\x66\xf7\x92\xea\xe8\xce\xd1\x5c\x69\xb1\x5b\xbe\x38\x9e\x92\x58\x65\xea\xaf\x3c\x5f\xbc\xdb\xf2\x91\xca\x03\xdc", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPollInstrumentsSGIX
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendColor
  {(uint8_t*)"\x32\x2b\x19\x85\x59\xa7\x8b\xfa\x49\x0d\xda\x28\xc3\x76\x32\xdf\x4b\x58\xef\x1d\x08\xe0\x64\xd6\x84\x0b\x91\x04\x00\xb0\x11\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix4x3dv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glAsyncMarkerSGIX
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquationiARB
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetLocalConstantIntegervEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFenceivNV
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultMatrixd
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glResumeTransformFeedback
  {(uint8_t*)"\xf8\x64\x78\x24\xe5\x37\x49\xde\x20\x74\x6a\x07\x94\xd7\xef\xb7\x44\xaf\xcd\xfe\x82\x1d\x0d\x67\xa5\x46\x3d\x42\x21\xe4\x20\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glDrawRangeElementsBaseVertex
  {(uint8_t*)"\x70\x89\x0b\xe5\xe4\x08\xf7\x52\xa1\xdd\x19\xb7\x06\x78\x35\x59\x82\xf6\xcf\xd2\xfd\x35\x53\x1f\x1e\xcd\x08\x4f\x6f\x78\x50\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(float, uint8_t), float, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSampleCoverage
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindSampler
  {(uint8_t*)"\x4c\x5d\x8b\xb4\x6f\x4f\xda\x89\x66\xf1\x4f\xfe\x5d\xc6\x19\x9e\xb4\x78\x90\x79\xe9\xd8\x91\x5f\x80\x8b\xed\x20\x2a\x02\x37\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double), uint32_t, uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1dEXT
  {(uint8_t*)"\xd3\xb0\x14\xc0\xfb\x74\x5d\x2e\xe0\x05\xaa\xcb\xb8\x8f\x96\x06\x9d\x65\xf2\x6b\x8a\xef\xf9\x20\xb2\xac\xe9\x3b\x96\x43\xd8\x26", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t), uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1s
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearColor
  {(uint8_t*)"\xe0\xe7\xa0\xa2\xa7\xa5\xdc\xaa\xe9\xb7\xa9\xd3\xb1\x63\xe8\xef\x3c\x54\xb9\x8c\xbd\xd1\xef\x3b\x9f\x00\xcd\x84\x65\x01\x24\x8f", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, uint64_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, float), uint32_t, uint32_t, uint64_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathMemoryGlyphIndexArrayNV
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquationSeparatei
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentMaterialfSGIX
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquationSeparateIndexedAMD
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPixelTransformParameterfvEXT
  {(uint8_t*)"\xc3\x4d\x1a\xdf\xca\x9e\xad\xce\xbb\x69\xaf\x5f\xf3\xbc\x9c\xdd\xe4\xab\x62\xcd\x17\x14\xf3\xad\xf8\x81\xc2\x02\x8f\xb3\x26\x87", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(uint32_t, uint32_t, uint8_t, uint32_t, uint32_t), uint32_t, uint32_t, uint8_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetImageHandleNV
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendFuncSeparate
  {(uint8_t*)"\x70\x89\x0b\xe5\xe4\x08\xf7\x52\xa1\xdd\x19\xb7\x06\x78\x35\x59\x82\xf6\xcf\xd2\xfd\x35\x53\x1f\x1e\xcd\x08\x4f\x6f\x78\x50\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(float, uint8_t), float, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSampleCoverageARB
  {(uint8_t*)"\xf5\x00\x78\x56\x60\x61\x8f\x48\x05\xa9\x5e\x78\x4e\xa9\x2e\x07\xf4\x49\xba\xbd\x0b\xfc\xe2\x21\x93\x40\xdb\x44\xdf\xf8\xe4\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3f
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetBufferPointervARB
  {(uint8_t*)"\xe9\x7d\x14\x53\x81\xcd\xf8\x12\x68\x8b\x87\xb0\xcf\x3a\xfe\xfd\x0f\x2a\x06\x67\xdd\xf0\xac\x49\x72\x95\xba\xd3\xa6\xe4\xa6\xda", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint32_t, uint32_t*), struct _XDisplay *, uint64_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryGLXPbufferSGIX
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentLightModeliSGIX
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTbufferMask3DFX
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendFuncSeparateINGR
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoordP3uiv
  {(uint8_t*)"\x08\x28\x8b\x73\x3e\x02\x91\x67\x60\xa0\x1d\x6d\x2a\xf1\x7a\x45\x16\x0c\xa3\x42\x21\xdc\x7b\xe8\x05\xf6\x0d\x28\x5e\xdd\xc0\x70", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlitNamedFramebuffer
  {(uint8_t*)"\xfa\xa6\x44\x41\xc2\xe8\x78\x48\xe3\xf1\xc7\xa4\x7e\xa1\x0f\xfe\x35\x39\xb2\xff\x1e\xf6\xad\x20\x8b\x03\xe3\x16\x5e\xe3\x5a\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2i64vNV
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogxvOES
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsVertexArrayAPPLE
  {(uint8_t*)"\x9b\x8c\x31\x63\xf2\x0e\xd5\x6a\x50\x46\x67\x46\x19\x88\xfb\x98\x0f\xa3\x30\xe7\x8e\xac\x33\xa6\xb2\x80\x5f\xb1\x20\x6d\xb8\xdb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedMultiTexImage3DEXT
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBufferParameteriAPPLE
  {(uint8_t*)"\x50\x4f\xd5\xeb\xc4\x0f\xd0\x58\x78\xf8\x81\x2e\x56\xbc\x74\x85\x30\xbd\x6b\xe6\xb7\x43\x6d\xa5\x79\x0a\x70\x97\x61\x67\xda\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double), uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4dARB
  {(uint8_t*)"\x3a\xd3\x80\xf0\xdc\x3c\xf4\x2e\xbf\x87\x86\x9e\x2e\x44\x80\x45\xc5\x95\xcf\xbb\x29\x91\x75\xeb\xb2\x4b\x43\xe4\xa2\xdf\x88\x18", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPerfMonitorCounterStringAMD
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateMemoryObjectsEXT
  {(uint8_t*)"\x0f\xd0\x1f\xea\xef\x9a\xd2\x84\xb8\xd1\xa9\xec\x80\xf3\xa8\x18\xdb\x8d\x9b\x1e\x5d\x6e\x76\xb0\x14\x38\xce\xed\x1b\xfa\xa4\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glVertexWeightPointerEXT
  {(uint8_t*)"\xce\x84\xbe\x24\x8f\xc8\x98\xd1\x20\x00\x04\x82\x6e\x40\x80\x26\x0f\x09\xdd\x3d\xc3\x2b\xf2\x54\x64\x18\xcb\x45\x52\x63\x56\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint32_t, uint64_t), uint32_t, uint64_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBufferStorageMemEXT
  {(uint8_t*)"\x06\x1c\xd1\xc4\xee\xc2\x40\x48\x82\x4b\xc6\xbc\x21\x59\x44\xf3\xc9\xc8\x29\x0f\xd9\xfd\xfe\x8a\xf2\x0d\x99\x92\xf3\xc8\x8d\xb9", (void(*)(void *))&GuestWrapperForHostFunction<const char *(struct _XDisplay *, uint32_t), struct _XDisplay *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXQueryExtensionsString
  {(uint8_t*)"\x10\x1d\xc6\x25\x0f\x99\x82\xff\xd5\x89\x43\x5d\x0c\x42\xf9\x7c\x8b\x5c\x24\x2e\x09\x93\x0a\xfc\x78\x71\x88\x90\xc8\xce\xa6\x79", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint64_t*, uint64_t*, uint64_t*), struct _XDisplay *, uint64_t, uint64_t*, uint64_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetSyncValuesOML
  {(uint8_t*)"\xc6\x58\xfd\xf2\x24\xdb\x37\xa7\x2a\x67\xc6\xa2\x73\x95\x3d\x3a\x57\x58\x18\xe8\xcc\xc9\x10\xd5\x2e\xcf\x6b\x8a\x23\xa5\x8d\x39", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveSubroutineUniformiv
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexsv
  {(uint8_t*)"\x57\xa2\x0c\x11\x5f\x5b\x70\x41\xc9\x2d\x86\x66\xe5\x5e\x74\x11\xb4\x3e\xf9\x77\xae\x9d\xca\x72\x65\x91\xb6\xc8\x69\x64\xb1\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, uint32_t, uint32_t, float, float, uint32_t, uint32_t, float, float, uint32_t, uint32_t, const float *), uint32_t, float, float, uint32_t, uint32_t, float, float, uint32_t, uint32_t, float, float, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeformationMap3fSGIX
  {(uint8_t*)"\xf0\x56\x5a\x57\x39\xe5\xf6\xa7\x6f\xae\xbb\x18\x01\xcc\x3e\x0a\x29\xc5\xcb\x92\xc3\x4b\xa0\xf7\x71\x13\xcc\x51\x0b\x81\xf3\x48", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTexImage2DEXT
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferRenderbufferEXT
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteFencesAPPLE
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTestFenceAPPLE
  {(uint8_t*)"\xf5\x67\xcf\x73\x6d\x27\x99\xb7\xad\x5c\x71\x0a\xe6\xf2\xc8\x7a\x3b\xd4\x80\xdf\xa0\x8d\xfc\x39\xa2\xf6\xb7\x55\xd2\x3e\xf6\xae", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint64_t, struct __GLXcontextRec *), struct _XDisplay *, uint64_t, uint64_t, struct __GLXcontextRec *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXMakeCurrentReadSGI
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquationEXT
  {(uint8_t*)"\x7a\xf6\xd8\x7a\xaf\x47\x73\x34\xeb\x79\xbe\x46\xe5\x8f\xbc\xb8\xd9\xe8\x20\x75\x31\x32\x85\xe1\x9f\x86\x1d\x99\x3e\x54\x9b\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glClearBufferData
  {(uint8_t*)"\x70\xc0\x6a\xd8\x87\x4b\xf7\x80\xd2\xe7\x13\xdc\xbb\x4c\x09\x72\x2f\x8a\xb5\x8a\xd4\x64\xb5\x3c\xfe\xf5\x00\x00\xfb\xae\x0d\x7c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, uint32_t), uint32_t, uint32_t, float, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearBufferfi
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2iv
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenQueries
  {(uint8_t*)"\xb7\x06\xc3\x2b\x09\xa8\x56\x10\xb8\x35\x34\x79\xca\x78\xad\x1d\x18\x63\x79\x6f\x3d\x4c\xa3\x8d\x62\xe3\xcc\x1a\xfa\x99\x96\x46", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glPixelDataRangeNV
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearBufferuiv
  {(uint8_t*)"\xd8\xb3\xc0\xba\x81\xb3\x0c\x67\xfe\xeb\x02\x3b\x50\xd6\x25\xdb\xea\xff\x4a\xea\x0d\xa4\xc3\x0c\xee\xa1\x5d\x48\x08\x0f\x2d\x2a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2s
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquationi
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClientActiveTextureARB
  {(uint8_t*)"\x0b\xd6\xdb\x62\x03\x20\x15\xb4\xcd\x0c\xff\x92\x09\x57\xf6\x13\x03\xf3\x6a\x36\x52\x1f\xf5\x72\x08\xec\xfa\x2d\xbe\xdd\x25\x95", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFlushMappedBufferRange
  {(uint8_t*)"\xbe\xce\x6c\xc3\x3c\x2e\x29\x53\x3d\x22\xfe\xec\x49\x1a\xf7\xa0\x93\xf9\x62\x8a\xa0\x2c\x2c\x92\x56\xa0\x62\xb6\x1d\xb3\xc4\xb9", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t, uint32_t, uint32_t*), struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXCreateGLXPbufferSGIX
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1fv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glUseProgram
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearColorIuiEXT
  {(uint8_t*)"\x06\xfb\x07\x35\xf3\x8d\xa4\x56\x4e\x66\xf4\x47\xd9\xde\x22\x69\x21\xb7\x0a\x76\x4c\x42\xa5\xbf\x74\xa1\x7e\xa4\x98\x75\x0f\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetInteger64v
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableVertexAttribAPPLE
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEndConditionalRenderNVX
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearIndex
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEndFragmentShaderATI
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateFramebuffers
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTransformFeedbackiv
  {(uint8_t*)"\xbe\x8a\xde\x06\x4c\xfa\xed\xa2\x7b\xb4\x19\x82\x5f\x1a\x5a\x55\xb6\xef\x1e\xe6\x72\x60\x5a\x3b\x15\xa2\xfa\x7f\xa4\xfe\xe3\x83", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2dARB
  {(uint8_t*)"\x70\x50\xe2\xd5\x29\xb0\x13\x6e\x30\x7d\xd2\x0c\x44\x84\xbd\x28\xb6\xb8\x4a\x68\x2f\x95\x83\xe0\x59\x5c\xf4\x6f\x48\xac\x4e\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4hNV
  {(uint8_t*)"\x83\xfb\x82\x1e\x55\x90\x25\x3a\xf0\xa0\x63\xa2\xa9\xf6\xf0\x39\xc6\xdc\x0f\xd4\x3f\xc1\x3c\x41\xd1\xe8\x39\x72\x96\x0f\x4b\xd0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetColorTableEXT
  {(uint8_t*)"\xd1\xa9\x36\xe2\x08\x0e\xed\x6d\x52\x9c\x02\xde\xd0\x23\xd3\x47\x64\x32\x1e\x39\x95\xbd\xda\xda\x0e\x6b\xbc\xda\x69\xcd\x4e\x1d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParameter4dvEXT
  {(uint8_t*)"\x39\xd5\xfb\x10\x3e\xcd\x23\x88\x2b\x70\x7b\xb5\x9d\xfa\x10\x1d\x71\x2f\x5c\xa2\x38\xc1\xb3\x98\x98\x9d\x1f\x94\x59\x40\xb9\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRenderbufferStorageMultisampleCoverageNV
  {(uint8_t*)"\x65\xd2\x38\x70\xde\xd5\xe1\x50\x91\x83\xb4\x2b\xcd\x4d\xe6\x70\xa1\x64\xc2\x0a\x50\x0e\xb8\xe5\x90\xb6\xad\xf4\x45\x96\x55\x0f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3usEXT
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2sv
  {(uint8_t*)"\x9b\x5e\xdc\xba\x74\x05\x6d\x7b\x7a\x6a\x33\x7b\x98\x3c\x6b\x73\x91\x8c\xfe\x71\x31\x45\x42\x7e\x74\xb0\x0d\xb1\x47\xc1\x1e\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteNamedStringARB
  {(uint8_t*)"\xf6\x94\xcb\x6c\x5e\x5b\xd0\x2b\x86\x4d\x93\xcc\x3d\x56\x81\x2a\x84\xb8\xbf\x63\xcf\x02\x15\x62\x66\x6a\x48\xe3\xcc\x99\x3a\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float, float, float), float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPrimitiveBoundingBoxARB
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glShaderStorageBlockBinding
  {(uint8_t*)"\xe3\xe7\x23\xca\x84\xb1\xde\xb2\xf6\x31\xfb\x1d\x2d\x1e\x0c\x4c\x18\x23\x8a\x8d\x64\xaa\x16\x16\x80\xdf\xba\x48\x8d\x9b\xb3\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2fARB
  {(uint8_t*)"\xc0\x90\xa1\x95\x48\x8e\x52\xa7\x28\x9c\x5d\x44\x68\xd9\x53\x10\x54\x0b\xe3\x6d\x0a\x4a\x58\xbe\xd8\xa8\xe9\x05\xd1\x4f\x01\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glClearTexSubImage
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClientAttribDefaultEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEndTransformFeedback
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorP3ui
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glExtractComponentEXT
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3bv
  {(uint8_t*)"\x1b\x67\x19\x5d\x3c\x0b\x78\x35\xdd\x9a\xb5\xb0\x73\x38\x62\x7e\x34\x2f\xba\x5d\x5c\x31\xcd\x08\x5e\x86\xac\x1c\x6f\xff\xad\xc7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const char *, uint32_t, uint32_t*), uint32_t, const char *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedStringivARB
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4NbvARB
  {(uint8_t*)"\x06\xfc\x0b\xef\xf9\x28\x81\x4d\xcb\x17\x30\xd3\xfe\xf9\xe7\xc1\xde\x45\xd7\xf2\xcb\xd8\x7f\xa4\x86\x3e\x79\xd8\x9c\xca\x7a\x73", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double, double), uint32_t, uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3dEXT
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3x4dvEXT
  {(uint8_t*)"\x65\xd2\x38\x70\xde\xd5\xe1\x50\x91\x83\xb4\x2b\xcd\x4d\xe6\x70\xa1\x64\xc2\x0a\x50\x0e\xb8\xe5\x90\xb6\xad\xf4\x45\x96\x55\x0f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3hNV
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3s
  {(uint8_t*)"\x78\x70\x8c\x1f\x2f\xba\xde\xbe\x5a\x77\xd4\x56\xa1\xa1\x45\x77\xd2\x93\x0e\xe0\x80\xff\x30\x3a\x9d\x45\x3a\x1a\x24\xfe\x17\xb6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnUniformivARB
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glStartInstrumentsSGIX
  {(uint8_t*)"\x1f\x27\x9d\xea\xd4\x1c\x1b\xd5\x09\xe4\xcc\x58\xb7\xc0\x8d\xa0\xa7\xce\x5d\x79\x1f\x2a\x36\x58\xae\x4c\xb7\x79\x64\x75\x14\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint64_t*), uint32_t, uint32_t, uint32_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWaitSemaphoreui64NVX
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorP4uiv
  {(uint8_t*)"\x49\xe7\xa0\x81\x7d\xba\x39\xac\x47\xf9\x10\xfa\x9a\x5e\xa1\xa3\x7e\x9e\xa0\x61\xc0\xdb\x21\xee\x5d\xc2\xf3\x41\x0f\xe2\xab\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexSubImage1DARB
  {(uint8_t*)"\x0e\xb7\xe8\xc8\xef\x4e\x8a\x15\x77\xb2\x89\xfb\x02\x26\x0f\x1f\x20\x6c\xc4\xdf\x9e\x10\x59\x83\xd6\xe0\x4d\x3b\x1a\x62\xb2\x8b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenVertexShadersEXT
  {(uint8_t*)"\x6b\x2c\x01\x98\xf7\x66\xcc\x27\x8e\x09\x4f\xba\xff\x4f\xe5\x8c\xdd\x55\x8e\x03\x5e\x0f\x70\x0e\x6e\xb0\xfa\x58\x4e\x71\x69\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const float *, const float *, const float *), const float *, const float *, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4fColor4fNormal3fVertex4fvSUN
  {(uint8_t*)"\x98\xd6\x29\x03\xeb\x08\x97\xa7\x7f\xfe\xbc\xbe\x53\x30\x11\x38\x66\xd4\x4e\x49\x22\x10\xf0\xbc\xb4\xc2\x90\xb4\x0e\xce\xd7\x8d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryBufferObjectuiv
  {(uint8_t*)"\x65\xd2\x38\x70\xde\xd5\xe1\x50\x91\x83\xb4\x2b\xcd\x4d\xe6\x70\xa1\x64\xc2\x0a\x50\x0e\xb8\xe5\x90\xb6\xad\xf4\x45\x96\x55\x0f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3us
  {(uint8_t*)"\xed\x33\x27\x46\x41\xe4\x8b\x6d\x59\x5c\x91\x0e\xa8\xcc\x46\x4e\x7b\x82\xce\x4c\x7b\xc2\x82\x87\xee\xde\xc6\xe5\xc0\x8c\x45\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawElementsIndirectBindlessNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFreeObjectBufferATI
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCallList
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3xvOES
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureRenderbufferEXT
  {(uint8_t*)"\x59\xf2\x19\xc4\xa4\xe4\x8f\x50\xe5\xc6\x22\x89\xf9\x8b\x29\xf6\xaf\xcd\xb0\x3b\xae\xea\x64\x6f\xe0\xfc\x56\x06\x2f\x7c\xf5\x65", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint64_t, uint64_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glClearNamedBufferSubDataEXT
  {(uint8_t*)"\x4c\x93\xac\x34\xe5\xe9\xc1\x05\x0e\xfa\x23\xed\x7a\xc0\x4c\x44\x5e\xde\xb4\xc9\x5b\xec\xc8\x21\x67\x8b\x10\x8c\x75\x32\x8a\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDispatchComputeGroupSizeARB
  {(uint8_t*)"\xf2\x85\xf5\x77\x8f\xdc\x92\x78\x01\x44\x81\xf1\x07\x1f\x01\xec\x3c\xd3\x2a\x26\xe0\xe5\x24\x36\x29\x5c\x88\xe6\x55\xfe\xf4\x87", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t, float, float), uint32_t, uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsPointInFillPathNV
  {(uint8_t*)"\xb7\x06\xc3\x2b\x09\xa8\x56\x10\xb8\x35\x34\x79\xca\x78\xad\x1d\x18\x63\x79\x6f\x3d\x4c\xa3\x8d\x62\xe3\xcc\x1a\xfa\x99\x96\x46", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glNormalPointer
  {(uint8_t*)"\xec\xc4\x35\x0c\xdf\xe4\x34\xb8\xae\x6b\xdc\x5a\x09\x0e\x1d\xa7\x9d\xb6\xd7\x22\xdd\x31\xc7\x82\xb8\x24\x5b\x0b\x59\xad\x90\xdb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double), uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1dARB
  {(uint8_t*)"\x94\x28\x68\x91\xac\xe2\xcb\x47\x40\x05\xb4\x9d\xf5\x50\xf0\xfe\xc2\x2f\x3a\x0d\x7e\xbd\xc7\xf0\xbf\x56\xbd\x1e\x4c\x06\x56\xf3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, float), uint32_t, uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3fEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4dv
  {(uint8_t*)"\x66\x6a\xb3\xcb\x3c\x32\x5a\x6a\x7e\x6f\x62\xe9\xc4\x8c\x17\xa3\x8f\xd9\xdb\x9c\x52\xc9\x3c\x2a\x4e\x41\x3b\xd6\x3e\x6a\xaa\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void *), uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetCompressedTexImage
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3ui
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4sv
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4f
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEndConditionalRenderNV
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMateriali
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1hvNV
  {(uint8_t*)"\xac\x29\xe5\xb2\x6a\xc3\xde\xf1\xc2\xae\x7b\xd2\x52\x75\xc7\xa4\xba\x13\xf9\xe9\x79\x87\xbc\x93\x2b\xe8\xb6\x60\x18\x69\x66\x3f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveUniformsiv
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteBuffers
  {(uint8_t*)"\xf8\xc9\x23\xdf\x92\xc9\x01\x73\x92\x38\x86\x89\x53\x2d\x7e\x12\x96\x60\xa2\xab\x40\x5f\xc2\x3a\x35\xba\x03\x2f\xf5\x3f\x04\x2a", (void(*)(void *))&GuestWrapperForHostFunction<float(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathLengthNV
  {(uint8_t*)"\x46\x67\xf0\x59\xad\x60\x72\x18\x83\x59\x05\x4a\xf4\xbc\x60\x53\x55\xda\xf9\x6a\x54\xe0\x75\x0e\xbc\xf2\xef\x3b\xc2\xfc\x99\x9f", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const float *, const float *), const float *, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4fNormal3fVertex3fvSUN
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4fv
  {(uint8_t*)"\xf0\x06\x1e\x19\xbf\x7e\x3f\x37\xca\xe4\x71\x05\x0e\xe9\xe7\xa5\x79\xed\x06\xc0\x0d\xb6\x2b\x34\x0d\xaa\xbf\x8a\x2c\x5a\xc3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2dvEXT
  {(uint8_t*)"\x40\x09\xfb\x34\xa0\x0f\x1a\x55\x3a\x34\xa2\x44\x34\xb4\x7e\x5b\x19\xf8\x7f\xe0\xba\xfb\xaf\x86\x8f\xf9\x09\x9a\x45\x49\x4d\x75", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t, uint32_t*, unsigned char *), uint32_t, uint32_t*, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAreTexturesResident
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameteriv
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4xvOES
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glListParameterivSGIX
  {(uint8_t*)"\x0e\xb7\xe8\xc8\xef\x4e\x8a\x15\x77\xb2\x89\xfb\x02\x26\x0f\x1f\x20\x6c\xc4\xdf\x9e\x10\x59\x83\xd6\xe0\x4d\x3b\x1a\x62\xb2\x8b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateShaderObjectARB
  {(uint8_t*)"\x1b\xd2\x73\xa2\x29\xe8\xa1\x8a\x18\x7e\x88\x4a\xd5\x20\x95\x39\x7e\x65\x5c\xc3\xf5\x9f\xe7\xd5\xa4\x2a\x05\x47\xe0\x32\xef\x4a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, void *, uint32_t, void *, void *), uint32_t, uint32_t, uint32_t, uint32_t, void *, uint32_t, void *, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnSeparableFilterARB
  {(uint8_t*)"\x71\x2f\x17\x3e\xef\x0b\xcb\xa2\x17\x49\x0a\x40\x0e\x3d\x4a\x68\x5f\x88\x49\xc0\x0b\x1c\x56\x05\x37\xeb\x53\x45\x5b\x86\x8c\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL4i64NV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClientActiveTexture
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4hvNV
  {(uint8_t*)"\xed\x18\x38\x31\x93\x26\x33\x82\x16\x89\x99\xcd\x54\x8a\xff\x77\xb5\x4f\x0c\xa3\xa9\x89\xab\x81\x27\xaa\xaf\xd3\xaa\x74\x70\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3uiv
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableIndexedEXT
  {(uint8_t*)"\x7c\xbf\x9e\x9a\xd3\x2a\x2a\x93\xed\x1c\x48\xd9\xfc\x64\x1a\xd1\x1f\x30\x9b\x01\x7a\xed\xa9\x14\x46\xfa\x72\x3b\x9c\x38\x2d\x9e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4ivARB
  {(uint8_t*)"\x4e\xeb\x0d\x5c\x25\xfd\x7e\xfd\xcb\x4e\xd6\x05\x78\xac\xf3\x63\x72\x74\xbc\xae\x4d\x48\xe0\xdb\xd6\x56\x83\xfd\x29\x58\x77\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorFragmentOp3ATI
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexGenivEXT
  {(uint8_t*)"\x14\xcf\x84\xba\x9a\x82\x98\x68\x40\xda\x95\x88\x16\xfc\x77\x00\x72\x24\x1e\xef\x7a\x81\xe5\x40\x0b\x43\x6b\xbf\x1e\xab\x9b\x67", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexLevelParameterivEXT
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexParameterIivEXT
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPolygonOffsetClampEXT
  {(uint8_t*)"\x9a\x43\x84\xd4\x9c\x39\x59\x18\xb5\x7d\x9a\x63\x4c\xed\x31\xc4\x99\x7d\xf9\x0e\x1c\x83\x23\x54\x2b\xce\x6f\x5f\x19\x83\x69\x2e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t), uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2sMESA
  {(uint8_t*)"\x99\x9b\x23\x81\x14\x36\xa2\xf8\xb8\x6d\x2c\xdd\xbf\xd9\x95\x82\xb9\x99\xc1\xc5\x74\x27\xb1\xd5\xd3\xb0\xea\x6e\xa2\x9f\xe5\x4d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexParameterIuivEXT
  {(uint8_t*)"\xb9\xc7\x78\x84\xf7\x07\x86\x29\xe6\x1b\x6b\xe7\x3e\x20\x15\xa2\x87\x4e\xa9\xa9\xf1\x4d\x13\x82\x78\xbb\x8a\xcd\x1c\x10\xa8\x36", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTextureImage2DEXT
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMultiTexParameterivEXT
  {(uint8_t*)"\x75\x04\x97\x87\xd0\x51\x98\x3e\xb8\xe3\xe9\x42\x9f\xd4\x71\x34\x08\x97\x19\x6d\x5c\x58\x39\x3d\x8e\x07\x4c\x18\xbc\x0c\xb6\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedBufferParameteri64v
  {(uint8_t*)"\xc0\xc3\x21\xb9\x7d\xe2\xdc\x61\x20\x30\x43\x2e\xf2\x6c\x09\x00\x30\x62\x19\xdf\x02\xbf\x39\x82\x7c\x9f\x0d\x17\xf3\x74\x63\x32", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL1ui64NV
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI1ivEXT
  {(uint8_t*)"\x0d\x48\xe1\x5d\x22\xed\x4a\xa0\xc3\x8f\x39\xe9\xc4\x22\xa1\x2b\xca\x5b\xd3\xaa\xc5\xc5\x4c\xa6\xbe\xb5\x82\xb1\x0c\x2a\xb2\xe6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, const void *, uint32_t, uint32_t, float), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, const void *, uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathGlyphsNV
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetNamedBufferPointerv
  {(uint8_t*)"\x48\xdf\x7a\xad\x23\x5d\xff\xc5\x38\x0f\x69\xe3\xbd\x89\x58\xe8\x35\x61\xae\xb1\xb7\x49\xe3\x3c\x79\xfb\x9f\xcd\xe3\xb8\x41\x6b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, void *), uint32_t, uint64_t, uint64_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetNamedBufferSubDataEXT
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedFramebufferAttachmentParameterivEXT
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedProgramivEXT
  {(uint8_t*)"\x99\x9b\x23\x81\x14\x36\xa2\xf8\xb8\x6d\x2c\xdd\xbf\xd9\x95\x82\xb9\x99\xc1\xc5\x74\x27\xb1\xd5\xd3\xb0\xea\x6e\xa2\x9f\xe5\x4d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedProgramLocalParameterIuivEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTransformFeedbackVaryingNV
  {(uint8_t*)"\xe1\xbf\xbf\x68\x17\x69\x82\x74\x16\x3b\x42\x77\x6e\x0e\x72\xf2\x53\x01\x55\x8f\x25\xa3\x9b\x28\x06\xab\xcb\x66\xbf\x6d\x98\x48", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDebugMessageControlARB
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSpriteParameterfSGIX
  {(uint8_t*)"\x83\xfb\x82\x1e\x55\x90\x25\x3a\xf0\xa0\x63\xa2\xa9\xf6\xf0\x39\xc6\xdc\x0f\xd4\x3f\xc1\x3c\x41\xd1\xe8\x39\x72\x96\x0f\x4b\xd0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetNamedProgramStringEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedRenderbufferParameterivEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedRenderbufferParameteriv
  {(uint8_t*)"\x4c\xac\x87\x67\xe3\x10\x33\x53\x24\xeb\xbc\xb8\xf6\xbf\x4c\x65\x93\x20\xcb\x7f\xc9\x60\x54\x45\xb3\x4f\xbd\x41\x09\xb4\xd1\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorage3DMultisample
  {(uint8_t*)"\x65\xdb\x43\xf0\xe5\xa2\xdc\x6a\xbc\x19\x83\xb0\xb3\xd8\xb3\xb5\x7f\x56\x6b\x3a\x41\x34\x60\x48\x09\x20\x64\x65\x78\x21\x76\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const char *, uint32_t, uint32_t*, char *), uint32_t, const char *, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedStringARB
  {(uint8_t*)"\x1c\x64\x21\x9c\xe8\x18\x92\x04\xe3\x51\x8e\x02\x3e\x7f\x84\x05\x7c\xd3\x41\x01\xf9\x50\x6c\xe9\x49\x9f\x70\xcf\xc3\x63\x05\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnCompressedTexImageARB
  {(uint8_t*)"\x1c\x64\x21\x9c\xe8\x18\x92\x04\xe3\x51\x8e\x02\x3e\x7f\x84\x05\x7c\xd3\x41\x01\xf9\x50\x6c\xe9\x49\x9f\x70\xcf\xc3\x63\x05\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnCompressedTexImage
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryObjectuiv
  {(uint8_t*)"\x3f\xe4\x1b\x6b\x84\x25\x4b\x93\xeb\xac\x31\x37\x4a\x62\xde\x8a\xa3\x9f\x74\xa3\x0e\xfb\x98\xa9\xb5\xe4\x81\x04\x7d\x70\x09\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnTexImageARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableVertexAttribArrayARB
  {(uint8_t*)"\x24\x4b\xe8\x80\x6d\xb5\x44\x82\xb4\x57\xbe\x9b\xfb\xd1\xf1\x6a\x7b\x8d\x2e\x8a\x39\xb0\xbd\x6c\x60\x74\x80\xe0\xdf\x38\xce\x05", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, double *), uint32_t, uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnUniformdvARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableVertexAttribArrayARB
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoordP2ui
  {(uint8_t*)"\x24\x4b\xe8\x80\x6d\xb5\x44\x82\xb4\x57\xbe\x9b\xfb\xd1\xf1\x6a\x7b\x8d\x2e\x8a\x39\xb0\xbd\x6c\x60\x74\x80\xe0\xdf\x38\xce\x05", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, double *), uint32_t, uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnUniformdv
  {(uint8_t*)"\xdd\x50\x4d\x5d\x20\x3a\x35\x93\xb9\x36\x88\x47\x96\x25\x2d\x42\x19\x1c\x02\xcc\xa9\x2c\xdf\x3d\xa1\xcc\x3f\xbe\x95\xcd\xa2\x48", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnUniformfvARB
  {(uint8_t*)"\x0f\x11\x40\xb5\x1d\xbb\x8e\xa6\x2b\x83\x07\x6f\x08\x58\xdc\x3e\x2a\x3a\x8a\xfe\xaa\x45\x7d\x15\x6f\x09\x76\xdd\x0c\x0a\x07\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexFormatNV
  {(uint8_t*)"\x8d\x80\xa0\x23\xd0\x41\x3f\xea\xc8\xa7\x05\x6e\x4d\x60\xc7\x32\xb7\x48\xd4\x84\x69\x18\x63\x13\xce\x5b\xed\xbe\xfe\xde\xc8\xde", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnUniformi64vARB
  {(uint8_t*)"\x0d\x09\xd9\xd6\xfa\xe2\x43\xff\xac\xc9\x6f\xf7\x60\x6a\x1b\xba\x21\x21\xaa\x87\x08\xad\xf8\x74\x82\x1a\x2a\xa4\xd4\xc0\x19\x80", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs3dvNV
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos3d
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex4i
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetHistogramParameteriv
  {(uint8_t*)"\x78\x70\x8c\x1f\x2f\xba\xde\xbe\x5a\x77\xd4\x56\xa1\xa1\x45\x77\xd2\x93\x0e\xe0\x80\xff\x30\x3a\x9d\x45\x3a\x1a\x24\xfe\x17\xb6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnUniformiv
  {(uint8_t*)"\xbe\x8a\xde\x06\x4c\xfa\xed\xa2\x7b\xb4\x19\x82\x5f\x1a\x5a\x55\xb6\xef\x1e\xe6\x72\x60\x5a\x3b\x15\xa2\xfa\x7f\xa4\xfe\xe3\x83", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthRangeIndexeddNV
  {(uint8_t*)"\x22\x12\xb2\x93\xe4\xae\x28\x12\xc5\xa3\x19\xe9\xd3\x69\xc3\x1f\x1f\x06\x94\xe3\xb2\x18\xfb\x26\x4d\x98\x3c\x06\xed\x91\x1f\xc5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnUniformui64vARB
  {(uint8_t*)"\x9a\x85\x52\xfb\x4a\xf1\x11\xda\x4f\x8d\x5e\x62\x35\x26\x78\x18\x07\xdb\x84\xf8\x0d\x25\x37\xab\xa8\xd3\xb2\x5e\xe4\x51\x4b\xfa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnUniformuivARB
  {(uint8_t*)"\xf3\x80\xe5\x8d\xa9\xa7\x9e\x37\x3a\x1e\x7c\x02\x47\xe5\x0a\xee\x4e\x3a\xcd\x4f\x77\x02\x0e\x0d\x7d\x9a\xa3\x1e\xcc\x73\x89\x60", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t), uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthMask
  {(uint8_t*)"\x40\x28\x11\x41\xd2\xcb\x7f\x47\x0d\x48\x18\x06\x9c\xd0\xee\x9a\x84\x10\x30\xf3\x72\x81\x37\xbe\x82\xef\x4f\xb0\xd1\x4d\xed\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexParameterIivEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetObjectBufferivATI
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBeginTransformFeedbackEXT
  {(uint8_t*)"\x3a\xd3\x80\xf0\xdc\x3c\xf4\x2e\xbf\x87\x86\x9e\x2e\x44\x80\x45\xc5\x95\xcf\xbb\x29\x91\x75\xeb\xb2\x4b\x43\xe4\xa2\xdf\x88\x18", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetObjectLabelEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3xvOES
  {(uint8_t*)"\x3a\xd3\x80\xf0\xdc\x3c\xf4\x2e\xbf\x87\x86\x9e\x2e\x44\x80\x45\xc5\x95\xcf\xbb\x29\x91\x75\xeb\xb2\x4b\x43\xe4\xa2\xdf\x88\x18", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetObjectLabel
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetObjectParameterfvARB
  {(uint8_t*)"\x65\xd2\x38\x70\xde\xd5\xe1\x50\x91\x83\xb4\x2b\xcd\x4d\xe6\x70\xa1\x64\xc2\x0a\x50\x0e\xb8\xe5\x90\xb6\xad\xf4\x45\x96\x55\x0f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3hNV
  {(uint8_t*)"\x61\x09\x37\x48\x25\x15\xd0\x13\x1c\xd7\x7b\xd7\x58\x10\x9e\xf0\x0d\x5f\xf3\x16\x35\x79\x79\xab\xa8\x46\x93\x92\x6f\xbc\xcc\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double, double, double), uint32_t, uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramParameter4dNV
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3sv
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetObjectParameterivAPPLE
  {(uint8_t*)"\x34\x62\x21\x41\x24\x95\x78\x82\x24\xcc\xa5\xa3\x32\xc4\xf1\x2e\xae\x02\xd8\x87\x2d\xb0\xf4\xa4\xc6\x1d\x5b\xd3\x21\x46\x76\x15", (void(*)(void *))&GuestWrapperForHostFunction<void(const void *, uint32_t, uint32_t*, char *), const void *, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetObjectPtrLabel
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glCallCommandListNV
  {(uint8_t*)"\x20\xd9\xa6\x99\x9e\xfd\x27\xf2\x3f\xbc\xc6\x9b\x78\x68\x65\x0c\xfa\x2d\x84\x3a\x96\x61\x0b\xad\x90\x52\x2d\xd6\xdf\x74\xa1\x95", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, uint32_t*), uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRectiv
  {(uint8_t*)"\x14\xcf\x84\xba\x9a\x82\x98\x68\x40\xda\x95\x88\x16\xfc\x77\x00\x72\x24\x1e\xef\x7a\x81\xe5\x40\x0b\x43\x6b\xbf\x1e\xab\x9b\x67", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureLevelParameterivEXT
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetOcclusionQueryuivNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMaxShaderCompilerThreadsKHR
  {(uint8_t*)"\xf6\x94\xcb\x6c\x5e\x5b\xd0\x2b\x86\x4d\x93\xcc\x3d\x56\x81\x2a\x84\xb8\xbf\x63\xcf\x02\x15\x62\x66\x6a\x48\xe3\xcc\x99\x3a\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float, float, float), float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4fVertex4fSUN
  {(uint8_t*)"\xe4\x7a\x6c\x17\x71\x4b\xf3\x6f\x5c\x93\x1b\xed\x01\x5f\x55\x0a\xfc\x15\x1f\xaa\x9f\xc9\x19\xca\xb9\x79\x50\x91\x76\xc8\xb0\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathDashArrayNV
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex2hvNV
  {(uint8_t*)"\x54\xd9\x29\x60\xd8\x30\x50\x1a\x0f\x50\x38\x15\x15\xca\x2b\x9c\x70\x03\x88\x79\xda\x99\x52\x76\xa7\xd3\x9f\xd5\xe3\x5e\xd4\xf3", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindTexGenParameterEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glReferencePlaneSGIX
  {(uint8_t*)"\x37\x23\x64\xb9\x7e\x3b\xb6\x9a\xae\xe2\xfc\xee\x28\x46\x3e\xc8\x6c\x4c\xf5\x9c\x95\xfb\xa5\x3f\x5f\xaa\xc5\x99\x8d\x82\x08\xf0", (void(*)(void *))&GuestWrapperForHostFunction<int(struct __GLXcontextRec *), struct __GLXcontextRec *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXMakeAssociatedContextCurrentAMD
  {(uint8_t*)"\x87\x6a\x1d\xde\xb9\x3c\xb5\xaa\xf2\x1c\x87\xcc\x86\x99\x90\x82\xb9\x3b\x42\x5a\xcd\x6d\x56\x86\xcb\x58\x58\x62\xd4\x67\x77\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4i64vNV
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetLightiv
  {(uint8_t*)"\xa8\xdd\x92\x17\x95\x1f\x5c\x78\x9f\xf9\xaf\xd9\x5a\x7d\xaa\xe3\x25\x37\x65\xd1\xcd\x76\x8b\xb0\xf1\xf5\x00\x96\xf0\xdd\xe3\xb2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathMetricRangeNV
  {(uint8_t*)"\xc0\x83\xe5\x60\x4a\x40\x6c\x26\x61\x84\x52\x18\x98\x47\x62\x87\x8b\x31\x27\x94\xc7\xe0\x17\xf7\xfe\xb0\x56\xa9\xeb\xd3\x08\x0c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream3sATI
  {(uint8_t*)"\x66\xdb\x77\x21\xaa\x8f\x8f\x43\xc7\xfb\x96\x09\x3a\x6a\xc8\x36\x1b\xa4\x70\xbc\x86\xfd\xa9\x36\xbd\xa7\x61\xa1\xee\xae\x2d\x66", (void(*)(void *))&GuestWrapperForHostFunction<void(void (*)(unsigned int, unsigned int, unsigned int, unsigned int, int, const char *, const void *), const void *), void (*)(unsigned int, unsigned int, unsigned int, unsigned int, int, const char *, const void *), const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glDebugMessageCallback
  {(uint8_t*)"\xd3\x4e\x8f\xc6\x4c\xf4\xac\xe8\xd1\x8a\x61\xda\x65\xfd\x1b\xac\x40\x47\x97\xe2\xbe\xa8\x6c\x63\x7a\xcf\x11\x27\x81\xe6\xfb\xe3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, const void *, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathMetricsNV
  {(uint8_t*)"\x31\x23\xcc\xff\x88\x1d\xef\x44\x83\x6e\x03\x74\x9f\x2e\x52\x9d\xa7\x03\xb2\x40\x1e\x28\x95\xf3\xa6\x01\x6e\x74\xbf\xf0\x2a\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2uivEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBlendEquationSeparateEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathParameterfvNV
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3fv
  {(uint8_t*)"\xd4\x76\xec\x97\x85\x3d\x6c\x9b\x12\x04\xf5\xdf\x7f\xac\x52\x45\xcd\xd5\xcb\x22\xdf\xc1\x3f\x7b\xf8\xdf\x8d\xa7\x04\xe6\x04\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *, uint32_t, float, float, uint32_t, float *), uint32_t, uint32_t, uint32_t, const void *, uint32_t, float, float, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathSpacingNV
  {(uint8_t*)"\x22\x89\x81\xb6\x58\x83\xbe\xb8\x03\xe3\x99\x16\xe4\x50\xd1\x1f\xe2\xfe\x48\x99\xe0\x86\xcd\x2a\xdc\x17\x23\x4c\xfa\xe6\xff\x7c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramResourceName
  {(uint8_t*)"\xf8\x20\xf1\x6c\x27\x91\x3d\x56\xe4\x7c\x8d\x77\x36\x7a\xe7\x15\x06\x00\xc1\x21\xff\x08\xe6\xb4\xc4\xef\xa4\x59\x4c\x40\x17\x2e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glHistogram
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexBlendARB
  {(uint8_t*)"\x5d\x3e\x1e\xcb\xdd\x4c\x3d\x64\x63\x67\xdd\x6a\xd5\x30\x65\x7b\x0b\xac\x60\x0d\xa0\x9f\x3c\xb6\x54\xa8\x15\x72\x6e\x81\xc9\x43", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t*, uint32_t, uint32_t*), uint32_t, uint32_t*, uint32_t*, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPerfMonitorCountersAMD
  {(uint8_t*)"\x8f\xce\xe2\x23\xbb\x25\x93\x35\xc8\x71\x44\x6c\xa7\x8f\x50\x49\xb3\x36\xbb\xec\xdd\x63\xd1\x2f\x0b\x5b\x02\xbd\x34\x5c\x2c\xda", (void(*)(void *))&GuestWrapperForHostFunction<void(char *, uint32_t*), char *, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPerfQueryIdByNameINTEL
  {(uint8_t*)"\xbb\x75\xbe\x4f\x28\xb1\xd4\x9e\x56\x4c\xe2\xe6\x30\x83\x3a\x6f\x1d\x68\x46\xe5\x89\x68\x81\xa2\xfb\x94\xb9\xc9\xe0\x5a\xf7\xab", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, char *, uint32_t*, uint32_t*, uint32_t*, uint32_t*), uint32_t, uint32_t, char *, uint32_t*, uint32_t*, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPerfQueryInfoINTEL
  {(uint8_t*)"\x68\x49\xac\x1c\x2c\xe2\xd7\x05\x11\xe6\x6a\xc7\xb1\xc2\x90\x5f\x5f\xd0\x17\xae\x28\x35\xf1\x03\x27\xa7\xf2\x67\x8c\xd5\x7c\xa5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnConvolutionFilter
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glApplyFramebufferAttachmentCMAAINTEL
  {(uint8_t*)"\xe4\x7a\x6c\x17\x71\x4b\xf3\x6f\x5c\x93\x1b\xed\x01\x5f\x55\x0a\xfc\x15\x1f\xaa\x9f\xc9\x19\xca\xb9\x79\x50\x91\x76\xc8\xb0\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPixelMapfv
  {(uint8_t*)"\x82\x51\x42\x8c\xa1\x2f\x42\xfe\x95\xc3\xe4\xa2\x8f\x9f\xd0\x02\x4b\x9f\xad\xce\x2d\x5a\x56\xf0\xaa\x53\x96\xcb\xbb\x3e\xe7\x52", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void **, uint32_t*, uint32_t*, uint32_t*, uint32_t), uint32_t, uint32_t, const void **, uint32_t*, uint32_t*, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glListDrawCommandsStatesClientNV
  {(uint8_t*)"\xd4\xcf\x82\x4c\xf1\xb6\xc9\x08\xac\x68\x43\xb9\x3a\xb0\xdd\x4c\xf3\x0b\x3d\xdb\x2d\xf1\x79\x97\x60\x32\xa5\xd6\xb5\x45\xf8\xe8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPixelTexGenParameterivSGIS
  {(uint8_t*)"\xfa\x00\xae\x77\x7f\x0f\x86\x64\x23\x7a\x11\xe6\xc1\xe1\x35\xf4\x40\x85\x8f\xbf\xf4\xbf\xe8\xff\x39\xc6\x45\xd5\x9d\xb7\xa6\x1b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, void **), uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetPointerv
  {(uint8_t*)"\xfa\x00\xae\x77\x7f\x0f\x86\x64\x23\x7a\x11\xe6\xc1\xe1\x35\xf4\x40\x85\x8f\xbf\xf4\xbf\xe8\xff\x39\xc6\x45\xd5\x9d\xb7\xa6\x1b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, void **), uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetPointervEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI3ivEXT
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetPointeri_vEXT
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetPointerIndexedvEXT
  {(uint8_t*)"\x23\x0c\xfe\x46\x57\x19\x9b\x4c\xd8\xce\x4c\xe5\xd2\x30\x06\xfc\xd7\x04\x6a\x00\x62\x22\xd3\xc2\x2e\xe4\x7c\xc9\xf5\x41\x71\x29", (void(*)(void *))&GuestWrapperForHostFunction<void(unsigned char *), unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPolygonStipple
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramEnvParameterdvARB
  {(uint8_t*)"\xa7\x2b\xe4\x64\x6a\xe8\x54\x52\xa5\x05\x3c\xf0\xc7\x0b\xaa\xeb\x41\x9d\x21\x2f\xda\xd2\x14\xc1\xd7\xe6\x48\x44\x0a\x24\x4e\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramInfoLog
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameteriEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexBumpParameterivATI
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramInterfaceiv
  {(uint8_t*)"\x70\x89\x0b\xe5\xe4\x08\xf7\x52\xa1\xdd\x19\xb7\x06\x78\x35\x59\x82\xf6\xcf\xd2\xfd\x35\x53\x1f\x1e\xcd\x08\x4f\x6f\x78\x50\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(float, uint8_t), float, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSampleMaskEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramivARB
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribivARB
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramLocalParameterfvARB
  {(uint8_t*)"\x7d\x44\x86\xb3\x1c\x57\x27\xcc\xb5\x01\xa1\xc6\x5a\x92\x56\x31\xe4\x73\xd7\xb6\x05\x3a\x32\x10\x00\x11\xe1\x8b\x52\x35\xb5\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWaitVkSemaphoreNV
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramLocalParameterIuivNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSampleMaskIndexedNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastWaitSyncNV
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4uivARB
  {(uint8_t*)"\x75\x36\x57\x67\x5a\x30\x55\x7b\x01\x8f\x0e\xd3\x1b\xa1\x44\x95\x2c\xa2\x82\xce\xe6\xd9\xaf\xdb\x44\xf9\x1e\xd0\xbd\x2b\x45\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const unsigned char *, float *), uint32_t, uint32_t, const unsigned char *, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramNamedParameterfvNV
  {(uint8_t*)"\x6b\xc1\x36\xf9\xfb\x5a\x3e\xf0\x28\xf5\xfd\xb8\xf0\x58\xc3\x19\x45\x7b\x30\x89\xbb\x69\xee\xc7\x3c\xe9\x96\x39\x8f\xde\x18\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t, const void *const *, uint32_t), uint32_t, uint32_t*, uint32_t, const void *const *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glMultiDrawElements
  {(uint8_t*)"\xfa\x8b\x40\x78\xe6\x57\xc3\x5a\x4b\xf1\x15\xf1\xe9\x18\x34\xe9\xab\x35\xdb\xc9\xfc\xe1\x26\x82\xd7\x59\x22\x66\xf8\x19\x6b\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint16_t*), uint32_t, uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs4svNV
  {(uint8_t*)"\x12\x8c\x1a\xf3\x35\x1e\xa4\x0f\x6f\x67\x9e\x14\x58\xe9\x2b\x53\x84\xae\xfd\x79\xe2\xfc\x91\xf1\x7b\x7d\x65\x84\xc2\x94\xa9\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramParameterfvNV
  {(uint8_t*)"\xf5\x00\x78\x56\x60\x61\x8f\x48\x05\xa9\x5e\x78\x4e\xa9\x2e\x07\xf4\x49\xba\xbd\x0b\xfc\xe2\x21\x93\x40\xdb\x44\xdf\xf8\xe4\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3fARB
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsBufferResidentNV
  {(uint8_t*)"\x79\x1f\xd1\x9c\x3f\x90\xbc\xb7\xf6\x23\x27\x55\x68\x44\x60\xbe\x4a\x9d\xa4\xaf\x18\xa5\xbe\xf9\xf0\x26\xab\x73\xbe\x2c\xa4\x0a", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, struct __GLXcontextRec *, uint32_t, uint32_t*), struct _XDisplay *, struct __GLXcontextRec *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryContextInfoEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexParameterxvOES
  {(uint8_t*)"\x5f\xbb\xce\x3a\x2a\xdb\x26\x1c\x65\x0b\x66\xc0\x23\xef\x8e\x17\x93\xce\x9f\x67\x9e\xed\x0d\x33\xd8\x76\x06\xa6\x7f\xc3\x26\xf5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformui64NV
  {(uint8_t*)"\x52\x72\xef\xc0\x6a\x5c\xfd\xf0\x30\x72\x19\x5d\x51\xfa\x1f\x26\x15\x90\x32\xec\xa6\xe4\x97\x41\x64\x71\x90\x04\x71\xd1\x61\xb9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParametersI4uivNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib3fvARB
  {(uint8_t*)"\xa7\x2b\xe4\x64\x6a\xe8\x54\x52\xa5\x05\x3c\xf0\xc7\x0b\xaa\xeb\x41\x9d\x21\x2f\xda\xd2\x14\xc1\xd7\xe6\x48\x44\x0a\x24\x4e\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramPipelineInfoLog
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexFuncEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glBeginFragmentShaderATI
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramPipelineiv
  {(uint8_t*)"\xfc\xe9\x52\xca\x4f\x0f\xd9\x49\x91\x4f\x4e\x88\x31\xde\x49\x1d\x9e\xdd\x8e\xdc\x4b\x8d\xc1\x93\xd2\x1d\xe9\x51\x88\x3c\x07\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t*, float *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t*, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramResourcefvNV
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramStageiv
  {(uint8_t*)"\x7a\x5c\xce\x7b\xd0\x1d\x34\xd7\x25\xb6\x76\x68\xd5\x06\xcf\x45\x2b\xbe\x13\xf1\x7b\x60\x7d\x1c\xd5\x28\x90\xde\x16\x56\xc1\xe4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void *), uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetProgramStringARB
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetVariantPointervEXT
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferParameteri
  {(uint8_t*)"\x0e\xb7\xe8\xc8\xef\x4e\x8a\x15\x77\xb2\x89\xfb\x02\x26\x0f\x1f\x20\x6c\xc4\xdf\x9e\x10\x59\x83\xd6\xe0\x4d\x3b\x1a\x62\xb2\x8b", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindParameterEXT
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramSubroutineParameteruivNV
  {(uint8_t*)"\x91\x07\xdf\x3a\xc6\x2c\x87\x84\xe6\xde\x8a\xa3\xfb\x5d\xd7\x10\xeb\x2c\x3e\x54\x57\x6c\x9a\x7f\xa5\x57\x54\x6f\xff\x86\xb5\xd4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const char *), uint32_t, uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLabelObjectEXT
  {(uint8_t*)"\x98\xd6\x29\x03\xeb\x08\x97\xa7\x7f\xfe\xbc\xbe\x53\x30\x11\x38\x66\xd4\x4e\x49\x22\x10\xf0\xbc\xb4\xc2\x90\xb4\x0e\xce\xd7\x8d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryBufferObjectiv
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2iEXT
  {(uint8_t*)"\x98\xd6\x29\x03\xeb\x08\x97\xa7\x7f\xfe\xbc\xbe\x53\x30\x11\x38\x66\xd4\x4e\x49\x22\x10\xf0\xbc\xb4\xc2\x90\xb4\x0e\xce\xd7\x8d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryBufferObjectui64v
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryIndexediv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryivARB
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryiv
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2dv
  {(uint8_t*)"\xb6\x16\x3a\x56\x5e\xbc\x4d\x19\xeb\x82\xfd\x4d\xaa\x39\xf3\xdc\x22\x6e\x58\x54\x2d\x40\x2b\xf5\xdb\x4c\xa6\xbf\x21\xfd\x90\x86", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long()>::Call<ParameterAnnotations {}>}, // glXGetCurrentReadDrawable
  {(uint8_t*)"\x75\x04\x97\x87\xd0\x51\x98\x3e\xb8\xe3\xe9\x42\x9f\xd4\x71\x34\x08\x97\x19\x6d\x5c\x58\x39\x3d\x8e\x07\x4c\x18\xbc\x0c\xb6\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryObjecti64v
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryObjectivARB
  {(uint8_t*)"\xd3\x2e\x45\x48\x61\xd9\xa9\x96\x41\x18\xda\x9f\x53\x13\x51\xfb\xe3\xc4\xbe\x65\xd7\x07\x0b\x83\x4d\xe4\x16\xf2\x9e\x1b\x2c\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint8_t, uint8_t), uint32_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalStream3bATI
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribArrayObjectivATI
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryObjectiv
  {(uint8_t*)"\x71\x50\xf1\xdb\x69\xbb\x92\x06\x7a\x2a\xa1\xd3\x35\x1a\x2b\x30\x83\xbc\xf7\x79\x8f\x5b\x8c\xda\x75\x99\x1a\xd5\x71\x3c\x44\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryObjectui64vEXT
  {(uint8_t*)"\x71\x50\xf1\xdb\x69\xbb\x92\x06\x7a\x2a\xa1\xd3\x35\x1a\x2b\x30\x83\xbc\xf7\x79\x8f\x5b\x8c\xda\x75\x99\x1a\xd5\x71\x3c\x44\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryObjectui64v
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConvolutionParameterivEXT
  {(uint8_t*)"\xb7\x06\xc3\x2b\x09\xa8\x56\x10\xb8\x35\x34\x79\xca\x78\xad\x1d\x18\x63\x79\x6f\x3d\x4c\xa3\x8d\x62\xe3\xcc\x1a\xfa\x99\x96\x46", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTangentPointerEXT
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetQueryObjectuivARB
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3svARB
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEndTransformFeedbackEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetSamplerParameterfv
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoordP4uiv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetSamplerParameteriv
  {(uint8_t*)"\xea\xcc\x51\x21\x68\xf3\xd4\x12\x6a\x8d\xa7\x47\x6a\xc6\xfb\x84\x5b\x0c\xd1\xa9\xfb\xd1\x68\x13\xb8\x92\xb1\x79\xbd\xaa\xcd\xec", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint64_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPresentFrameKeyedNV
  {(uint8_t*)"\x8d\xaa\xc1\x3e\x75\x82\x74\x66\x50\x24\xd7\xbe\xe1\x19\x82\x9f\x7e\x2d\xe1\xd6\x2f\x83\xb1\x4f\xd0\xd9\x37\xf1\xb4\xbc\x42\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *, void *, void *), uint32_t, uint32_t, uint32_t, void *, void *, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetSeparableFilterEXT
  {(uint8_t*)"\x97\x3c\x87\x44\x64\x53\x46\x81\xa4\x42\x72\xc6\x19\x5a\x26\xfa\x9c\x64\x92\x9e\x21\xbb\x01\xfe\xe6\x15\x90\x41\x11\x5e\xe7\x8f", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint32_t), struct _XDisplay *, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXJoinSwapGroupNV
  {(uint8_t*)"\x8d\xaa\xc1\x3e\x75\x82\x74\x66\x50\x24\xd7\xbe\xe1\x19\x82\x9f\x7e\x2d\xe1\xd6\x2f\x83\xb1\x4f\xd0\xd9\x37\xf1\xb4\xbc\x42\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, void *, void *, void *), uint32_t, uint32_t, uint32_t, void *, void *, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetSeparableFilter
  {(uint8_t*)"\xa1\x39\x5e\x19\x99\xdc\xe6\x4d\xf0\x19\xae\xe0\x65\x83\x54\xe7\xae\xa9\x80\xa8\xf6\xda\x53\x71\xb9\x79\xad\x5e\x0c\x5d\xf3\x6a", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t, const char *), uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramResourceIndex
  {(uint8_t*)"\xf5\x00\x78\x56\x60\x61\x8f\x48\x05\xa9\x5e\x78\x4e\xa9\x2e\x07\xf4\x49\xba\xbd\x0b\xfc\xe2\x21\x93\x40\xdb\x44\xdf\xf8\xe4\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3fARB
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilFillPathNV
  {(uint8_t*)"\x11\xc2\x54\x21\x5b\x4f\x87\x47\xf6\x0e\x30\xc0\x3f\x45\x24\x7f\xa7\xdc\xb4\x30\x51\xaf\xb6\x9a\x5a\xdc\x72\x05\x7f\xe5\xfb\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint32_t*), uint32_t, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetShaderPrecisionFormat
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFinishFenceNV
  {(uint8_t*)"\x9e\x2f\x66\xc5\x51\x57\x26\x88\xcf\xec\xf0\x1e\x04\xff\x31\x7a\x35\xc9\x3c\x8f\x1f\xbd\x47\xd9\x9b\xe4\x2f\xfb\x03\x27\xfe\x36", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos4s
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsRenderbufferEXT
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetShadingRateImagePaletteNV
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexEnvf
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetShadingRateSampleLocationivNV
  {(uint8_t*)"\x8b\x7f\x18\x75\xe3\x68\x78\x7e\x2e\xd2\xbd\x7c\xf0\x13\x96\x60\xe3\x66\x06\x93\x23\x2b\x85\x39\x1e\x7c\x7f\xa2\x38\x5f\xcc\xd0", (void(*)(void *))&GuestWrapperForHostFunction<void(struct __GLsync *, uint32_t, uint32_t, uint32_t*, uint32_t*), struct __GLsync *, uint32_t, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetSynciv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexEnviv
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexFilterFuncSGIS
  {(uint8_t*)"\xf3\x80\xe5\x8d\xa9\xa7\x9e\x37\x3a\x1e\x7c\x02\x47\xe5\x0a\xee\x4e\x3a\xcd\x4f\x77\x02\x0e\x0d\x7d\x9a\xa3\x1e\xcc\x73\x89\x60", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t), uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGlobalAlphaFactorubSUN
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexGeniv
  {(uint8_t*)"\xd4\x76\xc5\xfb\xd2\xf0\xc6\x4e\x5e\x69\xdb\x5b\xc4\x9a\xfe\x7d\x46\x43\x7d\x9d\x7e\xf4\xa2\x8f\x78\x79\xa4\xf1\xc9\xc7\x54\x9c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyTextureSubImage1DEXT
  {(uint8_t*)"\x16\x87\x05\x38\x7e\x5a\x58\x85\x87\x15\xc2\x4e\x2b\xb9\xf8\x17\x5a\x33\x80\xb2\xb6\x50\x48\x3f\x63\x77\x76\x25\xb1\xd6\x11\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetTexImage
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableVertexArrayAttribEXT
  {(uint8_t*)"\xfa\xa6\x44\x41\xc2\xe8\x78\x48\xe3\xf1\xc7\xa4\x7e\xa1\x0f\xfe\x35\x39\xb2\xff\x1e\xf6\xad\x20\x8b\x03\xe3\x16\x5e\xe3\x5a\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4i64vNV
  {(uint8_t*)"\xa6\xde\x2c\x27\x7f\xc7\x3e\x22\x4e\xf3\xe1\x51\x90\xe7\xd6\xab\x01\xf4\xf4\xec\xec\xae\x86\x65\xcc\x7d\x4e\x05\x17\xbf\x57\xe7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexLevelParameterfv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetObjectParameterivARB
  {(uint8_t*)"\xa5\x62\x7e\xee\xde\xba\x26\x4a\x38\x99\xf6\x81\x68\xfd\x24\x28\x1c\x60\xa7\xc3\x61\xdc\xdf\x37\xd8\x9f\xa2\x7b\x48\x71\x0e\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexLevelParameteriv
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3d
  {(uint8_t*)"\x99\x9b\x23\x81\x14\x36\xa2\xf8\xb8\x6d\x2c\xdd\xbf\xd9\x95\x82\xb9\x99\xc1\xc5\x74\x27\xb1\xd5\xd3\xb0\xea\x6e\xa2\x9f\xe5\x4d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastGetQueryObjectuivNV
  {(uint8_t*)"\xa5\x62\x7e\xee\xde\xba\x26\x4a\x38\x99\xf6\x81\x68\xfd\x24\x28\x1c\x60\xa7\xc3\x61\xdc\xdf\x37\xd8\x9f\xa2\x7b\x48\x71\x0e\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexLevelParameterxvOES
  {(uint8_t*)"\xc4\x6e\x4a\xaa\xfe\x3a\x57\xca\x92\x11\xa1\x8c\xd2\xa7\x4b\xb4\x85\x58\x7a\x96\xd9\xe8\xff\x3f\xd1\x6a\xa9\xf6\xf6\x5a\x01\x0d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTextureFaceEXT
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexParameterfv
  {(uint8_t*)"\xf1\x2d\x75\x00\xb8\x9f\xba\xf7\x1b\xe6\xb5\xa3\x30\x39\x53\x56\x91\x9b\x11\x79\xbe\x71\x3a\x24\x4e\xa8\x1f\x86\x57\xec\x9f\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float, float), uint32_t, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiTexCoord2fVertex3fSUN
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexParameterIivEXT
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenFramebuffers
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glPopName
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexParameterIiv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexParameteriv
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetTexParameterPointervAPPLE
  {(uint8_t*)"\x4c\x2f\x0c\xe7\xf0\xb6\xea\xa9\xcd\xcc\x67\xc4\x8c\x9f\xa6\x77\xf9\xe1\x60\xdd\x16\x48\x45\xcc\xf8\x47\xd7\x59\xbd\x55\x1e\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureLevelParameterfvEXT
  {(uint8_t*)"\xa6\xde\x2c\x27\x7f\xc7\x3e\x22\x4e\xf3\xe1\x51\x90\xe7\xd6\xab\x01\xf4\xf4\xec\xec\xae\x86\x65\xcc\x7d\x4e\x05\x17\xbf\x57\xe7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureLevelParameterfv
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2hvNV
  {(uint8_t*)"\x10\x01\x1a\xfd\xf4\x1c\x11\x0b\x14\x13\x3f\x19\x9a\xa8\x7e\x27\xa1\x08\x48\x72\x4a\xbe\xac\x29\xee\x0e\x5a\xcf\x35\xc6\x5f\x4f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTexture1D
  {(uint8_t*)"\xb4\x26\x28\x3a\xf2\x4b\x4a\x74\x36\x00\x34\xfd\xe4\x34\x8f\xd2\x08\x0e\xf3\x90\xb4\x1a\x08\xae\xf9\x43\xc7\x7d\x7f\x1a\xfd\x19", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, uint32_t, const char *), uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetSubroutineUniformLocation
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetObjectBufferfvATI
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2ui64vNV
  {(uint8_t*)"\x48\xb0\x12\xca\xf8\x8d\xd8\x04\x32\x6d\x03\x33\x10\xb1\xa2\xe8\x1e\xa1\x16\x8e\x2f\xc1\xc8\xf7\xd8\xa8\x17\xb0\x6c\x81\xe5\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureBufferRange
  {(uint8_t*)"\x12\x8c\x1a\xf3\x35\x1e\xa4\x0f\x6f\x67\x9e\x14\x58\xe9\x2b\x53\x84\xae\xfd\x79\xe2\xfc\x91\xf1\x7b\x7d\x65\x84\xc2\x94\xa9\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureParameterfvEXT
  {(uint8_t*)"\xc7\xf6\xb5\xcb\xc1\x48\x7e\x2a\x10\x0d\x94\xeb\x9f\xa7\x9b\x10\x2d\x81\x1f\xde\xd2\xfe\x2f\xba\xcb\xff\x17\x3d\xe8\xf7\xb5\xe2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTransformFeedbackVaryingEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexEnvxvOES
  {(uint8_t*)"\xaf\xa4\xc1\x6c\x5b\x87\xe9\xb3\xb7\xed\x7c\x5c\x2e\x1f\x0b\x22\x16\xff\x98\xaf\xfd\xc1\x61\xd4\xe0\x73\x50\x04\x52\x8a\xad\x78", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double, double), double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRotated
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawTransformFeedbackNV
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureParameterfv
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureParameterIivEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPushAttrib
  {(uint8_t*)"\xac\xc1\xed\x4f\x21\x6e\x2a\xa0\x0e\x85\xcf\xd5\xea\x99\x74\x8b\xd2\x39\x77\xa6\xfe\xa5\xc8\x2e\x14\x58\xf0\xda\x34\x8d\x26\xef", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float, float, float), uint32_t, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiNormal3fVertex3fSUN
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParameters4fvEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureParameterIiv
  {(uint8_t*)"\x99\x9b\x23\x81\x14\x36\xa2\xf8\xb8\x6d\x2c\xdd\xbf\xd9\x95\x82\xb9\x99\xc1\xc5\x74\x27\xb1\xd5\xd3\xb0\xea\x6e\xa2\x9f\xe5\x4d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureParameterIuivEXT
  {(uint8_t*)"\x82\x42\xa2\xaf\xa8\x5e\xa9\x96\xa7\x3c\x45\x42\xd5\x2a\x98\xca\xea\x38\xf3\x16\x29\x07\x30\x4f\x78\x15\x32\xc2\xf3\xb5\x97\x45", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint64_t, uint64_t*), struct _XDisplay *, uint64_t, uint64_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetTransparentIndexSUN
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEndOcclusionQueryNV
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureParameteriv
  {(uint8_t*)"\x6c\x31\x1b\xd0\xaf\x79\x68\xcd\x36\xb4\x0e\xce\xdc\x1f\xa1\x3e\xf4\xfa\x7f\x61\x1e\xd3\x4b\xd3\xb3\xf7\xba\x81\x39\xa3\x79\x49", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint64_t, uint32_t, uint32_t), uint32_t, uint32_t, const void *, uint64_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawElementsIndirectCount
  {(uint8_t*)"\xe9\x4e\x37\x98\x9e\x5e\x2d\x0e\x49\x68\x80\x0f\xdc\xa4\x84\x54\xbd\x21\x38\x2e\x03\xb0\x12\x4e\xc2\xe9\x9c\x23\xb6\xf4\xf3\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetTextureSubImage
  {(uint8_t*)"\xae\xb0\x6f\x93\x9e\xc7\x64\x00\x3b\xdc\x37\x20\xb4\x01\xab\x7b\x2f\x24\xfb\xb2\x1b\xca\x56\xe3\xda\x91\x1f\xf4\x69\xbe\xea\x16", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint8_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribArrayObjectATI
  {(uint8_t*)"\x40\x79\xa3\xef\xc5\xd5\x4e\x95\x5b\x91\xd8\x18\x35\x84\xa2\x63\x0e\x06\x06\x67\x0c\x99\xde\x8e\x45\x11\xeb\x2d\x34\xf7\xe6\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *, uint32_t), uint32_t, uint32_t, uint32_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glDrawElementsInstanced
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glShaderOp1EXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTangent3dvEXT
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTransformFeedbacki_v
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4dvNV
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glListParameterfSGIX
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3s
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadMatrixf
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3iMESA
  {(uint8_t*)"\x01\xa3\x2d\xf2\x9b\xf3\x4d\x10\xff\x2e\x01\x81\xe4\xc6\x97\x95\x47\x55\xdc\x23\x69\x25\x3d\xf7\xca\xa4\x1e\xc6\x88\xfd\xaa\x28", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, void *, uint32_t), uint32_t, uint64_t, uint64_t, void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glNamedBufferStorageExternalEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMemoryBarrier
  {(uint8_t*)"\x82\x67\x40\xcc\xf9\x86\xc7\x6e\x07\x2c\x6e\xfc\xe6\x26\xe1\x95\x28\x6e\xd1\xa2\x4b\x6e\xa2\x39\x09\xf4\xef\xbd\x18\x2b\x31\xbb", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int()>::Call<ParameterAnnotations {}>}, // glGetGraphicsResetStatusARB
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalFormatNV
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI2iEXT
  {(uint8_t*)"\x4c\xac\x87\x67\xe3\x10\x33\x53\x24\xeb\xbc\xb8\xf6\xbf\x4c\x65\x93\x20\xcb\x7f\xc9\x60\x54\x45\xb3\x4f\xbd\x41\x09\xb4\xd1\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorage3DMultisample
  {(uint8_t*)"\xc7\xf6\xb5\xcb\xc1\x48\x7e\x2a\x10\x0d\x94\xeb\x9f\xa7\x9b\x10\x2d\x81\x1f\xde\xd2\xfe\x2f\xba\xcb\xff\x17\x3d\xe8\xf7\xb5\xe2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTransformFeedbackVarying
  {(uint8_t*)"\x7b\x48\xb6\x66\xf0\x05\x7f\x26\xe5\x8c\x9b\x52\x18\x37\x7a\x7a\x18\x12\xcb\x0d\xfc\xef\xfa\x0e\x27\xd9\x45\xf2\x40\xce\x70\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformdv
  {(uint8_t*)"\x43\x88\xf3\x72\x8e\xc3\xeb\xc1\x04\x35\x65\x5a\x25\x52\x02\x40\x59\x48\x6a\xb6\x30\x51\xc5\x80\x49\xdd\xdd\x18\x34\x45\xba\xe4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPixelMapuiv
  {(uint8_t*)"\x35\xe2\x64\xed\x65\xe9\x4f\x2d\xe7\xee\xb3\xa0\x73\x4b\x8e\xfd\x80\xfd\xaf\x73\x2e\xb7\x51\xac\x7f\x28\xb9\x02\xe1\x71\xb1\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformfvARB
  {(uint8_t*)"\x3b\xbb\x67\x5b\x92\xa6\x91\xf9\xea\x79\x10\x90\x4c\xaa\xb6\x0d\x7c\xca\xb8\x8b\x76\xfa\x06\x89\xcb\xe9\x31\x4e\x67\x96\x67\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t), uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2hNV
  {(uint8_t*)"\x35\xe2\x64\xed\x65\xe9\x4f\x2d\xe7\xee\xb3\xa0\x73\x4b\x8e\xfd\x80\xfd\xaf\x73\x2e\xb7\x51\xac\x7f\x28\xb9\x02\xe1\x71\xb1\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformfv
  {(uint8_t*)"\x49\x1a\xef\xec\xfd\x67\x99\x45\xc6\x05\xed\x25\x5d\x0e\x1a\x81\xa3\xd8\x75\x61\xbc\x15\x9c\xb3\x3a\x00\x6e\x3f\x24\x4a\x88\x30", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformHandleui64NV
  {(uint8_t*)"\xc2\x54\xf6\x50\x66\x06\x8b\xc4\x57\x62\xcf\xf0\x64\x08\x0c\x9e\xc6\x19\x4a\x6f\xa1\x3a\x63\xc1\x3c\x81\x02\x1f\x08\x56\x06\xf9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformi64vARB
  {(uint8_t*)"\x81\x79\x2e\xa9\x34\xe4\xbc\x9b\xe6\xdb\xa9\x7c\xe7\x5c\x66\x05\xb6\x55\x31\xd9\x8d\xbc\xde\xd1\x87\xa8\x56\xa2\xbd\xb6\x39\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float, float, float, float, float, float, float), float, float, float, float, float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fColor4fNormal3fVertex3fSUN
  {(uint8_t*)"\xc2\x54\xf6\x50\x66\x06\x8b\xc4\x57\x62\xcf\xf0\x64\x08\x0c\x9e\xc6\x19\x4a\x6f\xa1\x3a\x63\xc1\x3c\x81\x02\x1f\x08\x56\x06\xf9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformi64vNV
  {(uint8_t*)"\x61\x98\x48\xc1\x48\x98\xfe\xac\xfc\x5b\xb7\xb4\x95\xad\x53\x8d\x69\x33\x34\x73\x40\x7e\x89\x0b\xf8\xec\x46\x8f\x76\x47\x00\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformiv
  {(uint8_t*)"\x66\xcf\xdf\xd0\xf4\xb1\x37\x4a\x0c\xe1\x4b\x39\x70\xfa\x66\x94\xd4\xb4\x46\xa7\x3a\xa9\xc9\xe9\x42\xb7\x06\x13\xae\x62\x16\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearBufferfv
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2xvOES
  {(uint8_t*)"\x61\x98\x48\xc1\x48\x98\xfe\xac\xfc\x5b\xb7\xb4\x95\xad\x53\x8d\x69\x33\x34\x73\x40\x7e\x89\x0b\xf8\xec\x46\x8f\x76\x47\x00\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformivARB
  {(uint8_t*)"\x75\x04\x97\x87\xd0\x51\x98\x3e\xb8\xe3\xe9\x42\x9f\xd4\x71\x34\x08\x97\x19\x6d\x5c\x58\x39\x3d\x8e\x07\x4c\x18\xbc\x0c\xb6\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVideoi64vNV
  {(uint8_t*)"\x44\x28\xa5\xa5\x40\x51\x2a\x85\x9b\xa2\x7f\x42\x1b\x04\xfe\xbe\x08\x94\xd8\x48\x90\xba\xad\x60\x88\xba\xb7\x4b\x6a\xb3\xa2\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformSubroutineuiv
  {(uint8_t*)"\x03\x55\x94\x3b\x3d\xd9\x02\x52\x09\x7a\x28\x25\x3a\xd3\x80\x1a\xc9\x4a\xa8\xbd\x90\x9c\x6d\x7b\xe4\x9a\x03\xc4\xd9\x29\x30\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformui64vNV
  {(uint8_t*)"\x86\x33\xf7\x10\xbc\x71\x00\xcc\x4f\x59\x00\xde\x8c\x8d\xb3\xb9\x08\xb3\xde\x26\xc4\xaf\xd9\x20\x0e\xba\x41\x49\xc5\x77\x1c\x07", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, unsigned char *), uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUnsignedBytevEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2fvARB
  {(uint8_t*)"\x9b\x9a\x36\x98\xab\x4f\x14\x1f\x17\x29\x4b\x6a\xc1\x44\x17\xa8\x6b\xd1\x20\x28\xd9\xaf\xeb\x11\x09\xb1\x76\x31\xb2\xa9\x5b\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, unsigned char *), uint32_t, uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVariantBooleanvEXT
  {(uint8_t*)"\xe0\x57\x18\xf4\x8e\x3b\x1c\x3f\xaa\x42\xea\x65\x0e\x96\x1d\xf0\xaf\x24\x05\x7a\x27\xc8\xa6\xe0\xd5\xa6\x56\xc7\x6e\xc1\x89\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const float *), const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fVertex3fvSUN
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexP2uiv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexArrayIntegervEXT
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLockArraysEXT
  {(uint8_t*)"\x16\x6d\x4b\x0e\xe6\x5c\x04\xe8\xe7\x24\x6d\x3e\xa0\xf9\xdb\xb5\x1f\x00\xda\x08\x7d\x82\x41\x0e\xdb\xdc\xae\xf9\x5c\xfa\x48\xf0", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint64_t, uint32_t), struct _XDisplay *, uint32_t, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXBindVideoImageNV
  {(uint8_t*)"\x7a\x3e\x6f\xd6\xf5\xd1\x12\xce\xf9\x5c\x53\xd8\x9f\x88\x95\x21\x9a\x4f\xb4\xfe\xf2\x29\x31\x1b\xd7\xb9\x5f\xd9\xfa\x54\xac\xb8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *), uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glElementPointerAPPLE
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetVertexArrayPointervEXT
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribdvARB
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribdv
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribdvNV
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribfvNV
  {(uint8_t*)"\xcc\x5f\x20\xd5\x28\x00\x2d\x56\xa5\xdd\x37\x05\x66\x1f\x7f\xba\x0b\x51\x00\x4d\x94\xc5\x66\x55\x46\x4f\x98\x9e\x28\x8b\x16\x0b", (void(*)(void *))&GuestWrapperForHostFunction<const unsigned char *(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetStringi
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribIivEXT
  {(uint8_t*)"\xfa\xa6\x44\x41\xc2\xe8\x78\x48\xe3\xf1\xc7\xa4\x7e\xa1\x0f\xfe\x35\x39\xb2\xff\x1e\xf6\xad\x20\x8b\x03\xe3\x16\x5e\xe3\x5a\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4i64vARB
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribIiv
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribIuivEXT
  {(uint8_t*)"\x3b\x74\x8c\x49\xa5\xa1\xf0\x99\x4c\x45\x98\x2c\xa8\xad\x37\xc6\xaa\x41\xc2\x92\x81\xd4\x1d\xd6\x2b\xd7\x3d\x21\xd6\x50\x75\x6b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3uiEXT
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribIuiv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribiv
  {(uint8_t*)"\x22\xec\xda\x16\xa3\x5f\x0c\x95\xd1\x44\x68\x7d\xd6\x3e\x75\xae\x42\x93\xf2\xab\x85\xf6\xd9\xfc\xe2\x50\x06\x69\x4e\xa5\x79\xdc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, uint32_t, uint32_t, const float *), uint32_t, uint32_t, float, float, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapVertexAttrib1fAPPLE
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribLdvEXT
  {(uint8_t*)"\x5f\xbb\xce\x3a\x2a\xdb\x26\x1c\x65\x0b\x66\xc0\x23\xef\x8e\x17\x93\xce\x9f\x67\x9e\xed\x0d\x33\xd8\x76\x06\xa6\x7f\xc3\x26\xf5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformHandleui64ARB
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glScissorIndexed
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2x3dv
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3s
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAccumxOES
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2x3fvEXT
  {(uint8_t*)"\x13\xfd\x50\xf4\xdd\xa4\x0b\xc0\xe7\xaa\x6a\xb2\x7a\x03\xc6\x1e\x1a\x4a\x40\xff\x40\xfe\xce\x1d\x99\x9d\x34\x99\xe0\xba\xb1\xae", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double *), uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribLdv
  {(uint8_t*)"\x75\x04\x97\x87\xd0\x51\x98\x3e\xb8\xe3\xe9\x42\x9f\xd4\x71\x34\x08\x97\x19\x6d\x5c\x58\x39\x3d\x8e\x07\x4c\x18\xbc\x0c\xb6\x8a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribLi64vNV
  {(uint8_t*)"\x71\x50\xf1\xdb\x69\xbb\x92\x06\x7a\x2a\xa1\xd3\x35\x1a\x2b\x30\x83\xbc\xf7\x79\x8f\x5b\x8c\xda\x75\x99\x1a\xd5\x71\x3c\x44\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribLui64vARB
  {(uint8_t*)"\x71\x50\xf1\xdb\x69\xbb\x92\x06\x7a\x2a\xa1\xd3\x35\x1a\x2b\x30\x83\xbc\xf7\x79\x8f\x5b\x8c\xda\x75\x99\x1a\xd5\x71\x3c\x44\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribLui64vNV
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetVertexAttribPointervARB
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsAsyncMarkerSGIX
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetVertexAttribPointerv
  {(uint8_t*)"\xea\x1f\x07\x2a\xa4\x60\xa4\xe7\xbe\xaa\x66\x55\x42\xea\x8e\x03\x37\x6e\x9a\x8b\xbb\xdd\x7f\x25\x59\x0a\xf9\x71\xf0\x55\xf2\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float), uint32_t, uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexParameterfEXT
  {(uint8_t*)"\x8d\x71\xf6\x46\x0e\xaa\x47\x44\x18\x85\x47\xf2\x27\x27\xf2\xe3\x36\xc4\x03\xdb\x5d\x29\xc6\x21\x0f\xc3\x49\x03\x42\x9c\xa2\xd1", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glXSwapIntervalSGI
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexGenxvOES
  {(uint8_t*)"\x28\xe6\x22\xd2\xfc\xdd\x71\xc2\x29\xf8\xd6\x08\xab\xa0\x84\x97\xce\x27\xd1\xf6\x8c\x2f\x7c\xb1\x18\x1d\x6b\xd1\xfb\x02\x98\x24", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void **), uint32_t, uint32_t, void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}>}, // glGetVertexAttribPointervNV
  {(uint8_t*)"\xe7\xb4\xd8\xc4\x17\x78\xbd\x4b\xde\x55\xaf\xcc\x7c\xfe\x93\xe0\x1f\xb2\x25\xd0\xda\xe9\x3d\xd5\x26\x7d\x54\x3f\x99\x2d\x67\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, double *), uint32_t, uint32_t, uint32_t, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVideoCaptureStreamdvNV
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVideoCaptureStreamivNV
  {(uint8_t*)"\x71\x50\xf1\xdb\x69\xbb\x92\x06\x7a\x2a\xa1\xd3\x35\x1a\x2b\x30\x83\xbc\xf7\x79\x8f\x5b\x8c\xda\x75\x99\x1a\xd5\x71\x3c\x44\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVideoui64vNV
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGlobalAlphaFactorfSUN
  {(uint8_t*)"\x07\xe8\x60\xec\x82\x12\xf4\x73\xd6\x67\x75\xb7\x6e\x16\x00\x3b\x72\x08\xc8\xcd\xe5\x4d\xa4\xa4\xa9\xcc\x93\x5a\x7c\x26\x23\x94", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXcontextRec *(struct _XDisplay *, struct __GLXFBConfigRec *, struct __GLXcontextRec *, uint32_t, uint32_t*), struct _XDisplay *, struct __GLXFBConfigRec *, struct __GLXcontextRec *, uint32_t, uint32_t*>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXCreateContextAttribsARB
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGlobalAlphaFactoriSUN
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVideouivNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGlobalAlphaFactoruiSUN
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3f
  {(uint8_t*)"\x85\x78\xe1\xf8\xf0\xe3\xda\xa9\xc1\x5f\xb2\x49\xb5\x6c\x5a\xc3\x19\xe0\x80\xcb\x90\x1f\x91\x9a\x57\xc1\x78\x82\x98\x9d\x97\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t), uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGlobalAlphaFactorusSUN
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glHint
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4bvEXT
  {(uint8_t*)"\xf5\x00\x78\x56\x60\x61\x8f\x48\x05\xa9\x5e\x78\x4e\xa9\x2e\x07\xf4\x49\xba\xbd\x0b\xfc\xe2\x21\x93\x40\xdb\x44\xdf\xf8\xe4\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixTranslatefEXT
  {(uint8_t*)"\x8d\x28\xac\xa2\x8f\x22\x9e\x41\x93\xb6\x43\xa3\x2d\x8f\x19\x14\xad\x86\x86\x16\xb9\x63\x86\xfc\x13\x6d\x7b\x46\x5f\x72\x10\x8d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVDPAUMapSurfacesNV
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glHintPGI
  {(uint8_t*)"\x7a\x3e\x6f\xd6\xf5\xd1\x12\xce\xf9\x5c\x53\xd8\x9f\x88\x95\x21\x9a\x4f\xb4\xfe\xf2\x29\x31\x1b\xd7\xb9\x5f\xd9\xfa\x54\xac\xb8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *), uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glIglooInterfaceSGIX
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribfvARB
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glImageTransformParameteriHP
  {(uint8_t*)"\x30\x00\x29\xd0\xe1\x9e\xed\xea\x07\x6f\xc9\x25\x89\x64\xc4\xe5\x28\xca\x3b\xd8\x26\x74\xc8\x00\xa7\x5f\x1a\xce\xf3\xd4\xb8\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCallLists
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glImageTransformParameterivHP
  {(uint8_t*)"\x74\x3d\xc7\xe6\x1a\x7d\x32\x6a\x09\x87\x5f\xf1\x2f\xa3\x60\x4f\xe8\x25\x7f\xfe\xed\x0e\x90\xfb\x75\xe3\x50\xdf\x28\x48\x86\x6a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint32_t, uint32_t), uint32_t, uint64_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glImportMemoryFdEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPushClientAttribDefaultEXT
  {(uint8_t*)"\xe3\xc0\x26\x89\xef\x92\x25\xaf\xc2\x85\xc2\xd6\xb9\x74\x55\xd5\x99\xc6\x4d\xf8\x23\x1e\x73\x60\x62\x6a\xd8\x5b\x4f\xe1\x48\xab", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glPathStringNV
  {(uint8_t*)"\xf3\x7d\x34\x2b\xf4\x90\xa1\x3f\x3d\x34\xa5\xd7\xfe\xc6\x13\xa9\x56\x8a\xa9\x75\x10\xd8\x31\x2e\x3e\x97\x8e\x2c\xf5\x7f\xff\x5c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float), uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4f
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenTextures
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexiv
  {(uint8_t*)"\x69\xcc\xc3\xef\xc7\x67\x43\xea\xfa\x2c\xb2\xc8\x6a\x00\xff\x9d\x30\x78\xea\x62\x06\x9a\xd4\x61\x48\x8a\xd4\x00\x02\xbd\x7c\xaf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint32_t, void *), uint32_t, uint64_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glImportMemoryWin32HandleEXT
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glImportSemaphoreFdEXT
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2dv
  {(uint8_t*)"\x4d\x25\x6d\xdf\xf5\x72\xb2\x69\x63\xd0\xc0\x7d\x5d\x3c\xf4\x8b\xc0\x74\x84\x43\xe0\x67\xb0\xfb\x2a\xb1\x23\x8e\x99\xe4\xe2\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedRenderbufferStorageEXT
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRequestResidentProgramsNV
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3x2dv
  {(uint8_t*)"\x7a\x5c\xce\x7b\xd0\x1d\x34\xd7\x25\xb6\x76\x68\xd5\x06\xcf\x45\x2b\xbe\x13\xf1\x7b\x60\x7d\x1c\xd5\x28\x90\xde\x16\x56\xc1\xe4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, void *), uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glImportSemaphoreWin32HandleEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixMult3x3fNV
  {(uint8_t*)"\x6f\x6f\xf5\x72\x8d\xb3\x7b\x51\xda\x2b\x09\x12\x41\x41\xb6\x66\x70\x8d\x6a\xf3\xb5\x82\xa3\x75\x12\x75\x1c\x6c\xd5\xe3\x9d\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t, uint32_t), uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeImageHandleResidentARB
  {(uint8_t*)"\x55\xb9\xc8\xe6\xe0\xa8\xdd\x6b\x40\xc7\xae\x02\x63\x8a\x9d\x86\xc6\xc5\x11\xe3\xff\xea\x76\x7a\xd0\x5a\x05\x1f\x5b\xf3\xcc\x2d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glImportSemaphoreWin32NameEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexdv
  {(uint8_t*)"\xf4\xcc\x53\x28\x8a\x13\xd7\xf9\x57\x8f\x22\x20\x9c\x8a\x74\x3a\xce\xb5\x32\x59\xa9\x06\xc9\xe3\xfd\xd5\xf9\x8e\x2f\x9f\xa0\x18", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1i64ARB
  {(uint8_t*)"\xaf\xa4\xc1\x6c\x5b\x87\xe9\xb3\xb7\xed\x7c\x5c\x2e\x1f\x0b\x22\x16\xff\x98\xaf\xfd\xc1\x61\xd4\xe0\x73\x50\x04\x52\x8a\xad\x78", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double, double), double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4d
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureParameterivEXT
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexf
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexFormatNV
  {(uint8_t*)"\x49\x40\xaa\x29\xeb\x38\xca\xbe\xb7\x20\x56\x10\xfe\x0e\xa6\xfb\x42\x77\x08\x5f\xa6\xfd\xbe\xb4\xf9\x59\x75\x7b\xcf\xaa\xcb\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4sARB
  {(uint8_t*)"\xe5\x58\x99\xfd\x24\x43\x17\x99\xc9\xfa\xc0\x42\x50\x2d\x95\xfb\xc3\x76\xe2\x2a\x67\x55\x0a\x4f\xc7\x1c\x5c\x18\xb7\xe4\x33\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double, double, double, double), double, double, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glOrtho
  {(uint8_t*)"\xb2\x1a\x02\xf4\xab\x35\xd0\x92\x4b\xb0\x61\x05\x33\x91\xbd\x10\x31\xdd\x5a\xe1\x34\xd0\x7e\x25\x40\x62\x8b\xb0\xd1\xd8\x2a\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexArrayIndexed64iv
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexi
  {(uint8_t*)"\x7e\x13\xc6\xbd\x27\xc9\x43\x53\x41\x4c\x5d\xdf\xf6\xba\x77\xc1\x4b\x57\xad\x03\x2f\xfa\x39\x23\xa0\x17\x27\x57\xda\x22\x2f\xb3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glIndexPointerEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedBufferParameterivEXT
  {(uint8_t*)"\xb7\x06\xc3\x2b\x09\xa8\x56\x10\xb8\x35\x34\x79\xca\x78\xad\x1d\x18\x63\x79\x6f\x3d\x4c\xa3\x8d\x62\xe3\xcc\x1a\xfa\x99\x96\x46", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glIndexPointer
  {(uint8_t*)"\x5d\x50\xa6\xc9\x24\x7a\x31\x28\xf0\xcc\xc9\x01\x73\xfa\x1d\xf5\xb5\xc4\x1a\x7f\x87\xe4\x34\xfd\x0d\x50\x57\x23\xbe\x48\x02\x23", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorageMem1DEXT
  {(uint8_t*)"\x6f\x6f\xf5\x72\x8d\xb3\x7b\x51\xda\x2b\x09\x12\x41\x41\xb6\x66\x70\x8d\x6a\xf3\xb5\x82\xa3\x75\x12\x75\x1c\x6c\xd5\xe3\x9d\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t, uint32_t), uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeImageHandleResidentNV
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixScaledEXT
  {(uint8_t*)"\xf3\x80\xe5\x8d\xa9\xa7\x9e\x37\x3a\x1e\x7c\x02\x47\xe5\x0a\xee\x4e\x3a\xcd\x4f\x77\x02\x0e\x0d\x7d\x9a\xa3\x1e\xcc\x73\x89\x60", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t), uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexub
  {(uint8_t*)"\x97\x36\xf7\x8b\xbb\xa4\x1a\xb8\xe6\x27\xf7\xf0\x20\xfa\x83\xce\x0d\x7d\x86\xc3\x4f\x96\x99\x5a\xea\xff\x65\x25\x25\xdb\x3e\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const unsigned char *), const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexubv
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexxvOES
  {(uint8_t*)"\x66\xcf\xdf\xd0\xf4\xb1\x37\x4a\x0c\xe1\x4b\x39\x70\xfa\x66\x94\xd4\xb4\x46\xa7\x3a\xa9\xc9\xe9\x42\xb7\x06\x13\xae\x62\x16\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glViewportArrayv
  {(uint8_t*)"\xb9\xc7\x78\x84\xf7\x07\x86\x29\xe6\x1b\x6b\xe7\x3e\x20\x15\xa2\x87\x4e\xa9\xa9\xf1\x4d\x13\x82\x78\xbb\x8a\xcd\x1c\x10\xa8\x36", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glMultiTexImage2DEXT
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInvalidateFramebuffer
  {(uint8_t*)"\x19\x34\xcd\xbc\x46\x77\x5f\x16\xfd\xd2\xb7\xe4\x55\x25\x47\xb6\x1c\x0e\xba\x35\x4d\x13\x84\x55\x3b\xbb\x0f\x34\xd8\x65\xec\x3c", (void(*)(void *))&GuestWrapperForHostFunction<long(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformOffsetEXT
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInvalidateTexImage
  {(uint8_t*)"\x66\xa7\xc0\xf7\x00\xaf\x3c\x75\x0f\xe8\xcf\x8e\xee\x79\x7a\xb3\x6d\x7e\x35\x25\xc0\xa6\x0d\x4d\x3a\x74\x99\x15\xa7\x85\xf5\x49", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint32_t, void *), struct _XDisplay *, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glXHyperpipeAttribSGIX
  {(uint8_t*)"\x79\x85\x6d\x0b\x15\xae\x8d\x3f\x9e\xbb\x24\x15\x51\x36\xfd\x80\x04\x47\x28\xea\xa1\x67\xd6\x9c\x26\xc6\xf5\x66\x45\x1e\xe8\x10", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLGPUCopyImageSubDataNVX
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalStream3svATI
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMemoryObjectParameterivEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glLGPUInterlockNVX
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathParameteriNV
  {(uint8_t*)"\xac\xc1\xed\x4f\x21\x6e\x2a\xa0\x0e\x85\xcf\xd5\xea\x99\x74\x8b\xd2\x39\x77\xa6\xfe\xa5\xc8\x2e\x14\x58\xf0\xda\x34\x8d\x26\xef", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float, float, float), uint32_t, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiColor3fVertex3fSUN
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightEnviSGIX
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightf
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLighti
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindVertexArrayAPPLE
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightModelf
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2x3fv
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightModelfv
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightModelxOES
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightxOES
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPNTrianglesiATI
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glInitNames
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexxOES
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightxvOES
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLinkProgram
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalMesh1
  {(uint8_t*)"\x05\x60\x9e\x9c\x07\x1c\xce\xfb\x17\x11\x50\xab\xe2\x3a\x36\xa7\x2b\x8c\x69\x5c\x96\xfe\xc7\x9f\xba\xa6\xf3\x6e\x30\x19\xac\x54", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t), uint32_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLineStipple
  {(uint8_t*)"\xaf\xa4\xc1\x6c\x5b\x87\xe9\xb3\xb7\xed\x7c\x5c\x2e\x1f\x0b\x22\x16\xff\x98\xaf\xfd\xc1\x61\xd4\xe0\x73\x50\x04\x52\x8a\xad\x78", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double, double), double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4d
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glLoadIdentity
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexBuffer
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCombinerParameterfNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadIdentityDeformationMapSGIX
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadMatrixd
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadMatrixxOES
  {(uint8_t*)"\x5f\x92\xee\x76\xd4\xd5\xbd\xef\xf6\x21\x27\xa9\xa3\xf7\xf4\x4e\xcc\xfe\x67\x81\x71\x12\xde\x26\x9a\x44\xa6\x42\x67\x1a\xea\x58", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const unsigned char *), uint32_t, uint32_t, uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadProgramNV
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadTransposeMatrixdARB
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadTransposeMatrixd
  {(uint8_t*)"\x9f\xc4\x49\x02\x85\x47\x00\x1a\x6b\x52\xd8\xf3\x4d\xb4\x58\x91\xd6\x85\xbb\x9e\xe4\xa1\xab\xa1\x64\xdf\x0a\x86\x9c\x83\x76\xa6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexParameterIuivEXT
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3fEXT
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLoadTransposeMatrixfARB
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLogicOp
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeBufferNonResidentNV
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4uiv
  {(uint8_t*)"\xd4\xcf\x82\x4c\xf1\xb6\xc9\x08\xac\x68\x43\xb9\x3a\xb0\xdd\x4c\xf3\x0b\x3d\xdb\x2d\xf1\x79\x97\x60\x32\xa5\xd6\xb5\x45\xf8\xe8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFixedvOES
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeBufferResidentNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilMask
  {(uint8_t*)"\x7d\x44\x86\xb3\x1c\x57\x27\xcc\xb5\x01\xa1\xc6\x5a\x92\x56\x31\xe4\x73\xd7\xb6\x05\x3a\x32\x10\x00\x11\xe1\x8b\x52\x35\xb5\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeImageHandleNonResidentNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeNamedBufferNonResidentNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeNamedBufferResidentNV
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParameter4fvARB
  {(uint8_t*)"\x7d\x44\x86\xb3\x1c\x57\x27\xcc\xb5\x01\xa1\xc6\x5a\x92\x56\x31\xe4\x73\xd7\xb6\x05\x3a\x32\x10\x00\x11\xe1\x8b\x52\x35\xb5\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeTextureHandleNonResidentNV
  {(uint8_t*)"\x7d\x44\x86\xb3\x1c\x57\x27\xcc\xb5\x01\xa1\xc6\x5a\x92\x56\x31\xe4\x73\xd7\xb6\x05\x3a\x32\x10\x00\x11\xe1\x8b\x52\x35\xb5\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMakeTextureHandleResidentNV
  {(uint8_t*)"\x1a\xfa\x61\xf8\xa5\x5b\x01\xe9\x75\x14\xdb\xf0\x59\xe8\x6d\x11\x63\x4e\x67\x15\x5a\x40\xa1\xd8\x3b\x5c\x14\x30\xfd\xe0\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void *(uint32_t, uint64_t, uint64_t, uint32_t), uint32_t, uint64_t, uint64_t, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapNamedBufferRangeEXT
  {(uint8_t*)"\xfa\x83\xfa\x1b\x3a\x2d\xd9\x0b\xf6\xe7\x3a\x0b\x75\xef\xbd\x9f\xe2\x98\x93\xa6\xe5\x48\x88\x0c\xaf\xa3\x48\x0e\x9d\x3f\xe8\x7f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, uint32_t, uint32_t, const double *), uint32_t, double, double, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMap1d
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glEndTransformFeedbackNV
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFramebufferAttachmentParameteriv
  {(uint8_t*)"\xa7\x2b\xe4\x64\x6a\xe8\x54\x52\xa5\x05\x3c\xf0\xc7\x0b\xaa\xeb\x41\x9d\x21\x2f\xda\xd2\x14\xc1\xd7\xe6\x48\x44\x0a\x24\x4e\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetShaderInfoLog
  {(uint8_t*)"\x09\xcc\x7c\xbc\x7e\xa0\xf4\x9f\xa6\x43\xc9\x47\xd5\xe9\x81\x2a\x68\xcd\xd0\x9c\x95\xd9\x9b\xeb\x20\xad\xb6\xdc\x05\x6b\x14\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, uint32_t, uint32_t, const float *), uint32_t, float, float, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMap1f
  {(uint8_t*)"\x29\xcf\x55\xc7\x03\x43\xaf\x51\x24\x57\xb8\x41\x9b\x8f\x8e\xe2\x4a\xfa\xd0\xcc\x0a\x82\x8b\xa9\xbc\x24\xbc\xf1\x5f\x53\x04\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMap1xOES
  {(uint8_t*)"\x5e\x86\xea\x16\x56\x7f\x02\xd3\xb8\x5e\x4a\xbe\x09\x63\x72\x74\x2b\xbd\x94\x23\xba\xe9\xca\xbf\x39\xb2\x45\x05\x83\xb1\x21\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, uint32_t, uint32_t, float, float, uint32_t, uint32_t, const float *), uint32_t, float, float, uint32_t, uint32_t, float, float, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMap2f
  {(uint8_t*)"\xcb\x94\x2d\x57\x78\x81\x2f\xad\xa4\xba\x93\xfd\xb3\x53\x70\xe7\xf8\x41\xc5\x6c\xd6\x01\x7a\x69\xc6\x4c\x21\xb6\xaa\x0b\x05\x8c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMap2xOES
  {(uint8_t*)"\x50\x4f\xd5\xeb\xc4\x0f\xd0\x58\x78\xf8\x81\x2e\x56\xbc\x74\x85\x30\xbd\x6b\xe6\xb7\x43\x6d\xa5\x79\x0a\x70\x97\x61\x67\xda\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double), uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4d
  {(uint8_t*)"\x4a\x29\x8c\x4d\x32\xc5\x29\xc4\x4c\x5e\xa3\xfe\xdd\x7f\xc3\xc5\x2e\x6b\x68\x9e\x98\xd8\xa8\x1d\x92\x55\x41\x9a\x09\x3d\x40\x16", (void(*)(void *))&GuestWrapperForHostFunction<void *(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapBuffer
  {(uint8_t*)"\x1a\xfa\x61\xf8\xa5\x5b\x01\xe9\x75\x14\xdb\xf0\x59\xe8\x6d\x11\x63\x4e\x67\x15\x5a\x40\xa1\xd8\x3b\x5c\x14\x30\xfd\xe0\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void *(uint32_t, uint64_t, uint64_t, uint32_t), uint32_t, uint64_t, uint64_t, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapBufferRange
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEvalMapsNV
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glScalef
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapGrid1xOES
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glShadeModel
  {(uint8_t*)"\x74\xf0\xce\x48\xc9\x46\x50\x7a\x25\x3b\x44\xb9\x83\x40\xf7\x1d\x8e\xac\xe6\x2d\x66\x55\x36\x0a\xfb\x39\x02\x99\x15\x46\xe1\x0b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorageSparseAMD
  {(uint8_t*)"\xc2\x38\x9f\xfb\xcb\xde\x3e\x50\xf5\x72\xc5\x1b\x9c\xc6\xb7\x8f\xe1\x3f\x7f\xe9\x0e\x59\xfe\xa6\x67\xca\x35\x1e\x26\x5d\x2a\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glMapControlPointsNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPatchParameterfv
  {(uint8_t*)"\xe3\xa1\x27\x2d\xab\x5d\xd3\x2f\xd5\x5c\x4e\x49\x35\x0e\x2a\x02\xd2\x7b\xaa\xab\xc3\xcb\x6f\x2c\x64\xe6\xc4\x7e\x77\x8d\x18\x4d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapGrid1d
  {(uint8_t*)"\x0b\x80\x7d\x5c\xb8\x37\x8c\x68\xf4\xbd\x70\xad\x1b\x23\xbd\x79\x11\x21\x15\x87\xe2\xfe\xfb\x08\x20\x32\xde\xf5\x64\xad\x00\xb7", (void(*)(void *))&GuestWrapperForHostFunction<void *(uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapTexture2DINTEL
  {(uint8_t*)"\x37\xd4\x4e\x7c\xd2\x70\x54\x91\x9b\x7f\xd2\x8e\xbd\x27\xec\x8e\x8a\xa4\x18\x4c\xb3\xe7\xc3\x90\x38\xff\x3c\xea\xa6\x30\x41\xfb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, float, float), uint32_t, uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParameter4fARB
  {(uint8_t*)"\x65\x5c\xa5\xc5\xe6\x54\x9c\x2f\x26\xc2\xf4\x1a\x59\x7b\x7c\x7f\x4c\x59\x4d\xcb\xe9\xbc\x90\xb2\xa2\xf8\x36\x09\x43\xcd\xf8\x03", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapGrid1f
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexP4ui
  {(uint8_t*)"\x4c\x5d\x8b\xb4\x6f\x4f\xda\x89\x66\xf1\x4f\xfe\x5d\xc6\x19\x9e\xb4\x78\x90\x79\xe9\xd8\x91\x5f\x80\x8b\xed\x20\x2a\x02\x37\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double), uint32_t, uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1d
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindVertexArray
  {(uint8_t*)"\xdd\xaa\xe7\x35\x5f\x87\x1f\xc8\xc4\x3a\xbf\x11\x41\x40\xe8\x00\x85\x54\x36\x5e\x39\x1e\x1b\xc7\x8e\x6f\x7d\x2f\x44\xe0\xca\x7c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, uint32_t, float, float), uint32_t, float, float, uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapGrid2f
  {(uint8_t*)"\x84\x47\xa8\x77\x12\xf3\x38\x1e\x83\x70\x06\xb0\x7d\x3b\xaf\x6f\x7c\x55\xcd\x72\x05\x4e\x2f\x6f\x06\xf5\x38\xe8\x77\xdb\x62\xfb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapGrid2xOES
  {(uint8_t*)"\x0a\x54\xef\xa7\x40\x3d\x7b\x41\xf7\xf6\x1b\x63\x85\x43\x7e\x81\xb4\xda\xef\x69\x22\xc9\x65\x04\xe1\x5a\x6a\xfb\xe8\xe5\x1e\x93", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glReadnPixels
  {(uint8_t*)"\x43\x88\xf3\x72\x8e\xc3\xeb\xc1\x04\x35\x65\x5a\x25\x52\x02\x40\x59\x48\x6a\xb6\x30\x51\xc5\x80\x49\xdd\xdd\x18\x34\x45\xba\xe4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNextPerfQueryIdINTEL
  {(uint8_t*)"\x4a\x29\x8c\x4d\x32\xc5\x29\xc4\x4c\x5e\xa3\xfe\xdd\x7f\xc3\xc5\x2e\x6b\x68\x9e\x98\xd8\xa8\x1d\x92\x55\x41\x9a\x09\x3d\x40\x16", (void(*)(void *))&GuestWrapperForHostFunction<void *(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapNamedBuffer
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor3xOES
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapParameterivNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEndQueryIndexed
  {(uint8_t*)"\xff\x5e\x97\xc3\x0b\x95\x79\x9a\x8c\x6e\x0b\x7c\x30\x66\xaf\x4a\x90\xcb\x54\xae\x4d\xe2\x7c\x70\xb8\x1d\xb4\x6f\x44\xf6\xb1\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double, uint32_t, uint32_t, const double *), uint32_t, uint32_t, double, double, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapVertexAttrib1dAPPLE
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glEnableVertexArrayEXT
  {(uint8_t*)"\xb5\x86\x2e\x86\x53\x53\x76\xea\xbf\x53\x80\xb2\x8a\x13\x4d\x81\xd2\xf1\x23\x07\xef\xbb\xab\x2a\x62\x35\xf9\xbc\xe8\xb1\x29\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, uint32_t, uint32_t, float, float, uint32_t, uint32_t, const float *), uint32_t, uint32_t, float, float, uint32_t, uint32_t, float, float, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapVertexAttrib2fAPPLE
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBufferBaseEXT
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMaterialf
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMaterialfv
  {(uint8_t*)"\x87\x6a\x1d\xde\xb9\x3c\xb5\xaa\xf2\x1c\x87\xcc\x86\x99\x90\x82\xb9\x3b\x42\x5a\xcd\x6d\x56\x86\xcb\x58\x58\x62\xd4\x67\x77\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3i64vNV
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetInvariantFloatvEXT
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMaterialiv
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTransformParameteriEXT
  {(uint8_t*)"\xe8\x9d\x76\x06\x05\xc6\x54\x9b\x45\x6e\x7a\xfa\x14\x3c\x95\xc5\x95\xdd\x42\x32\xc2\x12\xf7\xae\x71\x1c\x57\xe8\x5f\x3c\x47\x9e", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXcontextRec *()>::Call<ParameterAnnotations {.assume_compatible=true,}>}, // glXGetCurrentContext
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindBufferARB
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMaterialxOES
  {(uint8_t*)"\xf6\x6c\x2f\xee\x9a\x1e\x6b\xd3\x85\x97\x90\xb1\x5e\xb6\x55\xb1\x4d\x2b\x4a\xc9\xa6\xb8\xc8\xe9\xe4\x67\x24\xdd\x38\xbe\xc0\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double, double, double), uint32_t, double, double, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixFrustumEXT
  {(uint8_t*)"\x0f\xd0\x1f\xea\xef\x9a\xd2\x84\xb8\xd1\xa9\xec\x80\xf3\xa8\x18\xdb\x8d\x9b\x1e\x5d\x6e\x76\xb0\x14\x38\xce\xed\x1b\xfa\xa4\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glMatrixIndexPointerARB
  {(uint8_t*)"\xc0\x83\xe5\x60\x4a\x40\x6c\x26\x61\x84\x52\x18\x98\x47\x62\x87\x8b\x31\x27\x94\xc7\xe0\x17\xf7\xfe\xb0\x56\xa9\xeb\xd3\x08\x0c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3s
  {(uint8_t*)"\xec\x78\x30\x01\x9e\xe5\xd8\x07\x90\xfa\x6e\xd9\x59\xcd\xcd\x36\x14\x3a\xf8\x06\x46\xad\x97\x5b\xe8\x66\x17\x83\x12\x3b\x08\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char *), uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixIndexubvARB
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTangent3sEXT
  {(uint8_t*)"\x67\x2a\x3e\x60\x98\x29\x20\xaf\x9b\xc2\x69\x4d\x02\xd3\x21\x78\x17\x09\x9e\xd9\x8a\x49\x8a\x1a\x16\x18\x08\xef\x03\xa8\xa7\x72", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixIndexusvARB
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathStencilDepthOffsetNV
  {(uint8_t*)"\xb7\x06\xc3\x2b\x09\xa8\x56\x10\xb8\x35\x34\x79\xca\x78\xad\x1d\x18\x63\x79\x6f\x3d\x4c\xa3\x8d\x62\xe3\xcc\x1a\xfa\x99\x96\x46", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glFogCoordPointerEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixLoad3x3fNV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixLoaddEXT
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDepthRange
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSamplerParameterIuiv
  {(uint8_t*)"\xd3\xb0\x14\xc0\xfb\x74\x5d\x2e\xe0\x05\xaa\xcb\xb8\x8f\x96\x06\x9d\x65\xf2\x6b\x8a\xef\xf9\x20\xb2\xac\xe9\x3b\x96\x43\xd8\x26", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t), uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIndexs
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixLoadfEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixLoadIdentityEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixLoadTranspose3x3fNV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixLoadTransposedEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixLoadTransposefEXT
  {(uint8_t*)"\x49\x40\xaa\x29\xeb\x38\xca\xbe\xb7\x20\x56\x10\xfe\x0e\xa6\xfb\x42\x77\x08\x5f\xa6\xfd\xbe\xb4\xf9\x59\x75\x7b\xcf\xaa\xcb\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream4sATI
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixMultTransposedEXT
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2xOES
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenTransformFeedbacksNV
  {(uint8_t*)"\xaa\x00\x28\xe5\xcb\xac\x90\xfb\xf5\x51\x75\xaa\x59\xd9\x7f\xfb\x91\x54\x37\x18\x92\x7f\x6f\x22\x41\x0d\x30\x1a\xfd\xd4\x99\x92", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float), uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixRotatefEXT
  {(uint8_t*)"\x89\xfc\xcd\x1d\x51\x0b\xb3\x92\x21\x80\xb0\x4b\x73\x34\x53\xb1\xf2\x3b\xf9\x10\xb4\xcb\x99\x1c\x6b\x65\x62\x77\xcb\x1c\xf6\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3b
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPatchParameteri
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixTranslatedEXT
  {(uint8_t*)"\x71\x50\xf1\xdb\x69\xbb\x92\x06\x7a\x2a\xa1\xd3\x35\x1a\x2b\x30\x83\xbc\xf7\x79\x8f\x5b\x8c\xda\x75\x99\x1a\xd5\x71\x3c\x44\x17", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetSemaphoreParameterui64vEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMaxShaderCompilerThreadsARB
  {(uint8_t*)"\x09\x1e\xd6\x2f\x82\xf6\x53\xbf\xba\xeb\x55\x9d\xf5\xbb\x3d\x22\x19\xbc\xae\x1b\x89\x92\x4e\xc8\x03\xf1\xb5\x3e\xab\x7f\x83\xdf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyColorTable
  {(uint8_t*)"\x0f\xd0\x1f\xea\xef\x9a\xd2\x84\xb8\xd1\xa9\xec\x80\xf3\xa8\x18\xdb\x8d\x9b\x1e\x5d\x6e\x76\xb0\x14\x38\xce\xed\x1b\xfa\xa4\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glSecondaryColorPointerEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMemoryBarrierByRegion
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMemoryBarrierEXT
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2i
  {(uint8_t*)"\x1a\x36\xd8\x01\xf3\xb2\x90\xea\x2f\xc2\xb9\x95\x0b\xb7\xca\x00\x1a\x4f\xde\x24\x62\xc6\x2b\x6e\xa5\xf2\x39\xd2\x3f\xbb\xa9\xc7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMinmax
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribDivisorARB
  {(uint8_t*)"\x65\x5c\xa5\xc5\xe6\x54\x9c\x2f\x26\xc2\xf4\x1a\x59\x7b\x7c\x7f\x4c\x59\x4d\xcb\xe9\xbc\x90\xb2\xa2\xf8\x36\x09\x43\xcd\xf8\x03", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2f
  {(uint8_t*)"\x92\x1f\xef\xd6\x54\x00\x00\x99\x90\x6d\xe4\x26\xd9\x83\x3a\xa1\x44\xfa\x34\xfc\x49\x3a\x25\x27\xc3\x85\x94\x86\x3a\x0d\xba\x9f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1f
  {(uint8_t*)"\x52\x72\xef\xc0\x6a\x5c\xfd\xf0\x30\x72\x19\x5d\x51\xfa\x1f\x26\x15\x90\x32\xec\xa6\xe4\x97\x41\x64\x71\x90\x04\x71\xd1\x61\xb9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearNamedFramebufferuiv
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMinSampleShading
  {(uint8_t*)"\x50\x15\x99\xcd\xe9\x58\x5e\xcd\xd7\xb9\x66\x8e\xd9\x0c\x34\xa8\x6f\xfe\xab\xac\x89\x0d\xaa\xe1\x7f\xa8\xca\x78\x12\x6c\x44\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilThenCoverStrokePathNV
  {(uint8_t*)"\x08\x28\x8b\x73\x3e\x02\x91\x67\x60\xa0\x1d\x6d\x2a\xf1\x7a\x45\x16\x0c\xa3\x42\x21\xdc\x7b\xe8\x05\xf6\x0d\x28\x5e\xdd\xc0\x70", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastBlitFramebufferNV
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexRenderbufferEXT
  {(uint8_t*)"\xf7\x0f\x3d\x10\x34\xd3\x00\x00\x05\xa2\xd1\x1d\x74\xb3\x62\xda\xc7\xac\x79\x98\x3a\x94\x89\xe7\x72\xb0\xe7\xc4\x9c\xb4\xc6\x1f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastFramebufferSampleLocationsfvNV
  {(uint8_t*)"\xd6\x59\x29\x10\xab\x94\x2d\x1b\x56\x6d\x28\x83\x47\x75\x46\x39\x65\xbd\x7f\xe7\x71\xe6\xee\x72\xab\xe5\xef\xa6\x86\xea\xd3\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastGetQueryObjectivNV
  {(uint8_t*)"\xdd\xda\x9f\x6a\xe9\xe9\xe3\xb9\x94\xcb\xbf\xe0\x9b\xc8\x1f\x24\x83\xc3\xb7\x0c\x79\xa1\x05\xad\xfe\xd9\xf3\x60\x55\x9b\x45\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float), uint32_t, uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMulticastViewportPositionWScaleNVX
  {(uint8_t*)"\x65\xd2\x38\x70\xde\xd5\xe1\x50\x91\x83\xb4\x2b\xcd\x4d\xe6\x70\xa1\x64\xc2\x0a\x50\x0e\xb8\xe5\x90\xb6\xad\xf4\x45\x96\x55\x0f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3hNV
  {(uint8_t*)"\x7d\x10\x3f\xa4\x9f\xf6\xcc\xe9\xd5\xe8\x7e\x23\xd0\xbb\xc4\x90\x74\x82\x96\xa5\xb0\x11\x05\x61\x4f\xbf\x27\x0c\x23\x70\x0d\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t*, uint32_t), uint32_t, uint32_t*, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawArraysEXT
  {(uint8_t*)"\x7d\x10\x3f\xa4\x9f\xf6\xcc\xe9\xd5\xe8\x7e\x23\xd0\xbb\xc4\x90\x74\x82\x96\xa5\xb0\x11\x05\x61\x4f\xbf\x27\x0c\x23\x70\x0d\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t*, uint32_t), uint32_t, uint32_t*, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawArrays
  {(uint8_t*)"\x9b\x5e\xdc\xba\x74\x05\x6d\x7b\x7a\x6a\x33\x7b\x98\x3c\x6b\x73\x91\x8c\xfe\x71\x31\x45\x42\x7e\x74\xb0\x0d\xb1\x47\xc1\x1e\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glQueryResourceTagNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteFragmentShaderATI
  {(uint8_t*)"\xfc\x5e\x34\x0b\x76\x6b\xf5\x2e\x9e\xfa\x25\x52\xa6\xf7\x27\x76\x7a\xb5\x6d\x5a\x46\xa0\x74\xb6\x02\xda\x51\x03\x72\xfa\x48\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *, uint32_t, uint32_t), uint32_t, const void *, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawArraysIndirectAMD
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearColorIiEXT
  {(uint8_t*)"\x66\x4e\x3b\x95\x31\x0e\xe0\x68\x28\x64\x0a\x5f\xc7\x68\xec\x75\x5d\xaf\x75\xa6\x0d\xfa\xb8\x28\x0b\x27\x7d\x7a\x7f\x36\x6a\x3a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawArraysIndirectBindlessCountNV
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentLightModelfSGIX
  {(uint8_t*)"\x50\xa2\x7a\xda\x76\xbf\x3f\x3c\x1a\xab\x08\x68\xbe\xfe\x17\x74\x8e\x15\x9a\x63\x69\x1f\x66\x12\x20\xea\xbc\x00\x92\xf5\xc6\xaf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *, uint64_t, uint32_t, uint32_t), uint32_t, const void *, uint64_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawArraysIndirectCount
  {(uint8_t*)"\x12\x8c\x1a\xf3\x35\x1e\xa4\x0f\x6f\x67\x9e\x14\x58\xe9\x2b\x53\x84\xae\xfd\x79\xe2\xfc\x91\xf1\x7b\x7d\x65\x84\xc2\x94\xa9\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMapAttribParameterfvNV
  {(uint8_t*)"\xfc\x5e\x34\x0b\x76\x6b\xf5\x2e\x9e\xfa\x25\x52\xa6\xf7\x27\x76\x7a\xb5\x6d\x5a\x46\xa0\x74\xb6\x02\xda\x51\x03\x72\xfa\x48\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *, uint32_t, uint32_t), uint32_t, const void *, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawArraysIndirect
  {(uint8_t*)"\x7d\x10\x3f\xa4\x9f\xf6\xcc\xe9\xd5\xe8\x7e\x23\xd0\xbb\xc4\x90\x74\x82\x96\xa5\xb0\x11\x05\x61\x4f\xbf\x27\x0c\x23\x70\x0d\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t*, uint32_t), uint32_t, uint32_t*, uint32_t*, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawElementArrayAPPLE
  {(uint8_t*)"\x7d\x44\x86\xb3\x1c\x57\x27\xcc\xb5\x01\xa1\xc6\x5a\x92\x56\x31\xe4\x73\xd7\xb6\x05\x3a\x32\x10\x00\x11\xe1\x8b\x52\x35\xb5\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSignalVkSemaphoreNV
  {(uint8_t*)"\x4a\x29\x8c\x4d\x32\xc5\x29\xc4\x4c\x5e\xa3\xfe\xdd\x7f\xc3\xc5\x2e\x6b\x68\x9e\x98\xd8\xa8\x1d\x92\x55\x41\x9a\x09\x3d\x40\x16", (void(*)(void *))&GuestWrapperForHostFunction<void *(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapNamedBufferEXT
  {(uint8_t*)"\x1f\x27\x9d\xea\xd4\x1c\x1b\xd5\x09\xe4\xcc\x58\xb7\xc0\x8d\xa0\xa7\xce\x5d\x79\x1f\x2a\x36\x58\xae\x4c\xb7\x79\x64\x75\x14\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint64_t*), uint32_t, uint32_t, uint32_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSignalSemaphoreui64NVX
  {(uint8_t*)"\x17\x1b\x00\x4c\x04\xe8\x62\xd8\x26\xcd\xed\x6a\x86\x74\x69\xdf\xc9\xad\x2e\x5b\x9a\x39\x50\xc0\x4d\xe0\xf0\xaa\xa3\x54\xb7\xef", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t, const void *const *, uint32_t, uint32_t*), uint32_t, uint32_t*, uint32_t, const void *const *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawElementsBaseVertex
  {(uint8_t*)"\x6b\xc1\x36\xf9\xfb\x5a\x3e\xf0\x28\xf5\xfd\xb8\xf0\x58\xc3\x19\x45\x7b\x30\x89\xbb\x69\xee\xc7\x3c\xe9\x96\x39\x8f\xde\x18\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t, const void *const *, uint32_t), uint32_t, uint32_t*, uint32_t, const void *const *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glMultiDrawElementsEXT
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glColorTableParameterfvSGI
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glScissor
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI2uivEXT
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4Niv
  {(uint8_t*)"\xc3\x4d\x1a\xdf\xca\x9e\xad\xce\xbb\x69\xaf\x5f\xf3\xbc\x9c\xdd\xe4\xab\x62\xcd\x17\x14\xf3\xad\xf8\x81\xc2\x02\x8f\xb3\x26\x87", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(uint32_t, uint32_t, uint8_t, uint32_t, uint32_t), uint32_t, uint32_t, uint8_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetImageHandleARB
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexBufferEXT
  {(uint8_t*)"\x10\x18\xa6\x0f\x33\x97\xbc\x02\x38\x0f\xc9\xee\xcd\x6b\x2c\x42\xae\x3b\x35\xc9\x7c\x79\x85\x38\x0b\x86\x80\x46\x06\x59\xf7\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3ui64ARB
  {(uint8_t*)"\xf2\x35\xf7\x48\xaa\x8a\xdd\x8e\x3e\x7e\x55\x3b\x4f\x17\x7c\x9f\x33\x5c\x3f\xa0\x18\x1f\xbe\x1a\x12\xfd\xe9\xd6\xa0\xe2\x89\x01", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t), uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1bOES
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1bvOES
  {(uint8_t*)"\x67\xa6\xd8\x1e\x03\xa4\x95\x04\x35\x41\x87\xdb\xd9\x0f\x81\x37\x16\xec\x43\xc0\x30\xb6\x3c\x35\xea\x62\x6d\x65\x02\x69\xac\x53", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glDrawMeshTasksIndirectNV
  {(uint8_t*)"\xec\xc4\x35\x0c\xdf\xe4\x34\xb8\xae\x6b\xdc\x5a\x09\x0e\x1d\xa7\x9d\xb6\xd7\x22\xdd\x31\xc7\x82\xb8\x24\x5b\x0b\x59\xad\x90\xdb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double), uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1dARB
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2bvOES
  {(uint8_t*)"\x0f\x11\x40\xb5\x1d\xbb\x8e\xa6\x2b\x83\x07\x6f\x08\x58\xdc\x3e\x2a\x3a\x8a\xfe\xaa\x45\x7d\x15\x6f\x09\x76\xdd\x0c\x0a\x07\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColorFormatNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glLinkProgramARB
  {(uint8_t*)"\xec\xc4\x35\x0c\xdf\xe4\x34\xb8\xae\x6b\xdc\x5a\x09\x0e\x1d\xa7\x9d\xb6\xd7\x22\xdd\x31\xc7\x82\xb8\x24\x5b\x0b\x59\xad\x90\xdb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double), uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1d
  {(uint8_t*)"\x91\x78\x0e\x6b\xbe\xb8\x21\x77\x6f\xbd\x5c\xd3\xb1\x14\xef\xcb\xa6\xe8\x8e\x4e\xc9\x59\x68\x72\xdd\x3e\xd5\x9e\xc7\xeb\x67\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint8_t), uint32_t, uint64_t, uint64_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBufferPageCommitmentARB
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1dv
  {(uint8_t*)"\xee\xab\xdf\x6a\x4e\x41\xef\xd5\x5a\x3d\x6d\x74\x87\x8d\x97\xa7\x35\xc7\xf3\xd0\x57\x3d\x8d\xca\x3d\xd9\x94\xa9\xd3\x04\x74\x9b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParameter4dvARB
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4dv
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1fARB
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetMinmaxParameterivEXT
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1f
  {(uint8_t*)"\x12\x35\x93\xfa\x3f\x66\x0f\x32\x87\x85\xf7\x90\x32\x3d\x92\xf3\x9e\xf7\x5e\xae\x76\x65\xd3\x42\x63\x15\x82\x64\xc9\xb9\x93\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t), uint32_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1hNV
  {(uint8_t*)"\x69\xab\x9e\x5a\x16\x3c\xd4\x59\x80\x28\x2d\x6b\xb4\x32\x1a\xba\xfc\x3a\xf6\x29\x6b\xad\xc7\x8e\x7c\x38\x65\x2a\x6b\x67\x08\xc7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilThenCoverStrokePathInstancedNV
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4f
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1iARB
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1i
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1iv
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1sv
  {(uint8_t*)"\xdf\x5d\xe7\xfd\x05\x20\xd9\x44\xe7\x24\x6c\xf8\x12\xe4\x82\x0e\x44\x3a\x00\xdd\x29\x6a\x43\x81\x67\x28\xa5\x81\xa1\x65\xb9\x3e", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint32_t*), struct _XDisplay *, uint64_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXDrawableAttribARB
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2iMESA
  {(uint8_t*)"\xc1\xea\xbe\xd1\x5b\x1a\xb0\xdf\xf9\x3f\xdf\xac\xb0\x1a\x4a\xe9\xd0\x1e\x56\x0e\x69\x01\xd9\xf7\x6a\x35\xc5\x66\x2d\x59\x57\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(const void *, const void *), const void *, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glVDPAUInitNV
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoorddv
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1xOES
  {(uint8_t*)"\xd4\xcf\x82\x4c\xf1\xb6\xc9\x08\xac\x68\x43\xb9\x3a\xb0\xdd\x4c\xf3\x0b\x3d\xdb\x2d\xf1\x79\x97\x60\x32\xa5\xd6\xb5\x45\xf8\xe8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexBumpParameterivATI
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1xvOES
  {(uint8_t*)"\xbe\x8a\xde\x06\x4c\xfa\xed\xa2\x7b\xb4\x19\x82\x5f\x1a\x5a\x55\xb6\xef\x1e\xe6\x72\x60\x5a\x3b\x15\xa2\xfa\x7f\xa4\xfe\xe3\x83", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double), uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2dARB
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2fv
  {(uint8_t*)"\x94\x4f\x9f\x33\x04\x42\x98\x32\x6f\x25\xaf\x2e\xae\xa2\xf0\x2c\xc9\xc1\x8c\x7a\xdf\x55\x1a\x7d\xc6\xb8\x60\xba\x89\x71\x03\x40", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWeightsvARB
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2dv
  {(uint8_t*)"\xe3\xe7\x23\xca\x84\xb1\xde\xb2\xf6\x31\xfb\x1d\x2d\x1e\x0c\x4c\x18\x23\x8a\x8d\x64\xaa\x16\x16\x80\xdf\xba\x48\x8d\x9b\xb3\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2fARB
  {(uint8_t*)"\xe3\xe7\x23\xca\x84\xb1\xde\xb2\xf6\x31\xfb\x1d\x2d\x1e\x0c\x4c\x18\x23\x8a\x8d\x64\xaa\x16\x16\x80\xdf\xba\x48\x8d\x9b\xb3\x0a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float), uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2f
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2dvARB
  {(uint8_t*)"\x66\xcf\xdf\xd0\xf4\xb1\x37\x4a\x0c\xe1\x4b\x39\x70\xfa\x66\x94\xd4\xb4\x46\xa7\x3a\xa9\xc9\xe9\x42\xb7\x06\x13\xae\x62\x16\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSharpenTexFuncSGIS
  {(uint8_t*)"\x76\xe6\x80\x83\xf2\x87\x1c\xd6\xe2\x93\x1b\x08\x5a\x1d\x54\x22\x74\xf3\x83\x33\x38\x61\x55\x2a\xc5\x5c\x24\x93\x9a\x19\xda\xbc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glViewportSwizzleNV
  {(uint8_t*)"\xa9\xb7\x10\xce\xd6\xe4\x2a\xde\x57\x91\x0a\x75\xdb\x71\xf2\xbd\xef\x16\x77\xba\x89\x04\x4a\xda\x52\xe8\xb0\x54\x07\xfc\xe9\xa6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2hNV
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2iARB
  {(uint8_t*)"\x1f\x13\xa2\xc0\xb4\xf8\xd2\x95\xea\x56\x66\x9f\xbf\x07\x4a\x27\xb5\x03\x5c\xbb\xe4\x48\x2a\xec\x78\xa8\xb0\x2d\xf5\xb2\x97\xb7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void **, uint32_t), uint32_t, uint32_t, uint32_t, const void **, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glSecondaryColorPointerListIBM
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glShadingRateSampleOrderCustomNV
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2ivARB
  {(uint8_t*)"\xd8\xb3\xc0\xba\x81\xb3\x0c\x67\xfe\xeb\x02\x3b\x50\xd6\x25\xdb\xea\xff\x4a\xea\x0d\xa4\xc3\x0c\xee\xa1\x5d\x48\x08\x0f\x2d\x2a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2sARB
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelStoref
  {(uint8_t*)"\xa3\xf0\x1a\xd3\x13\xc0\x02\x90\x6b\xf4\xe8\x02\xf7\x7b\x98\x13\x1f\x42\xbc\xf4\x80\xb1\xb5\xac\x1d\xe1\x68\xfc\xb2\x7a\x89\x72", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint32_t, void *, void *), struct _XDisplay *, uint32_t, uint32_t, uint32_t, void *, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glXQueryHyperpipeBestAttribSGIX
  {(uint8_t*)"\xac\xc0\xdd\x16\x4b\xb2\x5f\xfb\x42\xf4\x67\x7c\x15\xc1\xdd\x62\x50\x1d\x5b\xaf\x11\x66\x4f\xa8\x1b\xc0\x9b\xf5\x90\xab\x90\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float), float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRotatef
  {(uint8_t*)"\xd8\xb3\xc0\xba\x81\xb3\x0c\x67\xfe\xeb\x02\x3b\x50\xd6\x25\xdb\xea\xff\x4a\xea\x0d\xa4\xc3\x0c\xee\xa1\x5d\x48\x08\x0f\x2d\x2a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2s
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2svARB
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPNTrianglesfATI
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2sv
  {(uint8_t*)"\x05\xa8\xff\xc7\xc1\x03\xf6\x6e\xc2\x76\xfd\x4d\xcf\x44\xbc\x3a\x32\xda\x02\x12\x0a\x00\xe9\x10\xf2\x3c\x50\x65\x07\xa0\x29\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayMultiTexCoordOffsetEXT
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3dARB
  {(uint8_t*)"\x32\x2b\x19\x85\x59\xa7\x8b\xfa\x49\x0d\xda\x28\xc3\x76\x32\xdf\x4b\x58\xef\x1d\x08\xe0\x64\xd6\x84\x0b\x91\x04\x00\xb0\x11\xce", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformMatrix3dv
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3d
  {(uint8_t*)"\x74\x93\x1a\xef\x3e\x4c\x5a\x5b\xb1\xf8\xbc\x70\x4d\x96\x32\x6a\x4b\x2d\xed\x2d\x72\xac\xa0\x91\xd5\xf2\xef\x67\x44\xb0\x8d\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(struct __GLsync *, uint32_t, uint64_t), struct __GLsync *, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWaitSync
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3dvARB
  {(uint8_t*)"\x1b\xd2\x73\xa2\x29\xe8\xa1\x8a\x18\x7e\x88\x4a\xd5\x20\x95\x39\x7e\x65\x5c\xc3\xf5\x9f\xe7\xd5\xa4\x2a\x05\x47\xe0\x32\xef\x4a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, void *, uint32_t, void *, void *), uint32_t, uint32_t, uint32_t, uint32_t, void *, uint32_t, void *, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetnSeparableFilter
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3fv
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsOcclusionQueryNV
  {(uint8_t*)"\xfc\x5a\xa6\x70\x93\xba\x6d\xff\x4d\x44\x27\x06\x07\x7c\xac\x95\x74\x62\x5d\x16\xcc\x82\xd6\xd2\x79\x9f\x83\xc6\x7a\xa5\x14\xb9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3hNV
  {(uint8_t*)"\xf6\x6c\x2f\xee\x9a\x1e\x6b\xd3\x85\x97\x90\xb1\x5e\xb6\x55\xb1\x4d\x2b\x4a\xc9\xa6\xb8\xc8\xe9\xe4\x67\x24\xdd\x38\xbe\xc0\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double, double, double), uint32_t, double, double, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMatrixOrthoEXT
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3iARB
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3i
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glFinishTextureSUNX
  {(uint8_t*)"\x40\x28\x11\x41\xd2\xcb\x7f\x47\x0d\x48\x18\x06\x9c\xd0\xee\x9a\x84\x10\x30\xf3\x72\x81\x37\xbe\x82\xef\x4f\xb0\xd1\x4d\xed\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParameterI4ivEXT
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3xOES
  {(uint8_t*)"\xc2\xe5\x00\x47\x18\x58\xe0\xc0\x0d\xa7\xd5\x0c\xf7\x3e\x65\x58\x87\xa0\x7c\x94\x64\xe4\x9c\x72\x00\xcb\xb9\x0c\x28\x55\x97\x47", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float, float, float, float, float), uint32_t, float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4bvOES
  {(uint8_t*)"\x50\x4f\xd5\xeb\xc4\x0f\xd0\x58\x78\xf8\x81\x2e\x56\xbc\x74\x85\x30\xbd\x6b\xe6\xb7\x43\x6d\xa5\x79\x0a\x70\x97\x61\x67\xda\xd9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double), uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4dARB
  {(uint8_t*)"\xaa\x00\x28\xe5\xcb\xac\x90\xfb\xf5\x51\x75\xaa\x59\xd9\x7f\xfb\x91\x54\x37\x18\x92\x7f\x6f\x22\x41\x0d\x30\x1a\xfd\xd4\x99\x92", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float), uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4fARB
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParameters4fvEXT
  {(uint8_t*)"\x58\x2e\xc1\xae\x5f\x9c\xef\xde\x9d\xc2\x83\x6c\xdc\xe2\x31\xd6\xa4\x9d\x58\xf6\xbb\x12\x88\xab\x2b\x45\x95\xb3\xf7\xf4\x52\x26", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParametersI4ivNV
  {(uint8_t*)"\x05\x1a\xf6\xc5\x17\xcd\xf1\xc9\x79\x7a\x0c\x96\xf7\xcb\x6e\xbd\x29\x47\xad\xfb\x3a\xed\xd2\xb6\xec\x50\x02\x8b\x88\x10\xa7\xf4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char *const *, uint32_t), uint32_t, uint32_t, const char *const *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glTransformFeedbackVaryingsEXT
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4fvARB
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameterIuiv
  {(uint8_t*)"\x5c\xdf\xd7\x2f\xd4\x72\x62\x31\x25\xc0\x31\x09\x9c\xdd\x98\xd3\x19\x52\x45\xc3\x14\x43\x39\xc3\xe8\x91\x88\x2f\x1e\xd2\xe0\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float, float, float, float, float, float, float), uint32_t, float, float, float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiColor4fNormal3fVertex3fSUN
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4fv
  {(uint8_t*)"\x91\xd9\x64\xb6\xc0\x47\x17\xb6\x44\x2e\x67\x27\xde\x70\xf9\xe0\xeb\xb2\x37\xb3\x99\x68\x64\xb5\x30\x28\x68\x97\x1c\xaa\x6d\x98", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4hNV
  {(uint8_t*)"\x0b\x87\x55\x13\xf4\x6e\x43\xb0\xe6\x98\x4c\x44\x87\xcb\x59\x0a\x31\xf4\xbe\x2b\x58\x39\x46\xb9\xb3\x53\xf3\x8a\xd0\x8c\x0a\xd5", (void(*)(void *))&GuestWrapperForHostFunction<void(double), double>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFogCoorddEXT
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4iARB
  {(uint8_t*)"\x91\x78\x0e\x6b\xbe\xb8\x21\x77\x6f\xbd\x5c\xd3\xb1\x14\xef\xcb\xa6\xe8\x8e\x4e\xc9\x59\x68\x72\xdd\x3e\xd5\x9e\xc7\xeb\x67\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, uint8_t), uint32_t, uint64_t, uint64_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedBufferPageCommitmentARB
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4i
  {(uint8_t*)"\x15\x09\x87\xfe\xb2\x73\xe3\xe4\x35\x9b\x81\xe7\x27\x37\x49\x81\xaf\x6a\x6a\xf7\x39\xf2\xbc\x8e\x1d\xda\x80\x8f\x46\xf2\x72\x83", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXFBConfigRec **(struct _XDisplay *, uint32_t, uint32_t*, uint32_t*), struct _XDisplay *, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXChooseFBConfigSGIX
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4iv
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4svARB
  {(uint8_t*)"\xd6\x93\xae\x14\x62\x64\xf1\x8c\x80\x2e\x3a\xb8\x60\x64\xba\xdd\xfd\x43\x96\xa7\xc4\x9d\x59\x2c\x01\x33\xd6\x7c\xb7\xa7\xde\x07", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPixelMapusv
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameterf
  {(uint8_t*)"\xd0\x4d\xc6\x2c\x53\x48\x03\x6d\xfb\xd2\x04\x47\x1e\x4b\x4f\x42\x15\x43\x6e\xce\x48\x66\xf2\xe2\x17\x06\xa6\xdf\xe1\x3a\x55\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glMultiTexCoordPointerEXT
  {(uint8_t*)"\xea\x1f\x07\x2a\xa4\x60\xa4\xe7\xbe\xaa\x66\x55\x42\xea\x8e\x03\x37\x6e\x9a\x8b\xbb\xdd\x7f\x25\x59\x0a\xf9\x71\xf0\x55\xf2\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float), uint32_t, uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexEnvfEXT
  {(uint8_t*)"\xa7\xa4\x18\xfb\x3b\x55\x43\xa2\xde\xc7\x93\x23\x6d\x89\xf9\x8b\xb5\xfc\x49\x1c\xd2\x44\x3c\x53\xe9\x94\x8a\xaa\xdd\x5a\xde\x93", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glColorSubTable
  {(uint8_t*)"\x40\x28\x11\x41\xd2\xcb\x7f\x47\x0d\x48\x18\x06\x9c\xd0\xee\x9a\x84\x10\x30\xf3\x72\x81\x37\xbe\x82\xef\x4f\xb0\xd1\x4d\xed\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexEnvivEXT
  {(uint8_t*)"\xf2\xec\x89\x6d\x01\x98\x6f\x08\x97\x7f\x49\xaf\x83\x29\x65\x22\xb4\xe1\x07\xa2\xdc\x88\x1a\x64\x6b\x08\x0d\x74\x26\xb4\xfd\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, const float *), uint32_t*, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiVertex3fvSUN
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord3bvOES
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexGeniEXT
  {(uint8_t*)"\x48\x62\x0f\xca\x03\xfd\xd4\x77\x73\x4a\x64\xae\x24\x7e\x96\xcd\x3a\xc6\x3d\x1d\xd3\x6f\x53\xc4\xb7\x98\x03\x0d\x10\xb7\x3d\xe3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double, double), uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4d
  {(uint8_t*)"\x72\xf3\x61\x58\x58\xaf\xf7\x4b\x6d\x9a\x21\xac\x4a\xc5\xc5\x86\x63\xf1\xa3\x04\x03\xb1\x4f\xbe\xf5\x66\x9e\x63\xdb\x82\x9d\xe6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, uint32_t, uint32_t, double, double, uint32_t, uint32_t, const double *), uint32_t, double, double, uint32_t, uint32_t, double, double, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMap2d
  {(uint8_t*)"\x40\x28\x11\x41\xd2\xcb\x7f\x47\x0d\x48\x18\x06\x9c\xd0\xee\x9a\x84\x10\x30\xf3\x72\x81\x37\xbe\x82\xef\x4f\xb0\xd1\x4d\xed\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexGenivEXT
  {(uint8_t*)"\x78\xbe\x42\xdd\xfc\x65\x44\x50\x86\x45\xf7\x00\xf5\x47\xbf\xe9\x66\x9d\x2d\x94\xae\xc3\x52\xb2\xbe\x2e\xd9\xaf\x98\x1b\xbd\xb5", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glMultiTexImage1DEXT
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexParameteriEXT
  {(uint8_t*)"\x40\x28\x11\x41\xd2\xcb\x7f\x47\x0d\x48\x18\x06\x9c\xd0\xee\x9a\x84\x10\x30\xf3\x72\x81\x37\xbe\x82\xef\x4f\xb0\xd1\x4d\xed\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexParameterivEXT
  {(uint8_t*)"\x64\x4d\xa6\x09\xee\x0d\xcb\x85\xbb\x8a\x76\x6f\x45\xec\xb6\xc0\xa0\x6d\x23\x07\x1a\xc0\x03\x64\x31\xe8\x30\xb9\x53\x66\xc5\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, const unsigned char *, const float *), uint32_t*, const unsigned char *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiColor4ubVertex3fvSUN
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUseProgramStages
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSpriteParameteriSGIX
  {(uint8_t*)"\xc5\x7a\x51\xdd\x74\x28\xe4\x50\xc6\x1e\x91\xfb\xce\x94\xd9\x59\xd8\xb0\xce\x58\x97\x9f\xf0\x4e\x58\xba\x62\x13\x92\x02\x47\x81", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glQueryResourceNV
  {(uint8_t*)"\x88\x44\xe5\x68\x2a\x87\x0e\x7d\xd2\x4d\x40\x4b\xe9\x81\xb5\xf7\xa9\xde\xfb\x29\x15\xaf\x99\xd7\xf4\x06\x7a\x33\xdf\xca\x7c\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glMultiTexSubImage1DEXT
  {(uint8_t*)"\xb9\xc7\x78\x84\xf7\x07\x86\x29\xe6\x1b\x6b\xe7\x3e\x20\x15\xa2\x87\x4e\xa9\xa9\xf1\x4d\x13\x82\x78\xbb\x8a\xcd\x1c\x10\xa8\x36", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glMultiTexSubImage2DEXT
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteRenderbuffers
  {(uint8_t*)"\x2d\x67\x9c\x92\x7d\x70\x70\x69\x7a\xee\x66\x71\xb1\x9d\x39\x51\x90\x04\xf8\x3b\xcf\x9a\x1a\xa6\xde\x37\x1f\xb1\x3c\x49\x9a\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glMultiTexSubImage3DEXT
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultMatrixxOES
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL1dvEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultTransposeMatrixdARB
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultTransposeMatrixfARB
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultTransposeMatrixxOES
  {(uint8_t*)"\x66\xcf\xdf\xd0\xf4\xb1\x37\x4a\x0c\xe1\x4b\x39\x70\xfa\x66\x94\xd4\xb4\x46\xa7\x3a\xa9\xc9\xe9\x42\xb7\x06\x13\xae\x62\x16\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDetailTexFuncSGIS
  {(uint8_t*)"\x8f\x0e\x7a\x3f\x01\xf5\x4e\x2e\xde\xe9\x67\xcd\x3c\xf8\x7a\x38\x34\xf8\xef\x43\x2f\x0f\xf2\x46\x3d\x5e\xa2\x4e\x98\x26\xae\x06", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInvalidateTexSubImage
  {(uint8_t*)"\xb0\xb6\xdb\x47\x8a\x77\x28\x16\x52\x78\x02\xb1\x4f\x8f\x1a\x03\xd2\x1d\x18\x03\xc8\xf5\x88\x5a\xdb\x0e\x02\x83\x1c\x61\xd4\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedBufferAttachMemoryNV
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2ivMESA
  {(uint8_t*)"\x0e\x4d\xda\x88\x34\xa2\x5c\x2c\x1c\xaf\xe5\x37\xb0\xa1\xfa\xf0\x24\xc1\xad\xa8\xfb\x0c\xb1\xd6\xf0\x23\xc9\x2a\x0b\xf5\x0d\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, const void *, uint32_t), uint32_t, uint64_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glNamedBufferData
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream2dvATI
  {(uint8_t*)"\x29\xcf\x55\xc7\x03\x43\xaf\x51\x24\x57\xb8\x41\x9b\x8f\x8e\xe2\x4a\xfa\xd0\xcc\x0a\x82\x8b\xa9\xbc\x24\xbc\xf1\x5f\x53\x04\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4i
  {(uint8_t*)"\x0e\x4d\xda\x88\x34\xa2\x5c\x2c\x1c\xaf\xe5\x37\xb0\xa1\xfa\xf0\x24\xc1\xad\xa8\xfb\x0c\xb1\xd6\xf0\x23\xc9\x2a\x0b\xf5\x0d\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, const void *, uint32_t), uint32_t, uint64_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glNamedBufferStorage
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetOcclusionQueryivNV
  {(uint8_t*)"\xca\x4a\x6d\xba\x47\x75\x77\x77\xa4\xf8\x3e\x18\x0d\x80\x16\x25\x26\x48\x97\x24\x90\x1b\x23\x3f\x3d\x4d\x83\x5b\x63\xab\xb5\xf8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t, const void *), uint32_t, uint64_t, uint64_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glNamedBufferSubData
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferDrawBuffer
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferDrawBuffers
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferParameteriEXT
  {(uint8_t*)"\x3b\x74\x8c\x49\xa5\xa1\xf0\x99\x4c\x45\x98\x2c\xa8\xad\x37\xc6\xaa\x41\xc2\x92\x81\xd4\x1d\xd6\x2b\xd7\x3d\x21\xd6\x50\x75\x6b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3ui
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferReadBuffer
  {(uint8_t*)"\x66\xcf\xdf\xd0\xf4\xb1\x37\x4a\x0c\xe1\x4b\x39\x70\xfa\x66\x94\xd4\xb4\x46\xa7\x3a\xa9\xc9\xe9\x42\xb7\x06\x13\xae\x62\x16\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs4fvNV
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferRenderbuffer
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferSampleLocationsfvNV
  {(uint8_t*)"\x10\x01\x1a\xfd\xf4\x1c\x11\x0b\x14\x13\x3f\x19\x9a\xa8\x7e\x27\xa1\x08\x48\x72\x4a\xbe\xac\x29\xee\x0e\x5a\xcf\x35\xc6\x5f\x4f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferTexture1DEXT
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribParameteriAMD
  {(uint8_t*)"\xf4\x59\x2e\x2b\x8b\x49\xf7\xbd\x6f\x76\x31\x5e\x0b\xf0\x92\xcc\x23\xbf\xc4\x43\xc7\x0c\x80\xa5\x02\x68\xa5\x30\x05\x79\x5d\xb4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferTexture3DEXT
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVertexAttribivNV
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos2xvOES
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferTextureEXT
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFragmentMaterialivSGIX
  {(uint8_t*)"\xe4\x7a\x6c\x17\x71\x4b\xf3\x6f\x5c\x93\x1b\xed\x01\x5f\x55\x0a\xfc\x15\x1f\xaa\x9f\xc9\x19\xca\xb9\x79\x50\x91\x76\xc8\xb0\x3c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float *), uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetSharpenTexFuncSGIS
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferTexture
  {(uint8_t*)"\xcc\x02\xe0\x57\xac\x5e\x3e\x0f\x3f\xad\x29\xa2\x7a\x87\xab\x2c\x21\xfe\xef\x41\xf9\x3d\x46\xc0\xea\x01\x45\x5e\x3e\x53\x1c\xaa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferTextureLayer
  {(uint8_t*)"\x6a\x91\x0f\xeb\x30\x17\xf7\x0f\x59\x61\x2c\x8a\xf5\xb9\x0b\x89\xf0\x16\xcf\xa0\x30\x27\x8b\x7a\x94\xad\x2b\xeb\x2a\x76\xb9\x11", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParameterI4iEXT
  {(uint8_t*)"\x09\x1e\xd6\x2f\x82\xf6\x53\xbf\xba\xeb\x55\x9d\xf5\xbb\x3d\x22\x19\xbc\xae\x1b\x89\x92\x4e\xc8\x03\xf1\xb5\x3e\xab\x7f\x83\xdf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCopyColorTableSGI
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsNamedBufferResidentNV
  {(uint8_t*)"\xf7\x0f\x3d\x10\x34\xd3\x00\x00\x05\xa2\xd1\x1d\x74\xb3\x62\xda\xc7\xac\x79\x98\x3a\x94\x89\xe7\x72\xb0\xe7\xc4\x9c\xb4\xc6\x1f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParameters4fvEXT
  {(uint8_t*)"\xdb\x0e\x40\x9d\x9d\x7c\x98\x9d\x34\x11\xfc\xe9\x62\x92\x7c\x3e\x77\xfc\xae\x74\x6c\x6e\xf7\x1e\x4e\x3e\x9f\x45\x47\x89\x6b\x14", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParametersI4ivEXT
  {(uint8_t*)"\x3c\xda\xc0\x6f\x44\x1e\xc3\x49\x14\xeb\x4f\x28\x16\xcd\x29\x57\xf9\xe0\xe7\x49\x60\x81\x8d\xca\xfb\x9d\xa6\xf6\x2a\x13\x48\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedProgramLocalParametersI4uivEXT
  {(uint8_t*)"\x4d\x25\x6d\xdf\xf5\x72\xb2\x69\x63\xd0\xc0\x7d\x5d\x3c\xf4\x8b\xc0\x74\x84\x43\xe0\x67\xb0\xfb\x2a\xb1\x23\x8e\x99\xe4\xe2\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedRenderbufferStorage
  {(uint8_t*)"\x39\xd5\xfb\x10\x3e\xcd\x23\x88\x2b\x70\x7b\xb5\x9d\xfa\x10\x1d\x71\x2f\x5c\xa2\x38\xc1\xb3\x98\x98\x9d\x1f\x94\x59\x40\xb9\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedRenderbufferStorageMultisampleCoverageEXT
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3hvNV
  {(uint8_t*)"\x6d\xb2\xb3\xe4\xdd\x5e\x48\x55\x5a\x84\xef\x71\x5f\xf2\xdf\x14\x08\xdd\x36\x58\xec\xfd\x24\x94\x35\xd0\x08\x66\xfb\xa0\xb0\x32", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t, uint32_t), struct _XDisplay *, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXChannelRectSyncSGIX
  {(uint8_t*)"\x7c\x11\x70\xf3\x66\x76\x22\x65\xcd\x3b\xdd\xd5\xa6\x5f\x62\x86\x35\x25\x47\x52\x51\x3b\x82\xb4\x66\x8a\x8e\xe5\xdb\x27\x2c\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedRenderbufferStorageMultisample
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNewList
  {(uint8_t*)"\x89\xfc\xcd\x1d\x51\x0b\xb3\x92\x21\x80\xb0\x4b\x73\x34\x53\xb1\xf2\x3b\xf9\x10\xb4\xcb\x99\x1c\x6b\x65\x62\x77\xcb\x1c\xf6\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3b
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3dv
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTexGenParameteriSGIS
  {(uint8_t*)"\x65\xd2\x38\x70\xde\xd5\xe1\x50\x91\x83\xb4\x2b\xcd\x4d\xe6\x70\xa1\x64\xc2\x0a\x50\x0e\xb8\xe5\x90\xb6\xad\xf4\x45\x96\x55\x0f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3hNV
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoordP3ui
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3hvNV
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3i
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3iv
  {(uint8_t*)"\xdd\x50\x4d\x5d\x20\x3a\x35\x93\xb9\x36\x88\x47\x96\x25\x2d\x42\x19\x1c\x02\xcc\xa9\x2c\xdf\x3d\xa1\xcc\x3f\xbe\x95\xcd\xa2\x48", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float *), uint32_t, uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetnUniformfv
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3f
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3sv
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathParameterivNV
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenRenderbuffersEXT
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormal3xvOES
  {(uint8_t*)"\x7e\x13\xc6\xbd\x27\xc9\x43\x53\x41\x4c\x5d\xdf\xf6\xba\x77\xc1\x4b\x57\xad\x03\x2f\xfa\x39\x23\xa0\x17\x27\x57\xda\x22\x2f\xb3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glNormalPointerEXT
  {(uint8_t*)"\x0b\x55\xa7\x6d\x17\xee\x05\x38\x36\x9e\x7c\x83\x48\xc0\x0f\xe3\x3f\x52\xef\xc2\x73\x6d\xd9\x3b\x79\x68\x82\xa4\x99\x27\xec\x70", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void **), uint32_t, const void **>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glNormalPointervINTEL
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2i
  {(uint8_t*)"\xf5\x00\x78\x56\x60\x61\x8f\x48\x05\xa9\x5e\x78\x4e\xa9\x2e\x07\xf4\x49\xba\xbd\x0b\xfc\xe2\x21\x93\x40\xdb\x44\xdf\xf8\xe4\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalStream3fATI
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalStream3fvATI
  {(uint8_t*)"\x19\xf5\x51\x80\x39\x0c\xc6\x6c\xf2\x46\x8c\x1e\xd3\xe0\x05\x47\x1d\x2f\x3e\x8a\xb1\xd2\x8b\x48\x40\x74\x4f\x38\x80\xe4\x37\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalStream3iATI
  {(uint8_t*)"\x91\x07\xdf\x3a\xc6\x2c\x87\x84\xe6\xde\x8a\xa3\xfb\x5d\xd7\x10\xeb\x2c\x3e\x54\x57\x6c\x9a\x7f\xa5\x57\x54\x6f\xff\x86\xb5\xd4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const char *), uint32_t, uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glObjectLabel
  {(uint8_t*)"\x41\x7e\xd0\xd6\x3e\x0a\xf6\x8e\xc0\xad\x28\x55\x34\x51\xd9\x0a\x67\xbc\xc8\xa3\x06\x73\x92\x17\x95\x02\x71\xc7\x8f\x3e\x44\xad", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTexParameterIuiv
  {(uint8_t*)"\x2b\xac\x35\x0e\xe8\x6d\x06\x87\xcb\x81\x01\x08\x99\xe1\x7e\x53\x09\x2d\x11\xfd\x18\x8a\xa9\x1c\x65\x7d\xe0\x1d\xe7\xc5\xbc\x37", (void(*)(void *))&GuestWrapperForHostFunction<void(const void *, uint32_t, const char *), const void *, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glObjectPtrLabel
  {(uint8_t*)"\x7a\x3e\x6f\xd6\xf5\xd1\x12\xce\xf9\x5c\x53\xd8\x9f\x88\x95\x21\x9a\x4f\xb4\xfe\xf2\x29\x31\x1b\xd7\xb9\x5f\xd9\xfa\x54\xac\xb8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const void *), uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glDrawArraysIndirect
  {(uint8_t*)"\xeb\x13\xd5\x2f\x24\x5a\x04\x7b\x01\x25\x14\x21\x3b\xef\x4a\x46\x70\x3a\x45\xf2\xa0\xbd\x6d\x0e\x71\xee\x35\xe8\x1a\x1b\x55\x7e", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float), float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glOrthofOES
  {(uint8_t*)"\x40\xe0\x5f\x18\x13\xa1\x27\x03\x9f\xe5\xf6\x20\xcb\xc5\xd5\x18\xd8\x34\xfb\x96\xa6\x3c\xc1\xa5\x09\x5e\xe2\x2b\x35\x97\x6c\x4d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4i64NV
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3fv
  {(uint8_t*)"\x20\xa3\xc0\x90\xf8\xc0\x3e\x6c\x71\x59\xc6\x09\x3d\x22\x78\x28\x25\xfc\xa7\x9d\x2a\xcb\xac\xec\x30\x07\x55\x03\x32\xcf\x50\xf3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glOrthoxOES
  {(uint8_t*)"\x28\xe4\x62\x84\xcb\x24\x8b\x2e\x08\xb4\xc1\xf4\x58\x24\x0e\xa3\xd2\x83\xee\xd3\x4b\xf8\x2d\xe1\x0f\x16\xb7\x5f\x16\xb0\xc7\x81", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glPathCoordsNV
  {(uint8_t*)"\x99\x5a\xdd\xc7\xcf\x92\xe9\x15\x21\xb2\x1b\xda\x4c\xb4\x22\x80\x01\xcb\x81\x61\x13\x5b\xaf\x18\x34\xf1\xcd\x85\x3e\x21\x51\x47", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureStorage2DEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathCoverDepthFuncNV
  {(uint8_t*)"\x66\xcf\xdf\xd0\xf4\xb1\x37\x4a\x0c\xe1\x4b\x39\x70\xfa\x66\x94\xd4\xb4\x46\xa7\x3a\xa9\xc9\xe9\x42\xb7\x06\x13\xae\x62\x16\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathDashArrayNV
  {(uint8_t*)"\xdf\x9d\xbc\xa0\xab\xe7\x5e\x13\x6c\x43\xbf\x77\x87\x0a\x3b\xa6\x7d\x43\x71\x73\x24\x02\x10\x6b\xf6\x20\xc0\x1b\xe0\xed\xac\xba", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t), struct _XDisplay *, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXReleaseBuffersMESA
  {(uint8_t*)"\x9a\x38\x18\x07\x92\x0e\xeb\xea\x9d\x90\xf9\xc3\x3a\xd9\xe4\x91\x5e\x23\x3f\x3c\xa4\xc6\x10\x46\xe8\xf4\x1b\x70\x8d\x34\x8d\x26", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, float), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathGlyphRangeNV
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glVDPAUFiniNV
  {(uint8_t*)"\xf5\x00\x78\x56\x60\x61\x8f\x48\x05\xa9\x5e\x78\x4e\xa9\x2e\x07\xf4\x49\xba\xbd\x0b\xfc\xe2\x21\x93\x40\xdb\x44\xdf\xf8\xe4\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float), uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiVertex3fSUN
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateStatesNV
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeusvSUN
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexP4uiv
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4bvOES
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathParameterfNV
  {(uint8_t*)"\xea\xba\xa1\x5f\x6a\xdb\x20\x6f\x4f\x0a\xfe\xf8\xdb\xa4\x41\x37\xb3\x95\xfb\x02\x65\x75\xf8\x1d\x11\x1b\xab\x9c\xb0\x22\x81\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexEnvfvEXT
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPathParameterfvNV
  {(uint8_t*)"\x44\x28\xa5\xa5\x40\x51\x2a\x85\x9b\xa2\x7f\x42\x1b\x04\xfe\xbe\x08\x94\xd8\x48\x90\xba\xad\x60\x88\xba\xb7\x4b\x6a\xb3\xa2\xc1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateTextures
  {(uint8_t*)"\x62\xa8\x35\x5a\x4c\xf8\x28\x4b\x69\x5a\xc9\xda\x5a\xe6\x4a\xc3\xe9\x48\xaa\xd7\x11\x59\xec\x56\x5b\x81\x0b\x9f\xcc\xb2\x57\x05", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPerfMonitorCounterDataAMD
  {(uint8_t*)"\x98\x96\xc2\x7e\xd2\x56\x78\xd3\x59\x0a\x5e\xff\x13\xbe\x5a\x17\xa8\xbe\xde\x7c\x4b\x9d\x75\xb6\x35\x76\x8f\x17\x1f\xec\x2a\x11", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const unsigned char *, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const unsigned char *, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glPathSubCommandsNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2fv
  {(uint8_t*)"\xed\xf4\xd4\xd2\x46\x17\xc6\xa8\xa4\x3e\x56\x75\xfc\x9f\x99\x65\x99\xb5\xd9\x58\x3e\xe0\x19\x3d\x61\x43\xb3\x5a\x3a\xf7\x2b\xa4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glPathSubCoordsNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glFlushPixelDataRangeNV
  {(uint8_t*)"\x66\xcf\xdf\xd0\xf4\xb1\x37\x4a\x0c\xe1\x4b\x39\x70\xfa\x66\x94\xd4\xb4\x46\xa7\x3a\xa9\xc9\xe9\x42\xb7\x06\x13\xae\x62\x16\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelMapfv
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelStorei
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoordP1uiv
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelStorex
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTransferf
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib2fvNV
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTransferi
  {(uint8_t*)"\xf3\x7d\x34\x2b\xf4\x90\xa1\x3f\x3d\x34\xa5\xd7\xfe\xc6\x13\xa9\x56\x8a\xa9\x75\x10\xd8\x31\x2e\x3e\x97\x8e\x2c\xf5\x7f\xff\x5c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float), uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4fARB
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glListParameterfvSGIX
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameterfvEXT
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTransferxOES
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTransformParameterfEXT
  {(uint8_t*)"\x0b\xd6\xdb\x62\x03\x20\x15\xb4\xcd\x0c\xff\x92\x09\x57\xf6\x13\x03\xf3\x6a\x36\x52\x1f\xf5\x72\x08\xec\xfa\x2d\xbe\xdd\x25\x95", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t, uint64_t), uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glInvalidateBufferSubData
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelTransformParameterivEXT
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPixelZoom
  {(uint8_t*)"\xab\xc4\xa1\xe6\x9a\x56\xd7\x20\xaf\x25\x2b\x1f\x44\x63\xdd\xd5\x40\xf3\xc4\x7a\xf6\xd8\xf3\x68\x85\xdb\x83\xde\x4c\xa7\x79\xbd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float *), uint32_t, uint32_t, float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetCombinerStageParameterfvNV
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameterfARB
  {(uint8_t*)"\xb2\xfc\x80\xf3\x23\xdd\xcc\x1b\x21\x22\xa0\x32\xfe\xc1\x2f\xcf\x3a\xab\x94\xdb\xfb\x70\x67\xfb\x06\x0d\xa1\x89\x2d\xa9\x7f\xff", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float), uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameterfEXT
  {(uint8_t*)"\x62\x1e\xa0\x79\x19\xf8\x27\x42\x82\xe3\x48\x70\x7f\x0e\x8e\xb3\x1b\x5a\xfe\x6e\xe9\xf7\x58\x57\x44\x54\x07\xa3\x17\x39\xa1\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const unsigned char *), uint32_t, const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib4ubv
  {(uint8_t*)"\xbf\x7d\xb6\x55\x1d\x04\xd7\x52\x10\x32\x10\x8e\xf4\xc5\xbf\xb1\xd0\x18\xf0\x22\x3b\x26\xdc\xee\x5e\x35\x96\x89\xaf\x1a\x36\xde", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t, uint32_t, uint32_t), uint64_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiDrawMeshTasksIndirectNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glEndQuery
  {(uint8_t*)"\x86\x15\x5e\xec\x66\xcc\x6a\x79\x68\x9a\xd3\xb5\x3d\x88\xca\x38\x98\x8f\xb8\x5e\x83\x36\xc0\xa4\x9d\x4c\xe7\x20\x72\x9a\x2f\x02", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetInternalformativ
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameterfvARB
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameteri
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameteriNV
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameteriv
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameterivNV
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1dv
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointParameterxvOES
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointSize
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPointSizexOES
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPolygonMode
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPolygonOffset
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glPopDebugGroup
  {(uint8_t*)"\x8c\x38\x82\x28\x7c\x23\x67\x8d\x28\xe4\x0c\x89\x2a\x5b\xa0\x9c\x46\x31\x25\x80\x4e\x8e\x7d\x2a\xaf\xd7\xb8\x11\x44\x51\xdd\xcd", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t*, uint64_t*, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, uint64_t*), uint32_t, uint32_t*, uint64_t*, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glAsyncCopyImageSubDataNVX
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPolygonOffsetxOES
  {(uint8_t*)"\x7c\x11\x70\xf3\x66\x76\x22\x65\xcd\x3b\xdd\xd5\xa6\x5f\x62\x86\x35\x25\x47\x52\x51\x3b\x82\xb4\x66\x8a\x8e\xe5\xdb\x27\x2c\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRenderbufferStorageMultisample
  {(uint8_t*)"\x97\x36\xf7\x8b\xbb\xa4\x1a\xb8\xe6\x27\xf7\xf0\x20\xfa\x83\xce\x0d\x7d\x86\xc3\x4f\x96\x99\x5a\xea\xff\x65\x25\x25\xdb\x3e\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const unsigned char *), const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPolygonStipple
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glPopAttrib
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glPopClientAttrib
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRotatexOES
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertex3bvOES
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glPopMatrix
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPrimitiveRestartIndex
  {(uint8_t*)"\x5f\xcb\xf4\x4a\x3e\x04\x2d\x44\x46\x65\x94\x21\x29\xb7\x01\x58\x03\x3f\x5c\xfb\x6d\x67\x83\xa3\xe7\x57\x38\x18\xbb\xc8\x04\xe7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, const float *, const float *, const float *), uint32_t*, const float *, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPrimitiveRestartIndexNV
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniformBlockBinding
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glPrimitiveRestartNV
  {(uint8_t*)"\x40\x28\x11\x41\xd2\xcb\x7f\x47\x0d\x48\x18\x06\x9c\xd0\xee\x9a\x84\x10\x30\xf3\x72\x81\x37\xbe\x82\xef\x4f\xb0\xd1\x4d\xed\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameterivEXT
  {(uint8_t*)"\xfe\xd8\x6c\xbf\x39\x7a\x42\xe4\x6a\xc0\xa3\xdf\x47\xe6\x4e\xb3\x92\xac\x05\x03\x8c\x8e\xf1\x64\xc6\x70\x68\xcb\x1f\x5f\xe4\xfa", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBufferAddressRangeNV
  {(uint8_t*)"\x07\x73\x18\x2e\x71\xe4\xf9\x48\x70\x0f\xe1\xd7\xae\x34\xee\x57\xb4\xf0\x99\x1f\x0e\x0c\xfa\x32\x86\x51\xd1\xb0\xd7\xb3\xbc\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t*), uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPrioritizeTexturesxOES
  {(uint8_t*)"\xdb\x0e\x40\x9d\x9d\x7c\x98\x9d\x34\x11\xfc\xe9\x62\x92\x7c\x3e\x77\xfc\xae\x74\x6c\x6e\xf7\x1e\x4e\x3e\x9f\x45\x47\x89\x6b\x14", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramBufferParametersIivNV
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1fvARB
  {(uint8_t*)"\x3c\xda\xc0\x6f\x44\x1e\xc3\x49\x14\xeb\x4f\x28\x16\xcd\x29\x57\xf9\xe0\xe7\x49\x60\x81\x8d\xca\xfb\x9d\xa6\xf6\x2a\x13\x48\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramBufferParametersIuivNV
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParameter4fvARB
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureParameteri
  {(uint8_t*)"\x1f\x3b\x68\x51\x60\x6c\xcb\xa7\x3a\x66\x2f\x83\x24\xb8\x9e\x9f\xad\x12\x4f\xad\xc0\x3a\x04\xf4\xd7\x29\xa4\x52\x35\x11\xf8\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParameterI4iNV
  {(uint8_t*)"\x61\x09\x37\x48\x25\x15\xd0\x13\x1c\xd7\x7b\xd7\x58\x10\x9e\xf0\x0d\x5f\xf3\x16\x35\x79\x79\xab\xa8\x46\x93\x92\x6f\xbc\xcc\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double, double, double), uint32_t, uint32_t, double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParameter4dARB
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParameterI4ivNV
  {(uint8_t*)"\x4c\x93\xac\x34\xe5\xe9\xc1\x05\x0e\xfa\x23\xed\x7a\xc0\x4c\x44\x5e\xde\xb4\xc9\x5b\xec\xc8\x21\x67\x8b\x10\x8c\x75\x32\x8a\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramLocalParameterI4uiNV
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4x3fv
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3fv
  {(uint8_t*)"\x20\xbb\x14\x8e\xb1\xe8\x85\x40\x51\x63\x66\x23\x7e\x6c\xf6\x64\xf7\x1c\x42\xb3\xa3\x00\x98\xff\x39\x2d\x0f\xea\x24\xba\x65\xee", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*, uint32_t, const void *, uint32_t), uint32_t, uint32_t*, uint32_t, const void *, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glShaderBinary
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetNamedBufferParameteriv
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3d
  {(uint8_t*)"\xee\xab\xdf\x6a\x4e\x41\xef\xd5\x5a\x3d\x6d\x74\x87\x8d\x97\xa7\x35\xc7\xf3\xd0\x57\x3d\x8d\xca\x3d\xd9\x94\xa9\xd3\x04\x74\x9b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramParameter4dvNV
  {(uint8_t*)"\x37\xd4\x4e\x7c\xd2\x70\x54\x91\x9b\x7f\xd2\x8e\xbd\x27\xec\x8e\x8a\xa4\x18\x4c\xb3\xe7\xc3\x90\x38\xff\x3c\xea\xa6\x30\x41\xfb", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, float, float), uint32_t, uint32_t, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramParameter4fNV
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramParameter4fvNV
  {(uint8_t*)"\xcc\xb0\x74\x65\x43\xe7\xaf\x9c\x72\x27\x36\x63\x66\x51\x74\x6b\xc8\xc8\x9d\xd4\x6f\xb5\x38\x73\x51\xdc\x37\x0f\x5e\x20\x8b\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramParameters4fvNV
  {(uint8_t*)"\x66\xcf\xdf\xd0\xf4\xb1\x37\x4a\x0c\xe1\x4b\x39\x70\xfa\x66\x94\xd4\xb4\x46\xa7\x3a\xa9\xc9\xe9\x42\xb7\x06\x13\xae\x62\x16\xd3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs1fvNV
  {(uint8_t*)"\x4a\x50\x37\xb1\xa7\xe3\xbd\xf7\x6b\x42\xb0\xed\xff\x92\x92\x8b\xa4\xc3\x81\x1a\xc8\x80\x68\x2e\x3e\xaa\x86\xd2\xd8\x29\x6e\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramPathFragmentInputGenNV
  {(uint8_t*)"\xa5\x62\x7e\xee\xde\xba\x26\x4a\x38\x99\xf6\x81\x68\xfd\x24\x28\x1c\x60\xa7\xc3\x61\xdc\xdf\x37\xd8\x9f\xa2\x7b\x48\x71\x0e\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetTextureLevelParameteriv
  {(uint8_t*)"\xe3\xc0\x26\x89\xef\x92\x25\xaf\xc2\x85\xc2\xd6\xb9\x74\x55\xd5\x99\xc6\x4d\xf8\x23\x1e\x73\x60\x62\x6a\xd8\x5b\x4f\xe1\x48\xab", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glProgramStringARB
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glScaled
  {(uint8_t*)"\x39\xd5\xfb\x10\x3e\xcd\x23\x88\x2b\x70\x7b\xb5\x9d\xfa\x10\x1d\x71\x2f\x5c\xa2\x38\xc1\xb3\x98\x98\x9d\x1f\x94\x59\x40\xb9\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRenderbufferStorageMultisampleAdvancedAMD
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayParameteriAPPLE
  {(uint8_t*)"\x6d\xc2\xd2\x8b\x86\xdc\xc0\x2c\x90\x18\x0e\x7a\x8e\x6a\xfa\x47\x46\x41\x92\xd6\xa7\x88\xc2\x8c\x9e\x86\xc3\x8e\xf4\x32\x78\xa1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramSubroutineParametersuivNV
  {(uint8_t*)"\xf0\x06\x1e\x19\xbf\x7e\x3f\x37\xca\xe4\x71\x05\x0e\xe9\xe7\xa5\x79\xed\x06\xc0\x0d\xb6\x2b\x34\x0d\xaa\xbf\x8a\x2c\x5a\xc3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1dv
  {(uint8_t*)"\xfa\xa6\x44\x41\xc2\xe8\x78\x48\xe3\xf1\xc7\xa4\x7e\xa1\x0f\xfe\x35\x39\xb2\xff\x1e\xf6\xad\x20\x8b\x03\xe3\x16\x5e\xe3\x5a\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1i64vNV
  {(uint8_t*)"\x56\x61\x8f\xa5\x57\xe4\x8b\xba\xb5\xb9\xbb\x05\x96\x75\x15\x83\x42\x6b\x30\xeb\x6f\xee\xa1\xd9\x6a\x43\xe0\x58\x63\x23\x05\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1ivEXT
  {(uint8_t*)"\x97\x36\xf7\x8b\xbb\xa4\x1a\xb8\xe6\x27\xf7\xf0\x20\xfa\x83\xce\x0d\x7d\x86\xc3\x4f\x96\x99\x5a\xea\xff\x65\x25\x25\xdb\x3e\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const unsigned char *), const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glColor4ubv
  {(uint8_t*)"\x56\x61\x8f\xa5\x57\xe4\x8b\xba\xb5\xb9\xbb\x05\x96\x75\x15\x83\x42\x6b\x30\xeb\x6f\xee\xa1\xd9\x6a\x43\xe0\x58\x63\x23\x05\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1iv
  {(uint8_t*)"\x49\x1a\xef\xec\xfd\x67\x99\x45\xc6\x05\xed\x25\x5d\x0e\x1a\x81\xa3\xd8\x75\x61\xbc\x15\x9c\xb3\x3a\x00\x6e\x3f\x24\x4a\x88\x30", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1ui64ARB
  {(uint8_t*)"\x49\x1a\xef\xec\xfd\x67\x99\x45\xc6\x05\xed\x25\x5d\x0e\x1a\x81\xa3\xd8\x75\x61\xbc\x15\x9c\xb3\x3a\x00\x6e\x3f\x24\x4a\x88\x30", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1ui64NV
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1sv
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1ui64vARB
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1ui64vNV
  {(uint8_t*)"\x26\x40\xd1\x47\x7c\x89\xb7\x0e\x0b\xce\x53\x8c\x8b\x68\x15\x0a\x90\x3e\xf5\x96\x59\xf8\xaa\xc2\x18\xec\x8b\xa2\x08\x19\x43\x53", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1ui
  {(uint8_t*)"\x8b\x84\x01\x98\x64\x5c\xd0\x8b\x72\x5e\x0f\xcd\xce\xe5\x93\x89\x44\x12\xce\x43\x93\x1b\x9a\x6c\xb5\x16\x87\xb8\xc9\x24\x4d\x99", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double), uint32_t, uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2dEXT
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTessellationFactorAMD
  {(uint8_t*)"\x87\x6a\x1d\xde\xb9\x3c\xb5\xaa\xf2\x1c\x87\xcc\x86\x99\x90\x82\xb9\x3b\x42\x5a\xcd\x6d\x56\x86\xcb\x58\x58\x62\xd4\x67\x77\xbf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1i64vNV
  {(uint8_t*)"\x8b\x84\x01\x98\x64\x5c\xd0\x8b\x72\x5e\x0f\xcd\xce\xe5\x93\x89\x44\x12\xce\x43\x93\x1b\x9a\x6c\xb5\x16\x87\xb8\xc9\x24\x4d\x99", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double), uint32_t, uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2d
  {(uint8_t*)"\x29\x7b\x9d\xe3\x52\x1e\xa4\x35\xdf\x57\x4b\xb8\x40\x1f\x06\x95\x0d\x2a\x8d\x39\xee\x00\x0c\x02\xd7\x15\x13\x33\xc9\x2f\xa6\x48", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, uint32_t), uint32_t, uint32_t, uint32_t, uint8_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribFormat
  {(uint8_t*)"\xf0\x06\x1e\x19\xbf\x7e\x3f\x37\xca\xe4\x71\x05\x0e\xe9\xe7\xa5\x79\xed\x06\xc0\x0d\xb6\x2b\x34\x0d\xaa\xbf\x8a\x2c\x5a\xc3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2dv
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glProvokingVertexEXT
  {(uint8_t*)"\xef\x91\xc7\xdd\xd3\x91\xdd\x1e\xbd\x41\xe1\x00\x88\x5c\xfd\xbb\x11\xec\x44\xc7\xf2\xca\xab\x7e\x53\x25\xa9\x7a\x6e\x34\xb0\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2fv
  {(uint8_t*)"\x26\x80\x6f\xbc\x32\x62\x85\x87\xef\x45\x8f\x5c\x53\x2a\x37\xc4\xef\xc0\x2f\x92\x3a\x25\xeb\x9d\xa9\x92\x82\xae\xe5\x9a\x5f\xd4", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUniformLocation
  {(uint8_t*)"\x6a\x72\x9a\xc4\xef\xf2\xe2\xfb\xf0\xfd\x03\x49\xf4\xef\x6c\xd5\xd4\x8c\x3f\x9d\xbb\x69\x93\x4a\x58\x31\x05\x4b\x5d\x41\x30\xe7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2i64ARB
  {(uint8_t*)"\xfa\xa6\x44\x41\xc2\xe8\x78\x48\xe3\xf1\xc7\xa4\x7e\xa1\x0f\xfe\x35\x39\xb2\xff\x1e\xf6\xad\x20\x8b\x03\xe3\x16\x5e\xe3\x5a\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2i64vARB
  {(uint8_t*)"\x56\x61\x8f\xa5\x57\xe4\x8b\xba\xb5\xb9\xbb\x05\x96\x75\x15\x83\x42\x6b\x30\xeb\x6f\xee\xa1\xd9\x6a\x43\xe0\x58\x63\x23\x05\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2ivEXT
  {(uint8_t*)"\x9c\xd2\x70\xcc\x4c\x48\xa4\xd9\xf5\x2c\xe3\xb6\xd8\xc9\x6a\x43\x1c\x61\x4c\x71\x19\x48\x4b\x93\x72\xfd\x7f\x42\x23\x10\x02\x88", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2ui64ARB
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4x2fv
  {(uint8_t*)"\x08\x61\x32\x86\x98\x04\xc3\x56\x4f\x8e\x86\xcb\xa7\x57\x69\x8f\x38\xfa\xe7\x58\x46\x7b\x44\x9d\x69\xea\xb0\x4f\xc7\x1e\x8d\xea", (void(*)(void *))&GuestWrapperForHostFunction<struct __GLXcontextRec *(struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t, struct __GLXcontextRec *, uint32_t), struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t, struct __GLXcontextRec *, uint32_t>::Call<ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glXCreateNewContext
  {(uint8_t*)"\x7d\x44\x86\xb3\x1c\x57\x27\xcc\xb5\x01\xa1\xc6\x5a\x92\x56\x31\xe4\x73\xd7\xb6\x05\x3a\x32\x10\x00\x11\xe1\x8b\x52\x35\xb5\x4b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint64_t), uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSignalVkFenceNV
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2ui64vARB
  {(uint8_t*)"\x50\x15\x99\xcd\xe9\x58\x5e\xcd\xd7\xb9\x66\x8e\xd9\x0c\x34\xa8\x6f\xfe\xab\xac\x89\x0d\xaa\xe1\x7f\xa8\xca\x78\x12\x6c\x44\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2ui
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glLightModeliv
  {(uint8_t*)"\x31\x23\xcc\xff\x88\x1d\xef\x44\x83\x6e\x03\x74\x9f\x2e\x52\x9d\xa7\x03\xb2\x40\x1e\x28\x95\xf3\xa6\x01\x6e\x74\xbf\xf0\x2a\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2uiv
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexArrayBindingDivisor
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glClearDepthxOES
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNamedFramebufferRenderbufferEXT
  {(uint8_t*)"\x06\xfc\x0b\xef\xf9\x28\x81\x4d\xcb\x17\x30\xd3\xfe\xf9\xe7\xc1\xde\x45\xd7\xf2\xcb\xd8\x7f\xa4\x86\x3e\x79\xd8\x9c\xca\x7a\x73", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, double, double, double), uint32_t, uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3d
  {(uint8_t*)"\x94\x28\x68\x91\xac\xe2\xcb\x47\x40\x05\xb4\x9d\xf5\x50\xf0\xfe\xc2\x2f\x3a\x0d\x7e\xbd\xc7\xf0\xbf\x56\xbd\x1e\x4c\x06\x56\xf3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float, float), uint32_t, uint32_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3f
  {(uint8_t*)"\xef\x91\xc7\xdd\xd3\x91\xdd\x1e\xbd\x41\xe1\x00\x88\x5c\xfd\xbb\x11\xec\x44\xc7\xf2\xca\xab\x7e\x53\x25\xa9\x7a\x6e\x34\xb0\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3fvEXT
  {(uint8_t*)"\xfc\x15\xca\x8e\x95\x76\xdf\x74\x41\x90\xb0\xc0\xaf\xb4\xd5\x59\xe3\x0d\x33\x1e\x78\xac\xc7\xf3\xba\x8b\xeb\xfa\xc9\x7f\x35\x5a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, const void *), uint32_t, uint32_t, uint64_t, uint64_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glMulticastBufferSubDataNV
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPolygonOffsetEXT
  {(uint8_t*)"\xef\x91\xc7\xdd\xd3\x91\xdd\x1e\xbd\x41\xe1\x00\x88\x5c\xfd\xbb\x11\xec\x44\xc7\xf2\xca\xab\x7e\x53\x25\xa9\x7a\x6e\x34\xb0\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3fv
  {(uint8_t*)"\x8b\xda\xb6\xfd\xf7\xf7\x9e\x93\x5d\xff\x58\xe7\xcb\xe2\x38\x2b\x92\x44\x46\x78\xd9\x95\x62\x2a\x4e\x26\xe3\x5e\xbf\x91\x45\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTextureARB
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord2i
  {(uint8_t*)"\xfa\xa6\x44\x41\xc2\xe8\x78\x48\xe3\xf1\xc7\xa4\x7e\xa1\x0f\xfe\x35\x39\xb2\xff\x1e\xf6\xad\x20\x8b\x03\xe3\x16\x5e\xe3\x5a\x86", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3i64vNV
  {(uint8_t*)"\x10\x18\xa6\x0f\x33\x97\xbc\x02\x38\x0f\xc9\xee\xcd\x6b\x2c\x42\xae\x3b\x35\xc9\x7c\x79\x85\x38\x0b\x86\x80\x46\x06\x59\xf7\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3ui64NV
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2svARB
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3ui64vARB
  {(uint8_t*)"\x31\x23\xcc\xff\x88\x1d\xef\x44\x83\x6e\x03\x74\x9f\x2e\x52\x9d\xa7\x03\xb2\x40\x1e\x28\x95\xf3\xa6\x01\x6e\x74\xbf\xf0\x2a\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3uivEXT
  {(uint8_t*)"\x31\x23\xcc\xff\x88\x1d\xef\x44\x83\x6e\x03\x74\x9f\x2e\x52\x9d\xa7\x03\xb2\x40\x1e\x28\x95\xf3\xa6\x01\x6e\x74\xbf\xf0\x2a\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3uiv
  {(uint8_t*)"\xf0\x06\x1e\x19\xbf\x7e\x3f\x37\xca\xe4\x71\x05\x0e\xe9\xe7\xa5\x79\xed\x06\xc0\x0d\xb6\x2b\x34\x0d\xaa\xbf\x8a\x2c\x5a\xc3\xac", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const double *), uint32_t, uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4dv
  {(uint8_t*)"\xef\x91\xc7\xdd\xd3\x91\xdd\x1e\xbd\x41\xe1\x00\x88\x5c\xfd\xbb\x11\xec\x44\xc7\xf2\xca\xab\x7e\x53\x25\xa9\x7a\x6e\x34\xb0\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4fv
  {(uint8_t*)"\x29\xcf\x55\xc7\x03\x43\xaf\x51\x24\x57\xb8\x41\x9b\x8f\x8e\xe2\x4a\xfa\xd0\xcc\x0a\x82\x8b\xa9\xbc\x24\xbc\xf1\x5f\x53\x04\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4iEXT
  {(uint8_t*)"\x84\x9d\xeb\xf8\x9e\x0a\x35\x34\xd8\x91\xd2\xde\xae\xed\x86\xd3\x48\x80\xc0\x66\x2e\x68\xf1\xe9\x1c\x6d\xae\xba\x64\x75\xf5\x57", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, float), struct _XDisplay *, uint64_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXCushionSGI
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL2dv
  {(uint8_t*)"\xa4\xd0\xee\xdc\x70\x37\xff\x36\x25\x7c\xa1\x31\x14\xe3\xab\xed\x1f\x58\x2d\xb1\x6a\xbc\x14\xec\xfb\x9f\xc0\xec\xcb\x28\x94\x20", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform3iEXT
  {(uint8_t*)"\x56\x61\x8f\xa5\x57\xe4\x8b\xba\xb5\xb9\xbb\x05\x96\x75\x15\x83\x42\x6b\x30\xeb\x6f\xee\xa1\xd9\x6a\x43\xe0\x58\x63\x23\x05\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4iv
  {(uint8_t*)"\x1a\x27\x09\xf6\xda\x38\xe2\x35\x4e\x6c\xa5\xf1\xb4\x1e\x4c\x33\xe9\x88\xeb\x2b\x20\x68\xb0\x0d\x6e\xb7\xff\xe0\x57\x66\xe0\x71", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4ui64ARB
  {(uint8_t*)"\x3f\xd7\xf8\xcd\x5d\x33\x0b\x40\xab\x2a\xd6\x77\x4c\xd6\xa0\x1d\xa5\xdf\x33\xa4\x33\x27\x25\x3c\xd6\x5e\x5c\xb3\x90\xd8\x98\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(float), float>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1f
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4ui64vARB
  {(uint8_t*)"\x3f\x6c\x09\xb8\xea\xd7\xda\x54\xf5\x12\x0a\x26\x03\x65\xb0\x21\x9f\x52\x04\xb4\x37\x5e\xe7\x60\x39\xdc\x33\xc2\x17\x02\x61\xe8", (void(*)(void *))&GuestWrapperForHostFunction<void(struct _XDisplay *, uint64_t, uint64_t), struct _XDisplay *, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXSelectEvent
  {(uint8_t*)"\x46\xa6\x18\x70\xa1\x04\xfa\xd7\xef\x0f\xb1\x39\x75\x69\xd1\xbf\x09\x54\x53\x82\x25\x09\x92\x32\xb2\xb5\xb5\xf7\xee\x73\xd3\xe6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}>}, // glSeparableFilter2DEXT
  {(uint8_t*)"\xc0\x83\xe5\x60\x4a\x40\x6c\x26\x61\x84\x52\x18\x98\x47\x62\x87\x8b\x31\x27\x94\xc7\xe0\x17\xf7\xfe\xb0\x56\xa9\xeb\xd3\x08\x0c", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t, uint16_t, uint16_t), uint32_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalStream3sATI
  {(uint8_t*)"\xfc\xd9\xee\x86\x27\xda\x4a\x3c\x4f\xf7\xaf\x83\xcc\xd2\x46\xc8\x01\x87\x09\xca\x4c\xf0\x75\x8c\xef\xd2\x08\x13\xec\x89\x5d\x65", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4ui
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultMatrixf
  {(uint8_t*)"\x31\x23\xcc\xff\x88\x1d\xef\x44\x83\x6e\x03\x74\x9f\x2e\x52\x9d\xa7\x03\xb2\x40\x1e\x28\x95\xf3\xa6\x01\x6e\x74\xbf\xf0\x2a\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4uiv
  {(uint8_t*)"\xe7\xbe\xd1\xee\xe8\x1c\x44\x51\x8c\xd0\x2e\xab\x5a\xc9\x2e\xfd\x2b\x37\xd4\xf8\xab\x3f\xf8\x13\x3c\x41\xf1\x59\x29\xa0\x35\xe1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t*), uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribL3i64vNV
  {(uint8_t*)"\x38\x61\x43\x1a\xe2\x94\x82\x88\x08\x03\x11\x2e\x1c\xaa\xa3\xa4\xbb\x8e\xa2\xb1\x7a\xad\x49\x27\xef\x93\xf5\x7f\xb4\xce\xc9\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint64_t*), uint32_t, uint32_t, uint32_t, uint64_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformHandleui64vNV
  {(uint8_t*)"\x3a\xd3\x80\xf0\xdc\x3c\xf4\x2e\xbf\x87\x86\x9e\x2e\x44\x80\x45\xc5\x95\xcf\xbb\x29\x91\x75\xeb\xb2\x4b\x43\xe4\xa2\xdf\x88\x18", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*, char *), uint32_t, uint32_t, uint32_t, uint32_t*, char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetActiveUniformName
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2dvEXT
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2x3dvEXT
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glIsShader
  {(uint8_t*)"\xf4\x1f\xa3\xc3\x84\x39\xe1\x27\xfa\xea\xac\x7f\x60\x74\x0e\x23\x0d\x4b\xac\xb3\xb3\x7e\xac\xdb\x02\xf5\x4a\xf3\xaa\x85\x31\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float, float), uint32_t, uint32_t, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2fEXT
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2x4dvEXT
  {(uint8_t*)"\x4d\x90\xa4\x39\xa5\xaa\x99\xa5\x06\x8d\x32\x31\xb6\xf0\xea\xc0\x5a\x17\x43\x72\xbc\x78\xb7\x47\xb1\xdc\x20\x74\xd2\x16\x8e\x3d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTexSubImage3D
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos3xOES
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix2x4fvEXT
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3dv
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3fvEXT
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3fv
  {(uint8_t*)"\xf5\x75\xdb\x4f\x86\x3f\x62\x64\xbb\x50\x51\x89\x7f\x05\x25\xb4\xb4\xb9\x6f\xab\xa1\x69\xaa\x12\xc7\x1f\x35\x68\xf7\x2b\xcd\xbf", (void(*)(void *))&GuestWrapperForHostFunction<unsigned int(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCheckNamedFramebufferStatus
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3x2fvEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3dv
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3x2fv
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix3x4fvEXT
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4fvEXT
  {(uint8_t*)"\x25\x0a\xc0\x7d\x3d\x0f\x07\x5f\xbb\xad\x9d\x6b\x96\x37\x66\xdd\x8c\x91\x5c\xa1\x57\x9c\xdb\x48\xb9\xdd\x2f\xe0\x5b\x1f\xd4\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const signed char *), uint32_t, const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI4bv
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4fv
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4x2dvEXT
  {(uint8_t*)"\xd8\x9e\xce\x51\xd9\x47\x23\xd3\x09\xe4\xa6\x52\xa3\x55\x74\xa7\x27\xf7\x58\x74\xe3\x2f\x72\x34\x44\xd6\xa7\x1e\x86\xa6\xd2\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedMultiTexSubImage1DEXT
  {(uint8_t*)"\x10\x01\x1a\xfd\xf4\x1c\x11\x0b\x14\x13\x3f\x19\x9a\xa8\x7e\x27\xa1\x08\x48\x72\x4a\xbe\xac\x29\xee\x0e\x5a\xcf\x35\xc6\x5f\x4f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferTexture1DEXT
  {(uint8_t*)"\x34\xea\x79\x82\xf1\x2e\xfe\x5c\x19\x7a\xde\xf9\x67\xa1\x74\x29\xb7\x54\x62\x3d\xbe\xb7\x81\xce\xa0\x51\x24\x98\x0a\x90\x82\xc6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const double *), uint32_t, uint32_t, uint32_t, uint8_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4x2dv
  {(uint8_t*)"\x4c\x93\xac\x34\xe5\xe9\xc1\x05\x0e\xfa\x23\xed\x7a\xc0\x4c\x44\x5e\xde\xb4\xc9\x5b\xec\xc8\x21\x67\x8b\x10\x8c\x75\x32\x8a\x19", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSwizzleEXT
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4x3fvEXT
  {(uint8_t*)"\x49\x1a\xef\xec\xfd\x67\x99\x45\xc6\x05\xed\x25\x5d\x0e\x1a\x81\xa3\xd8\x75\x61\xbc\x15\x9c\xb3\x3a\x00\x6e\x3f\x24\x4a\x88\x30", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformui64NV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPushClientAttrib
  {(uint8_t*)"\x0e\x07\x46\x6a\x42\x3f\x32\x5f\x7b\x62\xa0\x92\x5e\x06\x76\x3e\x70\xcd\xbe\x0d\xe5\x09\xec\x69\xd4\xe3\x8b\x2a\xe0\x94\xf4\xe3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glCompressedTextureImage1DEXT
  {(uint8_t*)"\x91\x07\xdf\x3a\xc6\x2c\x87\x84\xe6\xde\x8a\xa3\xfb\x5d\xd7\x10\xeb\x2c\x3e\x54\x57\x6c\x9a\x7f\xa5\x57\x54\x6f\xff\x86\xb5\xd4", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const char *), uint32_t, uint32_t, uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPushDebugGroup
  {(uint8_t*)"\x9b\x5e\xdc\xba\x74\x05\x6d\x7b\x7a\x6a\x33\x7b\x98\x3c\x6b\x73\x91\x8c\xfe\x71\x31\x45\x42\x7e\x74\xb0\x0d\xb1\x47\xc1\x1e\xc2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glPushGroupMarkerEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glPushMatrix
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glPushName
  {(uint8_t*)"\x01\x63\xda\x7e\x7d\x9e\xce\x46\x3d\x15\x60\xaf\xfb\xc3\x02\x82\xb5\xc2\xc1\x89\xbf\x02\x4f\xa4\x79\xb4\x27\xe0\x70\xe3\xad\x97", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const unsigned char *, double *), uint32_t, uint32_t, const unsigned char *, double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetProgramNamedParameterdvNV
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glQueryCounter
  {(uint8_t*)"\x6e\xf6\x02\x8f\x18\x08\x2d\x48\x63\x33\x24\x7b\x22\xd2\xc7\x06\x89\xab\xf7\x36\x1e\x37\x4f\x67\x66\xc5\x4a\x63\x36\x2d\xe7\x99", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexImage2DMultisampleCoverageNV
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glQueryObjectParameteruiAMD
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos2d
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos2dv
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos2f
  {(uint8_t*)"\xa7\x3a\xf2\x19\xdf\x16\x64\xd0\x9c\xcf\xe3\xe3\x41\x3e\x7a\xce\xc5\xce\x41\x3e\x5a\x2c\x62\x50\x1e\x09\xb6\x75\x1e\xdf\x9d\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const double *), uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexStream1dvATI
  {(uint8_t*)"\xec\x23\x8f\xc9\xce\x56\x2e\x04\xb8\x36\x6a\x8d\xb5\x57\xb9\x52\xae\x39\xd0\xfa\xa6\x2f\xe1\x5c\x42\x4e\x65\x4a\xa6\xe3\x7f\xfc", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeleteVertexArraysAPPLE
  {(uint8_t*)"\x9a\x43\x84\xd4\x9c\x39\x59\x18\xb5\x7d\x9a\x63\x4c\xed\x31\xc4\x99\x7d\xf9\x0e\x1c\x83\x23\x54\x2b\xce\x6f\x5f\x19\x83\x69\x2e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t), uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos2s
  {(uint8_t*)"\x0d\x09\xd9\xd6\xfa\xe2\x43\xff\xac\xc9\x6f\xf7\x60\x6a\x1b\xba\x21\x21\xaa\x87\x08\xad\xf8\x74\x82\x1a\x2a\xa4\xd4\xc0\x19\x80", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const double *), uint32_t, uint32_t, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribs1dvNV
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos3dv
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos3i
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos3s
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos4fv
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos4i
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos4iv
  {(uint8_t*)"\xf3\x4f\x91\xcc\x41\x71\x7e\xf4\x8e\x1b\xb2\x5c\x1c\x71\xed\xc3\x4d\x44\x55\x2a\xa3\x3c\x93\x30\x80\x6a\xba\x76\xa0\x19\x28\xca", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint8_t, const float *), uint32_t, uint32_t, uint32_t, uint8_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniformMatrix4x2fvEXT
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos4xOES
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glConvolutionParameteriEXT
  {(uint8_t*)"\x8d\xa5\xe1\xbc\x5a\xf7\x41\x5e\xb6\x43\x1b\xef\x7a\x74\x0c\x15\x2e\xbf\x34\x5f\xb6\xa0\x83\xcc\x3c\xff\x84\x58\x4d\x1c\x23\x34", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t), uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterSamplesEXT
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glReadBuffer
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glReadInstrumentsSGIX
  {(uint8_t*)"\x0a\x54\xef\xa7\x40\x3d\x7b\x41\xf7\xf6\x1b\x63\x85\x43\x7e\x81\xb4\xda\xef\x69\x22\xc9\x65\x04\xe1\x5a\x6a\xfb\xe8\xe5\x1e\x93", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glReadnPixelsARB
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetImageTransformParameterivHP
  {(uint8_t*)"\xaf\xa4\xc1\x6c\x5b\x87\xe9\xb3\xb7\xed\x7c\x5c\x2e\x1f\x0b\x22\x16\xff\x98\xaf\xfd\xc1\x61\xd4\xe0\x73\x50\x04\x52\x8a\xad\x78", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double, double), double, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRectd
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3s
  {(uint8_t*)"\x01\xd5\x58\x73\x8d\xb5\x9b\x54\xea\xca\xaf\xaf\x69\xf5\x69\x22\x68\x47\x85\x7a\x18\xa5\x3c\xf7\x74\xce\x71\x17\xbc\xa0\x90\xde", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, uint32_t, double, double), uint32_t, double, double, uint32_t, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMapGrid2d
  {(uint8_t*)"\x68\xc6\x0c\x06\x16\x5e\xdd\xbc\x0d\xb3\x7f\xc8\x54\xeb\x06\xf2\x04\xc1\xd4\x4f\x61\x79\xbc\x83\x19\x79\x20\xa5\x9e\x24\x07\x82", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *, const double *), const double *, const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRectdv
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetConvolutionParameteriv
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glTagSampleBufferSGIX
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetHistogramParameterivEXT
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRecti
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDisableClientStateiEXT
  {(uint8_t*)"\x20\xd9\xa6\x99\x9e\xfd\x27\xf2\x3f\xbc\xc6\x9b\x78\x68\x65\x0c\xfa\x2d\x84\x3a\x96\x61\x0b\xad\x90\x52\x2d\xd6\xdf\x74\xa1\x95", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, uint32_t*), uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRectxvOES
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureBufferEXT
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glReleaseShaderCompiler
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glImageTransformParameterfHP
  {(uint8_t*)"\x7c\x11\x70\xf3\x66\x76\x22\x65\xcd\x3b\xdd\xd5\xa6\x5f\x62\x86\x35\x25\x47\x52\x51\x3b\x82\xb4\x66\x8a\x8e\xe5\xdb\x27\x2c\x08", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRenderbufferStorageMultisampleEXT
  {(uint8_t*)"\x31\x37\xee\xbd\x1b\x43\x8b\x3f\x39\x70\x8f\xf0\x7c\x13\xbc\x43\xc5\x64\x72\x01\xc0\xa9\xee\x57\x0c\x0c\x03\x79\xf6\xbd\x1c\x9d", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint32_t, uint32_t*), struct _XDisplay *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXQueryFrameCountNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRenderGpuMaskNV
  {(uint8_t*)"\xf3\x80\xe5\x8d\xa9\xa7\x9e\x37\x3a\x1e\x7c\x02\x47\xe5\x0a\xee\x4e\x3a\xcd\x4f\x77\x02\x0e\x0d\x7d\x9a\xa3\x1e\xcc\x73\x89\x60", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t), uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeubSUN
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3fMESA
  {(uint8_t*)"\x97\x36\xf7\x8b\xbb\xa4\x1a\xb8\xe6\x27\xf7\xf0\x20\xfa\x83\xce\x0d\x7d\x86\xc3\x4f\x96\x99\x5a\xea\xff\x65\x25\x25\xdb\x3e\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const unsigned char *), const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeubvSUN
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4xvOES
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexBumpParameterfvATI
  {(uint8_t*)"\x19\x15\x9e\x81\xf1\x82\x10\x0a\x36\x3f\xbd\xa8\x1f\xa9\x91\x46\x13\x33\x1d\x5d\xbe\x78\xef\x98\xc6\x46\x55\x8e\x01\xd4\x1e\x33", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, const float *, const float *), uint32_t*, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiColor3fVertex3fvSUN
  {(uint8_t*)"\x5f\xcb\xf4\x4a\x3e\x04\x2d\x44\x46\x65\x94\x21\x29\xb7\x01\x58\x03\x3f\x5c\xfb\x6d\x67\x83\xa3\xe7\x57\x38\x18\xbb\xc8\x04\xe7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, const float *, const float *, const float *), uint32_t*, const float *, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiColor4fNormal3fVertex3fvSUN
  {(uint8_t*)"\x43\xd2\x40\xed\x86\xcd\x44\x61\xf0\x52\x5a\x9b\x98\x6f\xb2\xae\x47\x4e\xcf\x72\xa8\xed\x0b\x0b\x50\xb0\x5a\xfa\x4d\x5f\x29\xa2", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint8_t, uint8_t, uint8_t, uint8_t, float, float, float), uint32_t, uint8_t, uint8_t, uint8_t, uint8_t, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiColor4ubVertex3fSUN
  {(uint8_t*)"\x9b\xbe\xd5\xb4\x54\xa4\xa7\x79\x32\x20\x62\xe8\x5a\x8c\x88\x8e\x14\x17\x1a\x7f\xae\xa9\x29\x6c\x3c\xf2\xaf\xaf\xa6\x74\x4f\x84", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalP3uiv
  {(uint8_t*)"\x19\x15\x9e\x81\xf1\x82\x10\x0a\x36\x3f\xbd\xa8\x1f\xa9\x91\x46\x13\x33\x1d\x5d\xbe\x78\xef\x98\xc6\x46\x55\x8e\x01\xd4\x1e\x33", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, const float *, const float *), uint32_t*, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiNormal3fVertex3fvSUN
  {(uint8_t*)"\x12\x9b\x46\xae\x02\xe8\xe3\x3c\x5d\x52\x9f\xc7\x5f\x77\xa5\x5c\xfc\xc0\xa1\xda\x61\x94\x52\x07\x88\x66\x6f\x64\x3b\x11\x2b\x5a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, float, float, float, float, float, float, float, float, float, float, float, float), uint32_t, float, float, float, float, float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN
  {(uint8_t*)"\x4d\x25\x6d\xdf\xf5\x72\xb2\x69\x63\xd0\xc0\x7d\x5d\x3c\xf4\x8b\xc0\x74\x84\x43\xe0\x67\xb0\xfb\x2a\xb1\x23\x8e\x99\xe4\xe2\x25", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glRenderbufferStorageEXT
  {(uint8_t*)"\x19\x15\x9e\x81\xf1\x82\x10\x0a\x36\x3f\xbd\xa8\x1f\xa9\x91\x46\x13\x33\x1d\x5d\xbe\x78\xef\x98\xc6\x46\x55\x8e\x01\xd4\x1e\x33", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*, const float *, const float *), uint32_t*, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuiTexCoord2fVertex3fvSUN
  {(uint8_t*)"\xed\x18\x38\x31\x93\x26\x33\x82\x16\x89\x99\xcd\x54\x8a\xff\x77\xb5\x4f\x0c\xa3\xa9\x89\xab\x81\x27\xaa\xaf\xd3\xaa\x74\x70\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeuivSUN
  {(uint8_t*)"\x85\x78\xe1\xf8\xf0\xe3\xda\xa9\xc1\x5f\xb2\x49\xb5\x6c\x5a\xc3\x19\xe0\x80\xcb\x90\x1f\x91\x9a\x57\xc1\x78\x82\x98\x9d\x97\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t), uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glReplacementCodeusSUN
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glResetMemoryObjectParameterNV
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFinishObjectAPPLE
  {(uint8_t*)"\x26\x80\x6f\xbc\x32\x62\x85\x87\xef\x45\x8f\x5c\x53\x2a\x37\xc4\xef\xc0\x2f\x92\x3a\x25\xeb\x9d\xa9\x92\x82\xae\xe5\x9a\x5f\xd4", (void(*)(void *))&GuestWrapperForHostFunction<int(uint32_t, const char *), uint32_t, const char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetVaryingLocationNV
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glResizeBuffersMESA
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glResolveDepthValuesNV
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glResumeTransformFeedbackNV
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSampleMapATI
  {(uint8_t*)"\x34\xe2\xb2\x66\x7c\x13\xe0\x64\x7a\x24\xa5\xfe\xb6\xb1\x13\x56\xb7\x63\x7a\x4c\x1a\xd6\x77\x00\x15\x98\xf4\x0d\xf3\x5b\x7c\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform1i
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3bvOES
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttribI3uiEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSampleMaski
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramParameteriARB
  {(uint8_t*)"\x70\x89\x0b\xe5\xe4\x08\xf7\x52\xa1\xdd\x19\xb7\x06\x78\x35\x59\x82\xf6\xcf\xd2\xfd\x35\x53\x1f\x1e\xcd\x08\x4f\x6f\x78\x50\x22", (void(*)(void *))&GuestWrapperForHostFunction<void(float, uint8_t), float, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSampleMaskSGIS
  {(uint8_t*)"\xcb\x0c\x86\x96\x70\x8b\x11\x9b\x2f\xbb\x08\x60\x0f\xea\x4f\xa7\xda\x81\x76\x57\xe0\x23\x87\xfa\xd3\x4d\x58\xe2\x57\xb6\x7c\xd7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTextureImage2DMultisampleNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSamplePatternSGIS
  {(uint8_t*)"\xdd\x3f\xe2\x08\x9d\x60\x7d\x3f\xac\xcd\xb9\x47\x1d\xcc\x0f\xcb\x14\x62\xe2\xa8\x33\x8a\xe5\x5a\x38\x0b\x09\x5a\xdc\x29\xc0\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, float), uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSamplerParameterf
  {(uint8_t*)"\x5d\x85\x46\x26\xf1\x86\x58\x6f\x2e\xf3\xf8\x66\xa7\x23\xfd\x43\xe9\xa6\xc2\xa3\x8b\xd0\x34\x19\xed\x96\xe3\xf5\xc2\xf5\x85\x35", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSamplerParameterfv
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSamplerParameterIiv
  {(uint8_t*)"\x29\xc6\x36\xef\xbe\x3c\xf4\x01\x86\xbd\xb6\x88\xe2\x58\xc2\x68\xdc\xcc\x3e\x51\x66\xef\x74\x01\xfe\x5a\x5b\x42\x6b\x26\x4b\x7b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSamplerParameteriv
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCombinerParameterfvNV
  {(uint8_t*)"\xdc\x2c\x09\x84\x34\x01\x19\xdb\x02\xc2\x41\x74\x39\x9c\x2a\xd6\xdf\xec\xeb\x99\x1d\x45\x08\x99\x34\x98\xaf\xfc\xde\xc3\xf2\x2f", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glScissorIndexedv
  {(uint8_t*)"\x31\x23\xcc\xff\x88\x1d\xef\x44\x83\x6e\x03\x74\x9f\x2e\x52\x9d\xa7\x03\xb2\x40\x1e\x28\x95\xf3\xa6\x01\x6e\x74\xbf\xf0\x2a\xa9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform4uivEXT
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord4hvNV
  {(uint8_t*)"\x89\xfc\xcd\x1d\x51\x0b\xb3\x92\x21\x80\xb0\x4b\x73\x34\x53\xb1\xf2\x3b\xf9\x10\xb4\xcb\x99\x1c\x6b\x65\x62\x77\xcb\x1c\xf6\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3bEXT
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3bvEXT
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3dvEXT
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3fvEXT
  {(uint8_t*)"\x83\x36\x84\xea\x86\x0a\xb5\x2f\x5d\x24\x91\x1b\x07\xee\xc2\xf3\xd3\xd7\xcc\x32\x3c\x18\xee\x11\xc6\x02\xfc\xca\x53\xc5\x56\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glVertexAttrib1svNV
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3iEXT
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2hvNV
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3sEXT
  {(uint8_t*)"\x5d\xb3\x30\x9e\xba\xaa\x29\xad\x3f\xb1\x53\x7d\x87\xf8\xc6\x82\x24\xdc\x5e\x8b\xad\x07\x35\x1a\x82\x86\xbd\x5b\x1a\xdf\x20\xba", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glDeletePathsNV
  {(uint8_t*)"\x26\xee\x73\xc6\x94\x8d\x94\xcd\xbf\xe5\x43\x9a\x6b\x30\xe4\xd0\x68\x1b\x47\x6f\x39\x3a\xa0\x73\xac\x58\x41\x4e\x70\x77\x3f\x12", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3ubEXT
  {(uint8_t*)"\xd9\x7b\x32\x52\xe8\xc5\x3f\x8f\xfd\x75\xa1\xaa\x96\x9a\xc2\xb7\x27\x71\xa0\x62\xba\x2e\x69\xb4\x31\xfc\xb2\xff\xac\xda\xfd\xc3", (void(*)(void *))&GuestWrapperForHostFunction<unsigned long(struct _XDisplay *, XVisualInfo *, uint64_t, uint64_t), struct _XDisplay *, XVisualInfo *, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXCreateGLXPixmapMESA
  {(uint8_t*)"\x97\x36\xf7\x8b\xbb\xa4\x1a\xb8\xe6\x27\xf7\xf0\x20\xfa\x83\xce\x0d\x7d\x86\xc3\x4f\x96\x99\x5a\xea\xff\x65\x25\x25\xdb\x3e\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const unsigned char *), const unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3ubvEXT
  {(uint8_t*)"\x6b\xac\xa8\xc7\xc1\x3f\xa7\xd8\x68\xe7\x82\x53\xdb\x9b\xbb\x50\xe8\x97\x8a\x63\xa5\xfc\xd0\xce\x5d\x40\xee\xd0\x67\x22\xf0\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const float *), uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform4fv
  {(uint8_t*)"\x5b\xd6\x7a\xb9\xfd\xc4\xd0\x43\x96\x84\x3f\xae\x9c\xbe\x6f\x35\xf4\x21\x61\x7e\x39\x47\xc9\xa0\xa5\xe8\xb6\x62\xff\xce\x15\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glTexSubImage1D
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glRasterPos4sv
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3uiEXT
  {(uint8_t*)"\xed\x18\x38\x31\x93\x26\x33\x82\x16\x89\x99\xcd\x54\x8a\xff\x77\xb5\x4f\x0c\xa3\xa9\x89\xab\x81\x27\xaa\xaf\xd3\xaa\x74\x70\xdd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSecondaryColor3uivEXT
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos2dMESA
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSetFenceAPPLE
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSetFragmentShaderConstantATI
  {(uint8_t*)"\x55\xb9\xc8\xe6\xe0\xa8\xdd\x6b\x40\xc7\xae\x02\x63\x8a\x9d\x86\xc6\xc5\x11\xe3\xff\xea\x76\x7a\xd0\x5a\x05\x1f\x5b\xf3\xcc\x2d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glSetInvariantEXT
  {(uint8_t*)"\x9b\x9a\x36\x98\xab\x4f\x14\x1f\x17\x29\x4b\x6a\xc1\x44\x17\xa8\x6b\xd1\x20\x28\xd9\xaf\xeb\x11\x09\xb1\x76\x31\xb2\xa9\x5b\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, unsigned char *), uint32_t, uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetUnsignedBytei_vEXT
  {(uint8_t*)"\x55\xb9\xc8\xe6\xe0\xa8\xdd\x6b\x40\xc7\xae\x02\x63\x8a\x9d\x86\xc6\xc5\x11\xe3\xff\xea\x76\x7a\xd0\x5a\x05\x1f\x5b\xf3\xcc\x2d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *), uint32_t, uint32_t, const void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glSetLocalConstantEXT
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glShaderOp2EXT
  {(uint8_t*)"\x49\x76\x39\x72\x6b\xe4\x1e\x91\x7f\xc7\x17\xe1\x8a\x87\xcb\x43\x22\x8a\x4b\x5c\x04\x3f\x2e\xcd\xdb\xe5\x71\xe6\x5c\x24\x2b\x9a", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, void *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}>}, // glGetTextureImageEXT
  {(uint8_t*)"\xae\xf7\xb8\x88\xe8\x31\xb4\x8c\x53\x46\x3f\x73\xc9\x13\x23\xa8\x16\x81\x3c\x83\x2f\xb7\xc2\xc9\x96\x73\x6b\x7f\xdd\x4f\x19\xec", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char *const *, uint32_t*), uint32_t, uint32_t, const char *const *, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {}>}, // glShaderSource
  {(uint8_t*)"\x0f\x11\x40\xb5\x1d\xbb\x8e\xa6\x2b\x83\x07\x6f\x08\x58\xdc\x3e\x2a\x3a\x8a\xfe\xaa\x45\x7d\x15\x6f\x09\x76\xdd\x0c\x0a\x07\x1e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoordFormatNV
  {(uint8_t*)"\x64\x65\x0e\xa1\xb4\xa5\x3f\x99\x58\x5f\xb8\x5e\x4b\x77\x8c\x50\x7b\xe7\xee\x77\xf6\x1e\x31\x4e\xe8\x05\x4f\x83\xa6\xbb\x0d\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const char **, uint32_t*), uint32_t, uint32_t, const char **, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.is_passthrough=true,}, ParameterAnnotations {}>}, // glShaderSourceARB
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindFramebuffer
  {(uint8_t*)"\x52\x72\xef\xc0\x6a\x5c\xfd\xf0\x30\x72\x19\x5d\x51\xfa\x1f\x26\x15\x90\x32\xec\xa6\xe4\x97\x41\x64\x71\x90\x04\x71\xd1\x61\xb9", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glShadingRateImagePaletteNV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glShadingRateSampleOrderNV
  {(uint8_t*)"\xdd\x51\x77\x07\x1d\x07\x95\xa7\xa1\x60\x22\xa0\x7a\x61\x96\x86\x3d\xed\xf8\xcc\x9a\x40\x3a\xa0\xc5\x01\x6a\x75\x21\x66\xdb\x31", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t*, uint32_t*), uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSignalSemaphoreEXT
  {(uint8_t*)"\x59\x77\x43\xd4\x03\xa8\x1b\x1c\xb4\x7e\xc7\xc0\x67\x58\xec\x03\xe3\x87\xd1\xcc\x85\xc1\x48\x32\x7f\xa4\x5d\x39\xfc\x44\x25\xa7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const char *, uint32_t, uint32_t*, uint32_t*), uint32_t, const char *, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSpecializeShaderARB
  {(uint8_t*)"\x46\x67\xf0\x59\xad\x60\x72\x18\x83\x59\x05\x4a\xf4\xbc\x60\x53\x55\xda\xf9\x6a\x54\xe0\x75\x0e\xbc\xf2\xef\x3b\xc2\xfc\x99\x9f", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const float *, const float *), const float *, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fColor3fVertex3fvSUN
  {(uint8_t*)"\x59\x77\x43\xd4\x03\xa8\x1b\x1c\xb4\x7e\xc7\xc0\x67\x58\xec\x03\xe3\x87\xd1\xcc\x85\xc1\x48\x32\x7f\xa4\x5d\x39\xfc\x44\x25\xa7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const char *, uint32_t, uint32_t*, uint32_t*), uint32_t, const char *, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSpecializeShader
  {(uint8_t*)"\x56\x31\x75\x05\xf5\x69\x42\x2d\xe0\x89\x39\x42\xa0\xd4\xed\xad\x10\x79\x66\x29\xf5\x04\xd9\xaa\x50\x23\xa1\xf9\x93\x50\x65\x43", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t), uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glGlobalAlphaFactorbSUN
  {(uint8_t*)"\x74\x44\xbb\x98\x89\x4b\x40\xbc\xd3\x14\x1c\x03\x89\xd9\x79\x60\x02\x4f\x17\x75\xc1\xe0\x79\x28\x68\x45\x5f\xa1\x44\x72\x80\x7d", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, const float *), uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSpriteParameterfvSGIX
  {(uint8_t*)"\x26\x40\xd1\x47\x7c\x89\xb7\x0e\x0b\xce\x53\x8c\x8b\x68\x15\x0a\x90\x3e\xf5\x96\x59\xf8\xaa\xc2\x18\xec\x8b\xa2\x08\x19\x43\x53", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilFunc
  {(uint8_t*)"\xf9\x6a\x9c\x31\x59\xfe\xe6\xfe\x08\xcb\x48\xf2\x0c\x9f\xc9\x62\x1f\x38\x73\x3b\xf9\x21\xab\xd4\xc4\x89\x25\x3e\xd4\xb3\x92\xfe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilFuncSeparate
  {(uint8_t*)"\xcf\x6d\x14\x6e\x11\x6d\x0e\x05\xc8\xa0\x7b\xc3\xaf\xd0\x27\x3c\xbe\xb9\x18\x38\xe9\xf9\x80\x49\xd9\x97\x9f\x09\xa2\xfa\x74\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform2uivEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilMaskSeparate
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilOp
  {(uint8_t*)"\x73\x90\x2d\xd6\x20\xa8\xab\x51\x12\x2a\x27\x0d\x9e\xb6\x6c\x1e\x37\xf1\xc2\x8e\xa5\x15\xc3\xb5\x79\xeb\x8d\x7b\xcb\xac\x28\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilOpSeparate
  {(uint8_t*)"\xce\x86\x54\x6d\xad\xe2\x04\xad\x1b\x01\x8b\x53\x55\x42\x79\x07\x11\xe7\x08\xfb\x90\xc5\x0e\x7f\xa5\xad\xf9\x9a\xe9\x28\x09\x96", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetFramebufferParameterivMESA
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilOpValueAMD
  {(uint8_t*)"\x0f\xb8\x88\x91\x46\x89\x01\x99\xc9\x18\xe3\xf3\x1e\x2f\x61\x7c\x58\x52\xc5\x0a\x84\x8d\xcd\xcc\x87\x75\x35\x9b\xdb\xc2\x11\x29", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, const float *), uint32_t, uint32_t, const void *, uint32_t, uint32_t, uint32_t, uint32_t, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilStrokePathInstancedNV
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGenProgramsARB
  {(uint8_t*)"\x26\x40\xd1\x47\x7c\x89\xb7\x0e\x0b\xce\x53\x8c\x8b\x68\x15\x0a\x90\x3e\xf5\x96\x59\xf8\xaa\xc2\x18\xec\x8b\xa2\x08\x19\x43\x53", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glStencilStrokePathNV
  {(uint8_t*)"\x39\x6c\xb1\x80\x29\x47\xf7\x68\x9e\x03\x24\xc4\xeb\xbc\xdb\x15\xd3\x57\x6e\x2e\x9b\x74\x65\x96\x54\xfc\x7f\x19\x71\xdf\x2d\x59", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glStopInstrumentsSGIX
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glPopGroupMarkerEXT
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glSubpixelPrecisionBiasNV
  {(uint8_t*)"\xf1\x9e\xe9\x81\x8e\x03\xa9\x61\x75\x3f\x7f\x95\x9b\x3e\x6c\x4c\xf7\x9c\x83\x68\xe9\x30\xea\x95\x7f\xd7\x17\x33\x2d\x3d\x9a\x8f", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double, double), double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWindowPos3dMESA
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glSyncTextureINTEL
  {(uint8_t*)"\x89\xfc\xcd\x1d\x51\x0b\xb3\x92\x21\x80\xb0\x4b\x73\x34\x53\xb1\xf2\x3b\xf9\x10\xb4\xcb\x99\x1c\x6b\x65\x62\x77\xcb\x1c\xf6\xed", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTangent3bEXT
  {(uint8_t*)"\x55\x92\x87\xd4\xdc\x4a\xaf\x66\x55\x21\x9f\xe7\x41\xc1\x44\x5c\xc6\x82\x70\xe5\x22\xc8\x50\x9f\xb6\x41\xd7\xa6\xf1\x52\xd0\x6d", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float), float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTangent3fEXT
  {(uint8_t*)"\x5d\x50\xa6\xc9\x24\x7a\x31\x28\xf0\xcc\xc9\x01\x73\xfa\x1d\xf5\xb5\xc4\x1a\x7f\x87\xe4\x34\xfd\x0d\x50\x57\x23\xbe\x48\x02\x23", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexStorageMem1DEXT
  {(uint8_t*)"\x56\xf0\xe2\x48\x9b\x98\x23\xa1\x0c\xd5\xe9\x8f\x6e\x56\x23\x49\x99\x91\x1a\x33\x39\x9a\xfc\xa6\xc6\x42\x72\x0b\xe3\x36\xc6\x21", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, const void **, uint32_t), uint32_t, uint32_t, const void **, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glNormalPointerListIBM
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalP3ui
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTangent3iEXT
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTangent3ivEXT
  {(uint8_t*)"\x4d\x28\xb5\x25\xca\xf7\xea\x24\x37\x86\xde\xc6\x6f\x0d\x77\xe0\x24\x47\xe3\x68\x28\xb0\xd1\xae\xb0\xd1\x49\xa0\xc7\x63\x39\x8c", (void(*)(void *))&GuestWrapperForHostFunction<unsigned char(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glUnmapNamedBufferEXT
  {(uint8_t*)"\x10\x34\x47\x87\xf3\x3d\x63\xd4\xbe\xa0\x9f\x8c\xa2\xa4\xc7\x0d\x34\x1f\x04\xb5\x10\xe9\xd1\x59\xe2\xa5\x11\x7f\x18\x03\xdd\x63", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTangent3svEXT
  {(uint8_t*)"\xea\x1f\x07\x2a\xa4\x60\xa4\xe7\xbe\xaa\x66\x55\x42\xea\x8e\x03\x37\x6e\x9a\x8b\xbb\xdd\x7f\x25\x59\x0a\xf9\x71\xf0\x55\xf2\xcd", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, float), uint32_t, uint32_t, uint32_t, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexGenfEXT
  {(uint8_t*)"\x9c\xd2\x70\xcc\x4c\x48\xa4\xd9\xf5\x2c\xe3\xb6\xd8\xc9\x6a\x43\x1c\x61\x4c\x71\x19\x48\x4b\x93\x72\xfd\x7f\x42\x23\x10\x02\x88", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t, uint64_t), uint32_t, uint32_t, uint64_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramUniform2ui64NV
  {(uint8_t*)"\xba\xf1\xbc\x31\x42\x98\x69\xa8\xf1\x0e\x03\x7d\xd7\x99\xe3\xed\x25\x83\xa1\x7e\x98\xf5\xd1\x0b\x0b\xc4\xf9\x1f\xa6\xd0\xec\x61", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t), uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTessellationModeAMD
  {(uint8_t*)"\xa2\xbc\xc2\x93\x21\x26\x7f\x95\x12\x44\xc7\xe0\xca\xe7\x9b\x04\x52\xf0\x0d\x3a\x8f\xb9\xa6\xff\xc6\xda\x3c\x05\x06\xb9\x65\xf6", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t*), uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glCreateCommandListsNV
  {(uint8_t*)"\xb0\xb6\xdb\x47\x8a\x77\x28\x16\x52\x78\x02\xb1\x4f\x8f\x1a\x03\xd2\x1d\x18\x03\xc8\xf5\x88\x5a\xdb\x0e\x02\x83\x1c\x61\xd4\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint64_t), uint32_t, uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexAttachMemoryNV
  {(uint8_t*)"\x57\xf7\xbe\x47\x17\x95\x36\xed\x6d\xec\x84\x20\x30\x0b\xa1\x80\xef\x27\x3b\xa8\x2a\xf5\xbb\x90\xe8\x4d\xce\xac\x3c\xdb\xeb\x64", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexBufferEXT
  {(uint8_t*)"\x56\x31\x75\x05\xf5\x69\x42\x2d\xe0\x89\x39\x42\xa0\xd4\xed\xad\x10\x79\x66\x29\xf5\x04\xd9\xaa\x50\x23\xa1\xf9\x93\x50\x65\x43", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t), uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1bOES
  {(uint8_t*)"\x55\x46\x34\x2f\xe0\x30\x05\x3a\x0a\x55\x4e\xc7\x46\x51\x5c\xd9\x31\xd4\x84\xaf\x8e\xdc\xc2\x9f\x81\x9c\x6b\x31\x12\x99\x1f\x78", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint64_t), uint32_t, uint64_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1i64NV
  {(uint8_t*)"\x05\xff\x46\x0f\x43\x6b\x48\x12\xee\x48\x99\xf6\x83\x41\x7c\x42\x7d\x18\xaa\x65\xc9\xf9\x39\x63\x36\xe2\x91\x53\x19\xc2\x13\xd1", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glFramebufferParameteri
  {(uint8_t*)"\x5d\x18\xac\x38\x51\xf4\x23\xfd\x66\xfd\x60\x56\xc7\x46\x48\x50\xf4\xd6\xb8\xd9\xdc\x27\x34\xd2\x8f\xe5\x0a\x2d\xae\x1b\x92\x1a", (void(*)(void *))&GuestWrapperForHostFunction<void(const double *), const double *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1dv
  {(uint8_t*)"\x85\x78\xe1\xf8\xf0\xe3\xda\xa9\xc1\x5f\xb2\x49\xb5\x6c\x5a\xc3\x19\xe0\x80\xcb\x90\x1f\x91\x9a\x57\xc1\x78\x82\x98\x9d\x97\xc8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t), uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1hNV
  {(uint8_t*)"\x86\x33\xf7\x10\xbc\x71\x00\xcc\x4f\x59\x00\xde\x8c\x8d\xb3\xb9\x08\xb3\xde\x26\xc4\xaf\xd9\x20\x0e\xba\x41\x49\xc5\x77\x1c\x07", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, unsigned char *), uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetPathCommandsNV
  {(uint8_t*)"\x46\x58\x5b\xac\xca\x6b\x01\x1f\x67\xe8\x82\xe2\xf3\x8f\x37\x96\xae\xae\x73\xd6\x01\xb3\x5a\xa2\x1b\x35\x22\xcf\x7a\x8e\x23\xea", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double, double, double), uint32_t, double, double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glNormalStream3dATI
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord1iv
  {(uint8_t*)"\x48\xce\x4b\x1c\xa2\x69\x9f\xe1\xe2\x1f\x92\x48\x4b\x63\xb4\xa3\xac\xa6\x2c\x4c\x9c\xfc\xe1\x13\x15\x7c\x4b\x33\x32\x8a\xe5\xf0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t), uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2bOES
  {(uint8_t*)"\x11\xe3\x06\xcb\x23\xaa\xf5\x81\x42\x5d\x7a\x53\xc4\x0a\x09\x97\xa9\x3c\x72\xa7\xbf\x2b\xe8\x0b\xac\x10\xe3\x16\x72\x5b\x89\x62", (void(*)(void *))&GuestWrapperForHostFunction<void(const signed char *), const signed char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2bvOES
  {(uint8_t*)"\x5d\xe8\x90\xf4\xc5\x2a\x22\x4d\x50\xb9\x4c\x4e\x3f\x10\x3b\x12\xdf\x14\x13\x8b\x61\xc3\xb0\x75\x16\x93\x72\x96\xd0\x03\x7a\xc3", (void(*)(void *))&GuestWrapperForHostFunction<void(double, double), double, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2d
  {(uint8_t*)"\x7f\xb0\xb6\x91\x2d\x2a\xf4\xb5\xd7\x57\x14\xc8\x7c\x19\xb3\xfb\x96\xc8\xc0\xe6\x96\xb7\x29\x30\xce\xa6\x24\xf2\xe7\x37\x47\x51", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, uint64_t, uint32_t), struct _XDisplay *, uint64_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXBindTexImageARB
  {(uint8_t*)"\x6b\x2c\x01\x98\xf7\x66\xcc\x27\x8e\x09\x4f\xba\xff\x4f\xe5\x8c\xdd\x55\x8e\x03\x5e\x0f\x70\x0e\x6e\xb0\xfa\x58\x4e\x71\x69\xf2", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const float *, const float *, const float *), const float *, const float *, const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fColor4fNormal3fVertex3fvSUN
  {(uint8_t*)"\x4b\x1d\x0a\x6c\x94\x6d\xd7\x21\xa8\xd3\x1c\x1e\xba\xdb\xc3\xa4\xdf\x7d\xed\xc8\xf7\x72\x8e\x34\xcd\x95\x01\x9a\xd8\x44\x18\xbd", (void(*)(void *))&GuestWrapperForHostFunction<int(struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t, uint32_t*), struct _XDisplay *, struct __GLXFBConfigRec *, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glXGetFBConfigAttrib
  {(uint8_t*)"\x7d\x1f\x9c\xe6\x1c\x3c\x92\x94\x99\x81\x87\x05\x0a\x12\x68\xb8\x7e\x45\x9e\x18\x8e\x3c\x28\x08\xa8\x09\xc7\x08\x98\x9b\xd1\x9c", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const unsigned char *, const float *), const float *, const unsigned char *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fColor4ubVertex3fvSUN
  {(uint8_t*)"\x3e\x92\xdf\x5a\x2b\x1d\xda\xb2\x1a\x6f\xde\xfb\xad\x30\x1a\xbc\xb9\x4c\x18\x48\xed\x0f\x41\x98\xd0\x6b\x39\x03\xc6\xd8\x12\x74", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glBindTextureUnit
  {(uint8_t*)"\xdb\xe5\xc6\xa6\x57\x21\x9d\x4c\x54\x17\x6a\x26\xa0\x3b\x20\x10\xd6\xfb\x58\x3e\xf6\x28\xea\x11\x05\x41\x21\x84\x6a\x21\xfc\x09", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float), float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2f
  {(uint8_t*)"\xdd\x51\x77\x07\x1d\x07\x95\xa7\xa1\x60\x22\xa0\x7a\x61\x96\x86\x3d\xed\xf8\xcc\x9a\x40\x3a\xa0\xc5\x01\x6a\x75\x21\x66\xdb\x31", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t*, uint32_t*), uint32_t, uint32_t, uint32_t*, uint32_t, uint32_t*, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glWaitSemaphoreEXT
  {(uint8_t*)"\xf6\x94\xcb\x6c\x5e\x5b\xd0\x2b\x86\x4d\x93\xcc\x3d\x56\x81\x2a\x84\xb8\xbf\x63\xcf\x02\x15\x62\x66\x6a\x48\xe3\xcc\x99\x3a\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float, float, float, float), float, float, float, float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fNormal3fVertex3fSUN
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fv
  {(uint8_t*)"\x44\x6e\x2e\x1c\x74\x69\xc4\xe9\x03\x49\x80\x62\xf8\xbf\x0d\x4e\x20\xdb\x41\x0f\x61\x1b\xcd\x3a\x54\x9d\x9c\x07\x25\xfc\xb3\x2a", (void(*)(void *))&GuestWrapperForHostFunction<void(float, float, float, float, float), float, float, float, float, float>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2fVertex3fSUN
  {(uint8_t*)"\xc1\xaf\xc3\xd7\x58\x33\x87\x1a\xd0\x45\x24\x28\x82\x03\x7f\xcf\xd4\x81\x29\x5f\xdf\x09\xa6\x24\x46\xa8\x7a\xf3\xdf\x7b\x6a\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glProgramEnvParameterI4uivNV
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2i
  {(uint8_t*)"\x17\x6f\xae\x96\xcd\x17\xde\xaf\x33\x71\x9e\x0c\x5a\x19\x69\xa0\x0d\x8a\x6b\xba\xa0\x9e\x41\x00\x9d\xdb\xad\x58\xb7\x0e\x6c\x68", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint16_t*), uint32_t, uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glMultiTexCoord1hvNV
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2iv
  {(uint8_t*)"\xcf\x6d\x14\x6e\x11\x6d\x0e\x05\xc8\xa0\x7b\xc3\xaf\xd0\x27\x3c\xbe\xb9\x18\x38\xe9\xf9\x80\x49\xd9\x97\x9f\x09\xa2\xfa\x74\x45", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t*), uint32_t, uint32_t, uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform3uiv
  {(uint8_t*)"\x55\xa3\xa9\xa2\x08\x40\x7a\xe7\x41\x31\xbf\x38\x1f\x9c\xfe\x85\x56\x61\x28\xea\x3f\xb7\xab\xdc\x43\x5a\x90\xdb\xf3\xb1\x08\xa3", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t), uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord2xOES
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3fv
  {(uint8_t*)"\x47\xb7\x4d\x70\x0a\x52\xdb\xfc\xf0\x3d\x22\xdc\x7d\x39\x86\x79\x24\x32\x93\x91\xb7\x36\x38\xa8\x0d\x6c\x27\x1e\x7e\x7e\xb6\x44", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t*), uint16_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3hvNV
  {(uint8_t*)"\xfe\xdb\x6c\x36\xe5\x73\x0a\x56\x0f\x4e\x33\x84\x58\x23\xc7\x89\x19\x0f\x83\x9e\x6e\x4b\xa9\xe0\x48\x69\xcc\x21\x4d\x05\xbd\x3b", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3i
  {(uint8_t*)"\xc6\x01\x50\x52\x02\xdf\xbf\xa3\xd2\x7c\x8c\xfc\x62\x93\x4e\xf3\x2e\xe3\xb7\xf0\x2a\x2a\xcf\xf1\x1b\xfd\xf2\xfa\xdf\xae\x0c\xc9", (void(*)(void *))&GuestWrapperForHostFunction<void()>::Call<ParameterAnnotations {}>}, // glPauseTransformFeedback
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3iv
  {(uint8_t*)"\xe0\x13\x3e\x3c\x47\x01\x5c\x2e\x7f\xb1\x8d\xd8\xc8\x24\x63\x84\x05\xa0\x45\x7b\x27\x6e\x53\xc1\xff\xa0\xe3\xfc\xbe\x08\x30\xd8", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord3s
  {(uint8_t*)"\x13\x81\x3e\xb2\xc9\xb6\x0a\xac\x05\x71\x63\x78\x72\xfd\x79\xe3\x13\x41\x54\x5d\x55\xae\xe6\xd8\xb2\xe6\x53\x9a\xe2\xd4\x5d\xb0", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, double), uint32_t, double>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glUniform1d
  {(uint8_t*)"\x03\xb0\xba\x0b\x59\xe5\x83\xe4\xb9\x1a\xf6\xbd\x89\x91\x6e\x91\x44\x14\x0f\xe3\x54\xfc\x09\xf6\x0c\x76\x34\x29\x6b\x84\x6e\x0e", (void(*)(void *))&GuestWrapperForHostFunction<void(uint8_t, uint8_t, uint8_t, uint8_t), uint8_t, uint8_t, uint8_t, uint8_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4bOES
  {(uint8_t*)"\xb6\x7b\x06\x60\x6f\xb7\x78\xe5\xe7\x5e\x1f\x56\xcb\xa6\xf2\xeb\xab\xa9\x03\xc9\xdc\x52\xbe\xfa\xad\x49\x82\x0e\x68\xdb\x8a\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *), const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4fv
  {(uint8_t*)"\x9b\x9a\x36\x98\xab\x4f\x14\x1f\x17\x29\x4b\x6a\xc1\x44\x17\xa8\x6b\xd1\x20\x28\xd9\xaf\xeb\x11\x09\xb1\x76\x31\xb2\xa9\x5b\xbe", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, unsigned char *), uint32_t, uint32_t, unsigned char *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glGetLocalConstantBooleanvEXT
  {(uint8_t*)"\xe0\x57\x18\xf4\x8e\x3b\x1c\x3f\xaa\x42\xea\x65\x0e\x96\x1d\xf0\xaf\x24\x05\x7a\x27\xc8\xa6\xe0\xd5\xa6\x56\xc7\x6e\xc1\x89\x55", (void(*)(void *))&GuestWrapperForHostFunction<void(const float *, const float *), const float *, const float *>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4fVertex4fvSUN
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4i
  {(uint8_t*)"\xed\xb2\x80\xd8\x77\x7c\xb1\x96\x37\x83\xb7\xbf\x62\xd1\xd0\x45\x15\x10\xb9\x19\x59\x5d\x79\x41\x6e\x82\x4d\x74\xaf\xbb\xd7\x56", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t*), uint32_t*>::Call<ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4iv
  {(uint8_t*)"\x9e\x2f\x66\xc5\x51\x57\x26\x88\xcf\xec\xf0\x1e\x04\xff\x31\x7a\x35\xc9\x3c\x8f\x1f\xbd\x47\xd9\x9b\xe4\x2f\xfb\x03\x27\xfe\x36", (void(*)(void *))&GuestWrapperForHostFunction<void(uint16_t, uint16_t, uint16_t, uint16_t), uint16_t, uint16_t, uint16_t, uint16_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4s
  {(uint8_t*)"\x90\x59\x75\x77\x95\x30\x75\x6f\xfc\x5c\xfa\xe4\x3d\xd1\x41\x42\x1d\x8a\xb4\x5c\x13\x17\xd3\x3f\x24\x46\xf1\x4a\x98\x9f\x08\xcf", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, uint32_t), uint32_t, uint32_t, uint32_t, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}>}, // glTexCoord4xOES
  {(uint8_t*)"\x1f\x13\xa2\xc0\xb4\xf8\xd2\x95\xea\x56\x66\x9f\xbf\x07\x4a\x27\xb5\x03\x5c\xbb\xe4\x48\x2a\xec\x78\xa8\xb0\x2d\xf5\xb2\x97\xb7", (void(*)(void *))&GuestWrapperForHostFunction<void(uint32_t, uint32_t, uint32_t, const void **, uint32_t), uint32_t, uint32_t, uint32_t, const void **, uint32_t>::Call<ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {}, ParameterAnnotations {.assume_compatible=true,}, ParameterAnnotations {}>}, // glTexCoordPointerListIBM
  { nullptr, nullptr }
};
static void* fexldr_ptr_libGL_so;
extern "C" bool fexldr_init_libGL() {
  fexldr_ptr_libGL_so = dlopen("libGL.so.1", RTLD_GLOBAL | RTLD_LAZY);
  if (!fexldr_ptr_libGL_so) { return false; }

  (void*&)fexldr_ptr_libGL_glXGetProcAddress = dlsym_default(fexldr_ptr_libGL_so, "glXGetProcAddress");
  (void*&)fexldr_ptr_libGL_SetGuestMalloc = dlsym_default(fexldr_ptr_libGL_so, "SetGuestMalloc");
  (void*&)fexldr_ptr_libGL_SetGuestXSync = dlsym_default(fexldr_ptr_libGL_so, "SetGuestXSync");
  (void*&)fexldr_ptr_libGL_SetGuestXGetVisualInfo = dlsym_default(fexldr_ptr_libGL_so, "SetGuestXGetVisualInfo");
  (void*&)fexldr_ptr_libGL_SetGuestXDisplayString = dlsym_default(fexldr_ptr_libGL_so, "SetGuestXDisplayString");
  (void*&)fexldr_ptr_libGL_glXQueryCurrentRendererStringMESA = dlsym_default(fexldr_ptr_libGL_so, "glXQueryCurrentRendererStringMESA");
  (void*&)fexldr_ptr_libGL_glXQueryRendererStringMESA = dlsym_default(fexldr_ptr_libGL_so, "glXQueryRendererStringMESA");
  (void*&)fexldr_ptr_libGL_glXGetContextIDEXT = dlsym_default(fexldr_ptr_libGL_so, "glXGetContextIDEXT");
  (void*&)fexldr_ptr_libGL_glXCreateContextWithConfigSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXCreateContextWithConfigSGIX");
  (void*&)fexldr_ptr_libGL_glXImportContextEXT = dlsym_default(fexldr_ptr_libGL_so, "glXImportContextEXT");
  (void*&)fexldr_ptr_libGL_glXGetCurrentReadDrawableSGI = dlsym_default(fexldr_ptr_libGL_so, "glXGetCurrentReadDrawableSGI");
  (void*&)fexldr_ptr_libGL_glXChooseFBConfigSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXChooseFBConfigSGIX");
  (void*&)fexldr_ptr_libGL_glXGetFBConfigFromVisualSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXGetFBConfigFromVisualSGIX");
  (void*&)fexldr_ptr_libGL_glXCreateGLXPbufferSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXCreateGLXPbufferSGIX");
  (void*&)fexldr_ptr_libGL_glXCreateGLXPixmapWithConfigSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXCreateGLXPixmapWithConfigSGIX");
  (void*&)fexldr_ptr_libGL_glXSwapBuffersMscOML = dlsym_default(fexldr_ptr_libGL_so, "glXSwapBuffersMscOML");
  (void*&)fexldr_ptr_libGL_glXGetFBConfigAttribSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXGetFBConfigAttribSGIX");
  (void*&)fexldr_ptr_libGL_glXGetMscRateOML = dlsym_default(fexldr_ptr_libGL_so, "glXGetMscRateOML");
  (void*&)fexldr_ptr_libGL_glXGetSwapIntervalMESA = dlsym_default(fexldr_ptr_libGL_so, "glXGetSwapIntervalMESA");
  (void*&)fexldr_ptr_libGL_glXGetSyncValuesOML = dlsym_default(fexldr_ptr_libGL_so, "glXGetSyncValuesOML");
  (void*&)fexldr_ptr_libGL_glXGetVideoSyncSGI = dlsym_default(fexldr_ptr_libGL_so, "glXGetVideoSyncSGI");
  (void*&)fexldr_ptr_libGL_glXMakeCurrentReadSGI = dlsym_default(fexldr_ptr_libGL_so, "glXMakeCurrentReadSGI");
  (void*&)fexldr_ptr_libGL_glXQueryContextInfoEXT = dlsym_default(fexldr_ptr_libGL_so, "glXQueryContextInfoEXT");
  (void*&)fexldr_ptr_libGL_glXQueryCurrentRendererIntegerMESA = dlsym_default(fexldr_ptr_libGL_so, "glXQueryCurrentRendererIntegerMESA");
  (void*&)fexldr_ptr_libGL_glXQueryRendererIntegerMESA = dlsym_default(fexldr_ptr_libGL_so, "glXQueryRendererIntegerMESA");
  (void*&)fexldr_ptr_libGL_glXSwapIntervalMESA = dlsym_default(fexldr_ptr_libGL_so, "glXSwapIntervalMESA");
  (void*&)fexldr_ptr_libGL_glXSwapIntervalSGI = dlsym_default(fexldr_ptr_libGL_so, "glXSwapIntervalSGI");
  (void*&)fexldr_ptr_libGL_glXWaitForMscOML = dlsym_default(fexldr_ptr_libGL_so, "glXWaitForMscOML");
  (void*&)fexldr_ptr_libGL_glXWaitForSbcOML = dlsym_default(fexldr_ptr_libGL_so, "glXWaitForSbcOML");
  (void*&)fexldr_ptr_libGL_glXWaitVideoSyncSGI = dlsym_default(fexldr_ptr_libGL_so, "glXWaitVideoSyncSGI");
  (void*&)fexldr_ptr_libGL_glXBindTexImageEXT = dlsym_default(fexldr_ptr_libGL_so, "glXBindTexImageEXT");
  (void*&)fexldr_ptr_libGL_glXCopySubBufferMESA = dlsym_default(fexldr_ptr_libGL_so, "glXCopySubBufferMESA");
  (void*&)fexldr_ptr_libGL_glXDestroyGLXPbufferSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXDestroyGLXPbufferSGIX");
  (void*&)fexldr_ptr_libGL_glXFreeContextEXT = dlsym_default(fexldr_ptr_libGL_so, "glXFreeContextEXT");
  (void*&)fexldr_ptr_libGL_glXGetSelectedEventSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXGetSelectedEventSGIX");
  (void*&)fexldr_ptr_libGL_glXQueryGLXPbufferSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXQueryGLXPbufferSGIX");
  (void*&)fexldr_ptr_libGL_glXReleaseTexImageEXT = dlsym_default(fexldr_ptr_libGL_so, "glXReleaseTexImageEXT");
  (void*&)fexldr_ptr_libGL_glXSelectEventSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXSelectEventSGIX");
  (void*&)fexldr_ptr_libGL_glXGetVisualFromFBConfigSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXGetVisualFromFBConfigSGIX");
  (void*&)fexldr_ptr_libGL_glXGetClientString = dlsym_default(fexldr_ptr_libGL_so, "glXGetClientString");
  (void*&)fexldr_ptr_libGL_glXQueryExtensionsString = dlsym_default(fexldr_ptr_libGL_so, "glXQueryExtensionsString");
  (void*&)fexldr_ptr_libGL_glXQueryServerString = dlsym_default(fexldr_ptr_libGL_so, "glXQueryServerString");
  (void*&)fexldr_ptr_libGL_glXGetCurrentDisplay = dlsym_default(fexldr_ptr_libGL_so, "glXGetCurrentDisplay");
  (void*&)fexldr_ptr_libGL_glXCreateContext = dlsym_default(fexldr_ptr_libGL_so, "glXCreateContext");
  (void*&)fexldr_ptr_libGL_glXCreateNewContext = dlsym_default(fexldr_ptr_libGL_so, "glXCreateNewContext");
  (void*&)fexldr_ptr_libGL_glXGetCurrentContext = dlsym_default(fexldr_ptr_libGL_so, "glXGetCurrentContext");
  (void*&)fexldr_ptr_libGL_glXGetCurrentDrawable = dlsym_default(fexldr_ptr_libGL_so, "glXGetCurrentDrawable");
  (void*&)fexldr_ptr_libGL_glXGetCurrentReadDrawable = dlsym_default(fexldr_ptr_libGL_so, "glXGetCurrentReadDrawable");
  (void*&)fexldr_ptr_libGL_glXChooseFBConfig = dlsym_default(fexldr_ptr_libGL_so, "glXChooseFBConfig");
  (void*&)fexldr_ptr_libGL_glXGetFBConfigs = dlsym_default(fexldr_ptr_libGL_so, "glXGetFBConfigs");
  (void*&)fexldr_ptr_libGL_glXCreatePbuffer = dlsym_default(fexldr_ptr_libGL_so, "glXCreatePbuffer");
  (void*&)fexldr_ptr_libGL_glXCreateGLXPixmap = dlsym_default(fexldr_ptr_libGL_so, "glXCreateGLXPixmap");
  (void*&)fexldr_ptr_libGL_glXCreatePixmap = dlsym_default(fexldr_ptr_libGL_so, "glXCreatePixmap");
  (void*&)fexldr_ptr_libGL_glXCreateWindow = dlsym_default(fexldr_ptr_libGL_so, "glXCreateWindow");
  (void*&)fexldr_ptr_libGL_glXGetConfig = dlsym_default(fexldr_ptr_libGL_so, "glXGetConfig");
  (void*&)fexldr_ptr_libGL_glXGetFBConfigAttrib = dlsym_default(fexldr_ptr_libGL_so, "glXGetFBConfigAttrib");
  (void*&)fexldr_ptr_libGL_glXIsDirect = dlsym_default(fexldr_ptr_libGL_so, "glXIsDirect");
  (void*&)fexldr_ptr_libGL_glXMakeContextCurrent = dlsym_default(fexldr_ptr_libGL_so, "glXMakeContextCurrent");
  (void*&)fexldr_ptr_libGL_glXMakeCurrent = dlsym_default(fexldr_ptr_libGL_so, "glXMakeCurrent");
  (void*&)fexldr_ptr_libGL_glXQueryContext = dlsym_default(fexldr_ptr_libGL_so, "glXQueryContext");
  (void*&)fexldr_ptr_libGL_glXQueryExtension = dlsym_default(fexldr_ptr_libGL_so, "glXQueryExtension");
  (void*&)fexldr_ptr_libGL_glXQueryVersion = dlsym_default(fexldr_ptr_libGL_so, "glXQueryVersion");
  (void*&)fexldr_ptr_libGL_glXAllocateMemoryNV = dlsym_default(fexldr_ptr_libGL_so, "glXAllocateMemoryNV");
  (void*&)fexldr_ptr_libGL_glXCopyContext = dlsym_default(fexldr_ptr_libGL_so, "glXCopyContext");
  (void*&)fexldr_ptr_libGL_glXDestroyContext = dlsym_default(fexldr_ptr_libGL_so, "glXDestroyContext");
  (void*&)fexldr_ptr_libGL_glXDestroyGLXPixmap = dlsym_default(fexldr_ptr_libGL_so, "glXDestroyGLXPixmap");
  (void*&)fexldr_ptr_libGL_glXDestroyPbuffer = dlsym_default(fexldr_ptr_libGL_so, "glXDestroyPbuffer");
  (void*&)fexldr_ptr_libGL_glXDestroyPixmap = dlsym_default(fexldr_ptr_libGL_so, "glXDestroyPixmap");
  (void*&)fexldr_ptr_libGL_glXDestroyWindow = dlsym_default(fexldr_ptr_libGL_so, "glXDestroyWindow");
  (void*&)fexldr_ptr_libGL_glXFreeMemoryNV = dlsym_default(fexldr_ptr_libGL_so, "glXFreeMemoryNV");
  (void*&)fexldr_ptr_libGL_glXGetSelectedEvent = dlsym_default(fexldr_ptr_libGL_so, "glXGetSelectedEvent");
  (void*&)fexldr_ptr_libGL_glXQueryDrawable = dlsym_default(fexldr_ptr_libGL_so, "glXQueryDrawable");
  (void*&)fexldr_ptr_libGL_glXSelectEvent = dlsym_default(fexldr_ptr_libGL_so, "glXSelectEvent");
  (void*&)fexldr_ptr_libGL_glXSwapBuffers = dlsym_default(fexldr_ptr_libGL_so, "glXSwapBuffers");
  (void*&)fexldr_ptr_libGL_glXUseXFont = dlsym_default(fexldr_ptr_libGL_so, "glXUseXFont");
  (void*&)fexldr_ptr_libGL_glXWaitGL = dlsym_default(fexldr_ptr_libGL_so, "glXWaitGL");
  (void*&)fexldr_ptr_libGL_glXChooseVisual = dlsym_default(fexldr_ptr_libGL_so, "glXChooseVisual");
  (void*&)fexldr_ptr_libGL_glXGetVisualFromFBConfig = dlsym_default(fexldr_ptr_libGL_so, "glXGetVisualFromFBConfig");
  (void*&)fexldr_ptr_libGL_glXCreateContextAttribsARB = dlsym_default(fexldr_ptr_libGL_so, "glXCreateContextAttribsARB");
  (void*&)fexldr_ptr_libGL_glXSwapIntervalEXT = dlsym_default(fexldr_ptr_libGL_so, "glXSwapIntervalEXT");
  (void*&)fexldr_ptr_libGL_glColorP3ui = dlsym_default(fexldr_ptr_libGL_so, "glColorP3ui");
  (void*&)fexldr_ptr_libGL_glColorP3uiv = dlsym_default(fexldr_ptr_libGL_so, "glColorP3uiv");
  (void*&)fexldr_ptr_libGL_glColorP4ui = dlsym_default(fexldr_ptr_libGL_so, "glColorP4ui");
  (void*&)fexldr_ptr_libGL_glColorP4uiv = dlsym_default(fexldr_ptr_libGL_so, "glColorP4uiv");
  (void*&)fexldr_ptr_libGL_glFogCoordd = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordd");
  (void*&)fexldr_ptr_libGL_glFogCoorddv = dlsym_default(fexldr_ptr_libGL_so, "glFogCoorddv");
  (void*&)fexldr_ptr_libGL_glFogCoordf = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordf");
  (void*&)fexldr_ptr_libGL_glFogCoordfv = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordfv");
  (void*&)fexldr_ptr_libGL_glFogCoordPointer = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordPointer");
  (void*&)fexldr_ptr_libGL_glGetnColorTableARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnColorTableARB");
  (void*&)fexldr_ptr_libGL_glGetnConvolutionFilterARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnConvolutionFilterARB");
  (void*&)fexldr_ptr_libGL_glGetnHistogramARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnHistogramARB");
  (void*&)fexldr_ptr_libGL_glGetnColorTable = dlsym_default(fexldr_ptr_libGL_so, "glGetnColorTable");
  (void*&)fexldr_ptr_libGL_glGetnConvolutionFilter = dlsym_default(fexldr_ptr_libGL_so, "glGetnConvolutionFilter");
  (void*&)fexldr_ptr_libGL_glGetnHistogram = dlsym_default(fexldr_ptr_libGL_so, "glGetnHistogram");
  (void*&)fexldr_ptr_libGL_glGetnMapdv = dlsym_default(fexldr_ptr_libGL_so, "glGetnMapdv");
  (void*&)fexldr_ptr_libGL_glGetnMapfv = dlsym_default(fexldr_ptr_libGL_so, "glGetnMapfv");
  (void*&)fexldr_ptr_libGL_glGetnMapiv = dlsym_default(fexldr_ptr_libGL_so, "glGetnMapiv");
  (void*&)fexldr_ptr_libGL_glGetnPixelMapfv = dlsym_default(fexldr_ptr_libGL_so, "glGetnPixelMapfv");
  (void*&)fexldr_ptr_libGL_glGetnPixelMapuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetnPixelMapuiv");
  (void*&)fexldr_ptr_libGL_glGetnPixelMapusv = dlsym_default(fexldr_ptr_libGL_so, "glGetnPixelMapusv");
  (void*&)fexldr_ptr_libGL_glGetnPolygonStipple = dlsym_default(fexldr_ptr_libGL_so, "glGetnPolygonStipple");
  (void*&)fexldr_ptr_libGL_glGetnSeparableFilter = dlsym_default(fexldr_ptr_libGL_so, "glGetnSeparableFilter");
  (void*&)fexldr_ptr_libGL_glGetnMinmax = dlsym_default(fexldr_ptr_libGL_so, "glGetnMinmax");
  (void*&)fexldr_ptr_libGL_glGetnMapdvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnMapdvARB");
  (void*&)fexldr_ptr_libGL_glGetnMapfvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnMapfvARB");
  (void*&)fexldr_ptr_libGL_glGetnMapivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnMapivARB");
  (void*&)fexldr_ptr_libGL_glGetnMinmaxARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnMinmaxARB");
  (void*&)fexldr_ptr_libGL_glGetnPixelMapfvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnPixelMapfvARB");
  (void*&)fexldr_ptr_libGL_glGetnPixelMapuivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnPixelMapuivARB");
  (void*&)fexldr_ptr_libGL_glGetnPixelMapusvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnPixelMapusvARB");
  (void*&)fexldr_ptr_libGL_glGetnPolygonStippleARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnPolygonStippleARB");
  (void*&)fexldr_ptr_libGL_glGetnSeparableFilterARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnSeparableFilterARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoordP1ui = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoordP1ui");
  (void*&)fexldr_ptr_libGL_glMultiTexCoordP1uiv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoordP1uiv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoordP2ui = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoordP2ui");
  (void*&)fexldr_ptr_libGL_glMultiTexCoordP2uiv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoordP2uiv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoordP3ui = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoordP3ui");
  (void*&)fexldr_ptr_libGL_glMultiTexCoordP3uiv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoordP3uiv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoordP4ui = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoordP4ui");
  (void*&)fexldr_ptr_libGL_glMultiTexCoordP4uiv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoordP4uiv");
  (void*&)fexldr_ptr_libGL_glNormalP3ui = dlsym_default(fexldr_ptr_libGL_so, "glNormalP3ui");
  (void*&)fexldr_ptr_libGL_glNormalP3uiv = dlsym_default(fexldr_ptr_libGL_so, "glNormalP3uiv");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3b = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3b");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3bv = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3bv");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3d = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3d");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3dv = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3dv");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3f = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3f");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3fv = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3fv");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3i = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3i");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3iv = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3iv");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3s = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3s");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3sv = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3sv");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3ub = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3ub");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3ubv = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3ubv");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3ui = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3ui");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3uiv = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3uiv");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3us = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3us");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3usv = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3usv");
  (void*&)fexldr_ptr_libGL_glSecondaryColorP3ui = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColorP3ui");
  (void*&)fexldr_ptr_libGL_glSecondaryColorP3uiv = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColorP3uiv");
  (void*&)fexldr_ptr_libGL_glSecondaryColorPointer = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColorPointer");
  (void*&)fexldr_ptr_libGL_glTexCoordP1ui = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordP1ui");
  (void*&)fexldr_ptr_libGL_glTexCoordP1uiv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordP1uiv");
  (void*&)fexldr_ptr_libGL_glTexCoordP2ui = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordP2ui");
  (void*&)fexldr_ptr_libGL_glTexCoordP2uiv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordP2uiv");
  (void*&)fexldr_ptr_libGL_glTexCoordP3ui = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordP3ui");
  (void*&)fexldr_ptr_libGL_glTexCoordP3uiv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordP3uiv");
  (void*&)fexldr_ptr_libGL_glTexCoordP4ui = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordP4ui");
  (void*&)fexldr_ptr_libGL_glTexCoordP4uiv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordP4uiv");
  (void*&)fexldr_ptr_libGL_glVertexP2ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexP2ui");
  (void*&)fexldr_ptr_libGL_glVertexP2uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexP2uiv");
  (void*&)fexldr_ptr_libGL_glVertexP3ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexP3ui");
  (void*&)fexldr_ptr_libGL_glVertexP3uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexP3uiv");
  (void*&)fexldr_ptr_libGL_glVertexP4ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexP4ui");
  (void*&)fexldr_ptr_libGL_glVertexP4uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexP4uiv");
  (void*&)fexldr_ptr_libGL_glWindowPos2d = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2d");
  (void*&)fexldr_ptr_libGL_glWindowPos2dv = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2dv");
  (void*&)fexldr_ptr_libGL_glWindowPos2f = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2f");
  (void*&)fexldr_ptr_libGL_glWindowPos2fv = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2fv");
  (void*&)fexldr_ptr_libGL_glWindowPos2i = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2i");
  (void*&)fexldr_ptr_libGL_glWindowPos2iv = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2iv");
  (void*&)fexldr_ptr_libGL_glWindowPos2s = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2s");
  (void*&)fexldr_ptr_libGL_glWindowPos2sv = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2sv");
  (void*&)fexldr_ptr_libGL_glWindowPos3d = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3d");
  (void*&)fexldr_ptr_libGL_glWindowPos3dv = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3dv");
  (void*&)fexldr_ptr_libGL_glWindowPos3f = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3f");
  (void*&)fexldr_ptr_libGL_glWindowPos3fv = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3fv");
  (void*&)fexldr_ptr_libGL_glWindowPos3i = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3i");
  (void*&)fexldr_ptr_libGL_glWindowPos3iv = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3iv");
  (void*&)fexldr_ptr_libGL_glWindowPos3s = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3s");
  (void*&)fexldr_ptr_libGL_glWindowPos3sv = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3sv");
  (void*&)fexldr_ptr_libGL_glGetString = dlsym_default(fexldr_ptr_libGL_so, "glGetString");
  (void*&)fexldr_ptr_libGL_glGetStringi = dlsym_default(fexldr_ptr_libGL_so, "glGetStringi");
  (void*&)fexldr_ptr_libGL_glQueryMatrixxOES = dlsym_default(fexldr_ptr_libGL_so, "glQueryMatrixxOES");
  (void*&)fexldr_ptr_libGL_glAcquireKeyedMutexWin32EXT = dlsym_default(fexldr_ptr_libGL_so, "glAcquireKeyedMutexWin32EXT");
  (void*&)fexldr_ptr_libGL_glAreProgramsResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glAreProgramsResidentNV");
  (void*&)fexldr_ptr_libGL_glAreTexturesResidentEXT = dlsym_default(fexldr_ptr_libGL_so, "glAreTexturesResidentEXT");
  (void*&)fexldr_ptr_libGL_glAreTexturesResident = dlsym_default(fexldr_ptr_libGL_so, "glAreTexturesResident");
  (void*&)fexldr_ptr_libGL_glIsAsyncMarkerSGIX = dlsym_default(fexldr_ptr_libGL_so, "glIsAsyncMarkerSGIX");
  (void*&)fexldr_ptr_libGL_glIsBufferARB = dlsym_default(fexldr_ptr_libGL_so, "glIsBufferARB");
  (void*&)fexldr_ptr_libGL_glIsBuffer = dlsym_default(fexldr_ptr_libGL_so, "glIsBuffer");
  (void*&)fexldr_ptr_libGL_glIsBufferResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glIsBufferResidentNV");
  (void*&)fexldr_ptr_libGL_glIsCommandListNV = dlsym_default(fexldr_ptr_libGL_so, "glIsCommandListNV");
  (void*&)fexldr_ptr_libGL_glIsEnabled = dlsym_default(fexldr_ptr_libGL_so, "glIsEnabled");
  (void*&)fexldr_ptr_libGL_glIsEnabledi = dlsym_default(fexldr_ptr_libGL_so, "glIsEnabledi");
  (void*&)fexldr_ptr_libGL_glIsEnabledIndexedEXT = dlsym_default(fexldr_ptr_libGL_so, "glIsEnabledIndexedEXT");
  (void*&)fexldr_ptr_libGL_glIsFenceAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glIsFenceAPPLE");
  (void*&)fexldr_ptr_libGL_glIsFenceNV = dlsym_default(fexldr_ptr_libGL_so, "glIsFenceNV");
  (void*&)fexldr_ptr_libGL_glIsFramebufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glIsFramebufferEXT");
  (void*&)fexldr_ptr_libGL_glIsFramebuffer = dlsym_default(fexldr_ptr_libGL_so, "glIsFramebuffer");
  (void*&)fexldr_ptr_libGL_glIsImageHandleResidentARB = dlsym_default(fexldr_ptr_libGL_so, "glIsImageHandleResidentARB");
  (void*&)fexldr_ptr_libGL_glIsImageHandleResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glIsImageHandleResidentNV");
  (void*&)fexldr_ptr_libGL_glIsList = dlsym_default(fexldr_ptr_libGL_so, "glIsList");
  (void*&)fexldr_ptr_libGL_glIsMemoryObjectEXT = dlsym_default(fexldr_ptr_libGL_so, "glIsMemoryObjectEXT");
  (void*&)fexldr_ptr_libGL_glIsNameAMD = dlsym_default(fexldr_ptr_libGL_so, "glIsNameAMD");
  (void*&)fexldr_ptr_libGL_glIsNamedBufferResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glIsNamedBufferResidentNV");
  (void*&)fexldr_ptr_libGL_glIsNamedStringARB = dlsym_default(fexldr_ptr_libGL_so, "glIsNamedStringARB");
  (void*&)fexldr_ptr_libGL_glIsObjectBufferATI = dlsym_default(fexldr_ptr_libGL_so, "glIsObjectBufferATI");
  (void*&)fexldr_ptr_libGL_glIsOcclusionQueryNV = dlsym_default(fexldr_ptr_libGL_so, "glIsOcclusionQueryNV");
  (void*&)fexldr_ptr_libGL_glIsPathNV = dlsym_default(fexldr_ptr_libGL_so, "glIsPathNV");
  (void*&)fexldr_ptr_libGL_glIsPointInFillPathNV = dlsym_default(fexldr_ptr_libGL_so, "glIsPointInFillPathNV");
  (void*&)fexldr_ptr_libGL_glIsPointInStrokePathNV = dlsym_default(fexldr_ptr_libGL_so, "glIsPointInStrokePathNV");
  (void*&)fexldr_ptr_libGL_glIsProgramARB = dlsym_default(fexldr_ptr_libGL_so, "glIsProgramARB");
  (void*&)fexldr_ptr_libGL_glIsProgram = dlsym_default(fexldr_ptr_libGL_so, "glIsProgram");
  (void*&)fexldr_ptr_libGL_glIsProgramNV = dlsym_default(fexldr_ptr_libGL_so, "glIsProgramNV");
  (void*&)fexldr_ptr_libGL_glIsProgramPipeline = dlsym_default(fexldr_ptr_libGL_so, "glIsProgramPipeline");
  (void*&)fexldr_ptr_libGL_glIsQueryARB = dlsym_default(fexldr_ptr_libGL_so, "glIsQueryARB");
  (void*&)fexldr_ptr_libGL_glIsQuery = dlsym_default(fexldr_ptr_libGL_so, "glIsQuery");
  (void*&)fexldr_ptr_libGL_glIsRenderbufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glIsRenderbufferEXT");
  (void*&)fexldr_ptr_libGL_glIsRenderbuffer = dlsym_default(fexldr_ptr_libGL_so, "glIsRenderbuffer");
  (void*&)fexldr_ptr_libGL_glIsSampler = dlsym_default(fexldr_ptr_libGL_so, "glIsSampler");
  (void*&)fexldr_ptr_libGL_glIsSemaphoreEXT = dlsym_default(fexldr_ptr_libGL_so, "glIsSemaphoreEXT");
  (void*&)fexldr_ptr_libGL_glIsShader = dlsym_default(fexldr_ptr_libGL_so, "glIsShader");
  (void*&)fexldr_ptr_libGL_glIsStateNV = dlsym_default(fexldr_ptr_libGL_so, "glIsStateNV");
  (void*&)fexldr_ptr_libGL_glIsSync = dlsym_default(fexldr_ptr_libGL_so, "glIsSync");
  (void*&)fexldr_ptr_libGL_glIsTextureEXT = dlsym_default(fexldr_ptr_libGL_so, "glIsTextureEXT");
  (void*&)fexldr_ptr_libGL_glIsTexture = dlsym_default(fexldr_ptr_libGL_so, "glIsTexture");
  (void*&)fexldr_ptr_libGL_glIsTextureHandleResidentARB = dlsym_default(fexldr_ptr_libGL_so, "glIsTextureHandleResidentARB");
  (void*&)fexldr_ptr_libGL_glIsTextureHandleResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glIsTextureHandleResidentNV");
  (void*&)fexldr_ptr_libGL_glIsTransformFeedback = dlsym_default(fexldr_ptr_libGL_so, "glIsTransformFeedback");
  (void*&)fexldr_ptr_libGL_glIsTransformFeedbackNV = dlsym_default(fexldr_ptr_libGL_so, "glIsTransformFeedbackNV");
  (void*&)fexldr_ptr_libGL_glIsVariantEnabledEXT = dlsym_default(fexldr_ptr_libGL_so, "glIsVariantEnabledEXT");
  (void*&)fexldr_ptr_libGL_glIsVertexArrayAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glIsVertexArrayAPPLE");
  (void*&)fexldr_ptr_libGL_glIsVertexArray = dlsym_default(fexldr_ptr_libGL_so, "glIsVertexArray");
  (void*&)fexldr_ptr_libGL_glIsVertexAttribEnabledAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glIsVertexAttribEnabledAPPLE");
  (void*&)fexldr_ptr_libGL_glPointAlongPathNV = dlsym_default(fexldr_ptr_libGL_so, "glPointAlongPathNV");
  (void*&)fexldr_ptr_libGL_glReleaseKeyedMutexWin32EXT = dlsym_default(fexldr_ptr_libGL_so, "glReleaseKeyedMutexWin32EXT");
  (void*&)fexldr_ptr_libGL_glTestFenceAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glTestFenceAPPLE");
  (void*&)fexldr_ptr_libGL_glTestFenceNV = dlsym_default(fexldr_ptr_libGL_so, "glTestFenceNV");
  (void*&)fexldr_ptr_libGL_glTestObjectAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glTestObjectAPPLE");
  (void*&)fexldr_ptr_libGL_glUnmapBufferARB = dlsym_default(fexldr_ptr_libGL_so, "glUnmapBufferARB");
  (void*&)fexldr_ptr_libGL_glUnmapBuffer = dlsym_default(fexldr_ptr_libGL_so, "glUnmapBuffer");
  (void*&)fexldr_ptr_libGL_glUnmapNamedBufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glUnmapNamedBufferEXT");
  (void*&)fexldr_ptr_libGL_glUnmapNamedBuffer = dlsym_default(fexldr_ptr_libGL_so, "glUnmapNamedBuffer");
  (void*&)fexldr_ptr_libGL_glVDPAUIsSurfaceNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAUIsSurfaceNV");
  (void*&)fexldr_ptr_libGL_glCheckFramebufferStatusEXT = dlsym_default(fexldr_ptr_libGL_so, "glCheckFramebufferStatusEXT");
  (void*&)fexldr_ptr_libGL_glCheckFramebufferStatus = dlsym_default(fexldr_ptr_libGL_so, "glCheckFramebufferStatus");
  (void*&)fexldr_ptr_libGL_glCheckNamedFramebufferStatusEXT = dlsym_default(fexldr_ptr_libGL_so, "glCheckNamedFramebufferStatusEXT");
  (void*&)fexldr_ptr_libGL_glCheckNamedFramebufferStatus = dlsym_default(fexldr_ptr_libGL_so, "glCheckNamedFramebufferStatus");
  (void*&)fexldr_ptr_libGL_glClientWaitSync = dlsym_default(fexldr_ptr_libGL_so, "glClientWaitSync");
  (void*&)fexldr_ptr_libGL_glGetError = dlsym_default(fexldr_ptr_libGL_so, "glGetError");
  (void*&)fexldr_ptr_libGL_glGetGraphicsResetStatus = dlsym_default(fexldr_ptr_libGL_so, "glGetGraphicsResetStatus");
  (void*&)fexldr_ptr_libGL_glGetGraphicsResetStatusARB = dlsym_default(fexldr_ptr_libGL_so, "glGetGraphicsResetStatusARB");
  (void*&)fexldr_ptr_libGL_glObjectPurgeableAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glObjectPurgeableAPPLE");
  (void*&)fexldr_ptr_libGL_glObjectUnpurgeableAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glObjectUnpurgeableAPPLE");
  (void*&)fexldr_ptr_libGL_glPathGlyphIndexArrayNV = dlsym_default(fexldr_ptr_libGL_so, "glPathGlyphIndexArrayNV");
  (void*&)fexldr_ptr_libGL_glPathGlyphIndexRangeNV = dlsym_default(fexldr_ptr_libGL_so, "glPathGlyphIndexRangeNV");
  (void*&)fexldr_ptr_libGL_glPathMemoryGlyphIndexArrayNV = dlsym_default(fexldr_ptr_libGL_so, "glPathMemoryGlyphIndexArrayNV");
  (void*&)fexldr_ptr_libGL_glVideoCaptureNV = dlsym_default(fexldr_ptr_libGL_so, "glVideoCaptureNV");
  (void*&)fexldr_ptr_libGL_glGetPathLengthNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathLengthNV");
  (void*&)fexldr_ptr_libGL_glCreateProgramObjectARB = dlsym_default(fexldr_ptr_libGL_so, "glCreateProgramObjectARB");
  (void*&)fexldr_ptr_libGL_glCreateShaderObjectARB = dlsym_default(fexldr_ptr_libGL_so, "glCreateShaderObjectARB");
  (void*&)fexldr_ptr_libGL_glGetHandleARB = dlsym_default(fexldr_ptr_libGL_so, "glGetHandleARB");
  (void*&)fexldr_ptr_libGL_glFinishAsyncSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFinishAsyncSGIX");
  (void*&)fexldr_ptr_libGL_glGetAttribLocationARB = dlsym_default(fexldr_ptr_libGL_so, "glGetAttribLocationARB");
  (void*&)fexldr_ptr_libGL_glGetAttribLocation = dlsym_default(fexldr_ptr_libGL_so, "glGetAttribLocation");
  (void*&)fexldr_ptr_libGL_glGetFragDataIndex = dlsym_default(fexldr_ptr_libGL_so, "glGetFragDataIndex");
  (void*&)fexldr_ptr_libGL_glGetFragDataLocationEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetFragDataLocationEXT");
  (void*&)fexldr_ptr_libGL_glGetFragDataLocation = dlsym_default(fexldr_ptr_libGL_so, "glGetFragDataLocation");
  (void*&)fexldr_ptr_libGL_glGetInstrumentsSGIX = dlsym_default(fexldr_ptr_libGL_so, "glGetInstrumentsSGIX");
  (void*&)fexldr_ptr_libGL_glGetProgramResourceLocation = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramResourceLocation");
  (void*&)fexldr_ptr_libGL_glGetProgramResourceLocationIndex = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramResourceLocationIndex");
  (void*&)fexldr_ptr_libGL_glGetSubroutineUniformLocation = dlsym_default(fexldr_ptr_libGL_so, "glGetSubroutineUniformLocation");
  (void*&)fexldr_ptr_libGL_glGetUniformBufferSizeEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformBufferSizeEXT");
  (void*&)fexldr_ptr_libGL_glGetUniformLocationARB = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformLocationARB");
  (void*&)fexldr_ptr_libGL_glGetUniformLocation = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformLocation");
  (void*&)fexldr_ptr_libGL_glGetVaryingLocationNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVaryingLocationNV");
  (void*&)fexldr_ptr_libGL_glPollAsyncSGIX = dlsym_default(fexldr_ptr_libGL_so, "glPollAsyncSGIX");
  (void*&)fexldr_ptr_libGL_glPollInstrumentsSGIX = dlsym_default(fexldr_ptr_libGL_so, "glPollInstrumentsSGIX");
  (void*&)fexldr_ptr_libGL_glQueryResourceNV = dlsym_default(fexldr_ptr_libGL_so, "glQueryResourceNV");
  (void*&)fexldr_ptr_libGL_glRenderMode = dlsym_default(fexldr_ptr_libGL_so, "glRenderMode");
  (void*&)fexldr_ptr_libGL_glGetUniformOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformOffsetEXT");
  (void*&)fexldr_ptr_libGL_glCreateSyncFromCLeventARB = dlsym_default(fexldr_ptr_libGL_so, "glCreateSyncFromCLeventARB");
  (void*&)fexldr_ptr_libGL_glFenceSync = dlsym_default(fexldr_ptr_libGL_so, "glFenceSync");
  (void*&)fexldr_ptr_libGL_glImportSyncEXT = dlsym_default(fexldr_ptr_libGL_so, "glImportSyncEXT");
  (void*&)fexldr_ptr_libGL_glGetImageHandleARB = dlsym_default(fexldr_ptr_libGL_so, "glGetImageHandleARB");
  (void*&)fexldr_ptr_libGL_glGetImageHandleNV = dlsym_default(fexldr_ptr_libGL_so, "glGetImageHandleNV");
  (void*&)fexldr_ptr_libGL_glGetTextureHandleARB = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureHandleARB");
  (void*&)fexldr_ptr_libGL_glGetTextureHandleNV = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureHandleNV");
  (void*&)fexldr_ptr_libGL_glGetTextureSamplerHandleARB = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureSamplerHandleARB");
  (void*&)fexldr_ptr_libGL_glGetTextureSamplerHandleNV = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureSamplerHandleNV");
  (void*&)fexldr_ptr_libGL_glAsyncCopyBufferSubDataNVX = dlsym_default(fexldr_ptr_libGL_so, "glAsyncCopyBufferSubDataNVX");
  (void*&)fexldr_ptr_libGL_glAsyncCopyImageSubDataNVX = dlsym_default(fexldr_ptr_libGL_so, "glAsyncCopyImageSubDataNVX");
  (void*&)fexldr_ptr_libGL_glBindLightParameterEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindLightParameterEXT");
  (void*&)fexldr_ptr_libGL_glBindMaterialParameterEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindMaterialParameterEXT");
  (void*&)fexldr_ptr_libGL_glBindParameterEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindParameterEXT");
  (void*&)fexldr_ptr_libGL_glBindTexGenParameterEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindTexGenParameterEXT");
  (void*&)fexldr_ptr_libGL_glBindTextureUnitParameterEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindTextureUnitParameterEXT");
  (void*&)fexldr_ptr_libGL_glCreateProgram = dlsym_default(fexldr_ptr_libGL_so, "glCreateProgram");
  (void*&)fexldr_ptr_libGL_glCreateProgressFenceNVX = dlsym_default(fexldr_ptr_libGL_so, "glCreateProgressFenceNVX");
  (void*&)fexldr_ptr_libGL_glCreateShader = dlsym_default(fexldr_ptr_libGL_so, "glCreateShader");
  (void*&)fexldr_ptr_libGL_glCreateShaderProgramEXT = dlsym_default(fexldr_ptr_libGL_so, "glCreateShaderProgramEXT");
  (void*&)fexldr_ptr_libGL_glCreateShaderProgramv = dlsym_default(fexldr_ptr_libGL_so, "glCreateShaderProgramv");
  (void*&)fexldr_ptr_libGL_glGenAsyncMarkersSGIX = dlsym_default(fexldr_ptr_libGL_so, "glGenAsyncMarkersSGIX");
  (void*&)fexldr_ptr_libGL_glGenFragmentShadersATI = dlsym_default(fexldr_ptr_libGL_so, "glGenFragmentShadersATI");
  (void*&)fexldr_ptr_libGL_glGenLists = dlsym_default(fexldr_ptr_libGL_so, "glGenLists");
  (void*&)fexldr_ptr_libGL_glGenPathsNV = dlsym_default(fexldr_ptr_libGL_so, "glGenPathsNV");
  (void*&)fexldr_ptr_libGL_glGenSymbolsEXT = dlsym_default(fexldr_ptr_libGL_so, "glGenSymbolsEXT");
  (void*&)fexldr_ptr_libGL_glGenVertexShadersEXT = dlsym_default(fexldr_ptr_libGL_so, "glGenVertexShadersEXT");
  (void*&)fexldr_ptr_libGL_glGetCommandHeaderNV = dlsym_default(fexldr_ptr_libGL_so, "glGetCommandHeaderNV");
  (void*&)fexldr_ptr_libGL_glGetDebugMessageLogAMD = dlsym_default(fexldr_ptr_libGL_so, "glGetDebugMessageLogAMD");
  (void*&)fexldr_ptr_libGL_glGetDebugMessageLogARB = dlsym_default(fexldr_ptr_libGL_so, "glGetDebugMessageLogARB");
  (void*&)fexldr_ptr_libGL_glGetDebugMessageLog = dlsym_default(fexldr_ptr_libGL_so, "glGetDebugMessageLog");
  (void*&)fexldr_ptr_libGL_glGetProgramResourceIndex = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramResourceIndex");
  (void*&)fexldr_ptr_libGL_glGetSubroutineIndex = dlsym_default(fexldr_ptr_libGL_so, "glGetSubroutineIndex");
  (void*&)fexldr_ptr_libGL_glGetUniformBlockIndex = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformBlockIndex");
  (void*&)fexldr_ptr_libGL_glNewObjectBufferATI = dlsym_default(fexldr_ptr_libGL_so, "glNewObjectBufferATI");
  (void*&)fexldr_ptr_libGL_glGetStageIndexNV = dlsym_default(fexldr_ptr_libGL_so, "glGetStageIndexNV");
  (void*&)fexldr_ptr_libGL_glVDPAURegisterOutputSurfaceNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAURegisterOutputSurfaceNV");
  (void*&)fexldr_ptr_libGL_glVDPAURegisterVideoSurfaceNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAURegisterVideoSurfaceNV");
  (void*&)fexldr_ptr_libGL_glVDPAURegisterVideoSurfaceWithPictureStructureNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAURegisterVideoSurfaceWithPictureStructureNV");
  (void*&)fexldr_ptr_libGL_glAccum = dlsym_default(fexldr_ptr_libGL_so, "glAccum");
  (void*&)fexldr_ptr_libGL_glAccumxOES = dlsym_default(fexldr_ptr_libGL_so, "glAccumxOES");
  (void*&)fexldr_ptr_libGL_glActiveProgramEXT = dlsym_default(fexldr_ptr_libGL_so, "glActiveProgramEXT");
  (void*&)fexldr_ptr_libGL_glActiveShaderProgram = dlsym_default(fexldr_ptr_libGL_so, "glActiveShaderProgram");
  (void*&)fexldr_ptr_libGL_glActiveStencilFaceEXT = dlsym_default(fexldr_ptr_libGL_so, "glActiveStencilFaceEXT");
  (void*&)fexldr_ptr_libGL_glActiveTextureARB = dlsym_default(fexldr_ptr_libGL_so, "glActiveTextureARB");
  (void*&)fexldr_ptr_libGL_glActiveTexture = dlsym_default(fexldr_ptr_libGL_so, "glActiveTexture");
  (void*&)fexldr_ptr_libGL_glActiveVaryingNV = dlsym_default(fexldr_ptr_libGL_so, "glActiveVaryingNV");
  (void*&)fexldr_ptr_libGL_glAlphaFragmentOp1ATI = dlsym_default(fexldr_ptr_libGL_so, "glAlphaFragmentOp1ATI");
  (void*&)fexldr_ptr_libGL_glAlphaFragmentOp2ATI = dlsym_default(fexldr_ptr_libGL_so, "glAlphaFragmentOp2ATI");
  (void*&)fexldr_ptr_libGL_glAlphaFragmentOp3ATI = dlsym_default(fexldr_ptr_libGL_so, "glAlphaFragmentOp3ATI");
  (void*&)fexldr_ptr_libGL_glAlphaFunc = dlsym_default(fexldr_ptr_libGL_so, "glAlphaFunc");
  (void*&)fexldr_ptr_libGL_glAlphaFuncxOES = dlsym_default(fexldr_ptr_libGL_so, "glAlphaFuncxOES");
  (void*&)fexldr_ptr_libGL_glAlphaToCoverageDitherControlNV = dlsym_default(fexldr_ptr_libGL_so, "glAlphaToCoverageDitherControlNV");
  (void*&)fexldr_ptr_libGL_glApplyFramebufferAttachmentCMAAINTEL = dlsym_default(fexldr_ptr_libGL_so, "glApplyFramebufferAttachmentCMAAINTEL");
  (void*&)fexldr_ptr_libGL_glApplyTextureEXT = dlsym_default(fexldr_ptr_libGL_so, "glApplyTextureEXT");
  (void*&)fexldr_ptr_libGL_glArrayElementEXT = dlsym_default(fexldr_ptr_libGL_so, "glArrayElementEXT");
  (void*&)fexldr_ptr_libGL_glArrayElement = dlsym_default(fexldr_ptr_libGL_so, "glArrayElement");
  (void*&)fexldr_ptr_libGL_glArrayObjectATI = dlsym_default(fexldr_ptr_libGL_so, "glArrayObjectATI");
  (void*&)fexldr_ptr_libGL_glAsyncMarkerSGIX = dlsym_default(fexldr_ptr_libGL_so, "glAsyncMarkerSGIX");
  (void*&)fexldr_ptr_libGL_glAttachObjectARB = dlsym_default(fexldr_ptr_libGL_so, "glAttachObjectARB");
  (void*&)fexldr_ptr_libGL_glAttachShader = dlsym_default(fexldr_ptr_libGL_so, "glAttachShader");
  (void*&)fexldr_ptr_libGL_glBeginConditionalRender = dlsym_default(fexldr_ptr_libGL_so, "glBeginConditionalRender");
  (void*&)fexldr_ptr_libGL_glBeginConditionalRenderNV = dlsym_default(fexldr_ptr_libGL_so, "glBeginConditionalRenderNV");
  (void*&)fexldr_ptr_libGL_glBeginConditionalRenderNVX = dlsym_default(fexldr_ptr_libGL_so, "glBeginConditionalRenderNVX");
  (void*&)fexldr_ptr_libGL_glBeginFragmentShaderATI = dlsym_default(fexldr_ptr_libGL_so, "glBeginFragmentShaderATI");
  (void*&)fexldr_ptr_libGL_glBegin = dlsym_default(fexldr_ptr_libGL_so, "glBegin");
  (void*&)fexldr_ptr_libGL_glBeginOcclusionQueryNV = dlsym_default(fexldr_ptr_libGL_so, "glBeginOcclusionQueryNV");
  (void*&)fexldr_ptr_libGL_glBeginPerfMonitorAMD = dlsym_default(fexldr_ptr_libGL_so, "glBeginPerfMonitorAMD");
  (void*&)fexldr_ptr_libGL_glBeginPerfQueryINTEL = dlsym_default(fexldr_ptr_libGL_so, "glBeginPerfQueryINTEL");
  (void*&)fexldr_ptr_libGL_glBeginQueryARB = dlsym_default(fexldr_ptr_libGL_so, "glBeginQueryARB");
  (void*&)fexldr_ptr_libGL_glBeginQuery = dlsym_default(fexldr_ptr_libGL_so, "glBeginQuery");
  (void*&)fexldr_ptr_libGL_glBeginQueryIndexed = dlsym_default(fexldr_ptr_libGL_so, "glBeginQueryIndexed");
  (void*&)fexldr_ptr_libGL_glBeginTransformFeedbackEXT = dlsym_default(fexldr_ptr_libGL_so, "glBeginTransformFeedbackEXT");
  (void*&)fexldr_ptr_libGL_glBeginTransformFeedback = dlsym_default(fexldr_ptr_libGL_so, "glBeginTransformFeedback");
  (void*&)fexldr_ptr_libGL_glBeginTransformFeedbackNV = dlsym_default(fexldr_ptr_libGL_so, "glBeginTransformFeedbackNV");
  (void*&)fexldr_ptr_libGL_glBeginVertexShaderEXT = dlsym_default(fexldr_ptr_libGL_so, "glBeginVertexShaderEXT");
  (void*&)fexldr_ptr_libGL_glBeginVideoCaptureNV = dlsym_default(fexldr_ptr_libGL_so, "glBeginVideoCaptureNV");
  (void*&)fexldr_ptr_libGL_glBindAttribLocationARB = dlsym_default(fexldr_ptr_libGL_so, "glBindAttribLocationARB");
  (void*&)fexldr_ptr_libGL_glBindAttribLocation = dlsym_default(fexldr_ptr_libGL_so, "glBindAttribLocation");
  (void*&)fexldr_ptr_libGL_glBindBufferARB = dlsym_default(fexldr_ptr_libGL_so, "glBindBufferARB");
  (void*&)fexldr_ptr_libGL_glBindBufferBaseEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindBufferBaseEXT");
  (void*&)fexldr_ptr_libGL_glBindBufferBase = dlsym_default(fexldr_ptr_libGL_so, "glBindBufferBase");
  (void*&)fexldr_ptr_libGL_glBindBufferBaseNV = dlsym_default(fexldr_ptr_libGL_so, "glBindBufferBaseNV");
  (void*&)fexldr_ptr_libGL_glBindBuffer = dlsym_default(fexldr_ptr_libGL_so, "glBindBuffer");
  (void*&)fexldr_ptr_libGL_glBindBufferOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindBufferOffsetEXT");
  (void*&)fexldr_ptr_libGL_glBindBufferOffsetNV = dlsym_default(fexldr_ptr_libGL_so, "glBindBufferOffsetNV");
  (void*&)fexldr_ptr_libGL_glBindBufferRangeEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindBufferRangeEXT");
  (void*&)fexldr_ptr_libGL_glBindBufferRange = dlsym_default(fexldr_ptr_libGL_so, "glBindBufferRange");
  (void*&)fexldr_ptr_libGL_glBindBufferRangeNV = dlsym_default(fexldr_ptr_libGL_so, "glBindBufferRangeNV");
  (void*&)fexldr_ptr_libGL_glBindBuffersBase = dlsym_default(fexldr_ptr_libGL_so, "glBindBuffersBase");
  (void*&)fexldr_ptr_libGL_glBindBuffersRange = dlsym_default(fexldr_ptr_libGL_so, "glBindBuffersRange");
  (void*&)fexldr_ptr_libGL_glBindFragDataLocationEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindFragDataLocationEXT");
  (void*&)fexldr_ptr_libGL_glBindFragDataLocation = dlsym_default(fexldr_ptr_libGL_so, "glBindFragDataLocation");
  (void*&)fexldr_ptr_libGL_glBindFragDataLocationIndexed = dlsym_default(fexldr_ptr_libGL_so, "glBindFragDataLocationIndexed");
  (void*&)fexldr_ptr_libGL_glBindFragmentShaderATI = dlsym_default(fexldr_ptr_libGL_so, "glBindFragmentShaderATI");
  (void*&)fexldr_ptr_libGL_glBindFramebufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindFramebufferEXT");
  (void*&)fexldr_ptr_libGL_glBindFramebuffer = dlsym_default(fexldr_ptr_libGL_so, "glBindFramebuffer");
  (void*&)fexldr_ptr_libGL_glBindImageTextureEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindImageTextureEXT");
  (void*&)fexldr_ptr_libGL_glBindImageTexture = dlsym_default(fexldr_ptr_libGL_so, "glBindImageTexture");
  (void*&)fexldr_ptr_libGL_glBindImageTextures = dlsym_default(fexldr_ptr_libGL_so, "glBindImageTextures");
  (void*&)fexldr_ptr_libGL_glBindMultiTextureEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindMultiTextureEXT");
  (void*&)fexldr_ptr_libGL_glBindProgramARB = dlsym_default(fexldr_ptr_libGL_so, "glBindProgramARB");
  (void*&)fexldr_ptr_libGL_glBindProgramNV = dlsym_default(fexldr_ptr_libGL_so, "glBindProgramNV");
  (void*&)fexldr_ptr_libGL_glBindProgramPipeline = dlsym_default(fexldr_ptr_libGL_so, "glBindProgramPipeline");
  (void*&)fexldr_ptr_libGL_glBindRenderbufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindRenderbufferEXT");
  (void*&)fexldr_ptr_libGL_glBindRenderbuffer = dlsym_default(fexldr_ptr_libGL_so, "glBindRenderbuffer");
  (void*&)fexldr_ptr_libGL_glBindSampler = dlsym_default(fexldr_ptr_libGL_so, "glBindSampler");
  (void*&)fexldr_ptr_libGL_glBindSamplers = dlsym_default(fexldr_ptr_libGL_so, "glBindSamplers");
  (void*&)fexldr_ptr_libGL_glBindShadingRateImageNV = dlsym_default(fexldr_ptr_libGL_so, "glBindShadingRateImageNV");
  (void*&)fexldr_ptr_libGL_glBindTextureEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindTextureEXT");
  (void*&)fexldr_ptr_libGL_glBindTexture = dlsym_default(fexldr_ptr_libGL_so, "glBindTexture");
  (void*&)fexldr_ptr_libGL_glBindTextures = dlsym_default(fexldr_ptr_libGL_so, "glBindTextures");
  (void*&)fexldr_ptr_libGL_glBindTextureUnit = dlsym_default(fexldr_ptr_libGL_so, "glBindTextureUnit");
  (void*&)fexldr_ptr_libGL_glBindTransformFeedback = dlsym_default(fexldr_ptr_libGL_so, "glBindTransformFeedback");
  (void*&)fexldr_ptr_libGL_glBindTransformFeedbackNV = dlsym_default(fexldr_ptr_libGL_so, "glBindTransformFeedbackNV");
  (void*&)fexldr_ptr_libGL_glBindVertexArrayAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glBindVertexArrayAPPLE");
  (void*&)fexldr_ptr_libGL_glBindVertexArray = dlsym_default(fexldr_ptr_libGL_so, "glBindVertexArray");
  (void*&)fexldr_ptr_libGL_glBindVertexBuffer = dlsym_default(fexldr_ptr_libGL_so, "glBindVertexBuffer");
  (void*&)fexldr_ptr_libGL_glBindVertexBuffers = dlsym_default(fexldr_ptr_libGL_so, "glBindVertexBuffers");
  (void*&)fexldr_ptr_libGL_glBindVertexShaderEXT = dlsym_default(fexldr_ptr_libGL_so, "glBindVertexShaderEXT");
  (void*&)fexldr_ptr_libGL_glBindVideoCaptureStreamBufferNV = dlsym_default(fexldr_ptr_libGL_so, "glBindVideoCaptureStreamBufferNV");
  (void*&)fexldr_ptr_libGL_glBindVideoCaptureStreamTextureNV = dlsym_default(fexldr_ptr_libGL_so, "glBindVideoCaptureStreamTextureNV");
  (void*&)fexldr_ptr_libGL_glBinormal3bEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormal3bEXT");
  (void*&)fexldr_ptr_libGL_glBinormal3bvEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormal3bvEXT");
  (void*&)fexldr_ptr_libGL_glBinormal3dEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormal3dEXT");
  (void*&)fexldr_ptr_libGL_glBinormal3dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormal3dvEXT");
  (void*&)fexldr_ptr_libGL_glBinormal3fEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormal3fEXT");
  (void*&)fexldr_ptr_libGL_glBinormal3fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormal3fvEXT");
  (void*&)fexldr_ptr_libGL_glBinormal3iEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormal3iEXT");
  (void*&)fexldr_ptr_libGL_glBinormal3ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormal3ivEXT");
  (void*&)fexldr_ptr_libGL_glBinormal3sEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormal3sEXT");
  (void*&)fexldr_ptr_libGL_glBinormal3svEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormal3svEXT");
  (void*&)fexldr_ptr_libGL_glBinormalPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glBinormalPointerEXT");
  (void*&)fexldr_ptr_libGL_glBitmap = dlsym_default(fexldr_ptr_libGL_so, "glBitmap");
  (void*&)fexldr_ptr_libGL_glBitmapxOES = dlsym_default(fexldr_ptr_libGL_so, "glBitmapxOES");
  (void*&)fexldr_ptr_libGL_glBlendBarrierKHR = dlsym_default(fexldr_ptr_libGL_so, "glBlendBarrierKHR");
  (void*&)fexldr_ptr_libGL_glBlendBarrierNV = dlsym_default(fexldr_ptr_libGL_so, "glBlendBarrierNV");
  (void*&)fexldr_ptr_libGL_glBlendColorEXT = dlsym_default(fexldr_ptr_libGL_so, "glBlendColorEXT");
  (void*&)fexldr_ptr_libGL_glBlendColor = dlsym_default(fexldr_ptr_libGL_so, "glBlendColor");
  (void*&)fexldr_ptr_libGL_glBlendColorxOES = dlsym_default(fexldr_ptr_libGL_so, "glBlendColorxOES");
  (void*&)fexldr_ptr_libGL_glBlendEquationEXT = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquationEXT");
  (void*&)fexldr_ptr_libGL_glBlendEquation = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquation");
  (void*&)fexldr_ptr_libGL_glBlendEquationiARB = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquationiARB");
  (void*&)fexldr_ptr_libGL_glBlendEquationi = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquationi");
  (void*&)fexldr_ptr_libGL_glBlendEquationIndexedAMD = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquationIndexedAMD");
  (void*&)fexldr_ptr_libGL_glBlendEquationSeparateEXT = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquationSeparateEXT");
  (void*&)fexldr_ptr_libGL_glBlendEquationSeparate = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquationSeparate");
  (void*&)fexldr_ptr_libGL_glBlendEquationSeparateiARB = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquationSeparateiARB");
  (void*&)fexldr_ptr_libGL_glBlendEquationSeparatei = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquationSeparatei");
  (void*&)fexldr_ptr_libGL_glBlendEquationSeparateIndexedAMD = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquationSeparateIndexedAMD");
  (void*&)fexldr_ptr_libGL_glBlendFunc = dlsym_default(fexldr_ptr_libGL_so, "glBlendFunc");
  (void*&)fexldr_ptr_libGL_glBlendFunciARB = dlsym_default(fexldr_ptr_libGL_so, "glBlendFunciARB");
  (void*&)fexldr_ptr_libGL_glBlendFunci = dlsym_default(fexldr_ptr_libGL_so, "glBlendFunci");
  (void*&)fexldr_ptr_libGL_glBlendFuncIndexedAMD = dlsym_default(fexldr_ptr_libGL_so, "glBlendFuncIndexedAMD");
  (void*&)fexldr_ptr_libGL_glBlendFuncSeparateEXT = dlsym_default(fexldr_ptr_libGL_so, "glBlendFuncSeparateEXT");
  (void*&)fexldr_ptr_libGL_glBlendFuncSeparate = dlsym_default(fexldr_ptr_libGL_so, "glBlendFuncSeparate");
  (void*&)fexldr_ptr_libGL_glBlendFuncSeparateiARB = dlsym_default(fexldr_ptr_libGL_so, "glBlendFuncSeparateiARB");
  (void*&)fexldr_ptr_libGL_glBlendFuncSeparatei = dlsym_default(fexldr_ptr_libGL_so, "glBlendFuncSeparatei");
  (void*&)fexldr_ptr_libGL_glBlendFuncSeparateIndexedAMD = dlsym_default(fexldr_ptr_libGL_so, "glBlendFuncSeparateIndexedAMD");
  (void*&)fexldr_ptr_libGL_glBlendFuncSeparateINGR = dlsym_default(fexldr_ptr_libGL_so, "glBlendFuncSeparateINGR");
  (void*&)fexldr_ptr_libGL_glBlendParameteriNV = dlsym_default(fexldr_ptr_libGL_so, "glBlendParameteriNV");
  (void*&)fexldr_ptr_libGL_glBlitFramebufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glBlitFramebufferEXT");
  (void*&)fexldr_ptr_libGL_glBlitFramebuffer = dlsym_default(fexldr_ptr_libGL_so, "glBlitFramebuffer");
  (void*&)fexldr_ptr_libGL_glBlitNamedFramebuffer = dlsym_default(fexldr_ptr_libGL_so, "glBlitNamedFramebuffer");
  (void*&)fexldr_ptr_libGL_glBufferAddressRangeNV = dlsym_default(fexldr_ptr_libGL_so, "glBufferAddressRangeNV");
  (void*&)fexldr_ptr_libGL_glBufferAttachMemoryNV = dlsym_default(fexldr_ptr_libGL_so, "glBufferAttachMemoryNV");
  (void*&)fexldr_ptr_libGL_glBufferDataARB = dlsym_default(fexldr_ptr_libGL_so, "glBufferDataARB");
  (void*&)fexldr_ptr_libGL_glBufferData = dlsym_default(fexldr_ptr_libGL_so, "glBufferData");
  (void*&)fexldr_ptr_libGL_glBufferPageCommitmentARB = dlsym_default(fexldr_ptr_libGL_so, "glBufferPageCommitmentARB");
  (void*&)fexldr_ptr_libGL_glBufferParameteriAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glBufferParameteriAPPLE");
  (void*&)fexldr_ptr_libGL_glBufferStorageExternalEXT = dlsym_default(fexldr_ptr_libGL_so, "glBufferStorageExternalEXT");
  (void*&)fexldr_ptr_libGL_glBufferStorage = dlsym_default(fexldr_ptr_libGL_so, "glBufferStorage");
  (void*&)fexldr_ptr_libGL_glBufferStorageMemEXT = dlsym_default(fexldr_ptr_libGL_so, "glBufferStorageMemEXT");
  (void*&)fexldr_ptr_libGL_glBufferSubDataARB = dlsym_default(fexldr_ptr_libGL_so, "glBufferSubDataARB");
  (void*&)fexldr_ptr_libGL_glBufferSubData = dlsym_default(fexldr_ptr_libGL_so, "glBufferSubData");
  (void*&)fexldr_ptr_libGL_glCallCommandListNV = dlsym_default(fexldr_ptr_libGL_so, "glCallCommandListNV");
  (void*&)fexldr_ptr_libGL_glCallList = dlsym_default(fexldr_ptr_libGL_so, "glCallList");
  (void*&)fexldr_ptr_libGL_glCallLists = dlsym_default(fexldr_ptr_libGL_so, "glCallLists");
  (void*&)fexldr_ptr_libGL_glClampColorARB = dlsym_default(fexldr_ptr_libGL_so, "glClampColorARB");
  (void*&)fexldr_ptr_libGL_glClampColor = dlsym_default(fexldr_ptr_libGL_so, "glClampColor");
  (void*&)fexldr_ptr_libGL_glClearAccum = dlsym_default(fexldr_ptr_libGL_so, "glClearAccum");
  (void*&)fexldr_ptr_libGL_glClearAccumxOES = dlsym_default(fexldr_ptr_libGL_so, "glClearAccumxOES");
  (void*&)fexldr_ptr_libGL_glClearBufferData = dlsym_default(fexldr_ptr_libGL_so, "glClearBufferData");
  (void*&)fexldr_ptr_libGL_glClearBufferfi = dlsym_default(fexldr_ptr_libGL_so, "glClearBufferfi");
  (void*&)fexldr_ptr_libGL_glClearBufferfv = dlsym_default(fexldr_ptr_libGL_so, "glClearBufferfv");
  (void*&)fexldr_ptr_libGL_glClearBufferiv = dlsym_default(fexldr_ptr_libGL_so, "glClearBufferiv");
  (void*&)fexldr_ptr_libGL_glClearBufferSubData = dlsym_default(fexldr_ptr_libGL_so, "glClearBufferSubData");
  (void*&)fexldr_ptr_libGL_glClearBufferuiv = dlsym_default(fexldr_ptr_libGL_so, "glClearBufferuiv");
  (void*&)fexldr_ptr_libGL_glClearColor = dlsym_default(fexldr_ptr_libGL_so, "glClearColor");
  (void*&)fexldr_ptr_libGL_glClearColorIiEXT = dlsym_default(fexldr_ptr_libGL_so, "glClearColorIiEXT");
  (void*&)fexldr_ptr_libGL_glClearColorIuiEXT = dlsym_default(fexldr_ptr_libGL_so, "glClearColorIuiEXT");
  (void*&)fexldr_ptr_libGL_glClearColorxOES = dlsym_default(fexldr_ptr_libGL_so, "glClearColorxOES");
  (void*&)fexldr_ptr_libGL_glClearDepthdNV = dlsym_default(fexldr_ptr_libGL_so, "glClearDepthdNV");
  (void*&)fexldr_ptr_libGL_glClearDepthf = dlsym_default(fexldr_ptr_libGL_so, "glClearDepthf");
  (void*&)fexldr_ptr_libGL_glClearDepthfOES = dlsym_default(fexldr_ptr_libGL_so, "glClearDepthfOES");
  (void*&)fexldr_ptr_libGL_glClearDepth = dlsym_default(fexldr_ptr_libGL_so, "glClearDepth");
  (void*&)fexldr_ptr_libGL_glClearDepthxOES = dlsym_default(fexldr_ptr_libGL_so, "glClearDepthxOES");
  (void*&)fexldr_ptr_libGL_glClear = dlsym_default(fexldr_ptr_libGL_so, "glClear");
  (void*&)fexldr_ptr_libGL_glClearIndex = dlsym_default(fexldr_ptr_libGL_so, "glClearIndex");
  (void*&)fexldr_ptr_libGL_glClearNamedBufferDataEXT = dlsym_default(fexldr_ptr_libGL_so, "glClearNamedBufferDataEXT");
  (void*&)fexldr_ptr_libGL_glClearNamedBufferData = dlsym_default(fexldr_ptr_libGL_so, "glClearNamedBufferData");
  (void*&)fexldr_ptr_libGL_glClearNamedBufferSubDataEXT = dlsym_default(fexldr_ptr_libGL_so, "glClearNamedBufferSubDataEXT");
  (void*&)fexldr_ptr_libGL_glClearNamedBufferSubData = dlsym_default(fexldr_ptr_libGL_so, "glClearNamedBufferSubData");
  (void*&)fexldr_ptr_libGL_glClearNamedFramebufferfi = dlsym_default(fexldr_ptr_libGL_so, "glClearNamedFramebufferfi");
  (void*&)fexldr_ptr_libGL_glClearNamedFramebufferfv = dlsym_default(fexldr_ptr_libGL_so, "glClearNamedFramebufferfv");
  (void*&)fexldr_ptr_libGL_glClearNamedFramebufferiv = dlsym_default(fexldr_ptr_libGL_so, "glClearNamedFramebufferiv");
  (void*&)fexldr_ptr_libGL_glClearNamedFramebufferuiv = dlsym_default(fexldr_ptr_libGL_so, "glClearNamedFramebufferuiv");
  (void*&)fexldr_ptr_libGL_glClearStencil = dlsym_default(fexldr_ptr_libGL_so, "glClearStencil");
  (void*&)fexldr_ptr_libGL_glClearTexImage = dlsym_default(fexldr_ptr_libGL_so, "glClearTexImage");
  (void*&)fexldr_ptr_libGL_glClearTexSubImage = dlsym_default(fexldr_ptr_libGL_so, "glClearTexSubImage");
  (void*&)fexldr_ptr_libGL_glClientActiveTextureARB = dlsym_default(fexldr_ptr_libGL_so, "glClientActiveTextureARB");
  (void*&)fexldr_ptr_libGL_glClientActiveTexture = dlsym_default(fexldr_ptr_libGL_so, "glClientActiveTexture");
  (void*&)fexldr_ptr_libGL_glClientActiveVertexStreamATI = dlsym_default(fexldr_ptr_libGL_so, "glClientActiveVertexStreamATI");
  (void*&)fexldr_ptr_libGL_glClientAttribDefaultEXT = dlsym_default(fexldr_ptr_libGL_so, "glClientAttribDefaultEXT");
  (void*&)fexldr_ptr_libGL_glClientWaitSemaphoreui64NVX = dlsym_default(fexldr_ptr_libGL_so, "glClientWaitSemaphoreui64NVX");
  (void*&)fexldr_ptr_libGL_glClipControl = dlsym_default(fexldr_ptr_libGL_so, "glClipControl");
  (void*&)fexldr_ptr_libGL_glClipPlanefOES = dlsym_default(fexldr_ptr_libGL_so, "glClipPlanefOES");
  (void*&)fexldr_ptr_libGL_glClipPlane = dlsym_default(fexldr_ptr_libGL_so, "glClipPlane");
  (void*&)fexldr_ptr_libGL_glClipPlanexOES = dlsym_default(fexldr_ptr_libGL_so, "glClipPlanexOES");
  (void*&)fexldr_ptr_libGL_glColor3b = dlsym_default(fexldr_ptr_libGL_so, "glColor3b");
  (void*&)fexldr_ptr_libGL_glColor3bv = dlsym_default(fexldr_ptr_libGL_so, "glColor3bv");
  (void*&)fexldr_ptr_libGL_glColor3d = dlsym_default(fexldr_ptr_libGL_so, "glColor3d");
  (void*&)fexldr_ptr_libGL_glColor3dv = dlsym_default(fexldr_ptr_libGL_so, "glColor3dv");
  (void*&)fexldr_ptr_libGL_glColor3f = dlsym_default(fexldr_ptr_libGL_so, "glColor3f");
  (void*&)fexldr_ptr_libGL_glColor3fv = dlsym_default(fexldr_ptr_libGL_so, "glColor3fv");
  (void*&)fexldr_ptr_libGL_glColor3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glColor3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glColor3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glColor3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glColor3hNV = dlsym_default(fexldr_ptr_libGL_so, "glColor3hNV");
  (void*&)fexldr_ptr_libGL_glColor3hvNV = dlsym_default(fexldr_ptr_libGL_so, "glColor3hvNV");
  (void*&)fexldr_ptr_libGL_glColor3i = dlsym_default(fexldr_ptr_libGL_so, "glColor3i");
  (void*&)fexldr_ptr_libGL_glColor3iv = dlsym_default(fexldr_ptr_libGL_so, "glColor3iv");
  (void*&)fexldr_ptr_libGL_glColor3s = dlsym_default(fexldr_ptr_libGL_so, "glColor3s");
  (void*&)fexldr_ptr_libGL_glColor3sv = dlsym_default(fexldr_ptr_libGL_so, "glColor3sv");
  (void*&)fexldr_ptr_libGL_glColor3ub = dlsym_default(fexldr_ptr_libGL_so, "glColor3ub");
  (void*&)fexldr_ptr_libGL_glColor3ubv = dlsym_default(fexldr_ptr_libGL_so, "glColor3ubv");
  (void*&)fexldr_ptr_libGL_glColor3ui = dlsym_default(fexldr_ptr_libGL_so, "glColor3ui");
  (void*&)fexldr_ptr_libGL_glColor3uiv = dlsym_default(fexldr_ptr_libGL_so, "glColor3uiv");
  (void*&)fexldr_ptr_libGL_glColor3us = dlsym_default(fexldr_ptr_libGL_so, "glColor3us");
  (void*&)fexldr_ptr_libGL_glColor3usv = dlsym_default(fexldr_ptr_libGL_so, "glColor3usv");
  (void*&)fexldr_ptr_libGL_glColor3xOES = dlsym_default(fexldr_ptr_libGL_so, "glColor3xOES");
  (void*&)fexldr_ptr_libGL_glColor3xvOES = dlsym_default(fexldr_ptr_libGL_so, "glColor3xvOES");
  (void*&)fexldr_ptr_libGL_glColor4b = dlsym_default(fexldr_ptr_libGL_so, "glColor4b");
  (void*&)fexldr_ptr_libGL_glColor4bv = dlsym_default(fexldr_ptr_libGL_so, "glColor4bv");
  (void*&)fexldr_ptr_libGL_glColor4d = dlsym_default(fexldr_ptr_libGL_so, "glColor4d");
  (void*&)fexldr_ptr_libGL_glColor4dv = dlsym_default(fexldr_ptr_libGL_so, "glColor4dv");
  (void*&)fexldr_ptr_libGL_glColor4f = dlsym_default(fexldr_ptr_libGL_so, "glColor4f");
  (void*&)fexldr_ptr_libGL_glColor4fNormal3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glColor4fNormal3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glColor4fNormal3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glColor4fNormal3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glColor4fv = dlsym_default(fexldr_ptr_libGL_so, "glColor4fv");
  (void*&)fexldr_ptr_libGL_glColor4hNV = dlsym_default(fexldr_ptr_libGL_so, "glColor4hNV");
  (void*&)fexldr_ptr_libGL_glColor4hvNV = dlsym_default(fexldr_ptr_libGL_so, "glColor4hvNV");
  (void*&)fexldr_ptr_libGL_glColor4i = dlsym_default(fexldr_ptr_libGL_so, "glColor4i");
  (void*&)fexldr_ptr_libGL_glColor4iv = dlsym_default(fexldr_ptr_libGL_so, "glColor4iv");
  (void*&)fexldr_ptr_libGL_glColor4s = dlsym_default(fexldr_ptr_libGL_so, "glColor4s");
  (void*&)fexldr_ptr_libGL_glColor4sv = dlsym_default(fexldr_ptr_libGL_so, "glColor4sv");
  (void*&)fexldr_ptr_libGL_glColor4ub = dlsym_default(fexldr_ptr_libGL_so, "glColor4ub");
  (void*&)fexldr_ptr_libGL_glColor4ubv = dlsym_default(fexldr_ptr_libGL_so, "glColor4ubv");
  (void*&)fexldr_ptr_libGL_glColor4ubVertex2fSUN = dlsym_default(fexldr_ptr_libGL_so, "glColor4ubVertex2fSUN");
  (void*&)fexldr_ptr_libGL_glColor4ubVertex2fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glColor4ubVertex2fvSUN");
  (void*&)fexldr_ptr_libGL_glColor4ubVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glColor4ubVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glColor4ubVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glColor4ubVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glColor4ui = dlsym_default(fexldr_ptr_libGL_so, "glColor4ui");
  (void*&)fexldr_ptr_libGL_glColor4uiv = dlsym_default(fexldr_ptr_libGL_so, "glColor4uiv");
  (void*&)fexldr_ptr_libGL_glColor4us = dlsym_default(fexldr_ptr_libGL_so, "glColor4us");
  (void*&)fexldr_ptr_libGL_glColor4usv = dlsym_default(fexldr_ptr_libGL_so, "glColor4usv");
  (void*&)fexldr_ptr_libGL_glColor4xOES = dlsym_default(fexldr_ptr_libGL_so, "glColor4xOES");
  (void*&)fexldr_ptr_libGL_glColor4xvOES = dlsym_default(fexldr_ptr_libGL_so, "glColor4xvOES");
  (void*&)fexldr_ptr_libGL_glColorFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glColorFormatNV");
  (void*&)fexldr_ptr_libGL_glColorFragmentOp1ATI = dlsym_default(fexldr_ptr_libGL_so, "glColorFragmentOp1ATI");
  (void*&)fexldr_ptr_libGL_glColorFragmentOp2ATI = dlsym_default(fexldr_ptr_libGL_so, "glColorFragmentOp2ATI");
  (void*&)fexldr_ptr_libGL_glColorFragmentOp3ATI = dlsym_default(fexldr_ptr_libGL_so, "glColorFragmentOp3ATI");
  (void*&)fexldr_ptr_libGL_glColorMask = dlsym_default(fexldr_ptr_libGL_so, "glColorMask");
  (void*&)fexldr_ptr_libGL_glColorMaski = dlsym_default(fexldr_ptr_libGL_so, "glColorMaski");
  (void*&)fexldr_ptr_libGL_glColorMaskIndexedEXT = dlsym_default(fexldr_ptr_libGL_so, "glColorMaskIndexedEXT");
  (void*&)fexldr_ptr_libGL_glColorMaterial = dlsym_default(fexldr_ptr_libGL_so, "glColorMaterial");
  (void*&)fexldr_ptr_libGL_glColorPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glColorPointerEXT");
  (void*&)fexldr_ptr_libGL_glColorPointer = dlsym_default(fexldr_ptr_libGL_so, "glColorPointer");
  (void*&)fexldr_ptr_libGL_glColorPointerListIBM = dlsym_default(fexldr_ptr_libGL_so, "glColorPointerListIBM");
  (void*&)fexldr_ptr_libGL_glColorPointervINTEL = dlsym_default(fexldr_ptr_libGL_so, "glColorPointervINTEL");
  (void*&)fexldr_ptr_libGL_glColorSubTableEXT = dlsym_default(fexldr_ptr_libGL_so, "glColorSubTableEXT");
  (void*&)fexldr_ptr_libGL_glColorSubTable = dlsym_default(fexldr_ptr_libGL_so, "glColorSubTable");
  (void*&)fexldr_ptr_libGL_glColorTableEXT = dlsym_default(fexldr_ptr_libGL_so, "glColorTableEXT");
  (void*&)fexldr_ptr_libGL_glColorTable = dlsym_default(fexldr_ptr_libGL_so, "glColorTable");
  (void*&)fexldr_ptr_libGL_glColorTableParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glColorTableParameterfv");
  (void*&)fexldr_ptr_libGL_glColorTableParameterfvSGI = dlsym_default(fexldr_ptr_libGL_so, "glColorTableParameterfvSGI");
  (void*&)fexldr_ptr_libGL_glColorTableParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glColorTableParameteriv");
  (void*&)fexldr_ptr_libGL_glColorTableParameterivSGI = dlsym_default(fexldr_ptr_libGL_so, "glColorTableParameterivSGI");
  (void*&)fexldr_ptr_libGL_glColorTableSGI = dlsym_default(fexldr_ptr_libGL_so, "glColorTableSGI");
  (void*&)fexldr_ptr_libGL_glCombinerInputNV = dlsym_default(fexldr_ptr_libGL_so, "glCombinerInputNV");
  (void*&)fexldr_ptr_libGL_glCombinerOutputNV = dlsym_default(fexldr_ptr_libGL_so, "glCombinerOutputNV");
  (void*&)fexldr_ptr_libGL_glCombinerParameterfNV = dlsym_default(fexldr_ptr_libGL_so, "glCombinerParameterfNV");
  (void*&)fexldr_ptr_libGL_glCombinerParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glCombinerParameterfvNV");
  (void*&)fexldr_ptr_libGL_glCombinerParameteriNV = dlsym_default(fexldr_ptr_libGL_so, "glCombinerParameteriNV");
  (void*&)fexldr_ptr_libGL_glCombinerParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glCombinerParameterivNV");
  (void*&)fexldr_ptr_libGL_glCombinerStageParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glCombinerStageParameterfvNV");
  (void*&)fexldr_ptr_libGL_glCommandListSegmentsNV = dlsym_default(fexldr_ptr_libGL_so, "glCommandListSegmentsNV");
  (void*&)fexldr_ptr_libGL_glCompileCommandListNV = dlsym_default(fexldr_ptr_libGL_so, "glCompileCommandListNV");
  (void*&)fexldr_ptr_libGL_glCompileShaderARB = dlsym_default(fexldr_ptr_libGL_so, "glCompileShaderARB");
  (void*&)fexldr_ptr_libGL_glCompileShader = dlsym_default(fexldr_ptr_libGL_so, "glCompileShader");
  (void*&)fexldr_ptr_libGL_glCompileShaderIncludeARB = dlsym_default(fexldr_ptr_libGL_so, "glCompileShaderIncludeARB");
  (void*&)fexldr_ptr_libGL_glCompressedMultiTexImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedMultiTexImage1DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedMultiTexImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedMultiTexImage2DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedMultiTexImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedMultiTexImage3DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedMultiTexSubImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedMultiTexSubImage1DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedMultiTexSubImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedMultiTexSubImage2DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedMultiTexSubImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedMultiTexSubImage3DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedTexImage1DARB = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexImage1DARB");
  (void*&)fexldr_ptr_libGL_glCompressedTexImage1D = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexImage1D");
  (void*&)fexldr_ptr_libGL_glCompressedTexImage2DARB = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexImage2DARB");
  (void*&)fexldr_ptr_libGL_glCompressedTexImage2D = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexImage2D");
  (void*&)fexldr_ptr_libGL_glCompressedTexImage3DARB = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexImage3DARB");
  (void*&)fexldr_ptr_libGL_glCompressedTexImage3D = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexImage3D");
  (void*&)fexldr_ptr_libGL_glCompressedTexSubImage1DARB = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexSubImage1DARB");
  (void*&)fexldr_ptr_libGL_glCompressedTexSubImage1D = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexSubImage1D");
  (void*&)fexldr_ptr_libGL_glCompressedTexSubImage2DARB = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexSubImage2DARB");
  (void*&)fexldr_ptr_libGL_glCompressedTexSubImage2D = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexSubImage2D");
  (void*&)fexldr_ptr_libGL_glCompressedTexSubImage3DARB = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexSubImage3DARB");
  (void*&)fexldr_ptr_libGL_glCompressedTexSubImage3D = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTexSubImage3D");
  (void*&)fexldr_ptr_libGL_glCompressedTextureImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTextureImage1DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedTextureImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTextureImage2DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedTextureImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTextureImage3DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedTextureSubImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTextureSubImage1DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedTextureSubImage1D = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTextureSubImage1D");
  (void*&)fexldr_ptr_libGL_glCompressedTextureSubImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTextureSubImage2DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedTextureSubImage2D = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTextureSubImage2D");
  (void*&)fexldr_ptr_libGL_glCompressedTextureSubImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTextureSubImage3DEXT");
  (void*&)fexldr_ptr_libGL_glCompressedTextureSubImage3D = dlsym_default(fexldr_ptr_libGL_so, "glCompressedTextureSubImage3D");
  (void*&)fexldr_ptr_libGL_glConservativeRasterParameterfNV = dlsym_default(fexldr_ptr_libGL_so, "glConservativeRasterParameterfNV");
  (void*&)fexldr_ptr_libGL_glConservativeRasterParameteriNV = dlsym_default(fexldr_ptr_libGL_so, "glConservativeRasterParameteriNV");
  (void*&)fexldr_ptr_libGL_glConvolutionFilter1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionFilter1DEXT");
  (void*&)fexldr_ptr_libGL_glConvolutionFilter1D = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionFilter1D");
  (void*&)fexldr_ptr_libGL_glConvolutionFilter2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionFilter2DEXT");
  (void*&)fexldr_ptr_libGL_glConvolutionFilter2D = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionFilter2D");
  (void*&)fexldr_ptr_libGL_glConvolutionParameterfEXT = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionParameterfEXT");
  (void*&)fexldr_ptr_libGL_glConvolutionParameterf = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionParameterf");
  (void*&)fexldr_ptr_libGL_glConvolutionParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glConvolutionParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionParameterfv");
  (void*&)fexldr_ptr_libGL_glConvolutionParameteriEXT = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionParameteriEXT");
  (void*&)fexldr_ptr_libGL_glConvolutionParameteri = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionParameteri");
  (void*&)fexldr_ptr_libGL_glConvolutionParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionParameterivEXT");
  (void*&)fexldr_ptr_libGL_glConvolutionParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionParameteriv");
  (void*&)fexldr_ptr_libGL_glConvolutionParameterxOES = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionParameterxOES");
  (void*&)fexldr_ptr_libGL_glConvolutionParameterxvOES = dlsym_default(fexldr_ptr_libGL_so, "glConvolutionParameterxvOES");
  (void*&)fexldr_ptr_libGL_glCopyBufferSubData = dlsym_default(fexldr_ptr_libGL_so, "glCopyBufferSubData");
  (void*&)fexldr_ptr_libGL_glCopyColorSubTableEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyColorSubTableEXT");
  (void*&)fexldr_ptr_libGL_glCopyColorSubTable = dlsym_default(fexldr_ptr_libGL_so, "glCopyColorSubTable");
  (void*&)fexldr_ptr_libGL_glCopyColorTable = dlsym_default(fexldr_ptr_libGL_so, "glCopyColorTable");
  (void*&)fexldr_ptr_libGL_glCopyColorTableSGI = dlsym_default(fexldr_ptr_libGL_so, "glCopyColorTableSGI");
  (void*&)fexldr_ptr_libGL_glCopyConvolutionFilter1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyConvolutionFilter1DEXT");
  (void*&)fexldr_ptr_libGL_glCopyConvolutionFilter1D = dlsym_default(fexldr_ptr_libGL_so, "glCopyConvolutionFilter1D");
  (void*&)fexldr_ptr_libGL_glCopyConvolutionFilter2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyConvolutionFilter2DEXT");
  (void*&)fexldr_ptr_libGL_glCopyConvolutionFilter2D = dlsym_default(fexldr_ptr_libGL_so, "glCopyConvolutionFilter2D");
  (void*&)fexldr_ptr_libGL_glCopyImageSubData = dlsym_default(fexldr_ptr_libGL_so, "glCopyImageSubData");
  (void*&)fexldr_ptr_libGL_glCopyImageSubDataNV = dlsym_default(fexldr_ptr_libGL_so, "glCopyImageSubDataNV");
  (void*&)fexldr_ptr_libGL_glCopyMultiTexImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyMultiTexImage1DEXT");
  (void*&)fexldr_ptr_libGL_glCopyMultiTexImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyMultiTexImage2DEXT");
  (void*&)fexldr_ptr_libGL_glCopyMultiTexSubImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyMultiTexSubImage1DEXT");
  (void*&)fexldr_ptr_libGL_glCopyMultiTexSubImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyMultiTexSubImage2DEXT");
  (void*&)fexldr_ptr_libGL_glCopyMultiTexSubImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyMultiTexSubImage3DEXT");
  (void*&)fexldr_ptr_libGL_glCopyNamedBufferSubData = dlsym_default(fexldr_ptr_libGL_so, "glCopyNamedBufferSubData");
  (void*&)fexldr_ptr_libGL_glCopyPathNV = dlsym_default(fexldr_ptr_libGL_so, "glCopyPathNV");
  (void*&)fexldr_ptr_libGL_glCopyPixels = dlsym_default(fexldr_ptr_libGL_so, "glCopyPixels");
  (void*&)fexldr_ptr_libGL_glCopyTexImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyTexImage1DEXT");
  (void*&)fexldr_ptr_libGL_glCopyTexImage1D = dlsym_default(fexldr_ptr_libGL_so, "glCopyTexImage1D");
  (void*&)fexldr_ptr_libGL_glCopyTexImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyTexImage2DEXT");
  (void*&)fexldr_ptr_libGL_glCopyTexImage2D = dlsym_default(fexldr_ptr_libGL_so, "glCopyTexImage2D");
  (void*&)fexldr_ptr_libGL_glCopyTexSubImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyTexSubImage1DEXT");
  (void*&)fexldr_ptr_libGL_glCopyTexSubImage1D = dlsym_default(fexldr_ptr_libGL_so, "glCopyTexSubImage1D");
  (void*&)fexldr_ptr_libGL_glCopyTexSubImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyTexSubImage2DEXT");
  (void*&)fexldr_ptr_libGL_glCopyTexSubImage2D = dlsym_default(fexldr_ptr_libGL_so, "glCopyTexSubImage2D");
  (void*&)fexldr_ptr_libGL_glCopyTexSubImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyTexSubImage3DEXT");
  (void*&)fexldr_ptr_libGL_glCopyTexSubImage3D = dlsym_default(fexldr_ptr_libGL_so, "glCopyTexSubImage3D");
  (void*&)fexldr_ptr_libGL_glCopyTextureImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyTextureImage1DEXT");
  (void*&)fexldr_ptr_libGL_glCopyTextureImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyTextureImage2DEXT");
  (void*&)fexldr_ptr_libGL_glCopyTextureSubImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyTextureSubImage1DEXT");
  (void*&)fexldr_ptr_libGL_glCopyTextureSubImage1D = dlsym_default(fexldr_ptr_libGL_so, "glCopyTextureSubImage1D");
  (void*&)fexldr_ptr_libGL_glCopyTextureSubImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyTextureSubImage2DEXT");
  (void*&)fexldr_ptr_libGL_glCopyTextureSubImage2D = dlsym_default(fexldr_ptr_libGL_so, "glCopyTextureSubImage2D");
  (void*&)fexldr_ptr_libGL_glCopyTextureSubImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glCopyTextureSubImage3DEXT");
  (void*&)fexldr_ptr_libGL_glCopyTextureSubImage3D = dlsym_default(fexldr_ptr_libGL_so, "glCopyTextureSubImage3D");
  (void*&)fexldr_ptr_libGL_glCoverageModulationNV = dlsym_default(fexldr_ptr_libGL_so, "glCoverageModulationNV");
  (void*&)fexldr_ptr_libGL_glCoverageModulationTableNV = dlsym_default(fexldr_ptr_libGL_so, "glCoverageModulationTableNV");
  (void*&)fexldr_ptr_libGL_glCoverFillPathInstancedNV = dlsym_default(fexldr_ptr_libGL_so, "glCoverFillPathInstancedNV");
  (void*&)fexldr_ptr_libGL_glCoverFillPathNV = dlsym_default(fexldr_ptr_libGL_so, "glCoverFillPathNV");
  (void*&)fexldr_ptr_libGL_glCoverStrokePathInstancedNV = dlsym_default(fexldr_ptr_libGL_so, "glCoverStrokePathInstancedNV");
  (void*&)fexldr_ptr_libGL_glCoverStrokePathNV = dlsym_default(fexldr_ptr_libGL_so, "glCoverStrokePathNV");
  (void*&)fexldr_ptr_libGL_glCreateBuffers = dlsym_default(fexldr_ptr_libGL_so, "glCreateBuffers");
  (void*&)fexldr_ptr_libGL_glCreateCommandListsNV = dlsym_default(fexldr_ptr_libGL_so, "glCreateCommandListsNV");
  (void*&)fexldr_ptr_libGL_glCreateFramebuffers = dlsym_default(fexldr_ptr_libGL_so, "glCreateFramebuffers");
  (void*&)fexldr_ptr_libGL_glCreateMemoryObjectsEXT = dlsym_default(fexldr_ptr_libGL_so, "glCreateMemoryObjectsEXT");
  (void*&)fexldr_ptr_libGL_glCreatePerfQueryINTEL = dlsym_default(fexldr_ptr_libGL_so, "glCreatePerfQueryINTEL");
  (void*&)fexldr_ptr_libGL_glCreateProgramPipelines = dlsym_default(fexldr_ptr_libGL_so, "glCreateProgramPipelines");
  (void*&)fexldr_ptr_libGL_glCreateQueries = dlsym_default(fexldr_ptr_libGL_so, "glCreateQueries");
  (void*&)fexldr_ptr_libGL_glCreateRenderbuffers = dlsym_default(fexldr_ptr_libGL_so, "glCreateRenderbuffers");
  (void*&)fexldr_ptr_libGL_glCreateSamplers = dlsym_default(fexldr_ptr_libGL_so, "glCreateSamplers");
  (void*&)fexldr_ptr_libGL_glCreateStatesNV = dlsym_default(fexldr_ptr_libGL_so, "glCreateStatesNV");
  (void*&)fexldr_ptr_libGL_glCreateTextures = dlsym_default(fexldr_ptr_libGL_so, "glCreateTextures");
  (void*&)fexldr_ptr_libGL_glCreateTransformFeedbacks = dlsym_default(fexldr_ptr_libGL_so, "glCreateTransformFeedbacks");
  (void*&)fexldr_ptr_libGL_glCreateVertexArrays = dlsym_default(fexldr_ptr_libGL_so, "glCreateVertexArrays");
  (void*&)fexldr_ptr_libGL_glCullFace = dlsym_default(fexldr_ptr_libGL_so, "glCullFace");
  (void*&)fexldr_ptr_libGL_glCullParameterdvEXT = dlsym_default(fexldr_ptr_libGL_so, "glCullParameterdvEXT");
  (void*&)fexldr_ptr_libGL_glCullParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glCullParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glCurrentPaletteMatrixARB = dlsym_default(fexldr_ptr_libGL_so, "glCurrentPaletteMatrixARB");
  (void*&)fexldr_ptr_libGL_glDebugMessageCallbackAMD = dlsym_default(fexldr_ptr_libGL_so, "glDebugMessageCallbackAMD");
  (void*&)fexldr_ptr_libGL_glDebugMessageCallbackARB = dlsym_default(fexldr_ptr_libGL_so, "glDebugMessageCallbackARB");
  (void*&)fexldr_ptr_libGL_glDebugMessageCallback = dlsym_default(fexldr_ptr_libGL_so, "glDebugMessageCallback");
  (void*&)fexldr_ptr_libGL_glDebugMessageControlARB = dlsym_default(fexldr_ptr_libGL_so, "glDebugMessageControlARB");
  (void*&)fexldr_ptr_libGL_glDebugMessageControl = dlsym_default(fexldr_ptr_libGL_so, "glDebugMessageControl");
  (void*&)fexldr_ptr_libGL_glDebugMessageEnableAMD = dlsym_default(fexldr_ptr_libGL_so, "glDebugMessageEnableAMD");
  (void*&)fexldr_ptr_libGL_glDebugMessageInsertAMD = dlsym_default(fexldr_ptr_libGL_so, "glDebugMessageInsertAMD");
  (void*&)fexldr_ptr_libGL_glDebugMessageInsertARB = dlsym_default(fexldr_ptr_libGL_so, "glDebugMessageInsertARB");
  (void*&)fexldr_ptr_libGL_glDebugMessageInsert = dlsym_default(fexldr_ptr_libGL_so, "glDebugMessageInsert");
  (void*&)fexldr_ptr_libGL_glDeformationMap3dSGIX = dlsym_default(fexldr_ptr_libGL_so, "glDeformationMap3dSGIX");
  (void*&)fexldr_ptr_libGL_glDeformationMap3fSGIX = dlsym_default(fexldr_ptr_libGL_so, "glDeformationMap3fSGIX");
  (void*&)fexldr_ptr_libGL_glDeformSGIX = dlsym_default(fexldr_ptr_libGL_so, "glDeformSGIX");
  (void*&)fexldr_ptr_libGL_glDeleteAsyncMarkersSGIX = dlsym_default(fexldr_ptr_libGL_so, "glDeleteAsyncMarkersSGIX");
  (void*&)fexldr_ptr_libGL_glDeleteBuffersARB = dlsym_default(fexldr_ptr_libGL_so, "glDeleteBuffersARB");
  (void*&)fexldr_ptr_libGL_glDeleteBuffers = dlsym_default(fexldr_ptr_libGL_so, "glDeleteBuffers");
  (void*&)fexldr_ptr_libGL_glDeleteCommandListsNV = dlsym_default(fexldr_ptr_libGL_so, "glDeleteCommandListsNV");
  (void*&)fexldr_ptr_libGL_glDeleteFencesAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glDeleteFencesAPPLE");
  (void*&)fexldr_ptr_libGL_glDeleteFencesNV = dlsym_default(fexldr_ptr_libGL_so, "glDeleteFencesNV");
  (void*&)fexldr_ptr_libGL_glDeleteFragmentShaderATI = dlsym_default(fexldr_ptr_libGL_so, "glDeleteFragmentShaderATI");
  (void*&)fexldr_ptr_libGL_glDeleteFramebuffersEXT = dlsym_default(fexldr_ptr_libGL_so, "glDeleteFramebuffersEXT");
  (void*&)fexldr_ptr_libGL_glDeleteFramebuffers = dlsym_default(fexldr_ptr_libGL_so, "glDeleteFramebuffers");
  (void*&)fexldr_ptr_libGL_glDeleteLists = dlsym_default(fexldr_ptr_libGL_so, "glDeleteLists");
  (void*&)fexldr_ptr_libGL_glDeleteMemoryObjectsEXT = dlsym_default(fexldr_ptr_libGL_so, "glDeleteMemoryObjectsEXT");
  (void*&)fexldr_ptr_libGL_glDeleteNamedStringARB = dlsym_default(fexldr_ptr_libGL_so, "glDeleteNamedStringARB");
  (void*&)fexldr_ptr_libGL_glDeleteNamesAMD = dlsym_default(fexldr_ptr_libGL_so, "glDeleteNamesAMD");
  (void*&)fexldr_ptr_libGL_glDeleteObjectARB = dlsym_default(fexldr_ptr_libGL_so, "glDeleteObjectARB");
  (void*&)fexldr_ptr_libGL_glDeleteOcclusionQueriesNV = dlsym_default(fexldr_ptr_libGL_so, "glDeleteOcclusionQueriesNV");
  (void*&)fexldr_ptr_libGL_glDeletePathsNV = dlsym_default(fexldr_ptr_libGL_so, "glDeletePathsNV");
  (void*&)fexldr_ptr_libGL_glDeletePerfMonitorsAMD = dlsym_default(fexldr_ptr_libGL_so, "glDeletePerfMonitorsAMD");
  (void*&)fexldr_ptr_libGL_glDeletePerfQueryINTEL = dlsym_default(fexldr_ptr_libGL_so, "glDeletePerfQueryINTEL");
  (void*&)fexldr_ptr_libGL_glDeleteProgram = dlsym_default(fexldr_ptr_libGL_so, "glDeleteProgram");
  (void*&)fexldr_ptr_libGL_glDeleteProgramPipelines = dlsym_default(fexldr_ptr_libGL_so, "glDeleteProgramPipelines");
  (void*&)fexldr_ptr_libGL_glDeleteProgramsARB = dlsym_default(fexldr_ptr_libGL_so, "glDeleteProgramsARB");
  (void*&)fexldr_ptr_libGL_glDeleteProgramsNV = dlsym_default(fexldr_ptr_libGL_so, "glDeleteProgramsNV");
  (void*&)fexldr_ptr_libGL_glDeleteQueriesARB = dlsym_default(fexldr_ptr_libGL_so, "glDeleteQueriesARB");
  (void*&)fexldr_ptr_libGL_glDeleteQueries = dlsym_default(fexldr_ptr_libGL_so, "glDeleteQueries");
  (void*&)fexldr_ptr_libGL_glDeleteQueryResourceTagNV = dlsym_default(fexldr_ptr_libGL_so, "glDeleteQueryResourceTagNV");
  (void*&)fexldr_ptr_libGL_glDeleteRenderbuffersEXT = dlsym_default(fexldr_ptr_libGL_so, "glDeleteRenderbuffersEXT");
  (void*&)fexldr_ptr_libGL_glDeleteRenderbuffers = dlsym_default(fexldr_ptr_libGL_so, "glDeleteRenderbuffers");
  (void*&)fexldr_ptr_libGL_glDeleteSamplers = dlsym_default(fexldr_ptr_libGL_so, "glDeleteSamplers");
  (void*&)fexldr_ptr_libGL_glDeleteSemaphoresEXT = dlsym_default(fexldr_ptr_libGL_so, "glDeleteSemaphoresEXT");
  (void*&)fexldr_ptr_libGL_glDeleteShader = dlsym_default(fexldr_ptr_libGL_so, "glDeleteShader");
  (void*&)fexldr_ptr_libGL_glDeleteStatesNV = dlsym_default(fexldr_ptr_libGL_so, "glDeleteStatesNV");
  (void*&)fexldr_ptr_libGL_glDeleteSync = dlsym_default(fexldr_ptr_libGL_so, "glDeleteSync");
  (void*&)fexldr_ptr_libGL_glDeleteTexturesEXT = dlsym_default(fexldr_ptr_libGL_so, "glDeleteTexturesEXT");
  (void*&)fexldr_ptr_libGL_glDeleteTextures = dlsym_default(fexldr_ptr_libGL_so, "glDeleteTextures");
  (void*&)fexldr_ptr_libGL_glDeleteTransformFeedbacks = dlsym_default(fexldr_ptr_libGL_so, "glDeleteTransformFeedbacks");
  (void*&)fexldr_ptr_libGL_glDeleteTransformFeedbacksNV = dlsym_default(fexldr_ptr_libGL_so, "glDeleteTransformFeedbacksNV");
  (void*&)fexldr_ptr_libGL_glDeleteVertexArraysAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glDeleteVertexArraysAPPLE");
  (void*&)fexldr_ptr_libGL_glDeleteVertexArrays = dlsym_default(fexldr_ptr_libGL_so, "glDeleteVertexArrays");
  (void*&)fexldr_ptr_libGL_glDeleteVertexShaderEXT = dlsym_default(fexldr_ptr_libGL_so, "glDeleteVertexShaderEXT");
  (void*&)fexldr_ptr_libGL_glDepthBoundsdNV = dlsym_default(fexldr_ptr_libGL_so, "glDepthBoundsdNV");
  (void*&)fexldr_ptr_libGL_glDepthBoundsEXT = dlsym_default(fexldr_ptr_libGL_so, "glDepthBoundsEXT");
  (void*&)fexldr_ptr_libGL_glDepthFunc = dlsym_default(fexldr_ptr_libGL_so, "glDepthFunc");
  (void*&)fexldr_ptr_libGL_glDepthMask = dlsym_default(fexldr_ptr_libGL_so, "glDepthMask");
  (void*&)fexldr_ptr_libGL_glDepthRangeArraydvNV = dlsym_default(fexldr_ptr_libGL_so, "glDepthRangeArraydvNV");
  (void*&)fexldr_ptr_libGL_glDepthRangeArrayv = dlsym_default(fexldr_ptr_libGL_so, "glDepthRangeArrayv");
  (void*&)fexldr_ptr_libGL_glDepthRangedNV = dlsym_default(fexldr_ptr_libGL_so, "glDepthRangedNV");
  (void*&)fexldr_ptr_libGL_glDepthRangef = dlsym_default(fexldr_ptr_libGL_so, "glDepthRangef");
  (void*&)fexldr_ptr_libGL_glDepthRangefOES = dlsym_default(fexldr_ptr_libGL_so, "glDepthRangefOES");
  (void*&)fexldr_ptr_libGL_glDepthRange = dlsym_default(fexldr_ptr_libGL_so, "glDepthRange");
  (void*&)fexldr_ptr_libGL_glDepthRangeIndexeddNV = dlsym_default(fexldr_ptr_libGL_so, "glDepthRangeIndexeddNV");
  (void*&)fexldr_ptr_libGL_glDepthRangeIndexed = dlsym_default(fexldr_ptr_libGL_so, "glDepthRangeIndexed");
  (void*&)fexldr_ptr_libGL_glDepthRangexOES = dlsym_default(fexldr_ptr_libGL_so, "glDepthRangexOES");
  (void*&)fexldr_ptr_libGL_glDetachObjectARB = dlsym_default(fexldr_ptr_libGL_so, "glDetachObjectARB");
  (void*&)fexldr_ptr_libGL_glDetachShader = dlsym_default(fexldr_ptr_libGL_so, "glDetachShader");
  (void*&)fexldr_ptr_libGL_glDetailTexFuncSGIS = dlsym_default(fexldr_ptr_libGL_so, "glDetailTexFuncSGIS");
  (void*&)fexldr_ptr_libGL_glDisableClientState = dlsym_default(fexldr_ptr_libGL_so, "glDisableClientState");
  (void*&)fexldr_ptr_libGL_glDisableClientStateiEXT = dlsym_default(fexldr_ptr_libGL_so, "glDisableClientStateiEXT");
  (void*&)fexldr_ptr_libGL_glDisableClientStateIndexedEXT = dlsym_default(fexldr_ptr_libGL_so, "glDisableClientStateIndexedEXT");
  (void*&)fexldr_ptr_libGL_glDisable = dlsym_default(fexldr_ptr_libGL_so, "glDisable");
  (void*&)fexldr_ptr_libGL_glDisablei = dlsym_default(fexldr_ptr_libGL_so, "glDisablei");
  (void*&)fexldr_ptr_libGL_glDisableIndexedEXT = dlsym_default(fexldr_ptr_libGL_so, "glDisableIndexedEXT");
  (void*&)fexldr_ptr_libGL_glDisableVariantClientStateEXT = dlsym_default(fexldr_ptr_libGL_so, "glDisableVariantClientStateEXT");
  (void*&)fexldr_ptr_libGL_glDisableVertexArrayAttribEXT = dlsym_default(fexldr_ptr_libGL_so, "glDisableVertexArrayAttribEXT");
  (void*&)fexldr_ptr_libGL_glDisableVertexArrayAttrib = dlsym_default(fexldr_ptr_libGL_so, "glDisableVertexArrayAttrib");
  (void*&)fexldr_ptr_libGL_glDisableVertexArrayEXT = dlsym_default(fexldr_ptr_libGL_so, "glDisableVertexArrayEXT");
  (void*&)fexldr_ptr_libGL_glDisableVertexAttribAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glDisableVertexAttribAPPLE");
  (void*&)fexldr_ptr_libGL_glDisableVertexAttribArrayARB = dlsym_default(fexldr_ptr_libGL_so, "glDisableVertexAttribArrayARB");
  (void*&)fexldr_ptr_libGL_glDisableVertexAttribArray = dlsym_default(fexldr_ptr_libGL_so, "glDisableVertexAttribArray");
  (void*&)fexldr_ptr_libGL_glDispatchCompute = dlsym_default(fexldr_ptr_libGL_so, "glDispatchCompute");
  (void*&)fexldr_ptr_libGL_glDispatchComputeGroupSizeARB = dlsym_default(fexldr_ptr_libGL_so, "glDispatchComputeGroupSizeARB");
  (void*&)fexldr_ptr_libGL_glDispatchComputeIndirect = dlsym_default(fexldr_ptr_libGL_so, "glDispatchComputeIndirect");
  (void*&)fexldr_ptr_libGL_glDrawArraysEXT = dlsym_default(fexldr_ptr_libGL_so, "glDrawArraysEXT");
  (void*&)fexldr_ptr_libGL_glDrawArrays = dlsym_default(fexldr_ptr_libGL_so, "glDrawArrays");
  (void*&)fexldr_ptr_libGL_glDrawArraysIndirect = dlsym_default(fexldr_ptr_libGL_so, "glDrawArraysIndirect");
  (void*&)fexldr_ptr_libGL_glDrawArraysInstancedARB = dlsym_default(fexldr_ptr_libGL_so, "glDrawArraysInstancedARB");
  (void*&)fexldr_ptr_libGL_glDrawArraysInstancedBaseInstance = dlsym_default(fexldr_ptr_libGL_so, "glDrawArraysInstancedBaseInstance");
  (void*&)fexldr_ptr_libGL_glDrawArraysInstancedEXT = dlsym_default(fexldr_ptr_libGL_so, "glDrawArraysInstancedEXT");
  (void*&)fexldr_ptr_libGL_glDrawArraysInstanced = dlsym_default(fexldr_ptr_libGL_so, "glDrawArraysInstanced");
  (void*&)fexldr_ptr_libGL_glDrawBuffer = dlsym_default(fexldr_ptr_libGL_so, "glDrawBuffer");
  (void*&)fexldr_ptr_libGL_glDrawBuffersARB = dlsym_default(fexldr_ptr_libGL_so, "glDrawBuffersARB");
  (void*&)fexldr_ptr_libGL_glDrawBuffersATI = dlsym_default(fexldr_ptr_libGL_so, "glDrawBuffersATI");
  (void*&)fexldr_ptr_libGL_glDrawBuffers = dlsym_default(fexldr_ptr_libGL_so, "glDrawBuffers");
  (void*&)fexldr_ptr_libGL_glDrawCommandsAddressNV = dlsym_default(fexldr_ptr_libGL_so, "glDrawCommandsAddressNV");
  (void*&)fexldr_ptr_libGL_glDrawCommandsNV = dlsym_default(fexldr_ptr_libGL_so, "glDrawCommandsNV");
  (void*&)fexldr_ptr_libGL_glDrawCommandsStatesAddressNV = dlsym_default(fexldr_ptr_libGL_so, "glDrawCommandsStatesAddressNV");
  (void*&)fexldr_ptr_libGL_glDrawCommandsStatesNV = dlsym_default(fexldr_ptr_libGL_so, "glDrawCommandsStatesNV");
  (void*&)fexldr_ptr_libGL_glDrawElementArrayAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glDrawElementArrayAPPLE");
  (void*&)fexldr_ptr_libGL_glDrawElementArrayATI = dlsym_default(fexldr_ptr_libGL_so, "glDrawElementArrayATI");
  (void*&)fexldr_ptr_libGL_glDrawElementsBaseVertex = dlsym_default(fexldr_ptr_libGL_so, "glDrawElementsBaseVertex");
  (void*&)fexldr_ptr_libGL_glDrawElements = dlsym_default(fexldr_ptr_libGL_so, "glDrawElements");
  (void*&)fexldr_ptr_libGL_glDrawElementsIndirect = dlsym_default(fexldr_ptr_libGL_so, "glDrawElementsIndirect");
  (void*&)fexldr_ptr_libGL_glDrawElementsInstancedARB = dlsym_default(fexldr_ptr_libGL_so, "glDrawElementsInstancedARB");
  (void*&)fexldr_ptr_libGL_glDrawElementsInstancedBaseInstance = dlsym_default(fexldr_ptr_libGL_so, "glDrawElementsInstancedBaseInstance");
  (void*&)fexldr_ptr_libGL_glDrawElementsInstancedBaseVertexBaseInstance = dlsym_default(fexldr_ptr_libGL_so, "glDrawElementsInstancedBaseVertexBaseInstance");
  (void*&)fexldr_ptr_libGL_glDrawElementsInstancedBaseVertex = dlsym_default(fexldr_ptr_libGL_so, "glDrawElementsInstancedBaseVertex");
  (void*&)fexldr_ptr_libGL_glDrawElementsInstancedEXT = dlsym_default(fexldr_ptr_libGL_so, "glDrawElementsInstancedEXT");
  (void*&)fexldr_ptr_libGL_glDrawElementsInstanced = dlsym_default(fexldr_ptr_libGL_so, "glDrawElementsInstanced");
  (void*&)fexldr_ptr_libGL_glDrawMeshArraysSUN = dlsym_default(fexldr_ptr_libGL_so, "glDrawMeshArraysSUN");
  (void*&)fexldr_ptr_libGL_glDrawMeshTasksIndirectNV = dlsym_default(fexldr_ptr_libGL_so, "glDrawMeshTasksIndirectNV");
  (void*&)fexldr_ptr_libGL_glDrawMeshTasksNV = dlsym_default(fexldr_ptr_libGL_so, "glDrawMeshTasksNV");
  (void*&)fexldr_ptr_libGL_glDrawPixels = dlsym_default(fexldr_ptr_libGL_so, "glDrawPixels");
  (void*&)fexldr_ptr_libGL_glDrawRangeElementArrayAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glDrawRangeElementArrayAPPLE");
  (void*&)fexldr_ptr_libGL_glDrawRangeElementArrayATI = dlsym_default(fexldr_ptr_libGL_so, "glDrawRangeElementArrayATI");
  (void*&)fexldr_ptr_libGL_glDrawRangeElementsBaseVertex = dlsym_default(fexldr_ptr_libGL_so, "glDrawRangeElementsBaseVertex");
  (void*&)fexldr_ptr_libGL_glDrawRangeElementsEXT = dlsym_default(fexldr_ptr_libGL_so, "glDrawRangeElementsEXT");
  (void*&)fexldr_ptr_libGL_glDrawRangeElements = dlsym_default(fexldr_ptr_libGL_so, "glDrawRangeElements");
  (void*&)fexldr_ptr_libGL_glDrawTextureNV = dlsym_default(fexldr_ptr_libGL_so, "glDrawTextureNV");
  (void*&)fexldr_ptr_libGL_glDrawTransformFeedback = dlsym_default(fexldr_ptr_libGL_so, "glDrawTransformFeedback");
  (void*&)fexldr_ptr_libGL_glDrawTransformFeedbackInstanced = dlsym_default(fexldr_ptr_libGL_so, "glDrawTransformFeedbackInstanced");
  (void*&)fexldr_ptr_libGL_glDrawTransformFeedbackNV = dlsym_default(fexldr_ptr_libGL_so, "glDrawTransformFeedbackNV");
  (void*&)fexldr_ptr_libGL_glDrawTransformFeedbackStream = dlsym_default(fexldr_ptr_libGL_so, "glDrawTransformFeedbackStream");
  (void*&)fexldr_ptr_libGL_glDrawTransformFeedbackStreamInstanced = dlsym_default(fexldr_ptr_libGL_so, "glDrawTransformFeedbackStreamInstanced");
  (void*&)fexldr_ptr_libGL_glDrawVkImageNV = dlsym_default(fexldr_ptr_libGL_so, "glDrawVkImageNV");
  (void*&)fexldr_ptr_libGL_glEdgeFlagFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glEdgeFlagFormatNV");
  (void*&)fexldr_ptr_libGL_glEdgeFlag = dlsym_default(fexldr_ptr_libGL_so, "glEdgeFlag");
  (void*&)fexldr_ptr_libGL_glEdgeFlagPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glEdgeFlagPointerEXT");
  (void*&)fexldr_ptr_libGL_glEdgeFlagPointer = dlsym_default(fexldr_ptr_libGL_so, "glEdgeFlagPointer");
  (void*&)fexldr_ptr_libGL_glEdgeFlagPointerListIBM = dlsym_default(fexldr_ptr_libGL_so, "glEdgeFlagPointerListIBM");
  (void*&)fexldr_ptr_libGL_glEdgeFlagv = dlsym_default(fexldr_ptr_libGL_so, "glEdgeFlagv");
  (void*&)fexldr_ptr_libGL_glEGLImageTargetRenderbufferStorageOES = dlsym_default(fexldr_ptr_libGL_so, "glEGLImageTargetRenderbufferStorageOES");
  (void*&)fexldr_ptr_libGL_glEGLImageTargetTexStorageEXT = dlsym_default(fexldr_ptr_libGL_so, "glEGLImageTargetTexStorageEXT");
  (void*&)fexldr_ptr_libGL_glEGLImageTargetTexture2DOES = dlsym_default(fexldr_ptr_libGL_so, "glEGLImageTargetTexture2DOES");
  (void*&)fexldr_ptr_libGL_glEGLImageTargetTextureStorageEXT = dlsym_default(fexldr_ptr_libGL_so, "glEGLImageTargetTextureStorageEXT");
  (void*&)fexldr_ptr_libGL_glElementPointerAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glElementPointerAPPLE");
  (void*&)fexldr_ptr_libGL_glElementPointerATI = dlsym_default(fexldr_ptr_libGL_so, "glElementPointerATI");
  (void*&)fexldr_ptr_libGL_glEnableClientState = dlsym_default(fexldr_ptr_libGL_so, "glEnableClientState");
  (void*&)fexldr_ptr_libGL_glEnableClientStateiEXT = dlsym_default(fexldr_ptr_libGL_so, "glEnableClientStateiEXT");
  (void*&)fexldr_ptr_libGL_glEnableClientStateIndexedEXT = dlsym_default(fexldr_ptr_libGL_so, "glEnableClientStateIndexedEXT");
  (void*&)fexldr_ptr_libGL_glEnable = dlsym_default(fexldr_ptr_libGL_so, "glEnable");
  (void*&)fexldr_ptr_libGL_glEnablei = dlsym_default(fexldr_ptr_libGL_so, "glEnablei");
  (void*&)fexldr_ptr_libGL_glEnableIndexedEXT = dlsym_default(fexldr_ptr_libGL_so, "glEnableIndexedEXT");
  (void*&)fexldr_ptr_libGL_glEnableVariantClientStateEXT = dlsym_default(fexldr_ptr_libGL_so, "glEnableVariantClientStateEXT");
  (void*&)fexldr_ptr_libGL_glEnableVertexArrayAttribEXT = dlsym_default(fexldr_ptr_libGL_so, "glEnableVertexArrayAttribEXT");
  (void*&)fexldr_ptr_libGL_glEnableVertexArrayAttrib = dlsym_default(fexldr_ptr_libGL_so, "glEnableVertexArrayAttrib");
  (void*&)fexldr_ptr_libGL_glEnableVertexArrayEXT = dlsym_default(fexldr_ptr_libGL_so, "glEnableVertexArrayEXT");
  (void*&)fexldr_ptr_libGL_glEnableVertexAttribAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glEnableVertexAttribAPPLE");
  (void*&)fexldr_ptr_libGL_glEnableVertexAttribArrayARB = dlsym_default(fexldr_ptr_libGL_so, "glEnableVertexAttribArrayARB");
  (void*&)fexldr_ptr_libGL_glEnableVertexAttribArray = dlsym_default(fexldr_ptr_libGL_so, "glEnableVertexAttribArray");
  (void*&)fexldr_ptr_libGL_glEnd = dlsym_default(fexldr_ptr_libGL_so, "glEnd");
  (void*&)fexldr_ptr_libGL_glEndConditionalRender = dlsym_default(fexldr_ptr_libGL_so, "glEndConditionalRender");
  (void*&)fexldr_ptr_libGL_glEndConditionalRenderNV = dlsym_default(fexldr_ptr_libGL_so, "glEndConditionalRenderNV");
  (void*&)fexldr_ptr_libGL_glEndConditionalRenderNVX = dlsym_default(fexldr_ptr_libGL_so, "glEndConditionalRenderNVX");
  (void*&)fexldr_ptr_libGL_glEndFragmentShaderATI = dlsym_default(fexldr_ptr_libGL_so, "glEndFragmentShaderATI");
  (void*&)fexldr_ptr_libGL_glEndList = dlsym_default(fexldr_ptr_libGL_so, "glEndList");
  (void*&)fexldr_ptr_libGL_glEndOcclusionQueryNV = dlsym_default(fexldr_ptr_libGL_so, "glEndOcclusionQueryNV");
  (void*&)fexldr_ptr_libGL_glEndPerfMonitorAMD = dlsym_default(fexldr_ptr_libGL_so, "glEndPerfMonitorAMD");
  (void*&)fexldr_ptr_libGL_glEndPerfQueryINTEL = dlsym_default(fexldr_ptr_libGL_so, "glEndPerfQueryINTEL");
  (void*&)fexldr_ptr_libGL_glEndQueryARB = dlsym_default(fexldr_ptr_libGL_so, "glEndQueryARB");
  (void*&)fexldr_ptr_libGL_glEndQuery = dlsym_default(fexldr_ptr_libGL_so, "glEndQuery");
  (void*&)fexldr_ptr_libGL_glEndQueryIndexed = dlsym_default(fexldr_ptr_libGL_so, "glEndQueryIndexed");
  (void*&)fexldr_ptr_libGL_glEndTransformFeedback = dlsym_default(fexldr_ptr_libGL_so, "glEndTransformFeedback");
  (void*&)fexldr_ptr_libGL_glEndTransformFeedbackEXT = dlsym_default(fexldr_ptr_libGL_so, "glEndTransformFeedbackEXT");
  (void*&)fexldr_ptr_libGL_glEndTransformFeedbackNV = dlsym_default(fexldr_ptr_libGL_so, "glEndTransformFeedbackNV");
  (void*&)fexldr_ptr_libGL_glEndVertexShaderEXT = dlsym_default(fexldr_ptr_libGL_so, "glEndVertexShaderEXT");
  (void*&)fexldr_ptr_libGL_glEndVideoCaptureNV = dlsym_default(fexldr_ptr_libGL_so, "glEndVideoCaptureNV");
  (void*&)fexldr_ptr_libGL_glEvalCoord1d = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord1d");
  (void*&)fexldr_ptr_libGL_glEvalCoord1dv = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord1dv");
  (void*&)fexldr_ptr_libGL_glEvalCoord1f = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord1f");
  (void*&)fexldr_ptr_libGL_glEvalCoord1fv = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord1fv");
  (void*&)fexldr_ptr_libGL_glEvalCoord1xOES = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord1xOES");
  (void*&)fexldr_ptr_libGL_glEvalCoord1xvOES = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord1xvOES");
  (void*&)fexldr_ptr_libGL_glEvalCoord2d = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord2d");
  (void*&)fexldr_ptr_libGL_glEvalCoord2dv = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord2dv");
  (void*&)fexldr_ptr_libGL_glEvalCoord2f = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord2f");
  (void*&)fexldr_ptr_libGL_glEvalCoord2fv = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord2fv");
  (void*&)fexldr_ptr_libGL_glEvalCoord2xOES = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord2xOES");
  (void*&)fexldr_ptr_libGL_glEvalCoord2xvOES = dlsym_default(fexldr_ptr_libGL_so, "glEvalCoord2xvOES");
  (void*&)fexldr_ptr_libGL_glEvalMapsNV = dlsym_default(fexldr_ptr_libGL_so, "glEvalMapsNV");
  (void*&)fexldr_ptr_libGL_glEvalMesh1 = dlsym_default(fexldr_ptr_libGL_so, "glEvalMesh1");
  (void*&)fexldr_ptr_libGL_glEvalMesh2 = dlsym_default(fexldr_ptr_libGL_so, "glEvalMesh2");
  (void*&)fexldr_ptr_libGL_glEvalPoint1 = dlsym_default(fexldr_ptr_libGL_so, "glEvalPoint1");
  (void*&)fexldr_ptr_libGL_glEvalPoint2 = dlsym_default(fexldr_ptr_libGL_so, "glEvalPoint2");
  (void*&)fexldr_ptr_libGL_glEvaluateDepthValuesARB = dlsym_default(fexldr_ptr_libGL_so, "glEvaluateDepthValuesARB");
  (void*&)fexldr_ptr_libGL_glExecuteProgramNV = dlsym_default(fexldr_ptr_libGL_so, "glExecuteProgramNV");
  (void*&)fexldr_ptr_libGL_glExtractComponentEXT = dlsym_default(fexldr_ptr_libGL_so, "glExtractComponentEXT");
  (void*&)fexldr_ptr_libGL_glFeedbackBuffer = dlsym_default(fexldr_ptr_libGL_so, "glFeedbackBuffer");
  (void*&)fexldr_ptr_libGL_glFeedbackBufferxOES = dlsym_default(fexldr_ptr_libGL_so, "glFeedbackBufferxOES");
  (void*&)fexldr_ptr_libGL_glFinalCombinerInputNV = dlsym_default(fexldr_ptr_libGL_so, "glFinalCombinerInputNV");
  (void*&)fexldr_ptr_libGL_glFinish = dlsym_default(fexldr_ptr_libGL_so, "glFinish");
  (void*&)fexldr_ptr_libGL_glFinishFenceAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glFinishFenceAPPLE");
  (void*&)fexldr_ptr_libGL_glFinishFenceNV = dlsym_default(fexldr_ptr_libGL_so, "glFinishFenceNV");
  (void*&)fexldr_ptr_libGL_glFinishObjectAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glFinishObjectAPPLE");
  (void*&)fexldr_ptr_libGL_glFinishTextureSUNX = dlsym_default(fexldr_ptr_libGL_so, "glFinishTextureSUNX");
  (void*&)fexldr_ptr_libGL_glFlush = dlsym_default(fexldr_ptr_libGL_so, "glFlush");
  (void*&)fexldr_ptr_libGL_glFlushMappedBufferRangeAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glFlushMappedBufferRangeAPPLE");
  (void*&)fexldr_ptr_libGL_glFlushMappedBufferRange = dlsym_default(fexldr_ptr_libGL_so, "glFlushMappedBufferRange");
  (void*&)fexldr_ptr_libGL_glFlushMappedNamedBufferRangeEXT = dlsym_default(fexldr_ptr_libGL_so, "glFlushMappedNamedBufferRangeEXT");
  (void*&)fexldr_ptr_libGL_glFlushMappedNamedBufferRange = dlsym_default(fexldr_ptr_libGL_so, "glFlushMappedNamedBufferRange");
  (void*&)fexldr_ptr_libGL_glFlushPixelDataRangeNV = dlsym_default(fexldr_ptr_libGL_so, "glFlushPixelDataRangeNV");
  (void*&)fexldr_ptr_libGL_glFlushRasterSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFlushRasterSGIX");
  (void*&)fexldr_ptr_libGL_glFlushStaticDataIBM = dlsym_default(fexldr_ptr_libGL_so, "glFlushStaticDataIBM");
  (void*&)fexldr_ptr_libGL_glFlushVertexArrayRangeAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glFlushVertexArrayRangeAPPLE");
  (void*&)fexldr_ptr_libGL_glFlushVertexArrayRangeNV = dlsym_default(fexldr_ptr_libGL_so, "glFlushVertexArrayRangeNV");
  (void*&)fexldr_ptr_libGL_glFogCoorddEXT = dlsym_default(fexldr_ptr_libGL_so, "glFogCoorddEXT");
  (void*&)fexldr_ptr_libGL_glFogCoorddvEXT = dlsym_default(fexldr_ptr_libGL_so, "glFogCoorddvEXT");
  (void*&)fexldr_ptr_libGL_glFogCoordfEXT = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordfEXT");
  (void*&)fexldr_ptr_libGL_glFogCoordFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordFormatNV");
  (void*&)fexldr_ptr_libGL_glFogCoordfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordfvEXT");
  (void*&)fexldr_ptr_libGL_glFogCoordhNV = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordhNV");
  (void*&)fexldr_ptr_libGL_glFogCoordhvNV = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordhvNV");
  (void*&)fexldr_ptr_libGL_glFogCoordPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordPointerEXT");
  (void*&)fexldr_ptr_libGL_glFogCoordPointerListIBM = dlsym_default(fexldr_ptr_libGL_so, "glFogCoordPointerListIBM");
  (void*&)fexldr_ptr_libGL_glFogf = dlsym_default(fexldr_ptr_libGL_so, "glFogf");
  (void*&)fexldr_ptr_libGL_glFogFuncSGIS = dlsym_default(fexldr_ptr_libGL_so, "glFogFuncSGIS");
  (void*&)fexldr_ptr_libGL_glFogfv = dlsym_default(fexldr_ptr_libGL_so, "glFogfv");
  (void*&)fexldr_ptr_libGL_glFogi = dlsym_default(fexldr_ptr_libGL_so, "glFogi");
  (void*&)fexldr_ptr_libGL_glFogiv = dlsym_default(fexldr_ptr_libGL_so, "glFogiv");
  (void*&)fexldr_ptr_libGL_glFogxOES = dlsym_default(fexldr_ptr_libGL_so, "glFogxOES");
  (void*&)fexldr_ptr_libGL_glFogxvOES = dlsym_default(fexldr_ptr_libGL_so, "glFogxvOES");
  (void*&)fexldr_ptr_libGL_glFragmentColorMaterialSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentColorMaterialSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentCoverageColorNV = dlsym_default(fexldr_ptr_libGL_so, "glFragmentCoverageColorNV");
  (void*&)fexldr_ptr_libGL_glFragmentLightfSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentLightfSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentLightfvSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentLightfvSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentLightiSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentLightiSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentLightivSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentLightivSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentLightModelfSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentLightModelfSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentLightModelfvSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentLightModelfvSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentLightModeliSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentLightModeliSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentLightModelivSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentLightModelivSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentMaterialfSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentMaterialfSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentMaterialfvSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentMaterialfvSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentMaterialiSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentMaterialiSGIX");
  (void*&)fexldr_ptr_libGL_glFragmentMaterialivSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFragmentMaterialivSGIX");
  (void*&)fexldr_ptr_libGL_glFramebufferDrawBufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferDrawBufferEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferDrawBuffersEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferDrawBuffersEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferFetchBarrierEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferFetchBarrierEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferParameteri = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferParameteri");
  (void*&)fexldr_ptr_libGL_glFramebufferParameteriMESA = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferParameteriMESA");
  (void*&)fexldr_ptr_libGL_glFramebufferReadBufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferReadBufferEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferRenderbufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferRenderbufferEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferRenderbuffer = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferRenderbuffer");
  (void*&)fexldr_ptr_libGL_glFramebufferSampleLocationsfvARB = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferSampleLocationsfvARB");
  (void*&)fexldr_ptr_libGL_glFramebufferSampleLocationsfvNV = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferSampleLocationsfvNV");
  (void*&)fexldr_ptr_libGL_glFramebufferSamplePositionsfvAMD = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferSamplePositionsfvAMD");
  (void*&)fexldr_ptr_libGL_glFramebufferTexture1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTexture1DEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferTexture1D = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTexture1D");
  (void*&)fexldr_ptr_libGL_glFramebufferTexture2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTexture2DEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferTexture2D = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTexture2D");
  (void*&)fexldr_ptr_libGL_glFramebufferTexture3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTexture3DEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferTexture3D = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTexture3D");
  (void*&)fexldr_ptr_libGL_glFramebufferTextureARB = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTextureARB");
  (void*&)fexldr_ptr_libGL_glFramebufferTextureEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTextureEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferTextureFaceARB = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTextureFaceARB");
  (void*&)fexldr_ptr_libGL_glFramebufferTextureFaceEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTextureFaceEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferTexture = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTexture");
  (void*&)fexldr_ptr_libGL_glFramebufferTextureLayerARB = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTextureLayerARB");
  (void*&)fexldr_ptr_libGL_glFramebufferTextureLayerEXT = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTextureLayerEXT");
  (void*&)fexldr_ptr_libGL_glFramebufferTextureLayer = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTextureLayer");
  (void*&)fexldr_ptr_libGL_glFramebufferTextureMultiviewOVR = dlsym_default(fexldr_ptr_libGL_so, "glFramebufferTextureMultiviewOVR");
  (void*&)fexldr_ptr_libGL_glFrameTerminatorGREMEDY = dlsym_default(fexldr_ptr_libGL_so, "glFrameTerminatorGREMEDY");
  (void*&)fexldr_ptr_libGL_glFrameZoomSGIX = dlsym_default(fexldr_ptr_libGL_so, "glFrameZoomSGIX");
  (void*&)fexldr_ptr_libGL_glFreeObjectBufferATI = dlsym_default(fexldr_ptr_libGL_so, "glFreeObjectBufferATI");
  (void*&)fexldr_ptr_libGL_glFrontFace = dlsym_default(fexldr_ptr_libGL_so, "glFrontFace");
  (void*&)fexldr_ptr_libGL_glFrustumfOES = dlsym_default(fexldr_ptr_libGL_so, "glFrustumfOES");
  (void*&)fexldr_ptr_libGL_glFrustum = dlsym_default(fexldr_ptr_libGL_so, "glFrustum");
  (void*&)fexldr_ptr_libGL_glFrustumxOES = dlsym_default(fexldr_ptr_libGL_so, "glFrustumxOES");
  (void*&)fexldr_ptr_libGL_glGenBuffersARB = dlsym_default(fexldr_ptr_libGL_so, "glGenBuffersARB");
  (void*&)fexldr_ptr_libGL_glGenBuffers = dlsym_default(fexldr_ptr_libGL_so, "glGenBuffers");
  (void*&)fexldr_ptr_libGL_glGenerateMipmapEXT = dlsym_default(fexldr_ptr_libGL_so, "glGenerateMipmapEXT");
  (void*&)fexldr_ptr_libGL_glGenerateMipmap = dlsym_default(fexldr_ptr_libGL_so, "glGenerateMipmap");
  (void*&)fexldr_ptr_libGL_glGenerateMultiTexMipmapEXT = dlsym_default(fexldr_ptr_libGL_so, "glGenerateMultiTexMipmapEXT");
  (void*&)fexldr_ptr_libGL_glGenerateTextureMipmapEXT = dlsym_default(fexldr_ptr_libGL_so, "glGenerateTextureMipmapEXT");
  (void*&)fexldr_ptr_libGL_glGenerateTextureMipmap = dlsym_default(fexldr_ptr_libGL_so, "glGenerateTextureMipmap");
  (void*&)fexldr_ptr_libGL_glGenFencesAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glGenFencesAPPLE");
  (void*&)fexldr_ptr_libGL_glGenFencesNV = dlsym_default(fexldr_ptr_libGL_so, "glGenFencesNV");
  (void*&)fexldr_ptr_libGL_glGenFramebuffersEXT = dlsym_default(fexldr_ptr_libGL_so, "glGenFramebuffersEXT");
  (void*&)fexldr_ptr_libGL_glGenFramebuffers = dlsym_default(fexldr_ptr_libGL_so, "glGenFramebuffers");
  (void*&)fexldr_ptr_libGL_glGenNamesAMD = dlsym_default(fexldr_ptr_libGL_so, "glGenNamesAMD");
  (void*&)fexldr_ptr_libGL_glGenOcclusionQueriesNV = dlsym_default(fexldr_ptr_libGL_so, "glGenOcclusionQueriesNV");
  (void*&)fexldr_ptr_libGL_glGenPerfMonitorsAMD = dlsym_default(fexldr_ptr_libGL_so, "glGenPerfMonitorsAMD");
  (void*&)fexldr_ptr_libGL_glGenProgramPipelines = dlsym_default(fexldr_ptr_libGL_so, "glGenProgramPipelines");
  (void*&)fexldr_ptr_libGL_glGenProgramsARB = dlsym_default(fexldr_ptr_libGL_so, "glGenProgramsARB");
  (void*&)fexldr_ptr_libGL_glGenProgramsNV = dlsym_default(fexldr_ptr_libGL_so, "glGenProgramsNV");
  (void*&)fexldr_ptr_libGL_glGenQueriesARB = dlsym_default(fexldr_ptr_libGL_so, "glGenQueriesARB");
  (void*&)fexldr_ptr_libGL_glGenQueries = dlsym_default(fexldr_ptr_libGL_so, "glGenQueries");
  (void*&)fexldr_ptr_libGL_glGenQueryResourceTagNV = dlsym_default(fexldr_ptr_libGL_so, "glGenQueryResourceTagNV");
  (void*&)fexldr_ptr_libGL_glGenRenderbuffersEXT = dlsym_default(fexldr_ptr_libGL_so, "glGenRenderbuffersEXT");
  (void*&)fexldr_ptr_libGL_glGenRenderbuffers = dlsym_default(fexldr_ptr_libGL_so, "glGenRenderbuffers");
  (void*&)fexldr_ptr_libGL_glGenSamplers = dlsym_default(fexldr_ptr_libGL_so, "glGenSamplers");
  (void*&)fexldr_ptr_libGL_glGenSemaphoresEXT = dlsym_default(fexldr_ptr_libGL_so, "glGenSemaphoresEXT");
  (void*&)fexldr_ptr_libGL_glGenTexturesEXT = dlsym_default(fexldr_ptr_libGL_so, "glGenTexturesEXT");
  (void*&)fexldr_ptr_libGL_glGenTextures = dlsym_default(fexldr_ptr_libGL_so, "glGenTextures");
  (void*&)fexldr_ptr_libGL_glGenTransformFeedbacks = dlsym_default(fexldr_ptr_libGL_so, "glGenTransformFeedbacks");
  (void*&)fexldr_ptr_libGL_glGenTransformFeedbacksNV = dlsym_default(fexldr_ptr_libGL_so, "glGenTransformFeedbacksNV");
  (void*&)fexldr_ptr_libGL_glGenVertexArraysAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glGenVertexArraysAPPLE");
  (void*&)fexldr_ptr_libGL_glGenVertexArrays = dlsym_default(fexldr_ptr_libGL_so, "glGenVertexArrays");
  (void*&)fexldr_ptr_libGL_glGetActiveAtomicCounterBufferiv = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveAtomicCounterBufferiv");
  (void*&)fexldr_ptr_libGL_glGetActiveAttribARB = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveAttribARB");
  (void*&)fexldr_ptr_libGL_glGetActiveAttrib = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveAttrib");
  (void*&)fexldr_ptr_libGL_glGetActiveSubroutineName = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveSubroutineName");
  (void*&)fexldr_ptr_libGL_glGetActiveSubroutineUniformiv = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveSubroutineUniformiv");
  (void*&)fexldr_ptr_libGL_glGetActiveSubroutineUniformName = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveSubroutineUniformName");
  (void*&)fexldr_ptr_libGL_glGetActiveUniformARB = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveUniformARB");
  (void*&)fexldr_ptr_libGL_glGetActiveUniformBlockiv = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveUniformBlockiv");
  (void*&)fexldr_ptr_libGL_glGetActiveUniformBlockName = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveUniformBlockName");
  (void*&)fexldr_ptr_libGL_glGetActiveUniform = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveUniform");
  (void*&)fexldr_ptr_libGL_glGetActiveUniformName = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveUniformName");
  (void*&)fexldr_ptr_libGL_glGetActiveUniformsiv = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveUniformsiv");
  (void*&)fexldr_ptr_libGL_glGetActiveVaryingNV = dlsym_default(fexldr_ptr_libGL_so, "glGetActiveVaryingNV");
  (void*&)fexldr_ptr_libGL_glGetArrayObjectfvATI = dlsym_default(fexldr_ptr_libGL_so, "glGetArrayObjectfvATI");
  (void*&)fexldr_ptr_libGL_glGetArrayObjectivATI = dlsym_default(fexldr_ptr_libGL_so, "glGetArrayObjectivATI");
  (void*&)fexldr_ptr_libGL_glGetAttachedObjectsARB = dlsym_default(fexldr_ptr_libGL_so, "glGetAttachedObjectsARB");
  (void*&)fexldr_ptr_libGL_glGetAttachedShaders = dlsym_default(fexldr_ptr_libGL_so, "glGetAttachedShaders");
  (void*&)fexldr_ptr_libGL_glGetBooleanIndexedvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetBooleanIndexedvEXT");
  (void*&)fexldr_ptr_libGL_glGetBooleani_v = dlsym_default(fexldr_ptr_libGL_so, "glGetBooleani_v");
  (void*&)fexldr_ptr_libGL_glGetBooleanv = dlsym_default(fexldr_ptr_libGL_so, "glGetBooleanv");
  (void*&)fexldr_ptr_libGL_glGetBufferParameteri64v = dlsym_default(fexldr_ptr_libGL_so, "glGetBufferParameteri64v");
  (void*&)fexldr_ptr_libGL_glGetBufferParameterivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetBufferParameterivARB");
  (void*&)fexldr_ptr_libGL_glGetBufferParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetBufferParameteriv");
  (void*&)fexldr_ptr_libGL_glGetBufferParameterui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glGetBufferParameterui64vNV");
  (void*&)fexldr_ptr_libGL_glGetBufferPointerv = dlsym_default(fexldr_ptr_libGL_so, "glGetBufferPointerv");
  (void*&)fexldr_ptr_libGL_glGetBufferPointervARB = dlsym_default(fexldr_ptr_libGL_so, "glGetBufferPointervARB");
  (void*&)fexldr_ptr_libGL_glGetBufferSubDataARB = dlsym_default(fexldr_ptr_libGL_so, "glGetBufferSubDataARB");
  (void*&)fexldr_ptr_libGL_glGetBufferSubData = dlsym_default(fexldr_ptr_libGL_so, "glGetBufferSubData");
  (void*&)fexldr_ptr_libGL_glGetClipPlanefOES = dlsym_default(fexldr_ptr_libGL_so, "glGetClipPlanefOES");
  (void*&)fexldr_ptr_libGL_glGetClipPlane = dlsym_default(fexldr_ptr_libGL_so, "glGetClipPlane");
  (void*&)fexldr_ptr_libGL_glGetClipPlanexOES = dlsym_default(fexldr_ptr_libGL_so, "glGetClipPlanexOES");
  (void*&)fexldr_ptr_libGL_glGetColorTableEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetColorTableEXT");
  (void*&)fexldr_ptr_libGL_glGetColorTable = dlsym_default(fexldr_ptr_libGL_so, "glGetColorTable");
  (void*&)fexldr_ptr_libGL_glGetColorTableParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetColorTableParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glGetColorTableParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glGetColorTableParameterfv");
  (void*&)fexldr_ptr_libGL_glGetColorTableParameterfvSGI = dlsym_default(fexldr_ptr_libGL_so, "glGetColorTableParameterfvSGI");
  (void*&)fexldr_ptr_libGL_glGetColorTableParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetColorTableParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetColorTableParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetColorTableParameteriv");
  (void*&)fexldr_ptr_libGL_glGetColorTableParameterivSGI = dlsym_default(fexldr_ptr_libGL_so, "glGetColorTableParameterivSGI");
  (void*&)fexldr_ptr_libGL_glGetColorTableSGI = dlsym_default(fexldr_ptr_libGL_so, "glGetColorTableSGI");
  (void*&)fexldr_ptr_libGL_glGetCombinerInputParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetCombinerInputParameterfvNV");
  (void*&)fexldr_ptr_libGL_glGetCombinerInputParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetCombinerInputParameterivNV");
  (void*&)fexldr_ptr_libGL_glGetCombinerOutputParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetCombinerOutputParameterfvNV");
  (void*&)fexldr_ptr_libGL_glGetCombinerOutputParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetCombinerOutputParameterivNV");
  (void*&)fexldr_ptr_libGL_glGetCombinerStageParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetCombinerStageParameterfvNV");
  (void*&)fexldr_ptr_libGL_glGetCompressedMultiTexImageEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetCompressedMultiTexImageEXT");
  (void*&)fexldr_ptr_libGL_glGetCompressedTexImageARB = dlsym_default(fexldr_ptr_libGL_so, "glGetCompressedTexImageARB");
  (void*&)fexldr_ptr_libGL_glGetCompressedTexImage = dlsym_default(fexldr_ptr_libGL_so, "glGetCompressedTexImage");
  (void*&)fexldr_ptr_libGL_glGetCompressedTextureImageEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetCompressedTextureImageEXT");
  (void*&)fexldr_ptr_libGL_glGetCompressedTextureImage = dlsym_default(fexldr_ptr_libGL_so, "glGetCompressedTextureImage");
  (void*&)fexldr_ptr_libGL_glGetCompressedTextureSubImage = dlsym_default(fexldr_ptr_libGL_so, "glGetCompressedTextureSubImage");
  (void*&)fexldr_ptr_libGL_glGetConvolutionFilterEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetConvolutionFilterEXT");
  (void*&)fexldr_ptr_libGL_glGetConvolutionFilter = dlsym_default(fexldr_ptr_libGL_so, "glGetConvolutionFilter");
  (void*&)fexldr_ptr_libGL_glGetConvolutionParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetConvolutionParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glGetConvolutionParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glGetConvolutionParameterfv");
  (void*&)fexldr_ptr_libGL_glGetConvolutionParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetConvolutionParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetConvolutionParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetConvolutionParameteriv");
  (void*&)fexldr_ptr_libGL_glGetConvolutionParameterxvOES = dlsym_default(fexldr_ptr_libGL_so, "glGetConvolutionParameterxvOES");
  (void*&)fexldr_ptr_libGL_glGetCoverageModulationTableNV = dlsym_default(fexldr_ptr_libGL_so, "glGetCoverageModulationTableNV");
  (void*&)fexldr_ptr_libGL_glGetDetailTexFuncSGIS = dlsym_default(fexldr_ptr_libGL_so, "glGetDetailTexFuncSGIS");
  (void*&)fexldr_ptr_libGL_glGetDoubleIndexedvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetDoubleIndexedvEXT");
  (void*&)fexldr_ptr_libGL_glGetDoublei_vEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetDoublei_vEXT");
  (void*&)fexldr_ptr_libGL_glGetDoublei_v = dlsym_default(fexldr_ptr_libGL_so, "glGetDoublei_v");
  (void*&)fexldr_ptr_libGL_glGetDoublev = dlsym_default(fexldr_ptr_libGL_so, "glGetDoublev");
  (void*&)fexldr_ptr_libGL_glGetFenceivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetFenceivNV");
  (void*&)fexldr_ptr_libGL_glGetFinalCombinerInputParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetFinalCombinerInputParameterfvNV");
  (void*&)fexldr_ptr_libGL_glGetFinalCombinerInputParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetFinalCombinerInputParameterivNV");
  (void*&)fexldr_ptr_libGL_glGetFirstPerfQueryIdINTEL = dlsym_default(fexldr_ptr_libGL_so, "glGetFirstPerfQueryIdINTEL");
  (void*&)fexldr_ptr_libGL_glGetFixedvOES = dlsym_default(fexldr_ptr_libGL_so, "glGetFixedvOES");
  (void*&)fexldr_ptr_libGL_glGetFloatIndexedvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetFloatIndexedvEXT");
  (void*&)fexldr_ptr_libGL_glGetFloati_vEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetFloati_vEXT");
  (void*&)fexldr_ptr_libGL_glGetFloati_v = dlsym_default(fexldr_ptr_libGL_so, "glGetFloati_v");
  (void*&)fexldr_ptr_libGL_glGetFloatv = dlsym_default(fexldr_ptr_libGL_so, "glGetFloatv");
  (void*&)fexldr_ptr_libGL_glGetFogFuncSGIS = dlsym_default(fexldr_ptr_libGL_so, "glGetFogFuncSGIS");
  (void*&)fexldr_ptr_libGL_glGetFragmentLightfvSGIX = dlsym_default(fexldr_ptr_libGL_so, "glGetFragmentLightfvSGIX");
  (void*&)fexldr_ptr_libGL_glGetFragmentLightivSGIX = dlsym_default(fexldr_ptr_libGL_so, "glGetFragmentLightivSGIX");
  (void*&)fexldr_ptr_libGL_glGetFragmentMaterialfvSGIX = dlsym_default(fexldr_ptr_libGL_so, "glGetFragmentMaterialfvSGIX");
  (void*&)fexldr_ptr_libGL_glGetFragmentMaterialivSGIX = dlsym_default(fexldr_ptr_libGL_so, "glGetFragmentMaterialivSGIX");
  (void*&)fexldr_ptr_libGL_glGetFramebufferAttachmentParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetFramebufferAttachmentParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetFramebufferAttachmentParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetFramebufferAttachmentParameteriv");
  (void*&)fexldr_ptr_libGL_glGetFramebufferParameterfvAMD = dlsym_default(fexldr_ptr_libGL_so, "glGetFramebufferParameterfvAMD");
  (void*&)fexldr_ptr_libGL_glGetFramebufferParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetFramebufferParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetFramebufferParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetFramebufferParameteriv");
  (void*&)fexldr_ptr_libGL_glGetFramebufferParameterivMESA = dlsym_default(fexldr_ptr_libGL_so, "glGetFramebufferParameterivMESA");
  (void*&)fexldr_ptr_libGL_glGetHistogramEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetHistogramEXT");
  (void*&)fexldr_ptr_libGL_glGetHistogram = dlsym_default(fexldr_ptr_libGL_so, "glGetHistogram");
  (void*&)fexldr_ptr_libGL_glGetHistogramParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetHistogramParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glGetHistogramParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glGetHistogramParameterfv");
  (void*&)fexldr_ptr_libGL_glGetHistogramParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetHistogramParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetHistogramParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetHistogramParameteriv");
  (void*&)fexldr_ptr_libGL_glGetHistogramParameterxvOES = dlsym_default(fexldr_ptr_libGL_so, "glGetHistogramParameterxvOES");
  (void*&)fexldr_ptr_libGL_glGetImageTransformParameterfvHP = dlsym_default(fexldr_ptr_libGL_so, "glGetImageTransformParameterfvHP");
  (void*&)fexldr_ptr_libGL_glGetImageTransformParameterivHP = dlsym_default(fexldr_ptr_libGL_so, "glGetImageTransformParameterivHP");
  (void*&)fexldr_ptr_libGL_glGetInfoLogARB = dlsym_default(fexldr_ptr_libGL_so, "glGetInfoLogARB");
  (void*&)fexldr_ptr_libGL_glGetInteger64i_v = dlsym_default(fexldr_ptr_libGL_so, "glGetInteger64i_v");
  (void*&)fexldr_ptr_libGL_glGetInteger64v = dlsym_default(fexldr_ptr_libGL_so, "glGetInteger64v");
  (void*&)fexldr_ptr_libGL_glGetIntegerIndexedvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetIntegerIndexedvEXT");
  (void*&)fexldr_ptr_libGL_glGetIntegeri_v = dlsym_default(fexldr_ptr_libGL_so, "glGetIntegeri_v");
  (void*&)fexldr_ptr_libGL_glGetIntegerui64i_vNV = dlsym_default(fexldr_ptr_libGL_so, "glGetIntegerui64i_vNV");
  (void*&)fexldr_ptr_libGL_glGetIntegerui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glGetIntegerui64vNV");
  (void*&)fexldr_ptr_libGL_glGetIntegerv = dlsym_default(fexldr_ptr_libGL_so, "glGetIntegerv");
  (void*&)fexldr_ptr_libGL_glGetInternalformati64v = dlsym_default(fexldr_ptr_libGL_so, "glGetInternalformati64v");
  (void*&)fexldr_ptr_libGL_glGetInternalformativ = dlsym_default(fexldr_ptr_libGL_so, "glGetInternalformativ");
  (void*&)fexldr_ptr_libGL_glGetInternalformatSampleivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetInternalformatSampleivNV");
  (void*&)fexldr_ptr_libGL_glGetInvariantBooleanvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetInvariantBooleanvEXT");
  (void*&)fexldr_ptr_libGL_glGetInvariantFloatvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetInvariantFloatvEXT");
  (void*&)fexldr_ptr_libGL_glGetInvariantIntegervEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetInvariantIntegervEXT");
  (void*&)fexldr_ptr_libGL_glGetLightfv = dlsym_default(fexldr_ptr_libGL_so, "glGetLightfv");
  (void*&)fexldr_ptr_libGL_glGetLightiv = dlsym_default(fexldr_ptr_libGL_so, "glGetLightiv");
  (void*&)fexldr_ptr_libGL_glGetLightxOES = dlsym_default(fexldr_ptr_libGL_so, "glGetLightxOES");
  (void*&)fexldr_ptr_libGL_glGetListParameterfvSGIX = dlsym_default(fexldr_ptr_libGL_so, "glGetListParameterfvSGIX");
  (void*&)fexldr_ptr_libGL_glGetListParameterivSGIX = dlsym_default(fexldr_ptr_libGL_so, "glGetListParameterivSGIX");
  (void*&)fexldr_ptr_libGL_glGetLocalConstantBooleanvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetLocalConstantBooleanvEXT");
  (void*&)fexldr_ptr_libGL_glGetLocalConstantFloatvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetLocalConstantFloatvEXT");
  (void*&)fexldr_ptr_libGL_glGetLocalConstantIntegervEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetLocalConstantIntegervEXT");
  (void*&)fexldr_ptr_libGL_glGetMapAttribParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetMapAttribParameterfvNV");
  (void*&)fexldr_ptr_libGL_glGetMapAttribParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetMapAttribParameterivNV");
  (void*&)fexldr_ptr_libGL_glGetMapControlPointsNV = dlsym_default(fexldr_ptr_libGL_so, "glGetMapControlPointsNV");
  (void*&)fexldr_ptr_libGL_glGetMapdv = dlsym_default(fexldr_ptr_libGL_so, "glGetMapdv");
  (void*&)fexldr_ptr_libGL_glGetMapfv = dlsym_default(fexldr_ptr_libGL_so, "glGetMapfv");
  (void*&)fexldr_ptr_libGL_glGetMapiv = dlsym_default(fexldr_ptr_libGL_so, "glGetMapiv");
  (void*&)fexldr_ptr_libGL_glGetMapParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetMapParameterfvNV");
  (void*&)fexldr_ptr_libGL_glGetMapParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetMapParameterivNV");
  (void*&)fexldr_ptr_libGL_glGetMapxvOES = dlsym_default(fexldr_ptr_libGL_so, "glGetMapxvOES");
  (void*&)fexldr_ptr_libGL_glGetMaterialfv = dlsym_default(fexldr_ptr_libGL_so, "glGetMaterialfv");
  (void*&)fexldr_ptr_libGL_glGetMaterialiv = dlsym_default(fexldr_ptr_libGL_so, "glGetMaterialiv");
  (void*&)fexldr_ptr_libGL_glGetMaterialxOES = dlsym_default(fexldr_ptr_libGL_so, "glGetMaterialxOES");
  (void*&)fexldr_ptr_libGL_glGetMemoryObjectDetachedResourcesuivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetMemoryObjectDetachedResourcesuivNV");
  (void*&)fexldr_ptr_libGL_glGetMemoryObjectParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMemoryObjectParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetMinmaxEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMinmaxEXT");
  (void*&)fexldr_ptr_libGL_glGetMinmax = dlsym_default(fexldr_ptr_libGL_so, "glGetMinmax");
  (void*&)fexldr_ptr_libGL_glGetMinmaxParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMinmaxParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glGetMinmaxParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glGetMinmaxParameterfv");
  (void*&)fexldr_ptr_libGL_glGetMinmaxParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMinmaxParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetMinmaxParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetMinmaxParameteriv");
  (void*&)fexldr_ptr_libGL_glGetMultisamplefv = dlsym_default(fexldr_ptr_libGL_so, "glGetMultisamplefv");
  (void*&)fexldr_ptr_libGL_glGetMultisamplefvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetMultisamplefvNV");
  (void*&)fexldr_ptr_libGL_glGetMultiTexEnvfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexEnvfvEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexEnvivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexEnvivEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexGendvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexGendvEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexGenfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexGenfvEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexGenivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexGenivEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexImageEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexImageEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexLevelParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexLevelParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexLevelParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexLevelParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexParameterIivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexParameterIivEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexParameterIuivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexParameterIuivEXT");
  (void*&)fexldr_ptr_libGL_glGetMultiTexParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetMultiTexParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedBufferParameteri64v = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedBufferParameteri64v");
  (void*&)fexldr_ptr_libGL_glGetNamedBufferParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedBufferParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedBufferParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedBufferParameteriv");
  (void*&)fexldr_ptr_libGL_glGetNamedBufferParameterui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedBufferParameterui64vNV");
  (void*&)fexldr_ptr_libGL_glGetNamedBufferPointerv = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedBufferPointerv");
  (void*&)fexldr_ptr_libGL_glGetNamedBufferPointervEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedBufferPointervEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedBufferSubDataEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedBufferSubDataEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedBufferSubData = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedBufferSubData");
  (void*&)fexldr_ptr_libGL_glGetNamedFramebufferAttachmentParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedFramebufferAttachmentParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedFramebufferAttachmentParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedFramebufferAttachmentParameteriv");
  (void*&)fexldr_ptr_libGL_glGetNamedFramebufferParameterfvAMD = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedFramebufferParameterfvAMD");
  (void*&)fexldr_ptr_libGL_glGetNamedFramebufferParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedFramebufferParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedFramebufferParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedFramebufferParameteriv");
  (void*&)fexldr_ptr_libGL_glGetNamedProgramivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedProgramivEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedProgramLocalParameterdvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedProgramLocalParameterdvEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedProgramLocalParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedProgramLocalParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedProgramLocalParameterIivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedProgramLocalParameterIivEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedProgramLocalParameterIuivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedProgramLocalParameterIuivEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedProgramStringEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedProgramStringEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedRenderbufferParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedRenderbufferParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetNamedRenderbufferParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedRenderbufferParameteriv");
  (void*&)fexldr_ptr_libGL_glGetNamedStringARB = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedStringARB");
  (void*&)fexldr_ptr_libGL_glGetNamedStringivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetNamedStringivARB");
  (void*&)fexldr_ptr_libGL_glGetnCompressedTexImageARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnCompressedTexImageARB");
  (void*&)fexldr_ptr_libGL_glGetnCompressedTexImage = dlsym_default(fexldr_ptr_libGL_so, "glGetnCompressedTexImage");
  (void*&)fexldr_ptr_libGL_glGetNextPerfQueryIdINTEL = dlsym_default(fexldr_ptr_libGL_so, "glGetNextPerfQueryIdINTEL");
  (void*&)fexldr_ptr_libGL_glGetnTexImageARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnTexImageARB");
  (void*&)fexldr_ptr_libGL_glGetnTexImage = dlsym_default(fexldr_ptr_libGL_so, "glGetnTexImage");
  (void*&)fexldr_ptr_libGL_glGetnUniformdvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnUniformdvARB");
  (void*&)fexldr_ptr_libGL_glGetnUniformdv = dlsym_default(fexldr_ptr_libGL_so, "glGetnUniformdv");
  (void*&)fexldr_ptr_libGL_glGetnUniformfvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnUniformfvARB");
  (void*&)fexldr_ptr_libGL_glGetnUniformfv = dlsym_default(fexldr_ptr_libGL_so, "glGetnUniformfv");
  (void*&)fexldr_ptr_libGL_glGetnUniformi64vARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnUniformi64vARB");
  (void*&)fexldr_ptr_libGL_glGetnUniformivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnUniformivARB");
  (void*&)fexldr_ptr_libGL_glGetnUniformiv = dlsym_default(fexldr_ptr_libGL_so, "glGetnUniformiv");
  (void*&)fexldr_ptr_libGL_glGetnUniformui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnUniformui64vARB");
  (void*&)fexldr_ptr_libGL_glGetnUniformuivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetnUniformuivARB");
  (void*&)fexldr_ptr_libGL_glGetnUniformuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetnUniformuiv");
  (void*&)fexldr_ptr_libGL_glGetObjectBufferfvATI = dlsym_default(fexldr_ptr_libGL_so, "glGetObjectBufferfvATI");
  (void*&)fexldr_ptr_libGL_glGetObjectBufferivATI = dlsym_default(fexldr_ptr_libGL_so, "glGetObjectBufferivATI");
  (void*&)fexldr_ptr_libGL_glGetObjectLabelEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetObjectLabelEXT");
  (void*&)fexldr_ptr_libGL_glGetObjectLabel = dlsym_default(fexldr_ptr_libGL_so, "glGetObjectLabel");
  (void*&)fexldr_ptr_libGL_glGetObjectParameterfvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetObjectParameterfvARB");
  (void*&)fexldr_ptr_libGL_glGetObjectParameterivAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glGetObjectParameterivAPPLE");
  (void*&)fexldr_ptr_libGL_glGetObjectParameterivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetObjectParameterivARB");
  (void*&)fexldr_ptr_libGL_glGetObjectPtrLabel = dlsym_default(fexldr_ptr_libGL_so, "glGetObjectPtrLabel");
  (void*&)fexldr_ptr_libGL_glGetOcclusionQueryivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetOcclusionQueryivNV");
  (void*&)fexldr_ptr_libGL_glGetOcclusionQueryuivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetOcclusionQueryuivNV");
  (void*&)fexldr_ptr_libGL_glGetPathCommandsNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathCommandsNV");
  (void*&)fexldr_ptr_libGL_glGetPathCoordsNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathCoordsNV");
  (void*&)fexldr_ptr_libGL_glGetPathDashArrayNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathDashArrayNV");
  (void*&)fexldr_ptr_libGL_glGetPathMetricRangeNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathMetricRangeNV");
  (void*&)fexldr_ptr_libGL_glGetPathMetricsNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathMetricsNV");
  (void*&)fexldr_ptr_libGL_glGetPathParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathParameterfvNV");
  (void*&)fexldr_ptr_libGL_glGetPathParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathParameterivNV");
  (void*&)fexldr_ptr_libGL_glGetPathSpacingNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathSpacingNV");
  (void*&)fexldr_ptr_libGL_glGetPerfCounterInfoINTEL = dlsym_default(fexldr_ptr_libGL_so, "glGetPerfCounterInfoINTEL");
  (void*&)fexldr_ptr_libGL_glGetPerfMonitorCounterDataAMD = dlsym_default(fexldr_ptr_libGL_so, "glGetPerfMonitorCounterDataAMD");
  (void*&)fexldr_ptr_libGL_glGetPerfMonitorCounterInfoAMD = dlsym_default(fexldr_ptr_libGL_so, "glGetPerfMonitorCounterInfoAMD");
  (void*&)fexldr_ptr_libGL_glGetPerfMonitorCountersAMD = dlsym_default(fexldr_ptr_libGL_so, "glGetPerfMonitorCountersAMD");
  (void*&)fexldr_ptr_libGL_glGetPerfMonitorCounterStringAMD = dlsym_default(fexldr_ptr_libGL_so, "glGetPerfMonitorCounterStringAMD");
  (void*&)fexldr_ptr_libGL_glGetPerfMonitorGroupsAMD = dlsym_default(fexldr_ptr_libGL_so, "glGetPerfMonitorGroupsAMD");
  (void*&)fexldr_ptr_libGL_glGetPerfMonitorGroupStringAMD = dlsym_default(fexldr_ptr_libGL_so, "glGetPerfMonitorGroupStringAMD");
  (void*&)fexldr_ptr_libGL_glGetPerfQueryDataINTEL = dlsym_default(fexldr_ptr_libGL_so, "glGetPerfQueryDataINTEL");
  (void*&)fexldr_ptr_libGL_glGetPerfQueryIdByNameINTEL = dlsym_default(fexldr_ptr_libGL_so, "glGetPerfQueryIdByNameINTEL");
  (void*&)fexldr_ptr_libGL_glGetPerfQueryInfoINTEL = dlsym_default(fexldr_ptr_libGL_so, "glGetPerfQueryInfoINTEL");
  (void*&)fexldr_ptr_libGL_glGetPixelMapfv = dlsym_default(fexldr_ptr_libGL_so, "glGetPixelMapfv");
  (void*&)fexldr_ptr_libGL_glGetPixelMapuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetPixelMapuiv");
  (void*&)fexldr_ptr_libGL_glGetPixelMapusv = dlsym_default(fexldr_ptr_libGL_so, "glGetPixelMapusv");
  (void*&)fexldr_ptr_libGL_glGetPixelMapxv = dlsym_default(fexldr_ptr_libGL_so, "glGetPixelMapxv");
  (void*&)fexldr_ptr_libGL_glGetPixelTexGenParameterfvSGIS = dlsym_default(fexldr_ptr_libGL_so, "glGetPixelTexGenParameterfvSGIS");
  (void*&)fexldr_ptr_libGL_glGetPixelTexGenParameterivSGIS = dlsym_default(fexldr_ptr_libGL_so, "glGetPixelTexGenParameterivSGIS");
  (void*&)fexldr_ptr_libGL_glGetPixelTransformParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetPixelTransformParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glGetPixelTransformParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetPixelTransformParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetPointerv = dlsym_default(fexldr_ptr_libGL_so, "glGetPointerv");
  (void*&)fexldr_ptr_libGL_glGetPointervEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetPointervEXT");
  (void*&)fexldr_ptr_libGL_glGetPointeri_vEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetPointeri_vEXT");
  (void*&)fexldr_ptr_libGL_glGetPointerIndexedvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetPointerIndexedvEXT");
  (void*&)fexldr_ptr_libGL_glGetPolygonStipple = dlsym_default(fexldr_ptr_libGL_so, "glGetPolygonStipple");
  (void*&)fexldr_ptr_libGL_glGetProgramBinary = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramBinary");
  (void*&)fexldr_ptr_libGL_glGetProgramEnvParameterdvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramEnvParameterdvARB");
  (void*&)fexldr_ptr_libGL_glGetProgramEnvParameterfvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramEnvParameterfvARB");
  (void*&)fexldr_ptr_libGL_glGetProgramEnvParameterIivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramEnvParameterIivNV");
  (void*&)fexldr_ptr_libGL_glGetProgramEnvParameterIuivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramEnvParameterIuivNV");
  (void*&)fexldr_ptr_libGL_glGetProgramInfoLog = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramInfoLog");
  (void*&)fexldr_ptr_libGL_glGetProgramInterfaceiv = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramInterfaceiv");
  (void*&)fexldr_ptr_libGL_glGetProgramivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramivARB");
  (void*&)fexldr_ptr_libGL_glGetProgramiv = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramiv");
  (void*&)fexldr_ptr_libGL_glGetProgramivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramivNV");
  (void*&)fexldr_ptr_libGL_glGetProgramLocalParameterdvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramLocalParameterdvARB");
  (void*&)fexldr_ptr_libGL_glGetProgramLocalParameterfvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramLocalParameterfvARB");
  (void*&)fexldr_ptr_libGL_glGetProgramLocalParameterIivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramLocalParameterIivNV");
  (void*&)fexldr_ptr_libGL_glGetProgramLocalParameterIuivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramLocalParameterIuivNV");
  (void*&)fexldr_ptr_libGL_glGetProgramNamedParameterdvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramNamedParameterdvNV");
  (void*&)fexldr_ptr_libGL_glGetProgramNamedParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramNamedParameterfvNV");
  (void*&)fexldr_ptr_libGL_glGetProgramParameterdvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramParameterdvNV");
  (void*&)fexldr_ptr_libGL_glGetProgramParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramParameterfvNV");
  (void*&)fexldr_ptr_libGL_glGetProgramPipelineInfoLog = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramPipelineInfoLog");
  (void*&)fexldr_ptr_libGL_glGetProgramPipelineiv = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramPipelineiv");
  (void*&)fexldr_ptr_libGL_glGetProgramResourcefvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramResourcefvNV");
  (void*&)fexldr_ptr_libGL_glGetProgramResourceiv = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramResourceiv");
  (void*&)fexldr_ptr_libGL_glGetProgramResourceName = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramResourceName");
  (void*&)fexldr_ptr_libGL_glGetProgramStageiv = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramStageiv");
  (void*&)fexldr_ptr_libGL_glGetProgramStringARB = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramStringARB");
  (void*&)fexldr_ptr_libGL_glGetProgramStringNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramStringNV");
  (void*&)fexldr_ptr_libGL_glGetProgramSubroutineParameteruivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetProgramSubroutineParameteruivNV");
  (void*&)fexldr_ptr_libGL_glGetQueryBufferObjecti64v = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryBufferObjecti64v");
  (void*&)fexldr_ptr_libGL_glGetQueryBufferObjectiv = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryBufferObjectiv");
  (void*&)fexldr_ptr_libGL_glGetQueryBufferObjectui64v = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryBufferObjectui64v");
  (void*&)fexldr_ptr_libGL_glGetQueryBufferObjectuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryBufferObjectuiv");
  (void*&)fexldr_ptr_libGL_glGetQueryIndexediv = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryIndexediv");
  (void*&)fexldr_ptr_libGL_glGetQueryivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryivARB");
  (void*&)fexldr_ptr_libGL_glGetQueryiv = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryiv");
  (void*&)fexldr_ptr_libGL_glGetQueryObjecti64vEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryObjecti64vEXT");
  (void*&)fexldr_ptr_libGL_glGetQueryObjecti64v = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryObjecti64v");
  (void*&)fexldr_ptr_libGL_glGetQueryObjectivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryObjectivARB");
  (void*&)fexldr_ptr_libGL_glGetQueryObjectiv = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryObjectiv");
  (void*&)fexldr_ptr_libGL_glGetQueryObjectui64vEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryObjectui64vEXT");
  (void*&)fexldr_ptr_libGL_glGetQueryObjectui64v = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryObjectui64v");
  (void*&)fexldr_ptr_libGL_glGetQueryObjectuivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryObjectuivARB");
  (void*&)fexldr_ptr_libGL_glGetQueryObjectuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetQueryObjectuiv");
  (void*&)fexldr_ptr_libGL_glGetRenderbufferParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetRenderbufferParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetRenderbufferParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetRenderbufferParameteriv");
  (void*&)fexldr_ptr_libGL_glGetSamplerParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glGetSamplerParameterfv");
  (void*&)fexldr_ptr_libGL_glGetSamplerParameterIiv = dlsym_default(fexldr_ptr_libGL_so, "glGetSamplerParameterIiv");
  (void*&)fexldr_ptr_libGL_glGetSamplerParameterIuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetSamplerParameterIuiv");
  (void*&)fexldr_ptr_libGL_glGetSamplerParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetSamplerParameteriv");
  (void*&)fexldr_ptr_libGL_glGetSemaphoreParameterui64vEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetSemaphoreParameterui64vEXT");
  (void*&)fexldr_ptr_libGL_glGetSeparableFilterEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetSeparableFilterEXT");
  (void*&)fexldr_ptr_libGL_glGetSeparableFilter = dlsym_default(fexldr_ptr_libGL_so, "glGetSeparableFilter");
  (void*&)fexldr_ptr_libGL_glGetShaderInfoLog = dlsym_default(fexldr_ptr_libGL_so, "glGetShaderInfoLog");
  (void*&)fexldr_ptr_libGL_glGetShaderiv = dlsym_default(fexldr_ptr_libGL_so, "glGetShaderiv");
  (void*&)fexldr_ptr_libGL_glGetShaderPrecisionFormat = dlsym_default(fexldr_ptr_libGL_so, "glGetShaderPrecisionFormat");
  (void*&)fexldr_ptr_libGL_glGetShaderSourceARB = dlsym_default(fexldr_ptr_libGL_so, "glGetShaderSourceARB");
  (void*&)fexldr_ptr_libGL_glGetShaderSource = dlsym_default(fexldr_ptr_libGL_so, "glGetShaderSource");
  (void*&)fexldr_ptr_libGL_glGetShadingRateImagePaletteNV = dlsym_default(fexldr_ptr_libGL_so, "glGetShadingRateImagePaletteNV");
  (void*&)fexldr_ptr_libGL_glGetShadingRateSampleLocationivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetShadingRateSampleLocationivNV");
  (void*&)fexldr_ptr_libGL_glGetSharpenTexFuncSGIS = dlsym_default(fexldr_ptr_libGL_so, "glGetSharpenTexFuncSGIS");
  (void*&)fexldr_ptr_libGL_glGetSynciv = dlsym_default(fexldr_ptr_libGL_so, "glGetSynciv");
  (void*&)fexldr_ptr_libGL_glGetTexBumpParameterfvATI = dlsym_default(fexldr_ptr_libGL_so, "glGetTexBumpParameterfvATI");
  (void*&)fexldr_ptr_libGL_glGetTexBumpParameterivATI = dlsym_default(fexldr_ptr_libGL_so, "glGetTexBumpParameterivATI");
  (void*&)fexldr_ptr_libGL_glGetTexEnvfv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexEnvfv");
  (void*&)fexldr_ptr_libGL_glGetTexEnviv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexEnviv");
  (void*&)fexldr_ptr_libGL_glGetTexEnvxvOES = dlsym_default(fexldr_ptr_libGL_so, "glGetTexEnvxvOES");
  (void*&)fexldr_ptr_libGL_glGetTexFilterFuncSGIS = dlsym_default(fexldr_ptr_libGL_so, "glGetTexFilterFuncSGIS");
  (void*&)fexldr_ptr_libGL_glGetTexGendv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexGendv");
  (void*&)fexldr_ptr_libGL_glGetTexGenfv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexGenfv");
  (void*&)fexldr_ptr_libGL_glGetTexGeniv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexGeniv");
  (void*&)fexldr_ptr_libGL_glGetTexGenxvOES = dlsym_default(fexldr_ptr_libGL_so, "glGetTexGenxvOES");
  (void*&)fexldr_ptr_libGL_glGetTexImage = dlsym_default(fexldr_ptr_libGL_so, "glGetTexImage");
  (void*&)fexldr_ptr_libGL_glGetTexLevelParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexLevelParameterfv");
  (void*&)fexldr_ptr_libGL_glGetTexLevelParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexLevelParameteriv");
  (void*&)fexldr_ptr_libGL_glGetTexLevelParameterxvOES = dlsym_default(fexldr_ptr_libGL_so, "glGetTexLevelParameterxvOES");
  (void*&)fexldr_ptr_libGL_glGetTexParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexParameterfv");
  (void*&)fexldr_ptr_libGL_glGetTexParameterIivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetTexParameterIivEXT");
  (void*&)fexldr_ptr_libGL_glGetTexParameterIiv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexParameterIiv");
  (void*&)fexldr_ptr_libGL_glGetTexParameterIuivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetTexParameterIuivEXT");
  (void*&)fexldr_ptr_libGL_glGetTexParameterIuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexParameterIuiv");
  (void*&)fexldr_ptr_libGL_glGetTexParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetTexParameteriv");
  (void*&)fexldr_ptr_libGL_glGetTexParameterPointervAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glGetTexParameterPointervAPPLE");
  (void*&)fexldr_ptr_libGL_glGetTexParameterxvOES = dlsym_default(fexldr_ptr_libGL_so, "glGetTexParameterxvOES");
  (void*&)fexldr_ptr_libGL_glGetTextureImageEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureImageEXT");
  (void*&)fexldr_ptr_libGL_glGetTextureImage = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureImage");
  (void*&)fexldr_ptr_libGL_glGetTextureLevelParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureLevelParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glGetTextureLevelParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureLevelParameterfv");
  (void*&)fexldr_ptr_libGL_glGetTextureLevelParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureLevelParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetTextureLevelParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureLevelParameteriv");
  (void*&)fexldr_ptr_libGL_glGetTextureParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glGetTextureParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureParameterfv");
  (void*&)fexldr_ptr_libGL_glGetTextureParameterIivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureParameterIivEXT");
  (void*&)fexldr_ptr_libGL_glGetTextureParameterIiv = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureParameterIiv");
  (void*&)fexldr_ptr_libGL_glGetTextureParameterIuivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureParameterIuivEXT");
  (void*&)fexldr_ptr_libGL_glGetTextureParameterIuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureParameterIuiv");
  (void*&)fexldr_ptr_libGL_glGetTextureParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureParameterivEXT");
  (void*&)fexldr_ptr_libGL_glGetTextureParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureParameteriv");
  (void*&)fexldr_ptr_libGL_glGetTextureSubImage = dlsym_default(fexldr_ptr_libGL_so, "glGetTextureSubImage");
  (void*&)fexldr_ptr_libGL_glGetTrackMatrixivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetTrackMatrixivNV");
  (void*&)fexldr_ptr_libGL_glGetTransformFeedbacki64_v = dlsym_default(fexldr_ptr_libGL_so, "glGetTransformFeedbacki64_v");
  (void*&)fexldr_ptr_libGL_glGetTransformFeedbackiv = dlsym_default(fexldr_ptr_libGL_so, "glGetTransformFeedbackiv");
  (void*&)fexldr_ptr_libGL_glGetTransformFeedbacki_v = dlsym_default(fexldr_ptr_libGL_so, "glGetTransformFeedbacki_v");
  (void*&)fexldr_ptr_libGL_glGetTransformFeedbackVaryingEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetTransformFeedbackVaryingEXT");
  (void*&)fexldr_ptr_libGL_glGetTransformFeedbackVarying = dlsym_default(fexldr_ptr_libGL_so, "glGetTransformFeedbackVarying");
  (void*&)fexldr_ptr_libGL_glGetTransformFeedbackVaryingNV = dlsym_default(fexldr_ptr_libGL_so, "glGetTransformFeedbackVaryingNV");
  (void*&)fexldr_ptr_libGL_glGetUniformdv = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformdv");
  (void*&)fexldr_ptr_libGL_glGetUniformfvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformfvARB");
  (void*&)fexldr_ptr_libGL_glGetUniformfv = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformfv");
  (void*&)fexldr_ptr_libGL_glGetUniformi64vARB = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformi64vARB");
  (void*&)fexldr_ptr_libGL_glGetUniformi64vNV = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformi64vNV");
  (void*&)fexldr_ptr_libGL_glGetUniformIndices = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformIndices");
  (void*&)fexldr_ptr_libGL_glGetUniformivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformivARB");
  (void*&)fexldr_ptr_libGL_glGetUniformiv = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformiv");
  (void*&)fexldr_ptr_libGL_glGetUniformSubroutineuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformSubroutineuiv");
  (void*&)fexldr_ptr_libGL_glGetUniformui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformui64vARB");
  (void*&)fexldr_ptr_libGL_glGetUniformui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformui64vNV");
  (void*&)fexldr_ptr_libGL_glGetUniformuivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformuivEXT");
  (void*&)fexldr_ptr_libGL_glGetUniformuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetUniformuiv");
  (void*&)fexldr_ptr_libGL_glGetUnsignedBytei_vEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetUnsignedBytei_vEXT");
  (void*&)fexldr_ptr_libGL_glGetUnsignedBytevEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetUnsignedBytevEXT");
  (void*&)fexldr_ptr_libGL_glGetVariantArrayObjectfvATI = dlsym_default(fexldr_ptr_libGL_so, "glGetVariantArrayObjectfvATI");
  (void*&)fexldr_ptr_libGL_glGetVariantArrayObjectivATI = dlsym_default(fexldr_ptr_libGL_so, "glGetVariantArrayObjectivATI");
  (void*&)fexldr_ptr_libGL_glGetVariantBooleanvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVariantBooleanvEXT");
  (void*&)fexldr_ptr_libGL_glGetVariantFloatvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVariantFloatvEXT");
  (void*&)fexldr_ptr_libGL_glGetVariantIntegervEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVariantIntegervEXT");
  (void*&)fexldr_ptr_libGL_glGetVariantPointervEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVariantPointervEXT");
  (void*&)fexldr_ptr_libGL_glGetVertexArrayIndexed64iv = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexArrayIndexed64iv");
  (void*&)fexldr_ptr_libGL_glGetVertexArrayIndexediv = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexArrayIndexediv");
  (void*&)fexldr_ptr_libGL_glGetVertexArrayIntegeri_vEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexArrayIntegeri_vEXT");
  (void*&)fexldr_ptr_libGL_glGetVertexArrayIntegervEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexArrayIntegervEXT");
  (void*&)fexldr_ptr_libGL_glGetVertexArrayiv = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexArrayiv");
  (void*&)fexldr_ptr_libGL_glGetVertexArrayPointeri_vEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexArrayPointeri_vEXT");
  (void*&)fexldr_ptr_libGL_glGetVertexArrayPointervEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexArrayPointervEXT");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribArrayObjectfvATI = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribArrayObjectfvATI");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribArrayObjectivATI = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribArrayObjectivATI");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribdvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribdvARB");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribdv = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribdv");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribdvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribdvNV");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribfvARB = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribfvARB");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribfv = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribfv");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribfvNV");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribIivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribIivEXT");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribIiv = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribIiv");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribIuivEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribIuivEXT");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribIuiv = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribIuiv");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribivARB = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribivARB");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribiv = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribiv");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribivNV");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribLdvEXT = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribLdvEXT");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribLdv = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribLdv");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribLi64vNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribLi64vNV");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribLui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribLui64vARB");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribLui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribLui64vNV");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribPointervARB = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribPointervARB");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribPointerv = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribPointerv");
  (void*&)fexldr_ptr_libGL_glGetVertexAttribPointervNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVertexAttribPointervNV");
  (void*&)fexldr_ptr_libGL_glGetVideoCaptureivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVideoCaptureivNV");
  (void*&)fexldr_ptr_libGL_glGetVideoCaptureStreamdvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVideoCaptureStreamdvNV");
  (void*&)fexldr_ptr_libGL_glGetVideoCaptureStreamfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVideoCaptureStreamfvNV");
  (void*&)fexldr_ptr_libGL_glGetVideoCaptureStreamivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVideoCaptureStreamivNV");
  (void*&)fexldr_ptr_libGL_glGetVideoi64vNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVideoi64vNV");
  (void*&)fexldr_ptr_libGL_glGetVideoivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVideoivNV");
  (void*&)fexldr_ptr_libGL_glGetVideoui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVideoui64vNV");
  (void*&)fexldr_ptr_libGL_glGetVideouivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetVideouivNV");
  (void*&)fexldr_ptr_libGL_glGlobalAlphaFactorbSUN = dlsym_default(fexldr_ptr_libGL_so, "glGlobalAlphaFactorbSUN");
  (void*&)fexldr_ptr_libGL_glGlobalAlphaFactordSUN = dlsym_default(fexldr_ptr_libGL_so, "glGlobalAlphaFactordSUN");
  (void*&)fexldr_ptr_libGL_glGlobalAlphaFactorfSUN = dlsym_default(fexldr_ptr_libGL_so, "glGlobalAlphaFactorfSUN");
  (void*&)fexldr_ptr_libGL_glGlobalAlphaFactoriSUN = dlsym_default(fexldr_ptr_libGL_so, "glGlobalAlphaFactoriSUN");
  (void*&)fexldr_ptr_libGL_glGlobalAlphaFactorsSUN = dlsym_default(fexldr_ptr_libGL_so, "glGlobalAlphaFactorsSUN");
  (void*&)fexldr_ptr_libGL_glGlobalAlphaFactorubSUN = dlsym_default(fexldr_ptr_libGL_so, "glGlobalAlphaFactorubSUN");
  (void*&)fexldr_ptr_libGL_glGlobalAlphaFactoruiSUN = dlsym_default(fexldr_ptr_libGL_so, "glGlobalAlphaFactoruiSUN");
  (void*&)fexldr_ptr_libGL_glGlobalAlphaFactorusSUN = dlsym_default(fexldr_ptr_libGL_so, "glGlobalAlphaFactorusSUN");
  (void*&)fexldr_ptr_libGL_glHint = dlsym_default(fexldr_ptr_libGL_so, "glHint");
  (void*&)fexldr_ptr_libGL_glHintPGI = dlsym_default(fexldr_ptr_libGL_so, "glHintPGI");
  (void*&)fexldr_ptr_libGL_glHistogramEXT = dlsym_default(fexldr_ptr_libGL_so, "glHistogramEXT");
  (void*&)fexldr_ptr_libGL_glHistogram = dlsym_default(fexldr_ptr_libGL_so, "glHistogram");
  (void*&)fexldr_ptr_libGL_glIglooInterfaceSGIX = dlsym_default(fexldr_ptr_libGL_so, "glIglooInterfaceSGIX");
  (void*&)fexldr_ptr_libGL_glImageTransformParameterfHP = dlsym_default(fexldr_ptr_libGL_so, "glImageTransformParameterfHP");
  (void*&)fexldr_ptr_libGL_glImageTransformParameterfvHP = dlsym_default(fexldr_ptr_libGL_so, "glImageTransformParameterfvHP");
  (void*&)fexldr_ptr_libGL_glImageTransformParameteriHP = dlsym_default(fexldr_ptr_libGL_so, "glImageTransformParameteriHP");
  (void*&)fexldr_ptr_libGL_glImageTransformParameterivHP = dlsym_default(fexldr_ptr_libGL_so, "glImageTransformParameterivHP");
  (void*&)fexldr_ptr_libGL_glImportMemoryFdEXT = dlsym_default(fexldr_ptr_libGL_so, "glImportMemoryFdEXT");
  (void*&)fexldr_ptr_libGL_glImportMemoryWin32HandleEXT = dlsym_default(fexldr_ptr_libGL_so, "glImportMemoryWin32HandleEXT");
  (void*&)fexldr_ptr_libGL_glImportMemoryWin32NameEXT = dlsym_default(fexldr_ptr_libGL_so, "glImportMemoryWin32NameEXT");
  (void*&)fexldr_ptr_libGL_glImportSemaphoreFdEXT = dlsym_default(fexldr_ptr_libGL_so, "glImportSemaphoreFdEXT");
  (void*&)fexldr_ptr_libGL_glImportSemaphoreWin32HandleEXT = dlsym_default(fexldr_ptr_libGL_so, "glImportSemaphoreWin32HandleEXT");
  (void*&)fexldr_ptr_libGL_glImportSemaphoreWin32NameEXT = dlsym_default(fexldr_ptr_libGL_so, "glImportSemaphoreWin32NameEXT");
  (void*&)fexldr_ptr_libGL_glIndexd = dlsym_default(fexldr_ptr_libGL_so, "glIndexd");
  (void*&)fexldr_ptr_libGL_glIndexdv = dlsym_default(fexldr_ptr_libGL_so, "glIndexdv");
  (void*&)fexldr_ptr_libGL_glIndexf = dlsym_default(fexldr_ptr_libGL_so, "glIndexf");
  (void*&)fexldr_ptr_libGL_glIndexFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glIndexFormatNV");
  (void*&)fexldr_ptr_libGL_glIndexFuncEXT = dlsym_default(fexldr_ptr_libGL_so, "glIndexFuncEXT");
  (void*&)fexldr_ptr_libGL_glIndexfv = dlsym_default(fexldr_ptr_libGL_so, "glIndexfv");
  (void*&)fexldr_ptr_libGL_glIndexi = dlsym_default(fexldr_ptr_libGL_so, "glIndexi");
  (void*&)fexldr_ptr_libGL_glIndexiv = dlsym_default(fexldr_ptr_libGL_so, "glIndexiv");
  (void*&)fexldr_ptr_libGL_glIndexMask = dlsym_default(fexldr_ptr_libGL_so, "glIndexMask");
  (void*&)fexldr_ptr_libGL_glIndexMaterialEXT = dlsym_default(fexldr_ptr_libGL_so, "glIndexMaterialEXT");
  (void*&)fexldr_ptr_libGL_glIndexPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glIndexPointerEXT");
  (void*&)fexldr_ptr_libGL_glIndexPointer = dlsym_default(fexldr_ptr_libGL_so, "glIndexPointer");
  (void*&)fexldr_ptr_libGL_glIndexPointerListIBM = dlsym_default(fexldr_ptr_libGL_so, "glIndexPointerListIBM");
  (void*&)fexldr_ptr_libGL_glIndexs = dlsym_default(fexldr_ptr_libGL_so, "glIndexs");
  (void*&)fexldr_ptr_libGL_glIndexsv = dlsym_default(fexldr_ptr_libGL_so, "glIndexsv");
  (void*&)fexldr_ptr_libGL_glIndexub = dlsym_default(fexldr_ptr_libGL_so, "glIndexub");
  (void*&)fexldr_ptr_libGL_glIndexubv = dlsym_default(fexldr_ptr_libGL_so, "glIndexubv");
  (void*&)fexldr_ptr_libGL_glIndexxOES = dlsym_default(fexldr_ptr_libGL_so, "glIndexxOES");
  (void*&)fexldr_ptr_libGL_glIndexxvOES = dlsym_default(fexldr_ptr_libGL_so, "glIndexxvOES");
  (void*&)fexldr_ptr_libGL_glInitNames = dlsym_default(fexldr_ptr_libGL_so, "glInitNames");
  (void*&)fexldr_ptr_libGL_glInsertComponentEXT = dlsym_default(fexldr_ptr_libGL_so, "glInsertComponentEXT");
  (void*&)fexldr_ptr_libGL_glInsertEventMarkerEXT = dlsym_default(fexldr_ptr_libGL_so, "glInsertEventMarkerEXT");
  (void*&)fexldr_ptr_libGL_glInstrumentsBufferSGIX = dlsym_default(fexldr_ptr_libGL_so, "glInstrumentsBufferSGIX");
  (void*&)fexldr_ptr_libGL_glInterleavedArrays = dlsym_default(fexldr_ptr_libGL_so, "glInterleavedArrays");
  (void*&)fexldr_ptr_libGL_glInterpolatePathsNV = dlsym_default(fexldr_ptr_libGL_so, "glInterpolatePathsNV");
  (void*&)fexldr_ptr_libGL_glInvalidateBufferData = dlsym_default(fexldr_ptr_libGL_so, "glInvalidateBufferData");
  (void*&)fexldr_ptr_libGL_glInvalidateBufferSubData = dlsym_default(fexldr_ptr_libGL_so, "glInvalidateBufferSubData");
  (void*&)fexldr_ptr_libGL_glInvalidateFramebuffer = dlsym_default(fexldr_ptr_libGL_so, "glInvalidateFramebuffer");
  (void*&)fexldr_ptr_libGL_glInvalidateNamedFramebufferData = dlsym_default(fexldr_ptr_libGL_so, "glInvalidateNamedFramebufferData");
  (void*&)fexldr_ptr_libGL_glInvalidateNamedFramebufferSubData = dlsym_default(fexldr_ptr_libGL_so, "glInvalidateNamedFramebufferSubData");
  (void*&)fexldr_ptr_libGL_glInvalidateSubFramebuffer = dlsym_default(fexldr_ptr_libGL_so, "glInvalidateSubFramebuffer");
  (void*&)fexldr_ptr_libGL_glInvalidateTexImage = dlsym_default(fexldr_ptr_libGL_so, "glInvalidateTexImage");
  (void*&)fexldr_ptr_libGL_glInvalidateTexSubImage = dlsym_default(fexldr_ptr_libGL_so, "glInvalidateTexSubImage");
  (void*&)fexldr_ptr_libGL_glLabelObjectEXT = dlsym_default(fexldr_ptr_libGL_so, "glLabelObjectEXT");
  (void*&)fexldr_ptr_libGL_glLGPUCopyImageSubDataNVX = dlsym_default(fexldr_ptr_libGL_so, "glLGPUCopyImageSubDataNVX");
  (void*&)fexldr_ptr_libGL_glLGPUInterlockNVX = dlsym_default(fexldr_ptr_libGL_so, "glLGPUInterlockNVX");
  (void*&)fexldr_ptr_libGL_glLGPUNamedBufferSubDataNVX = dlsym_default(fexldr_ptr_libGL_so, "glLGPUNamedBufferSubDataNVX");
  (void*&)fexldr_ptr_libGL_glLightEnviSGIX = dlsym_default(fexldr_ptr_libGL_so, "glLightEnviSGIX");
  (void*&)fexldr_ptr_libGL_glLightf = dlsym_default(fexldr_ptr_libGL_so, "glLightf");
  (void*&)fexldr_ptr_libGL_glLightfv = dlsym_default(fexldr_ptr_libGL_so, "glLightfv");
  (void*&)fexldr_ptr_libGL_glLighti = dlsym_default(fexldr_ptr_libGL_so, "glLighti");
  (void*&)fexldr_ptr_libGL_glLightiv = dlsym_default(fexldr_ptr_libGL_so, "glLightiv");
  (void*&)fexldr_ptr_libGL_glLightModelf = dlsym_default(fexldr_ptr_libGL_so, "glLightModelf");
  (void*&)fexldr_ptr_libGL_glLightModelfv = dlsym_default(fexldr_ptr_libGL_so, "glLightModelfv");
  (void*&)fexldr_ptr_libGL_glLightModeli = dlsym_default(fexldr_ptr_libGL_so, "glLightModeli");
  (void*&)fexldr_ptr_libGL_glLightModeliv = dlsym_default(fexldr_ptr_libGL_so, "glLightModeliv");
  (void*&)fexldr_ptr_libGL_glLightModelxOES = dlsym_default(fexldr_ptr_libGL_so, "glLightModelxOES");
  (void*&)fexldr_ptr_libGL_glLightModelxvOES = dlsym_default(fexldr_ptr_libGL_so, "glLightModelxvOES");
  (void*&)fexldr_ptr_libGL_glLightxOES = dlsym_default(fexldr_ptr_libGL_so, "glLightxOES");
  (void*&)fexldr_ptr_libGL_glLightxvOES = dlsym_default(fexldr_ptr_libGL_so, "glLightxvOES");
  (void*&)fexldr_ptr_libGL_glLineStipple = dlsym_default(fexldr_ptr_libGL_so, "glLineStipple");
  (void*&)fexldr_ptr_libGL_glLineWidth = dlsym_default(fexldr_ptr_libGL_so, "glLineWidth");
  (void*&)fexldr_ptr_libGL_glLineWidthxOES = dlsym_default(fexldr_ptr_libGL_so, "glLineWidthxOES");
  (void*&)fexldr_ptr_libGL_glLinkProgramARB = dlsym_default(fexldr_ptr_libGL_so, "glLinkProgramARB");
  (void*&)fexldr_ptr_libGL_glLinkProgram = dlsym_default(fexldr_ptr_libGL_so, "glLinkProgram");
  (void*&)fexldr_ptr_libGL_glListBase = dlsym_default(fexldr_ptr_libGL_so, "glListBase");
  (void*&)fexldr_ptr_libGL_glListDrawCommandsStatesClientNV = dlsym_default(fexldr_ptr_libGL_so, "glListDrawCommandsStatesClientNV");
  (void*&)fexldr_ptr_libGL_glListParameterfSGIX = dlsym_default(fexldr_ptr_libGL_so, "glListParameterfSGIX");
  (void*&)fexldr_ptr_libGL_glListParameterfvSGIX = dlsym_default(fexldr_ptr_libGL_so, "glListParameterfvSGIX");
  (void*&)fexldr_ptr_libGL_glListParameteriSGIX = dlsym_default(fexldr_ptr_libGL_so, "glListParameteriSGIX");
  (void*&)fexldr_ptr_libGL_glListParameterivSGIX = dlsym_default(fexldr_ptr_libGL_so, "glListParameterivSGIX");
  (void*&)fexldr_ptr_libGL_glLoadIdentity = dlsym_default(fexldr_ptr_libGL_so, "glLoadIdentity");
  (void*&)fexldr_ptr_libGL_glLoadIdentityDeformationMapSGIX = dlsym_default(fexldr_ptr_libGL_so, "glLoadIdentityDeformationMapSGIX");
  (void*&)fexldr_ptr_libGL_glLoadMatrixd = dlsym_default(fexldr_ptr_libGL_so, "glLoadMatrixd");
  (void*&)fexldr_ptr_libGL_glLoadMatrixf = dlsym_default(fexldr_ptr_libGL_so, "glLoadMatrixf");
  (void*&)fexldr_ptr_libGL_glLoadMatrixxOES = dlsym_default(fexldr_ptr_libGL_so, "glLoadMatrixxOES");
  (void*&)fexldr_ptr_libGL_glLoadName = dlsym_default(fexldr_ptr_libGL_so, "glLoadName");
  (void*&)fexldr_ptr_libGL_glLoadProgramNV = dlsym_default(fexldr_ptr_libGL_so, "glLoadProgramNV");
  (void*&)fexldr_ptr_libGL_glLoadTransposeMatrixdARB = dlsym_default(fexldr_ptr_libGL_so, "glLoadTransposeMatrixdARB");
  (void*&)fexldr_ptr_libGL_glLoadTransposeMatrixd = dlsym_default(fexldr_ptr_libGL_so, "glLoadTransposeMatrixd");
  (void*&)fexldr_ptr_libGL_glLoadTransposeMatrixfARB = dlsym_default(fexldr_ptr_libGL_so, "glLoadTransposeMatrixfARB");
  (void*&)fexldr_ptr_libGL_glLoadTransposeMatrixf = dlsym_default(fexldr_ptr_libGL_so, "glLoadTransposeMatrixf");
  (void*&)fexldr_ptr_libGL_glLoadTransposeMatrixxOES = dlsym_default(fexldr_ptr_libGL_so, "glLoadTransposeMatrixxOES");
  (void*&)fexldr_ptr_libGL_glLockArraysEXT = dlsym_default(fexldr_ptr_libGL_so, "glLockArraysEXT");
  (void*&)fexldr_ptr_libGL_glLogicOp = dlsym_default(fexldr_ptr_libGL_so, "glLogicOp");
  (void*&)fexldr_ptr_libGL_glMakeBufferNonResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glMakeBufferNonResidentNV");
  (void*&)fexldr_ptr_libGL_glMakeBufferResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glMakeBufferResidentNV");
  (void*&)fexldr_ptr_libGL_glMakeImageHandleNonResidentARB = dlsym_default(fexldr_ptr_libGL_so, "glMakeImageHandleNonResidentARB");
  (void*&)fexldr_ptr_libGL_glMakeImageHandleNonResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glMakeImageHandleNonResidentNV");
  (void*&)fexldr_ptr_libGL_glMakeImageHandleResidentARB = dlsym_default(fexldr_ptr_libGL_so, "glMakeImageHandleResidentARB");
  (void*&)fexldr_ptr_libGL_glMakeImageHandleResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glMakeImageHandleResidentNV");
  (void*&)fexldr_ptr_libGL_glMakeNamedBufferNonResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glMakeNamedBufferNonResidentNV");
  (void*&)fexldr_ptr_libGL_glMakeNamedBufferResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glMakeNamedBufferResidentNV");
  (void*&)fexldr_ptr_libGL_glMakeTextureHandleNonResidentARB = dlsym_default(fexldr_ptr_libGL_so, "glMakeTextureHandleNonResidentARB");
  (void*&)fexldr_ptr_libGL_glMakeTextureHandleNonResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glMakeTextureHandleNonResidentNV");
  (void*&)fexldr_ptr_libGL_glMakeTextureHandleResidentARB = dlsym_default(fexldr_ptr_libGL_so, "glMakeTextureHandleResidentARB");
  (void*&)fexldr_ptr_libGL_glMakeTextureHandleResidentNV = dlsym_default(fexldr_ptr_libGL_so, "glMakeTextureHandleResidentNV");
  (void*&)fexldr_ptr_libGL_glMap1d = dlsym_default(fexldr_ptr_libGL_so, "glMap1d");
  (void*&)fexldr_ptr_libGL_glMap1f = dlsym_default(fexldr_ptr_libGL_so, "glMap1f");
  (void*&)fexldr_ptr_libGL_glMap1xOES = dlsym_default(fexldr_ptr_libGL_so, "glMap1xOES");
  (void*&)fexldr_ptr_libGL_glMap2d = dlsym_default(fexldr_ptr_libGL_so, "glMap2d");
  (void*&)fexldr_ptr_libGL_glMap2f = dlsym_default(fexldr_ptr_libGL_so, "glMap2f");
  (void*&)fexldr_ptr_libGL_glMap2xOES = dlsym_default(fexldr_ptr_libGL_so, "glMap2xOES");
  (void*&)fexldr_ptr_libGL_glMapBufferARB = dlsym_default(fexldr_ptr_libGL_so, "glMapBufferARB");
  (void*&)fexldr_ptr_libGL_glMapBuffer = dlsym_default(fexldr_ptr_libGL_so, "glMapBuffer");
  (void*&)fexldr_ptr_libGL_glMapBufferRange = dlsym_default(fexldr_ptr_libGL_so, "glMapBufferRange");
  (void*&)fexldr_ptr_libGL_glMapControlPointsNV = dlsym_default(fexldr_ptr_libGL_so, "glMapControlPointsNV");
  (void*&)fexldr_ptr_libGL_glMapGrid1d = dlsym_default(fexldr_ptr_libGL_so, "glMapGrid1d");
  (void*&)fexldr_ptr_libGL_glMapGrid1f = dlsym_default(fexldr_ptr_libGL_so, "glMapGrid1f");
  (void*&)fexldr_ptr_libGL_glMapGrid1xOES = dlsym_default(fexldr_ptr_libGL_so, "glMapGrid1xOES");
  (void*&)fexldr_ptr_libGL_glMapGrid2d = dlsym_default(fexldr_ptr_libGL_so, "glMapGrid2d");
  (void*&)fexldr_ptr_libGL_glMapGrid2f = dlsym_default(fexldr_ptr_libGL_so, "glMapGrid2f");
  (void*&)fexldr_ptr_libGL_glMapGrid2xOES = dlsym_default(fexldr_ptr_libGL_so, "glMapGrid2xOES");
  (void*&)fexldr_ptr_libGL_glMapNamedBufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glMapNamedBufferEXT");
  (void*&)fexldr_ptr_libGL_glMapNamedBuffer = dlsym_default(fexldr_ptr_libGL_so, "glMapNamedBuffer");
  (void*&)fexldr_ptr_libGL_glMapNamedBufferRangeEXT = dlsym_default(fexldr_ptr_libGL_so, "glMapNamedBufferRangeEXT");
  (void*&)fexldr_ptr_libGL_glMapNamedBufferRange = dlsym_default(fexldr_ptr_libGL_so, "glMapNamedBufferRange");
  (void*&)fexldr_ptr_libGL_glMapObjectBufferATI = dlsym_default(fexldr_ptr_libGL_so, "glMapObjectBufferATI");
  (void*&)fexldr_ptr_libGL_glMapParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glMapParameterfvNV");
  (void*&)fexldr_ptr_libGL_glMapParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glMapParameterivNV");
  (void*&)fexldr_ptr_libGL_glMapTexture2DINTEL = dlsym_default(fexldr_ptr_libGL_so, "glMapTexture2DINTEL");
  (void*&)fexldr_ptr_libGL_glMapVertexAttrib1dAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glMapVertexAttrib1dAPPLE");
  (void*&)fexldr_ptr_libGL_glMapVertexAttrib1fAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glMapVertexAttrib1fAPPLE");
  (void*&)fexldr_ptr_libGL_glMapVertexAttrib2dAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glMapVertexAttrib2dAPPLE");
  (void*&)fexldr_ptr_libGL_glMapVertexAttrib2fAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glMapVertexAttrib2fAPPLE");
  (void*&)fexldr_ptr_libGL_glMaterialf = dlsym_default(fexldr_ptr_libGL_so, "glMaterialf");
  (void*&)fexldr_ptr_libGL_glMaterialfv = dlsym_default(fexldr_ptr_libGL_so, "glMaterialfv");
  (void*&)fexldr_ptr_libGL_glMateriali = dlsym_default(fexldr_ptr_libGL_so, "glMateriali");
  (void*&)fexldr_ptr_libGL_glMaterialiv = dlsym_default(fexldr_ptr_libGL_so, "glMaterialiv");
  (void*&)fexldr_ptr_libGL_glMaterialxOES = dlsym_default(fexldr_ptr_libGL_so, "glMaterialxOES");
  (void*&)fexldr_ptr_libGL_glMaterialxvOES = dlsym_default(fexldr_ptr_libGL_so, "glMaterialxvOES");
  (void*&)fexldr_ptr_libGL_glMatrixFrustumEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixFrustumEXT");
  (void*&)fexldr_ptr_libGL_glMatrixIndexPointerARB = dlsym_default(fexldr_ptr_libGL_so, "glMatrixIndexPointerARB");
  (void*&)fexldr_ptr_libGL_glMatrixIndexubvARB = dlsym_default(fexldr_ptr_libGL_so, "glMatrixIndexubvARB");
  (void*&)fexldr_ptr_libGL_glMatrixIndexuivARB = dlsym_default(fexldr_ptr_libGL_so, "glMatrixIndexuivARB");
  (void*&)fexldr_ptr_libGL_glMatrixIndexusvARB = dlsym_default(fexldr_ptr_libGL_so, "glMatrixIndexusvARB");
  (void*&)fexldr_ptr_libGL_glMatrixLoad3x2fNV = dlsym_default(fexldr_ptr_libGL_so, "glMatrixLoad3x2fNV");
  (void*&)fexldr_ptr_libGL_glMatrixLoad3x3fNV = dlsym_default(fexldr_ptr_libGL_so, "glMatrixLoad3x3fNV");
  (void*&)fexldr_ptr_libGL_glMatrixLoaddEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixLoaddEXT");
  (void*&)fexldr_ptr_libGL_glMatrixLoadfEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixLoadfEXT");
  (void*&)fexldr_ptr_libGL_glMatrixLoadIdentityEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixLoadIdentityEXT");
  (void*&)fexldr_ptr_libGL_glMatrixLoadTranspose3x3fNV = dlsym_default(fexldr_ptr_libGL_so, "glMatrixLoadTranspose3x3fNV");
  (void*&)fexldr_ptr_libGL_glMatrixLoadTransposedEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixLoadTransposedEXT");
  (void*&)fexldr_ptr_libGL_glMatrixLoadTransposefEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixLoadTransposefEXT");
  (void*&)fexldr_ptr_libGL_glMatrixMode = dlsym_default(fexldr_ptr_libGL_so, "glMatrixMode");
  (void*&)fexldr_ptr_libGL_glMatrixMult3x2fNV = dlsym_default(fexldr_ptr_libGL_so, "glMatrixMult3x2fNV");
  (void*&)fexldr_ptr_libGL_glMatrixMult3x3fNV = dlsym_default(fexldr_ptr_libGL_so, "glMatrixMult3x3fNV");
  (void*&)fexldr_ptr_libGL_glMatrixMultdEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixMultdEXT");
  (void*&)fexldr_ptr_libGL_glMatrixMultfEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixMultfEXT");
  (void*&)fexldr_ptr_libGL_glMatrixMultTranspose3x3fNV = dlsym_default(fexldr_ptr_libGL_so, "glMatrixMultTranspose3x3fNV");
  (void*&)fexldr_ptr_libGL_glMatrixMultTransposedEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixMultTransposedEXT");
  (void*&)fexldr_ptr_libGL_glMatrixMultTransposefEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixMultTransposefEXT");
  (void*&)fexldr_ptr_libGL_glMatrixOrthoEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixOrthoEXT");
  (void*&)fexldr_ptr_libGL_glMatrixPopEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixPopEXT");
  (void*&)fexldr_ptr_libGL_glMatrixPushEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixPushEXT");
  (void*&)fexldr_ptr_libGL_glMatrixRotatedEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixRotatedEXT");
  (void*&)fexldr_ptr_libGL_glMatrixRotatefEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixRotatefEXT");
  (void*&)fexldr_ptr_libGL_glMatrixScaledEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixScaledEXT");
  (void*&)fexldr_ptr_libGL_glMatrixScalefEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixScalefEXT");
  (void*&)fexldr_ptr_libGL_glMatrixTranslatedEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixTranslatedEXT");
  (void*&)fexldr_ptr_libGL_glMatrixTranslatefEXT = dlsym_default(fexldr_ptr_libGL_so, "glMatrixTranslatefEXT");
  (void*&)fexldr_ptr_libGL_glMaxShaderCompilerThreadsARB = dlsym_default(fexldr_ptr_libGL_so, "glMaxShaderCompilerThreadsARB");
  (void*&)fexldr_ptr_libGL_glMaxShaderCompilerThreadsKHR = dlsym_default(fexldr_ptr_libGL_so, "glMaxShaderCompilerThreadsKHR");
  (void*&)fexldr_ptr_libGL_glMemoryBarrierByRegion = dlsym_default(fexldr_ptr_libGL_so, "glMemoryBarrierByRegion");
  (void*&)fexldr_ptr_libGL_glMemoryBarrierEXT = dlsym_default(fexldr_ptr_libGL_so, "glMemoryBarrierEXT");
  (void*&)fexldr_ptr_libGL_glMemoryBarrier = dlsym_default(fexldr_ptr_libGL_so, "glMemoryBarrier");
  (void*&)fexldr_ptr_libGL_glMemoryObjectParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glMemoryObjectParameterivEXT");
  (void*&)fexldr_ptr_libGL_glMinmaxEXT = dlsym_default(fexldr_ptr_libGL_so, "glMinmaxEXT");
  (void*&)fexldr_ptr_libGL_glMinmax = dlsym_default(fexldr_ptr_libGL_so, "glMinmax");
  (void*&)fexldr_ptr_libGL_glMinSampleShadingARB = dlsym_default(fexldr_ptr_libGL_so, "glMinSampleShadingARB");
  (void*&)fexldr_ptr_libGL_glMinSampleShading = dlsym_default(fexldr_ptr_libGL_so, "glMinSampleShading");
  (void*&)fexldr_ptr_libGL_glMulticastBarrierNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastBarrierNV");
  (void*&)fexldr_ptr_libGL_glMulticastBlitFramebufferNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastBlitFramebufferNV");
  (void*&)fexldr_ptr_libGL_glMulticastBufferSubDataNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastBufferSubDataNV");
  (void*&)fexldr_ptr_libGL_glMulticastCopyBufferSubDataNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastCopyBufferSubDataNV");
  (void*&)fexldr_ptr_libGL_glMulticastCopyImageSubDataNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastCopyImageSubDataNV");
  (void*&)fexldr_ptr_libGL_glMulticastFramebufferSampleLocationsfvNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastFramebufferSampleLocationsfvNV");
  (void*&)fexldr_ptr_libGL_glMulticastGetQueryObjecti64vNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastGetQueryObjecti64vNV");
  (void*&)fexldr_ptr_libGL_glMulticastGetQueryObjectivNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastGetQueryObjectivNV");
  (void*&)fexldr_ptr_libGL_glMulticastGetQueryObjectui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastGetQueryObjectui64vNV");
  (void*&)fexldr_ptr_libGL_glMulticastGetQueryObjectuivNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastGetQueryObjectuivNV");
  (void*&)fexldr_ptr_libGL_glMulticastScissorArrayvNVX = dlsym_default(fexldr_ptr_libGL_so, "glMulticastScissorArrayvNVX");
  (void*&)fexldr_ptr_libGL_glMulticastViewportArrayvNVX = dlsym_default(fexldr_ptr_libGL_so, "glMulticastViewportArrayvNVX");
  (void*&)fexldr_ptr_libGL_glMulticastViewportPositionWScaleNVX = dlsym_default(fexldr_ptr_libGL_so, "glMulticastViewportPositionWScaleNVX");
  (void*&)fexldr_ptr_libGL_glMulticastWaitSyncNV = dlsym_default(fexldr_ptr_libGL_so, "glMulticastWaitSyncNV");
  (void*&)fexldr_ptr_libGL_glMultiDrawArraysEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawArraysEXT");
  (void*&)fexldr_ptr_libGL_glMultiDrawArrays = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawArrays");
  (void*&)fexldr_ptr_libGL_glMultiDrawArraysIndirectAMD = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawArraysIndirectAMD");
  (void*&)fexldr_ptr_libGL_glMultiDrawArraysIndirectBindlessCountNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawArraysIndirectBindlessCountNV");
  (void*&)fexldr_ptr_libGL_glMultiDrawArraysIndirectBindlessNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawArraysIndirectBindlessNV");
  (void*&)fexldr_ptr_libGL_glMultiDrawArraysIndirectCountARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawArraysIndirectCountARB");
  (void*&)fexldr_ptr_libGL_glMultiDrawArraysIndirectCount = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawArraysIndirectCount");
  (void*&)fexldr_ptr_libGL_glMultiDrawArraysIndirect = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawArraysIndirect");
  (void*&)fexldr_ptr_libGL_glMultiDrawElementArrayAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawElementArrayAPPLE");
  (void*&)fexldr_ptr_libGL_glMultiDrawElementsBaseVertex = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawElementsBaseVertex");
  (void*&)fexldr_ptr_libGL_glMultiDrawElementsEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawElementsEXT");
  (void*&)fexldr_ptr_libGL_glMultiDrawElements = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawElements");
  (void*&)fexldr_ptr_libGL_glMultiDrawElementsIndirectAMD = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawElementsIndirectAMD");
  (void*&)fexldr_ptr_libGL_glMultiDrawElementsIndirectBindlessCountNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawElementsIndirectBindlessCountNV");
  (void*&)fexldr_ptr_libGL_glMultiDrawElementsIndirectBindlessNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawElementsIndirectBindlessNV");
  (void*&)fexldr_ptr_libGL_glMultiDrawElementsIndirectCountARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawElementsIndirectCountARB");
  (void*&)fexldr_ptr_libGL_glMultiDrawElementsIndirectCount = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawElementsIndirectCount");
  (void*&)fexldr_ptr_libGL_glMultiDrawElementsIndirect = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawElementsIndirect");
  (void*&)fexldr_ptr_libGL_glMultiDrawMeshTasksIndirectCountNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawMeshTasksIndirectCountNV");
  (void*&)fexldr_ptr_libGL_glMultiDrawMeshTasksIndirectNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawMeshTasksIndirectNV");
  (void*&)fexldr_ptr_libGL_glMultiDrawRangeElementArrayAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glMultiDrawRangeElementArrayAPPLE");
  (void*&)fexldr_ptr_libGL_glMultiModeDrawArraysIBM = dlsym_default(fexldr_ptr_libGL_so, "glMultiModeDrawArraysIBM");
  (void*&)fexldr_ptr_libGL_glMultiModeDrawElementsIBM = dlsym_default(fexldr_ptr_libGL_so, "glMultiModeDrawElementsIBM");
  (void*&)fexldr_ptr_libGL_glMultiTexBufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexBufferEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1bOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1bOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1bvOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1bvOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1dARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1dARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1d = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1d");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1dvARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1dvARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1dv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1dv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1fARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1fARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1f = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1f");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1fvARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1fvARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1fv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1fv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1hNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1hNV");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1hvNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1hvNV");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1iARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1iARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1i = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1i");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1ivARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1ivARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1iv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1iv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1sARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1sARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1s = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1s");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1svARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1svARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1sv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1sv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1xOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1xOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord1xvOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord1xvOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2bOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2bOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2bvOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2bvOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2dARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2dARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2d = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2d");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2dvARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2dvARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2dv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2dv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2fARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2fARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2f = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2f");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2fvARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2fvARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2fv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2fv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2hNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2hNV");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2hvNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2hvNV");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2iARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2iARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2i = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2i");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2ivARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2ivARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2iv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2iv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2sARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2sARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2s = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2s");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2svARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2svARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2sv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2sv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2xOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2xOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord2xvOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord2xvOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3bOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3bOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3bvOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3bvOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3dARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3dARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3d = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3d");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3dvARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3dvARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3dv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3dv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3fARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3fARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3f = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3f");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3fvARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3fvARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3fv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3fv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3hNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3hNV");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3hvNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3hvNV");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3iARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3iARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3i = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3i");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3ivARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3ivARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3iv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3iv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3sARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3sARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3s = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3s");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3svARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3svARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3sv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3sv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3xOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3xOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord3xvOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord3xvOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4bOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4bOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4bvOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4bvOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4dARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4dARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4d = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4d");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4dvARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4dvARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4dv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4dv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4fARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4fARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4f = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4f");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4fvARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4fvARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4fv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4fv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4hNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4hNV");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4hvNV = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4hvNV");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4iARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4iARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4i = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4i");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4ivARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4ivARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4iv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4iv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4sARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4sARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4s = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4s");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4svARB = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4svARB");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4sv = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4sv");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4xOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4xOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoord4xvOES = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoord4xvOES");
  (void*&)fexldr_ptr_libGL_glMultiTexCoordPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexCoordPointerEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexEnvfEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexEnvfEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexEnvfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexEnvfvEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexEnviEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexEnviEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexEnvivEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexEnvivEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexGendEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexGendEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexGendvEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexGendvEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexGenfEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexGenfEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexGenfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexGenfvEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexGeniEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexGeniEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexGenivEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexGenivEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexImage1DEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexImage2DEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexImage3DEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexParameterfEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexParameterfEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexParameteriEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexParameteriEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexParameterIivEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexParameterIivEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexParameterIuivEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexParameterIuivEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexParameterivEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexRenderbufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexRenderbufferEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexSubImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexSubImage1DEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexSubImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexSubImage2DEXT");
  (void*&)fexldr_ptr_libGL_glMultiTexSubImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glMultiTexSubImage3DEXT");
  (void*&)fexldr_ptr_libGL_glMultMatrixd = dlsym_default(fexldr_ptr_libGL_so, "glMultMatrixd");
  (void*&)fexldr_ptr_libGL_glMultMatrixf = dlsym_default(fexldr_ptr_libGL_so, "glMultMatrixf");
  (void*&)fexldr_ptr_libGL_glMultMatrixxOES = dlsym_default(fexldr_ptr_libGL_so, "glMultMatrixxOES");
  (void*&)fexldr_ptr_libGL_glMultTransposeMatrixdARB = dlsym_default(fexldr_ptr_libGL_so, "glMultTransposeMatrixdARB");
  (void*&)fexldr_ptr_libGL_glMultTransposeMatrixd = dlsym_default(fexldr_ptr_libGL_so, "glMultTransposeMatrixd");
  (void*&)fexldr_ptr_libGL_glMultTransposeMatrixfARB = dlsym_default(fexldr_ptr_libGL_so, "glMultTransposeMatrixfARB");
  (void*&)fexldr_ptr_libGL_glMultTransposeMatrixf = dlsym_default(fexldr_ptr_libGL_so, "glMultTransposeMatrixf");
  (void*&)fexldr_ptr_libGL_glMultTransposeMatrixxOES = dlsym_default(fexldr_ptr_libGL_so, "glMultTransposeMatrixxOES");
  (void*&)fexldr_ptr_libGL_glNamedBufferAttachMemoryNV = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferAttachMemoryNV");
  (void*&)fexldr_ptr_libGL_glNamedBufferDataEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferDataEXT");
  (void*&)fexldr_ptr_libGL_glNamedBufferData = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferData");
  (void*&)fexldr_ptr_libGL_glNamedBufferPageCommitmentARB = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferPageCommitmentARB");
  (void*&)fexldr_ptr_libGL_glNamedBufferPageCommitmentEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferPageCommitmentEXT");
  (void*&)fexldr_ptr_libGL_glNamedBufferStorageExternalEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferStorageExternalEXT");
  (void*&)fexldr_ptr_libGL_glNamedBufferStorageEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferStorageEXT");
  (void*&)fexldr_ptr_libGL_glNamedBufferStorage = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferStorage");
  (void*&)fexldr_ptr_libGL_glNamedBufferStorageMemEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferStorageMemEXT");
  (void*&)fexldr_ptr_libGL_glNamedBufferSubDataEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferSubDataEXT");
  (void*&)fexldr_ptr_libGL_glNamedBufferSubData = dlsym_default(fexldr_ptr_libGL_so, "glNamedBufferSubData");
  (void*&)fexldr_ptr_libGL_glNamedCopyBufferSubDataEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedCopyBufferSubDataEXT");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferDrawBuffer = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferDrawBuffer");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferDrawBuffers = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferDrawBuffers");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferParameteriEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferParameteriEXT");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferParameteri = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferParameteri");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferReadBuffer = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferReadBuffer");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferRenderbufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferRenderbufferEXT");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferRenderbuffer = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferRenderbuffer");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferSampleLocationsfvARB = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferSampleLocationsfvARB");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferSampleLocationsfvNV = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferSampleLocationsfvNV");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferSamplePositionsfvAMD = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferSamplePositionsfvAMD");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferTexture1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferTexture1DEXT");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferTexture2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferTexture2DEXT");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferTexture3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferTexture3DEXT");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferTextureEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferTextureEXT");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferTextureFaceEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferTextureFaceEXT");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferTexture = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferTexture");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferTextureLayerEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferTextureLayerEXT");
  (void*&)fexldr_ptr_libGL_glNamedFramebufferTextureLayer = dlsym_default(fexldr_ptr_libGL_so, "glNamedFramebufferTextureLayer");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParameter4dEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParameter4dEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParameter4dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParameter4dvEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParameter4fEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParameter4fEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParameter4fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParameter4fvEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParameterI4iEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParameterI4iEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParameterI4ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParameterI4ivEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParameterI4uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParameterI4uiEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParameterI4uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParameterI4uivEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParameters4fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParameters4fvEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParametersI4ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParametersI4ivEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramLocalParametersI4uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramLocalParametersI4uivEXT");
  (void*&)fexldr_ptr_libGL_glNamedProgramStringEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedProgramStringEXT");
  (void*&)fexldr_ptr_libGL_glNamedRenderbufferStorageEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedRenderbufferStorageEXT");
  (void*&)fexldr_ptr_libGL_glNamedRenderbufferStorage = dlsym_default(fexldr_ptr_libGL_so, "glNamedRenderbufferStorage");
  (void*&)fexldr_ptr_libGL_glNamedRenderbufferStorageMultisampleAdvancedAMD = dlsym_default(fexldr_ptr_libGL_so, "glNamedRenderbufferStorageMultisampleAdvancedAMD");
  (void*&)fexldr_ptr_libGL_glNamedRenderbufferStorageMultisampleCoverageEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedRenderbufferStorageMultisampleCoverageEXT");
  (void*&)fexldr_ptr_libGL_glNamedRenderbufferStorageMultisampleEXT = dlsym_default(fexldr_ptr_libGL_so, "glNamedRenderbufferStorageMultisampleEXT");
  (void*&)fexldr_ptr_libGL_glNamedRenderbufferStorageMultisample = dlsym_default(fexldr_ptr_libGL_so, "glNamedRenderbufferStorageMultisample");
  (void*&)fexldr_ptr_libGL_glNamedStringARB = dlsym_default(fexldr_ptr_libGL_so, "glNamedStringARB");
  (void*&)fexldr_ptr_libGL_glNewList = dlsym_default(fexldr_ptr_libGL_so, "glNewList");
  (void*&)fexldr_ptr_libGL_glNormal3b = dlsym_default(fexldr_ptr_libGL_so, "glNormal3b");
  (void*&)fexldr_ptr_libGL_glNormal3bv = dlsym_default(fexldr_ptr_libGL_so, "glNormal3bv");
  (void*&)fexldr_ptr_libGL_glNormal3d = dlsym_default(fexldr_ptr_libGL_so, "glNormal3d");
  (void*&)fexldr_ptr_libGL_glNormal3dv = dlsym_default(fexldr_ptr_libGL_so, "glNormal3dv");
  (void*&)fexldr_ptr_libGL_glNormal3f = dlsym_default(fexldr_ptr_libGL_so, "glNormal3f");
  (void*&)fexldr_ptr_libGL_glNormal3fv = dlsym_default(fexldr_ptr_libGL_so, "glNormal3fv");
  (void*&)fexldr_ptr_libGL_glNormal3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glNormal3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glNormal3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glNormal3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glNormal3hNV = dlsym_default(fexldr_ptr_libGL_so, "glNormal3hNV");
  (void*&)fexldr_ptr_libGL_glNormal3hvNV = dlsym_default(fexldr_ptr_libGL_so, "glNormal3hvNV");
  (void*&)fexldr_ptr_libGL_glNormal3i = dlsym_default(fexldr_ptr_libGL_so, "glNormal3i");
  (void*&)fexldr_ptr_libGL_glNormal3iv = dlsym_default(fexldr_ptr_libGL_so, "glNormal3iv");
  (void*&)fexldr_ptr_libGL_glNormal3s = dlsym_default(fexldr_ptr_libGL_so, "glNormal3s");
  (void*&)fexldr_ptr_libGL_glNormal3sv = dlsym_default(fexldr_ptr_libGL_so, "glNormal3sv");
  (void*&)fexldr_ptr_libGL_glNormal3xOES = dlsym_default(fexldr_ptr_libGL_so, "glNormal3xOES");
  (void*&)fexldr_ptr_libGL_glNormal3xvOES = dlsym_default(fexldr_ptr_libGL_so, "glNormal3xvOES");
  (void*&)fexldr_ptr_libGL_glNormalFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glNormalFormatNV");
  (void*&)fexldr_ptr_libGL_glNormalPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glNormalPointerEXT");
  (void*&)fexldr_ptr_libGL_glNormalPointer = dlsym_default(fexldr_ptr_libGL_so, "glNormalPointer");
  (void*&)fexldr_ptr_libGL_glNormalPointerListIBM = dlsym_default(fexldr_ptr_libGL_so, "glNormalPointerListIBM");
  (void*&)fexldr_ptr_libGL_glNormalPointervINTEL = dlsym_default(fexldr_ptr_libGL_so, "glNormalPointervINTEL");
  (void*&)fexldr_ptr_libGL_glNormalStream3bATI = dlsym_default(fexldr_ptr_libGL_so, "glNormalStream3bATI");
  (void*&)fexldr_ptr_libGL_glNormalStream3bvATI = dlsym_default(fexldr_ptr_libGL_so, "glNormalStream3bvATI");
  (void*&)fexldr_ptr_libGL_glNormalStream3dATI = dlsym_default(fexldr_ptr_libGL_so, "glNormalStream3dATI");
  (void*&)fexldr_ptr_libGL_glNormalStream3dvATI = dlsym_default(fexldr_ptr_libGL_so, "glNormalStream3dvATI");
  (void*&)fexldr_ptr_libGL_glNormalStream3fATI = dlsym_default(fexldr_ptr_libGL_so, "glNormalStream3fATI");
  (void*&)fexldr_ptr_libGL_glNormalStream3fvATI = dlsym_default(fexldr_ptr_libGL_so, "glNormalStream3fvATI");
  (void*&)fexldr_ptr_libGL_glNormalStream3iATI = dlsym_default(fexldr_ptr_libGL_so, "glNormalStream3iATI");
  (void*&)fexldr_ptr_libGL_glNormalStream3ivATI = dlsym_default(fexldr_ptr_libGL_so, "glNormalStream3ivATI");
  (void*&)fexldr_ptr_libGL_glNormalStream3sATI = dlsym_default(fexldr_ptr_libGL_so, "glNormalStream3sATI");
  (void*&)fexldr_ptr_libGL_glNormalStream3svATI = dlsym_default(fexldr_ptr_libGL_so, "glNormalStream3svATI");
  (void*&)fexldr_ptr_libGL_glObjectLabel = dlsym_default(fexldr_ptr_libGL_so, "glObjectLabel");
  (void*&)fexldr_ptr_libGL_glObjectPtrLabel = dlsym_default(fexldr_ptr_libGL_so, "glObjectPtrLabel");
  (void*&)fexldr_ptr_libGL_glOrthofOES = dlsym_default(fexldr_ptr_libGL_so, "glOrthofOES");
  (void*&)fexldr_ptr_libGL_glOrtho = dlsym_default(fexldr_ptr_libGL_so, "glOrtho");
  (void*&)fexldr_ptr_libGL_glOrthoxOES = dlsym_default(fexldr_ptr_libGL_so, "glOrthoxOES");
  (void*&)fexldr_ptr_libGL_glPassTexCoordATI = dlsym_default(fexldr_ptr_libGL_so, "glPassTexCoordATI");
  (void*&)fexldr_ptr_libGL_glPassThrough = dlsym_default(fexldr_ptr_libGL_so, "glPassThrough");
  (void*&)fexldr_ptr_libGL_glPassThroughxOES = dlsym_default(fexldr_ptr_libGL_so, "glPassThroughxOES");
  (void*&)fexldr_ptr_libGL_glPatchParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glPatchParameterfv");
  (void*&)fexldr_ptr_libGL_glPatchParameteri = dlsym_default(fexldr_ptr_libGL_so, "glPatchParameteri");
  (void*&)fexldr_ptr_libGL_glPathCommandsNV = dlsym_default(fexldr_ptr_libGL_so, "glPathCommandsNV");
  (void*&)fexldr_ptr_libGL_glPathCoordsNV = dlsym_default(fexldr_ptr_libGL_so, "glPathCoordsNV");
  (void*&)fexldr_ptr_libGL_glPathCoverDepthFuncNV = dlsym_default(fexldr_ptr_libGL_so, "glPathCoverDepthFuncNV");
  (void*&)fexldr_ptr_libGL_glPathDashArrayNV = dlsym_default(fexldr_ptr_libGL_so, "glPathDashArrayNV");
  (void*&)fexldr_ptr_libGL_glPathGlyphRangeNV = dlsym_default(fexldr_ptr_libGL_so, "glPathGlyphRangeNV");
  (void*&)fexldr_ptr_libGL_glPathGlyphsNV = dlsym_default(fexldr_ptr_libGL_so, "glPathGlyphsNV");
  (void*&)fexldr_ptr_libGL_glPathParameterfNV = dlsym_default(fexldr_ptr_libGL_so, "glPathParameterfNV");
  (void*&)fexldr_ptr_libGL_glPathParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glPathParameterfvNV");
  (void*&)fexldr_ptr_libGL_glPathParameteriNV = dlsym_default(fexldr_ptr_libGL_so, "glPathParameteriNV");
  (void*&)fexldr_ptr_libGL_glPathParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glPathParameterivNV");
  (void*&)fexldr_ptr_libGL_glPathStencilDepthOffsetNV = dlsym_default(fexldr_ptr_libGL_so, "glPathStencilDepthOffsetNV");
  (void*&)fexldr_ptr_libGL_glPathStencilFuncNV = dlsym_default(fexldr_ptr_libGL_so, "glPathStencilFuncNV");
  (void*&)fexldr_ptr_libGL_glPathStringNV = dlsym_default(fexldr_ptr_libGL_so, "glPathStringNV");
  (void*&)fexldr_ptr_libGL_glPathSubCommandsNV = dlsym_default(fexldr_ptr_libGL_so, "glPathSubCommandsNV");
  (void*&)fexldr_ptr_libGL_glPathSubCoordsNV = dlsym_default(fexldr_ptr_libGL_so, "glPathSubCoordsNV");
  (void*&)fexldr_ptr_libGL_glPauseTransformFeedback = dlsym_default(fexldr_ptr_libGL_so, "glPauseTransformFeedback");
  (void*&)fexldr_ptr_libGL_glPauseTransformFeedbackNV = dlsym_default(fexldr_ptr_libGL_so, "glPauseTransformFeedbackNV");
  (void*&)fexldr_ptr_libGL_glPixelDataRangeNV = dlsym_default(fexldr_ptr_libGL_so, "glPixelDataRangeNV");
  (void*&)fexldr_ptr_libGL_glPixelMapfv = dlsym_default(fexldr_ptr_libGL_so, "glPixelMapfv");
  (void*&)fexldr_ptr_libGL_glPixelMapuiv = dlsym_default(fexldr_ptr_libGL_so, "glPixelMapuiv");
  (void*&)fexldr_ptr_libGL_glPixelMapusv = dlsym_default(fexldr_ptr_libGL_so, "glPixelMapusv");
  (void*&)fexldr_ptr_libGL_glPixelMapx = dlsym_default(fexldr_ptr_libGL_so, "glPixelMapx");
  (void*&)fexldr_ptr_libGL_glPixelStoref = dlsym_default(fexldr_ptr_libGL_so, "glPixelStoref");
  (void*&)fexldr_ptr_libGL_glPixelStorei = dlsym_default(fexldr_ptr_libGL_so, "glPixelStorei");
  (void*&)fexldr_ptr_libGL_glPixelStorex = dlsym_default(fexldr_ptr_libGL_so, "glPixelStorex");
  (void*&)fexldr_ptr_libGL_glPixelTexGenParameterfSGIS = dlsym_default(fexldr_ptr_libGL_so, "glPixelTexGenParameterfSGIS");
  (void*&)fexldr_ptr_libGL_glPixelTexGenParameterfvSGIS = dlsym_default(fexldr_ptr_libGL_so, "glPixelTexGenParameterfvSGIS");
  (void*&)fexldr_ptr_libGL_glPixelTexGenParameteriSGIS = dlsym_default(fexldr_ptr_libGL_so, "glPixelTexGenParameteriSGIS");
  (void*&)fexldr_ptr_libGL_glPixelTexGenParameterivSGIS = dlsym_default(fexldr_ptr_libGL_so, "glPixelTexGenParameterivSGIS");
  (void*&)fexldr_ptr_libGL_glPixelTexGenSGIX = dlsym_default(fexldr_ptr_libGL_so, "glPixelTexGenSGIX");
  (void*&)fexldr_ptr_libGL_glPixelTransferf = dlsym_default(fexldr_ptr_libGL_so, "glPixelTransferf");
  (void*&)fexldr_ptr_libGL_glPixelTransferi = dlsym_default(fexldr_ptr_libGL_so, "glPixelTransferi");
  (void*&)fexldr_ptr_libGL_glPixelTransferxOES = dlsym_default(fexldr_ptr_libGL_so, "glPixelTransferxOES");
  (void*&)fexldr_ptr_libGL_glPixelTransformParameterfEXT = dlsym_default(fexldr_ptr_libGL_so, "glPixelTransformParameterfEXT");
  (void*&)fexldr_ptr_libGL_glPixelTransformParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glPixelTransformParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glPixelTransformParameteriEXT = dlsym_default(fexldr_ptr_libGL_so, "glPixelTransformParameteriEXT");
  (void*&)fexldr_ptr_libGL_glPixelTransformParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glPixelTransformParameterivEXT");
  (void*&)fexldr_ptr_libGL_glPixelZoom = dlsym_default(fexldr_ptr_libGL_so, "glPixelZoom");
  (void*&)fexldr_ptr_libGL_glPixelZoomxOES = dlsym_default(fexldr_ptr_libGL_so, "glPixelZoomxOES");
  (void*&)fexldr_ptr_libGL_glPNTrianglesfATI = dlsym_default(fexldr_ptr_libGL_so, "glPNTrianglesfATI");
  (void*&)fexldr_ptr_libGL_glPNTrianglesiATI = dlsym_default(fexldr_ptr_libGL_so, "glPNTrianglesiATI");
  (void*&)fexldr_ptr_libGL_glPointParameterfARB = dlsym_default(fexldr_ptr_libGL_so, "glPointParameterfARB");
  (void*&)fexldr_ptr_libGL_glPointParameterfEXT = dlsym_default(fexldr_ptr_libGL_so, "glPointParameterfEXT");
  (void*&)fexldr_ptr_libGL_glPointParameterf = dlsym_default(fexldr_ptr_libGL_so, "glPointParameterf");
  (void*&)fexldr_ptr_libGL_glPointParameterfSGIS = dlsym_default(fexldr_ptr_libGL_so, "glPointParameterfSGIS");
  (void*&)fexldr_ptr_libGL_glPointParameterfvARB = dlsym_default(fexldr_ptr_libGL_so, "glPointParameterfvARB");
  (void*&)fexldr_ptr_libGL_glPointParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glPointParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glPointParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glPointParameterfv");
  (void*&)fexldr_ptr_libGL_glPointParameterfvSGIS = dlsym_default(fexldr_ptr_libGL_so, "glPointParameterfvSGIS");
  (void*&)fexldr_ptr_libGL_glPointParameteri = dlsym_default(fexldr_ptr_libGL_so, "glPointParameteri");
  (void*&)fexldr_ptr_libGL_glPointParameteriNV = dlsym_default(fexldr_ptr_libGL_so, "glPointParameteriNV");
  (void*&)fexldr_ptr_libGL_glPointParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glPointParameteriv");
  (void*&)fexldr_ptr_libGL_glPointParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glPointParameterivNV");
  (void*&)fexldr_ptr_libGL_glPointParameterxvOES = dlsym_default(fexldr_ptr_libGL_so, "glPointParameterxvOES");
  (void*&)fexldr_ptr_libGL_glPointSize = dlsym_default(fexldr_ptr_libGL_so, "glPointSize");
  (void*&)fexldr_ptr_libGL_glPointSizexOES = dlsym_default(fexldr_ptr_libGL_so, "glPointSizexOES");
  (void*&)fexldr_ptr_libGL_glPolygonMode = dlsym_default(fexldr_ptr_libGL_so, "glPolygonMode");
  (void*&)fexldr_ptr_libGL_glPolygonOffsetClampEXT = dlsym_default(fexldr_ptr_libGL_so, "glPolygonOffsetClampEXT");
  (void*&)fexldr_ptr_libGL_glPolygonOffsetClamp = dlsym_default(fexldr_ptr_libGL_so, "glPolygonOffsetClamp");
  (void*&)fexldr_ptr_libGL_glPolygonOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glPolygonOffsetEXT");
  (void*&)fexldr_ptr_libGL_glPolygonOffset = dlsym_default(fexldr_ptr_libGL_so, "glPolygonOffset");
  (void*&)fexldr_ptr_libGL_glPolygonOffsetxOES = dlsym_default(fexldr_ptr_libGL_so, "glPolygonOffsetxOES");
  (void*&)fexldr_ptr_libGL_glPolygonStipple = dlsym_default(fexldr_ptr_libGL_so, "glPolygonStipple");
  (void*&)fexldr_ptr_libGL_glPopAttrib = dlsym_default(fexldr_ptr_libGL_so, "glPopAttrib");
  (void*&)fexldr_ptr_libGL_glPopClientAttrib = dlsym_default(fexldr_ptr_libGL_so, "glPopClientAttrib");
  (void*&)fexldr_ptr_libGL_glPopDebugGroup = dlsym_default(fexldr_ptr_libGL_so, "glPopDebugGroup");
  (void*&)fexldr_ptr_libGL_glPopGroupMarkerEXT = dlsym_default(fexldr_ptr_libGL_so, "glPopGroupMarkerEXT");
  (void*&)fexldr_ptr_libGL_glPopMatrix = dlsym_default(fexldr_ptr_libGL_so, "glPopMatrix");
  (void*&)fexldr_ptr_libGL_glPopName = dlsym_default(fexldr_ptr_libGL_so, "glPopName");
  (void*&)fexldr_ptr_libGL_glPresentFrameDualFillNV = dlsym_default(fexldr_ptr_libGL_so, "glPresentFrameDualFillNV");
  (void*&)fexldr_ptr_libGL_glPresentFrameKeyedNV = dlsym_default(fexldr_ptr_libGL_so, "glPresentFrameKeyedNV");
  (void*&)fexldr_ptr_libGL_glPrimitiveBoundingBoxARB = dlsym_default(fexldr_ptr_libGL_so, "glPrimitiveBoundingBoxARB");
  (void*&)fexldr_ptr_libGL_glPrimitiveRestartIndex = dlsym_default(fexldr_ptr_libGL_so, "glPrimitiveRestartIndex");
  (void*&)fexldr_ptr_libGL_glPrimitiveRestartIndexNV = dlsym_default(fexldr_ptr_libGL_so, "glPrimitiveRestartIndexNV");
  (void*&)fexldr_ptr_libGL_glPrimitiveRestartNV = dlsym_default(fexldr_ptr_libGL_so, "glPrimitiveRestartNV");
  (void*&)fexldr_ptr_libGL_glPrioritizeTexturesEXT = dlsym_default(fexldr_ptr_libGL_so, "glPrioritizeTexturesEXT");
  (void*&)fexldr_ptr_libGL_glPrioritizeTextures = dlsym_default(fexldr_ptr_libGL_so, "glPrioritizeTextures");
  (void*&)fexldr_ptr_libGL_glPrioritizeTexturesxOES = dlsym_default(fexldr_ptr_libGL_so, "glPrioritizeTexturesxOES");
  (void*&)fexldr_ptr_libGL_glProgramBinary = dlsym_default(fexldr_ptr_libGL_so, "glProgramBinary");
  (void*&)fexldr_ptr_libGL_glProgramBufferParametersfvNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramBufferParametersfvNV");
  (void*&)fexldr_ptr_libGL_glProgramBufferParametersIivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramBufferParametersIivNV");
  (void*&)fexldr_ptr_libGL_glProgramBufferParametersIuivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramBufferParametersIuivNV");
  (void*&)fexldr_ptr_libGL_glProgramEnvParameter4dARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParameter4dARB");
  (void*&)fexldr_ptr_libGL_glProgramEnvParameter4dvARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParameter4dvARB");
  (void*&)fexldr_ptr_libGL_glProgramEnvParameter4fARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParameter4fARB");
  (void*&)fexldr_ptr_libGL_glProgramEnvParameter4fvARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParameter4fvARB");
  (void*&)fexldr_ptr_libGL_glProgramEnvParameterI4iNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParameterI4iNV");
  (void*&)fexldr_ptr_libGL_glProgramEnvParameterI4ivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParameterI4ivNV");
  (void*&)fexldr_ptr_libGL_glProgramEnvParameterI4uiNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParameterI4uiNV");
  (void*&)fexldr_ptr_libGL_glProgramEnvParameterI4uivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParameterI4uivNV");
  (void*&)fexldr_ptr_libGL_glProgramEnvParameters4fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParameters4fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramEnvParametersI4ivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParametersI4ivNV");
  (void*&)fexldr_ptr_libGL_glProgramEnvParametersI4uivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramEnvParametersI4uivNV");
  (void*&)fexldr_ptr_libGL_glProgramLocalParameter4dARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParameter4dARB");
  (void*&)fexldr_ptr_libGL_glProgramLocalParameter4dvARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParameter4dvARB");
  (void*&)fexldr_ptr_libGL_glProgramLocalParameter4fARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParameter4fARB");
  (void*&)fexldr_ptr_libGL_glProgramLocalParameter4fvARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParameter4fvARB");
  (void*&)fexldr_ptr_libGL_glProgramLocalParameterI4iNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParameterI4iNV");
  (void*&)fexldr_ptr_libGL_glProgramLocalParameterI4ivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParameterI4ivNV");
  (void*&)fexldr_ptr_libGL_glProgramLocalParameterI4uiNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParameterI4uiNV");
  (void*&)fexldr_ptr_libGL_glProgramLocalParameterI4uivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParameterI4uivNV");
  (void*&)fexldr_ptr_libGL_glProgramLocalParameters4fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParameters4fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramLocalParametersI4ivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParametersI4ivNV");
  (void*&)fexldr_ptr_libGL_glProgramLocalParametersI4uivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramLocalParametersI4uivNV");
  (void*&)fexldr_ptr_libGL_glProgramNamedParameter4dNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramNamedParameter4dNV");
  (void*&)fexldr_ptr_libGL_glProgramNamedParameter4dvNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramNamedParameter4dvNV");
  (void*&)fexldr_ptr_libGL_glProgramNamedParameter4fNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramNamedParameter4fNV");
  (void*&)fexldr_ptr_libGL_glProgramNamedParameter4fvNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramNamedParameter4fvNV");
  (void*&)fexldr_ptr_libGL_glProgramParameter4dNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramParameter4dNV");
  (void*&)fexldr_ptr_libGL_glProgramParameter4dvNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramParameter4dvNV");
  (void*&)fexldr_ptr_libGL_glProgramParameter4fNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramParameter4fNV");
  (void*&)fexldr_ptr_libGL_glProgramParameter4fvNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramParameter4fvNV");
  (void*&)fexldr_ptr_libGL_glProgramParameteriARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramParameteriARB");
  (void*&)fexldr_ptr_libGL_glProgramParameteriEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramParameteriEXT");
  (void*&)fexldr_ptr_libGL_glProgramParameteri = dlsym_default(fexldr_ptr_libGL_so, "glProgramParameteri");
  (void*&)fexldr_ptr_libGL_glProgramParameters4dvNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramParameters4dvNV");
  (void*&)fexldr_ptr_libGL_glProgramParameters4fvNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramParameters4fvNV");
  (void*&)fexldr_ptr_libGL_glProgramPathFragmentInputGenNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramPathFragmentInputGenNV");
  (void*&)fexldr_ptr_libGL_glProgramStringARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramStringARB");
  (void*&)fexldr_ptr_libGL_glProgramSubroutineParametersuivNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramSubroutineParametersuivNV");
  (void*&)fexldr_ptr_libGL_glProgramUniform1dEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1dEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform1d = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1d");
  (void*&)fexldr_ptr_libGL_glProgramUniform1dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform1dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1dv");
  (void*&)fexldr_ptr_libGL_glProgramUniform1fEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1fEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform1f = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1f");
  (void*&)fexldr_ptr_libGL_glProgramUniform1fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform1fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1fv");
  (void*&)fexldr_ptr_libGL_glProgramUniform1i64ARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1i64ARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform1i64NV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1i64NV");
  (void*&)fexldr_ptr_libGL_glProgramUniform1i64vARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1i64vARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform1i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1i64vNV");
  (void*&)fexldr_ptr_libGL_glProgramUniform1iEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1iEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform1i = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1i");
  (void*&)fexldr_ptr_libGL_glProgramUniform1ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1ivEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform1iv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1iv");
  (void*&)fexldr_ptr_libGL_glProgramUniform1ui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1ui64ARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform1ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1ui64NV");
  (void*&)fexldr_ptr_libGL_glProgramUniform1ui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1ui64vARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform1ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1ui64vNV");
  (void*&)fexldr_ptr_libGL_glProgramUniform1uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1uiEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform1ui = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1ui");
  (void*&)fexldr_ptr_libGL_glProgramUniform1uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1uivEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform1uiv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform1uiv");
  (void*&)fexldr_ptr_libGL_glProgramUniform2dEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2dEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform2d = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2d");
  (void*&)fexldr_ptr_libGL_glProgramUniform2dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform2dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2dv");
  (void*&)fexldr_ptr_libGL_glProgramUniform2fEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2fEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform2f = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2f");
  (void*&)fexldr_ptr_libGL_glProgramUniform2fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform2fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2fv");
  (void*&)fexldr_ptr_libGL_glProgramUniform2i64ARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2i64ARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform2i64NV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2i64NV");
  (void*&)fexldr_ptr_libGL_glProgramUniform2i64vARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2i64vARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform2i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2i64vNV");
  (void*&)fexldr_ptr_libGL_glProgramUniform2iEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2iEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform2i = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2i");
  (void*&)fexldr_ptr_libGL_glProgramUniform2ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2ivEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform2iv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2iv");
  (void*&)fexldr_ptr_libGL_glProgramUniform2ui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2ui64ARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform2ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2ui64NV");
  (void*&)fexldr_ptr_libGL_glProgramUniform2ui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2ui64vARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform2ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2ui64vNV");
  (void*&)fexldr_ptr_libGL_glProgramUniform2uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2uiEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform2ui = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2ui");
  (void*&)fexldr_ptr_libGL_glProgramUniform2uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2uivEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform2uiv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform2uiv");
  (void*&)fexldr_ptr_libGL_glProgramUniform3dEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3dEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform3d = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3d");
  (void*&)fexldr_ptr_libGL_glProgramUniform3dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform3dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3dv");
  (void*&)fexldr_ptr_libGL_glProgramUniform3fEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3fEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform3f = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3f");
  (void*&)fexldr_ptr_libGL_glProgramUniform3fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform3fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3fv");
  (void*&)fexldr_ptr_libGL_glProgramUniform3i64ARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3i64ARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform3i64NV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3i64NV");
  (void*&)fexldr_ptr_libGL_glProgramUniform3i64vARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3i64vARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform3i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3i64vNV");
  (void*&)fexldr_ptr_libGL_glProgramUniform3iEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3iEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform3i = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3i");
  (void*&)fexldr_ptr_libGL_glProgramUniform3ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3ivEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform3iv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3iv");
  (void*&)fexldr_ptr_libGL_glProgramUniform3ui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3ui64ARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform3ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3ui64NV");
  (void*&)fexldr_ptr_libGL_glProgramUniform3ui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3ui64vARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform3ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3ui64vNV");
  (void*&)fexldr_ptr_libGL_glProgramUniform3uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3uiEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform3ui = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3ui");
  (void*&)fexldr_ptr_libGL_glProgramUniform3uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3uivEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform3uiv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform3uiv");
  (void*&)fexldr_ptr_libGL_glProgramUniform4dEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4dEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform4d = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4d");
  (void*&)fexldr_ptr_libGL_glProgramUniform4dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform4dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4dv");
  (void*&)fexldr_ptr_libGL_glProgramUniform4fEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4fEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform4f = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4f");
  (void*&)fexldr_ptr_libGL_glProgramUniform4fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform4fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4fv");
  (void*&)fexldr_ptr_libGL_glProgramUniform4i64ARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4i64ARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform4i64NV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4i64NV");
  (void*&)fexldr_ptr_libGL_glProgramUniform4i64vARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4i64vARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform4i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4i64vNV");
  (void*&)fexldr_ptr_libGL_glProgramUniform4iEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4iEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform4i = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4i");
  (void*&)fexldr_ptr_libGL_glProgramUniform4ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4ivEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform4iv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4iv");
  (void*&)fexldr_ptr_libGL_glProgramUniform4ui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4ui64ARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform4ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4ui64NV");
  (void*&)fexldr_ptr_libGL_glProgramUniform4ui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4ui64vARB");
  (void*&)fexldr_ptr_libGL_glProgramUniform4ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4ui64vNV");
  (void*&)fexldr_ptr_libGL_glProgramUniform4uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4uiEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform4ui = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4ui");
  (void*&)fexldr_ptr_libGL_glProgramUniform4uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4uivEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniform4uiv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniform4uiv");
  (void*&)fexldr_ptr_libGL_glProgramUniformHandleui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformHandleui64ARB");
  (void*&)fexldr_ptr_libGL_glProgramUniformHandleui64NV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformHandleui64NV");
  (void*&)fexldr_ptr_libGL_glProgramUniformHandleui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformHandleui64vARB");
  (void*&)fexldr_ptr_libGL_glProgramUniformHandleui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformHandleui64vNV");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2dv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2fv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2x3dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2x3dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2x3dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2x3dv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2x3fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2x3fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2x3fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2x3fv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2x4dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2x4dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2x4dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2x4dv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2x4fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2x4fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix2x4fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix2x4fv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3dv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3fv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3x2dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3x2dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3x2dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3x2dv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3x2fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3x2fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3x2fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3x2fv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3x4dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3x4dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3x4dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3x4dv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3x4fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3x4fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix3x4fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix3x4fv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4dv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4fv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4x2dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4x2dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4x2dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4x2dv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4x2fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4x2fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4x2fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4x2fv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4x3dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4x3dvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4x3dv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4x3dv");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4x3fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4x3fvEXT");
  (void*&)fexldr_ptr_libGL_glProgramUniformMatrix4x3fv = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformMatrix4x3fv");
  (void*&)fexldr_ptr_libGL_glProgramUniformui64NV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformui64NV");
  (void*&)fexldr_ptr_libGL_glProgramUniformui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramUniformui64vNV");
  (void*&)fexldr_ptr_libGL_glProgramVertexLimitNV = dlsym_default(fexldr_ptr_libGL_so, "glProgramVertexLimitNV");
  (void*&)fexldr_ptr_libGL_glProvokingVertexEXT = dlsym_default(fexldr_ptr_libGL_so, "glProvokingVertexEXT");
  (void*&)fexldr_ptr_libGL_glProvokingVertex = dlsym_default(fexldr_ptr_libGL_so, "glProvokingVertex");
  (void*&)fexldr_ptr_libGL_glPushAttrib = dlsym_default(fexldr_ptr_libGL_so, "glPushAttrib");
  (void*&)fexldr_ptr_libGL_glPushClientAttribDefaultEXT = dlsym_default(fexldr_ptr_libGL_so, "glPushClientAttribDefaultEXT");
  (void*&)fexldr_ptr_libGL_glPushClientAttrib = dlsym_default(fexldr_ptr_libGL_so, "glPushClientAttrib");
  (void*&)fexldr_ptr_libGL_glPushDebugGroup = dlsym_default(fexldr_ptr_libGL_so, "glPushDebugGroup");
  (void*&)fexldr_ptr_libGL_glPushGroupMarkerEXT = dlsym_default(fexldr_ptr_libGL_so, "glPushGroupMarkerEXT");
  (void*&)fexldr_ptr_libGL_glPushMatrix = dlsym_default(fexldr_ptr_libGL_so, "glPushMatrix");
  (void*&)fexldr_ptr_libGL_glPushName = dlsym_default(fexldr_ptr_libGL_so, "glPushName");
  (void*&)fexldr_ptr_libGL_glQueryCounter = dlsym_default(fexldr_ptr_libGL_so, "glQueryCounter");
  (void*&)fexldr_ptr_libGL_glQueryObjectParameteruiAMD = dlsym_default(fexldr_ptr_libGL_so, "glQueryObjectParameteruiAMD");
  (void*&)fexldr_ptr_libGL_glQueryResourceTagNV = dlsym_default(fexldr_ptr_libGL_so, "glQueryResourceTagNV");
  (void*&)fexldr_ptr_libGL_glRasterPos2d = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos2d");
  (void*&)fexldr_ptr_libGL_glRasterPos2dv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos2dv");
  (void*&)fexldr_ptr_libGL_glRasterPos2f = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos2f");
  (void*&)fexldr_ptr_libGL_glRasterPos2fv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos2fv");
  (void*&)fexldr_ptr_libGL_glRasterPos2i = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos2i");
  (void*&)fexldr_ptr_libGL_glRasterPos2iv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos2iv");
  (void*&)fexldr_ptr_libGL_glRasterPos2s = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos2s");
  (void*&)fexldr_ptr_libGL_glRasterPos2sv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos2sv");
  (void*&)fexldr_ptr_libGL_glRasterPos2xOES = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos2xOES");
  (void*&)fexldr_ptr_libGL_glRasterPos2xvOES = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos2xvOES");
  (void*&)fexldr_ptr_libGL_glRasterPos3d = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos3d");
  (void*&)fexldr_ptr_libGL_glRasterPos3dv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos3dv");
  (void*&)fexldr_ptr_libGL_glRasterPos3f = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos3f");
  (void*&)fexldr_ptr_libGL_glRasterPos3fv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos3fv");
  (void*&)fexldr_ptr_libGL_glRasterPos3i = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos3i");
  (void*&)fexldr_ptr_libGL_glRasterPos3iv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos3iv");
  (void*&)fexldr_ptr_libGL_glRasterPos3s = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos3s");
  (void*&)fexldr_ptr_libGL_glRasterPos3sv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos3sv");
  (void*&)fexldr_ptr_libGL_glRasterPos3xOES = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos3xOES");
  (void*&)fexldr_ptr_libGL_glRasterPos3xvOES = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos3xvOES");
  (void*&)fexldr_ptr_libGL_glRasterPos4d = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos4d");
  (void*&)fexldr_ptr_libGL_glRasterPos4dv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos4dv");
  (void*&)fexldr_ptr_libGL_glRasterPos4f = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos4f");
  (void*&)fexldr_ptr_libGL_glRasterPos4fv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos4fv");
  (void*&)fexldr_ptr_libGL_glRasterPos4i = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos4i");
  (void*&)fexldr_ptr_libGL_glRasterPos4iv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos4iv");
  (void*&)fexldr_ptr_libGL_glRasterPos4s = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos4s");
  (void*&)fexldr_ptr_libGL_glRasterPos4sv = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos4sv");
  (void*&)fexldr_ptr_libGL_glRasterPos4xOES = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos4xOES");
  (void*&)fexldr_ptr_libGL_glRasterPos4xvOES = dlsym_default(fexldr_ptr_libGL_so, "glRasterPos4xvOES");
  (void*&)fexldr_ptr_libGL_glRasterSamplesEXT = dlsym_default(fexldr_ptr_libGL_so, "glRasterSamplesEXT");
  (void*&)fexldr_ptr_libGL_glReadBuffer = dlsym_default(fexldr_ptr_libGL_so, "glReadBuffer");
  (void*&)fexldr_ptr_libGL_glReadInstrumentsSGIX = dlsym_default(fexldr_ptr_libGL_so, "glReadInstrumentsSGIX");
  (void*&)fexldr_ptr_libGL_glReadnPixelsARB = dlsym_default(fexldr_ptr_libGL_so, "glReadnPixelsARB");
  (void*&)fexldr_ptr_libGL_glReadnPixels = dlsym_default(fexldr_ptr_libGL_so, "glReadnPixels");
  (void*&)fexldr_ptr_libGL_glReadPixels = dlsym_default(fexldr_ptr_libGL_so, "glReadPixels");
  (void*&)fexldr_ptr_libGL_glRectd = dlsym_default(fexldr_ptr_libGL_so, "glRectd");
  (void*&)fexldr_ptr_libGL_glRectdv = dlsym_default(fexldr_ptr_libGL_so, "glRectdv");
  (void*&)fexldr_ptr_libGL_glRectf = dlsym_default(fexldr_ptr_libGL_so, "glRectf");
  (void*&)fexldr_ptr_libGL_glRectfv = dlsym_default(fexldr_ptr_libGL_so, "glRectfv");
  (void*&)fexldr_ptr_libGL_glRecti = dlsym_default(fexldr_ptr_libGL_so, "glRecti");
  (void*&)fexldr_ptr_libGL_glRectiv = dlsym_default(fexldr_ptr_libGL_so, "glRectiv");
  (void*&)fexldr_ptr_libGL_glRects = dlsym_default(fexldr_ptr_libGL_so, "glRects");
  (void*&)fexldr_ptr_libGL_glRectsv = dlsym_default(fexldr_ptr_libGL_so, "glRectsv");
  (void*&)fexldr_ptr_libGL_glRectxOES = dlsym_default(fexldr_ptr_libGL_so, "glRectxOES");
  (void*&)fexldr_ptr_libGL_glRectxvOES = dlsym_default(fexldr_ptr_libGL_so, "glRectxvOES");
  (void*&)fexldr_ptr_libGL_glReferencePlaneSGIX = dlsym_default(fexldr_ptr_libGL_so, "glReferencePlaneSGIX");
  (void*&)fexldr_ptr_libGL_glReleaseShaderCompiler = dlsym_default(fexldr_ptr_libGL_so, "glReleaseShaderCompiler");
  (void*&)fexldr_ptr_libGL_glRenderbufferStorageEXT = dlsym_default(fexldr_ptr_libGL_so, "glRenderbufferStorageEXT");
  (void*&)fexldr_ptr_libGL_glRenderbufferStorage = dlsym_default(fexldr_ptr_libGL_so, "glRenderbufferStorage");
  (void*&)fexldr_ptr_libGL_glRenderbufferStorageMultisampleAdvancedAMD = dlsym_default(fexldr_ptr_libGL_so, "glRenderbufferStorageMultisampleAdvancedAMD");
  (void*&)fexldr_ptr_libGL_glRenderbufferStorageMultisampleCoverageNV = dlsym_default(fexldr_ptr_libGL_so, "glRenderbufferStorageMultisampleCoverageNV");
  (void*&)fexldr_ptr_libGL_glRenderbufferStorageMultisampleEXT = dlsym_default(fexldr_ptr_libGL_so, "glRenderbufferStorageMultisampleEXT");
  (void*&)fexldr_ptr_libGL_glRenderbufferStorageMultisample = dlsym_default(fexldr_ptr_libGL_so, "glRenderbufferStorageMultisample");
  (void*&)fexldr_ptr_libGL_glRenderGpuMaskNV = dlsym_default(fexldr_ptr_libGL_so, "glRenderGpuMaskNV");
  (void*&)fexldr_ptr_libGL_glReplacementCodePointerSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodePointerSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeubSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeubSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeubvSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeubvSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiColor3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiColor3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiColor3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiColor3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiColor4fNormal3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiColor4fNormal3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiColor4fNormal3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiColor4fNormal3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiColor4ubVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiColor4ubVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiColor4ubVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiColor4ubVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiNormal3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiNormal3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiNormal3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiNormal3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiTexCoord2fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiTexCoord2fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiTexCoord2fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuiVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuiVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeuivSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeuivSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeusSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeusSUN");
  (void*&)fexldr_ptr_libGL_glReplacementCodeusvSUN = dlsym_default(fexldr_ptr_libGL_so, "glReplacementCodeusvSUN");
  (void*&)fexldr_ptr_libGL_glRequestResidentProgramsNV = dlsym_default(fexldr_ptr_libGL_so, "glRequestResidentProgramsNV");
  (void*&)fexldr_ptr_libGL_glResetHistogramEXT = dlsym_default(fexldr_ptr_libGL_so, "glResetHistogramEXT");
  (void*&)fexldr_ptr_libGL_glResetHistogram = dlsym_default(fexldr_ptr_libGL_so, "glResetHistogram");
  (void*&)fexldr_ptr_libGL_glResetMemoryObjectParameterNV = dlsym_default(fexldr_ptr_libGL_so, "glResetMemoryObjectParameterNV");
  (void*&)fexldr_ptr_libGL_glResetMinmaxEXT = dlsym_default(fexldr_ptr_libGL_so, "glResetMinmaxEXT");
  (void*&)fexldr_ptr_libGL_glResetMinmax = dlsym_default(fexldr_ptr_libGL_so, "glResetMinmax");
  (void*&)fexldr_ptr_libGL_glResizeBuffersMESA = dlsym_default(fexldr_ptr_libGL_so, "glResizeBuffersMESA");
  (void*&)fexldr_ptr_libGL_glResolveDepthValuesNV = dlsym_default(fexldr_ptr_libGL_so, "glResolveDepthValuesNV");
  (void*&)fexldr_ptr_libGL_glResumeTransformFeedback = dlsym_default(fexldr_ptr_libGL_so, "glResumeTransformFeedback");
  (void*&)fexldr_ptr_libGL_glResumeTransformFeedbackNV = dlsym_default(fexldr_ptr_libGL_so, "glResumeTransformFeedbackNV");
  (void*&)fexldr_ptr_libGL_glRotated = dlsym_default(fexldr_ptr_libGL_so, "glRotated");
  (void*&)fexldr_ptr_libGL_glRotatef = dlsym_default(fexldr_ptr_libGL_so, "glRotatef");
  (void*&)fexldr_ptr_libGL_glRotatexOES = dlsym_default(fexldr_ptr_libGL_so, "glRotatexOES");
  (void*&)fexldr_ptr_libGL_glSampleCoverageARB = dlsym_default(fexldr_ptr_libGL_so, "glSampleCoverageARB");
  (void*&)fexldr_ptr_libGL_glSampleCoverage = dlsym_default(fexldr_ptr_libGL_so, "glSampleCoverage");
  (void*&)fexldr_ptr_libGL_glSampleMapATI = dlsym_default(fexldr_ptr_libGL_so, "glSampleMapATI");
  (void*&)fexldr_ptr_libGL_glSampleMaskEXT = dlsym_default(fexldr_ptr_libGL_so, "glSampleMaskEXT");
  (void*&)fexldr_ptr_libGL_glSampleMaski = dlsym_default(fexldr_ptr_libGL_so, "glSampleMaski");
  (void*&)fexldr_ptr_libGL_glSampleMaskIndexedNV = dlsym_default(fexldr_ptr_libGL_so, "glSampleMaskIndexedNV");
  (void*&)fexldr_ptr_libGL_glSampleMaskSGIS = dlsym_default(fexldr_ptr_libGL_so, "glSampleMaskSGIS");
  (void*&)fexldr_ptr_libGL_glSamplePatternEXT = dlsym_default(fexldr_ptr_libGL_so, "glSamplePatternEXT");
  (void*&)fexldr_ptr_libGL_glSamplePatternSGIS = dlsym_default(fexldr_ptr_libGL_so, "glSamplePatternSGIS");
  (void*&)fexldr_ptr_libGL_glSamplerParameterf = dlsym_default(fexldr_ptr_libGL_so, "glSamplerParameterf");
  (void*&)fexldr_ptr_libGL_glSamplerParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glSamplerParameterfv");
  (void*&)fexldr_ptr_libGL_glSamplerParameteri = dlsym_default(fexldr_ptr_libGL_so, "glSamplerParameteri");
  (void*&)fexldr_ptr_libGL_glSamplerParameterIiv = dlsym_default(fexldr_ptr_libGL_so, "glSamplerParameterIiv");
  (void*&)fexldr_ptr_libGL_glSamplerParameterIuiv = dlsym_default(fexldr_ptr_libGL_so, "glSamplerParameterIuiv");
  (void*&)fexldr_ptr_libGL_glSamplerParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glSamplerParameteriv");
  (void*&)fexldr_ptr_libGL_glScaled = dlsym_default(fexldr_ptr_libGL_so, "glScaled");
  (void*&)fexldr_ptr_libGL_glScalef = dlsym_default(fexldr_ptr_libGL_so, "glScalef");
  (void*&)fexldr_ptr_libGL_glScalexOES = dlsym_default(fexldr_ptr_libGL_so, "glScalexOES");
  (void*&)fexldr_ptr_libGL_glScissorArrayv = dlsym_default(fexldr_ptr_libGL_so, "glScissorArrayv");
  (void*&)fexldr_ptr_libGL_glScissorExclusiveArrayvNV = dlsym_default(fexldr_ptr_libGL_so, "glScissorExclusiveArrayvNV");
  (void*&)fexldr_ptr_libGL_glScissorExclusiveNV = dlsym_default(fexldr_ptr_libGL_so, "glScissorExclusiveNV");
  (void*&)fexldr_ptr_libGL_glScissor = dlsym_default(fexldr_ptr_libGL_so, "glScissor");
  (void*&)fexldr_ptr_libGL_glScissorIndexed = dlsym_default(fexldr_ptr_libGL_so, "glScissorIndexed");
  (void*&)fexldr_ptr_libGL_glScissorIndexedv = dlsym_default(fexldr_ptr_libGL_so, "glScissorIndexedv");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3bEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3bEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3bvEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3bvEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3dEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3dEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3dvEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3fEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3fEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3fvEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3hNV = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3hNV");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3hvNV = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3hvNV");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3iEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3iEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3ivEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3sEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3sEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3svEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3svEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3ubEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3ubEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3ubvEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3ubvEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3uiEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3uivEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3usEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3usEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColor3usvEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColor3usvEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColorFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColorFormatNV");
  (void*&)fexldr_ptr_libGL_glSecondaryColorPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColorPointerEXT");
  (void*&)fexldr_ptr_libGL_glSecondaryColorPointerListIBM = dlsym_default(fexldr_ptr_libGL_so, "glSecondaryColorPointerListIBM");
  (void*&)fexldr_ptr_libGL_glSelectBuffer = dlsym_default(fexldr_ptr_libGL_so, "glSelectBuffer");
  (void*&)fexldr_ptr_libGL_glSelectPerfMonitorCountersAMD = dlsym_default(fexldr_ptr_libGL_so, "glSelectPerfMonitorCountersAMD");
  (void*&)fexldr_ptr_libGL_glSemaphoreParameterui64vEXT = dlsym_default(fexldr_ptr_libGL_so, "glSemaphoreParameterui64vEXT");
  (void*&)fexldr_ptr_libGL_glSeparableFilter2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glSeparableFilter2DEXT");
  (void*&)fexldr_ptr_libGL_glSeparableFilter2D = dlsym_default(fexldr_ptr_libGL_so, "glSeparableFilter2D");
  (void*&)fexldr_ptr_libGL_glSetFenceAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glSetFenceAPPLE");
  (void*&)fexldr_ptr_libGL_glSetFenceNV = dlsym_default(fexldr_ptr_libGL_so, "glSetFenceNV");
  (void*&)fexldr_ptr_libGL_glSetFragmentShaderConstantATI = dlsym_default(fexldr_ptr_libGL_so, "glSetFragmentShaderConstantATI");
  (void*&)fexldr_ptr_libGL_glSetInvariantEXT = dlsym_default(fexldr_ptr_libGL_so, "glSetInvariantEXT");
  (void*&)fexldr_ptr_libGL_glSetLocalConstantEXT = dlsym_default(fexldr_ptr_libGL_so, "glSetLocalConstantEXT");
  (void*&)fexldr_ptr_libGL_glSetMultisamplefvAMD = dlsym_default(fexldr_ptr_libGL_so, "glSetMultisamplefvAMD");
  (void*&)fexldr_ptr_libGL_glShadeModel = dlsym_default(fexldr_ptr_libGL_so, "glShadeModel");
  (void*&)fexldr_ptr_libGL_glShaderBinary = dlsym_default(fexldr_ptr_libGL_so, "glShaderBinary");
  (void*&)fexldr_ptr_libGL_glShaderOp1EXT = dlsym_default(fexldr_ptr_libGL_so, "glShaderOp1EXT");
  (void*&)fexldr_ptr_libGL_glShaderOp2EXT = dlsym_default(fexldr_ptr_libGL_so, "glShaderOp2EXT");
  (void*&)fexldr_ptr_libGL_glShaderOp3EXT = dlsym_default(fexldr_ptr_libGL_so, "glShaderOp3EXT");
  (void*&)fexldr_ptr_libGL_glShaderSource = dlsym_default(fexldr_ptr_libGL_so, "glShaderSource");
  (void*&)fexldr_ptr_libGL_glShaderSourceARB = dlsym_default(fexldr_ptr_libGL_so, "glShaderSourceARB");
  (void*&)fexldr_ptr_libGL_glShaderStorageBlockBinding = dlsym_default(fexldr_ptr_libGL_so, "glShaderStorageBlockBinding");
  (void*&)fexldr_ptr_libGL_glShadingRateImageBarrierNV = dlsym_default(fexldr_ptr_libGL_so, "glShadingRateImageBarrierNV");
  (void*&)fexldr_ptr_libGL_glShadingRateImagePaletteNV = dlsym_default(fexldr_ptr_libGL_so, "glShadingRateImagePaletteNV");
  (void*&)fexldr_ptr_libGL_glShadingRateSampleOrderCustomNV = dlsym_default(fexldr_ptr_libGL_so, "glShadingRateSampleOrderCustomNV");
  (void*&)fexldr_ptr_libGL_glShadingRateSampleOrderNV = dlsym_default(fexldr_ptr_libGL_so, "glShadingRateSampleOrderNV");
  (void*&)fexldr_ptr_libGL_glSharpenTexFuncSGIS = dlsym_default(fexldr_ptr_libGL_so, "glSharpenTexFuncSGIS");
  (void*&)fexldr_ptr_libGL_glSignalSemaphoreEXT = dlsym_default(fexldr_ptr_libGL_so, "glSignalSemaphoreEXT");
  (void*&)fexldr_ptr_libGL_glSignalSemaphoreui64NVX = dlsym_default(fexldr_ptr_libGL_so, "glSignalSemaphoreui64NVX");
  (void*&)fexldr_ptr_libGL_glSignalVkFenceNV = dlsym_default(fexldr_ptr_libGL_so, "glSignalVkFenceNV");
  (void*&)fexldr_ptr_libGL_glSignalVkSemaphoreNV = dlsym_default(fexldr_ptr_libGL_so, "glSignalVkSemaphoreNV");
  (void*&)fexldr_ptr_libGL_glSpecializeShaderARB = dlsym_default(fexldr_ptr_libGL_so, "glSpecializeShaderARB");
  (void*&)fexldr_ptr_libGL_glSpecializeShader = dlsym_default(fexldr_ptr_libGL_so, "glSpecializeShader");
  (void*&)fexldr_ptr_libGL_glSpriteParameterfSGIX = dlsym_default(fexldr_ptr_libGL_so, "glSpriteParameterfSGIX");
  (void*&)fexldr_ptr_libGL_glSpriteParameterfvSGIX = dlsym_default(fexldr_ptr_libGL_so, "glSpriteParameterfvSGIX");
  (void*&)fexldr_ptr_libGL_glSpriteParameteriSGIX = dlsym_default(fexldr_ptr_libGL_so, "glSpriteParameteriSGIX");
  (void*&)fexldr_ptr_libGL_glSpriteParameterivSGIX = dlsym_default(fexldr_ptr_libGL_so, "glSpriteParameterivSGIX");
  (void*&)fexldr_ptr_libGL_glStartInstrumentsSGIX = dlsym_default(fexldr_ptr_libGL_so, "glStartInstrumentsSGIX");
  (void*&)fexldr_ptr_libGL_glStateCaptureNV = dlsym_default(fexldr_ptr_libGL_so, "glStateCaptureNV");
  (void*&)fexldr_ptr_libGL_glStencilClearTagEXT = dlsym_default(fexldr_ptr_libGL_so, "glStencilClearTagEXT");
  (void*&)fexldr_ptr_libGL_glStencilFillPathInstancedNV = dlsym_default(fexldr_ptr_libGL_so, "glStencilFillPathInstancedNV");
  (void*&)fexldr_ptr_libGL_glStencilFillPathNV = dlsym_default(fexldr_ptr_libGL_so, "glStencilFillPathNV");
  (void*&)fexldr_ptr_libGL_glStencilFunc = dlsym_default(fexldr_ptr_libGL_so, "glStencilFunc");
  (void*&)fexldr_ptr_libGL_glStencilFuncSeparateATI = dlsym_default(fexldr_ptr_libGL_so, "glStencilFuncSeparateATI");
  (void*&)fexldr_ptr_libGL_glStencilFuncSeparate = dlsym_default(fexldr_ptr_libGL_so, "glStencilFuncSeparate");
  (void*&)fexldr_ptr_libGL_glStencilMask = dlsym_default(fexldr_ptr_libGL_so, "glStencilMask");
  (void*&)fexldr_ptr_libGL_glStencilMaskSeparate = dlsym_default(fexldr_ptr_libGL_so, "glStencilMaskSeparate");
  (void*&)fexldr_ptr_libGL_glStencilOp = dlsym_default(fexldr_ptr_libGL_so, "glStencilOp");
  (void*&)fexldr_ptr_libGL_glStencilOpSeparateATI = dlsym_default(fexldr_ptr_libGL_so, "glStencilOpSeparateATI");
  (void*&)fexldr_ptr_libGL_glStencilOpSeparate = dlsym_default(fexldr_ptr_libGL_so, "glStencilOpSeparate");
  (void*&)fexldr_ptr_libGL_glStencilOpValueAMD = dlsym_default(fexldr_ptr_libGL_so, "glStencilOpValueAMD");
  (void*&)fexldr_ptr_libGL_glStencilStrokePathInstancedNV = dlsym_default(fexldr_ptr_libGL_so, "glStencilStrokePathInstancedNV");
  (void*&)fexldr_ptr_libGL_glStencilStrokePathNV = dlsym_default(fexldr_ptr_libGL_so, "glStencilStrokePathNV");
  (void*&)fexldr_ptr_libGL_glStencilThenCoverFillPathInstancedNV = dlsym_default(fexldr_ptr_libGL_so, "glStencilThenCoverFillPathInstancedNV");
  (void*&)fexldr_ptr_libGL_glStencilThenCoverFillPathNV = dlsym_default(fexldr_ptr_libGL_so, "glStencilThenCoverFillPathNV");
  (void*&)fexldr_ptr_libGL_glStencilThenCoverStrokePathInstancedNV = dlsym_default(fexldr_ptr_libGL_so, "glStencilThenCoverStrokePathInstancedNV");
  (void*&)fexldr_ptr_libGL_glStencilThenCoverStrokePathNV = dlsym_default(fexldr_ptr_libGL_so, "glStencilThenCoverStrokePathNV");
  (void*&)fexldr_ptr_libGL_glStopInstrumentsSGIX = dlsym_default(fexldr_ptr_libGL_so, "glStopInstrumentsSGIX");
  (void*&)fexldr_ptr_libGL_glStringMarkerGREMEDY = dlsym_default(fexldr_ptr_libGL_so, "glStringMarkerGREMEDY");
  (void*&)fexldr_ptr_libGL_glSubpixelPrecisionBiasNV = dlsym_default(fexldr_ptr_libGL_so, "glSubpixelPrecisionBiasNV");
  (void*&)fexldr_ptr_libGL_glSwizzleEXT = dlsym_default(fexldr_ptr_libGL_so, "glSwizzleEXT");
  (void*&)fexldr_ptr_libGL_glSyncTextureINTEL = dlsym_default(fexldr_ptr_libGL_so, "glSyncTextureINTEL");
  (void*&)fexldr_ptr_libGL_glTagSampleBufferSGIX = dlsym_default(fexldr_ptr_libGL_so, "glTagSampleBufferSGIX");
  (void*&)fexldr_ptr_libGL_glTangent3bEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangent3bEXT");
  (void*&)fexldr_ptr_libGL_glTangent3bvEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangent3bvEXT");
  (void*&)fexldr_ptr_libGL_glTangent3dEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangent3dEXT");
  (void*&)fexldr_ptr_libGL_glTangent3dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangent3dvEXT");
  (void*&)fexldr_ptr_libGL_glTangent3fEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangent3fEXT");
  (void*&)fexldr_ptr_libGL_glTangent3fvEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangent3fvEXT");
  (void*&)fexldr_ptr_libGL_glTangent3iEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangent3iEXT");
  (void*&)fexldr_ptr_libGL_glTangent3ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangent3ivEXT");
  (void*&)fexldr_ptr_libGL_glTangent3sEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangent3sEXT");
  (void*&)fexldr_ptr_libGL_glTangent3svEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangent3svEXT");
  (void*&)fexldr_ptr_libGL_glTangentPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glTangentPointerEXT");
  (void*&)fexldr_ptr_libGL_glTbufferMask3DFX = dlsym_default(fexldr_ptr_libGL_so, "glTbufferMask3DFX");
  (void*&)fexldr_ptr_libGL_glTessellationFactorAMD = dlsym_default(fexldr_ptr_libGL_so, "glTessellationFactorAMD");
  (void*&)fexldr_ptr_libGL_glTessellationModeAMD = dlsym_default(fexldr_ptr_libGL_so, "glTessellationModeAMD");
  (void*&)fexldr_ptr_libGL_glTexAttachMemoryNV = dlsym_default(fexldr_ptr_libGL_so, "glTexAttachMemoryNV");
  (void*&)fexldr_ptr_libGL_glTexBufferARB = dlsym_default(fexldr_ptr_libGL_so, "glTexBufferARB");
  (void*&)fexldr_ptr_libGL_glTexBufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexBufferEXT");
  (void*&)fexldr_ptr_libGL_glTexBuffer = dlsym_default(fexldr_ptr_libGL_so, "glTexBuffer");
  (void*&)fexldr_ptr_libGL_glTexBufferRange = dlsym_default(fexldr_ptr_libGL_so, "glTexBufferRange");
  (void*&)fexldr_ptr_libGL_glTexBumpParameterfvATI = dlsym_default(fexldr_ptr_libGL_so, "glTexBumpParameterfvATI");
  (void*&)fexldr_ptr_libGL_glTexBumpParameterivATI = dlsym_default(fexldr_ptr_libGL_so, "glTexBumpParameterivATI");
  (void*&)fexldr_ptr_libGL_glTexCoord1bOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1bOES");
  (void*&)fexldr_ptr_libGL_glTexCoord1bvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1bvOES");
  (void*&)fexldr_ptr_libGL_glTexCoord1d = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1d");
  (void*&)fexldr_ptr_libGL_glTexCoord1dv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1dv");
  (void*&)fexldr_ptr_libGL_glTexCoord1f = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1f");
  (void*&)fexldr_ptr_libGL_glTexCoord1fv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1fv");
  (void*&)fexldr_ptr_libGL_glTexCoord1hNV = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1hNV");
  (void*&)fexldr_ptr_libGL_glTexCoord1hvNV = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1hvNV");
  (void*&)fexldr_ptr_libGL_glTexCoord1i = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1i");
  (void*&)fexldr_ptr_libGL_glTexCoord1iv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1iv");
  (void*&)fexldr_ptr_libGL_glTexCoord1s = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1s");
  (void*&)fexldr_ptr_libGL_glTexCoord1sv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1sv");
  (void*&)fexldr_ptr_libGL_glTexCoord1xOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1xOES");
  (void*&)fexldr_ptr_libGL_glTexCoord1xvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord1xvOES");
  (void*&)fexldr_ptr_libGL_glTexCoord2bOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2bOES");
  (void*&)fexldr_ptr_libGL_glTexCoord2bvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2bvOES");
  (void*&)fexldr_ptr_libGL_glTexCoord2d = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2d");
  (void*&)fexldr_ptr_libGL_glTexCoord2dv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2dv");
  (void*&)fexldr_ptr_libGL_glTexCoord2fColor3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fColor3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord2fColor3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fColor3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord2fColor4fNormal3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fColor4fNormal3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord2fColor4fNormal3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fColor4fNormal3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord2fColor4ubVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fColor4ubVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord2fColor4ubVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fColor4ubVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord2f = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2f");
  (void*&)fexldr_ptr_libGL_glTexCoord2fNormal3fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fNormal3fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord2fNormal3fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fNormal3fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord2fv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fv");
  (void*&)fexldr_ptr_libGL_glTexCoord2fVertex3fSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fVertex3fSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord2fVertex3fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2fVertex3fvSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord2hNV = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2hNV");
  (void*&)fexldr_ptr_libGL_glTexCoord2hvNV = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2hvNV");
  (void*&)fexldr_ptr_libGL_glTexCoord2i = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2i");
  (void*&)fexldr_ptr_libGL_glTexCoord2iv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2iv");
  (void*&)fexldr_ptr_libGL_glTexCoord2s = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2s");
  (void*&)fexldr_ptr_libGL_glTexCoord2sv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2sv");
  (void*&)fexldr_ptr_libGL_glTexCoord2xOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2xOES");
  (void*&)fexldr_ptr_libGL_glTexCoord2xvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord2xvOES");
  (void*&)fexldr_ptr_libGL_glTexCoord3bOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3bOES");
  (void*&)fexldr_ptr_libGL_glTexCoord3bvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3bvOES");
  (void*&)fexldr_ptr_libGL_glTexCoord3d = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3d");
  (void*&)fexldr_ptr_libGL_glTexCoord3dv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3dv");
  (void*&)fexldr_ptr_libGL_glTexCoord3f = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3f");
  (void*&)fexldr_ptr_libGL_glTexCoord3fv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3fv");
  (void*&)fexldr_ptr_libGL_glTexCoord3hNV = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3hNV");
  (void*&)fexldr_ptr_libGL_glTexCoord3hvNV = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3hvNV");
  (void*&)fexldr_ptr_libGL_glTexCoord3i = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3i");
  (void*&)fexldr_ptr_libGL_glTexCoord3iv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3iv");
  (void*&)fexldr_ptr_libGL_glTexCoord3s = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3s");
  (void*&)fexldr_ptr_libGL_glTexCoord3sv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3sv");
  (void*&)fexldr_ptr_libGL_glTexCoord3xOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3xOES");
  (void*&)fexldr_ptr_libGL_glTexCoord3xvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord3xvOES");
  (void*&)fexldr_ptr_libGL_glTexCoord4bOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4bOES");
  (void*&)fexldr_ptr_libGL_glTexCoord4bvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4bvOES");
  (void*&)fexldr_ptr_libGL_glTexCoord4d = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4d");
  (void*&)fexldr_ptr_libGL_glTexCoord4dv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4dv");
  (void*&)fexldr_ptr_libGL_glTexCoord4fColor4fNormal3fVertex4fSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4fColor4fNormal3fVertex4fSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord4fColor4fNormal3fVertex4fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4fColor4fNormal3fVertex4fvSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord4f = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4f");
  (void*&)fexldr_ptr_libGL_glTexCoord4fv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4fv");
  (void*&)fexldr_ptr_libGL_glTexCoord4fVertex4fSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4fVertex4fSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord4fVertex4fvSUN = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4fVertex4fvSUN");
  (void*&)fexldr_ptr_libGL_glTexCoord4hNV = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4hNV");
  (void*&)fexldr_ptr_libGL_glTexCoord4hvNV = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4hvNV");
  (void*&)fexldr_ptr_libGL_glTexCoord4i = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4i");
  (void*&)fexldr_ptr_libGL_glTexCoord4iv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4iv");
  (void*&)fexldr_ptr_libGL_glTexCoord4s = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4s");
  (void*&)fexldr_ptr_libGL_glTexCoord4sv = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4sv");
  (void*&)fexldr_ptr_libGL_glTexCoord4xOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4xOES");
  (void*&)fexldr_ptr_libGL_glTexCoord4xvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexCoord4xvOES");
  (void*&)fexldr_ptr_libGL_glTexCoordFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordFormatNV");
  (void*&)fexldr_ptr_libGL_glTexCoordPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordPointerEXT");
  (void*&)fexldr_ptr_libGL_glTexCoordPointer = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordPointer");
  (void*&)fexldr_ptr_libGL_glTexCoordPointerListIBM = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordPointerListIBM");
  (void*&)fexldr_ptr_libGL_glTexCoordPointervINTEL = dlsym_default(fexldr_ptr_libGL_so, "glTexCoordPointervINTEL");
  (void*&)fexldr_ptr_libGL_glTexEnvf = dlsym_default(fexldr_ptr_libGL_so, "glTexEnvf");
  (void*&)fexldr_ptr_libGL_glTexEnvfv = dlsym_default(fexldr_ptr_libGL_so, "glTexEnvfv");
  (void*&)fexldr_ptr_libGL_glTexEnvi = dlsym_default(fexldr_ptr_libGL_so, "glTexEnvi");
  (void*&)fexldr_ptr_libGL_glTexEnviv = dlsym_default(fexldr_ptr_libGL_so, "glTexEnviv");
  (void*&)fexldr_ptr_libGL_glTexEnvxOES = dlsym_default(fexldr_ptr_libGL_so, "glTexEnvxOES");
  (void*&)fexldr_ptr_libGL_glTexEnvxvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexEnvxvOES");
  (void*&)fexldr_ptr_libGL_glTexFilterFuncSGIS = dlsym_default(fexldr_ptr_libGL_so, "glTexFilterFuncSGIS");
  (void*&)fexldr_ptr_libGL_glTexGend = dlsym_default(fexldr_ptr_libGL_so, "glTexGend");
  (void*&)fexldr_ptr_libGL_glTexGendv = dlsym_default(fexldr_ptr_libGL_so, "glTexGendv");
  (void*&)fexldr_ptr_libGL_glTexGenf = dlsym_default(fexldr_ptr_libGL_so, "glTexGenf");
  (void*&)fexldr_ptr_libGL_glTexGenfv = dlsym_default(fexldr_ptr_libGL_so, "glTexGenfv");
  (void*&)fexldr_ptr_libGL_glTexGeni = dlsym_default(fexldr_ptr_libGL_so, "glTexGeni");
  (void*&)fexldr_ptr_libGL_glTexGeniv = dlsym_default(fexldr_ptr_libGL_so, "glTexGeniv");
  (void*&)fexldr_ptr_libGL_glTexGenxOES = dlsym_default(fexldr_ptr_libGL_so, "glTexGenxOES");
  (void*&)fexldr_ptr_libGL_glTexGenxvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexGenxvOES");
  (void*&)fexldr_ptr_libGL_glTexImage1D = dlsym_default(fexldr_ptr_libGL_so, "glTexImage1D");
  (void*&)fexldr_ptr_libGL_glTexImage2D = dlsym_default(fexldr_ptr_libGL_so, "glTexImage2D");
  (void*&)fexldr_ptr_libGL_glTexImage2DMultisampleCoverageNV = dlsym_default(fexldr_ptr_libGL_so, "glTexImage2DMultisampleCoverageNV");
  (void*&)fexldr_ptr_libGL_glTexImage2DMultisample = dlsym_default(fexldr_ptr_libGL_so, "glTexImage2DMultisample");
  (void*&)fexldr_ptr_libGL_glTexImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexImage3DEXT");
  (void*&)fexldr_ptr_libGL_glTexImage3D = dlsym_default(fexldr_ptr_libGL_so, "glTexImage3D");
  (void*&)fexldr_ptr_libGL_glTexImage3DMultisampleCoverageNV = dlsym_default(fexldr_ptr_libGL_so, "glTexImage3DMultisampleCoverageNV");
  (void*&)fexldr_ptr_libGL_glTexImage3DMultisample = dlsym_default(fexldr_ptr_libGL_so, "glTexImage3DMultisample");
  (void*&)fexldr_ptr_libGL_glTexImage4DSGIS = dlsym_default(fexldr_ptr_libGL_so, "glTexImage4DSGIS");
  (void*&)fexldr_ptr_libGL_glTexPageCommitmentARB = dlsym_default(fexldr_ptr_libGL_so, "glTexPageCommitmentARB");
  (void*&)fexldr_ptr_libGL_glTexParameterf = dlsym_default(fexldr_ptr_libGL_so, "glTexParameterf");
  (void*&)fexldr_ptr_libGL_glTexParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glTexParameterfv");
  (void*&)fexldr_ptr_libGL_glTexParameteri = dlsym_default(fexldr_ptr_libGL_so, "glTexParameteri");
  (void*&)fexldr_ptr_libGL_glTexParameterIivEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexParameterIivEXT");
  (void*&)fexldr_ptr_libGL_glTexParameterIiv = dlsym_default(fexldr_ptr_libGL_so, "glTexParameterIiv");
  (void*&)fexldr_ptr_libGL_glTexParameterIuivEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexParameterIuivEXT");
  (void*&)fexldr_ptr_libGL_glTexParameterIuiv = dlsym_default(fexldr_ptr_libGL_so, "glTexParameterIuiv");
  (void*&)fexldr_ptr_libGL_glTexParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glTexParameteriv");
  (void*&)fexldr_ptr_libGL_glTexParameterxOES = dlsym_default(fexldr_ptr_libGL_so, "glTexParameterxOES");
  (void*&)fexldr_ptr_libGL_glTexParameterxvOES = dlsym_default(fexldr_ptr_libGL_so, "glTexParameterxvOES");
  (void*&)fexldr_ptr_libGL_glTexRenderbufferNV = dlsym_default(fexldr_ptr_libGL_so, "glTexRenderbufferNV");
  (void*&)fexldr_ptr_libGL_glTexStorage1D = dlsym_default(fexldr_ptr_libGL_so, "glTexStorage1D");
  (void*&)fexldr_ptr_libGL_glTexStorage2D = dlsym_default(fexldr_ptr_libGL_so, "glTexStorage2D");
  (void*&)fexldr_ptr_libGL_glTexStorage2DMultisample = dlsym_default(fexldr_ptr_libGL_so, "glTexStorage2DMultisample");
  (void*&)fexldr_ptr_libGL_glTexStorage3D = dlsym_default(fexldr_ptr_libGL_so, "glTexStorage3D");
  (void*&)fexldr_ptr_libGL_glTexStorage3DMultisample = dlsym_default(fexldr_ptr_libGL_so, "glTexStorage3DMultisample");
  (void*&)fexldr_ptr_libGL_glTexStorageMem1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexStorageMem1DEXT");
  (void*&)fexldr_ptr_libGL_glTexStorageMem2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexStorageMem2DEXT");
  (void*&)fexldr_ptr_libGL_glTexStorageMem2DMultisampleEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexStorageMem2DMultisampleEXT");
  (void*&)fexldr_ptr_libGL_glTexStorageMem3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexStorageMem3DEXT");
  (void*&)fexldr_ptr_libGL_glTexStorageMem3DMultisampleEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexStorageMem3DMultisampleEXT");
  (void*&)fexldr_ptr_libGL_glTexStorageSparseAMD = dlsym_default(fexldr_ptr_libGL_so, "glTexStorageSparseAMD");
  (void*&)fexldr_ptr_libGL_glTexSubImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexSubImage1DEXT");
  (void*&)fexldr_ptr_libGL_glTexSubImage1D = dlsym_default(fexldr_ptr_libGL_so, "glTexSubImage1D");
  (void*&)fexldr_ptr_libGL_glTexSubImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexSubImage2DEXT");
  (void*&)fexldr_ptr_libGL_glTexSubImage2D = dlsym_default(fexldr_ptr_libGL_so, "glTexSubImage2D");
  (void*&)fexldr_ptr_libGL_glTexSubImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexSubImage3DEXT");
  (void*&)fexldr_ptr_libGL_glTexSubImage3D = dlsym_default(fexldr_ptr_libGL_so, "glTexSubImage3D");
  (void*&)fexldr_ptr_libGL_glTexSubImage4DSGIS = dlsym_default(fexldr_ptr_libGL_so, "glTexSubImage4DSGIS");
  (void*&)fexldr_ptr_libGL_glTextureAttachMemoryNV = dlsym_default(fexldr_ptr_libGL_so, "glTextureAttachMemoryNV");
  (void*&)fexldr_ptr_libGL_glTextureBarrier = dlsym_default(fexldr_ptr_libGL_so, "glTextureBarrier");
  (void*&)fexldr_ptr_libGL_glTextureBarrierNV = dlsym_default(fexldr_ptr_libGL_so, "glTextureBarrierNV");
  (void*&)fexldr_ptr_libGL_glTextureBufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureBufferEXT");
  (void*&)fexldr_ptr_libGL_glTextureBuffer = dlsym_default(fexldr_ptr_libGL_so, "glTextureBuffer");
  (void*&)fexldr_ptr_libGL_glTextureBufferRangeEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureBufferRangeEXT");
  (void*&)fexldr_ptr_libGL_glTextureBufferRange = dlsym_default(fexldr_ptr_libGL_so, "glTextureBufferRange");
  (void*&)fexldr_ptr_libGL_glTextureColorMaskSGIS = dlsym_default(fexldr_ptr_libGL_so, "glTextureColorMaskSGIS");
  (void*&)fexldr_ptr_libGL_glTextureImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureImage1DEXT");
  (void*&)fexldr_ptr_libGL_glTextureImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureImage2DEXT");
  (void*&)fexldr_ptr_libGL_glTextureImage2DMultisampleCoverageNV = dlsym_default(fexldr_ptr_libGL_so, "glTextureImage2DMultisampleCoverageNV");
  (void*&)fexldr_ptr_libGL_glTextureImage2DMultisampleNV = dlsym_default(fexldr_ptr_libGL_so, "glTextureImage2DMultisampleNV");
  (void*&)fexldr_ptr_libGL_glTextureImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureImage3DEXT");
  (void*&)fexldr_ptr_libGL_glTextureImage3DMultisampleCoverageNV = dlsym_default(fexldr_ptr_libGL_so, "glTextureImage3DMultisampleCoverageNV");
  (void*&)fexldr_ptr_libGL_glTextureImage3DMultisampleNV = dlsym_default(fexldr_ptr_libGL_so, "glTextureImage3DMultisampleNV");
  (void*&)fexldr_ptr_libGL_glTextureLightEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureLightEXT");
  (void*&)fexldr_ptr_libGL_glTextureMaterialEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureMaterialEXT");
  (void*&)fexldr_ptr_libGL_glTextureNormalEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureNormalEXT");
  (void*&)fexldr_ptr_libGL_glTexturePageCommitmentEXT = dlsym_default(fexldr_ptr_libGL_so, "glTexturePageCommitmentEXT");
  (void*&)fexldr_ptr_libGL_glTextureParameterfEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameterfEXT");
  (void*&)fexldr_ptr_libGL_glTextureParameterf = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameterf");
  (void*&)fexldr_ptr_libGL_glTextureParameterfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameterfvEXT");
  (void*&)fexldr_ptr_libGL_glTextureParameterfv = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameterfv");
  (void*&)fexldr_ptr_libGL_glTextureParameteriEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameteriEXT");
  (void*&)fexldr_ptr_libGL_glTextureParameteri = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameteri");
  (void*&)fexldr_ptr_libGL_glTextureParameterIivEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameterIivEXT");
  (void*&)fexldr_ptr_libGL_glTextureParameterIiv = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameterIiv");
  (void*&)fexldr_ptr_libGL_glTextureParameterIuivEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameterIuivEXT");
  (void*&)fexldr_ptr_libGL_glTextureParameterIuiv = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameterIuiv");
  (void*&)fexldr_ptr_libGL_glTextureParameterivEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameterivEXT");
  (void*&)fexldr_ptr_libGL_glTextureParameteriv = dlsym_default(fexldr_ptr_libGL_so, "glTextureParameteriv");
  (void*&)fexldr_ptr_libGL_glTextureRangeAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glTextureRangeAPPLE");
  (void*&)fexldr_ptr_libGL_glTextureRenderbufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureRenderbufferEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorage1DEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorage1D = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorage1D");
  (void*&)fexldr_ptr_libGL_glTextureStorage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorage2DEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorage2D = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorage2D");
  (void*&)fexldr_ptr_libGL_glTextureStorage2DMultisampleEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorage2DMultisampleEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorage2DMultisample = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorage2DMultisample");
  (void*&)fexldr_ptr_libGL_glTextureStorage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorage3DEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorage3D = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorage3D");
  (void*&)fexldr_ptr_libGL_glTextureStorage3DMultisampleEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorage3DMultisampleEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorage3DMultisample = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorage3DMultisample");
  (void*&)fexldr_ptr_libGL_glTextureStorageMem1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorageMem1DEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorageMem2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorageMem2DEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorageMem2DMultisampleEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorageMem2DMultisampleEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorageMem3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorageMem3DEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorageMem3DMultisampleEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorageMem3DMultisampleEXT");
  (void*&)fexldr_ptr_libGL_glTextureStorageSparseAMD = dlsym_default(fexldr_ptr_libGL_so, "glTextureStorageSparseAMD");
  (void*&)fexldr_ptr_libGL_glTextureSubImage1DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureSubImage1DEXT");
  (void*&)fexldr_ptr_libGL_glTextureSubImage1D = dlsym_default(fexldr_ptr_libGL_so, "glTextureSubImage1D");
  (void*&)fexldr_ptr_libGL_glTextureSubImage2DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureSubImage2DEXT");
  (void*&)fexldr_ptr_libGL_glTextureSubImage2D = dlsym_default(fexldr_ptr_libGL_so, "glTextureSubImage2D");
  (void*&)fexldr_ptr_libGL_glTextureSubImage3DEXT = dlsym_default(fexldr_ptr_libGL_so, "glTextureSubImage3DEXT");
  (void*&)fexldr_ptr_libGL_glTextureSubImage3D = dlsym_default(fexldr_ptr_libGL_so, "glTextureSubImage3D");
  (void*&)fexldr_ptr_libGL_glTextureView = dlsym_default(fexldr_ptr_libGL_so, "glTextureView");
  (void*&)fexldr_ptr_libGL_glTrackMatrixNV = dlsym_default(fexldr_ptr_libGL_so, "glTrackMatrixNV");
  (void*&)fexldr_ptr_libGL_glTransformFeedbackAttribsNV = dlsym_default(fexldr_ptr_libGL_so, "glTransformFeedbackAttribsNV");
  (void*&)fexldr_ptr_libGL_glTransformFeedbackBufferBase = dlsym_default(fexldr_ptr_libGL_so, "glTransformFeedbackBufferBase");
  (void*&)fexldr_ptr_libGL_glTransformFeedbackBufferRange = dlsym_default(fexldr_ptr_libGL_so, "glTransformFeedbackBufferRange");
  (void*&)fexldr_ptr_libGL_glTransformFeedbackStreamAttribsNV = dlsym_default(fexldr_ptr_libGL_so, "glTransformFeedbackStreamAttribsNV");
  (void*&)fexldr_ptr_libGL_glTransformFeedbackVaryingsEXT = dlsym_default(fexldr_ptr_libGL_so, "glTransformFeedbackVaryingsEXT");
  (void*&)fexldr_ptr_libGL_glTransformFeedbackVaryings = dlsym_default(fexldr_ptr_libGL_so, "glTransformFeedbackVaryings");
  (void*&)fexldr_ptr_libGL_glTransformFeedbackVaryingsNV = dlsym_default(fexldr_ptr_libGL_so, "glTransformFeedbackVaryingsNV");
  (void*&)fexldr_ptr_libGL_glTransformPathNV = dlsym_default(fexldr_ptr_libGL_so, "glTransformPathNV");
  (void*&)fexldr_ptr_libGL_glTranslated = dlsym_default(fexldr_ptr_libGL_so, "glTranslated");
  (void*&)fexldr_ptr_libGL_glTranslatef = dlsym_default(fexldr_ptr_libGL_so, "glTranslatef");
  (void*&)fexldr_ptr_libGL_glTranslatexOES = dlsym_default(fexldr_ptr_libGL_so, "glTranslatexOES");
  (void*&)fexldr_ptr_libGL_glUniform1d = dlsym_default(fexldr_ptr_libGL_so, "glUniform1d");
  (void*&)fexldr_ptr_libGL_glUniform1dv = dlsym_default(fexldr_ptr_libGL_so, "glUniform1dv");
  (void*&)fexldr_ptr_libGL_glUniform1fARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform1fARB");
  (void*&)fexldr_ptr_libGL_glUniform1f = dlsym_default(fexldr_ptr_libGL_so, "glUniform1f");
  (void*&)fexldr_ptr_libGL_glUniform1fvARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform1fvARB");
  (void*&)fexldr_ptr_libGL_glUniform1fv = dlsym_default(fexldr_ptr_libGL_so, "glUniform1fv");
  (void*&)fexldr_ptr_libGL_glUniform1i64ARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform1i64ARB");
  (void*&)fexldr_ptr_libGL_glUniform1i64NV = dlsym_default(fexldr_ptr_libGL_so, "glUniform1i64NV");
  (void*&)fexldr_ptr_libGL_glUniform1i64vARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform1i64vARB");
  (void*&)fexldr_ptr_libGL_glUniform1i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glUniform1i64vNV");
  (void*&)fexldr_ptr_libGL_glUniform1iARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform1iARB");
  (void*&)fexldr_ptr_libGL_glUniform1i = dlsym_default(fexldr_ptr_libGL_so, "glUniform1i");
  (void*&)fexldr_ptr_libGL_glUniform1ivARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform1ivARB");
  (void*&)fexldr_ptr_libGL_glUniform1iv = dlsym_default(fexldr_ptr_libGL_so, "glUniform1iv");
  (void*&)fexldr_ptr_libGL_glUniform1ui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform1ui64ARB");
  (void*&)fexldr_ptr_libGL_glUniform1ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glUniform1ui64NV");
  (void*&)fexldr_ptr_libGL_glUniform1ui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform1ui64vARB");
  (void*&)fexldr_ptr_libGL_glUniform1ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glUniform1ui64vNV");
  (void*&)fexldr_ptr_libGL_glUniform1uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glUniform1uiEXT");
  (void*&)fexldr_ptr_libGL_glUniform1ui = dlsym_default(fexldr_ptr_libGL_so, "glUniform1ui");
  (void*&)fexldr_ptr_libGL_glUniform1uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glUniform1uivEXT");
  (void*&)fexldr_ptr_libGL_glUniform1uiv = dlsym_default(fexldr_ptr_libGL_so, "glUniform1uiv");
  (void*&)fexldr_ptr_libGL_glUniform2d = dlsym_default(fexldr_ptr_libGL_so, "glUniform2d");
  (void*&)fexldr_ptr_libGL_glUniform2dv = dlsym_default(fexldr_ptr_libGL_so, "glUniform2dv");
  (void*&)fexldr_ptr_libGL_glUniform2fARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform2fARB");
  (void*&)fexldr_ptr_libGL_glUniform2f = dlsym_default(fexldr_ptr_libGL_so, "glUniform2f");
  (void*&)fexldr_ptr_libGL_glUniform2fvARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform2fvARB");
  (void*&)fexldr_ptr_libGL_glUniform2fv = dlsym_default(fexldr_ptr_libGL_so, "glUniform2fv");
  (void*&)fexldr_ptr_libGL_glUniform2i64ARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform2i64ARB");
  (void*&)fexldr_ptr_libGL_glUniform2i64NV = dlsym_default(fexldr_ptr_libGL_so, "glUniform2i64NV");
  (void*&)fexldr_ptr_libGL_glUniform2i64vARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform2i64vARB");
  (void*&)fexldr_ptr_libGL_glUniform2i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glUniform2i64vNV");
  (void*&)fexldr_ptr_libGL_glUniform2iARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform2iARB");
  (void*&)fexldr_ptr_libGL_glUniform2i = dlsym_default(fexldr_ptr_libGL_so, "glUniform2i");
  (void*&)fexldr_ptr_libGL_glUniform2ivARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform2ivARB");
  (void*&)fexldr_ptr_libGL_glUniform2iv = dlsym_default(fexldr_ptr_libGL_so, "glUniform2iv");
  (void*&)fexldr_ptr_libGL_glUniform2ui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform2ui64ARB");
  (void*&)fexldr_ptr_libGL_glUniform2ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glUniform2ui64NV");
  (void*&)fexldr_ptr_libGL_glUniform2ui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform2ui64vARB");
  (void*&)fexldr_ptr_libGL_glUniform2ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glUniform2ui64vNV");
  (void*&)fexldr_ptr_libGL_glUniform2uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glUniform2uiEXT");
  (void*&)fexldr_ptr_libGL_glUniform2ui = dlsym_default(fexldr_ptr_libGL_so, "glUniform2ui");
  (void*&)fexldr_ptr_libGL_glUniform2uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glUniform2uivEXT");
  (void*&)fexldr_ptr_libGL_glUniform2uiv = dlsym_default(fexldr_ptr_libGL_so, "glUniform2uiv");
  (void*&)fexldr_ptr_libGL_glUniform3d = dlsym_default(fexldr_ptr_libGL_so, "glUniform3d");
  (void*&)fexldr_ptr_libGL_glUniform3dv = dlsym_default(fexldr_ptr_libGL_so, "glUniform3dv");
  (void*&)fexldr_ptr_libGL_glUniform3fARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform3fARB");
  (void*&)fexldr_ptr_libGL_glUniform3f = dlsym_default(fexldr_ptr_libGL_so, "glUniform3f");
  (void*&)fexldr_ptr_libGL_glUniform3fvARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform3fvARB");
  (void*&)fexldr_ptr_libGL_glUniform3fv = dlsym_default(fexldr_ptr_libGL_so, "glUniform3fv");
  (void*&)fexldr_ptr_libGL_glUniform3i64ARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform3i64ARB");
  (void*&)fexldr_ptr_libGL_glUniform3i64NV = dlsym_default(fexldr_ptr_libGL_so, "glUniform3i64NV");
  (void*&)fexldr_ptr_libGL_glUniform3i64vARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform3i64vARB");
  (void*&)fexldr_ptr_libGL_glUniform3i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glUniform3i64vNV");
  (void*&)fexldr_ptr_libGL_glUniform3iARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform3iARB");
  (void*&)fexldr_ptr_libGL_glUniform3i = dlsym_default(fexldr_ptr_libGL_so, "glUniform3i");
  (void*&)fexldr_ptr_libGL_glUniform3ivARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform3ivARB");
  (void*&)fexldr_ptr_libGL_glUniform3iv = dlsym_default(fexldr_ptr_libGL_so, "glUniform3iv");
  (void*&)fexldr_ptr_libGL_glUniform3ui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform3ui64ARB");
  (void*&)fexldr_ptr_libGL_glUniform3ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glUniform3ui64NV");
  (void*&)fexldr_ptr_libGL_glUniform3ui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform3ui64vARB");
  (void*&)fexldr_ptr_libGL_glUniform3ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glUniform3ui64vNV");
  (void*&)fexldr_ptr_libGL_glUniform3uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glUniform3uiEXT");
  (void*&)fexldr_ptr_libGL_glUniform3ui = dlsym_default(fexldr_ptr_libGL_so, "glUniform3ui");
  (void*&)fexldr_ptr_libGL_glUniform3uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glUniform3uivEXT");
  (void*&)fexldr_ptr_libGL_glUniform3uiv = dlsym_default(fexldr_ptr_libGL_so, "glUniform3uiv");
  (void*&)fexldr_ptr_libGL_glUniform4d = dlsym_default(fexldr_ptr_libGL_so, "glUniform4d");
  (void*&)fexldr_ptr_libGL_glUniform4dv = dlsym_default(fexldr_ptr_libGL_so, "glUniform4dv");
  (void*&)fexldr_ptr_libGL_glUniform4fARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform4fARB");
  (void*&)fexldr_ptr_libGL_glUniform4f = dlsym_default(fexldr_ptr_libGL_so, "glUniform4f");
  (void*&)fexldr_ptr_libGL_glUniform4fvARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform4fvARB");
  (void*&)fexldr_ptr_libGL_glUniform4fv = dlsym_default(fexldr_ptr_libGL_so, "glUniform4fv");
  (void*&)fexldr_ptr_libGL_glUniform4i64ARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform4i64ARB");
  (void*&)fexldr_ptr_libGL_glUniform4i64NV = dlsym_default(fexldr_ptr_libGL_so, "glUniform4i64NV");
  (void*&)fexldr_ptr_libGL_glUniform4i64vARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform4i64vARB");
  (void*&)fexldr_ptr_libGL_glUniform4i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glUniform4i64vNV");
  (void*&)fexldr_ptr_libGL_glUniform4iARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform4iARB");
  (void*&)fexldr_ptr_libGL_glUniform4i = dlsym_default(fexldr_ptr_libGL_so, "glUniform4i");
  (void*&)fexldr_ptr_libGL_glUniform4ivARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform4ivARB");
  (void*&)fexldr_ptr_libGL_glUniform4iv = dlsym_default(fexldr_ptr_libGL_so, "glUniform4iv");
  (void*&)fexldr_ptr_libGL_glUniform4ui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform4ui64ARB");
  (void*&)fexldr_ptr_libGL_glUniform4ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glUniform4ui64NV");
  (void*&)fexldr_ptr_libGL_glUniform4ui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glUniform4ui64vARB");
  (void*&)fexldr_ptr_libGL_glUniform4ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glUniform4ui64vNV");
  (void*&)fexldr_ptr_libGL_glUniform4uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glUniform4uiEXT");
  (void*&)fexldr_ptr_libGL_glUniform4ui = dlsym_default(fexldr_ptr_libGL_so, "glUniform4ui");
  (void*&)fexldr_ptr_libGL_glUniform4uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glUniform4uivEXT");
  (void*&)fexldr_ptr_libGL_glUniform4uiv = dlsym_default(fexldr_ptr_libGL_so, "glUniform4uiv");
  (void*&)fexldr_ptr_libGL_glUniformBlockBinding = dlsym_default(fexldr_ptr_libGL_so, "glUniformBlockBinding");
  (void*&)fexldr_ptr_libGL_glUniformBufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glUniformBufferEXT");
  (void*&)fexldr_ptr_libGL_glUniformHandleui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glUniformHandleui64ARB");
  (void*&)fexldr_ptr_libGL_glUniformHandleui64NV = dlsym_default(fexldr_ptr_libGL_so, "glUniformHandleui64NV");
  (void*&)fexldr_ptr_libGL_glUniformHandleui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glUniformHandleui64vARB");
  (void*&)fexldr_ptr_libGL_glUniformHandleui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glUniformHandleui64vNV");
  (void*&)fexldr_ptr_libGL_glUniformMatrix2dv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix2dv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix2fvARB = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix2fvARB");
  (void*&)fexldr_ptr_libGL_glUniformMatrix2fv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix2fv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix2x3dv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix2x3dv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix2x3fv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix2x3fv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix2x4dv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix2x4dv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix2x4fv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix2x4fv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix3dv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix3dv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix3fvARB = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix3fvARB");
  (void*&)fexldr_ptr_libGL_glUniformMatrix3fv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix3fv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix3x2dv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix3x2dv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix3x2fv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix3x2fv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix3x4dv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix3x4dv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix3x4fv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix3x4fv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix4dv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix4dv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix4fvARB = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix4fvARB");
  (void*&)fexldr_ptr_libGL_glUniformMatrix4fv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix4fv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix4x2dv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix4x2dv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix4x2fv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix4x2fv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix4x3dv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix4x3dv");
  (void*&)fexldr_ptr_libGL_glUniformMatrix4x3fv = dlsym_default(fexldr_ptr_libGL_so, "glUniformMatrix4x3fv");
  (void*&)fexldr_ptr_libGL_glUniformSubroutinesuiv = dlsym_default(fexldr_ptr_libGL_so, "glUniformSubroutinesuiv");
  (void*&)fexldr_ptr_libGL_glUniformui64NV = dlsym_default(fexldr_ptr_libGL_so, "glUniformui64NV");
  (void*&)fexldr_ptr_libGL_glUniformui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glUniformui64vNV");
  (void*&)fexldr_ptr_libGL_glUnlockArraysEXT = dlsym_default(fexldr_ptr_libGL_so, "glUnlockArraysEXT");
  (void*&)fexldr_ptr_libGL_glUnmapObjectBufferATI = dlsym_default(fexldr_ptr_libGL_so, "glUnmapObjectBufferATI");
  (void*&)fexldr_ptr_libGL_glUnmapTexture2DINTEL = dlsym_default(fexldr_ptr_libGL_so, "glUnmapTexture2DINTEL");
  (void*&)fexldr_ptr_libGL_glUpdateObjectBufferATI = dlsym_default(fexldr_ptr_libGL_so, "glUpdateObjectBufferATI");
  (void*&)fexldr_ptr_libGL_glUploadGpuMaskNVX = dlsym_default(fexldr_ptr_libGL_so, "glUploadGpuMaskNVX");
  (void*&)fexldr_ptr_libGL_glUseProgram = dlsym_default(fexldr_ptr_libGL_so, "glUseProgram");
  (void*&)fexldr_ptr_libGL_glUseProgramObjectARB = dlsym_default(fexldr_ptr_libGL_so, "glUseProgramObjectARB");
  (void*&)fexldr_ptr_libGL_glUseProgramStages = dlsym_default(fexldr_ptr_libGL_so, "glUseProgramStages");
  (void*&)fexldr_ptr_libGL_glUseShaderProgramEXT = dlsym_default(fexldr_ptr_libGL_so, "glUseShaderProgramEXT");
  (void*&)fexldr_ptr_libGL_glValidateProgramARB = dlsym_default(fexldr_ptr_libGL_so, "glValidateProgramARB");
  (void*&)fexldr_ptr_libGL_glValidateProgram = dlsym_default(fexldr_ptr_libGL_so, "glValidateProgram");
  (void*&)fexldr_ptr_libGL_glValidateProgramPipeline = dlsym_default(fexldr_ptr_libGL_so, "glValidateProgramPipeline");
  (void*&)fexldr_ptr_libGL_glVariantArrayObjectATI = dlsym_default(fexldr_ptr_libGL_so, "glVariantArrayObjectATI");
  (void*&)fexldr_ptr_libGL_glVariantbvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVariantbvEXT");
  (void*&)fexldr_ptr_libGL_glVariantdvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVariantdvEXT");
  (void*&)fexldr_ptr_libGL_glVariantfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVariantfvEXT");
  (void*&)fexldr_ptr_libGL_glVariantivEXT = dlsym_default(fexldr_ptr_libGL_so, "glVariantivEXT");
  (void*&)fexldr_ptr_libGL_glVariantPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glVariantPointerEXT");
  (void*&)fexldr_ptr_libGL_glVariantsvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVariantsvEXT");
  (void*&)fexldr_ptr_libGL_glVariantubvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVariantubvEXT");
  (void*&)fexldr_ptr_libGL_glVariantuivEXT = dlsym_default(fexldr_ptr_libGL_so, "glVariantuivEXT");
  (void*&)fexldr_ptr_libGL_glVariantusvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVariantusvEXT");
  (void*&)fexldr_ptr_libGL_glVDPAUFiniNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAUFiniNV");
  (void*&)fexldr_ptr_libGL_glVDPAUGetSurfaceivNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAUGetSurfaceivNV");
  (void*&)fexldr_ptr_libGL_glVDPAUInitNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAUInitNV");
  (void*&)fexldr_ptr_libGL_glVDPAUMapSurfacesNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAUMapSurfacesNV");
  (void*&)fexldr_ptr_libGL_glVDPAUSurfaceAccessNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAUSurfaceAccessNV");
  (void*&)fexldr_ptr_libGL_glVDPAUUnmapSurfacesNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAUUnmapSurfacesNV");
  (void*&)fexldr_ptr_libGL_glVDPAUUnregisterSurfaceNV = dlsym_default(fexldr_ptr_libGL_so, "glVDPAUUnregisterSurfaceNV");
  (void*&)fexldr_ptr_libGL_glVertex2bOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex2bOES");
  (void*&)fexldr_ptr_libGL_glVertex2bvOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex2bvOES");
  (void*&)fexldr_ptr_libGL_glVertex2d = dlsym_default(fexldr_ptr_libGL_so, "glVertex2d");
  (void*&)fexldr_ptr_libGL_glVertex2dv = dlsym_default(fexldr_ptr_libGL_so, "glVertex2dv");
  (void*&)fexldr_ptr_libGL_glVertex2f = dlsym_default(fexldr_ptr_libGL_so, "glVertex2f");
  (void*&)fexldr_ptr_libGL_glVertex2fv = dlsym_default(fexldr_ptr_libGL_so, "glVertex2fv");
  (void*&)fexldr_ptr_libGL_glVertex2hNV = dlsym_default(fexldr_ptr_libGL_so, "glVertex2hNV");
  (void*&)fexldr_ptr_libGL_glVertex2hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertex2hvNV");
  (void*&)fexldr_ptr_libGL_glVertex2i = dlsym_default(fexldr_ptr_libGL_so, "glVertex2i");
  (void*&)fexldr_ptr_libGL_glVertex2iv = dlsym_default(fexldr_ptr_libGL_so, "glVertex2iv");
  (void*&)fexldr_ptr_libGL_glVertex2s = dlsym_default(fexldr_ptr_libGL_so, "glVertex2s");
  (void*&)fexldr_ptr_libGL_glVertex2sv = dlsym_default(fexldr_ptr_libGL_so, "glVertex2sv");
  (void*&)fexldr_ptr_libGL_glVertex2xOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex2xOES");
  (void*&)fexldr_ptr_libGL_glVertex2xvOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex2xvOES");
  (void*&)fexldr_ptr_libGL_glVertex3bOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex3bOES");
  (void*&)fexldr_ptr_libGL_glVertex3bvOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex3bvOES");
  (void*&)fexldr_ptr_libGL_glVertex3d = dlsym_default(fexldr_ptr_libGL_so, "glVertex3d");
  (void*&)fexldr_ptr_libGL_glVertex3dv = dlsym_default(fexldr_ptr_libGL_so, "glVertex3dv");
  (void*&)fexldr_ptr_libGL_glVertex3f = dlsym_default(fexldr_ptr_libGL_so, "glVertex3f");
  (void*&)fexldr_ptr_libGL_glVertex3fv = dlsym_default(fexldr_ptr_libGL_so, "glVertex3fv");
  (void*&)fexldr_ptr_libGL_glVertex3hNV = dlsym_default(fexldr_ptr_libGL_so, "glVertex3hNV");
  (void*&)fexldr_ptr_libGL_glVertex3hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertex3hvNV");
  (void*&)fexldr_ptr_libGL_glVertex3i = dlsym_default(fexldr_ptr_libGL_so, "glVertex3i");
  (void*&)fexldr_ptr_libGL_glVertex3iv = dlsym_default(fexldr_ptr_libGL_so, "glVertex3iv");
  (void*&)fexldr_ptr_libGL_glVertex3s = dlsym_default(fexldr_ptr_libGL_so, "glVertex3s");
  (void*&)fexldr_ptr_libGL_glVertex3sv = dlsym_default(fexldr_ptr_libGL_so, "glVertex3sv");
  (void*&)fexldr_ptr_libGL_glVertex3xOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex3xOES");
  (void*&)fexldr_ptr_libGL_glVertex3xvOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex3xvOES");
  (void*&)fexldr_ptr_libGL_glVertex4bOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex4bOES");
  (void*&)fexldr_ptr_libGL_glVertex4bvOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex4bvOES");
  (void*&)fexldr_ptr_libGL_glVertex4d = dlsym_default(fexldr_ptr_libGL_so, "glVertex4d");
  (void*&)fexldr_ptr_libGL_glVertex4dv = dlsym_default(fexldr_ptr_libGL_so, "glVertex4dv");
  (void*&)fexldr_ptr_libGL_glVertex4f = dlsym_default(fexldr_ptr_libGL_so, "glVertex4f");
  (void*&)fexldr_ptr_libGL_glVertex4fv = dlsym_default(fexldr_ptr_libGL_so, "glVertex4fv");
  (void*&)fexldr_ptr_libGL_glVertex4hNV = dlsym_default(fexldr_ptr_libGL_so, "glVertex4hNV");
  (void*&)fexldr_ptr_libGL_glVertex4hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertex4hvNV");
  (void*&)fexldr_ptr_libGL_glVertex4i = dlsym_default(fexldr_ptr_libGL_so, "glVertex4i");
  (void*&)fexldr_ptr_libGL_glVertex4iv = dlsym_default(fexldr_ptr_libGL_so, "glVertex4iv");
  (void*&)fexldr_ptr_libGL_glVertex4s = dlsym_default(fexldr_ptr_libGL_so, "glVertex4s");
  (void*&)fexldr_ptr_libGL_glVertex4sv = dlsym_default(fexldr_ptr_libGL_so, "glVertex4sv");
  (void*&)fexldr_ptr_libGL_glVertex4xOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex4xOES");
  (void*&)fexldr_ptr_libGL_glVertex4xvOES = dlsym_default(fexldr_ptr_libGL_so, "glVertex4xvOES");
  (void*&)fexldr_ptr_libGL_glVertexArrayAttribBinding = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayAttribBinding");
  (void*&)fexldr_ptr_libGL_glVertexArrayAttribFormat = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayAttribFormat");
  (void*&)fexldr_ptr_libGL_glVertexArrayAttribIFormat = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayAttribIFormat");
  (void*&)fexldr_ptr_libGL_glVertexArrayAttribLFormat = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayAttribLFormat");
  (void*&)fexldr_ptr_libGL_glVertexArrayBindingDivisor = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayBindingDivisor");
  (void*&)fexldr_ptr_libGL_glVertexArrayBindVertexBufferEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayBindVertexBufferEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayColorOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayColorOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayEdgeFlagOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayEdgeFlagOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayElementBuffer = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayElementBuffer");
  (void*&)fexldr_ptr_libGL_glVertexArrayFogCoordOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayFogCoordOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayIndexOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayIndexOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayMultiTexCoordOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayMultiTexCoordOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayNormalOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayNormalOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayParameteriAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayParameteriAPPLE");
  (void*&)fexldr_ptr_libGL_glVertexArrayRangeAPPLE = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayRangeAPPLE");
  (void*&)fexldr_ptr_libGL_glVertexArrayRangeNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayRangeNV");
  (void*&)fexldr_ptr_libGL_glVertexArraySecondaryColorOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArraySecondaryColorOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayTexCoordOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayTexCoordOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexAttribBindingEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexAttribBindingEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexAttribDivisorEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexAttribDivisorEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexAttribFormatEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexAttribFormatEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexAttribIFormatEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexAttribIFormatEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexAttribIOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexAttribIOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexAttribLFormatEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexAttribLFormatEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexAttribLOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexAttribLOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexAttribOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexAttribOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexBindingDivisorEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexBindingDivisorEXT");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexBuffer = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexBuffer");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexBuffers = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexBuffers");
  (void*&)fexldr_ptr_libGL_glVertexArrayVertexOffsetEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexArrayVertexOffsetEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1dARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1dARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1d = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1d");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1dNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1dNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1dvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1dvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1dv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1dv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1dvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1dvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1fARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1fARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1f = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1f");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1fNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1fNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1fvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1fvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1fv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1fv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1fvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1fvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1hNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1hNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1hvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1sARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1sARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1s = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1s");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1sNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1sNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1svARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1svARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1sv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1sv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib1svNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib1svNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2dARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2dARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2d = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2d");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2dNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2dNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2dvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2dvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2dv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2dv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2dvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2dvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2fARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2fARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2f = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2f");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2fNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2fNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2fvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2fvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2fv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2fv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2fvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2fvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2hNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2hNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2hvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2sARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2sARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2s = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2s");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2sNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2sNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2svARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2svARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2sv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2sv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib2svNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib2svNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3dARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3dARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3d = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3d");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3dNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3dNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3dvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3dvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3dv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3dv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3dvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3dvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3fARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3fARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3f = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3f");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3fNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3fNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3fvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3fvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3fv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3fv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3fvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3fvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3hNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3hNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3hvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3sARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3sARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3s = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3s");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3sNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3sNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3svARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3svARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3sv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3sv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib3svNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib3svNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4bvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4bvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4bv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4bv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4dARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4dARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4d = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4d");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4dNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4dNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4dvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4dvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4dv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4dv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4dvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4dvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4fARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4fARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4f = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4f");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4fNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4fNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4fvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4fvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4fv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4fv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4fvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4fvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4hNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4hNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4hvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4ivARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4ivARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4iv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4iv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4NbvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4NbvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4Nbv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4Nbv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4NivARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4NivARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4Niv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4Niv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4NsvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4NsvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4Nsv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4Nsv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4NubARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4NubARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4Nub = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4Nub");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4NubvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4NubvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4Nubv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4Nubv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4NuivARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4NuivARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4Nuiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4Nuiv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4NusvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4NusvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4Nusv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4Nusv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4sARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4sARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4s = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4s");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4sNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4sNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4svARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4svARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4sv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4sv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4svNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4svNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4ubNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4ubNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4ubvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4ubvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4ubv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4ubv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4ubvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4ubvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4uivARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4uivARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4uiv");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4usvARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4usvARB");
  (void*&)fexldr_ptr_libGL_glVertexAttrib4usv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttrib4usv");
  (void*&)fexldr_ptr_libGL_glVertexAttribArrayObjectATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribArrayObjectATI");
  (void*&)fexldr_ptr_libGL_glVertexAttribBinding = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribBinding");
  (void*&)fexldr_ptr_libGL_glVertexAttribDivisorARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribDivisorARB");
  (void*&)fexldr_ptr_libGL_glVertexAttribDivisor = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribDivisor");
  (void*&)fexldr_ptr_libGL_glVertexAttribFormat = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribFormat");
  (void*&)fexldr_ptr_libGL_glVertexAttribFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribFormatNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribI1iEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI1iEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI1i = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI1i");
  (void*&)fexldr_ptr_libGL_glVertexAttribI1ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI1ivEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI1iv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI1iv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI1uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI1uiEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI1ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI1ui");
  (void*&)fexldr_ptr_libGL_glVertexAttribI1uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI1uivEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI1uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI1uiv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI2iEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI2iEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI2i = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI2i");
  (void*&)fexldr_ptr_libGL_glVertexAttribI2ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI2ivEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI2iv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI2iv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI2uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI2uiEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI2ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI2ui");
  (void*&)fexldr_ptr_libGL_glVertexAttribI2uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI2uivEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI2uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI2uiv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI3iEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI3iEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI3i = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI3i");
  (void*&)fexldr_ptr_libGL_glVertexAttribI3ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI3ivEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI3iv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI3iv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI3uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI3uiEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI3ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI3ui");
  (void*&)fexldr_ptr_libGL_glVertexAttribI3uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI3uivEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI3uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI3uiv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4bvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4bvEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4bv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4bv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4iEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4iEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4i = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4i");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4ivEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4ivEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4iv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4iv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4svEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4svEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4sv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4sv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4ubvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4ubvEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4ubv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4ubv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4uiEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4uiEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4ui");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4uivEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4uivEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4uiv");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4usvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4usvEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribI4usv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribI4usv");
  (void*&)fexldr_ptr_libGL_glVertexAttribIFormat = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribIFormat");
  (void*&)fexldr_ptr_libGL_glVertexAttribIFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribIFormatNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribIPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribIPointerEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribIPointer = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribIPointer");
  (void*&)fexldr_ptr_libGL_glVertexAttribL1dEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL1dEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribL1d = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL1d");
  (void*&)fexldr_ptr_libGL_glVertexAttribL1dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL1dvEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribL1dv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL1dv");
  (void*&)fexldr_ptr_libGL_glVertexAttribL1i64NV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL1i64NV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL1i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL1i64vNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL1ui64ARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL1ui64ARB");
  (void*&)fexldr_ptr_libGL_glVertexAttribL1ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL1ui64NV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL1ui64vARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL1ui64vARB");
  (void*&)fexldr_ptr_libGL_glVertexAttribL1ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL1ui64vNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL2dEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL2dEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribL2d = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL2d");
  (void*&)fexldr_ptr_libGL_glVertexAttribL2dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL2dvEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribL2dv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL2dv");
  (void*&)fexldr_ptr_libGL_glVertexAttribL2i64NV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL2i64NV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL2i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL2i64vNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL2ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL2ui64NV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL2ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL2ui64vNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL3dEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL3dEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribL3d = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL3d");
  (void*&)fexldr_ptr_libGL_glVertexAttribL3dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL3dvEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribL3dv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL3dv");
  (void*&)fexldr_ptr_libGL_glVertexAttribL3i64NV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL3i64NV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL3i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL3i64vNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL3ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL3ui64NV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL3ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL3ui64vNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL4dEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL4dEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribL4d = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL4d");
  (void*&)fexldr_ptr_libGL_glVertexAttribL4dvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL4dvEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribL4dv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL4dv");
  (void*&)fexldr_ptr_libGL_glVertexAttribL4i64NV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL4i64NV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL4i64vNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL4i64vNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL4ui64NV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL4ui64NV");
  (void*&)fexldr_ptr_libGL_glVertexAttribL4ui64vNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribL4ui64vNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribLFormat = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribLFormat");
  (void*&)fexldr_ptr_libGL_glVertexAttribLFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribLFormatNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribLPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribLPointerEXT");
  (void*&)fexldr_ptr_libGL_glVertexAttribLPointer = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribLPointer");
  (void*&)fexldr_ptr_libGL_glVertexAttribP1ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribP1ui");
  (void*&)fexldr_ptr_libGL_glVertexAttribP1uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribP1uiv");
  (void*&)fexldr_ptr_libGL_glVertexAttribP2ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribP2ui");
  (void*&)fexldr_ptr_libGL_glVertexAttribP2uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribP2uiv");
  (void*&)fexldr_ptr_libGL_glVertexAttribP3ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribP3ui");
  (void*&)fexldr_ptr_libGL_glVertexAttribP3uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribP3uiv");
  (void*&)fexldr_ptr_libGL_glVertexAttribP4ui = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribP4ui");
  (void*&)fexldr_ptr_libGL_glVertexAttribP4uiv = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribP4uiv");
  (void*&)fexldr_ptr_libGL_glVertexAttribParameteriAMD = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribParameteriAMD");
  (void*&)fexldr_ptr_libGL_glVertexAttribPointerARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribPointerARB");
  (void*&)fexldr_ptr_libGL_glVertexAttribPointer = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribPointer");
  (void*&)fexldr_ptr_libGL_glVertexAttribPointerNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribPointerNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs1dvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs1dvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs1fvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs1fvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs1hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs1hvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs1svNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs1svNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs2dvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs2dvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs2fvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs2fvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs2hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs2hvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs2svNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs2svNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs3dvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs3dvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs3fvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs3fvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs3hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs3hvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs3svNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs3svNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs4dvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs4dvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs4fvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs4fvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs4hvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs4hvNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs4svNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs4svNV");
  (void*&)fexldr_ptr_libGL_glVertexAttribs4ubvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexAttribs4ubvNV");
  (void*&)fexldr_ptr_libGL_glVertexBindingDivisor = dlsym_default(fexldr_ptr_libGL_so, "glVertexBindingDivisor");
  (void*&)fexldr_ptr_libGL_glVertexBlendARB = dlsym_default(fexldr_ptr_libGL_so, "glVertexBlendARB");
  (void*&)fexldr_ptr_libGL_glVertexBlendEnvfATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexBlendEnvfATI");
  (void*&)fexldr_ptr_libGL_glVertexBlendEnviATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexBlendEnviATI");
  (void*&)fexldr_ptr_libGL_glVertexFormatNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexFormatNV");
  (void*&)fexldr_ptr_libGL_glVertexPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexPointerEXT");
  (void*&)fexldr_ptr_libGL_glVertexPointer = dlsym_default(fexldr_ptr_libGL_so, "glVertexPointer");
  (void*&)fexldr_ptr_libGL_glVertexPointerListIBM = dlsym_default(fexldr_ptr_libGL_so, "glVertexPointerListIBM");
  (void*&)fexldr_ptr_libGL_glVertexPointervINTEL = dlsym_default(fexldr_ptr_libGL_so, "glVertexPointervINTEL");
  (void*&)fexldr_ptr_libGL_glVertexStream1dATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream1dATI");
  (void*&)fexldr_ptr_libGL_glVertexStream1dvATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream1dvATI");
  (void*&)fexldr_ptr_libGL_glVertexStream1fATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream1fATI");
  (void*&)fexldr_ptr_libGL_glVertexStream1fvATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream1fvATI");
  (void*&)fexldr_ptr_libGL_glVertexStream1iATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream1iATI");
  (void*&)fexldr_ptr_libGL_glVertexStream1ivATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream1ivATI");
  (void*&)fexldr_ptr_libGL_glVertexStream1sATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream1sATI");
  (void*&)fexldr_ptr_libGL_glVertexStream1svATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream1svATI");
  (void*&)fexldr_ptr_libGL_glVertexStream2dATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream2dATI");
  (void*&)fexldr_ptr_libGL_glVertexStream2dvATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream2dvATI");
  (void*&)fexldr_ptr_libGL_glVertexStream2fATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream2fATI");
  (void*&)fexldr_ptr_libGL_glVertexStream2fvATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream2fvATI");
  (void*&)fexldr_ptr_libGL_glVertexStream2iATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream2iATI");
  (void*&)fexldr_ptr_libGL_glVertexStream2ivATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream2ivATI");
  (void*&)fexldr_ptr_libGL_glVertexStream2sATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream2sATI");
  (void*&)fexldr_ptr_libGL_glVertexStream2svATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream2svATI");
  (void*&)fexldr_ptr_libGL_glVertexStream3dATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream3dATI");
  (void*&)fexldr_ptr_libGL_glVertexStream3dvATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream3dvATI");
  (void*&)fexldr_ptr_libGL_glVertexStream3fATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream3fATI");
  (void*&)fexldr_ptr_libGL_glVertexStream3fvATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream3fvATI");
  (void*&)fexldr_ptr_libGL_glVertexStream3iATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream3iATI");
  (void*&)fexldr_ptr_libGL_glVertexStream3ivATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream3ivATI");
  (void*&)fexldr_ptr_libGL_glVertexStream3sATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream3sATI");
  (void*&)fexldr_ptr_libGL_glVertexStream3svATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream3svATI");
  (void*&)fexldr_ptr_libGL_glVertexStream4dATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream4dATI");
  (void*&)fexldr_ptr_libGL_glVertexStream4dvATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream4dvATI");
  (void*&)fexldr_ptr_libGL_glVertexStream4fATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream4fATI");
  (void*&)fexldr_ptr_libGL_glVertexStream4fvATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream4fvATI");
  (void*&)fexldr_ptr_libGL_glVertexStream4iATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream4iATI");
  (void*&)fexldr_ptr_libGL_glVertexStream4ivATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream4ivATI");
  (void*&)fexldr_ptr_libGL_glVertexStream4sATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream4sATI");
  (void*&)fexldr_ptr_libGL_glVertexStream4svATI = dlsym_default(fexldr_ptr_libGL_so, "glVertexStream4svATI");
  (void*&)fexldr_ptr_libGL_glVertexWeightfEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexWeightfEXT");
  (void*&)fexldr_ptr_libGL_glVertexWeightfvEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexWeightfvEXT");
  (void*&)fexldr_ptr_libGL_glVertexWeighthNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexWeighthNV");
  (void*&)fexldr_ptr_libGL_glVertexWeighthvNV = dlsym_default(fexldr_ptr_libGL_so, "glVertexWeighthvNV");
  (void*&)fexldr_ptr_libGL_glVertexWeightPointerEXT = dlsym_default(fexldr_ptr_libGL_so, "glVertexWeightPointerEXT");
  (void*&)fexldr_ptr_libGL_glVideoCaptureStreamParameterdvNV = dlsym_default(fexldr_ptr_libGL_so, "glVideoCaptureStreamParameterdvNV");
  (void*&)fexldr_ptr_libGL_glVideoCaptureStreamParameterfvNV = dlsym_default(fexldr_ptr_libGL_so, "glVideoCaptureStreamParameterfvNV");
  (void*&)fexldr_ptr_libGL_glVideoCaptureStreamParameterivNV = dlsym_default(fexldr_ptr_libGL_so, "glVideoCaptureStreamParameterivNV");
  (void*&)fexldr_ptr_libGL_glViewportArrayv = dlsym_default(fexldr_ptr_libGL_so, "glViewportArrayv");
  (void*&)fexldr_ptr_libGL_glViewport = dlsym_default(fexldr_ptr_libGL_so, "glViewport");
  (void*&)fexldr_ptr_libGL_glViewportIndexedf = dlsym_default(fexldr_ptr_libGL_so, "glViewportIndexedf");
  (void*&)fexldr_ptr_libGL_glViewportIndexedfv = dlsym_default(fexldr_ptr_libGL_so, "glViewportIndexedfv");
  (void*&)fexldr_ptr_libGL_glViewportPositionWScaleNV = dlsym_default(fexldr_ptr_libGL_so, "glViewportPositionWScaleNV");
  (void*&)fexldr_ptr_libGL_glViewportSwizzleNV = dlsym_default(fexldr_ptr_libGL_so, "glViewportSwizzleNV");
  (void*&)fexldr_ptr_libGL_glWaitSemaphoreEXT = dlsym_default(fexldr_ptr_libGL_so, "glWaitSemaphoreEXT");
  (void*&)fexldr_ptr_libGL_glWaitSemaphoreui64NVX = dlsym_default(fexldr_ptr_libGL_so, "glWaitSemaphoreui64NVX");
  (void*&)fexldr_ptr_libGL_glWaitSync = dlsym_default(fexldr_ptr_libGL_so, "glWaitSync");
  (void*&)fexldr_ptr_libGL_glWaitVkSemaphoreNV = dlsym_default(fexldr_ptr_libGL_so, "glWaitVkSemaphoreNV");
  (void*&)fexldr_ptr_libGL_glWeightbvARB = dlsym_default(fexldr_ptr_libGL_so, "glWeightbvARB");
  (void*&)fexldr_ptr_libGL_glWeightdvARB = dlsym_default(fexldr_ptr_libGL_so, "glWeightdvARB");
  (void*&)fexldr_ptr_libGL_glWeightfvARB = dlsym_default(fexldr_ptr_libGL_so, "glWeightfvARB");
  (void*&)fexldr_ptr_libGL_glWeightivARB = dlsym_default(fexldr_ptr_libGL_so, "glWeightivARB");
  (void*&)fexldr_ptr_libGL_glWeightPathsNV = dlsym_default(fexldr_ptr_libGL_so, "glWeightPathsNV");
  (void*&)fexldr_ptr_libGL_glWeightPointerARB = dlsym_default(fexldr_ptr_libGL_so, "glWeightPointerARB");
  (void*&)fexldr_ptr_libGL_glWeightsvARB = dlsym_default(fexldr_ptr_libGL_so, "glWeightsvARB");
  (void*&)fexldr_ptr_libGL_glWeightubvARB = dlsym_default(fexldr_ptr_libGL_so, "glWeightubvARB");
  (void*&)fexldr_ptr_libGL_glWeightuivARB = dlsym_default(fexldr_ptr_libGL_so, "glWeightuivARB");
  (void*&)fexldr_ptr_libGL_glWeightusvARB = dlsym_default(fexldr_ptr_libGL_so, "glWeightusvARB");
  (void*&)fexldr_ptr_libGL_glWindowPos2dARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2dARB");
  (void*&)fexldr_ptr_libGL_glWindowPos2dMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2dMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos2dvARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2dvARB");
  (void*&)fexldr_ptr_libGL_glWindowPos2dvMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2dvMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos2fARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2fARB");
  (void*&)fexldr_ptr_libGL_glWindowPos2fMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2fMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos2fvARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2fvARB");
  (void*&)fexldr_ptr_libGL_glWindowPos2fvMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2fvMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos2iARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2iARB");
  (void*&)fexldr_ptr_libGL_glWindowPos2iMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2iMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos2ivARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2ivARB");
  (void*&)fexldr_ptr_libGL_glWindowPos2ivMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2ivMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos2sARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2sARB");
  (void*&)fexldr_ptr_libGL_glWindowPos2sMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2sMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos2svARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2svARB");
  (void*&)fexldr_ptr_libGL_glWindowPos2svMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos2svMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos3dARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3dARB");
  (void*&)fexldr_ptr_libGL_glWindowPos3dMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3dMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos3dvARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3dvARB");
  (void*&)fexldr_ptr_libGL_glWindowPos3dvMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3dvMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos3fARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3fARB");
  (void*&)fexldr_ptr_libGL_glWindowPos3fMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3fMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos3fvARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3fvARB");
  (void*&)fexldr_ptr_libGL_glWindowPos3fvMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3fvMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos3iARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3iARB");
  (void*&)fexldr_ptr_libGL_glWindowPos3iMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3iMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos3ivARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3ivARB");
  (void*&)fexldr_ptr_libGL_glWindowPos3ivMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3ivMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos3sARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3sARB");
  (void*&)fexldr_ptr_libGL_glWindowPos3sMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3sMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos3svARB = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3svARB");
  (void*&)fexldr_ptr_libGL_glWindowPos3svMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos3svMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos4dMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos4dMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos4dvMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos4dvMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos4fMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos4fMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos4fvMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos4fvMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos4iMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos4iMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos4ivMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos4ivMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos4sMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos4sMESA");
  (void*&)fexldr_ptr_libGL_glWindowPos4svMESA = dlsym_default(fexldr_ptr_libGL_so, "glWindowPos4svMESA");
  (void*&)fexldr_ptr_libGL_glWindowRectanglesEXT = dlsym_default(fexldr_ptr_libGL_so, "glWindowRectanglesEXT");
  (void*&)fexldr_ptr_libGL_glWriteMaskEXT = dlsym_default(fexldr_ptr_libGL_so, "glWriteMaskEXT");
  (void*&)fexldr_ptr_libGL_glPathColorGenNV = dlsym_default(fexldr_ptr_libGL_so, "glPathColorGenNV");
  (void*&)fexldr_ptr_libGL_glPathTexGenNV = dlsym_default(fexldr_ptr_libGL_so, "glPathTexGenNV");
  (void*&)fexldr_ptr_libGL_glPathFogGenNV = dlsym_default(fexldr_ptr_libGL_so, "glPathFogGenNV");
  (void*&)fexldr_ptr_libGL_glGetPathColorGenivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathColorGenivNV");
  (void*&)fexldr_ptr_libGL_glGetPathColorGenfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathColorGenfvNV");
  (void*&)fexldr_ptr_libGL_glGetPathTexGenivNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathTexGenivNV");
  (void*&)fexldr_ptr_libGL_glGetPathTexGenfvNV = dlsym_default(fexldr_ptr_libGL_so, "glGetPathTexGenfvNV");
  (void*&)fexldr_ptr_libGL_glBlendEquationSeparateATI = dlsym_default(fexldr_ptr_libGL_so, "glBlendEquationSeparateATI");
  (void*&)fexldr_ptr_libGL_glXWaitX = dlsym_default(fexldr_ptr_libGL_so, "glXWaitX");
  (void*&)fexldr_ptr_libGL_glXBindTexImageARB = dlsym_default(fexldr_ptr_libGL_so, "glXBindTexImageARB");
  (void*&)fexldr_ptr_libGL_glXReleaseTexImageARB = dlsym_default(fexldr_ptr_libGL_so, "glXReleaseTexImageARB");
  (void*&)fexldr_ptr_libGL_glXDrawableAttribARB = dlsym_default(fexldr_ptr_libGL_so, "glXDrawableAttribARB");
  (void*&)fexldr_ptr_libGL_glXGetFrameUsageMESA = dlsym_default(fexldr_ptr_libGL_so, "glXGetFrameUsageMESA");
  (void*&)fexldr_ptr_libGL_glXBeginFrameTrackingMESA = dlsym_default(fexldr_ptr_libGL_so, "glXBeginFrameTrackingMESA");
  (void*&)fexldr_ptr_libGL_glXEndFrameTrackingMESA = dlsym_default(fexldr_ptr_libGL_so, "glXEndFrameTrackingMESA");
  (void*&)fexldr_ptr_libGL_glXQueryFrameTrackingMESA = dlsym_default(fexldr_ptr_libGL_so, "glXQueryFrameTrackingMESA");
  (void*&)fexldr_ptr_libGL_glXGetGPUIDsAMD = dlsym_default(fexldr_ptr_libGL_so, "glXGetGPUIDsAMD");
  (void*&)fexldr_ptr_libGL_glXGetGPUInfoAMD = dlsym_default(fexldr_ptr_libGL_so, "glXGetGPUInfoAMD");
  (void*&)fexldr_ptr_libGL_glXGetContextGPUIDAMD = dlsym_default(fexldr_ptr_libGL_so, "glXGetContextGPUIDAMD");
  (void*&)fexldr_ptr_libGL_glXCreateAssociatedContextAMD = dlsym_default(fexldr_ptr_libGL_so, "glXCreateAssociatedContextAMD");
  (void*&)fexldr_ptr_libGL_glXCreateAssociatedContextAttribsAMD = dlsym_default(fexldr_ptr_libGL_so, "glXCreateAssociatedContextAttribsAMD");
  (void*&)fexldr_ptr_libGL_glXDeleteAssociatedContextAMD = dlsym_default(fexldr_ptr_libGL_so, "glXDeleteAssociatedContextAMD");
  (void*&)fexldr_ptr_libGL_glXMakeAssociatedContextCurrentAMD = dlsym_default(fexldr_ptr_libGL_so, "glXMakeAssociatedContextCurrentAMD");
  (void*&)fexldr_ptr_libGL_glXGetCurrentAssociatedContextAMD = dlsym_default(fexldr_ptr_libGL_so, "glXGetCurrentAssociatedContextAMD");
  (void*&)fexldr_ptr_libGL_glXBlitContextFramebufferAMD = dlsym_default(fexldr_ptr_libGL_so, "glXBlitContextFramebufferAMD");
  (void*&)fexldr_ptr_libGL_glXGetCurrentDisplayEXT = dlsym_default(fexldr_ptr_libGL_so, "glXGetCurrentDisplayEXT");
  (void*&)fexldr_ptr_libGL_glXGetAGPOffsetMESA = dlsym_default(fexldr_ptr_libGL_so, "glXGetAGPOffsetMESA");
  (void*&)fexldr_ptr_libGL_glXCreateGLXPixmapMESA = dlsym_default(fexldr_ptr_libGL_so, "glXCreateGLXPixmapMESA");
  (void*&)fexldr_ptr_libGL_glXReleaseBuffersMESA = dlsym_default(fexldr_ptr_libGL_so, "glXReleaseBuffersMESA");
  (void*&)fexldr_ptr_libGL_glXSet3DfxModeMESA = dlsym_default(fexldr_ptr_libGL_so, "glXSet3DfxModeMESA");
  (void*&)fexldr_ptr_libGL_glXCopyBufferSubDataNV = dlsym_default(fexldr_ptr_libGL_so, "glXCopyBufferSubDataNV");
  (void*&)fexldr_ptr_libGL_glXNamedCopyBufferSubDataNV = dlsym_default(fexldr_ptr_libGL_so, "glXNamedCopyBufferSubDataNV");
  (void*&)fexldr_ptr_libGL_glXCopyImageSubDataNV = dlsym_default(fexldr_ptr_libGL_so, "glXCopyImageSubDataNV");
  (void*&)fexldr_ptr_libGL_glXDelayBeforeSwapNV = dlsym_default(fexldr_ptr_libGL_so, "glXDelayBeforeSwapNV");
  (void*&)fexldr_ptr_libGL_glXEnumerateVideoDevicesNV = dlsym_default(fexldr_ptr_libGL_so, "glXEnumerateVideoDevicesNV");
  (void*&)fexldr_ptr_libGL_glXBindVideoDeviceNV = dlsym_default(fexldr_ptr_libGL_so, "glXBindVideoDeviceNV");
  (void*&)fexldr_ptr_libGL_glXJoinSwapGroupNV = dlsym_default(fexldr_ptr_libGL_so, "glXJoinSwapGroupNV");
  (void*&)fexldr_ptr_libGL_glXBindSwapBarrierNV = dlsym_default(fexldr_ptr_libGL_so, "glXBindSwapBarrierNV");
  (void*&)fexldr_ptr_libGL_glXQuerySwapGroupNV = dlsym_default(fexldr_ptr_libGL_so, "glXQuerySwapGroupNV");
  (void*&)fexldr_ptr_libGL_glXQueryMaxSwapGroupsNV = dlsym_default(fexldr_ptr_libGL_so, "glXQueryMaxSwapGroupsNV");
  (void*&)fexldr_ptr_libGL_glXQueryFrameCountNV = dlsym_default(fexldr_ptr_libGL_so, "glXQueryFrameCountNV");
  (void*&)fexldr_ptr_libGL_glXResetFrameCountNV = dlsym_default(fexldr_ptr_libGL_so, "glXResetFrameCountNV");
  (void*&)fexldr_ptr_libGL_glXBindVideoCaptureDeviceNV = dlsym_default(fexldr_ptr_libGL_so, "glXBindVideoCaptureDeviceNV");
  (void*&)fexldr_ptr_libGL_glXEnumerateVideoCaptureDevicesNV = dlsym_default(fexldr_ptr_libGL_so, "glXEnumerateVideoCaptureDevicesNV");
  (void*&)fexldr_ptr_libGL_glXLockVideoCaptureDeviceNV = dlsym_default(fexldr_ptr_libGL_so, "glXLockVideoCaptureDeviceNV");
  (void*&)fexldr_ptr_libGL_glXQueryVideoCaptureDeviceNV = dlsym_default(fexldr_ptr_libGL_so, "glXQueryVideoCaptureDeviceNV");
  (void*&)fexldr_ptr_libGL_glXReleaseVideoCaptureDeviceNV = dlsym_default(fexldr_ptr_libGL_so, "glXReleaseVideoCaptureDeviceNV");
  (void*&)fexldr_ptr_libGL_glXGetVideoDeviceNV = dlsym_default(fexldr_ptr_libGL_so, "glXGetVideoDeviceNV");
  (void*&)fexldr_ptr_libGL_glXReleaseVideoDeviceNV = dlsym_default(fexldr_ptr_libGL_so, "glXReleaseVideoDeviceNV");
  (void*&)fexldr_ptr_libGL_glXBindVideoImageNV = dlsym_default(fexldr_ptr_libGL_so, "glXBindVideoImageNV");
  (void*&)fexldr_ptr_libGL_glXReleaseVideoImageNV = dlsym_default(fexldr_ptr_libGL_so, "glXReleaseVideoImageNV");
  (void*&)fexldr_ptr_libGL_glXSendPbufferToVideoNV = dlsym_default(fexldr_ptr_libGL_so, "glXSendPbufferToVideoNV");
  (void*&)fexldr_ptr_libGL_glXGetVideoInfoNV = dlsym_default(fexldr_ptr_libGL_so, "glXGetVideoInfoNV");
  (void*&)fexldr_ptr_libGL_glXQueryHyperpipeNetworkSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXQueryHyperpipeNetworkSGIX");
  (void*&)fexldr_ptr_libGL_glXHyperpipeConfigSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXHyperpipeConfigSGIX");
  (void*&)fexldr_ptr_libGL_glXQueryHyperpipeConfigSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXQueryHyperpipeConfigSGIX");
  (void*&)fexldr_ptr_libGL_glXDestroyHyperpipeConfigSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXDestroyHyperpipeConfigSGIX");
  (void*&)fexldr_ptr_libGL_glXBindHyperpipeSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXBindHyperpipeSGIX");
  (void*&)fexldr_ptr_libGL_glXQueryHyperpipeBestAttribSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXQueryHyperpipeBestAttribSGIX");
  (void*&)fexldr_ptr_libGL_glXHyperpipeAttribSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXHyperpipeAttribSGIX");
  (void*&)fexldr_ptr_libGL_glXQueryHyperpipeAttribSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXQueryHyperpipeAttribSGIX");
  (void*&)fexldr_ptr_libGL_glXBindSwapBarrierSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXBindSwapBarrierSGIX");
  (void*&)fexldr_ptr_libGL_glXQueryMaxSwapBarriersSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXQueryMaxSwapBarriersSGIX");
  (void*&)fexldr_ptr_libGL_glXJoinSwapGroupSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXJoinSwapGroupSGIX");
  (void*&)fexldr_ptr_libGL_glXBindChannelToWindowSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXBindChannelToWindowSGIX");
  (void*&)fexldr_ptr_libGL_glXChannelRectSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXChannelRectSGIX");
  (void*&)fexldr_ptr_libGL_glXQueryChannelRectSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXQueryChannelRectSGIX");
  (void*&)fexldr_ptr_libGL_glXQueryChannelDeltasSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXQueryChannelDeltasSGIX");
  (void*&)fexldr_ptr_libGL_glXChannelRectSyncSGIX = dlsym_default(fexldr_ptr_libGL_so, "glXChannelRectSyncSGIX");
  (void*&)fexldr_ptr_libGL_glXCushionSGI = dlsym_default(fexldr_ptr_libGL_so, "glXCushionSGI");
  (void*&)fexldr_ptr_libGL_glXGetTransparentIndexSUN = dlsym_default(fexldr_ptr_libGL_so, "glXGetTransparentIndexSUN");
  return true;
}
